diff --git a/ChangeLog b/ChangeLog
index 2e4afb7..42d4ce3 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,490 @@
+2016-05-12  Florian Weimer  <fweimer@redhat.com>
+
+	[BZ #19703]
+	Partially async-signal-safe fork for single-threaded processes.
+	* sysdeps/nptl/fork.c (__libc_fork): Introduce multiple_threads
+	variable.  Do not acquire and reset/release malloc and libio locks
+	in single-threaded processes.
+	* malloc/tst-mallocfork2.c: New file.
+	* malloc/Makefile (tests): Add it.
+
+2016-04-14  Stefan Liebler  <stli@linux.vnet.ibm.com>
+
+	* stdio-common/printf_fp.c (__printf_fp_l):
+	Rename ___printf_fp_l to __printf_fp_l and
+	remove strong alias. Use libc_hidden_def instead
+	of ldbl_hidden_def macro.
+
+2016-04-29  Florian Weimer  <fweimer@redhat.com>
+
+	[BZ #20010]
+	CVE-2016-3706
+	* sysdeps/posix/getaddrinfo.c
+	(convert_hostent_to_gaih_addrtuple): New function.
+	(gethosts): Call convert_hostent_to_gaih_addrtuple.
+	(gaih_inet): Use convert_hostent_to_gaih_addrtuple to convert
+	AF_INET data.
+
+2016-03-07  Florian Weimer  <fweimer@redhat.com>
+
+	[BZ #19610]
+	* elf/ldconfig.c (opt_link): Update comment.
+	(options): Update help string for option -X.
+	(search_dir): Unlink stale symbolic link only if updating symbolic
+	links.
+	* elf/tst-ldconfig-X.sh: New file.
+	* elf/Makefile (tests-special): Add tst-ldconfig-X.out.
+	(tst-ldconfig-X.out): New rule to run tst-ldconfig-X.sh.
+
+2016-05-04  Florian Weimer  <fweimer@redhat.com>
+
+	[BZ #19779]
+	CVE-2016-1234
+	Avoid copying names of directory entries.
+	* posix/glob.c (DIRENT_MUST_BE, DIRENT_MIGHT_BE_SYMLINK)
+	(DIRENT_MIGHT_BE_DIR, CONVERT_D_INO, CONVERT_D_TYPE)
+	(CONVERT_DIRENT_DIRENT64, REAL_DIR_ENTRY): Remove macros.
+	(struct readdir_result): New type.
+	(D_TYPE_TO_RESULT, D_INO_TO_RESULT, READDIR_RESULT_INITIALIZER)
+	(GL_READDIR): New macros.
+	(readdir_result_might_be_symlink, readdir_result_might_be_dir)
+	(convert_dirent, convert_dirent64): New functions.
+	(glob_in_dir): Use struct readdir_result.  Call convert_dirent or
+	convert_dirent64.  Adjust references to the readdir result.
+	* sysdeps/unix/sysv/linux/i386/glob64.c:
+	(convert_dirent, GL_READDIR): Redefine for second file inclusion.
+	* posix/bug-glob2.c (LONG_NAME): Define.
+	(filesystem): Add LONG_NAME.
+	(my_DIR): Increase the size of room_for_dirent.
+
+2016-04-29  Florian Weimer  <fweimer@redhat.com>
+
+	glob: Simplify and document the interface for the GLOB_ALTDIRFUNC
+	callback function gl_readdir.
+	* posix/glob.c (NAMELEN, CONVERT_D_NAMLEN): Remove.
+	(CONVERT_DIRENT_DIRENT64): Use strcpy instead of memcpy.
+	(glob_in_dir): Remove len.  Use strdup instead of malloc and
+	memcpy to copy the name.
+	* manual/pattern.texi (Calling Glob): Document requirements for
+	implementations of the gl_readdir callback function.
+	* manual/examples/mkdirent.c: New example.
+	* posix/bug-glob2.c (my_readdir): Set d_ino to 1 unconditionally,
+	per the manual guidance.
+	* posix/tst-gnuglob.c (my_readdir): Likewise.
+
+2016-04-04  Florian Weimer  <fweimer@redhat.com>
+
+	[BZ #19633]
+	Use specified locale for number formatting in strfmon_l.
+	* locale/localeinfo.h (__nl_lookup, _nl_lookup_wstr)
+	(__nl_lookup_word): New inline functions.
+	* include/printf.h (__print_fp_l): Declare.
+	* stdio-common/printf_fp.c (___printf_fp_l): Renamed from
+	___printf_fp.  Add locale argument.  Replace _NL_CURRENT with
+	_nl_lookup and _NL_CURRENT_WORD with _nl_lookup_word.
+	(___printf_fp): New function.
+	* stdlib/strfmon_l.c (__printf_fp): Remove declaration.
+	(__vstrfmon_l): Call __printf_fp_l instead of printf_fp.
+	* stdlib/tst-strfmon_l.c (do_test): New test.
+	* stdlib/Makefile (tests): Add kt.
+	(LOCALES): Build additional locales.
+	(tst-strfmon_l.out): Require locales.
+
+2016-03-25  Florian Weimer  <fweimer@redhat.com>
+
+	[BZ# 19860]
+	* sysdeps/x86_64/tst-audit10.c (avx512_enabled): Always return
+	zero if the compiler does not provide the AVX512F bit.
+
+2016-03-08  Roland McGrath  <roland@hack.frob.com>
+
+	* sysdeps/x86_64/tst-audit10.c: #include <cpu-features.h>.
+	* sysdeps/x86_64/tst-audit10-aux.c: Move audit_test extern decl ...
+	(tst_audit10_aux) [__AVX512F__]: ... here.
+
+2016-03-07  Florian Weimer  <fweimer@redhat.com>
+
+	[BZ #19269]
+	* sysdeps/x86_64/Makefile (tst-audit4): Depend on
+	tst-audit4-aux.o.
+	(tst-audit10): Depend on tst-audit10-aux.o.
+	(CFLAGS-tst-audit4-aux.c): Compile with AVX enabled.
+	(CFLAGS-tst-audit10-aux.c): Compile with AVX512 enabled.
+	* sysdeps/x86_64/tst-audit4.c (do_test): Call tst_audit4_aux
+	instead of inline AVX code.
+	* sysdeps/x86_64/tst-audit10.c (do_test): Call tst_audit10_aux
+	instead of inline AVX512 code.
+	* sysdeps/x86_64/tst-audit4-aux.c: New file
+	* sysdeps/x86_64/tst-audit10-aux.c: New file
+
+2016-04-27  Florian Weimer  <fweimer@redhat.com>
+
+	[BZ #19825]
+	* resolv/res_send.c (send_vc): Remove early *resplen2
+	initialization.  Set *resplen2 on socket error.  Call
+	close_and_return_error for other errors.
+
+2016-03-25  Florian Weimer  <fweimer@redhat.com>
+
+	[BZ #19868]
+	* resolv/nss_dns/dns-network.c (getanswer_r): Implement additional
+	DNS packet syntax checks (which were not needed before).  Skip
+	over non-PTR records.
+
+2016-04-27  Florian Weimer  <fweimer@redhat.com>
+
+	[BZ #19831]
+	* resolv/nss_dns/dns-host.c (rrtype_to_rdata_length): New
+	function.
+	(getanswer_r): Check RDATA length against RRTYPE and QTYPE.
+	(gaih_getanswer_slice): Check RDATA length against RRTYPE.
+
+2016-04-27  Florian Weimer  <fweimer@redhat.com>
+
+	[BZ #19862]
+	* resolv/nss_dns/dns-host.c (AskedForGot): Remove.
+	(getanswer_r): Do not call syslog.
+	(gaih_getanswer_slice): Likewise.
+	* resolv/gethnamaddr.c (AskedForGot): Remove.
+	(getanswer): Do not call syslog.
+	(gethostbyaddr): Likewise.
+
+2016-04-27  Florian Weimer  <fweimer@redhat.com>
+
+	[BZ #19830]
+	* resolv/nss_dns/dns-host.c (getanswer_r): Check RDATA length.
+	(gaih_getanswer_slice): Likewise.
+	* resolv/nss_dns/dns-canon.c (_nss_dns_getcanonname_r): Likewise.
+	Also check for availability of RR metadata.
+
+2016-04-11  Florian Weimer  <fweimer@redhat.com>
+
+	[BZ #19865]
+	* resolv/nss_dns/dns-canon.c (_nss_dns_getcanonname_r): Restore
+	original buffer before retry.
+
+2016-04-14  Florian Weimer  <fweimer@redhat.com>
+
+	* malloc/arena.c (__malloc_fork_lock_parent)
+	(__malloc_fork_unlock_parent, __malloc_fork_unlock_child): Add
+	internal_function attribute.
+
+2016-04-14  Florian Weimer  <fweimer@redhat.com>
+
+	Remove malloc hooks from fork handler.  They are no longer needed
+	because malloc runs right before fork, and no malloc calls from
+	other fork handlers are not possible anymore.
+	* malloc/malloc.c (malloc_atfork, free_atfork): Remove
+	declarations.
+	* malloc/arena.c (save_malloc_hook, save_free_hook, save_arena)
+	(ATFORK_ARENA_PTR, malloc_atfork, free_atfork)
+	(atfork_recursive_cntr): Remove.
+	(__malloc_fork_lock_parent): Do not override malloc hooks and
+	thread_arena.
+	(__malloc_fork_unlock_parent): Do not restore malloc hooks and
+	thread_arena.
+	(__malloc_fork_unlock_child): Do not restore malloc hooks.  Use
+	thread_arena instead of save_arena.
+
+2016-04-14  Florian Weimer  <fweimer@redhat.com>
+
+	[BZ #19431]
+	Run the malloc fork handler as late as possible to avoid deadlocks.
+	* malloc/malloc-internal.h: New file.
+	* malloc/malloc.c: Include it.
+	* malloc/arena.c (ATFORK_MEM): Remove.
+	(__malloc_fork_lock_parent): Rename from ptmalloc_lock_all.
+	Update comment.
+	(__malloc_fork_unlock_parent): Rename from ptmalloc_unlock_all.
+	(__malloc_fork_unlock_child): Rename from ptmalloc_unlock_all2.
+	Remove outdated comment.
+	(ptmalloc_init): Do not call thread_atfork.  Remove
+	thread_atfork_static.
+	* malloc/tst-malloc-fork-deadlock.c: New file.
+	* Makefile (tests): Add tst-malloc-fork-deadlock.
+	(tst-malloc-fork-deadlock): Link against libpthread.
+	* manual/memory.texi (Aligned Memory Blocks): Update safety
+	annotation comments.
+	* sysdeps/nptl/fork.c (__libc_fork): Call
+	__malloc_fork_lock_parent, __malloc_fork_unlock_parent,
+	__malloc_fork_unlock_child.
+	* sysdeps/mach/hurd/fork.c (__fork): Likewise.
+
+2016-03-22  Samuel Thibault  <samuel.thibault@ens-lyon.org>
+
+	* malloc/Makefile ($(objpfx)tst-malloc-backtrace,
+	$(objpfx)tst-malloc-thread-exit, $(objpfx)tst-malloc-thread-fail): Use
+	$(shared-thread-library) instead of hardcoding the path to libpthread.
+
+2016-02-19  Florian Weimer  <fweimer@redhat.com>
+
+	* sysdeps/generic/malloc-machine.h: Assume mutex_init is always
+	available.  Do not define NO_THREADS.
+	* malloc/malloc.c: Do not check NO_THREADS.
+	* malloc/arena.c: Likewise.
+
+2016-05-02  Florian Weimer  <fweimer@redhat.com>
+
+	[BZ #20031]
+	* hesiod/hesiod.c (get_txt_records): Return error if TXT record is
+	completely empty.
+
+2016-05-02  Florian Weimer  <fweimer@redhat.com>
+
+	[BZ #19573]
+	* hesiod/Makefile (libnss_hesiod-routines): Remove hesiod-init.
+	* hesiod/nss_hesiod/hesiod-init.c: Remove file.
+	* hesiod/nss_hesiod/nss_hesiod.h: Likewise.
+	* hesiod/hesiod.h (__hesiod_res_get, __hesiod_res_set): Remove.
+	(hesiod_init, hesiod_end, hesiod_to_bind, hesiod_resolve)
+	(hesiod_free_list): Mark as hidden.
+	* hesiod/hesiod_p (struct hesiod_p): Remove res, free_res,
+	res_set, res_get.
+	* hesiod/hesiod.c: Remove unnecessary forward declarations.
+	(init, __hesiod_res_get, __hesiod_res_set): Remove.
+	(hesiod_init): Remove obsolete res_ninit call.
+	(hesiod_end): Do not free resolver state.  Do not invoke callback.
+	(hesiod_bind): Do not call init.
+	(get_txt_records): Use res_mkquery, res_send instead of
+	res_nmkquery, res_nsend.
+	* hesiod/nss_hesiod/hesiod-grp.c (lookup): Call hesiod_init
+	instead of _nss_hesiod_init.
+	(_nss_hesiod_initgroups_dyn): Likewise.
+	* hesiod/nss_hesiod/hesiod-proto.c (lookup): Likewise.
+	* hesiod/nss_hesiod/hesiod-pwd.c (lookup): Likewise.
+	* hesiod/nss_hesiod/hesiod-service.c (lookup): Likewise.
+
+2016-05-02  Florian Weimer  <fweimer@redhat.com>
+
+	* hesiod/hesiod.h: Remove RCS keyword.
+	* hesiod/hesiod_p.h: Likewise.
+	* hesiod/hesiod.c: Likewise.
+
+2016-05-04  Florian Weimer  <fweimer@redhat.com>
+
+	[BZ #19787]
+	* inet/getnameinfo.c (check_sprintf_result): New function.
+	(CHECKED_SNPRINTF): New macro.
+	(gni_host_inet_numeric): Use CHECKED_SNPRINTF to write the scope
+	to the host buffer.
+	(gni_host_local): Use checked_copy to copy the host name.
+	(gni_serv_inet): Use CHECKED_SNPRINTF to write the service name.
+	(gni_serv_local): Use checked_copy to copy the service name.
+	(getnameinfo): Remove unnecessary truncation of result buffers.
+
+2016-05-04  Florian Weimer  <fweimer@redhat.com>
+
+	* inet/getnameinfo.c (gni_host_inet_numeric): Return EAI_OVERFLOW
+	in case of inet_ntop failure.
+
+2016-05-04  Florian Weimer  <fweimer@redhat.com>
+
+	* inet/getnameinfo.c (gni_host_inet_name): Use temporaries to
+	avoid long lines.
+	(gni_host_inet_numeric): Likewise.  Reduce scope of local
+	variables.
+	(gni_host_inet, gni_host_local): Add comment.
+	(gni_host): Add comment.  Use temporary to avoid long lines.
+
+2016-04-29  Florian Weimer  <fweimer@redhat.com>
+
+	[BZ #19642]
+	* inet/getnameinfo.c (gni_host_inet_name, gni_host_inet_numeric)
+	(gni_host_inet, gni_host_local, gni_host, gni_serv_inet)
+	(gni_serv_local, gni_serv): New functions extracted from
+	getnameinfo.
+	(getnameinfo): Call gni_host and gni_serv to perform the
+	processing.  Always free scratch buffer.
+
+2016-04-28  Florian Weimer  <fweimer@redhat.com>
+
+	* inet/getnameinfo.c (getnameinfo): Do not preserve errno.
+
+2016-03-29  Florian Weimer  <fweimer@redhat.com>
+
+	[BZ #19837]
+	* nss/nss_db/db-XXX.c (_nss_db_getENTNAME_r): Propagate ERANGE
+	error if parse_line fails.
+
+2016-04-20  Yvan Roux  <yvan.roux@linaro.org>
+
+	* stdlib/setenv.c (unsetenv): Fix ambiguous 'else'.
+	* nis/nis_call.c (nis_server_cache_add): Likewise.
+
+2016-04-09  Mike Frysinger  <vapier@gentoo.org>
+
+	* sysdeps/i386/configure.ac: Change == to = when calling test.
+	* sysdeps/x86_64/configure.ac: Likewise.
+	* sysdeps/i386/configure: Regenerated.
+	* sysdeps/x86_64/configure: Likewise.
+
+2016-04-01  Florian Weimer  <fweimer@redhat.com>
+
+	[BZ #19879]
+	CVE-2016-3075
+	* resolv/nss_dns/dns-network.c (_nss_dns_getnetbyname_r): Do not
+	copy name.
+
+2016-04-01  Stefan Liebler  <stli@linux.vnet.ibm.com>
+
+	* sysdeps/s390/bits/link.h: (La_s390_vr) New typedef.
+	(La_s390_32_regs): Append vector register lr_v24-lr_v31.
+	(La_s390_64_regs): Likewise.
+	(La_s390_32_retval): Append vector register lrv_v24.
+	(La_s390_64_retval): Likeweise.
+	* sysdeps/s390/s390-32/dl-trampoline.h (_dl_runtime_profile):
+	Handle extended structs La_s390_32_regs and La_s390_32_retval.
+	* sysdeps/s390/s390-64/dl-trampoline.h (_dl_runtime_profile):
+	Handle extended structs La_s390_64_regs and La_s390_64_retval.
+
+2016-04-01  Stefan Liebler  <stli@linux.vnet.ibm.com>
+
+	* sysdeps/s390/s390-32/dl-trampoline.S: Include dl-trampoline.h twice
+	to create a non-vector/vector version for _dl_runtime_resolve and
+	_dl_runtime_profile. Move implementation to ...
+	* sysdeps/s390/s390-32/dl-trampoline.h: ... here.
+	(_dl_runtime_resolve) Save and restore fpr/vrs.
+	(_dl_runtime_profile) Save and restore vrs and fix some issues
+	if _dl_call_pltexit is called.
+	* sysdeps/s390/s390-32/dl-machine.h (elf_machine_runtime_setup):
+	Choose the correct resolver function if running on a machine with vx.
+	* sysdeps/s390/s390-64/dl-trampoline.S: Include dl-trampoline.h twice
+	to create a non-vector/vector version for _dl_runtime_resolve and
+	_dl_runtime_profile. Move implementation to ...
+	* sysdeps/s390/s390-64/dl-trampoline.h: ... here.
+	(_dl_runtime_resolve) Save and restore fpr/vrs.
+	(_dl_runtime_profile) Save and restore vrs and fix some issues
+	* sysdeps/s390/s390-64/dl-machine.h: (elf_machine_runtime_setup):
+	Choose the correct resolver function if running on a machine with vx.
+
+2016-03-25  Florian Weimer  <fweimer@redhat.com>
+
+	[BZ #19791]
+	* resolv/res_send.c (close_and_return_error): New function.
+	(send_dg): Initialize *resplen2 after reopen failure.  Call
+	close_and_return_error for error returns.  On error paths without
+	__res_iclose, initialze *resplen2 explicitly.  Update comment for
+	successful return.
+
+2016-03-21  Dylan Alex Simon  <dylan-sourceware@dylex.net>
+
+	[BZ #19822]
+	* math/Makefile ($(inst_libdir)/libm.so): Write output to $@.tmp and
+	move it to the final $@ location.
+
+2016-03-15  Andreas Schwab  <schwab@suse.de>
+
+	[BZ #19257]
+	* resolv/res_init.c (__res_iclose): Use statp->nscount instead of
+	statp->_u._ext.nscount as loop count.
+
+2016-03-11  H.J. Lu  <hongjiu.lu@intel.com>
+
+	[BZ #19758]
+	* sysdeps/unix/sysv/linux/x86_64/64/dl-librecon.h
+	(EXTRA_LD_ENVVARS): Or bit_Prefer_MAP_32BIT_EXEC.
+
+2016-03-11  H.J. Lu  <hongjiu.lu@intel.com>
+
+	[BZ #19759]
+	* sysdeps/x86/bits/string.h (_HAVE_STRING_ARCH_mempcpy): New.
+
+2016-03-10  H.J. Lu  <hongjiu.lu@intel.com>
+
+	[BZ #19762]
+	* sysdeps/i386/i686/multiarch/bcopy.S (bcopy): Use
+	HAS_ARCH_FEATURE with Fast_Rep_String.
+	* sysdeps/i386/i686/multiarch/bzero.S (__bzero): Likewise.
+	* sysdeps/i386/i686/multiarch/memcpy.S (memcpy): Likewise.
+	* sysdeps/i386/i686/multiarch/memcpy_chk.S (__memcpy_chk):
+	Likewise.
+	* sysdeps/i386/i686/multiarch/memmove_chk.S (__memmove_chk):
+	Likewise.
+	* sysdeps/i386/i686/multiarch/mempcpy.S (__mempcpy): Likewise.
+	* sysdeps/i386/i686/multiarch/mempcpy_chk.S (__mempcpy_chk):
+	Likewise.
+	* sysdeps/i386/i686/multiarch/memset.S (memset): Likewise.
+	* sysdeps/i386/i686/multiarch/memset_chk.S (__memset_chk):
+	Likewise.
+
+2016-03-09  Aurelien Jarno  <aurelien@aurel32.net>
+
+	[BZ #19792]
+	* sysdeps/unix/sysv/linux/mips/makecontext.S (__makecontext):
+	Terminate FDE before return label.
+
+2016-03-08  Aurelien Jarno  <aurelien@aurel32.net>
+
+	* include/sys/auxv.h: New file.
+
+2016-03-07  Hongjiu Zhang  <noctuorare@gmail.com>
+
+	* elf/sln.c (makesymlink): Change struct stat to stat64, and lstat
+	to lstat64.
+
+2016-02-24  Marko Myllynen  <myllynen@redhat.com>
+
+	* NEWS (2.23): Fix typo in bug 19048 text.
+
+2016-02-24  Andreas Schwab  <schwab@suse.de>
+
+	* math/test-math-isinff.cc (do_test): Only call isinfl and isnanl
+	if !NO_LONG_DOUBLE.
+
+2016-02-22  Roland McGrath  <roland@hack.frob.com>
+
+	* sysdeps/arm/nacl/libc.abilist (GLIBC_2.23): Add GLIBC_2.23,
+	fts64_children, fts64_close, fts64_open, fts64_read and fts64_set.
+
+2016-02-22  H.J. Lu  <hongjiu.lu@intel.com>
+
+	[BZ #19679]
+	* sysdeps/x86_64/dl-trampoline.S (DL_RUNIME_UNALIGNED_VEC_SIZE):
+	Renamed to ...
+	(DL_RUNTIME_UNALIGNED_VEC_SIZE): This.  Set to 8.
+	(DL_RUNIME_RESOLVE_REALIGN_STACK): Renamed to ...
+	(DL_RUNTIME_RESOLVE_REALIGN_STACK): This.  Updated.
+	(DL_RUNIME_RESOLVE_REALIGN_STACK): Renamed to ...
+	(DL_RUNTIME_RESOLVE_REALIGN_STACK): This.
+	* sysdeps/x86_64/dl-trampoline.h
+	(DL_RUNIME_RESOLVE_REALIGN_STACK): Renamed to ...
+	(DL_RUNTIME_RESOLVE_REALIGN_STACK): This.
+
 2016-02-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>
 
+	* configure: Regenerated.
+
+	* po/libc.pot: Regenerated.
+
+	* po/be.po: Updated translation.
+	* po/bg.po: Likewise.
+	* po/ca.po: Likewise.
+	* po/cs.po: Likewise.
+	* po/da.po: Likewise.
+	* po/el.po: Likewise.
+	* po/eo.po: Likewise.
+	* po/es.po: Likewise.
+	* po/fi.po: Likewise.
+	* po/fr.po: Likewise.
+	* po/gl.po: Likewise.
+	* po/hr.po: Likewise.
+	* po/hu.po: Likewise.
+	* po/ia.po: Likewise.
+	* po/id.po: Likewise.
+	* po/it.po: Likewise.
+	* po/ja.po: Likewise.
+	* po/lt.po: Likewise.
+	* po/nb.po: Likewise.
+	* po/nl.po: Likewise.
+	* po/pt_BR.po: Likewise.
+	* po/rw.po: Likewise.
+	* po/sk.po: Likewise.
+	* po/sl.po: Likewise.
+	* po/sv.po: Likewise.
+	* po/tr.po: Likewise.
+	* po/zh_CN.po: Likewise.
+	* po/zh_TW.po: Likewise.
+
 	* version.h (RELEASE): Set to "stable".
 	(VERSION): Set to 2.23.
 	* include/feature.h (__GLIBC_MINOR__): Set to 23.
diff --git a/NEWS b/NEWS
index c0276cf..9c1c638 100644
--- a/NEWS
+++ b/NEWS
@@ -5,6 +5,33 @@ See the end for copying conditions.
 Please send GNU C library bug reports via <http://sourceware.org/bugzilla/>
 using `glibc' in the "product" field.
 
+Version 2.23.1
+
+Security related changes:
+
+* The getnetbyname implementation in nss_dns had a potentially unbounded
+  alloca call (in the form of a call to strdupa), leading to a stack
+  overflow (stack exhaustion) and a crash if getnetbyname is invoked
+  on a very long name.  (CVE-2016-3075)
+
+* The glob function suffered from a stack-based buffer overflow when it was
+  called with the GLOB_ALTDIRFUNC flag and encountered a long file name.
+  Reported by Alexander Cherepanov.  (CVE-2016-1234)
+
+The following bugs are resolved with this release:
+
+  [19679] gcc-4.9.3 C++ exception handling broken due to unaligned stack
+  [19758] Or bit_Prefer_MAP_32BIT_EXEC in EXTRA_LD_ENVVARS
+  [19759] Don't inline mempcpy for x86
+  [19762] Use HAS_ARCH_FEATURE with Fast_Rep_String
+  [19791] Assertion failure in res_query.c with un-connectable name server
+    addresses
+  [19792] MIPS: backtrace yields infinite backtrace with makecontext
+  [19822] libm.so install clobbers old version
+  [19879] network: nss_dns: Stack overflow in getnetbyname implementation
+    (CVE-2016-3075)
+
+
 Version 2.23
 
 * Unicode 8.0.0 Support: Character encoding, character type info, and
@@ -38,7 +65,7 @@ Version 2.23
   unnecessary serialization of memory allocation requests across threads.
   The defect is now corrected.  Users should see a substantial increase in
   the concurent throughput of allocation requests for applications which
-  trigger this bug.  Affected applications typically create create and
+  trigger this bug.  Affected applications typically create and
   destroy threads frequently.  (Bug 19048 was reported and analyzed by
   Ericsson.)
 
diff --git a/configure b/configure
index 06ea87e..8fe5937 100755
--- a/configure
+++ b/configure
@@ -3864,7 +3864,7 @@ if test -z "$enable_hacker_mode" && test x"$libc_config_ok" != xyes; then
 *** The GNU C library is currently unavailable for this platform.
 *** If you are interested in seeing glibc on this platform visit
 *** the \"How to submit a new port\" in the wiki:
-***   https://sourceware.org/glibc/wiki/HomePage#Development
+***   https://sourceware.org/glibc/wiki/#Development
 *** and join the community!" "$LINENO" 5
     ;;
   esac
diff --git a/elf/Makefile b/elf/Makefile
index 63a5355..ae99f65 100644
--- a/elf/Makefile
+++ b/elf/Makefile
@@ -163,7 +163,8 @@ endif
 endif
 ifeq ($(run-built-tests),yes)
 tests-special += $(objpfx)tst-leaks1-mem.out \
-		 $(objpfx)tst-leaks1-static-mem.out $(objpfx)noload-mem.out
+		 $(objpfx)tst-leaks1-static-mem.out $(objpfx)noload-mem.out \
+		 $(objpfx)tst-ldconfig-X.out
 endif
 tlsmod17a-suffixes = 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19
 tlsmod18a-suffixes = 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19
@@ -1252,3 +1253,7 @@ $(objpfx)tst-prelink-cmp.out: tst-prelink.exp \
 			      $(objpfx)tst-prelink-conflict.out
 	cmp $^ > $@; \
 	$(evaluate-test)
+
+$(objpfx)tst-ldconfig-X.out : tst-ldconfig-X.sh $(objpfx)ldconfig
+	$(SHELL) $< '$(common-objpfx)' '$(test-wrapper)' '$(test-wrapper-env)' > $@; \
+	$(evaluate-test)
diff --git a/elf/ldconfig.c b/elf/ldconfig.c
index 9c6f2ba..467ca82 100644
--- a/elf/ldconfig.c
+++ b/elf/ldconfig.c
@@ -100,7 +100,8 @@ int opt_format = 1;
 /* Build cache.  */
 static int opt_build_cache = 1;
 
-/* Generate links.  */
+/* Enable symbolic link processing.  If set, create or update symbolic
+   links, and remove stale symbolic links.  */
 static int opt_link = 1;
 
 /* Only process directories specified on the command line.  */
@@ -141,7 +142,7 @@ static const struct argp_option options[] =
   { "print-cache", 'p', NULL, 0, N_("Print cache"), 0},
   { "verbose", 'v', NULL, 0, N_("Generate verbose messages"), 0},
   { NULL, 'N', NULL, 0, N_("Don't build cache"), 0},
-  { NULL, 'X', NULL, 0, N_("Don't generate links"), 0},
+  { NULL, 'X', NULL, 0, N_("Don't update symbolic links"), 0},
   { NULL, 'r', N_("ROOT"), 0, N_("Change to and use ROOT as root directory"), 0},
   { NULL, 'C', N_("CACHE"), 0, N_("Use CACHE as cache file"), 0},
   { NULL, 'f', N_("CONF"), 0, N_("Use CONF as configuration file"), 0},
@@ -800,7 +801,7 @@ search_dir (const struct dir_entry *entry)
 		error (0, errno, _("Cannot stat %s"), file_name);
 
 	      /* Remove stale symlinks.  */
-	      if (strstr (direntry->d_name, ".so."))
+	      if (opt_link && strstr (direntry->d_name, ".so."))
 		unlink (real_file_name);
 	      continue;
 	    }
diff --git a/elf/sln.c b/elf/sln.c
index 9d57be2..f52cb9f 100644
--- a/elf/sln.c
+++ b/elf/sln.c
@@ -164,11 +164,11 @@ makesymlinks (const char *file)
 static int
 makesymlink (const char *src, const char *dest)
 {
-  struct stat stats;
+  struct stat64 stats;
   const char *error;
 
   /* Destination must not be a directory. */
-  if (lstat (dest, &stats) == 0)
+  if (lstat64 (dest, &stats) == 0)
     {
       if (S_ISDIR (stats.st_mode))
 	{
diff --git a/elf/tst-ldconfig-X.sh b/elf/tst-ldconfig-X.sh
new file mode 100644
index 0000000..0c122a5
--- /dev/null
+++ b/elf/tst-ldconfig-X.sh
@@ -0,0 +1,62 @@
+#!/bin/sh
+# Test that ldconfig -X does not remove stale symbolic links.
+# Copyright (C) 2000-2016 Free Software Foundation, Inc.
+# This file is part of the GNU C Library.
+
+# The GNU C Library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2.1 of the License, or (at your option) any later version.
+
+# The GNU C Library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# Lesser General Public License for more details.
+
+# You should have received a copy of the GNU Lesser General Public
+# License along with the GNU C Library; if not, see
+# <http://www.gnu.org/licenses/>.
+
+set -ex
+
+common_objpfx=$1
+test_wrapper_env=$2
+run_program_env=$3
+
+testroot="${common_objpfx}elf/bug19610-test-directory"
+cleanup () {
+    rm -rf "$testroot"
+}
+trap cleanup 0
+
+rm -rf "$testroot"
+mkdir -p $testroot/lib $testroot/etc
+
+# Relative symbolic link target.
+ln -s libdoesnotexist.so.1.1 $testroot/lib/libdoesnotexist.so.1
+
+# Absolute symbolic link target.
+ln -s $testroot/opt/sw/lib/libdoesnotexist2.so.1.1 $testroot/lib/
+
+errors=0
+check_files () {
+    for name in libdoesnotexist.so.1 libdoesnotexist2.so.1.1 ; do
+	path="$testroot/lib/$name"
+	if test ! -h $path ; then
+	    echo "error: missing file: $path"
+	    errors=1
+	fi
+    done
+}
+
+check_files
+
+${test_wrapper_env} \
+${run_program_env} \
+${common_objpfx}elf/ldconfig -X -f /dev/null \
+  -C $testroot/etc/ld.so.cache \
+  $testroot/lib
+
+check_files
+
+exit $errors
diff --git a/hesiod/Makefile b/hesiod/Makefile
index d68a859..2d1966c 100644
--- a/hesiod/Makefile
+++ b/hesiod/Makefile
@@ -28,7 +28,7 @@ extra-libs-others = $(extra-libs)
 subdir-dirs = nss_hesiod
 vpath %.c nss_hesiod
 
-libnss_hesiod-routines	:= hesiod hesiod-grp hesiod-init hesiod-proto \
+libnss_hesiod-routines	:= hesiod hesiod-grp hesiod-proto \
 			   hesiod-pwd hesiod-service
 # Build only shared library
 libnss_hesiod-inhibit-o	= $(filter-out .os,$(object-suffixes))
diff --git a/hesiod/hesiod.c b/hesiod/hesiod.c
index 657dabe..98ddee3 100644
--- a/hesiod/hesiod.c
+++ b/hesiod/hesiod.c
@@ -1,6 +1,19 @@
-#if defined(LIBC_SCCS) && !defined(lint)
-static const char rcsid[] = "$BINDId: hesiod.c,v 1.21 2000/02/28 14:51:08 vixie Exp $";
-#endif
+/* Copyright (C) 1997-2016 Free Software Foundation, Inc.
+   This file is part of the GNU C Library.
+
+   The GNU C Library is free software; you can redistribute it and/or
+   modify it under the terms of the GNU Lesser General Public
+   License as published by the Free Software Foundation; either
+   version 2.1 of the License, or (at your option) any later version.
+
+   The GNU C Library is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+   Lesser General Public License for more details.
+
+   You should have received a copy of the GNU Lesser General Public
+   License along with the GNU C Library; if not, see
+   <http://www.gnu.org/licenses/>.  */
 
 /*
  * Copyright (c) 1996,1999 by Internet Software Consortium.
@@ -52,18 +65,9 @@ static const char rcsid[] = "$BINDId: hesiod.c,v 1.21 2000/02/28 14:51:08 vixie
 
 /* Forward */
 
-int		hesiod_init(void **context);
-void		hesiod_end(void *context);
-char *		hesiod_to_bind(void *context, const char *name,
-			       const char *type);
-char **		hesiod_resolve(void *context, const char *name,
-			       const char *type);
-void		hesiod_free_list(void *context, char **list);
-
 static int	parse_config_file(struct hesiod_p *ctx, const char *filename);
 static char **	get_txt_records(struct hesiod_p *ctx, int class,
 				const char *name);
-static int	init(struct hesiod_p *ctx);
 
 /* Public */
 
@@ -82,7 +86,6 @@ hesiod_init(void **context) {
 
 	ctx->LHS = NULL;
 	ctx->RHS = NULL;
-	ctx->res = NULL;
 	/* Set default query classes. */
 	ctx->classes[0] = C_IN;
 	ctx->classes[1] = C_HS;
@@ -131,11 +134,6 @@ hesiod_init(void **context) {
 		goto cleanup;
 	}
 
-#if 0
-	if (res_ninit(ctx->res) < 0)
-		goto cleanup;
-#endif
-
 	*context = ctx;
 	return (0);
 
@@ -152,12 +150,8 @@ hesiod_end(void *context) {
 	struct hesiod_p *ctx = (struct hesiod_p *) context;
 	int save_errno = errno;
 
-	if (ctx->res)
-		res_nclose(ctx->res);
 	free(ctx->RHS);
 	free(ctx->LHS);
-	if (ctx->res && ctx->free_res)
-		(*ctx->free_res)(ctx->res);
 	free(ctx);
 	__set_errno(save_errno);
 }
@@ -232,10 +226,6 @@ hesiod_resolve(void *context, const char *name, const char *type) {
 
 	if (bindname == NULL)
 		return (NULL);
-	if (init(ctx) == -1) {
-		free(bindname);
-		return (NULL);
-	}
 
 	retvec = get_txt_records(ctx, ctx->classes[0], bindname);
 
@@ -365,13 +355,13 @@ get_txt_records(struct hesiod_p *ctx, int class, const char *name) {
 	/*
 	 * Construct the query and send it.
 	 */
-	n = res_nmkquery(ctx->res, QUERY, name, class, T_TXT, NULL, 0,
+	n = res_mkquery(QUERY, name, class, T_TXT, NULL, 0,
 			 NULL, qbuf, MAX_HESRESP);
 	if (n < 0) {
 		__set_errno(EMSGSIZE);
 		return (NULL);
 	}
-	n = res_nsend(ctx->res, qbuf, n, abuf, MAX_HESRESP);
+	n = res_send(qbuf, n, abuf, MAX_HESRESP);
 	if (n < 0) {
 		__set_errno(ECONNREFUSED);
 		return (NULL);
@@ -421,7 +411,7 @@ get_txt_records(struct hesiod_p *ctx, int class, const char *name) {
 		cp += INT16SZ + INT32SZ;	/* skip the ttl, too */
 		rr.dlen = ns_get16(cp);
 		cp += INT16SZ;
-		if (cp + rr.dlen > eom) {
+		if (rr.dlen == 0 || cp + rr.dlen > eom) {
 			__set_errno(EMSGSIZE);
 			goto cleanup;
 		}
@@ -464,44 +454,3 @@ get_txt_records(struct hesiod_p *ctx, int class, const char *name) {
 	free(list);
 	return (NULL);
 }
-
-struct __res_state *
-__hesiod_res_get(void *context) {
-	struct hesiod_p *ctx = context;
-
-	if (!ctx->res) {
-		struct __res_state *res;
-		res = (struct __res_state *)calloc(1, sizeof *res);
-		if (res == NULL)
-			return (NULL);
-		__hesiod_res_set(ctx, res, free);
-	}
-
-	return (ctx->res);
-}
-
-void
-__hesiod_res_set(void *context, struct __res_state *res,
-		 void (*free_res)(void *)) {
-	struct hesiod_p *ctx = context;
-
-	if (ctx->res && ctx->free_res) {
-		res_nclose(ctx->res);
-		(*ctx->free_res)(ctx->res);
-	}
-
-	ctx->res = res;
-	ctx->free_res = free_res;
-}
-
-static int
-init(struct hesiod_p *ctx) {
-
-	if (!ctx->res && !__hesiod_res_get(ctx))
-		return (-1);
-
-	if (__res_maybe_init (ctx->res, 0) == -1)
-		return (-1);
-
-	return (0);
-}
diff --git a/hesiod/hesiod.h b/hesiod/hesiod.h
index 82fce30..c4f5356 100644
--- a/hesiod/hesiod.h
+++ b/hesiod/hesiod.h
@@ -1,3 +1,20 @@
+/* Copyright (C) 1997-2016 Free Software Foundation, Inc.
+   This file is part of the GNU C Library.
+
+   The GNU C Library is free software; you can redistribute it and/or
+   modify it under the terms of the GNU Lesser General Public
+   License as published by the Free Software Foundation; either
+   version 2.1 of the License, or (at your option) any later version.
+
+   The GNU C Library is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+   Lesser General Public License for more details.
+
+   You should have received a copy of the GNU Lesser General Public
+   License along with the GNU C Library; if not, see
+   <http://www.gnu.org/licenses/>.  */
+
 /*
  * Copyright (c) 1996,1999 by Internet Software Consortium.
  *
@@ -19,22 +36,15 @@
  * This file is primarily maintained by <tytso@mit.edu> and <ghudson@mit.edu>.
  */
 
-/*
- * $BINDId: hesiod.h,v 1.7 1999/01/08 19:22:45 vixie Exp $
- */
-
 #ifndef _HESIOD_H_INCLUDED
 #define _HESIOD_H_INCLUDED
 
-int		hesiod_init (void **context);
-void		hesiod_end (void *context);
+int		hesiod_init (void **context) attribute_hidden;
+void		hesiod_end (void *context) attribute_hidden;
 char *		hesiod_to_bind (void *context, const char *name,
-				const char *type);
+				const char *type) attribute_hidden;
 char **		hesiod_resolve (void *context, const char *name,
-				const char *type);
-void		hesiod_free_list (void *context, char **list);
-struct __res_state * __hesiod_res_get (void *context);
-void		__hesiod_res_set (void *context, struct __res_state *,
-				  void (*)(void *));
+				const char *type) attribute_hidden;
+void		hesiod_free_list (void *context, char **list) attribute_hidden;
 
 #endif /*_HESIOD_H_INCLUDED*/
diff --git a/hesiod/hesiod_p.h b/hesiod/hesiod_p.h
index 5010d71..1d6d826 100644
--- a/hesiod/hesiod_p.h
+++ b/hesiod/hesiod_p.h
@@ -1,3 +1,20 @@
+/* Copyright (C) 1997-2016 Free Software Foundation, Inc.
+   This file is part of the GNU C Library.
+
+   The GNU C Library is free software; you can redistribute it and/or
+   modify it under the terms of the GNU Lesser General Public
+   License as published by the Free Software Foundation; either
+   version 2.1 of the License, or (at your option) any later version.
+
+   The GNU C Library is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+   Lesser General Public License for more details.
+
+   You should have received a copy of the GNU Lesser General Public
+   License along with the GNU C Library; if not, see
+   <http://www.gnu.org/licenses/>.  */
+
 /*
  * Copyright (c) 1996,1999 by Internet Software Consortium.
  *
@@ -20,10 +37,6 @@
  */
 
 /*
- * $BINDId: hesiod_p.h,v 1.9 1999/01/08 19:24:39 vixie Exp $
- */
-
-/*
  * hesiod_p.h -- private definitions for the hesiod library
  */
 
@@ -36,11 +49,6 @@
 struct hesiod_p {
 	char *		LHS;		/* normally ".ns" */
 	char *		RHS;		/* AKA the default hesiod domain */
-	struct __res_state * res;	/* resolver context */
-	void		(*free_res)(void *);
-	void		(*res_set)(struct hesiod_p *, struct __res_state *,
-				   void (*)(void *));
-	struct __res_state * (*res_get)(struct hesiod_p *);
 	int		classes[2];	/* The class search order. */
 };
 
diff --git a/hesiod/nss_hesiod/hesiod-grp.c b/hesiod/nss_hesiod/hesiod-grp.c
index 7e4ecb4..944e5e0 100644
--- a/hesiod/nss_hesiod/hesiod-grp.c
+++ b/hesiod/nss_hesiod/hesiod-grp.c
@@ -26,8 +26,6 @@
 #include <string.h>
 #include <sys/param.h>
 
-#include "nss_hesiod.h"
-
 /* Get the declaration of the parser function.  */
 #define ENTNAME grent
 #define STRUCTURE group
@@ -58,8 +56,7 @@ lookup (const char *name, const char *type, struct group *grp,
   size_t len;
   int olderr = errno;
 
-  context = _nss_hesiod_init ();
-  if (context == NULL)
+  if (hesiod_init (&context) < 0)
     return NSS_STATUS_UNAVAIL;
 
   list = hesiod_resolve (context, name, type);
@@ -179,8 +176,7 @@ _nss_hesiod_initgroups_dyn (const char *user, gid_t group, long int *start,
   gid_t *groups = *groupsp;
   int save_errno;
 
-  context = _nss_hesiod_init ();
-  if (context == NULL)
+  if (hesiod_init (&context) < 0)
     return NSS_STATUS_UNAVAIL;
 
   list = hesiod_resolve (context, user, "grplist");
diff --git a/hesiod/nss_hesiod/hesiod-init.c b/hesiod/nss_hesiod/hesiod-init.c
deleted file mode 100644
index 2315040..0000000
--- a/hesiod/nss_hesiod/hesiod-init.c
+++ /dev/null
@@ -1,38 +0,0 @@
-/* Copyright (C) 2000-2016 Free Software Foundation, Inc.
-   This file is part of the GNU C Library.
-   Contributed by Mark Kettenis <kettenis@phys.uva.nl>, 2000.
-
-   The GNU C Library is free software; you can redistribute it and/or
-   modify it under the terms of the GNU Lesser General Public
-   License as published by the Free Software Foundation; either
-   version 2.1 of the License, or (at your option) any later version.
-
-   The GNU C Library is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-   Lesser General Public License for more details.
-
-   You should have received a copy of the GNU Lesser General Public
-   License along with the GNU C Library; if not, see
-   <http://www.gnu.org/licenses/>.  */
-
-#include <sys/cdefs.h>		/* Needs to come before <hesiod.h>.  */
-#include <hesiod.h>
-#include <resolv.h>
-#include <stddef.h>
-
-#include "nss_hesiod.h"
-
-void *
-_nss_hesiod_init (void)
-{
-  void *context;
-
-  if (hesiod_init (&context) == -1)
-    return NULL;
-
-  /* Use the default (per-thread) resolver state.  */
-  __hesiod_res_set (context, &_res, NULL);
-
-  return context;
-}
diff --git a/hesiod/nss_hesiod/hesiod-proto.c b/hesiod/nss_hesiod/hesiod-proto.c
index 3c59e73..8a13bba 100644
--- a/hesiod/nss_hesiod/hesiod-proto.c
+++ b/hesiod/nss_hesiod/hesiod-proto.c
@@ -25,8 +25,6 @@
 #include <stdlib.h>
 #include <string.h>
 
-#include "nss_hesiod.h"
-
 /* Declare a parser for Hesiod protocol entries.  Although the format
    of the entries is identical to those in /etc/protocols, here is no
    predefined parser for us to use.  */
@@ -68,8 +66,7 @@ lookup (const char *name, const char *type, struct protoent *proto,
   int found;
   int olderr = errno;
 
-  context = _nss_hesiod_init ();
-  if (context == NULL)
+  if (hesiod_init (&context) < 0)
     return NSS_STATUS_UNAVAIL;
 
   list = hesiod_resolve (context, name, type);
diff --git a/hesiod/nss_hesiod/hesiod-pwd.c b/hesiod/nss_hesiod/hesiod-pwd.c
index 1ddf3e3..c119167 100644
--- a/hesiod/nss_hesiod/hesiod-pwd.c
+++ b/hesiod/nss_hesiod/hesiod-pwd.c
@@ -24,8 +24,6 @@
 #include <stdlib.h>
 #include <string.h>
 
-#include "nss_hesiod.h"
-
 /* Get the declaration of the parser function.  */
 #define ENTNAME pwent
 #define STRUCTURE passwd
@@ -56,8 +54,7 @@ lookup (const char *name, const char *type, struct passwd *pwd,
   size_t len;
   int olderr = errno;
 
-  context = _nss_hesiod_init ();
-  if (context == NULL)
+  if (hesiod_init (&context) < 0)
     return NSS_STATUS_UNAVAIL;
 
   list = hesiod_resolve (context, name, type);
diff --git a/hesiod/nss_hesiod/hesiod-service.c b/hesiod/nss_hesiod/hesiod-service.c
index 756345f..2df9cbb 100644
--- a/hesiod/nss_hesiod/hesiod-service.c
+++ b/hesiod/nss_hesiod/hesiod-service.c
@@ -25,8 +25,6 @@
 #include <stdlib.h>
 #include <string.h>
 
-#include "nss_hesiod.h"
-
 /* Hesiod uses a format for service entries that differs from the
    traditional format.  We therefore declare our own parser.  */
 
@@ -69,8 +67,7 @@ lookup (const char *name, const char *type, const char *protocol,
   int found;
   int olderr = errno;
 
-  context = _nss_hesiod_init ();
-  if (context == NULL)
+  if (hesiod_init (&context) < 0)
     return NSS_STATUS_UNAVAIL;
 
   list = hesiod_resolve (context, name, type);
diff --git a/hesiod/nss_hesiod/nss_hesiod.h b/hesiod/nss_hesiod/nss_hesiod.h
deleted file mode 100644
index a6ed8ee..0000000
--- a/hesiod/nss_hesiod/nss_hesiod.h
+++ /dev/null
@@ -1,20 +0,0 @@
-/* Copyright (C) 2000-2016 Free Software Foundation, Inc.
-   This file is part of the GNU C Library.
-   Contributed by Mark Kettenis <kettenis@phys.uva.nl>, 2000.
-
-   The GNU C Library is free software; you can redistribute it and/or
-   modify it under the terms of the GNU Lesser General Public
-   License as published by the Free Software Foundation; either
-   version 2.1 of the License, or (at your option) any later version.
-
-   The GNU C Library is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-   Lesser General Public License for more details.
-
-   You should have received a copy of the GNU Lesser General Public
-   License along with the GNU C Library; if not, see
-   <http://www.gnu.org/licenses/>.  */
-
-/* Initialize a Hesiod context.  */
-extern void *_nss_hesiod_init (void);
diff --git a/include/printf.h b/include/printf.h
index c0bd2d2..b12b5dc 100644
--- a/include/printf.h
+++ b/include/printf.h
@@ -1,6 +1,7 @@
 #ifndef	_PRINTF_H
 
 #include <stdio-common/printf.h>
+#include <xlocale.h>
 
 /* Now define the internal interfaces.  */
 extern int __printf_fphex (FILE *, const struct printf_info *,
@@ -8,5 +9,8 @@ extern int __printf_fphex (FILE *, const struct printf_info *,
 extern int __printf_fp (FILE *, const struct printf_info *,
 			const void *const *);
 libc_hidden_proto (__printf_fp)
+extern int __printf_fp_l (FILE *, locale_t, const struct printf_info *,
+			  const void *const *);
+libc_hidden_proto (__printf_fp_l)
 
 #endif
diff --git a/include/sys/auxv.h b/include/sys/auxv.h
new file mode 100644
index 0000000..dede2c3
--- /dev/null
+++ b/include/sys/auxv.h
@@ -0,0 +1 @@
+#include <misc/sys/auxv.h>
diff --git a/inet/getnameinfo.c b/inet/getnameinfo.c
index 40f67f0..283da55 100644
--- a/inet/getnameinfo.c
+++ b/inet/getnameinfo.c
@@ -1,3 +1,21 @@
+/* Convert socket address to string using Name Service Switch modules.
+   Copyright (C) 1997-2016 Free Software Foundation, Inc.
+   This file is part of the GNU C Library.
+
+   The GNU C Library is free software; you can redistribute it and/or
+   modify it under the terms of the GNU Lesser General Public
+   License as published by the Free Software Foundation; either
+   version 2.1 of the License, or (at your option) any later version.
+
+   The GNU C Library is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+   Lesser General Public License for more details.
+
+   You should have received a copy of the GNU Lesser General Public
+   License along with the GNU C Library; if not, see
+   <http://www.gnu.org/licenses/>.  */
+
 /* The Inner Net License, Version 2.00
 
   The author(s) grant permission for redistribution and use in source and
@@ -169,20 +187,322 @@ nrl_domainname (void)
   return domain;
 };
 
+/* Copy a string to a destination buffer with length checking.  Return
+   EAI_OVERFLOW if the buffer is not large enough, and 0 on
+   success.  */
+static int
+checked_copy (char *dest, size_t destlen, const char *source)
+{
+  size_t source_length = strlen (source);
+  if (source_length + 1 > destlen)
+    return EAI_OVERFLOW;
+  memcpy (dest, source, source_length + 1);
+  return 0;
+}
 
-int
-getnameinfo (const struct sockaddr *sa, socklen_t addrlen, char *host,
-	     socklen_t hostlen, char *serv, socklen_t servlen,
-	     int flags)
+/* Helper function for CHECKED_SNPRINTF below.  */
+static int
+check_sprintf_result (int result, size_t destlen)
+{
+  if (result < 0)
+    return EAI_SYSTEM;
+  if ((size_t) result >= destlen)
+    /* If ret == destlen, there was no room for the terminating NUL
+       character.  */
+    return EAI_OVERFLOW;
+  return 0;
+}
+
+/* Format a string in the destination buffer.  Return 0 on success,
+   EAI_OVERFLOW in case the buffer is too small, or EAI_SYSTEM on any
+   other error.  */
+#define CHECKED_SNPRINTF(dest, destlen, format, ...)			\
+  check_sprintf_result							\
+    (__snprintf (dest, destlen, format, __VA_ARGS__), destlen)
+
+/* Convert host name, AF_INET/AF_INET6 case, name only.  */
+static int
+gni_host_inet_name (struct scratch_buffer *tmpbuf,
+		    const struct sockaddr *sa, socklen_t addrlen,
+		    char *host, socklen_t hostlen, int flags)
 {
-  int serrno = errno;
   int herrno;
   struct hostent th;
-  int ok = 0;
-  struct scratch_buffer tmpbuf;
+  struct hostent *h = NULL;
+  if (sa->sa_family == AF_INET6)
+    {
+      const struct sockaddr_in6 *sin6p = (const struct sockaddr_in6 *) sa;
+      while (__gethostbyaddr_r (&sin6p->sin6_addr, sizeof(struct in6_addr),
+				AF_INET6, &th, tmpbuf->data, tmpbuf->length,
+				&h, &herrno))
+	if (herrno == NETDB_INTERNAL && errno == ERANGE)
+	  {
+	    if (!scratch_buffer_grow (tmpbuf))
+	      {
+		__set_h_errno (herrno);
+		return EAI_MEMORY;
+	      }
+	  }
+	else
+	  break;
+    }
+  else
+    {
+      const struct sockaddr_in *sinp = (const struct sockaddr_in *) sa;
+      while (__gethostbyaddr_r (&sinp->sin_addr, sizeof(struct in_addr),
+				AF_INET, &th, tmpbuf->data, tmpbuf->length,
+				&h, &herrno))
+	if (herrno == NETDB_INTERNAL && errno == ERANGE)
+	    {
+	      if (!scratch_buffer_grow (tmpbuf))
+		{
+		  __set_h_errno (herrno);
+		  return EAI_MEMORY;
+		}
+	    }
+	else
+	  break;
+    }
 
-  scratch_buffer_init (&tmpbuf);
+  if (h == NULL)
+    {
+      if (herrno == NETDB_INTERNAL)
+	{
+	  __set_h_errno (herrno);
+	  return EAI_SYSTEM;
+	}
+      if (herrno == TRY_AGAIN)
+	{
+	  __set_h_errno (herrno);
+	  return EAI_AGAIN;
+	}
+    }
+
+  if (h)
+    {
+      char *c;
+      if ((flags & NI_NOFQDN)
+	  && (c = nrl_domainname ())
+	  && (c = strstr (h->h_name, c))
+	  && (c != h->h_name) && (*(--c) == '.'))
+	/* Terminate the string after the prefix.  */
+	*c = '\0';
+
+#ifdef HAVE_LIBIDN
+      /* If requested, convert from the IDN format.  */
+      if (flags & NI_IDN)
+	{
+	  int idn_flags = 0;
+	  if  (flags & NI_IDN_ALLOW_UNASSIGNED)
+	    idn_flags |= IDNA_ALLOW_UNASSIGNED;
+	  if (flags & NI_IDN_USE_STD3_ASCII_RULES)
+	    idn_flags |= IDNA_USE_STD3_ASCII_RULES;
+
+	  char *out;
+	  int rc = __idna_to_unicode_lzlz (h->h_name, &out,
+					   idn_flags);
+	  if (rc != IDNA_SUCCESS)
+	    {
+	      if (rc == IDNA_MALLOC_ERROR)
+		return EAI_MEMORY;
+	      if (rc == IDNA_DLOPEN_ERROR)
+		return EAI_SYSTEM;
+	      return EAI_IDN_ENCODE;
+	    }
+
+	  if (out != h->h_name)
+	    {
+	      h->h_name = strdupa (out);
+	      free (out);
+	    }
+	}
+#endif
+
+      size_t len = strlen (h->h_name) + 1;
+      if (len > hostlen)
+	return EAI_OVERFLOW;
 
+      memcpy (host, h->h_name, len);
+
+      return 0;
+    }
+
+  return EAI_NONAME;
+}
+
+/* Convert host name, AF_INET/AF_INET6 case, numeric conversion.  */
+static int
+gni_host_inet_numeric (struct scratch_buffer *tmpbuf,
+		       const struct sockaddr *sa, socklen_t addrlen,
+		       char *host, socklen_t hostlen, int flags)
+{
+  if (sa->sa_family == AF_INET6)
+    {
+      const struct sockaddr_in6 *sin6p = (const struct sockaddr_in6 *) sa;
+      if (inet_ntop (AF_INET6, &sin6p->sin6_addr, host, hostlen) == NULL)
+	return EAI_OVERFLOW;
+
+      uint32_t scopeid = sin6p->sin6_scope_id;
+      if (scopeid != 0)
+	{
+	  size_t used_hostlen = __strnlen (host, hostlen);
+	  /* Location of the scope string in the host buffer.  */
+	  char *scope_start = host + used_hostlen;
+	  size_t scope_length = hostlen - used_hostlen;
+
+	  if (IN6_IS_ADDR_LINKLOCAL (&sin6p->sin6_addr)
+	      || IN6_IS_ADDR_MC_LINKLOCAL (&sin6p->sin6_addr))
+	    {
+	      char scopebuf[IFNAMSIZ];
+	      if (if_indextoname (scopeid, scopebuf) != NULL)
+		return CHECKED_SNPRINTF
+		  (scope_start, scope_length,
+		   "%c%s", SCOPE_DELIMITER, scopebuf);
+	    }
+	  return CHECKED_SNPRINTF
+	    (scope_start, scope_length, "%c%u", SCOPE_DELIMITER, scopeid);
+	}
+    }
+  else
+    {
+      const struct sockaddr_in *sinp = (const struct sockaddr_in *) sa;
+      if (inet_ntop (AF_INET, &sinp->sin_addr, host, hostlen) == NULL)
+	return EAI_OVERFLOW;
+    }
+  return 0;
+}
+
+/* Convert AF_INET or AF_INET6 socket address, host part.  */
+static int
+gni_host_inet (struct scratch_buffer *tmpbuf,
+	       const struct sockaddr *sa, socklen_t addrlen,
+	       char *host, socklen_t hostlen, int flags)
+{
+  if (!(flags & NI_NUMERICHOST))
+    {
+      int result = gni_host_inet_name
+	(tmpbuf, sa, addrlen, host, hostlen, flags);
+      if (result != EAI_NONAME)
+	return result;
+    }
+
+  if (flags & NI_NAMEREQD)
+    return EAI_NONAME;
+  else
+    return gni_host_inet_numeric
+      (tmpbuf, sa, addrlen, host, hostlen, flags);
+}
+
+/* Convert AF_LOCAL socket address, host part.   */
+static int
+gni_host_local (struct scratch_buffer *tmpbuf,
+		const struct sockaddr *sa, socklen_t addrlen,
+		char *host, socklen_t hostlen, int flags)
+{
+  if (!(flags & NI_NUMERICHOST))
+    {
+      struct utsname utsname;
+      if (uname (&utsname) == 0)
+	return checked_copy (host, hostlen, utsname.nodename);
+    }
+
+  if (flags & NI_NAMEREQD)
+    return EAI_NONAME;
+
+  return checked_copy (host, hostlen, "localhost");
+}
+
+/* Convert the host part of an AF_LOCAK socket address.   */
+static int
+gni_host (struct scratch_buffer *tmpbuf,
+	  const struct sockaddr *sa, socklen_t addrlen,
+	  char *host, socklen_t hostlen, int flags)
+{
+  switch (sa->sa_family)
+    {
+    case AF_INET:
+    case AF_INET6:
+      return gni_host_inet (tmpbuf, sa, addrlen, host, hostlen, flags);
+
+    case AF_LOCAL:
+      return gni_host_local (tmpbuf, sa, addrlen, host, hostlen, flags);
+
+    default:
+      return EAI_FAMILY;
+    }
+}
+
+/* Convert service to string, AF_INET and AF_INET6 variant.  */
+static int
+gni_serv_inet (struct scratch_buffer *tmpbuf,
+	       const struct sockaddr *sa, socklen_t addrlen,
+	       char *serv, socklen_t servlen, int flags)
+{
+  _Static_assert
+    (offsetof (struct sockaddr_in, sin_port)
+     == offsetof (struct sockaddr_in6, sin6_port)
+     && sizeof (((struct sockaddr_in) {}).sin_port) == sizeof (in_port_t)
+     && sizeof (((struct sockaddr_in6) {}).sin6_port) == sizeof (in_port_t),
+     "AF_INET and AF_INET6 port consistency");
+  const struct sockaddr_in *sinp = (const struct sockaddr_in *) sa;
+  if (!(flags & NI_NUMERICSERV))
+    {
+      struct servent *s, ts;
+      int e;
+      while ((e = __getservbyport_r (sinp->sin_port,
+				     ((flags & NI_DGRAM)
+				      ? "udp" : "tcp"), &ts,
+				     tmpbuf->data, tmpbuf->length, &s)))
+	{
+	  if (e == ERANGE)
+	    {
+	      if (!scratch_buffer_grow (tmpbuf))
+		return EAI_MEMORY;
+	    }
+	  else
+	    break;
+	}
+      if (s)
+	return checked_copy (serv, servlen, s->s_name);
+      /* Fall through to numeric conversion.  */
+    }
+  return CHECKED_SNPRINTF (serv, servlen, "%d", ntohs (sinp->sin_port));
+}
+
+/* Convert service to string, AF_LOCAL variant.  */
+static int
+gni_serv_local (struct scratch_buffer *tmpbuf,
+	       const struct sockaddr *sa, socklen_t addrlen,
+	       char *serv, socklen_t servlen, int flags)
+{
+  return checked_copy
+    (serv, servlen, ((const struct sockaddr_un *) sa)->sun_path);
+}
+
+/* Convert service to string, dispatching to the implementations
+   above.  */
+static int
+gni_serv (struct scratch_buffer *tmpbuf,
+	  const struct sockaddr *sa, socklen_t addrlen,
+	  char *serv, socklen_t servlen, int flags)
+{
+  switch (sa->sa_family)
+    {
+    case AF_INET:
+    case AF_INET6:
+      return gni_serv_inet (tmpbuf, sa, addrlen, serv, servlen, flags);
+    case AF_LOCAL:
+      return gni_serv_local (tmpbuf, sa, addrlen, serv, servlen, flags);
+    default:
+      return EAI_FAMILY;
+    }
+}
+
+int
+getnameinfo (const struct sockaddr *sa, socklen_t addrlen, char *host,
+	     socklen_t hostlen, char *serv, socklen_t servlen,
+	     int flags)
+{
   if (flags & ~(NI_NUMERICHOST|NI_NUMERICSERV|NI_NOFQDN|NI_NAMEREQD|NI_DGRAM
 #ifdef HAVE_LIBIDN
 		|NI_IDN|NI_IDN_ALLOW_UNASSIGNED|NI_IDN_USE_STD3_ASCII_RULES
@@ -214,256 +534,30 @@ getnameinfo (const struct sockaddr *sa, socklen_t addrlen, char *host,
       return EAI_FAMILY;
     }
 
-  if (host != NULL && hostlen > 0)
-    switch (sa->sa_family)
-      {
-      case AF_INET:
-      case AF_INET6:
-	if (!(flags & NI_NUMERICHOST))
-	  {
-	    struct hostent *h = NULL;
-	    if (sa->sa_family == AF_INET6)
-	      {
-		while (__gethostbyaddr_r ((const void *) &(((const struct sockaddr_in6 *) sa)->sin6_addr),
-					  sizeof(struct in6_addr),
-					  AF_INET6, &th,
-					  tmpbuf.data, tmpbuf.length,
-					  &h, &herrno))
-		  if (herrno == NETDB_INTERNAL && errno == ERANGE)
-		    {
-		      if (!scratch_buffer_grow (&tmpbuf))
-			{
-			  __set_h_errno (herrno);
-			  return EAI_MEMORY;
-			}
-		    }
-		  else
-		    break;
-	      }
-	    else
-	      {
-		while (__gethostbyaddr_r ((const void *) &(((const struct sockaddr_in *)sa)->sin_addr),
-					  sizeof(struct in_addr),
-					  AF_INET, &th,
-					  tmpbuf.data, tmpbuf.length,
-					  &h, &herrno))
-		  if (herrno == NETDB_INTERNAL && errno == ERANGE)
-		    {
-		      if (!scratch_buffer_grow (&tmpbuf))
-			{
-			  __set_h_errno (herrno);
-			  return EAI_MEMORY;
-			}
-		    }
-		  else
-		    break;
-	      }
-
-	    if (h == NULL)
-	      {
-		if (herrno == NETDB_INTERNAL)
-		  {
-		    __set_h_errno (herrno);
-		    return EAI_SYSTEM;
-		  }
-		if (herrno == TRY_AGAIN)
-		  {
-		    __set_h_errno (herrno);
-		    return EAI_AGAIN;
-		  }
-	      }
-
-	    if (h)
-	      {
-		char *c;
-		if ((flags & NI_NOFQDN)
-		    && (c = nrl_domainname ())
-		    && (c = strstr (h->h_name, c))
-		    && (c != h->h_name) && (*(--c) == '.'))
-		  /* Terminate the string after the prefix.  */
-		  *c = '\0';
-
-#ifdef HAVE_LIBIDN
-		/* If requested, convert from the IDN format.  */
-		if (flags & NI_IDN)
-		  {
-		    int idn_flags = 0;
-		    if  (flags & NI_IDN_ALLOW_UNASSIGNED)
-		      idn_flags |= IDNA_ALLOW_UNASSIGNED;
-		    if (flags & NI_IDN_USE_STD3_ASCII_RULES)
-		      idn_flags |= IDNA_USE_STD3_ASCII_RULES;
-
-		    char *out;
-		    int rc = __idna_to_unicode_lzlz (h->h_name, &out,
-						     idn_flags);
-		    if (rc != IDNA_SUCCESS)
-		      {
-			if (rc == IDNA_MALLOC_ERROR)
-			  return EAI_MEMORY;
-			if (rc == IDNA_DLOPEN_ERROR)
-			  return EAI_SYSTEM;
-			return EAI_IDN_ENCODE;
-		      }
-
-		    if (out != h->h_name)
-		      {
-			h->h_name = strdupa (out);
-			free (out);
-		      }
-		  }
-#endif
-
-		size_t len = strlen (h->h_name) + 1;
-		if (len > hostlen)
-		  return EAI_OVERFLOW;
-
-		memcpy (host, h->h_name, len);
-
-		ok = 1;
-	      }
-	  }
-
-	if (!ok)
-	  {
-	    if (flags & NI_NAMEREQD)
-	      {
-		__set_errno (serrno);
-		return EAI_NONAME;
-	      }
-	    else
-	      {
-		const char *c;
-		if (sa->sa_family == AF_INET6)
-		  {
-		    const struct sockaddr_in6 *sin6p;
-		    uint32_t scopeid;
-
-		    sin6p = (const struct sockaddr_in6 *) sa;
-
-		    c = inet_ntop (AF_INET6,
-				   (const void *) &sin6p->sin6_addr, host, hostlen);
-		    scopeid = sin6p->sin6_scope_id;
-		    if (scopeid != 0)
-		      {
-			/* Buffer is >= IFNAMSIZ+1.  */
-			char scopebuf[IFNAMSIZ + 1];
-			char *scopeptr;
-			int ni_numericscope = 0;
-			size_t real_hostlen = __strnlen (host, hostlen);
-			size_t scopelen = 0;
-
-			scopebuf[0] = SCOPE_DELIMITER;
-			scopebuf[1] = '\0';
-			scopeptr = &scopebuf[1];
-
-			if (IN6_IS_ADDR_LINKLOCAL (&sin6p->sin6_addr)
-			    || IN6_IS_ADDR_MC_LINKLOCAL (&sin6p->sin6_addr))
-			  {
-			    if (if_indextoname (scopeid, scopeptr) == NULL)
-			      ++ni_numericscope;
-			    else
-			      scopelen = strlen (scopebuf);
-			  }
-			else
-			  ++ni_numericscope;
-
-			if (ni_numericscope)
-			  scopelen = 1 + __snprintf (scopeptr,
-						     (scopebuf
-						      + sizeof scopebuf
-						      - scopeptr),
-						     "%u", scopeid);
-
-			if (real_hostlen + scopelen + 1 > hostlen)
-			  /* Signal the buffer is too small.  This is
-			     what inet_ntop does.  */
-			  c = NULL;
-			else
-			  memcpy (host + real_hostlen, scopebuf, scopelen + 1);
-		      }
-		  }
-		else
-		  c = inet_ntop (AF_INET,
-				 (const void *) &(((const struct sockaddr_in *) sa)->sin_addr),
-				 host, hostlen);
-		if (c == NULL)
-		  return EAI_OVERFLOW;
-	      }
-	    ok = 1;
-	  }
-	break;
-
-      case AF_LOCAL:
-	if (!(flags & NI_NUMERICHOST))
-	  {
-	    struct utsname utsname;
-
-	    if (!uname (&utsname))
-	      {
-		strncpy (host, utsname.nodename, hostlen);
-		break;
-	      };
-	  };
-
-	if (flags & NI_NAMEREQD)
-	   {
-	    __set_errno (serrno);
-	    return EAI_NONAME;
-	  }
-
-	strncpy (host, "localhost", hostlen);
-	break;
+  struct scratch_buffer tmpbuf;
+  scratch_buffer_init (&tmpbuf);
 
-      default:
-	return EAI_FAMILY;
+  if (host != NULL && hostlen > 0)
+    {
+      int result = gni_host (&tmpbuf, sa, addrlen, host, hostlen, flags);
+      if (result != 0)
+	{
+	  scratch_buffer_free (&tmpbuf);
+	  return result;
+	}
     }
 
   if (serv && (servlen > 0))
-    switch (sa->sa_family)
-      {
-      case AF_INET:
-      case AF_INET6:
-	if (!(flags & NI_NUMERICSERV))
-	  {
-	    struct servent *s, ts;
-	    int e;
-	    while ((e = __getservbyport_r (((const struct sockaddr_in *) sa)->sin_port,
-					   ((flags & NI_DGRAM)
-					    ? "udp" : "tcp"), &ts,
-					   tmpbuf.data, tmpbuf.length, &s)))
-	      {
-		if (e == ERANGE)
-		  {
-		    if (!scratch_buffer_grow (&tmpbuf))
-		      return EAI_MEMORY;
-		  }
-		else
-		  break;
-	      }
-	    if (s)
-	      {
-		strncpy (serv, s->s_name, servlen);
-		break;
-	      }
-	  }
-
-	if (__snprintf (serv, servlen, "%d",
-			ntohs (((const struct sockaddr_in *) sa)->sin_port))
-	    + 1 > servlen)
-	  return EAI_OVERFLOW;
-
-	break;
-
-      case AF_LOCAL:
-	strncpy (serv, ((const struct sockaddr_un *) sa)->sun_path, servlen);
-	break;
+    {
+      int result = gni_serv (&tmpbuf, sa, addrlen, serv, servlen, flags);
+      if (result != 0)
+	{
+	  scratch_buffer_free (&tmpbuf);
+	  return result;
+	}
     }
 
-  if (host && (hostlen > 0))
-    host[hostlen-1] = 0;
-  if (serv && (servlen > 0))
-    serv[servlen-1] = 0;
-  errno = serrno;
+  scratch_buffer_free (&tmpbuf);
   return 0;
 }
 libc_hidden_def (getnameinfo)
diff --git a/locale/localeinfo.h b/locale/localeinfo.h
index 5c4e6ef..94627f3 100644
--- a/locale/localeinfo.h
+++ b/locale/localeinfo.h
@@ -299,6 +299,27 @@ extern __thread struct __locale_data *const *_nl_current_##category \
 
 #endif
 
+/* Extract CATEGORY locale's string for ITEM.  */
+static inline const char *
+_nl_lookup (locale_t l, int category, int item)
+{
+  return l->__locales[category]->values[_NL_ITEM_INDEX (item)].string;
+}
+
+/* Extract CATEGORY locale's wide string for ITEM.  */
+static inline const wchar_t *
+_nl_lookup_wstr (locale_t l, int category, int item)
+{
+  return (wchar_t *) l->__locales[category]
+    ->values[_NL_ITEM_INDEX (item)].wstr;
+}
+
+/* Extract the CATEGORY locale's word for ITEM.  */
+static inline uint32_t
+_nl_lookup_word (locale_t l, int category, int item)
+{
+  return l->__locales[category]->values[_NL_ITEM_INDEX (item)].word;
+}
 
 /* Default search path if no LOCPATH environment variable.  */
 extern const char _nl_default_locale_path[] attribute_hidden;
diff --git a/localedata/ChangeLog b/localedata/ChangeLog
index 05ccd90..dd1c2b1 100644
--- a/localedata/ChangeLog
+++ b/localedata/ChangeLog
@@ -1,3 +1,10 @@
+2016-02-19  Florian Weimer  <fweimer@redhat.com>
+
+	[BZ #19581]
+	* locales/sr_ME (date_fmt): Remove newline.
+	* locales/sr_RS (date_fmt): Likewise.
+	* locales/sr_RS@latin (date_fmt): Likewise.
+
 2016-02-08  Mike Frysinger  <vapier@gentoo.org>
 
 	* locales/an_ES: Convert to UTF-8 encodings.
diff --git a/localedata/locales/sr_ME b/localedata/locales/sr_ME
index 4f243dc..dd68df8 100644
--- a/localedata/locales/sr_ME
+++ b/localedata/locales/sr_ME
@@ -119,7 +119,7 @@ am_pm   "";""
 t_fmt_ampm "<U0025><U0054>"
 date_fmt  "<U0025><U0061><U002c><U0020><U0025><U0065><U002E><U0020>/
 <U0025><U0062><U0020><U0025><U0059><U002E><U0020><U0020><U0025><U0048>/
-<U003A><U0025><U004D><U003A><U0025><U0053><U0020><U0025><U005A><U000A>"
+<U003A><U0025><U004D><U003A><U0025><U0053><U0020><U0025><U005A>"
 week    7;19971130;4
 first_weekday 2
 first_workday 2
diff --git a/localedata/locales/sr_RS b/localedata/locales/sr_RS
index 2ae085b..ffea86f 100644
--- a/localedata/locales/sr_RS
+++ b/localedata/locales/sr_RS
@@ -300,7 +300,7 @@ am_pm   "";""
 t_fmt_ampm "<U0025><U0054>"
 date_fmt  "<U0025><U0061><U002C><U0020><U0025><U0065><U002E><U0020>/
 <U0025><U0062><U0020><U0025><U0059><U002E><U0020><U0020><U0025><U0048>/
-<U003A><U0025><U004D><U003A><U0025><U0053><U0020><U0025><U005A><U000A>"
+<U003A><U0025><U004D><U003A><U0025><U0053><U0020><U0025><U005A>"
 week    7;19971130;4
 first_weekday 2
 first_workday 2
diff --git a/localedata/locales/sr_RS@latin b/localedata/locales/sr_RS@latin
index da6628b..fd10ea6 100644
--- a/localedata/locales/sr_RS@latin
+++ b/localedata/locales/sr_RS@latin
@@ -120,7 +120,7 @@ am_pm   "";""
 t_fmt_ampm "<U0025><U0054>"
 date_fmt  "<U0025><U0061><U002c><U0020><U0025><U0065><U002E><U0020>/
 <U0025><U0062><U0020><U0025><U0059><U002E><U0020><U0020><U0025><U0048>/
-<U003A><U0025><U004D><U003A><U0025><U0053><U0020><U0025><U005A><U000A>"
+<U003A><U0025><U004D><U003A><U0025><U0053><U0020><U0025><U005A>"
 week    7;19971130;4
 first_weekday 2
 first_workday 2
diff --git a/malloc/Makefile b/malloc/Makefile
index 360288b..fa1730e 100644
--- a/malloc/Makefile
+++ b/malloc/Makefile
@@ -29,7 +29,8 @@ tests := mallocbug tst-malloc tst-valloc tst-calloc tst-obstack \
 	 tst-malloc-usable tst-realloc tst-posix_memalign \
 	 tst-pvalloc tst-memalign tst-mallopt tst-scratch_buffer \
 	 tst-malloc-backtrace tst-malloc-thread-exit \
-	 tst-malloc-thread-fail
+	 tst-malloc-thread-fail tst-malloc-fork-deadlock \
+	 tst-mallocfork2
 test-srcs = tst-mtrace
 
 routines = malloc morecore mcheck mtrace obstack \
@@ -46,12 +47,10 @@ extra-libs-others = $(extra-libs)
 libmemusage-routines = memusage
 libmemusage-inhibit-o = $(filter-out .os,$(object-suffixes))
 
-$(objpfx)tst-malloc-backtrace: $(common-objpfx)nptl/libpthread.so \
-			       $(common-objpfx)nptl/libpthread_nonshared.a
-$(objpfx)tst-malloc-thread-exit: $(common-objpfx)nptl/libpthread.so \
-			       $(common-objpfx)nptl/libpthread_nonshared.a
-$(objpfx)tst-malloc-thread-fail: $(common-objpfx)nptl/libpthread.so \
-			       $(common-objpfx)nptl/libpthread_nonshared.a
+$(objpfx)tst-malloc-backtrace: $(shared-thread-library)
+$(objpfx)tst-malloc-thread-exit: $(shared-thread-library)
+$(objpfx)tst-malloc-thread-fail: $(shared-thread-library)
+$(objpfx)tst-malloc-fork-deadlock: $(shared-thread-library)
 
 # These should be removed by `make clean'.
 extra-objs = mcheck-init.o libmcheck.a
diff --git a/malloc/arena.c b/malloc/arena.c
index 1edb4d4..47715b6 100644
--- a/malloc/arena.c
+++ b/malloc/arena.c
@@ -130,149 +130,43 @@ int __malloc_initialized = -1;
 
 /**************************************************************************/
 
-#ifndef NO_THREADS
-
 /* atfork support.  */
 
-static void *(*save_malloc_hook)(size_t __size, const void *);
-static void (*save_free_hook) (void *__ptr, const void *);
-static void *save_arena;
-
-# ifdef ATFORK_MEM
-ATFORK_MEM;
-# endif
-
-/* Magic value for the thread-specific arena pointer when
-   malloc_atfork() is in use.  */
-
-# define ATFORK_ARENA_PTR ((void *) -1)
-
-/* The following hooks are used while the `atfork' handling mechanism
-   is active. */
-
-static void *
-malloc_atfork (size_t sz, const void *caller)
-{
-  void *victim;
-
-  if (thread_arena == ATFORK_ARENA_PTR)
-    {
-      /* We are the only thread that may allocate at all.  */
-      if (save_malloc_hook != malloc_check)
-        {
-          return _int_malloc (&main_arena, sz);
-        }
-      else
-        {
-          if (top_check () < 0)
-            return 0;
-
-          victim = _int_malloc (&main_arena, sz + 1);
-          return mem2mem_check (victim, sz);
-        }
-    }
-  else
-    {
-      /* Suspend the thread until the `atfork' handlers have completed.
-         By that time, the hooks will have been reset as well, so that
-         mALLOc() can be used again. */
-      (void) mutex_lock (&list_lock);
-      (void) mutex_unlock (&list_lock);
-      return __libc_malloc (sz);
-    }
-}
-
-static void
-free_atfork (void *mem, const void *caller)
-{
-  mstate ar_ptr;
-  mchunkptr p;                          /* chunk corresponding to mem */
-
-  if (mem == 0)                              /* free(0) has no effect */
-    return;
-
-  p = mem2chunk (mem);         /* do not bother to replicate free_check here */
-
-  if (chunk_is_mmapped (p))                       /* release mmapped memory. */
-    {
-      munmap_chunk (p);
-      return;
-    }
-
-  ar_ptr = arena_for_chunk (p);
-  _int_free (ar_ptr, p, thread_arena == ATFORK_ARENA_PTR);
-}
-
-
-/* Counter for number of times the list is locked by the same thread.  */
-static unsigned int atfork_recursive_cntr;
+/* The following three functions are called around fork from a
+   multi-threaded process.  We do not use the general fork handler
+   mechanism to make sure that our handlers are the last ones being
+   called, so that other fork handlers can use the malloc
+   subsystem.  */
 
-/* The following two functions are registered via thread_atfork() to
-   make sure that the mutexes remain in a consistent state in the
-   fork()ed version of a thread.  Also adapt the malloc and free hooks
-   temporarily, because the `atfork' handler mechanism may use
-   malloc/free internally (e.g. in LinuxThreads). */
-
-static void
-ptmalloc_lock_all (void)
+void
+internal_function
+__malloc_fork_lock_parent (void)
 {
-  mstate ar_ptr;
-
   if (__malloc_initialized < 1)
     return;
 
   /* We do not acquire free_list_lock here because we completely
-     reconstruct free_list in ptmalloc_unlock_all2.  */
+     reconstruct free_list in __malloc_fork_unlock_child.  */
 
-  if (mutex_trylock (&list_lock))
-    {
-      if (thread_arena == ATFORK_ARENA_PTR)
-        /* This is the same thread which already locks the global list.
-           Just bump the counter.  */
-        goto out;
+  (void) mutex_lock (&list_lock);
 
-      /* This thread has to wait its turn.  */
-      (void) mutex_lock (&list_lock);
-    }
-  for (ar_ptr = &main_arena;; )
+  for (mstate ar_ptr = &main_arena;; )
     {
       (void) mutex_lock (&ar_ptr->mutex);
       ar_ptr = ar_ptr->next;
       if (ar_ptr == &main_arena)
         break;
     }
-  save_malloc_hook = __malloc_hook;
-  save_free_hook = __free_hook;
-  __malloc_hook = malloc_atfork;
-  __free_hook = free_atfork;
-  /* Only the current thread may perform malloc/free calls now.
-     save_arena will be reattached to the current thread, in
-     ptmalloc_lock_all, so save_arena->attached_threads is not
-     updated.  */
-  save_arena = thread_arena;
-  thread_arena = ATFORK_ARENA_PTR;
-out:
-  ++atfork_recursive_cntr;
 }
 
-static void
-ptmalloc_unlock_all (void)
+void
+internal_function
+__malloc_fork_unlock_parent (void)
 {
-  mstate ar_ptr;
-
   if (__malloc_initialized < 1)
     return;
 
-  if (--atfork_recursive_cntr != 0)
-    return;
-
-  /* Replace ATFORK_ARENA_PTR with save_arena.
-     save_arena->attached_threads was not changed in ptmalloc_lock_all
-     and is still correct.  */
-  thread_arena = save_arena;
-  __malloc_hook = save_malloc_hook;
-  __free_hook = save_free_hook;
-  for (ar_ptr = &main_arena;; )
+  for (mstate ar_ptr = &main_arena;; )
     {
       (void) mutex_unlock (&ar_ptr->mutex);
       ar_ptr = ar_ptr->next;
@@ -282,35 +176,23 @@ ptmalloc_unlock_all (void)
   (void) mutex_unlock (&list_lock);
 }
 
-# ifdef __linux__
-
-/* In NPTL, unlocking a mutex in the child process after a
-   fork() is currently unsafe, whereas re-initializing it is safe and
-   does not leak resources.  Therefore, a special atfork handler is
-   installed for the child. */
-
-static void
-ptmalloc_unlock_all2 (void)
+void
+internal_function
+__malloc_fork_unlock_child (void)
 {
-  mstate ar_ptr;
-
   if (__malloc_initialized < 1)
     return;
 
-  thread_arena = save_arena;
-  __malloc_hook = save_malloc_hook;
-  __free_hook = save_free_hook;
-
-  /* Push all arenas to the free list, except save_arena, which is
+  /* Push all arenas to the free list, except thread_arena, which is
      attached to the current thread.  */
   mutex_init (&free_list_lock);
-  if (save_arena != NULL)
-    ((mstate) save_arena)->attached_threads = 1;
+  if (thread_arena != NULL)
+    thread_arena->attached_threads = 1;
   free_list = NULL;
-  for (ar_ptr = &main_arena;; )
+  for (mstate ar_ptr = &main_arena;; )
     {
       mutex_init (&ar_ptr->mutex);
-      if (ar_ptr != save_arena)
+      if (ar_ptr != thread_arena)
         {
 	  /* This arena is no longer attached to any thread.  */
 	  ar_ptr->attached_threads = 0;
@@ -323,15 +205,8 @@ ptmalloc_unlock_all2 (void)
     }
 
   mutex_init (&list_lock);
-  atfork_recursive_cntr = 0;
 }
 
-# else
-
-#  define ptmalloc_unlock_all2 ptmalloc_unlock_all
-# endif
-#endif  /* !NO_THREADS */
-
 /* Initialization routine. */
 #include <string.h>
 extern char **_environ;
@@ -400,7 +275,6 @@ ptmalloc_init (void)
 #endif
 
   thread_arena = &main_arena;
-  thread_atfork (ptmalloc_lock_all, ptmalloc_unlock_all, ptmalloc_unlock_all2);
   const char *s = NULL;
   if (__glibc_likely (_environ != NULL))
     {
@@ -475,14 +349,6 @@ ptmalloc_init (void)
   __malloc_initialized = 1;
 }
 
-/* There are platforms (e.g. Hurd) with a link-time hook mechanism. */
-#ifdef thread_atfork_static
-thread_atfork_static (ptmalloc_lock_all, ptmalloc_unlock_all,		      \
-                      ptmalloc_unlock_all2)
-#endif
-
-
-
 /* Managing heaps and arenas (for concurrent threads) */
 
 #if MALLOC_DEBUG > 1
@@ -831,7 +697,8 @@ _int_new_arena (size_t size)
      limit is reached).  At this point, some arena has to be attached
      to two threads.  We could acquire the arena lock before list_lock
      to make it less likely that reused_arena picks this new arena,
-     but this could result in a deadlock with ptmalloc_lock_all.  */
+     but this could result in a deadlock with
+     __malloc_fork_lock_parent.  */
 
   (void) mutex_lock (&a->mutex);
 
diff --git a/malloc/malloc-internal.h b/malloc/malloc-internal.h
new file mode 100644
index 0000000..b830d3f
--- /dev/null
+++ b/malloc/malloc-internal.h
@@ -0,0 +1,32 @@
+/* Internal declarations for malloc, for use within libc.
+   Copyright (C) 2016 Free Software Foundation, Inc.
+   This file is part of the GNU C Library.
+
+   The GNU C Library is free software; you can redistribute it and/or
+   modify it under the terms of the GNU Lesser General Public License as
+   published by the Free Software Foundation; either version 2.1 of the
+   License, or (at your option) any later version.
+
+   The GNU C Library is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+   Lesser General Public License for more details.
+
+   You should have received a copy of the GNU Lesser General Public
+   License along with the GNU C Library; see the file COPYING.LIB.  If
+   not, see <http://www.gnu.org/licenses/>.  */
+
+#ifndef _MALLOC_PRIVATE_H
+#define _MALLOC_PRIVATE_H
+
+/* Called in the parent process before a fork.  */
+void __malloc_fork_lock_parent (void) internal_function attribute_hidden;
+
+/* Called in the parent process after a fork.  */
+void __malloc_fork_unlock_parent (void) internal_function attribute_hidden;
+
+/* Called in the child process after a fork.  */
+void __malloc_fork_unlock_child (void) internal_function attribute_hidden;
+
+
+#endif /* _MALLOC_PRIVATE_H */
diff --git a/malloc/malloc.c b/malloc/malloc.c
index d20d595..39e4298 100644
--- a/malloc/malloc.c
+++ b/malloc/malloc.c
@@ -244,6 +244,7 @@
 /* For ALIGN_UP et. al.  */
 #include <libc-internal.h>
 
+#include <malloc/malloc-internal.h>
 
 /*
   Debugging:
@@ -1074,10 +1075,6 @@ static void*   realloc_check(void* oldmem, size_t bytes,
 			       const void *caller);
 static void*   memalign_check(size_t alignment, size_t bytes,
 				const void *caller);
-#ifndef NO_THREADS
-static void*   malloc_atfork(size_t sz, const void *caller);
-static void      free_atfork(void* mem, const void *caller);
-#endif
 
 /* ------------------ MMAP support ------------------  */
 
diff --git a/malloc/tst-malloc-fork-deadlock.c b/malloc/tst-malloc-fork-deadlock.c
new file mode 100644
index 0000000..94549ca
--- /dev/null
+++ b/malloc/tst-malloc-fork-deadlock.c
@@ -0,0 +1,220 @@
+/* Test concurrent fork, getline, and fflush (NULL).
+   Copyright (C) 2016 Free Software Foundation, Inc.
+   This file is part of the GNU C Library.
+
+   The GNU C Library is free software; you can redistribute it and/or
+   modify it under the terms of the GNU Lesser General Public License as
+   published by the Free Software Foundation; either version 2.1 of the
+   License, or (at your option) any later version.
+
+   The GNU C Library is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+   Lesser General Public License for more details.
+
+   You should have received a copy of the GNU Lesser General Public
+   License along with the GNU C Library; see the file COPYING.LIB.  If
+   not, see <http://www.gnu.org/licenses/>.  */
+
+#include <sys/wait.h>
+#include <unistd.h>
+#include <errno.h>
+#include <stdio.h>
+#include <pthread.h>
+#include <stdbool.h>
+#include <stdlib.h>
+#include <malloc.h>
+#include <time.h>
+#include <string.h>
+#include <signal.h>
+
+static int do_test (void);
+#define TEST_FUNCTION do_test ()
+#include "../test-skeleton.c"
+
+enum {
+  /* Number of threads which call fork.  */
+  fork_thread_count = 4,
+  /* Number of threads which call getline (and, indirectly,
+     malloc).  */
+  read_thread_count = 8,
+};
+
+static bool termination_requested;
+
+static void *
+fork_thread_function (void *closure)
+{
+  while (!__atomic_load_n (&termination_requested, __ATOMIC_RELAXED))
+    {
+      pid_t pid = fork ();
+      if (pid < 0)
+        {
+          printf ("error: fork: %m\n");
+          abort ();
+        }
+      else if (pid == 0)
+        _exit (17);
+
+      int status;
+      if (waitpid (pid, &status, 0) < 0)
+        {
+          printf ("error: waitpid: %m\n");
+          abort ();
+        }
+      if (!WIFEXITED (status) || WEXITSTATUS (status) != 17)
+        {
+          printf ("error: waitpid returned invalid status: %d\n", status);
+          abort ();
+        }
+    }
+  return NULL;
+}
+
+static char *file_to_read;
+
+static void *
+read_thread_function (void *closure)
+{
+  FILE *f = fopen (file_to_read, "r");
+  if (f == NULL)
+    {
+      printf ("error: fopen (%s): %m\n", file_to_read);
+      abort ();
+    }
+
+  while (!__atomic_load_n (&termination_requested, __ATOMIC_RELAXED))
+    {
+      rewind (f);
+      char *line = NULL;
+      size_t line_allocated = 0;
+      ssize_t ret = getline (&line, &line_allocated, f);
+      if (ret < 0)
+        {
+          printf ("error: getline: %m\n");
+          abort ();
+        }
+      free (line);
+    }
+  fclose (f);
+
+  return NULL;
+}
+
+static void *
+flushall_thread_function (void *closure)
+{
+  while (!__atomic_load_n (&termination_requested, __ATOMIC_RELAXED))
+    if (fflush (NULL) != 0)
+      {
+        printf ("error: fflush (NULL): %m\n");
+        abort ();
+      }
+  return NULL;
+}
+
+static void
+create_threads (pthread_t *threads, size_t count, void *(*func) (void *))
+{
+  for (size_t i = 0; i < count; ++i)
+    {
+      int ret = pthread_create (threads + i, NULL, func, NULL);
+      if (ret != 0)
+        {
+          errno = ret;
+          printf ("error: pthread_create: %m\n");
+          abort ();
+        }
+    }
+}
+
+static void
+join_threads (pthread_t *threads, size_t count)
+{
+  for (size_t i = 0; i < count; ++i)
+    {
+      int ret = pthread_join (threads[i], NULL);
+      if (ret != 0)
+        {
+          errno = ret;
+          printf ("error: pthread_join: %m\n");
+          abort ();
+        }
+    }
+}
+
+/* Create a file which consists of a single long line, and assigns
+   file_to_read.  The hope is that this triggers an allocation in
+   getline which needs a lock.  */
+static void
+create_file_with_large_line (void)
+{
+  int fd = create_temp_file ("bug19431-large-line", &file_to_read);
+  if (fd < 0)
+    {
+      printf ("error: create_temp_file: %m\n");
+      abort ();
+    }
+  FILE *f = fdopen (fd, "w+");
+  if (f == NULL)
+    {
+      printf ("error: fdopen: %m\n");
+      abort ();
+    }
+  for (int i = 0; i < 50000; ++i)
+    fputc ('x', f);
+  fputc ('\n', f);
+  if (ferror (f))
+    {
+      printf ("error: fputc: %m\n");
+      abort ();
+    }
+  if (fclose (f) != 0)
+    {
+      printf ("error: fclose: %m\n");
+      abort ();
+    }
+}
+
+static int
+do_test (void)
+{
+  /* Make sure that we do not exceed the arena limit with the number
+     of threads we configured.  */
+  if (mallopt (M_ARENA_MAX, 400) == 0)
+    {
+      printf ("error: mallopt (M_ARENA_MAX) failed\n");
+      return 1;
+    }
+
+  /* Leave some room for shutting down all threads gracefully.  */
+  int timeout = 3;
+  if (timeout > TIMEOUT)
+    timeout = TIMEOUT - 1;
+
+  create_file_with_large_line ();
+
+  pthread_t fork_threads[fork_thread_count];
+  create_threads (fork_threads, fork_thread_count, fork_thread_function);
+  pthread_t read_threads[read_thread_count];
+  create_threads (read_threads, read_thread_count, read_thread_function);
+  pthread_t flushall_threads[1];
+  create_threads (flushall_threads, 1, flushall_thread_function);
+
+  struct timespec ts = {timeout, 0};
+  if (nanosleep (&ts, NULL))
+    {
+      printf ("error: error: nanosleep: %m\n");
+      abort ();
+    }
+
+  __atomic_store_n (&termination_requested, true, __ATOMIC_RELAXED);
+
+  join_threads (flushall_threads, 1);
+  join_threads (read_threads, read_thread_count);
+  join_threads (fork_threads, fork_thread_count);
+
+  free (file_to_read);
+
+  return 0;
+}
diff --git a/malloc/tst-mallocfork2.c b/malloc/tst-mallocfork2.c
new file mode 100644
index 0000000..a9e3e94
--- /dev/null
+++ b/malloc/tst-mallocfork2.c
@@ -0,0 +1,212 @@
+/* Test case for async-signal-safe fork (with respect to malloc).
+   Copyright (C) 2016 Free Software Foundation, Inc.
+   This file is part of the GNU C Library.
+
+   The GNU C Library is free software; you can redistribute it and/or
+   modify it under the terms of the GNU Lesser General Public License as
+   published by the Free Software Foundation; either version 2.1 of the
+   License, or (at your option) any later version.
+
+   The GNU C Library is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+   Lesser General Public License for more details.
+
+   You should have received a copy of the GNU Lesser General Public
+   License along with the GNU C Library; see the file COPYING.LIB.  If
+   not, see <http://www.gnu.org/licenses/>.  */
+
+/* This test will fail if the process is multi-threaded because we
+   only have an async-signal-safe fork in the single-threaded case
+   (where we skip acquiring the malloc heap locks).
+
+   This test only checks async-signal-safety with regards to malloc;
+   other, more rarely-used glibc subsystems could have locks which
+   still make fork unsafe, even in single-threaded processes.  */
+
+#include <errno.h>
+#include <signal.h>
+#include <stdbool.h>
+#include <stdio.h>
+#include <stdlib.h>
+#include <string.h>
+#include <sys/wait.h>
+#include <time.h>
+#include <unistd.h>
+
+/* How many malloc objects to keep arond.  */
+enum { malloc_objects = 1009 };
+
+/* The maximum size of an object.  */
+enum { malloc_maximum_size = 70000 };
+
+/* How many signals need to be delivered before the test exits.  */
+enum { signal_count = 1000 };
+
+
+/* Process ID of the subprocess which sends SIGUSR1 signals.  */
+static pid_t sigusr1_sender_pid;
+
+/* Set to 1 if SIGUSR1 is received.  Used to detect a signal during
+   malloc/free.  */
+static volatile sig_atomic_t sigusr1_received;
+
+/* Periodically set to 1, to indicate that the process is making
+   progress.  Checked by liveness_signal_handler.  */
+static volatile sig_atomic_t progress_indicator = 1;
+
+/* Write the message to standard output.  Usable from signal
+   handlers.  */
+static void
+write_message (const char *str)
+{
+  write (STDOUT_FILENO, str, strlen (str));
+}
+
+static void
+sigusr1_handler (int signo)
+{
+  /* Let the main program make progress, by temporarily suspending
+     signals from the subprocess.  */
+  if (sigusr1_received)
+    return;
+  if (kill (sigusr1_sender_pid, SIGSTOP) != 0)
+    {
+      write_message ("error: kill (SIGSTOP)\n");
+      abort ();
+    }
+  sigusr1_received = 1;
+
+  /* Perform a fork with a trivial subprocess.  */
+  pid_t pid = fork ();
+  if (pid == -1)
+    {
+      write_message ("error: fork\n");
+      abort ();
+    }
+  if (pid == 0)
+    _exit (0);
+  int status;
+  int ret = TEMP_FAILURE_RETRY (waitpid (pid, &status, 0));
+  if (ret < 0)
+    {
+      write_message ("error: waitpid\n");
+      abort ();
+    }
+  if (status != 0)
+    {
+      write_message ("error: unexpected exit status from subprocess\n");
+      abort ();
+    }
+}
+
+static void
+liveness_signal_handler (int signo)
+{
+  if (progress_indicator)
+    progress_indicator = 0;
+  else
+    write_message ("warning: process seems to be stuck\n");
+}
+
+static void
+__attribute__ ((noreturn))
+signal_sender (int signo, bool sleep)
+{
+  pid_t target = getppid ();
+  while (true)
+    {
+      if (kill (target, signo) != 0)
+        {
+          dprintf (STDOUT_FILENO, "error: kill: %m\n");
+          abort ();
+        }
+      if (sleep)
+        usleep (1 * 1000 * 1000);
+    }
+}
+
+static int
+do_test (void)
+{
+  struct sigaction action =
+    {
+      .sa_handler = sigusr1_handler,
+    };
+  sigemptyset (&action.sa_mask);
+
+  if (sigaction (SIGUSR1, &action, NULL) != 0)
+    {
+      printf ("error: sigaction: %m");
+      return 1;
+    }
+
+  action.sa_handler = liveness_signal_handler;
+  if (sigaction (SIGUSR2, &action, NULL) != 0)
+    {
+      printf ("error: sigaction: %m");
+      return 1;
+    }
+
+  pid_t sigusr2_sender_pid = fork ();
+  if (sigusr2_sender_pid == 0)
+    signal_sender (SIGUSR2, true);
+  sigusr1_sender_pid = fork ();
+  if (sigusr1_sender_pid == 0)
+    signal_sender (SIGUSR1, false);
+
+  void *objects[malloc_objects] = {};
+  unsigned signals = 0;
+  unsigned seed = 1;
+  time_t last_report = 0;
+  while (signals < signal_count)
+    {
+      progress_indicator = 1;
+      int slot = rand_r (&seed) % malloc_objects;
+      size_t size = rand_r (&seed) % malloc_maximum_size;
+      if (kill (sigusr1_sender_pid, SIGCONT) != 0)
+        {
+          printf ("error: kill (SIGCONT): %m\n");
+          signal (SIGUSR1, SIG_IGN);
+          kill (sigusr1_sender_pid, SIGKILL);
+          kill (sigusr2_sender_pid, SIGKILL);
+          return 1;
+        }
+      sigusr1_received = false;
+      free (objects[slot]);
+      objects[slot] = malloc (size);
+      if (sigusr1_received)
+        {
+          ++signals;
+          time_t current = time (0);
+          if (current != last_report)
+            {
+              printf ("info: SIGUSR1 signal count: %u\n", signals);
+              last_report = current;
+            }
+        }
+      if (objects[slot] == NULL)
+        {
+          printf ("error: malloc: %m\n");
+          signal (SIGUSR1, SIG_IGN);
+          kill (sigusr1_sender_pid, SIGKILL);
+          kill (sigusr2_sender_pid, SIGKILL);
+          return 1;
+        }
+    }
+
+  /* Clean up allocations.  */
+  for (int slot = 0; slot < malloc_objects; ++slot)
+    free (objects[slot]);
+
+  /* Terminate the signal-sending subprocess.  The SIGUSR1 handler
+     should no longer run because it uses sigusr1_sender_pid.  */
+  signal (SIGUSR1, SIG_IGN);
+  kill (sigusr1_sender_pid, SIGKILL);
+  kill (sigusr2_sender_pid, SIGKILL);
+
+  return 0;
+}
+
+#define TEST_FUNCTION do_test ()
+#include "../test-skeleton.c"
diff --git a/manual/examples/mkdirent.c b/manual/examples/mkdirent.c
new file mode 100644
index 0000000..f8400f4
--- /dev/null
+++ b/manual/examples/mkdirent.c
@@ -0,0 +1,42 @@
+/* Example for creating a struct dirent object for use with glob.
+   Copyright (C) 2016 Free Software Foundation, Inc.
+
+   This program is free software; you can redistribute it and/or
+   modify it under the terms of the GNU General Public License
+   as published by the Free Software Foundation; either version 2
+   of the License, or (at your option) any later version.
+
+   This program is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this program; if not, if not, see <http://www.gnu.org/licenses/>.
+*/
+
+#include <dirent.h>
+#include <errno.h>
+#include <stddef.h>
+#include <stdlib.h>
+#include <string.h>
+
+struct dirent *
+mkdirent (const char *name)
+{
+  size_t dirent_size = offsetof (struct dirent, d_name) + 1;
+  size_t name_length = strlen (name);
+  size_t total_size = dirent_size + name_length;
+  if (total_size < dirent_size)
+    {
+      errno = ENOMEM;
+      return NULL;
+    }
+  struct dirent *result = malloc (total_size);
+  if (result == NULL)
+    return NULL;
+  result->d_type = DT_UNKNOWN;
+  result->d_ino = 1;            /* Do not skip this entry.  */
+  memcpy (result->d_name, name, name_length + 1);
+  return result;
+}
diff --git a/manual/memory.texi b/manual/memory.texi
index 700555e..cdeb472 100644
--- a/manual/memory.texi
+++ b/manual/memory.texi
@@ -1051,14 +1051,6 @@ systems that do not support @w{ISO C11}.
 @c     _dl_addr_inside_object ok
 @c    determine_info ok
 @c    __rtld_lock_unlock_recursive (dl_load_lock) @aculock
-@c   thread_atfork @asulock @aculock @acsfd @acsmem
-@c    __register_atfork @asulock @aculock @acsfd @acsmem
-@c     lll_lock (__fork_lock) @asulock @aculock
-@c     fork_handler_alloc @asulock @aculock @acsfd @acsmem
-@c      calloc dup @asulock @aculock @acsfd @acsmem
-@c     __linkin_atfork ok
-@c      catomic_compare_and_exchange_bool_acq ok
-@c     lll_unlock (__fork_lock) @aculock
 @c   *_environ @mtsenv
 @c   next_env_entry ok
 @c   strcspn dup ok
diff --git a/manual/pattern.texi b/manual/pattern.texi
index d1b9275..565e7eb 100644
--- a/manual/pattern.texi
+++ b/manual/pattern.texi
@@ -237,7 +237,44 @@ function used to read the contents of a directory.  It is used if the
 @code{GLOB_ALTDIRFUNC} bit is set in the flag parameter.  The type of
 this field is @w{@code{struct dirent *(*) (void *)}}.
 
-This is a GNU extension.
+An implementation of @code{gl_readdir} needs to initialize the following
+members of the @code{struct dirent} object:
+
+@table @code
+@item d_type
+This member should be set to the file type of the entry if it is known.
+Otherwise, the value @code{DT_UNKNOWN} can be used.  The @code{glob}
+function may use the specified file type to avoid callbacks in cases
+where the file type indicates that the data is not required.
+
+@item d_ino
+This member needs to be non-zero, otherwise @code{glob} may skip the
+current entry and call the @code{gl_readdir} callback function again to
+retrieve another entry.
+
+@item d_name
+This member must be set to the name of the entry.  It must be
+null-terminated.
+@end table
+
+The example below shows how to allocate a @code{struct dirent} object
+containing a given name.
+
+@smallexample
+@include mkdirent.c.texi
+@end smallexample
+
+The @code{glob} function reads the @code{struct dirent} members listed
+above and makes a copy of the file name in the @code{d_name} member
+immediately after the @code{gl_readdir} callback function returns.
+Future invocations of any of the callback functions may dealloacte or
+reuse the buffer.  It is the responsibility of the caller of the
+@code{glob} function to allocate and deallocate the buffer, around the
+call to @code{glob} or using the callback functions.  For example, an
+application could allocate the buffer in the @code{gl_readdir} callback
+function, and deallocate it in the @code{gl_closedir} callback function.
+
+The @code{gl_readdir} member is a GNU extension.
 
 @item gl_opendir
 The address of an alternative implementation of the @code{opendir}
diff --git a/math/Makefile b/math/Makefile
index 7d573a0..6aa87f9 100644
--- a/math/Makefile
+++ b/math/Makefile
@@ -100,7 +100,8 @@ $(inst_libdir)/libm.so: $(common-objpfx)format.lds \
 	 cat $<; \
 	 echo 'GROUP ( $(slibdir)/libm.so$(libm.so-version) ' \
 	      'AS_NEEDED ( $(libdir)/libmvec_nonshared.a $(slibdir)/libmvec.so$(libmvec.so-version) ) )' \
-	) > $@
+	) > $@.new
+	mv -f $@.new $@
 endif
 
 # Rules for the test suite.
diff --git a/math/test-math-isinff.cc b/math/test-math-isinff.cc
index 195d753..ecff1dc 100644
--- a/math/test-math-isinff.cc
+++ b/math/test-math-isinff.cc
@@ -30,12 +30,17 @@ do_test (void)
      header fix this test will not compile.  */
   if (isinff (1.0f)
       || !isinff (INFINITY)
+#ifndef NO_LONG_DOUBLE
       || isinfl (1.0L)
       || !isinfl (INFINITY)
+#endif
       || isnanf (2.0f)
       || !isnanf (NAN)
+#ifndef NO_LONG_DOUBLE
       || isnanl (2.0L)
-      || !isnanl (NAN))
+      || !isnanl (NAN)
+#endif
+      )
     {
       printf ("FAIL: Failed to call is* functions.\n");
       exit (1);
diff --git a/nis/nis_call.c b/nis/nis_call.c
index 3fa37e4..cb7839a 100644
--- a/nis/nis_call.c
+++ b/nis/nis_call.c
@@ -680,16 +680,18 @@ nis_server_cache_add (const_nis_name name, int search_parent,
   /* Choose which entry should be evicted from the cache.  */
   loc = &nis_server_cache[0];
   if (*loc != NULL)
-    for (i = 1; i < 16; ++i)
-      if (nis_server_cache[i] == NULL)
-	{
+    {
+      for (i = 1; i < 16; ++i)
+	if (nis_server_cache[i] == NULL)
+	  {
+	    loc = &nis_server_cache[i];
+	    break;
+	  }
+	else if ((*loc)->uses > nis_server_cache[i]->uses
+		 || ((*loc)->uses == nis_server_cache[i]->uses
+		     && (*loc)->expires > nis_server_cache[i]->expires))
 	  loc = &nis_server_cache[i];
-	  break;
-	}
-      else if ((*loc)->uses > nis_server_cache[i]->uses
-	       || ((*loc)->uses == nis_server_cache[i]->uses
-		   && (*loc)->expires > nis_server_cache[i]->expires))
-	loc = &nis_server_cache[i];
+    }
   old = *loc;
   *loc = new;
 
diff --git a/nss/nss_db/db-XXX.c b/nss/nss_db/db-XXX.c
index 03c18d7..125a5e9 100644
--- a/nss/nss_db/db-XXX.c
+++ b/nss/nss_db/db-XXX.c
@@ -288,8 +288,8 @@ CONCAT(_nss_db_get,ENTNAME_r) (struct STRUCTURE *result, char *buffer,
 	    }
 	  if (err < 0)
 	    {
-	      H_ERRNO_SET (HOST_NOT_FOUND);
-	      status = NSS_STATUS_NOTFOUND;
+	      H_ERRNO_SET (NETDB_INTERNAL);
+	      status = NSS_STATUS_TRYAGAIN;
 	      break;
 	    }
 
diff --git a/po/be.po b/po/be.po
index 66d1235..ffb39b4 100644
--- a/po/be.po
+++ b/po/be.po
@@ -6,7 +6,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: libc 2.19.90\n"
-"POT-Creation-Date: 2015-01-20 22:14-0500\n"
+"POT-Creation-Date: 2015-07-31 00:10-0400\n"
 "PO-Revision-Date: 2014-12-24 15:35+0300\n"
 "Last-Translator: Viktar Siarheichyk <vics@eq.by>\n"
 "Language-Team: Belarusian <i18n@mova.org>\n"
@@ -139,10 +139,10 @@ msgid ""
 msgstr ""
 
 #: catgets/gencat.c:229 debug/pcprofiledump.c:209 elf/ldconfig.c:307
-#: elf/pldd.c:244 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
+#: elf/pldd.c:252 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
 #: iconv/iconvconfig.c:379 locale/programs/locale.c:277
 #: locale/programs/localedef.c:376 login/programs/pt_chown.c:88
-#: malloc/memusagestat.c:563 nss/getent.c:969 nss/makedb.c:369
+#: malloc/memusagestat.c:563 nss/getent.c:973 nss/makedb.c:369
 #: posix/getconf.c:486 sunrpc/rpcinfo.c:691
 #: sysdeps/unix/sysv/linux/lddlibc4.c:61
 #, c-format
@@ -152,7 +152,7 @@ msgid ""
 msgstr ""
 
 #: catgets/gencat.c:245 debug/pcprofiledump.c:225 debug/xtrace.sh:64
-#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:260 elf/sotruss.sh:75
+#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:268 elf/sotruss.sh:75
 #: elf/sprof.c:389 iconv/iconv_prog.c:425 iconv/iconvconfig.c:396
 #: locale/programs/locale.c:294 locale/programs/localedef.c:402
 #: login/programs/pt_chown.c:62 malloc/memusage.sh:71
@@ -166,7 +166,7 @@ msgid ""
 msgstr ""
 
 #: catgets/gencat.c:250 debug/pcprofiledump.c:230 debug/xtrace.sh:68
-#: elf/ldconfig.c:328 elf/pldd.c:265 elf/sprof.c:395 iconv/iconv_prog.c:430
+#: elf/ldconfig.c:328 elf/pldd.c:273 elf/sprof.c:395 iconv/iconv_prog.c:430
 #: iconv/iconvconfig.c:401 locale/programs/locale.c:299
 #: locale/programs/localedef.c:407 malloc/memusage.sh:75
 #: malloc/memusagestat.c:586 nscd/nscd.c:514 nss/getent.c:91 nss/makedb.c:390
@@ -422,12 +422,12 @@ msgstr ""
 msgid "Renaming of %s to %s failed"
 msgstr ""
 
-#: elf/dl-close.c:385 elf/dl-open.c:470
+#: elf/dl-close.c:396 elf/dl-open.c:478
 #, fuzzy
 msgid "cannot create scope list"
 msgstr "немагчыма стварыць кэш для шляху пошуку"
 
-#: elf/dl-close.c:770
+#: elf/dl-close.c:816
 msgid "shared object not open"
 msgstr ""
 
@@ -501,131 +501,131 @@ msgstr ""
 msgid "cannot stat shared object"
 msgstr ""
 
-#: elf/dl-load.c:963
+#: elf/dl-load.c:962
 msgid "cannot open zero fill device"
 msgstr ""
 
-#: elf/dl-load.c:1010 elf/dl-load.c:2165
+#: elf/dl-load.c:1009 elf/dl-load.c:2159
 msgid "cannot create shared object descriptor"
 msgstr ""
 
-#: elf/dl-load.c:1029 elf/dl-load.c:1570 elf/dl-load.c:1682
+#: elf/dl-load.c:1028 elf/dl-load.c:1568 elf/dl-load.c:1680
 msgid "cannot read file data"
 msgstr ""
 
-#: elf/dl-load.c:1069
+#: elf/dl-load.c:1068
 msgid "ELF load command alignment not page-aligned"
 msgstr ""
 
-#: elf/dl-load.c:1076
+#: elf/dl-load.c:1075
 msgid "ELF load command address/offset not properly aligned"
 msgstr ""
 
-#: elf/dl-load.c:1160
+#: elf/dl-load.c:1159
 msgid "cannot allocate TLS data structures for initial thread"
 msgstr ""
 
-#: elf/dl-load.c:1183
+#: elf/dl-load.c:1182
 msgid "cannot handle TLS data"
 msgstr ""
 
-#: elf/dl-load.c:1202
+#: elf/dl-load.c:1201
 msgid "object file has no loadable segments"
 msgstr ""
 
-#: elf/dl-load.c:1211 elf/dl-load.c:1662
+#: elf/dl-load.c:1210 elf/dl-load.c:1660
 msgid "cannot dynamically load executable"
 msgstr ""
 
-#: elf/dl-load.c:1232
+#: elf/dl-load.c:1231
 msgid "object file has no dynamic section"
 msgstr ""
 
-#: elf/dl-load.c:1255
+#: elf/dl-load.c:1254
 msgid "shared object cannot be dlopen()ed"
 msgstr ""
 
-#: elf/dl-load.c:1268
+#: elf/dl-load.c:1267
 msgid "cannot allocate memory for program header"
 msgstr "немагчыма разьмеркаваць памяць для загалоўку праграмы"
 
-#: elf/dl-load.c:1284 elf/dl-open.c:195
+#: elf/dl-load.c:1283 elf/dl-open.c:195
 #, fuzzy
 #| msgid "invalid saved time"
 msgid "invalid caller"
 msgstr "нерэчаісны захаваны час"
 
-#: elf/dl-load.c:1307 elf/dl-load.h:130
+#: elf/dl-load.c:1306 elf/dl-load.h:130
 msgid "cannot change memory protections"
 msgstr ""
 
-#: elf/dl-load.c:1327
+#: elf/dl-load.c:1326
 msgid "cannot enable executable stack as shared object requires"
 msgstr ""
 
-#: elf/dl-load.c:1340
+#: elf/dl-load.c:1339
 #, fuzzy
 #| msgid "cannot create internal descriptor"
 msgid "cannot close file descriptor"
 msgstr "немагчыма стварыць унутраны дэскрыптар"
 
-#: elf/dl-load.c:1570
+#: elf/dl-load.c:1568
 msgid "file too short"
 msgstr ""
 
-#: elf/dl-load.c:1605
+#: elf/dl-load.c:1603
 msgid "invalid ELF header"
 msgstr ""
 
-#: elf/dl-load.c:1617
+#: elf/dl-load.c:1615
 msgid "ELF file data encoding not big-endian"
 msgstr ""
 
-#: elf/dl-load.c:1619
+#: elf/dl-load.c:1617
 msgid "ELF file data encoding not little-endian"
 msgstr ""
 
-#: elf/dl-load.c:1623
+#: elf/dl-load.c:1621
 msgid "ELF file version ident does not match current one"
 msgstr ""
 
-#: elf/dl-load.c:1627
+#: elf/dl-load.c:1625
 msgid "ELF file OS ABI invalid"
 msgstr ""
 
-#: elf/dl-load.c:1630
+#: elf/dl-load.c:1628
 msgid "ELF file ABI version invalid"
 msgstr "нерэчаісная ABI вэрсыя ELF файла"
 
-#: elf/dl-load.c:1633
+#: elf/dl-load.c:1631
 msgid "nonzero padding in e_ident"
 msgstr ""
 
-#: elf/dl-load.c:1636
+#: elf/dl-load.c:1634
 msgid "internal error"
 msgstr ""
 
-#: elf/dl-load.c:1643
+#: elf/dl-load.c:1641
 msgid "ELF file version does not match current one"
 msgstr ""
 
-#: elf/dl-load.c:1651
+#: elf/dl-load.c:1649
 msgid "only ET_DYN and ET_EXEC can be loaded"
 msgstr ""
 
-#: elf/dl-load.c:1667
+#: elf/dl-load.c:1665
 msgid "ELF file's phentsize not the expected size"
 msgstr ""
 
-#: elf/dl-load.c:2184
+#: elf/dl-load.c:2178
 msgid "wrong ELF class: ELFCLASS64"
 msgstr ""
 
-#: elf/dl-load.c:2185
+#: elf/dl-load.c:2179
 msgid "wrong ELF class: ELFCLASS32"
 msgstr ""
 
-#: elf/dl-load.c:2188
+#: elf/dl-load.c:2182
 msgid "cannot open shared object file"
 msgstr ""
 
@@ -637,11 +637,11 @@ msgstr ""
 msgid "cannot map zero-fill pages"
 msgstr ""
 
-#: elf/dl-lookup.c:791
+#: elf/dl-lookup.c:845
 msgid "relocation error"
 msgstr ""
 
-#: elf/dl-lookup.c:818
+#: elf/dl-lookup.c:872
 msgid "symbol lookup error"
 msgstr ""
 
@@ -649,51 +649,42 @@ msgstr ""
 msgid "cannot extend global scope"
 msgstr ""
 
-#: elf/dl-open.c:520
+#: elf/dl-open.c:528
 msgid "TLS generation counter wrapped!  Please report this."
 msgstr ""
 
-#: elf/dl-open.c:542
-msgid "cannot load any more object with static TLS"
-msgstr ""
-
-#: elf/dl-open.c:599
+#: elf/dl-open.c:592
 msgid "invalid mode for dlopen()"
 msgstr ""
 
-#: elf/dl-open.c:616
+#: elf/dl-open.c:609
 msgid "no more namespaces available for dlmopen()"
 msgstr ""
 
-#: elf/dl-open.c:634
+#: elf/dl-open.c:633
 msgid "invalid target namespace in dlmopen()"
 msgstr ""
 
-#: elf/dl-reloc.c:120
+#: elf/dl-reloc.c:121
 #, fuzzy
 #| msgid "Cannot allocate memory"
 msgid "cannot allocate memory in static TLS block"
 msgstr "немагчыма разьмеркаваць памяць"
 
-#: elf/dl-reloc.c:212
+#: elf/dl-reloc.c:206
 msgid "cannot make segment writable for relocation"
 msgstr ""
 
-#: elf/dl-reloc.c:275
-#, c-format
-msgid "%s: no PLTREL found in object %s\n"
-msgstr ""
-
-#: elf/dl-reloc.c:290
+#: elf/dl-reloc.c:276
 #, c-format
 msgid "%s: out of memory to store relocation results for %s\n"
 msgstr ""
 
-#: elf/dl-reloc.c:306
+#: elf/dl-reloc.c:292
 msgid "cannot restore segment prot after reloc"
 msgstr ""
 
-#: elf/dl-reloc.c:335
+#: elf/dl-reloc.c:323
 msgid "cannot apply additional memory protection after relocation"
 msgstr ""
 
@@ -701,7 +692,7 @@ msgstr ""
 msgid "RTLD_NEXT used in code not dynamically loaded"
 msgstr ""
 
-#: elf/dl-tls.c:933
+#: elf/dl-tls.c:934
 #, fuzzy
 msgid "cannot create TLS data structures"
 msgstr "немагчыма стварыць унутраныя дэскрыптары"
@@ -846,7 +837,7 @@ msgstr ""
 msgid "Can't open directory %s"
 msgstr "Немагчыма адчыніць тэчку %s"
 
-#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:90
+#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:97
 #, c-format
 msgid "Input file %s not found.\n"
 msgstr "Файл уводу %s неадшуканы.\n"
@@ -975,7 +966,7 @@ msgstr ""
 msgid "No such file or directory"
 msgstr "файл ці тэчка ня йснуе"
 
-#: elf/ldd.bash.in:150 inet/rcmd.c:488
+#: elf/ldd.bash.in:150 inet/rcmd.c:492
 msgid "not regular file"
 msgstr ""
 
@@ -1024,70 +1015,76 @@ msgstr "немагчыма прачытаць загаловак"
 msgid "cannot read program interpreter"
 msgstr "немагчыма прачытаць загаловак"
 
-#: elf/pldd-xx.c:196
+#: elf/pldd-xx.c:197
 #, fuzzy, c-format
 #| msgid "cannot read header"
 msgid "cannot read link map"
 msgstr "немагчыма прачытаць загаловак"
 
-#: elf/pldd-xx.c:207
+#: elf/pldd-xx.c:209
 #, fuzzy, c-format
 #| msgid "cannot read header"
 msgid "cannot read object name"
 msgstr "немагчыма прачытаць загаловак"
 
-#: elf/pldd.c:63
+#: elf/pldd-xx.c:219
+#, fuzzy, c-format
+#| msgid "cannot allocate memory for program header"
+msgid "cannot allocate buffer for object name"
+msgstr "немагчыма разьмеркаваць памяць для загалоўку праграмы"
+
+#: elf/pldd.c:64
 msgid "List dynamic shared objects loaded into process."
 msgstr ""
 
-#: elf/pldd.c:67
+#: elf/pldd.c:68
 msgid "PID"
 msgstr ""
 
-#: elf/pldd.c:99
+#: elf/pldd.c:100
 #, c-format
 msgid "Exactly one parameter with process ID required.\n"
 msgstr ""
 
-#: elf/pldd.c:111
+#: elf/pldd.c:112
 #, c-format
 msgid "invalid process ID '%s'"
 msgstr ""
 
-#: elf/pldd.c:119
+#: elf/pldd.c:120
 #, fuzzy, c-format
 #| msgid "cannot open `%s'"
 msgid "cannot open %s"
 msgstr "немагчыма адчыніць \"%s\""
 
-#: elf/pldd.c:144
+#: elf/pldd.c:152
 #, fuzzy, c-format
 #| msgid "cannot open `%s'"
 msgid "cannot open %s/task"
 msgstr "немагчыма адчыніць \"%s\""
 
-#: elf/pldd.c:147
+#: elf/pldd.c:155
 #, c-format
 msgid "cannot prepare reading %s/task"
 msgstr ""
 
-#: elf/pldd.c:160
+#: elf/pldd.c:168
 #, c-format
 msgid "invalid thread ID '%s'"
 msgstr ""
 
-#: elf/pldd.c:171
+#: elf/pldd.c:179
 #, fuzzy, c-format
 #| msgid "cannot find C preprocessor: %s \n"
 msgid "cannot attach to process %lu"
 msgstr "немагчыма адшукаць C прэпрацэсар: %s \n"
 
-#: elf/pldd.c:286
+#: elf/pldd.c:294
 #, c-format
 msgid "cannot get information about process %lu"
 msgstr ""
 
-#: elf/pldd.c:299
+#: elf/pldd.c:307
 #, c-format
 msgid "process %lu is no ELF program"
 msgstr ""
@@ -1122,27 +1119,27 @@ msgstr ""
 msgid "more than one dynamic segment\n"
 msgstr ""
 
-#: elf/readlib.c:96
+#: elf/readlib.c:103
 #, c-format
 msgid "Cannot fstat file %s.\n"
 msgstr ""
 
-#: elf/readlib.c:107
+#: elf/readlib.c:114
 #, c-format
 msgid "File %s is empty, not checked."
 msgstr ""
 
-#: elf/readlib.c:113
+#: elf/readlib.c:120
 #, c-format
 msgid "File %s is too small, not checked."
 msgstr ""
 
-#: elf/readlib.c:123
+#: elf/readlib.c:130
 #, c-format
 msgid "Cannot mmap file %s.\n"
 msgstr ""
 
-#: elf/readlib.c:161
+#: elf/readlib.c:169
 #, c-format
 msgid "%s is not an ELF file - it has the wrong magic bytes at the start.\n"
 msgstr "%s - гэта не ELF файл - ён мае памылковы \"чароўны байт\" на пачатку файлу.\n"
@@ -1263,10 +1260,10 @@ msgstr ""
 msgid "failed to load shared object `%s'"
 msgstr ""
 
-#: elf/sprof.c:442
+#: elf/sprof.c:442 elf/sprof.c:825 elf/sprof.c:923
 #, c-format
-msgid "cannot create internal descriptors"
-msgstr "немагчыма стварыць унутраныя дэскрыптары"
+msgid "cannot create internal descriptor"
+msgstr "немагчыма стварыць унутраны дэскрыптар"
 
 #: elf/sprof.c:554
 #, c-format
@@ -1334,11 +1331,6 @@ msgstr ""
 msgid "error while closing the profiling data file"
 msgstr ""
 
-#: elf/sprof.c:825 elf/sprof.c:923
-#, c-format
-msgid "cannot create internal descriptor"
-msgstr "немагчыма стварыць унутраны дэскрыптар"
-
 #: elf/sprof.c:899
 #, c-format
 msgid "`%s' is no correct profile data file for `%s'"
@@ -1583,27 +1575,27 @@ msgstr ""
 msgid "rcmd: %s: short read"
 msgstr ""
 
-#: inet/rcmd.c:486
+#: inet/rcmd.c:490
 msgid "lstat failed"
 msgstr ""
 
-#: inet/rcmd.c:493
+#: inet/rcmd.c:497
 msgid "cannot open"
 msgstr "немагчыма адчыніць"
 
-#: inet/rcmd.c:495
+#: inet/rcmd.c:499
 msgid "fstat failed"
 msgstr ""
 
-#: inet/rcmd.c:497
+#: inet/rcmd.c:501
 msgid "bad owner"
 msgstr "дрэнны ўладальнік"
 
-#: inet/rcmd.c:499
+#: inet/rcmd.c:503
 msgid "writeable by other than owner"
 msgstr ""
 
-#: inet/rcmd.c:501
+#: inet/rcmd.c:505
 msgid "hard linked somewhere"
 msgstr ""
 
@@ -1723,8 +1715,8 @@ msgid "no symbolic name given for end of range"
 msgstr ""
 
 #: locale/programs/charmap.c:610 locale/programs/ld-address.c:528
-#: locale/programs/ld-collate.c:2626 locale/programs/ld-collate.c:3784
-#: locale/programs/ld-ctype.c:2162 locale/programs/ld-ctype.c:2913
+#: locale/programs/ld-collate.c:2635 locale/programs/ld-collate.c:3793
+#: locale/programs/ld-ctype.c:2128 locale/programs/ld-ctype.c:2840
 #: locale/programs/ld-identification.c:368
 #: locale/programs/ld-measurement.c:215 locale/programs/ld-messages.c:298
 #: locale/programs/ld-monetary.c:740 locale/programs/ld-name.c:264
@@ -1750,8 +1742,8 @@ msgid "%s: error in state machine"
 msgstr ""
 
 #: locale/programs/charmap.c:850 locale/programs/ld-address.c:544
-#: locale/programs/ld-collate.c:2623 locale/programs/ld-collate.c:3977
-#: locale/programs/ld-ctype.c:2159 locale/programs/ld-ctype.c:2930
+#: locale/programs/ld-collate.c:2632 locale/programs/ld-collate.c:3986
+#: locale/programs/ld-ctype.c:2125 locale/programs/ld-ctype.c:2857
 #: locale/programs/ld-identification.c:384
 #: locale/programs/ld-measurement.c:231 locale/programs/ld-messages.c:314
 #: locale/programs/ld-monetary.c:756 locale/programs/ld-name.c:280
@@ -1772,7 +1764,7 @@ msgstr ""
 msgid "number of bytes for byte sequence of beginning and end of range not the same: %d vs %d"
 msgstr ""
 
-#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2903
+#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2912
 #: locale/programs/repertoire.c:419
 msgid "invalid names for character range"
 msgstr ""
@@ -1794,8 +1786,8 @@ msgstr ""
 msgid "resulting bytes for range not representable."
 msgstr ""
 
-#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1565
-#: locale/programs/ld-ctype.c:465 locale/programs/ld-identification.c:133
+#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1566
+#: locale/programs/ld-ctype.c:431 locale/programs/ld-identification.c:133
 #: locale/programs/ld-measurement.c:94 locale/programs/ld-messages.c:97
 #: locale/programs/ld-monetary.c:193 locale/programs/ld-name.c:94
 #: locale/programs/ld-numeric.c:98 locale/programs/ld-paper.c:91
@@ -1860,7 +1852,7 @@ msgid "%s: numeric country code `%d' not valid"
 msgstr ""
 
 #: locale/programs/ld-address.c:436 locale/programs/ld-address.c:473
-#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2537
+#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2489
 #: locale/programs/ld-identification.c:280
 #: locale/programs/ld-measurement.c:198 locale/programs/ld-messages.c:267
 #: locale/programs/ld-monetary.c:495 locale/programs/ld-monetary.c:530
@@ -1882,8 +1874,8 @@ msgstr "%s: поле `%s' абвешчана больш чым адзін раз
 msgid "%s: unknown character in field `%s'"
 msgstr ""
 
-#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3782
-#: locale/programs/ld-ctype.c:2910 locale/programs/ld-identification.c:365
+#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3791
+#: locale/programs/ld-ctype.c:2837 locale/programs/ld-identification.c:365
 #: locale/programs/ld-measurement.c:212 locale/programs/ld-messages.c:296
 #: locale/programs/ld-monetary.c:738 locale/programs/ld-name.c:262
 #: locale/programs/ld-numeric.c:324 locale/programs/ld-paper.c:212
@@ -1892,12 +1884,12 @@ msgstr ""
 msgid "%s: incomplete `END' line"
 msgstr ""
 
-#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:551
-#: locale/programs/ld-collate.c:603 locale/programs/ld-collate.c:899
-#: locale/programs/ld-collate.c:912 locale/programs/ld-collate.c:2592
-#: locale/programs/ld-collate.c:2613 locale/programs/ld-collate.c:3967
-#: locale/programs/ld-ctype.c:1891 locale/programs/ld-ctype.c:2149
-#: locale/programs/ld-ctype.c:2735 locale/programs/ld-ctype.c:2921
+#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:552
+#: locale/programs/ld-collate.c:604 locale/programs/ld-collate.c:900
+#: locale/programs/ld-collate.c:913 locale/programs/ld-collate.c:2601
+#: locale/programs/ld-collate.c:2622 locale/programs/ld-collate.c:3976
+#: locale/programs/ld-ctype.c:1857 locale/programs/ld-ctype.c:2115
+#: locale/programs/ld-ctype.c:2687 locale/programs/ld-ctype.c:2848
 #: locale/programs/ld-identification.c:375
 #: locale/programs/ld-measurement.c:222 locale/programs/ld-messages.c:305
 #: locale/programs/ld-monetary.c:747 locale/programs/ld-name.c:271
@@ -1907,479 +1899,479 @@ msgstr ""
 msgid "%s: syntax error"
 msgstr ""
 
-#: locale/programs/ld-collate.c:426
+#: locale/programs/ld-collate.c:427
 #, c-format
 msgid "`%.*s' already defined in charmap"
 msgstr ""
 
-#: locale/programs/ld-collate.c:435
+#: locale/programs/ld-collate.c:436
 #, c-format
 msgid "`%.*s' already defined in repertoire"
 msgstr ""
 
-#: locale/programs/ld-collate.c:442
+#: locale/programs/ld-collate.c:443
 #, c-format
 msgid "`%.*s' already defined as collating symbol"
 msgstr ""
 
-#: locale/programs/ld-collate.c:449
+#: locale/programs/ld-collate.c:450
 #, c-format
 msgid "`%.*s' already defined as collating element"
 msgstr ""
 
-#: locale/programs/ld-collate.c:480 locale/programs/ld-collate.c:506
+#: locale/programs/ld-collate.c:481 locale/programs/ld-collate.c:507
 #, c-format
 msgid "%s: `forward' and `backward' are mutually excluding each other"
 msgstr ""
 
-#: locale/programs/ld-collate.c:490 locale/programs/ld-collate.c:516
-#: locale/programs/ld-collate.c:532
+#: locale/programs/ld-collate.c:491 locale/programs/ld-collate.c:517
+#: locale/programs/ld-collate.c:533
 #, c-format
 msgid "%s: `%s' mentioned more than once in definition of weight %d"
 msgstr ""
 
-#: locale/programs/ld-collate.c:588
+#: locale/programs/ld-collate.c:589
 #, c-format
 msgid "%s: too many rules; first entry only had %d"
 msgstr ""
 
-#: locale/programs/ld-collate.c:624
+#: locale/programs/ld-collate.c:625
 #, c-format
 msgid "%s: not enough sorting rules"
 msgstr ""
 
-#: locale/programs/ld-collate.c:789
+#: locale/programs/ld-collate.c:790
 #, c-format
 msgid "%s: empty weight string not allowed"
 msgstr ""
 
-#: locale/programs/ld-collate.c:884
+#: locale/programs/ld-collate.c:885
 #, c-format
 msgid "%s: weights must use the same ellipsis symbol as the name"
 msgstr ""
 
-#: locale/programs/ld-collate.c:940
+#: locale/programs/ld-collate.c:941
 #, c-format
 msgid "%s: too many values"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1060 locale/programs/ld-collate.c:1235
+#: locale/programs/ld-collate.c:1061 locale/programs/ld-collate.c:1236
 #, c-format
 msgid "order for `%.*s' already defined at %s:%Zu"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1110
+#: locale/programs/ld-collate.c:1111
 #, c-format
 msgid "%s: the start and the end symbol of a range must stand for characters"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1137
+#: locale/programs/ld-collate.c:1138
 #, c-format
 msgid "%s: byte sequences of first and last character must have the same length"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1179
+#: locale/programs/ld-collate.c:1180
 #, c-format
 msgid "%s: byte sequence of first character of range is not lower than that of the last character"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1304
+#: locale/programs/ld-collate.c:1305
 #, c-format
 msgid "%s: symbolic range ellipsis must not directly follow `order_start'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1308
+#: locale/programs/ld-collate.c:1309
 #, c-format
 msgid "%s: symbolic range ellipsis must not be directly followed by `order_end'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1328 locale/programs/ld-ctype.c:1408
+#: locale/programs/ld-collate.c:1329 locale/programs/ld-ctype.c:1374
 #, c-format
 msgid "`%s' and `%.*s' are not valid names for symbolic range"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1378 locale/programs/ld-collate.c:3718
+#: locale/programs/ld-collate.c:1379 locale/programs/ld-collate.c:3727
 #, c-format
 msgid "%s: order for `%.*s' already defined at %s:%Zu"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1387
+#: locale/programs/ld-collate.c:1388
 #, c-format
 msgid "%s: `%s' must be a character"
 msgstr "%s: `%s' павінен быць знакам"
 
-#: locale/programs/ld-collate.c:1582
+#: locale/programs/ld-collate.c:1583
 #, c-format
 msgid "%s: `position' must be used for a specific level in all sections or none"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1607
+#: locale/programs/ld-collate.c:1608
 #, c-format
 msgid "symbol `%s' not defined"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1683 locale/programs/ld-collate.c:1789
+#: locale/programs/ld-collate.c:1684 locale/programs/ld-collate.c:1790
 #, c-format
 msgid "symbol `%s' has the same encoding as"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1687 locale/programs/ld-collate.c:1793
+#: locale/programs/ld-collate.c:1688 locale/programs/ld-collate.c:1794
 #, c-format
 msgid "symbol `%s'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1833
+#: locale/programs/ld-collate.c:1834
 #, c-format
 msgid "no definition of `UNDEFINED'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1862
+#: locale/programs/ld-collate.c:1863
 #, c-format
 msgid "too many errors; giving up"
 msgstr ""
 
-#: locale/programs/ld-collate.c:2518 locale/programs/ld-collate.c:3906
+#: locale/programs/ld-collate.c:2527 locale/programs/ld-collate.c:3915
 #, fuzzy, c-format
 #| msgid "conversion to `%s' is not supported"
 msgid "%s: nested conditionals not supported"
 msgstr "пераўтварэньне ў \"%s\" не падтрымліваецца"
 
-#: locale/programs/ld-collate.c:2536
+#: locale/programs/ld-collate.c:2545
 #, fuzzy, c-format
 #| msgid "%s: More than one -l option specified\n"
 msgid "%s: more than one 'else'"
 msgstr "%s: больш чым адзін выбар -l зададзены\n"
 
-#: locale/programs/ld-collate.c:2711
+#: locale/programs/ld-collate.c:2720
 #, c-format
 msgid "%s: duplicate definition of `%s'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:2747
+#: locale/programs/ld-collate.c:2756
 #, c-format
 msgid "%s: duplicate declaration of section `%s'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:2883
+#: locale/programs/ld-collate.c:2892
 #, c-format
 msgid "%s: unknown character in collating symbol name"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3012
+#: locale/programs/ld-collate.c:3021
 #, c-format
 msgid "%s: unknown character in equivalent definition name"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3023
+#: locale/programs/ld-collate.c:3032
 #, c-format
 msgid "%s: unknown character in equivalent definition value"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3033
+#: locale/programs/ld-collate.c:3042
 #, c-format
 msgid "%s: unknown symbol `%s' in equivalent definition"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3042
+#: locale/programs/ld-collate.c:3051
 msgid "error while adding equivalent collating symbol"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3080
+#: locale/programs/ld-collate.c:3089
 #, c-format
 msgid "duplicate definition of script `%s'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3128
+#: locale/programs/ld-collate.c:3137
 #, fuzzy, c-format
 #| msgid "unknown set `%s'"
 msgid "%s: unknown section name `%.*s'"
 msgstr "невядомае мноства `%s'"
 
-#: locale/programs/ld-collate.c:3157
+#: locale/programs/ld-collate.c:3166
 #, c-format
 msgid "%s: multiple order definitions for section `%s'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3185
+#: locale/programs/ld-collate.c:3194
 #, c-format
 msgid "%s: invalid number of sorting rules"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3212
+#: locale/programs/ld-collate.c:3221
 #, c-format
 msgid "%s: multiple order definitions for unnamed section"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3267 locale/programs/ld-collate.c:3397
-#: locale/programs/ld-collate.c:3760
+#: locale/programs/ld-collate.c:3276 locale/programs/ld-collate.c:3406
+#: locale/programs/ld-collate.c:3769
 #, c-format
 msgid "%s: missing `order_end' keyword"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3330
+#: locale/programs/ld-collate.c:3339
 #, c-format
 msgid "%s: order for collating symbol %.*s not yet defined"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3348
+#: locale/programs/ld-collate.c:3357
 #, c-format
 msgid "%s: order for collating element %.*s not yet defined"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3359
+#: locale/programs/ld-collate.c:3368
 #, c-format
 msgid "%s: cannot reorder after %.*s: symbol not known"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3411 locale/programs/ld-collate.c:3772
+#: locale/programs/ld-collate.c:3420 locale/programs/ld-collate.c:3781
 #, c-format
 msgid "%s: missing `reorder-end' keyword"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3445 locale/programs/ld-collate.c:3643
+#: locale/programs/ld-collate.c:3454 locale/programs/ld-collate.c:3652
 #, c-format
 msgid "%s: section `%.*s' not known"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3510
+#: locale/programs/ld-collate.c:3519
 #, c-format
 msgid "%s: bad symbol <%.*s>"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3706
+#: locale/programs/ld-collate.c:3715
 #, c-format
 msgid "%s: cannot have `%s' as end of ellipsis range"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3756
+#: locale/programs/ld-collate.c:3765
 #, c-format
 msgid "%s: empty category description not allowed"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3775
+#: locale/programs/ld-collate.c:3784
 #, c-format
 msgid "%s: missing `reorder-sections-end' keyword"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3939
+#: locale/programs/ld-collate.c:3948
 #, c-format
 msgid "%s: '%s' without matching 'ifdef' or 'ifndef'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3957
+#: locale/programs/ld-collate.c:3966
 #, c-format
 msgid "%s: 'endif' without matching 'ifdef' or 'ifndef'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:484
+#: locale/programs/ld-ctype.c:450
 #, c-format
 msgid "No character set name specified in charmap"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:513
+#: locale/programs/ld-ctype.c:479
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must be in class `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:528
+#: locale/programs/ld-ctype.c:494
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must not be in class `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:542 locale/programs/ld-ctype.c:600
+#: locale/programs/ld-ctype.c:508 locale/programs/ld-ctype.c:566
 #, c-format
 msgid "internal error in %s, line %u"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:571
+#: locale/programs/ld-ctype.c:537
 #, c-format
 msgid "character '%s' in class `%s' must be in class `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:587
+#: locale/programs/ld-ctype.c:553
 #, c-format
 msgid "character '%s' in class `%s' must not be in class `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:617 locale/programs/ld-ctype.c:655
+#: locale/programs/ld-ctype.c:583 locale/programs/ld-ctype.c:621
 #, c-format
 msgid "<SP> character not in class `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:629 locale/programs/ld-ctype.c:666
+#: locale/programs/ld-ctype.c:595 locale/programs/ld-ctype.c:632
 #, c-format
 msgid "<SP> character must not be in class `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:644
+#: locale/programs/ld-ctype.c:610
 #, c-format
 msgid "character <SP> not defined in character map"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:780
+#: locale/programs/ld-ctype.c:746
 #, c-format
 msgid "`digit' category has not entries in groups of ten"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:829
+#: locale/programs/ld-ctype.c:795
 #, c-format
 msgid "no input digits defined and none of the standard names in the charmap"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:894
+#: locale/programs/ld-ctype.c:860
 #, c-format
 msgid "not all characters used in `outdigit' are available in the charmap"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:911
+#: locale/programs/ld-ctype.c:877
 #, c-format
 msgid "not all characters used in `outdigit' are available in the repertoire"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1176
+#: locale/programs/ld-ctype.c:1142
 #, c-format
 msgid "character class `%s' already defined"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1182
+#: locale/programs/ld-ctype.c:1148
 #, c-format
 msgid "implementation limit: no more than %Zd character classes allowed"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1208
+#: locale/programs/ld-ctype.c:1174
 #, c-format
 msgid "character map `%s' already defined"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1214
+#: locale/programs/ld-ctype.c:1180
 #, c-format
 msgid "implementation limit: no more than %d character maps allowed"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1479 locale/programs/ld-ctype.c:1604
-#: locale/programs/ld-ctype.c:1710 locale/programs/ld-ctype.c:2400
-#: locale/programs/ld-ctype.c:3397
+#: locale/programs/ld-ctype.c:1445 locale/programs/ld-ctype.c:1570
+#: locale/programs/ld-ctype.c:1676 locale/programs/ld-ctype.c:2352
+#: locale/programs/ld-ctype.c:3324
 #, c-format
 msgid "%s: field `%s' does not contain exactly ten entries"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1507 locale/programs/ld-ctype.c:2081
+#: locale/programs/ld-ctype.c:1473 locale/programs/ld-ctype.c:2047
 #, c-format
 msgid "to-value <U%0*X> of range is smaller than from-value <U%0*X>"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1634
+#: locale/programs/ld-ctype.c:1600
 msgid "start and end character sequence of range must have the same length"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1641
+#: locale/programs/ld-ctype.c:1607
 msgid "to-value character sequence is smaller than from-value sequence"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2001 locale/programs/ld-ctype.c:2052
+#: locale/programs/ld-ctype.c:1967 locale/programs/ld-ctype.c:2018
 msgid "premature end of `translit_ignore' definition"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2007 locale/programs/ld-ctype.c:2058
-#: locale/programs/ld-ctype.c:2100
+#: locale/programs/ld-ctype.c:1973 locale/programs/ld-ctype.c:2024
+#: locale/programs/ld-ctype.c:2066
 msgid "syntax error"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2233
+#: locale/programs/ld-ctype.c:2199
 #, c-format
 msgid "%s: syntax error in definition of new character class"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2248
+#: locale/programs/ld-ctype.c:2214
 #, c-format
 msgid "%s: syntax error in definition of new character map"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2422
+#: locale/programs/ld-ctype.c:2374
 msgid "ellipsis range must be marked by two operands of same type"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2431
+#: locale/programs/ld-ctype.c:2383
 msgid "with symbolic name range values the absolute ellipsis `...' must not be used"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2446
+#: locale/programs/ld-ctype.c:2398
 msgid "with UCS range values one must use the hexadecimal symbolic ellipsis `..'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2460
+#: locale/programs/ld-ctype.c:2412
 msgid "with character code range values one must use the absolute ellipsis `...'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2611
+#: locale/programs/ld-ctype.c:2563
 #, c-format
 msgid "duplicated definition for mapping `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2697 locale/programs/ld-ctype.c:2841
+#: locale/programs/ld-ctype.c:2649 locale/programs/ld-ctype.c:2793
 #, c-format
 msgid "%s: `translit_start' section does not end with `translit_end'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2792
+#: locale/programs/ld-ctype.c:2744
 #, c-format
 msgid "%s: duplicate `default_missing' definition"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2797
+#: locale/programs/ld-ctype.c:2749
 msgid "previous definition was here"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2819
+#: locale/programs/ld-ctype.c:2771
 #, c-format
 msgid "%s: no representable `default_missing' definition found"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2962 locale/programs/ld-ctype.c:3059
-#: locale/programs/ld-ctype.c:3079 locale/programs/ld-ctype.c:3100
-#: locale/programs/ld-ctype.c:3121 locale/programs/ld-ctype.c:3142
-#: locale/programs/ld-ctype.c:3163 locale/programs/ld-ctype.c:3203
-#: locale/programs/ld-ctype.c:3224 locale/programs/ld-ctype.c:3289
-#: locale/programs/ld-ctype.c:3331 locale/programs/ld-ctype.c:3356
+#: locale/programs/ld-ctype.c:2889 locale/programs/ld-ctype.c:2986
+#: locale/programs/ld-ctype.c:3006 locale/programs/ld-ctype.c:3027
+#: locale/programs/ld-ctype.c:3048 locale/programs/ld-ctype.c:3069
+#: locale/programs/ld-ctype.c:3090 locale/programs/ld-ctype.c:3130
+#: locale/programs/ld-ctype.c:3151 locale/programs/ld-ctype.c:3216
+#: locale/programs/ld-ctype.c:3258 locale/programs/ld-ctype.c:3283
 #, c-format
 msgid "%s: character `%s' not defined while needed as default value"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2967 locale/programs/ld-ctype.c:3064
-#: locale/programs/ld-ctype.c:3084 locale/programs/ld-ctype.c:3105
-#: locale/programs/ld-ctype.c:3126 locale/programs/ld-ctype.c:3147
-#: locale/programs/ld-ctype.c:3168 locale/programs/ld-ctype.c:3208
-#: locale/programs/ld-ctype.c:3229 locale/programs/ld-ctype.c:3294
+#: locale/programs/ld-ctype.c:2894 locale/programs/ld-ctype.c:2991
+#: locale/programs/ld-ctype.c:3011 locale/programs/ld-ctype.c:3032
+#: locale/programs/ld-ctype.c:3053 locale/programs/ld-ctype.c:3074
+#: locale/programs/ld-ctype.c:3095 locale/programs/ld-ctype.c:3135
+#: locale/programs/ld-ctype.c:3156 locale/programs/ld-ctype.c:3221
 #, c-format
 msgid "%s: character `%s' in charmap not representable with one byte"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3338 locale/programs/ld-ctype.c:3363
+#: locale/programs/ld-ctype.c:3265 locale/programs/ld-ctype.c:3290
 #, c-format
 msgid "%s: character `%s' needed as default value not representable with one byte"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3419
+#: locale/programs/ld-ctype.c:3346
 #, c-format
 msgid "no output digits defined and none of the standard names in the charmap"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3668
+#: locale/programs/ld-ctype.c:3595
 #, c-format
 msgid "%s: transliteration data from locale `%s' not available"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3768
+#: locale/programs/ld-ctype.c:3695
 #, c-format
 msgid "%s: table for class \"%s\": %lu bytes\n"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3833
+#: locale/programs/ld-ctype.c:3760
 #, c-format
 msgid "%s: table for map \"%s\": %lu bytes\n"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3958
+#: locale/programs/ld-ctype.c:3885
 #, c-format
 msgid "%s: table for width: %lu bytes\n"
 msgstr ""
@@ -3767,17 +3759,22 @@ msgstr ""
 msgid " (first)"
 msgstr ""
 
-#: nscd/cache.c:285 nscd/connections.c:1000
+#: nscd/cache.c:288
 #, c-format
-msgid "cannot stat() file `%s': %s"
+msgid "checking for monitored file `%s': %s"
 msgstr ""
 
-#: nscd/cache.c:331
+#: nscd/cache.c:298
+#, c-format
+msgid "monitored file `%s` changed (mtime)"
+msgstr ""
+
+#: nscd/cache.c:341
 #, c-format
 msgid "pruning %s cache; time %ld"
 msgstr ""
 
-#: nscd/cache.c:360
+#: nscd/cache.c:370
 #, c-format
 msgid "considering %s entry \"%s\", timeout %<PRIu64>"
 msgstr ""
@@ -3871,153 +3868,214 @@ msgstr ""
 msgid "cannot enable socket to accept connections: %s"
 msgstr ""
 
-#: nscd/connections.c:984
+#: nscd/connections.c:973
 #, c-format
-msgid "register trace file %s for database %s"
+msgid "disabled inotify-based monitoring for file `%s': %s"
 msgstr ""
 
-#: nscd/connections.c:1114
+#: nscd/connections.c:977
+#, c-format
+msgid "monitoring file `%s` (%d)"
+msgstr ""
+
+#: nscd/connections.c:990
+#, c-format
+msgid "disabled inotify-based monitoring for directory `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:994
+#, fuzzy, c-format
+#| msgid "Can't open directory %s"
+msgid "monitoring directory `%s` (%d)"
+msgstr "Немагчыма адчыніць тэчку %s"
+
+#: nscd/connections.c:1022
+#, c-format
+msgid "monitoring file %s for database %s"
+msgstr ""
+
+#: nscd/connections.c:1032
+#, c-format
+msgid "stat failed for file `%s'; will try again later: %s"
+msgstr ""
+
+#: nscd/connections.c:1151
 #, c-format
 msgid "provide access to FD %d, for %s"
 msgstr ""
 
-#: nscd/connections.c:1126
+#: nscd/connections.c:1163
 #, c-format
 msgid "cannot handle old request version %d; current version is %d"
 msgstr ""
 
-#: nscd/connections.c:1148
+#: nscd/connections.c:1185
 #, c-format
 msgid "request from %ld not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1153
+#: nscd/connections.c:1190
 #, c-format
 msgid "request from '%s' [%ld] not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1158
+#: nscd/connections.c:1195
 msgid "request not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1196 nscd/connections.c:1249
+#: nscd/connections.c:1233 nscd/connections.c:1286
 #, c-format
 msgid "cannot write result: %s"
 msgstr "немагчыма запісаць вынік: %s"
 
-#: nscd/connections.c:1340
+#: nscd/connections.c:1377
 #, c-format
 msgid "error getting caller's id: %s"
 msgstr ""
 
-#: nscd/connections.c:1400
+#: nscd/connections.c:1437
 #, c-format
 msgid "cannot open /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1414
+#: nscd/connections.c:1451
 #, c-format
 msgid "cannot read /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1454
+#: nscd/connections.c:1491
 #, c-format
 msgid "cannot change to old UID: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1464
+#: nscd/connections.c:1501
 #, c-format
 msgid "cannot change to old GID: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1477
+#: nscd/connections.c:1514
 #, c-format
 msgid "cannot change to old working directory: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1523
+#: nscd/connections.c:1560
 #, c-format
 msgid "re-exec failed: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1532
+#: nscd/connections.c:1569
 #, c-format
 msgid "cannot change current working directory to \"/\": %s"
 msgstr ""
 
-#: nscd/connections.c:1725
+#: nscd/connections.c:1762
 #, c-format
 msgid "short read while reading request: %s"
 msgstr ""
 
-#: nscd/connections.c:1758
+#: nscd/connections.c:1795
 #, c-format
 msgid "key length in request too long: %d"
 msgstr ""
 
-#: nscd/connections.c:1771
+#: nscd/connections.c:1808
 #, c-format
 msgid "short read while reading request key: %s"
 msgstr ""
 
-#: nscd/connections.c:1781
+#: nscd/connections.c:1818
 #, c-format
 msgid "handle_request: request received (Version = %d) from PID %ld"
 msgstr ""
 
-#: nscd/connections.c:1786
+#: nscd/connections.c:1823
 #, c-format
 msgid "handle_request: request received (Version = %d)"
 msgstr ""
 
-#: nscd/connections.c:2050 nscd/connections.c:2252
+#: nscd/connections.c:1963
 #, c-format
-msgid "disabled inotify after read error %d"
+msgid "ignored inotify event for `%s` (file exists)"
 msgstr ""
 
-#: nscd/connections.c:2375
+#: nscd/connections.c:1968
+#, c-format
+msgid "monitored file `%s` was %s, removing watch"
+msgstr ""
+
+#: nscd/connections.c:1976 nscd/connections.c:2018
+#, c-format
+msgid "failed to remove file watch `%s`: %s"
+msgstr ""
+
+#: nscd/connections.c:1991
+#, c-format
+msgid "monitored file `%s` was written to"
+msgstr ""
+
+#: nscd/connections.c:2015
+#, c-format
+msgid "monitored parent directory `%s` was %s, removing watch on `%s`"
+msgstr ""
+
+#: nscd/connections.c:2041
+#, c-format
+msgid "monitored file `%s` was %s, adding watch"
+msgstr ""
+
+#: nscd/connections.c:2053
+#, c-format
+msgid "failed to add file watch `%s`: %s"
+msgstr ""
+
+#: nscd/connections.c:2247 nscd/connections.c:2428
+#, c-format
+msgid "disabled inotify-based monitoring after read error %d"
+msgstr ""
+
+#: nscd/connections.c:2543
 msgid "could not initialize conditional variable"
 msgstr ""
 
-#: nscd/connections.c:2383
+#: nscd/connections.c:2551
 msgid "could not start clean-up thread; terminating"
 msgstr ""
 
-#: nscd/connections.c:2397
+#: nscd/connections.c:2565
 msgid "could not start any worker thread; terminating"
 msgstr ""
 
-#: nscd/connections.c:2452 nscd/connections.c:2454 nscd/connections.c:2470
-#: nscd/connections.c:2480 nscd/connections.c:2498 nscd/connections.c:2509
-#: nscd/connections.c:2519
+#: nscd/connections.c:2620 nscd/connections.c:2622 nscd/connections.c:2638
+#: nscd/connections.c:2648 nscd/connections.c:2666 nscd/connections.c:2677
+#: nscd/connections.c:2687
 #, c-format
 msgid "Failed to run nscd as user '%s'"
 msgstr ""
 
-#: nscd/connections.c:2472
+#: nscd/connections.c:2640
 msgid "initial getgrouplist failed"
 msgstr ""
 
-#: nscd/connections.c:2481
+#: nscd/connections.c:2649
 msgid "getgrouplist failed"
 msgstr ""
 
-#: nscd/connections.c:2499
+#: nscd/connections.c:2667
 msgid "setgroups failed"
 msgstr ""
 
-#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:410
+#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:411
 #: nscd/pwdcache.c:383 nscd/servicescache.c:338
 #, c-format
 msgid "short write in %s: %s"
 msgstr ""
 
-#: nscd/grpcache.c:450 nscd/initgrcache.c:77
+#: nscd/grpcache.c:450 nscd/initgrcache.c:78
 #, c-format
 msgid "Haven't found \"%s\" in group cache!"
 msgstr ""
 
-#: nscd/grpcache.c:452 nscd/initgrcache.c:79
+#: nscd/grpcache.c:452 nscd/initgrcache.c:80
 #, c-format
 msgid "Reloading \"%s\" in group cache!"
 msgstr ""
@@ -4105,7 +4163,7 @@ msgstr "Выкарыстоўваць асабісты кэш для кожнаг
 msgid "Name Service Cache Daemon."
 msgstr ""
 
-#: nscd/nscd.c:155 nss/getent.c:1003 nss/makedb.c:206
+#: nscd/nscd.c:155 nss/getent.c:1007 nss/makedb.c:206
 #, c-format
 msgid "wrong number of arguments"
 msgstr ""
@@ -4142,7 +4200,7 @@ msgstr ""
 msgid "Could not create log file"
 msgstr "Немагчыма стварыць log-файл \"%s\""
 
-#: nscd/nscd.c:355 nscd/nscd_stat.c:192
+#: nscd/nscd.c:355 nscd/nscd_stat.c:194
 #, c-format
 msgid "write incomplete"
 msgstr "запіс няскончаны"
@@ -4159,7 +4217,7 @@ msgstr "немагчыма прачытаць загаловак"
 msgid "invalidation failed"
 msgstr "Памылка зьмяненьня"
 
-#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:173
+#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:175
 #, c-format
 msgid "Only root is allowed to use this option!"
 msgstr ""
@@ -4241,35 +4299,35 @@ msgstr ""
 msgid "maximum file size for %s database too small"
 msgstr ""
 
-#: nscd/nscd_stat.c:142
+#: nscd/nscd_stat.c:144
 #, c-format
 msgid "cannot write statistics: %s"
 msgstr "немагчыма запісаць статыстыку: %s"
 
-#: nscd/nscd_stat.c:157
+#: nscd/nscd_stat.c:159
 msgid "yes"
 msgstr ""
 
-#: nscd/nscd_stat.c:158
+#: nscd/nscd_stat.c:160
 msgid "no"
 msgstr ""
 
-#: nscd/nscd_stat.c:169
+#: nscd/nscd_stat.c:171
 #, c-format
 msgid "Only root or %s is allowed to use this option!"
 msgstr ""
 
-#: nscd/nscd_stat.c:180
+#: nscd/nscd_stat.c:182
 #, c-format
 msgid "nscd not running!\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:204
+#: nscd/nscd_stat.c:206
 #, c-format
 msgid "cannot read statistics data"
 msgstr ""
 
-#: nscd/nscd_stat.c:207
+#: nscd/nscd_stat.c:209
 #, c-format
 msgid ""
 "nscd configuration:\n"
@@ -4277,27 +4335,27 @@ msgid ""
 "%15d  server debug level\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:231
+#: nscd/nscd_stat.c:233
 #, c-format
 msgid "%3ud %2uh %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:234
+#: nscd/nscd_stat.c:236
 #, c-format
 msgid "    %2uh %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:236
+#: nscd/nscd_stat.c:238
 #, c-format
 msgid "        %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:238
+#: nscd/nscd_stat.c:240
 #, c-format
 msgid "            %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:240
+#: nscd/nscd_stat.c:242
 #, c-format
 msgid ""
 "%15d  current number of threads\n"
@@ -4308,7 +4366,7 @@ msgid ""
 "%15u  reload count\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:275
+#: nscd/nscd_stat.c:277
 #, fuzzy, c-format
 #| msgid ""
 #| "\n"
@@ -4377,91 +4435,91 @@ msgstr ""
 msgid "Invalid numeric uid \"%s\"!"
 msgstr ""
 
-#: nscd/selinux.c:155
+#: nscd/selinux.c:154
 #, c-format
 msgid "Failed opening connection to the audit subsystem: %m"
 msgstr ""
 
-#: nscd/selinux.c:176
+#: nscd/selinux.c:175
 msgid "Failed to set keep-capabilities"
 msgstr ""
 
-#: nscd/selinux.c:177 nscd/selinux.c:240
+#: nscd/selinux.c:176 nscd/selinux.c:239
 msgid "prctl(KEEPCAPS) failed"
 msgstr ""
 
-#: nscd/selinux.c:191
+#: nscd/selinux.c:190
 msgid "Failed to initialize drop of capabilities"
 msgstr ""
 
-#: nscd/selinux.c:192
+#: nscd/selinux.c:191
 #, fuzzy
 #| msgid "Modification failed"
 msgid "cap_init failed"
 msgstr "Памылка зьмяненьня"
 
-#: nscd/selinux.c:213 nscd/selinux.c:230
+#: nscd/selinux.c:212 nscd/selinux.c:229
 msgid "Failed to drop capabilities"
 msgstr ""
 
-#: nscd/selinux.c:214 nscd/selinux.c:231
+#: nscd/selinux.c:213 nscd/selinux.c:230
 msgid "cap_set_proc failed"
 msgstr ""
 
-#: nscd/selinux.c:239
+#: nscd/selinux.c:238
 msgid "Failed to unset keep-capabilities"
 msgstr ""
 
-#: nscd/selinux.c:255
+#: nscd/selinux.c:254
 msgid "Failed to determine if kernel supports SELinux"
 msgstr ""
 
-#: nscd/selinux.c:270
+#: nscd/selinux.c:269
 msgid "Failed to start AVC thread"
 msgstr ""
 
-#: nscd/selinux.c:292
+#: nscd/selinux.c:291
 #, fuzzy
 #| msgid "failed to create new locale archive"
 msgid "Failed to create AVC lock"
 msgstr "немагчыма стварыць новы архіў мясцовасьці"
 
-#: nscd/selinux.c:332
+#: nscd/selinux.c:331
 msgid "Failed to start AVC"
 msgstr ""
 
-#: nscd/selinux.c:334
+#: nscd/selinux.c:333
 msgid "Access Vector Cache (AVC) started"
 msgstr ""
 
-#: nscd/selinux.c:369
+#: nscd/selinux.c:368
 msgid "Error querying policy for undefined object classes or permissions."
 msgstr ""
 
-#: nscd/selinux.c:376
+#: nscd/selinux.c:375
 msgid "Error getting security class for nscd."
 msgstr ""
 
-#: nscd/selinux.c:381
+#: nscd/selinux.c:380
 #, c-format
 msgid "Error translating permission name \"%s\" to access vector bit."
 msgstr ""
 
-#: nscd/selinux.c:391
+#: nscd/selinux.c:390
 msgid "Error getting context of socket peer"
 msgstr ""
 
-#: nscd/selinux.c:396
+#: nscd/selinux.c:395
 msgid "Error getting context of nscd"
 msgstr ""
 
-#: nscd/selinux.c:402
+#: nscd/selinux.c:401
 #, fuzzy
 #| msgid "Error writing standard output"
 msgid "Error getting sid from context"
 msgstr "Памылка запісу стандартнага вываду"
 
-#: nscd/selinux.c:440
+#: nscd/selinux.c:439
 #, c-format
 msgid ""
 "\n"
@@ -4512,17 +4570,17 @@ msgstr ""
 msgid "Enumeration not supported on %s\n"
 msgstr "Пералічэньне непадтрымліваецца на %s\n"
 
-#: nss/getent.c:917
+#: nss/getent.c:921
 #, fuzzy, c-format
 #| msgid "Unknown database: %s\n"
 msgid "Unknown database name"
 msgstr "Невядомая база даньняў: %s\n"
 
-#: nss/getent.c:947
+#: nss/getent.c:951
 msgid "Supported databases:\n"
 msgstr ""
 
-#: nss/getent.c:1013
+#: nss/getent.c:1017
 #, c-format
 msgid "Unknown database: %s\n"
 msgstr "Невядомая база даньняў: %s\n"
@@ -4808,7 +4866,7 @@ msgstr ""
 msgid "No previous regular expression"
 msgstr ""
 
-#: posix/wordexp.c:1844
+#: posix/wordexp.c:1851
 msgid "parameter null or not set"
 msgstr ""
 
@@ -7221,6 +7279,9 @@ msgstr ""
 msgid "%s: Can't create directory %s: %s\n"
 msgstr "%s: немагчыма стварыць тэчку %s: %s\n"
 
+#~ msgid "cannot create internal descriptors"
+#~ msgstr "немагчыма стварыць унутраныя дэскрыптары"
+
 #~ msgid "Error 0"
 #~ msgstr "Памылка 0"
 
diff --git a/po/bg.po b/po/bg.po
index 0af2e9b..5e9b835 100644
--- a/po/bg.po
+++ b/po/bg.po
@@ -7,9 +7,9 @@
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: libc 2.19.90\n"
-"POT-Creation-Date: 2015-01-20 22:14-0500\n"
-"PO-Revision-Date: 2014-08-21 22:16+0300\n"
+"Project-Id-Version: libc 2.22-pre1\n"
+"POT-Creation-Date: 2015-07-31 00:10-0400\n"
+"PO-Revision-Date: 2015-08-02 23:16+0300\n"
 "Last-Translator: Roumen Petrov <transl@roumenpetrov.info>\n"
 "Language-Team: Bulgarian <dict@ludost.net>\n"
 "Language: bg\n"
@@ -146,10 +146,10 @@ msgstr ""
 "[ИЗХОДЕН-ФАЙЛ [ВХОДЕН_ФАЙЛ]...]"
 
 #: catgets/gencat.c:229 debug/pcprofiledump.c:209 elf/ldconfig.c:307
-#: elf/pldd.c:244 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
+#: elf/pldd.c:252 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
 #: iconv/iconvconfig.c:379 locale/programs/locale.c:277
 #: locale/programs/localedef.c:376 login/programs/pt_chown.c:88
-#: malloc/memusagestat.c:563 nss/getent.c:969 nss/makedb.c:369
+#: malloc/memusagestat.c:563 nss/getent.c:973 nss/makedb.c:369
 #: posix/getconf.c:486 sunrpc/rpcinfo.c:691
 #: sysdeps/unix/sysv/linux/lddlibc4.c:61
 #, c-format
@@ -161,7 +161,7 @@ msgstr ""
 "%s.\n"
 
 #: catgets/gencat.c:245 debug/pcprofiledump.c:225 debug/xtrace.sh:64
-#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:260 elf/sotruss.sh:75
+#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:268 elf/sotruss.sh:75
 #: elf/sprof.c:389 iconv/iconv_prog.c:425 iconv/iconvconfig.c:396
 #: locale/programs/locale.c:294 locale/programs/localedef.c:402
 #: login/programs/pt_chown.c:62 malloc/memusage.sh:71
@@ -178,7 +178,7 @@ msgstr ""
 "ГАРАНЦИИ, включително без предполагаемите гаранции за полезност и пригодност.\n"
 
 #: catgets/gencat.c:250 debug/pcprofiledump.c:230 debug/xtrace.sh:68
-#: elf/ldconfig.c:328 elf/pldd.c:265 elf/sprof.c:395 iconv/iconv_prog.c:430
+#: elf/ldconfig.c:328 elf/pldd.c:273 elf/sprof.c:395 iconv/iconv_prog.c:430
 #: iconv/iconvconfig.c:401 locale/programs/locale.c:299
 #: locale/programs/localedef.c:407 malloc/memusage.sh:75
 #: malloc/memusagestat.c:586 nscd/nscd.c:514 nss/getent.c:91 nss/makedb.c:390
@@ -433,11 +433,11 @@ msgstr "Пропадна смяната па правата за достъп о
 msgid "Renaming of %s to %s failed"
 msgstr "Пропадна преименуването от %s към %s"
 
-#: elf/dl-close.c:385 elf/dl-open.c:470
+#: elf/dl-close.c:396 elf/dl-open.c:478
 msgid "cannot create scope list"
 msgstr "не може да се създаде списък на обхватът"
 
-#: elf/dl-close.c:770
+#: elf/dl-close.c:816
 msgid "shared object not open"
 msgstr "не е отворен споделеният обект"
 
@@ -510,127 +510,127 @@ msgstr "не може да се създаде масив на директор
 msgid "cannot stat shared object"
 msgstr "не може да се определят атрибутите на споделен обект"
 
-#: elf/dl-load.c:963
+#: elf/dl-load.c:962
 msgid "cannot open zero fill device"
 msgstr "не може да се отвори устройството за запълване с нули(/dev/zero)"
 
-#: elf/dl-load.c:1010 elf/dl-load.c:2165
+#: elf/dl-load.c:1009 elf/dl-load.c:2159
 msgid "cannot create shared object descriptor"
 msgstr "не може да се създаде описание за споделен обект"
 
-#: elf/dl-load.c:1029 elf/dl-load.c:1570 elf/dl-load.c:1682
+#: elf/dl-load.c:1028 elf/dl-load.c:1568 elf/dl-load.c:1680
 msgid "cannot read file data"
 msgstr "не може да се прочетат данни от файлът"
 
-#: elf/dl-load.c:1069
+#: elf/dl-load.c:1068
 msgid "ELF load command alignment not page-aligned"
 msgstr "подравняването, в командата за зареждане на ELF, не е подравнено на страници"
 
-#: elf/dl-load.c:1076
+#: elf/dl-load.c:1075
 msgid "ELF load command address/offset not properly aligned"
 msgstr "адресът/отместването, в командата за зареждане на ELF, не е подравнен правилно"
 
-#: elf/dl-load.c:1160
+#: elf/dl-load.c:1159
 msgid "cannot allocate TLS data structures for initial thread"
 msgstr "за първоначалната нишка, не може да се заделят структурите за TLS данни"
 
-#: elf/dl-load.c:1183
+#: elf/dl-load.c:1182
 msgid "cannot handle TLS data"
 msgstr "не се поддържат TLS данни"
 
-#: elf/dl-load.c:1202
+#: elf/dl-load.c:1201
 msgid "object file has no loadable segments"
 msgstr "обектният файл е без дялове за свързване"
 
-#: elf/dl-load.c:1211 elf/dl-load.c:1662
+#: elf/dl-load.c:1210 elf/dl-load.c:1660
 msgid "cannot dynamically load executable"
 msgstr "изпълнимият файл не може да се свърже динамично"
 
-#: elf/dl-load.c:1232
+#: elf/dl-load.c:1231
 msgid "object file has no dynamic section"
 msgstr "обектният файл е без секция за динамично свързване"
 
-#: elf/dl-load.c:1255
+#: elf/dl-load.c:1254
 msgid "shared object cannot be dlopen()ed"
 msgstr "не е възможно dlopen() за споделеният обект"
 
-#: elf/dl-load.c:1268
+#: elf/dl-load.c:1267
 msgid "cannot allocate memory for program header"
 msgstr "не може да се задели памет за заглавието на програмата"
 
-#: elf/dl-load.c:1284 elf/dl-open.c:195
+#: elf/dl-load.c:1283 elf/dl-open.c:195
 msgid "invalid caller"
 msgstr "неправилен извикващ"
 
-#: elf/dl-load.c:1307 elf/dl-load.h:130
+#: elf/dl-load.c:1306 elf/dl-load.h:130
 msgid "cannot change memory protections"
 msgstr "не може да се промени защитата на паметта"
 
-#: elf/dl-load.c:1327
+#: elf/dl-load.c:1326
 msgid "cannot enable executable stack as shared object requires"
 msgstr "стекът не може да се разреши за изпълнение, както е поискано от споделения обект"
 
-#: elf/dl-load.c:1340
+#: elf/dl-load.c:1339
 msgid "cannot close file descriptor"
 msgstr "не може да се затвори описанието на файлът"
 
-#: elf/dl-load.c:1570
+#: elf/dl-load.c:1568
 msgid "file too short"
 msgstr "файлът е твърде къс"
 
-#: elf/dl-load.c:1605
+#: elf/dl-load.c:1603
 msgid "invalid ELF header"
 msgstr "неправилен ELF заглавен блок"
 
-#: elf/dl-load.c:1617
+#: elf/dl-load.c:1615
 msgid "ELF file data encoding not big-endian"
 msgstr "данните от ELF файлът не са кодирани със старши байт първи(big-endian)"
 
-#: elf/dl-load.c:1619
+#: elf/dl-load.c:1617
 msgid "ELF file data encoding not little-endian"
 msgstr "данните от ELF файлът не са кодирани с младши байт първи(little-endian)"
 
-#: elf/dl-load.c:1623
+#: elf/dl-load.c:1621
 msgid "ELF file version ident does not match current one"
 msgstr "идентификаторът на версия от ELF файлът не съответства на текущата"
 
-#: elf/dl-load.c:1627
+#: elf/dl-load.c:1625
 msgid "ELF file OS ABI invalid"
 msgstr "ELF файлът е с неправилен номер на ДПИ(ABI-двоичен програмен интерфейс) за ОС "
 
-#: elf/dl-load.c:1630
+#: elf/dl-load.c:1628
 msgid "ELF file ABI version invalid"
 msgstr "ELF файлът е с неправилна версия за ДПИ(двоичен програмен интерфейс)"
 
-#: elf/dl-load.c:1633
+#: elf/dl-load.c:1631
 msgid "nonzero padding in e_ident"
 msgstr "ненулево допълване при e_ident"
 
-#: elf/dl-load.c:1636
+#: elf/dl-load.c:1634
 msgid "internal error"
 msgstr "вътрешна грешка"
 
-#: elf/dl-load.c:1643
+#: elf/dl-load.c:1641
 msgid "ELF file version does not match current one"
 msgstr "версията, на ELF файлът, не съответства на текущата"
 
-#: elf/dl-load.c:1651
+#: elf/dl-load.c:1649
 msgid "only ET_DYN and ET_EXEC can be loaded"
 msgstr "само ET_DYN и ET_EXEC могат да се свържат"
 
-#: elf/dl-load.c:1667
+#: elf/dl-load.c:1665
 msgid "ELF file's phentsize not the expected size"
 msgstr "неочакван размер на елемент(phentsize) в заглавието на ELF файл"
 
-#: elf/dl-load.c:2184
+#: elf/dl-load.c:2178
 msgid "wrong ELF class: ELFCLASS64"
 msgstr "неправилен ELF клас: ELFCLASS64"
 
-#: elf/dl-load.c:2185
+#: elf/dl-load.c:2179
 msgid "wrong ELF class: ELFCLASS32"
 msgstr "неправилен ELF клас: ELFCLASS32"
 
-#: elf/dl-load.c:2188
+#: elf/dl-load.c:2182
 msgid "cannot open shared object file"
 msgstr "не може да се отвори файлът със споделения обект"
 
@@ -642,11 +642,11 @@ msgstr "пропадна изображението на дял от споде
 msgid "cannot map zero-fill pages"
 msgstr "не може да се изобразят страници запълнени с нули"
 
-#: elf/dl-lookup.c:791
+#: elf/dl-lookup.c:845
 msgid "relocation error"
 msgstr "грешка при преместване"
 
-#: elf/dl-lookup.c:818
+#: elf/dl-lookup.c:872
 msgid "symbol lookup error"
 msgstr "грешка при търсене на символ"
 
@@ -654,49 +654,40 @@ msgstr "грешка при търсене на символ"
 msgid "cannot extend global scope"
 msgstr "не може да се увеличи общата област"
 
-#: elf/dl-open.c:520
+#: elf/dl-open.c:528
 msgid "TLS generation counter wrapped!  Please report this."
 msgstr "Превъртян брояч за пораждане на TLS! Моля рапортувайте го."
 
-#: elf/dl-open.c:542
-msgid "cannot load any more object with static TLS"
-msgstr "не може да се заредят повече обектив статичен TSL блок"
-
-#: elf/dl-open.c:599
+#: elf/dl-open.c:592
 msgid "invalid mode for dlopen()"
 msgstr "неправилен режим за dlopen()"
 
-#: elf/dl-open.c:616
+#: elf/dl-open.c:609
 msgid "no more namespaces available for dlmopen()"
 msgstr "не са налични повече именувани пространства за dlmopen()"
 
-#: elf/dl-open.c:634
+#: elf/dl-open.c:633
 msgid "invalid target namespace in dlmopen()"
 msgstr "неправилно именувано целево пространство в dlmopen()"
 
-#: elf/dl-reloc.c:120
+#: elf/dl-reloc.c:121
 msgid "cannot allocate memory in static TLS block"
 msgstr "не може да се задели памет в статичен TSL блок"
 
-#: elf/dl-reloc.c:212
+#: elf/dl-reloc.c:206
 msgid "cannot make segment writable for relocation"
 msgstr "дялът не може да се маркира като записваем за \"преместваем код\""
 
-#: elf/dl-reloc.c:275
-#, c-format
-msgid "%s: no PLTREL found in object %s\n"
-msgstr "%s: не е намерен PLTREL за обекта %s\n"
-
-#: elf/dl-reloc.c:290
+#: elf/dl-reloc.c:276
 #, c-format
 msgid "%s: out of memory to store relocation results for %s\n"
 msgstr "%s: недостиг на памет за съхраняване на резултата за \"преместваем код\" на %s\n"
 
-#: elf/dl-reloc.c:306
+#: elf/dl-reloc.c:292
 msgid "cannot restore segment prot after reloc"
 msgstr "не може да се възстанови защитата на дяла след преместване"
 
-#: elf/dl-reloc.c:335
+#: elf/dl-reloc.c:323
 msgid "cannot apply additional memory protection after relocation"
 msgstr "след преместването не може да се постави допълнителна защита на паметта"
 
@@ -704,7 +695,7 @@ msgstr "след преместването не може да се постав
 msgid "RTLD_NEXT used in code not dynamically loaded"
 msgstr "RTLD_NEXT е използван в код, който не е за динамично свързване"
 
-#: elf/dl-tls.c:933
+#: elf/dl-tls.c:934
 msgid "cannot create TLS data structures"
 msgstr "не може да се създадат структури за TLS данни"
 
@@ -848,7 +839,7 @@ msgstr "Не е създадена връзка, защото не е намер
 msgid "Can't open directory %s"
 msgstr "Не може да се отвори директория %s"
 
-#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:90
+#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:97
 #, c-format
 msgid "Input file %s not found.\n"
 msgstr "Входния файл %s не е намерен.\n"
@@ -979,7 +970,7 @@ msgstr "липсва аргумент за файл"
 msgid "No such file or directory"
 msgstr "Няма такъв файл или директория"
 
-#: elf/ldd.bash.in:150 inet/rcmd.c:488
+#: elf/ldd.bash.in:150 inet/rcmd.c:492
 msgid "not regular file"
 msgstr "не е обикновен файл"
 
@@ -1024,65 +1015,70 @@ msgstr "не може да се прочете r_debug"
 msgid "cannot read program interpreter"
 msgstr "не може да се прочете програмното възпроизвеждане"
 
-#: elf/pldd-xx.c:196
+#: elf/pldd-xx.c:197
 #, c-format
 msgid "cannot read link map"
 msgstr "не може да се прочете изобразяването на връзките"
 
-#: elf/pldd-xx.c:207
+#: elf/pldd-xx.c:209
 #, c-format
 msgid "cannot read object name"
 msgstr "не може да се прочете името на обекта"
 
-#: elf/pldd.c:63
+#: elf/pldd-xx.c:219
+#, c-format
+msgid "cannot allocate buffer for object name"
+msgstr "не може да се задели памет име на обекта"
+
+#: elf/pldd.c:64
 msgid "List dynamic shared objects loaded into process."
 msgstr "Изброяване на динамично свързаните обекти заредени от процеса."
 
-#: elf/pldd.c:67
+#: elf/pldd.c:68
 msgid "PID"
 msgstr "Ном.проц."
 
-#: elf/pldd.c:99
+#: elf/pldd.c:100
 #, c-format
 msgid "Exactly one parameter with process ID required.\n"
 msgstr "Необходим е точно един параметър с номер на процес.\n"
 
-#: elf/pldd.c:111
+#: elf/pldd.c:112
 #, c-format
 msgid "invalid process ID '%s'"
 msgstr "неправилен разпознавател на процес '%s'"
 
-#: elf/pldd.c:119
+#: elf/pldd.c:120
 #, c-format
 msgid "cannot open %s"
 msgstr "не може да се отвори %s"
 
-#: elf/pldd.c:144
+#: elf/pldd.c:152
 #, c-format
 msgid "cannot open %s/task"
 msgstr "не може да се отвори задача %s"
 
-#: elf/pldd.c:147
+#: elf/pldd.c:155
 #, c-format
 msgid "cannot prepare reading %s/task"
 msgstr "не е готово четенето на задача %s"
 
-#: elf/pldd.c:160
+#: elf/pldd.c:168
 #, c-format
 msgid "invalid thread ID '%s'"
 msgstr "неправилен разпознавател за нишка '%s'"
 
-#: elf/pldd.c:171
+#: elf/pldd.c:179
 #, c-format
 msgid "cannot attach to process %lu"
 msgstr "не може да се закачи към процес %lu"
 
-#: elf/pldd.c:286
+#: elf/pldd.c:294
 #, c-format
 msgid "cannot get information about process %lu"
 msgstr "не може да се вземат сведения за процес %lu"
 
-#: elf/pldd.c:299
+#: elf/pldd.c:307
 #, c-format
 msgid "process %lu is no ELF program"
 msgstr "процеса %lu не е ELF-програма"
@@ -1117,27 +1113,27 @@ msgstr "%s не е файл за споделен обект (Тип: %d).\n"
 msgid "more than one dynamic segment\n"
 msgstr "повече от един дял за динамично свързване\n"
 
-#: elf/readlib.c:96
+#: elf/readlib.c:103
 #, c-format
 msgid "Cannot fstat file %s.\n"
 msgstr "Не може да се определят атрибутите(fstat) на файлът %s.\n"
 
-#: elf/readlib.c:107
+#: elf/readlib.c:114
 #, c-format
 msgid "File %s is empty, not checked."
 msgstr "Файлът %s е празен и не е проверен."
 
-#: elf/readlib.c:113
+#: elf/readlib.c:120
 #, c-format
 msgid "File %s is too small, not checked."
 msgstr "Файлът %s е много къс и не е проверен."
 
-#: elf/readlib.c:123
+#: elf/readlib.c:130
 #, c-format
 msgid "Cannot mmap file %s.\n"
 msgstr "Файлът %s не може да се изобрази в паметта(mmap).\n"
 
-#: elf/readlib.c:161
+#: elf/readlib.c:169
 #, c-format
 msgid "%s is not an ELF file - it has the wrong magic bytes at the start.\n"
 msgstr "%s не е ELF файл - започва с неправилни магически байтове.\n"
@@ -1271,10 +1267,10 @@ msgstr "СПОД_ОБЕКТ [ДИАГ_ДАННИ]"
 msgid "failed to load shared object `%s'"
 msgstr "пропадна зареждането на споделения обект \"%s\""
 
-#: elf/sprof.c:442
+#: elf/sprof.c:442 elf/sprof.c:825 elf/sprof.c:923
 #, c-format
-msgid "cannot create internal descriptors"
-msgstr "не може да се създадат вътрешни описания"
+msgid "cannot create internal descriptor"
+msgstr "не може да се създаде вътрешно описание"
 
 #: elf/sprof.c:554
 #, c-format
@@ -1341,11 +1337,6 @@ msgstr "Неуспех при изобразяването в паметта н
 msgid "error while closing the profiling data file"
 msgstr "грешка при затваряне на файл с диагностични данни"
 
-#: elf/sprof.c:825 elf/sprof.c:923
-#, c-format
-msgid "cannot create internal descriptor"
-msgstr "не може да се създаде вътрешно описание"
-
 #: elf/sprof.c:899
 #, c-format
 msgid "`%s' is no correct profile data file for `%s'"
@@ -1593,27 +1584,27 @@ msgstr "socket: неуспех на протокола, при инициали
 msgid "rcmd: %s: short read"
 msgstr "rcmd: %s: недостиг при четене"
 
-#: inet/rcmd.c:486
+#: inet/rcmd.c:490
 msgid "lstat failed"
 msgstr "пропадна lstat"
 
-#: inet/rcmd.c:493
+#: inet/rcmd.c:497
 msgid "cannot open"
 msgstr "не може да се отвори"
 
-#: inet/rcmd.c:495
+#: inet/rcmd.c:499
 msgid "fstat failed"
 msgstr "пропадна fstat"
 
-#: inet/rcmd.c:497
+#: inet/rcmd.c:501
 msgid "bad owner"
 msgstr "неправилен собственик"
 
-#: inet/rcmd.c:499
+#: inet/rcmd.c:503
 msgid "writeable by other than owner"
 msgstr "освен собственика, може да се записва и от други"
 
-#: inet/rcmd.c:501
+#: inet/rcmd.c:505
 msgid "hard linked somewhere"
 msgstr "твърдо свързан нанякъде"
 
@@ -1733,8 +1724,8 @@ msgid "no symbolic name given for end of range"
 msgstr "не е зададено символично име за край на диапазон"
 
 #: locale/programs/charmap.c:610 locale/programs/ld-address.c:528
-#: locale/programs/ld-collate.c:2626 locale/programs/ld-collate.c:3784
-#: locale/programs/ld-ctype.c:2162 locale/programs/ld-ctype.c:2913
+#: locale/programs/ld-collate.c:2635 locale/programs/ld-collate.c:3793
+#: locale/programs/ld-ctype.c:2128 locale/programs/ld-ctype.c:2840
 #: locale/programs/ld-identification.c:368
 #: locale/programs/ld-measurement.c:215 locale/programs/ld-messages.c:298
 #: locale/programs/ld-monetary.c:740 locale/programs/ld-name.c:264
@@ -1760,8 +1751,8 @@ msgid "%s: error in state machine"
 msgstr "%s: грешка в състоянието на машината"
 
 #: locale/programs/charmap.c:850 locale/programs/ld-address.c:544
-#: locale/programs/ld-collate.c:2623 locale/programs/ld-collate.c:3977
-#: locale/programs/ld-ctype.c:2159 locale/programs/ld-ctype.c:2930
+#: locale/programs/ld-collate.c:2632 locale/programs/ld-collate.c:3986
+#: locale/programs/ld-ctype.c:2125 locale/programs/ld-ctype.c:2857
 #: locale/programs/ld-identification.c:384
 #: locale/programs/ld-measurement.c:231 locale/programs/ld-messages.c:314
 #: locale/programs/ld-monetary.c:756 locale/programs/ld-name.c:280
@@ -1782,7 +1773,7 @@ msgstr "неизвестен знак \"%s\""
 msgid "number of bytes for byte sequence of beginning and end of range not the same: %d vs %d"
 msgstr "боя на байтовете, в последователност от байтове за начало и край на диапазон, не е същия: %d с/у %d"
 
-#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2903
+#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2912
 #: locale/programs/repertoire.c:419
 msgid "invalid names for character range"
 msgstr "неправилни имена за диапазон от знаци"
@@ -1804,8 +1795,8 @@ msgstr "горната граница за диапазон е по-малка 
 msgid "resulting bytes for range not representable."
 msgstr "резултата от байтове за диапазона не може да се представят."
 
-#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1565
-#: locale/programs/ld-ctype.c:465 locale/programs/ld-identification.c:133
+#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1566
+#: locale/programs/ld-ctype.c:431 locale/programs/ld-identification.c:133
 #: locale/programs/ld-measurement.c:94 locale/programs/ld-messages.c:97
 #: locale/programs/ld-monetary.c:193 locale/programs/ld-name.c:94
 #: locale/programs/ld-numeric.c:98 locale/programs/ld-paper.c:91
@@ -1869,7 +1860,7 @@ msgid "%s: numeric country code `%d' not valid"
 msgstr "%s: неправилен цифров код на държава \"%d\""
 
 #: locale/programs/ld-address.c:436 locale/programs/ld-address.c:473
-#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2537
+#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2489
 #: locale/programs/ld-identification.c:280
 #: locale/programs/ld-measurement.c:198 locale/programs/ld-messages.c:267
 #: locale/programs/ld-monetary.c:495 locale/programs/ld-monetary.c:530
@@ -1891,8 +1882,8 @@ msgstr "%s: полето \"%s\" е обявено повече от веднъж
 msgid "%s: unknown character in field `%s'"
 msgstr "%s: неизвестен знак в полето \"%s\""
 
-#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3782
-#: locale/programs/ld-ctype.c:2910 locale/programs/ld-identification.c:365
+#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3791
+#: locale/programs/ld-ctype.c:2837 locale/programs/ld-identification.c:365
 #: locale/programs/ld-measurement.c:212 locale/programs/ld-messages.c:296
 #: locale/programs/ld-monetary.c:738 locale/programs/ld-name.c:262
 #: locale/programs/ld-numeric.c:324 locale/programs/ld-paper.c:212
@@ -1901,12 +1892,12 @@ msgstr "%s: неизвестен знак в полето \"%s\""
 msgid "%s: incomplete `END' line"
 msgstr "%s: непълен ред \"END\""
 
-#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:551
-#: locale/programs/ld-collate.c:603 locale/programs/ld-collate.c:899
-#: locale/programs/ld-collate.c:912 locale/programs/ld-collate.c:2592
-#: locale/programs/ld-collate.c:2613 locale/programs/ld-collate.c:3967
-#: locale/programs/ld-ctype.c:1891 locale/programs/ld-ctype.c:2149
-#: locale/programs/ld-ctype.c:2735 locale/programs/ld-ctype.c:2921
+#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:552
+#: locale/programs/ld-collate.c:604 locale/programs/ld-collate.c:900
+#: locale/programs/ld-collate.c:913 locale/programs/ld-collate.c:2601
+#: locale/programs/ld-collate.c:2622 locale/programs/ld-collate.c:3976
+#: locale/programs/ld-ctype.c:1857 locale/programs/ld-ctype.c:2115
+#: locale/programs/ld-ctype.c:2687 locale/programs/ld-ctype.c:2848
 #: locale/programs/ld-identification.c:375
 #: locale/programs/ld-measurement.c:222 locale/programs/ld-messages.c:305
 #: locale/programs/ld-monetary.c:747 locale/programs/ld-name.c:271
@@ -1916,477 +1907,477 @@ msgstr "%s: непълен ред \"END\""
 msgid "%s: syntax error"
 msgstr "%s: синтактична грешка"
 
-#: locale/programs/ld-collate.c:426
+#: locale/programs/ld-collate.c:427
 #, c-format
 msgid "`%.*s' already defined in charmap"
 msgstr "\"%.*s\" е вече определен в изображението на знаците"
 
-#: locale/programs/ld-collate.c:435
+#: locale/programs/ld-collate.c:436
 #, c-format
 msgid "`%.*s' already defined in repertoire"
 msgstr "\"%.*s\" е вече определен в набора от знаци"
 
-#: locale/programs/ld-collate.c:442
+#: locale/programs/ld-collate.c:443
 #, c-format
 msgid "`%.*s' already defined as collating symbol"
 msgstr "\"%.*s\" е вече определен като символ за подреждане"
 
-#: locale/programs/ld-collate.c:449
+#: locale/programs/ld-collate.c:450
 #, c-format
 msgid "`%.*s' already defined as collating element"
 msgstr "\"%.*s\" е вече определен като елемент за подреждане"
 
-#: locale/programs/ld-collate.c:480 locale/programs/ld-collate.c:506
+#: locale/programs/ld-collate.c:481 locale/programs/ld-collate.c:507
 #, c-format
 msgid "%s: `forward' and `backward' are mutually excluding each other"
 msgstr "%s: \"forward\" и \"backward\" са взаимоизключващи се"
 
-#: locale/programs/ld-collate.c:490 locale/programs/ld-collate.c:516
-#: locale/programs/ld-collate.c:532
+#: locale/programs/ld-collate.c:491 locale/programs/ld-collate.c:517
+#: locale/programs/ld-collate.c:533
 #, c-format
 msgid "%s: `%s' mentioned more than once in definition of weight %d"
 msgstr "%s: \"%s\" се среща повече от веднъж в определение за тегло %d"
 
-#: locale/programs/ld-collate.c:588
+#: locale/programs/ld-collate.c:589
 #, c-format
 msgid "%s: too many rules; first entry only had %d"
 msgstr "%s: твърде много правила; за първият запис бяха %d"
 
-#: locale/programs/ld-collate.c:624
+#: locale/programs/ld-collate.c:625
 #, c-format
 msgid "%s: not enough sorting rules"
 msgstr "%s: недостатъчно правила за сортиране"
 
-#: locale/programs/ld-collate.c:789
+#: locale/programs/ld-collate.c:790
 #, c-format
 msgid "%s: empty weight string not allowed"
 msgstr "%s: не е разрешен празен низ за тегло"
 
-#: locale/programs/ld-collate.c:884
+#: locale/programs/ld-collate.c:885
 #, c-format
 msgid "%s: weights must use the same ellipsis symbol as the name"
 msgstr "%s: теглата трябва да използват същото многоточие като името"
 
-#: locale/programs/ld-collate.c:940
+#: locale/programs/ld-collate.c:941
 #, c-format
 msgid "%s: too many values"
 msgstr "%s: твърде много стойности"
 
-#: locale/programs/ld-collate.c:1060 locale/programs/ld-collate.c:1235
+#: locale/programs/ld-collate.c:1061 locale/programs/ld-collate.c:1236
 #, c-format
 msgid "order for `%.*s' already defined at %s:%Zu"
 msgstr "редът за \"%.*s\" е вече определен при %s:%Zu"
 
-#: locale/programs/ld-collate.c:1110
+#: locale/programs/ld-collate.c:1111
 #, c-format
 msgid "%s: the start and the end symbol of a range must stand for characters"
 msgstr "%s: началният и крайният символ за диапазон трябва да обозначават знаци"
 
-#: locale/programs/ld-collate.c:1137
+#: locale/programs/ld-collate.c:1138
 #, c-format
 msgid "%s: byte sequences of first and last character must have the same length"
 msgstr "%s: последователността от байтове, за първия и последния знак, трябва да е с еднаква дължина"
 
-#: locale/programs/ld-collate.c:1179
+#: locale/programs/ld-collate.c:1180
 #, c-format
 msgid "%s: byte sequence of first character of range is not lower than that of the last character"
 msgstr "%s: последователността от байтове за първия знак на диапазона не е по-малка от тази за последния знак"
 
-#: locale/programs/ld-collate.c:1304
+#: locale/programs/ld-collate.c:1305
 #, c-format
 msgid "%s: symbolic range ellipsis must not directly follow `order_start'"
 msgstr "%s: многоточие за символичен диапазон не може веднага да следва  \"order_start\""
 
-#: locale/programs/ld-collate.c:1308
+#: locale/programs/ld-collate.c:1309
 #, c-format
 msgid "%s: symbolic range ellipsis must not be directly followed by `order_end'"
 msgstr "%s: многоточие за символичен диапазон не може да бъде последвано веднага от \"order_end\""
 
-#: locale/programs/ld-collate.c:1328 locale/programs/ld-ctype.c:1408
+#: locale/programs/ld-collate.c:1329 locale/programs/ld-ctype.c:1374
 #, c-format
 msgid "`%s' and `%.*s' are not valid names for symbolic range"
 msgstr "\"%s\" и \"%.*s\" не са правилни имена за символичен диапазон"
 
-#: locale/programs/ld-collate.c:1378 locale/programs/ld-collate.c:3718
+#: locale/programs/ld-collate.c:1379 locale/programs/ld-collate.c:3727
 #, c-format
 msgid "%s: order for `%.*s' already defined at %s:%Zu"
 msgstr "%s: редът за \"%.*s\" е вече определен при %s:%Zu"
 
-#: locale/programs/ld-collate.c:1387
+#: locale/programs/ld-collate.c:1388
 #, c-format
 msgid "%s: `%s' must be a character"
 msgstr "%s: \"%s\" трябва да е знак"
 
-#: locale/programs/ld-collate.c:1582
+#: locale/programs/ld-collate.c:1583
 #, c-format
 msgid "%s: `position' must be used for a specific level in all sections or none"
 msgstr "%s: \"position\" трябва да се използва на точно определено ниво във всички секция или в нито една"
 
-#: locale/programs/ld-collate.c:1607
+#: locale/programs/ld-collate.c:1608
 #, c-format
 msgid "symbol `%s' not defined"
 msgstr "символът \"%s\" е неопределен"
 
-#: locale/programs/ld-collate.c:1683 locale/programs/ld-collate.c:1789
+#: locale/programs/ld-collate.c:1684 locale/programs/ld-collate.c:1790
 #, c-format
 msgid "symbol `%s' has the same encoding as"
 msgstr "символът \"%s\" е с същото кодиране като"
 
-#: locale/programs/ld-collate.c:1687 locale/programs/ld-collate.c:1793
+#: locale/programs/ld-collate.c:1688 locale/programs/ld-collate.c:1794
 #, c-format
 msgid "symbol `%s'"
 msgstr "символа \"%s\""
 
-#: locale/programs/ld-collate.c:1833
+#: locale/programs/ld-collate.c:1834
 #, c-format
 msgid "no definition of `UNDEFINED'"
 msgstr "няма определение за \"UNDEFINED\""
 
-#: locale/programs/ld-collate.c:1862
+#: locale/programs/ld-collate.c:1863
 #, c-format
 msgid "too many errors; giving up"
 msgstr "твърде много грешки; отказване"
 
-#: locale/programs/ld-collate.c:2518 locale/programs/ld-collate.c:3906
+#: locale/programs/ld-collate.c:2527 locale/programs/ld-collate.c:3915
 #, c-format
 msgid "%s: nested conditionals not supported"
 msgstr "%s: не се поддържа вграждане на условия"
 
-#: locale/programs/ld-collate.c:2536
+#: locale/programs/ld-collate.c:2545
 #, c-format
 msgid "%s: more than one 'else'"
 msgstr "%s: повече от един 'else'"
 
-#: locale/programs/ld-collate.c:2711
+#: locale/programs/ld-collate.c:2720
 #, c-format
 msgid "%s: duplicate definition of `%s'"
 msgstr "%s: повторно определяне на \"%s\""
 
-#: locale/programs/ld-collate.c:2747
+#: locale/programs/ld-collate.c:2756
 #, c-format
 msgid "%s: duplicate declaration of section `%s'"
 msgstr "%s: повторно обявяване на дял \"%s\""
 
-#: locale/programs/ld-collate.c:2883
+#: locale/programs/ld-collate.c:2892
 #, c-format
 msgid "%s: unknown character in collating symbol name"
 msgstr "%s: неизвестен знак за име на символ за подреждане"
 
-#: locale/programs/ld-collate.c:3012
+#: locale/programs/ld-collate.c:3021
 #, c-format
 msgid "%s: unknown character in equivalent definition name"
 msgstr "%s: неизвестен знак за име в определение за еквивалентност"
 
-#: locale/programs/ld-collate.c:3023
+#: locale/programs/ld-collate.c:3032
 #, c-format
 msgid "%s: unknown character in equivalent definition value"
 msgstr "%s: неизвестен знак за стойност в определение за еквивалентност"
 
-#: locale/programs/ld-collate.c:3033
+#: locale/programs/ld-collate.c:3042
 #, c-format
 msgid "%s: unknown symbol `%s' in equivalent definition"
 msgstr "%s: неизвестен символ \"%s\" в определение за еквивалентност"
 
-#: locale/programs/ld-collate.c:3042
+#: locale/programs/ld-collate.c:3051
 msgid "error while adding equivalent collating symbol"
 msgstr "грешка при добавяне на равностоен символ за подреждане"
 
-#: locale/programs/ld-collate.c:3080
+#: locale/programs/ld-collate.c:3089
 #, c-format
 msgid "duplicate definition of script `%s'"
 msgstr "повторно определение за писменост \"%s\""
 
-#: locale/programs/ld-collate.c:3128
+#: locale/programs/ld-collate.c:3137
 #, c-format
 msgid "%s: unknown section name `%.*s'"
 msgstr "%s: неизвестно име на секция \"%.*s\""
 
-#: locale/programs/ld-collate.c:3157
+#: locale/programs/ld-collate.c:3166
 #, c-format
 msgid "%s: multiple order definitions for section `%s'"
 msgstr "%s: многократни определения за ред в секция \"%s\""
 
-#: locale/programs/ld-collate.c:3185
+#: locale/programs/ld-collate.c:3194
 #, c-format
 msgid "%s: invalid number of sorting rules"
 msgstr "%s: неправилен брой правила за сортиране"
 
-#: locale/programs/ld-collate.c:3212
+#: locale/programs/ld-collate.c:3221
 #, c-format
 msgid "%s: multiple order definitions for unnamed section"
 msgstr "%s: многократни определения за ред в безимена секция"
 
-#: locale/programs/ld-collate.c:3267 locale/programs/ld-collate.c:3397
-#: locale/programs/ld-collate.c:3760
+#: locale/programs/ld-collate.c:3276 locale/programs/ld-collate.c:3406
+#: locale/programs/ld-collate.c:3769
 #, c-format
 msgid "%s: missing `order_end' keyword"
 msgstr "%s: липсващ ключ \"order_end\""
 
-#: locale/programs/ld-collate.c:3330
+#: locale/programs/ld-collate.c:3339
 #, c-format
 msgid "%s: order for collating symbol %.*s not yet defined"
 msgstr "%s: все още не е определен редът на символа за подреждане %.*s"
 
-#: locale/programs/ld-collate.c:3348
+#: locale/programs/ld-collate.c:3357
 #, c-format
 msgid "%s: order for collating element %.*s not yet defined"
 msgstr "%s: все още не е определен редът на елемента за подреждане %.*s"
 
-#: locale/programs/ld-collate.c:3359
+#: locale/programs/ld-collate.c:3368
 #, c-format
 msgid "%s: cannot reorder after %.*s: symbol not known"
 msgstr "%s: не може да се пренареди след %.*s: символът е неизвестен"
 
-#: locale/programs/ld-collate.c:3411 locale/programs/ld-collate.c:3772
+#: locale/programs/ld-collate.c:3420 locale/programs/ld-collate.c:3781
 #, c-format
 msgid "%s: missing `reorder-end' keyword"
 msgstr "%s: липсва ключ \"reorder-end\""
 
-#: locale/programs/ld-collate.c:3445 locale/programs/ld-collate.c:3643
+#: locale/programs/ld-collate.c:3454 locale/programs/ld-collate.c:3652
 #, c-format
 msgid "%s: section `%.*s' not known"
 msgstr "%s: неизвестна секция \"%.*s\""
 
-#: locale/programs/ld-collate.c:3510
+#: locale/programs/ld-collate.c:3519
 #, c-format
 msgid "%s: bad symbol <%.*s>"
 msgstr "%s: неправилен символ <%.*s>"
 
-#: locale/programs/ld-collate.c:3706
+#: locale/programs/ld-collate.c:3715
 #, c-format
 msgid "%s: cannot have `%s' as end of ellipsis range"
 msgstr "%s: \"%s\" не може да бъде край на диапазон с многоточие"
 
-#: locale/programs/ld-collate.c:3756
+#: locale/programs/ld-collate.c:3765
 #, c-format
 msgid "%s: empty category description not allowed"
 msgstr "%s: не е разрешено празно описание на категория"
 
-#: locale/programs/ld-collate.c:3775
+#: locale/programs/ld-collate.c:3784
 #, c-format
 msgid "%s: missing `reorder-sections-end' keyword"
 msgstr "%s: липсва ключ \"reorder-sections-end\""
 
-#: locale/programs/ld-collate.c:3939
+#: locale/programs/ld-collate.c:3948
 #, c-format
 msgid "%s: '%s' without matching 'ifdef' or 'ifndef'"
 msgstr "%s: '%s' е без съответстващ 'ifdef' или 'ifndef'"
 
-#: locale/programs/ld-collate.c:3957
+#: locale/programs/ld-collate.c:3966
 #, c-format
 msgid "%s: 'endif' without matching 'ifdef' or 'ifndef'"
 msgstr "%s: 'endif' без съответстващ 'ifdef' или 'ifndef'"
 
-#: locale/programs/ld-ctype.c:484
+#: locale/programs/ld-ctype.c:450
 #, c-format
 msgid "No character set name specified in charmap"
 msgstr "Неопределено име на множеството от знаци в изображението на знаците"
 
-#: locale/programs/ld-ctype.c:513
+#: locale/programs/ld-ctype.c:479
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must be in class `%s'"
 msgstr "знакът L'\\u%0*x' от клас \"%s\" трябва да е в клас \"%s\""
 
-#: locale/programs/ld-ctype.c:528
+#: locale/programs/ld-ctype.c:494
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must not be in class `%s'"
 msgstr "знакът L'\\u%0*x' от клас \"%s\" не може да е в клас \"%s\""
 
-#: locale/programs/ld-ctype.c:542 locale/programs/ld-ctype.c:600
+#: locale/programs/ld-ctype.c:508 locale/programs/ld-ctype.c:566
 #, c-format
 msgid "internal error in %s, line %u"
 msgstr "вътрешна грешка в %s, на ред %u"
 
-#: locale/programs/ld-ctype.c:571
+#: locale/programs/ld-ctype.c:537
 #, c-format
 msgid "character '%s' in class `%s' must be in class `%s'"
 msgstr "знакът \"%s\" от клас \"%s\" трябва да е в клас \"%s\""
 
-#: locale/programs/ld-ctype.c:587
+#: locale/programs/ld-ctype.c:553
 #, c-format
 msgid "character '%s' in class `%s' must not be in class `%s'"
 msgstr "знакът \"%s\" от клас \"%s\" не може да е в клас \"%s\""
 
-#: locale/programs/ld-ctype.c:617 locale/programs/ld-ctype.c:655
+#: locale/programs/ld-ctype.c:583 locale/programs/ld-ctype.c:621
 #, c-format
 msgid "<SP> character not in class `%s'"
 msgstr "знакът <SP> не е в клас \"%s\""
 
-#: locale/programs/ld-ctype.c:629 locale/programs/ld-ctype.c:666
+#: locale/programs/ld-ctype.c:595 locale/programs/ld-ctype.c:632
 #, c-format
 msgid "<SP> character must not be in class `%s'"
 msgstr "знакът <SP> не може да е в клас \"%s\""
 
-#: locale/programs/ld-ctype.c:644
+#: locale/programs/ld-ctype.c:610
 #, c-format
 msgid "character <SP> not defined in character map"
 msgstr "знакът <SP> не е определен в изображението на знаците"
 
-#: locale/programs/ld-ctype.c:780
+#: locale/programs/ld-ctype.c:746
 #, c-format
 msgid "`digit' category has not entries in groups of ten"
 msgstr "вписванията в категорията \"digit\" не се групират по десет"
 
-#: locale/programs/ld-ctype.c:829
+#: locale/programs/ld-ctype.c:795
 #, c-format
 msgid "no input digits defined and none of the standard names in the charmap"
 msgstr "в изображението на знаците не са определени входящите цифри и никое от стандартните имена"
 
-#: locale/programs/ld-ctype.c:894
+#: locale/programs/ld-ctype.c:860
 #, c-format
 msgid "not all characters used in `outdigit' are available in the charmap"
 msgstr "не всички знаци използвани в \"outdigit\" са достъпни в изображението на знаците"
 
-#: locale/programs/ld-ctype.c:911
+#: locale/programs/ld-ctype.c:877
 #, c-format
 msgid "not all characters used in `outdigit' are available in the repertoire"
 msgstr "не всички знаци използвани в \"outdigit\" са достъпни в знаковия набор"
 
-#: locale/programs/ld-ctype.c:1176
+#: locale/programs/ld-ctype.c:1142
 #, c-format
 msgid "character class `%s' already defined"
 msgstr "вече е определен класът знаци \"%s\""
 
-#: locale/programs/ld-ctype.c:1182
+#: locale/programs/ld-ctype.c:1148
 #, c-format
 msgid "implementation limit: no more than %Zd character classes allowed"
 msgstr "ограничение в реализацията: не за разрешени повече от %Zd класа за знаци"
 
-#: locale/programs/ld-ctype.c:1208
+#: locale/programs/ld-ctype.c:1174
 #, c-format
 msgid "character map `%s' already defined"
 msgstr "изображението на знаците \"%s\" вече е определено"
 
-#: locale/programs/ld-ctype.c:1214
+#: locale/programs/ld-ctype.c:1180
 #, c-format
 msgid "implementation limit: no more than %d character maps allowed"
 msgstr "ограничение в реализацията: не са разрешени повече от %d изображения за знаци"
 
-#: locale/programs/ld-ctype.c:1479 locale/programs/ld-ctype.c:1604
-#: locale/programs/ld-ctype.c:1710 locale/programs/ld-ctype.c:2400
-#: locale/programs/ld-ctype.c:3397
+#: locale/programs/ld-ctype.c:1445 locale/programs/ld-ctype.c:1570
+#: locale/programs/ld-ctype.c:1676 locale/programs/ld-ctype.c:2352
+#: locale/programs/ld-ctype.c:3324
 #, c-format
 msgid "%s: field `%s' does not contain exactly ten entries"
 msgstr "%s: полето \"%s\" не съдържа точно десет записа"
 
-#: locale/programs/ld-ctype.c:1507 locale/programs/ld-ctype.c:2081
+#: locale/programs/ld-ctype.c:1473 locale/programs/ld-ctype.c:2047
 #, c-format
 msgid "to-value <U%0*X> of range is smaller than from-value <U%0*X>"
 msgstr "горната граница <U%0*X> на диапазона е по-малка от долната <U%0*X>"
 
-#: locale/programs/ld-ctype.c:1634
+#: locale/programs/ld-ctype.c:1600
 msgid "start and end character sequence of range must have the same length"
 msgstr "началната и крайната знакова последователност на диапазона трябва да са с еднаква дължина"
 
-#: locale/programs/ld-ctype.c:1641
+#: locale/programs/ld-ctype.c:1607
 msgid "to-value character sequence is smaller than from-value sequence"
 msgstr "началната знакова последователност е по-малка от крайната"
 
-#: locale/programs/ld-ctype.c:2001 locale/programs/ld-ctype.c:2052
+#: locale/programs/ld-ctype.c:1967 locale/programs/ld-ctype.c:2018
 msgid "premature end of `translit_ignore' definition"
 msgstr "преждевременен край на определение \"translit_ignore\""
 
 # TODO
-#: locale/programs/ld-ctype.c:2007 locale/programs/ld-ctype.c:2058
-#: locale/programs/ld-ctype.c:2100
+#: locale/programs/ld-ctype.c:1973 locale/programs/ld-ctype.c:2024
+#: locale/programs/ld-ctype.c:2066
 msgid "syntax error"
 msgstr "синтактична грешка"
 
-#: locale/programs/ld-ctype.c:2233
+#: locale/programs/ld-ctype.c:2199
 #, c-format
 msgid "%s: syntax error in definition of new character class"
 msgstr "%s: синтактична грешка в определението за описание за клас знаци"
 
-#: locale/programs/ld-ctype.c:2248
+#: locale/programs/ld-ctype.c:2214
 #, c-format
 msgid "%s: syntax error in definition of new character map"
 msgstr "%s: синтактична грешка в определението на ново изображение на знаци"
 
-#: locale/programs/ld-ctype.c:2422
+#: locale/programs/ld-ctype.c:2374
 msgid "ellipsis range must be marked by two operands of same type"
 msgstr "диапазон с многоточие трябва да бъде ограничен от два еднотипни операнда"
 
-#: locale/programs/ld-ctype.c:2431
+#: locale/programs/ld-ctype.c:2383
 msgid "with symbolic name range values the absolute ellipsis `...' must not be used"
 msgstr "при диапазон със символично име трябва да се използва самостоятелно многоточие \"...\""
 
-#: locale/programs/ld-ctype.c:2446
+#: locale/programs/ld-ctype.c:2398
 msgid "with UCS range values one must use the hexadecimal symbolic ellipsis `..'"
 msgstr "при UCS диапазон трябва да се използва шестнадесетично символично многоточие \"..\""
 
-#: locale/programs/ld-ctype.c:2460
+#: locale/programs/ld-ctype.c:2412
 msgid "with character code range values one must use the absolute ellipsis `...'"
 msgstr "при диапазон от кодове на знаци трябва да се използва самостоятелно многоточие \"...\""
 
-#: locale/programs/ld-ctype.c:2611
+#: locale/programs/ld-ctype.c:2563
 #, c-format
 msgid "duplicated definition for mapping `%s'"
 msgstr "повторно определяне на изображението \"%s\""
 
-#: locale/programs/ld-ctype.c:2697 locale/programs/ld-ctype.c:2841
+#: locale/programs/ld-ctype.c:2649 locale/programs/ld-ctype.c:2793
 #, c-format
 msgid "%s: `translit_start' section does not end with `translit_end'"
 msgstr "%s: \"translit_start\" - секцията не завършва с \"translit_end\""
 
-#: locale/programs/ld-ctype.c:2792
+#: locale/programs/ld-ctype.c:2744
 #, c-format
 msgid "%s: duplicate `default_missing' definition"
 msgstr "%s: повторно определени за \"default_missing\""
 
-#: locale/programs/ld-ctype.c:2797
+#: locale/programs/ld-ctype.c:2749
 msgid "previous definition was here"
 msgstr "предишното определение бе тук"
 
-#: locale/programs/ld-ctype.c:2819
+#: locale/programs/ld-ctype.c:2771
 #, c-format
 msgid "%s: no representable `default_missing' definition found"
 msgstr "%s: не е намерено представимо определение за \"default_missing\""
 
-#: locale/programs/ld-ctype.c:2962 locale/programs/ld-ctype.c:3059
-#: locale/programs/ld-ctype.c:3079 locale/programs/ld-ctype.c:3100
-#: locale/programs/ld-ctype.c:3121 locale/programs/ld-ctype.c:3142
-#: locale/programs/ld-ctype.c:3163 locale/programs/ld-ctype.c:3203
-#: locale/programs/ld-ctype.c:3224 locale/programs/ld-ctype.c:3289
-#: locale/programs/ld-ctype.c:3331 locale/programs/ld-ctype.c:3356
+#: locale/programs/ld-ctype.c:2889 locale/programs/ld-ctype.c:2986
+#: locale/programs/ld-ctype.c:3006 locale/programs/ld-ctype.c:3027
+#: locale/programs/ld-ctype.c:3048 locale/programs/ld-ctype.c:3069
+#: locale/programs/ld-ctype.c:3090 locale/programs/ld-ctype.c:3130
+#: locale/programs/ld-ctype.c:3151 locale/programs/ld-ctype.c:3216
+#: locale/programs/ld-ctype.c:3258 locale/programs/ld-ctype.c:3283
 #, c-format
 msgid "%s: character `%s' not defined while needed as default value"
 msgstr "%s: знакът \"%s\" е неопределен, въпреки че е необходим като стойност по подразбиране"
 
-#: locale/programs/ld-ctype.c:2967 locale/programs/ld-ctype.c:3064
-#: locale/programs/ld-ctype.c:3084 locale/programs/ld-ctype.c:3105
-#: locale/programs/ld-ctype.c:3126 locale/programs/ld-ctype.c:3147
-#: locale/programs/ld-ctype.c:3168 locale/programs/ld-ctype.c:3208
-#: locale/programs/ld-ctype.c:3229 locale/programs/ld-ctype.c:3294
+#: locale/programs/ld-ctype.c:2894 locale/programs/ld-ctype.c:2991
+#: locale/programs/ld-ctype.c:3011 locale/programs/ld-ctype.c:3032
+#: locale/programs/ld-ctype.c:3053 locale/programs/ld-ctype.c:3074
+#: locale/programs/ld-ctype.c:3095 locale/programs/ld-ctype.c:3135
+#: locale/programs/ld-ctype.c:3156 locale/programs/ld-ctype.c:3221
 #, c-format
 msgid "%s: character `%s' in charmap not representable with one byte"
 msgstr "%s: знакът \"%s\", от изображението на знаците, не е представим с един байт"
 
-#: locale/programs/ld-ctype.c:3338 locale/programs/ld-ctype.c:3363
+#: locale/programs/ld-ctype.c:3265 locale/programs/ld-ctype.c:3290
 #, c-format
 msgid "%s: character `%s' needed as default value not representable with one byte"
 msgstr "%s: знакът \"%s\", необходим като стойност по подразбиране, не може да се представи с един байт"
 
-#: locale/programs/ld-ctype.c:3419
+#: locale/programs/ld-ctype.c:3346
 #, c-format
 msgid "no output digits defined and none of the standard names in the charmap"
 msgstr "в изображението на знаците не са определени изходящите цифри и никое от стандартните имена"
 
-#: locale/programs/ld-ctype.c:3668
+#: locale/programs/ld-ctype.c:3595
 #, c-format
 msgid "%s: transliteration data from locale `%s' not available"
 msgstr "%s: не са налични данни за транслитерация от езикова настройка \"%s\""
 
-#: locale/programs/ld-ctype.c:3768
+#: locale/programs/ld-ctype.c:3695
 #, c-format
 msgid "%s: table for class \"%s\": %lu bytes\n"
 msgstr "%s: таблица за клас \"%s\": %lu байта\n"
 
-#: locale/programs/ld-ctype.c:3833
+#: locale/programs/ld-ctype.c:3760
 #, c-format
 msgid "%s: table for map \"%s\": %lu bytes\n"
 msgstr "%s: таблица за изображение \"%s\": %lu байта\n"
 
-#: locale/programs/ld-ctype.c:3958
+#: locale/programs/ld-ctype.c:3885
 #, c-format
 msgid "%s: table for width: %lu bytes\n"
 msgstr "%s: таблица за ширина: %lu байта\n"
@@ -3809,17 +3800,22 @@ msgstr "добавяне на нов запис \"%s\", от тип %s, за %s,
 msgid " (first)"
 msgstr " (първи)"
 
-#: nscd/cache.c:285 nscd/connections.c:1000
+#: nscd/cache.c:288
+#, c-format
+msgid "checking for monitored file `%s': %s"
+msgstr "проверка на наблюдавания файл '%s': %s"
+
+#: nscd/cache.c:298
 #, c-format
-msgid "cannot stat() file `%s': %s"
-msgstr "не може да се изпълни stat() за файла \"%s\": %s"
+msgid "monitored file `%s` changed (mtime)"
+msgstr "наблюдавания файл '%s' е променен (mtime)"
 
-#: nscd/cache.c:331
+#: nscd/cache.c:341
 #, c-format
 msgid "pruning %s cache; time %ld"
 msgstr "подрязване на кеша %s - час %ld"
 
-#: nscd/cache.c:360
+#: nscd/cache.c:370
 #, c-format
 msgid "considering %s entry \"%s\", timeout %<PRIu64>"
 msgstr "разглеждане на запис %s \"%s\", просрочка %<PRIu64>"
@@ -3905,153 +3901,213 @@ msgstr "не може да се зададе затваряне на гнезд
 msgid "cannot enable socket to accept connections: %s"
 msgstr "не може да се направи гнездото да приеме свързвания: %s"
 
-#: nscd/connections.c:984
+#: nscd/connections.c:973
+#, c-format
+msgid "disabled inotify-based monitoring for file `%s': %s"
+msgstr "забранено inotify наблюдение за файл '%s': %s"
+
+#: nscd/connections.c:977
+#, c-format
+msgid "monitoring file `%s` (%d)"
+msgstr "наблюдаване на файл '%s' (%d)"
+
+#: nscd/connections.c:990
+#, c-format
+msgid "disabled inotify-based monitoring for directory `%s': %s"
+msgstr "забранено inotify наблюдение за директория '%s': %s"
+
+#: nscd/connections.c:994
+#, c-format
+msgid "monitoring directory `%s` (%d)"
+msgstr "наблюдаване на директория '%s' (%d)"
+
+#: nscd/connections.c:1022
 #, c-format
-msgid "register trace file %s for database %s"
+msgid "monitoring file %s for database %s"
 msgstr "вписване на файл за проследяване %s, за база данни %s"
 
-#: nscd/connections.c:1114
+#: nscd/connections.c:1032
+#, c-format
+msgid "stat failed for file `%s'; will try again later: %s"
+msgstr "stat не успя за файл '%s'; по-късно ще се опира пак: %s"
+
+#: nscd/connections.c:1151
 #, c-format
 msgid "provide access to FD %d, for %s"
 msgstr "осигуряване на достъп, до файлов дескриптор %d, за %s"
 
-#: nscd/connections.c:1126
+#: nscd/connections.c:1163
 #, c-format
 msgid "cannot handle old request version %d; current version is %d"
 msgstr "не може да се обработи заявка от стара версия %d - текущата версия е %d"
 
-#: nscd/connections.c:1148
+#: nscd/connections.c:1185
 #, c-format
 msgid "request from %ld not handled due to missing permission"
 msgstr "заявката от %ld не е обработена поради липсващи права"
 
-#: nscd/connections.c:1153
+#: nscd/connections.c:1190
 #, c-format
 msgid "request from '%s' [%ld] not handled due to missing permission"
 msgstr "заявката от '%s' [%ld] не е обработена поради липсващи права"
 
-#: nscd/connections.c:1158
+#: nscd/connections.c:1195
 msgid "request not handled due to missing permission"
 msgstr "заявката не е обработена поради липсващи права"
 
-#: nscd/connections.c:1196 nscd/connections.c:1249
+#: nscd/connections.c:1233 nscd/connections.c:1286
 #, c-format
 msgid "cannot write result: %s"
 msgstr "не може да се запише резултата: %s"
 
-#: nscd/connections.c:1340
+#: nscd/connections.c:1377
 #, c-format
 msgid "error getting caller's id: %s"
 msgstr "грешка при получаване на идентификатора на извикващия: %s"
 
-#: nscd/connections.c:1400
+#: nscd/connections.c:1437
 #, c-format
 msgid "cannot open /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr "не може да се отвори /proc/self/cmdline: %s- забраняване на параноичния режим"
 
-#: nscd/connections.c:1414
+#: nscd/connections.c:1451
 #, c-format
 msgid "cannot read /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr "не може да се прочете /proc/self/cmdline: %s - забраняване на параноичния режим"
 
-#: nscd/connections.c:1454
+#: nscd/connections.c:1491
 #, c-format
 msgid "cannot change to old UID: %s; disabling paranoia mode"
 msgstr "не може да се върне към предишния идентификатор на потребител: %s - забраняване на параноичния режим"
 
-#: nscd/connections.c:1464
+#: nscd/connections.c:1501
 #, c-format
 msgid "cannot change to old GID: %s; disabling paranoia mode"
 msgstr "не може да се върне към предишния идентификатор на група: %s - забраняване на параноичния режим"
 
-#: nscd/connections.c:1477
+#: nscd/connections.c:1514
 #, c-format
 msgid "cannot change to old working directory: %s; disabling paranoia mode"
 msgstr "не може да се върне към предишната работна директория: %s - забраняване на параноичния режим"
 
-#: nscd/connections.c:1523
+#: nscd/connections.c:1560
 #, c-format
 msgid "re-exec failed: %s; disabling paranoia mode"
 msgstr "повторното изпълнение не успя: %s - забраняване на параноичния режим"
 
-#: nscd/connections.c:1532
+#: nscd/connections.c:1569
 #, c-format
 msgid "cannot change current working directory to \"/\": %s"
 msgstr "не може да се смени текущата работна директория на \"/\": %s"
 
-#: nscd/connections.c:1725
+#: nscd/connections.c:1762
 #, c-format
 msgid "short read while reading request: %s"
 msgstr "недостиг при четене докато се четеше заявката: %s"
 
-#: nscd/connections.c:1758
+#: nscd/connections.c:1795
 #, c-format
 msgid "key length in request too long: %d"
 msgstr "дължината на ключа в заявката е твърде голяма: %d"
 
-#: nscd/connections.c:1771
+#: nscd/connections.c:1808
 #, c-format
 msgid "short read while reading request key: %s"
 msgstr "недостиг при четене докато се четеше заявения ключ: %s"
 
-#: nscd/connections.c:1781
+#: nscd/connections.c:1818
 #, c-format
 msgid "handle_request: request received (Version = %d) from PID %ld"
 msgstr "handle_request: получена заявка (версия = %d) от процес номер(PID) %ld"
 
-#: nscd/connections.c:1786
+#: nscd/connections.c:1823
 #, c-format
 msgid "handle_request: request received (Version = %d)"
 msgstr "handle_request: получена заявка (версия = %d)"
 
-#: nscd/connections.c:2050 nscd/connections.c:2252
+#: nscd/connections.c:1963
+#, c-format
+msgid "ignored inotify event for `%s` (file exists)"
+msgstr "пренебрегване на събитие inotify за '%s', файла съществува"
+
+#: nscd/connections.c:1968
+#, c-format
+msgid "monitored file `%s` was %s, removing watch"
+msgstr "наблюдавания файл '%s' бе %s (преместен или изтрит), премахване на следенето"
+
+#: nscd/connections.c:1976 nscd/connections.c:2018
+#, c-format
+msgid "failed to remove file watch `%s`: %s"
+msgstr "не можа да се премахне следенето на файл '%s': %s"
+
+#: nscd/connections.c:1991
+#, c-format
+msgid "monitored file `%s` was written to"
+msgstr "наблюдавания файл '%s' е записан в"
+
+#: nscd/connections.c:2015
+#, c-format
+msgid "monitored parent directory `%s` was %s, removing watch on `%s`"
+msgstr "наблюдаваната родителска директория '%s' бе %s(преместен или изтрит), премахване на следенето на '%s'"
+
+#: nscd/connections.c:2041
+#, c-format
+msgid "monitored file `%s` was %s, adding watch"
+msgstr "наблюдавания файл '%s' бе %s(създаден или преместен), добавяне на следене"
+
+#: nscd/connections.c:2053
+#, c-format
+msgid "failed to add file watch `%s`: %s"
+msgstr "не може да се добави следене на '%s': %s"
+
+#: nscd/connections.c:2247 nscd/connections.c:2428
 #, c-format
-msgid "disabled inotify after read error %d"
-msgstr "inotify е забранен след грешка при четене %d"
+msgid "disabled inotify-based monitoring after read error %d"
+msgstr "inotify наблюдение е забранено след грешка при четене %d"
 
-#: nscd/connections.c:2375
+#: nscd/connections.c:2543
 msgid "could not initialize conditional variable"
 msgstr "не може да се инициализира условна променлива"
 
-#: nscd/connections.c:2383
+#: nscd/connections.c:2551
 msgid "could not start clean-up thread; terminating"
 msgstr "не може да се стартира почистваща нишка; прекратяване"
 
-#: nscd/connections.c:2397
+#: nscd/connections.c:2565
 msgid "could not start any worker thread; terminating"
 msgstr "не може да се стартира работна нишка; прекратяване"
 
-#: nscd/connections.c:2452 nscd/connections.c:2454 nscd/connections.c:2470
-#: nscd/connections.c:2480 nscd/connections.c:2498 nscd/connections.c:2509
-#: nscd/connections.c:2519
+#: nscd/connections.c:2620 nscd/connections.c:2622 nscd/connections.c:2638
+#: nscd/connections.c:2648 nscd/connections.c:2666 nscd/connections.c:2677
+#: nscd/connections.c:2687
 #, c-format
 msgid "Failed to run nscd as user '%s'"
 msgstr "Не успя да се пусне nscd от името на потребител \"%s\""
 
-#: nscd/connections.c:2472
+#: nscd/connections.c:2640
 msgid "initial getgrouplist failed"
 msgstr "първоначалният getgrouplist не успя"
 
-#: nscd/connections.c:2481
+#: nscd/connections.c:2649
 msgid "getgrouplist failed"
 msgstr "getgrouplist не успя"
 
-#: nscd/connections.c:2499
+#: nscd/connections.c:2667
 msgid "setgroups failed"
 msgstr "setgroups не успя"
 
-#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:410
+#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:411
 #: nscd/pwdcache.c:383 nscd/servicescache.c:338
 #, c-format
 msgid "short write in %s: %s"
 msgstr "недостиг при запис в %s: %s"
 
-#: nscd/grpcache.c:450 nscd/initgrcache.c:77
+#: nscd/grpcache.c:450 nscd/initgrcache.c:78
 #, c-format
 msgid "Haven't found \"%s\" in group cache!"
 msgstr "Не е намерено \"%s\" в кеша за групи!"
 
-#: nscd/grpcache.c:452 nscd/initgrcache.c:79
+#: nscd/grpcache.c:452 nscd/initgrcache.c:80
 #, c-format
 msgid "Reloading \"%s\" in group cache!"
 msgstr "Презареждане на \"%s\" в кеша за групи!"
@@ -4139,7 +4195,7 @@ msgstr "Да се използва отделен кеш за всеки пот
 msgid "Name Service Cache Daemon."
 msgstr "Демон на услуга за кеширане на имена(nscd)."
 
-#: nscd/nscd.c:155 nss/getent.c:1003 nss/makedb.c:206
+#: nscd/nscd.c:155 nss/getent.c:1007 nss/makedb.c:206
 #, c-format
 msgid "wrong number of arguments"
 msgstr "неправилен брой на аргументи"
@@ -4172,7 +4228,7 @@ msgstr "не може да се смени текущата работна ди
 msgid "Could not create log file"
 msgstr "Не може да се създаде регистрационен файл"
 
-#: nscd/nscd.c:355 nscd/nscd_stat.c:192
+#: nscd/nscd.c:355 nscd/nscd_stat.c:194
 #, c-format
 msgid "write incomplete"
 msgstr "непълно записване"
@@ -4187,7 +4243,7 @@ msgstr "не може да се прочете потвърждение за а
 msgid "invalidation failed"
 msgstr "пропадна обезсилването"
 
-#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:173
+#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:175
 #, c-format
 msgid "Only root is allowed to use this option!"
 msgstr "Разрешено е само суперпотребител да използва тази опция!"
@@ -4273,35 +4329,35 @@ msgstr "не може да се взема текущата работна ди
 msgid "maximum file size for %s database too small"
 msgstr "максималният размер на файл, за база данни %s, е много малък"
 
-#: nscd/nscd_stat.c:142
+#: nscd/nscd_stat.c:144
 #, c-format
 msgid "cannot write statistics: %s"
 msgstr "не може да се запише статистиката: %s"
 
-#: nscd/nscd_stat.c:157
+#: nscd/nscd_stat.c:159
 msgid "yes"
 msgstr "да"
 
-#: nscd/nscd_stat.c:158
+#: nscd/nscd_stat.c:160
 msgid "no"
 msgstr "не"
 
-#: nscd/nscd_stat.c:169
+#: nscd/nscd_stat.c:171
 #, c-format
 msgid "Only root or %s is allowed to use this option!"
 msgstr "Разрешено е само на суперпотребител или %s да използва тази опция!"
 
-#: nscd/nscd_stat.c:180
+#: nscd/nscd_stat.c:182
 #, c-format
 msgid "nscd not running!\n"
 msgstr "nscd не е пуснат!\n"
 
-#: nscd/nscd_stat.c:204
+#: nscd/nscd_stat.c:206
 #, c-format
 msgid "cannot read statistics data"
 msgstr "не може да се прочетат статистическите данни"
 
-#: nscd/nscd_stat.c:207
+#: nscd/nscd_stat.c:209
 #, c-format
 msgid ""
 "nscd configuration:\n"
@@ -4312,27 +4368,27 @@ msgstr ""
 "\n"
 "%15d  ниво за осведомяваме на сървъра\n"
 
-#: nscd/nscd_stat.c:231
+#: nscd/nscd_stat.c:233
 #, c-format
 msgid "%3ud %2uh %2um %2lus  server runtime\n"
 msgstr "%3uд %2uч %2uм %2luс  време на работа на сървъра\n"
 
-#: nscd/nscd_stat.c:234
+#: nscd/nscd_stat.c:236
 #, c-format
 msgid "    %2uh %2um %2lus  server runtime\n"
 msgstr "    %2uч %2uм %2luс  време на работа на сървъра\n"
 
-#: nscd/nscd_stat.c:236
+#: nscd/nscd_stat.c:238
 #, c-format
 msgid "        %2um %2lus  server runtime\n"
 msgstr "        %2uм %2luс  време на работа на сървъра\n"
 
-#: nscd/nscd_stat.c:238
+#: nscd/nscd_stat.c:240
 #, c-format
 msgid "            %2lus  server runtime\n"
 msgstr "            %2luс  време на работа на сървъра\n"
 
-#: nscd/nscd_stat.c:240
+#: nscd/nscd_stat.c:242
 #, c-format
 msgid ""
 "%15d  current number of threads\n"
@@ -4349,7 +4405,7 @@ msgstr ""
 "%15lu  вътрешни рестартирания\n"
 "%15u  брой презареждания\n"
 
-#: nscd/nscd_stat.c:275
+#: nscd/nscd_stat.c:277
 #, c-format
 msgid ""
 "\n"
@@ -4415,85 +4471,85 @@ msgstr "Презареждане на \"%s\" в кеша за пароли!"
 msgid "Invalid numeric uid \"%s\"!"
 msgstr "Неправилен числов идентификатор на потребител \"%s\"!"
 
-#: nscd/selinux.c:155
+#: nscd/selinux.c:154
 #, c-format
 msgid "Failed opening connection to the audit subsystem: %m"
 msgstr "Пропадна отварянето на връзка към подсистемата за ревизия и контрол: %m"
 
-#: nscd/selinux.c:176
+#: nscd/selinux.c:175
 msgid "Failed to set keep-capabilities"
 msgstr "Не можа да се вдигне флага \"задръж-способности\""
 
-#: nscd/selinux.c:177 nscd/selinux.c:240
+#: nscd/selinux.c:176 nscd/selinux.c:239
 msgid "prctl(KEEPCAPS) failed"
 msgstr "prctl(KEEPCAPS) не успя"
 
-#: nscd/selinux.c:191
+#: nscd/selinux.c:190
 msgid "Failed to initialize drop of capabilities"
 msgstr "Не можа да се подготви свалянето на \"способностите\""
 
-#: nscd/selinux.c:192
+#: nscd/selinux.c:191
 msgid "cap_init failed"
 msgstr "cap_init не успя"
 
-#: nscd/selinux.c:213 nscd/selinux.c:230
+#: nscd/selinux.c:212 nscd/selinux.c:229
 msgid "Failed to drop capabilities"
 msgstr "Не можаха да се свалят \"способностите\""
 
-#: nscd/selinux.c:214 nscd/selinux.c:231
+#: nscd/selinux.c:213 nscd/selinux.c:230
 msgid "cap_set_proc failed"
 msgstr "cap_set_proc не успя"
 
-#: nscd/selinux.c:239
+#: nscd/selinux.c:238
 msgid "Failed to unset keep-capabilities"
 msgstr "Не можа да се свали флагът \"задръж-способности\""
 
-#: nscd/selinux.c:255
+#: nscd/selinux.c:254
 msgid "Failed to determine if kernel supports SELinux"
 msgstr "Не можа да се установи дали ядрото поддържа SELinux"
 
-#: nscd/selinux.c:270
+#: nscd/selinux.c:269
 msgid "Failed to start AVC thread"
 msgstr "Не можа да се пусне нишка за AVC"
 
-#: nscd/selinux.c:292
+#: nscd/selinux.c:291
 msgid "Failed to create AVC lock"
 msgstr "Не можа да се създаде заключване за AVC"
 
-#: nscd/selinux.c:332
+#: nscd/selinux.c:331
 msgid "Failed to start AVC"
 msgstr "Пропадна пускането на AVC"
 
-#: nscd/selinux.c:334
+#: nscd/selinux.c:333
 msgid "Access Vector Cache (AVC) started"
 msgstr "Access Vector Cache (AVC) пуснат"
 
-#: nscd/selinux.c:369
+#: nscd/selinux.c:368
 msgid "Error querying policy for undefined object classes or permissions."
 msgstr "Грешка при запитване за политиката при неопределени обектни класове или права."
 
-#: nscd/selinux.c:376
+#: nscd/selinux.c:375
 msgid "Error getting security class for nscd."
 msgstr "Грешка при взимане класа за сигурност на nscd"
 
-#: nscd/selinux.c:381
+#: nscd/selinux.c:380
 #, c-format
 msgid "Error translating permission name \"%s\" to access vector bit."
 msgstr "Грешка при преобразуване от право \"%s\" към бит от вектора за достъп"
 
-#: nscd/selinux.c:391
+#: nscd/selinux.c:390
 msgid "Error getting context of socket peer"
 msgstr "Грешка при извличане, от гнездото, на контекста на другата страна"
 
-#: nscd/selinux.c:396
+#: nscd/selinux.c:395
 msgid "Error getting context of nscd"
 msgstr "Грешка при взимане на контекста на nscd"
 
-#: nscd/selinux.c:402
+#: nscd/selinux.c:401
 msgid "Error getting sid from context"
 msgstr "Грешка при извличане на sid от контекста"
 
-#: nscd/selinux.c:440
+#: nscd/selinux.c:439
 #, c-format
 msgid ""
 "\n"
@@ -4555,16 +4611,16 @@ msgstr "Получаване на записи от административн
 msgid "Enumeration not supported on %s\n"
 msgstr "Не се поддържа изброим тип от %s\n"
 
-#: nss/getent.c:917
+#: nss/getent.c:921
 #, c-format
 msgid "Unknown database name"
 msgstr "Неизвестно има на база данни"
 
-#: nss/getent.c:947
+#: nss/getent.c:951
 msgid "Supported databases:\n"
 msgstr "Поддържани бази данни:\n"
 
-#: nss/getent.c:1013
+#: nss/getent.c:1017
 #, c-format
 msgid "Unknown database: %s\n"
 msgstr "Неизвестна база данни: %s\n"
@@ -4844,7 +4900,7 @@ msgstr "Несъответствие на ) или \\)"
 msgid "No previous regular expression"
 msgstr "Липсва предишен регулярен израз"
 
-#: posix/wordexp.c:1844
+#: posix/wordexp.c:1851
 msgid "parameter null or not set"
 msgstr "параметърът е празен или не е зададен"
 
@@ -7232,24 +7288,3 @@ msgstr "твърде много или твърде дълго съкращен
 #, c-format
 msgid "%s: Can't create directory %s: %s\n"
 msgstr "%s: Не може да се създаде директория %s: %s\n"
-
-#~ msgid "compile-time support for database policy missing"
-#~ msgstr "при компилирането не е зададена подръжка на правила в базата данни"
-
-#~ msgid "24:00 not handled by pre-1998 versions of zic"
-#~ msgstr "24:00 не се поддържат от версии на zic преди 1998"
-
-#~ msgid "time before zero"
-#~ msgstr "Стойността за час е преди нулата"
-
-#~ msgid "too many transitions?!"
-#~ msgstr "твърде много прехвърляния?!"
-
-#~ msgid "%s: use of -v on system with floating time_t other than float or double\n"
-#~ msgstr "%s: употребявайте -v на системи, за които типът на time_t, с плаваща точност, е различен от float или double\n"
-
-#~ msgid "%s: Can't link from %s to %s: %s\n"
-#~ msgstr "%s: Не може да се създаде връзка от %s към %s: %s\n"
-
-#~ msgid "%s: %d did not sign extend correctly\n"
-#~ msgstr "%s: при преобразуването %d не запази знак\n"
diff --git a/po/ca.po b/po/ca.po
index 6d25143..c4f4d7a 100644
--- a/po/ca.po
+++ b/po/ca.po
@@ -1,7 +1,7 @@
 # Catalan messages for GNU libc.
-# Copyright (C) 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2006, 2007, 2009, 2011, 2012, 2013 Free Software Foundation, Inc.
+# Copyright (C) 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2006, 2007, 2009, 2011, 2012, 2013, 2015 Free Software Foundation, Inc.
 # This file is distributed under the same license as the glibc package.
-# Ivan Vilata i Balaguer <ivan@selidor.net>, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2006, 2007, 2009, 2011, 2012, 2013, 2014.
+# Ivan Vilata i Balaguer <ivan@selidor.net>, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2006, 2007, 2009, 2011, 2012, 2013, 2014, 2015.
 #
 # Sóc Ivan, aquestes són les convencions que adopte per a la 2.18.90.20140105:
 #
@@ -42,11 +42,14 @@
 # - Els missatges marcats com a multilínia només arriben fins a la columna 70.
 #   A sovint contenen marques de format; en aquest cas s’hi inserta una nova
 #   línia perquè no hi ha forma de saber com serà de llarga la línia.
+#
+# He aplicat algunes de les recomanacions de
+# <https://www.softcatala.org/recursos/quality/gnutools.html>.
 msgid ""
 msgstr ""
-"Project-Id-Version: libc 2.19.90\n"
-"POT-Creation-Date: 2015-01-20 22:14-0500\n"
-"PO-Revision-Date: 2014-08-28 23:47+0200\n"
+"Project-Id-Version: libc 2.22-pre1\n"
+"POT-Creation-Date: 2015-07-31 00:10-0400\n"
+"PO-Revision-Date: 2015-12-29 22:56+0100\n"
 "Last-Translator: Ivan Vilata i Balaguer <ivan@selidor.net>\n"
 "Language-Team: Catalan <ca@dodds.net>\n"
 "Language: ca\n"
@@ -158,7 +161,7 @@ msgstr ""
 # Més ajudes.  ivb
 #: catgets/gencat.c:110
 msgid "Create C header file NAME containing symbol definitions"
-msgstr "Crea el fitxer capçalera C NOM que contindrà les definicions de símbols."
+msgstr "Crea el fitxer de capçalera C NOM que contindrà les definicions de símbols."
 
 #: catgets/gencat.c:112
 msgid "Do not use existing catalog, force new output file"
@@ -189,10 +192,10 @@ msgstr ""
 
 # L’adreça es veu millor així.  ivb
 #: catgets/gencat.c:229 debug/pcprofiledump.c:209 elf/ldconfig.c:307
-#: elf/pldd.c:244 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
+#: elf/pldd.c:252 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
 #: iconv/iconvconfig.c:379 locale/programs/locale.c:277
 #: locale/programs/localedef.c:376 login/programs/pt_chown.c:88
-#: malloc/memusagestat.c:563 nss/getent.c:969 nss/makedb.c:369
+#: malloc/memusagestat.c:563 nss/getent.c:973 nss/makedb.c:369
 #: posix/getconf.c:486 sunrpc/rpcinfo.c:691
 #: sysdeps/unix/sysv/linux/lddlibc4.c:61
 #, c-format
@@ -204,7 +207,7 @@ msgstr ""
 "<%s>.\n"
 
 #: catgets/gencat.c:245 debug/pcprofiledump.c:225 debug/xtrace.sh:64
-#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:260 elf/sotruss.sh:75
+#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:268 elf/sotruss.sh:75
 #: elf/sprof.c:389 iconv/iconv_prog.c:425 iconv/iconvconfig.c:396
 #: locale/programs/locale.c:294 locale/programs/localedef.c:402
 #: login/programs/pt_chown.c:62 malloc/memusage.sh:71
@@ -222,7 +225,7 @@ msgstr ""
 "ADEQUACIÓ PER A UN PROPÒSIT PARTICULAR.\n"
 
 #: catgets/gencat.c:250 debug/pcprofiledump.c:230 debug/xtrace.sh:68
-#: elf/ldconfig.c:328 elf/pldd.c:265 elf/sprof.c:395 iconv/iconv_prog.c:430
+#: elf/ldconfig.c:328 elf/pldd.c:273 elf/sprof.c:395 iconv/iconv_prog.c:430
 #: iconv/iconvconfig.c:401 locale/programs/locale.c:299
 #: locale/programs/localedef.c:407 malloc/memusage.sh:75
 #: malloc/memusagestat.c:586 nscd/nscd.c:514 nss/getent.c:91 nss/makedb.c:390
@@ -496,11 +499,11 @@ msgstr "no s’ha pogut canviar els drets d’accés de «%s» a %#o"
 msgid "Renaming of %s to %s failed"
 msgstr "no s’ha pogut reanomenar «%s» a «%s»"
 
-#: elf/dl-close.c:385 elf/dl-open.c:470
+#: elf/dl-close.c:396 elf/dl-open.c:478
 msgid "cannot create scope list"
 msgstr "no s’ha pogut crear la llista d’àmbits"
 
-#: elf/dl-close.c:770
+#: elf/dl-close.c:816
 msgid "shared object not open"
 msgstr "l’objecte compartit no és obert"
 
@@ -553,7 +556,7 @@ msgstr "no s’han pogut mapar pàgines per a la taula «fptr»"
 
 #: elf/dl-fptr.c:221 sysdeps/hppa/dl-fptr.c:236
 msgid "internal error: symidx out of range of fptr table"
-msgstr "error intern: «symidx» és fora de rang respecte la taula «fptr»"
+msgstr "error intern: «symidx» és fora de rang respecte a la taula «fptr»"
 
 #: elf/dl-hwcaps.c:184 elf/dl-hwcaps.c:196
 msgid "cannot create capability list"
@@ -581,134 +584,134 @@ msgstr "ha fallat stat() sobre l’objecte compartit"
 
 # ivb (2001/10/28)
 # ivb  Es refereix a /dev/zero .
-#: elf/dl-load.c:963
+#: elf/dl-load.c:962
 msgid "cannot open zero fill device"
 msgstr "no s’ha pogut obrir el dispositiu de zeros"
 
-#: elf/dl-load.c:1010 elf/dl-load.c:2165
+#: elf/dl-load.c:1009 elf/dl-load.c:2159
 msgid "cannot create shared object descriptor"
 msgstr "no s’ha pogut crear el descriptor d’objecte compartit"
 
-#: elf/dl-load.c:1029 elf/dl-load.c:1570 elf/dl-load.c:1682
+#: elf/dl-load.c:1028 elf/dl-load.c:1568 elf/dl-load.c:1680
 msgid "cannot read file data"
 msgstr "no s’han pogut llegir les dades del fitxer"
 
-#: elf/dl-load.c:1069
+#: elf/dl-load.c:1068
 msgid "ELF load command alignment not page-aligned"
 msgstr "l’alineament de l’ordre ELF de càrrega no està alineada amb la pàgina"
 
-#: elf/dl-load.c:1076
+#: elf/dl-load.c:1075
 msgid "ELF load command address/offset not properly aligned"
 msgstr "l’adreça o desplaçament de l’ordre ELF de càrrega no està correctament alineada"
 
-#: elf/dl-load.c:1160
+#: elf/dl-load.c:1159
 msgid "cannot allocate TLS data structures for initial thread"
 msgstr "no s’han pogut reservar les estructures de dades TLS per al fil inicial"
 
-#: elf/dl-load.c:1183
+#: elf/dl-load.c:1182
 msgid "cannot handle TLS data"
 msgstr "no es pot tractar amb dades TLS"
 
-#: elf/dl-load.c:1202
+#: elf/dl-load.c:1201
 msgid "object file has no loadable segments"
-msgstr "el fitxer objecte no té segments carregables"
+msgstr "el fitxer d’objecte no té segments carregables"
 
-#: elf/dl-load.c:1211 elf/dl-load.c:1662
+#: elf/dl-load.c:1210 elf/dl-load.c:1660
 msgid "cannot dynamically load executable"
 msgstr "no s’ha pogut carregar dinàmicament l’executable"
 
-#: elf/dl-load.c:1232
+#: elf/dl-load.c:1231
 msgid "object file has no dynamic section"
-msgstr "el fitxer objecte no té secció dinàmica"
+msgstr "el fitxer d’objecte no té secció dinàmica"
 
-#: elf/dl-load.c:1255
+#: elf/dl-load.c:1254
 msgid "shared object cannot be dlopen()ed"
 msgstr "ha fallat dlopen() sobre l’objecte compartit"
 
-#: elf/dl-load.c:1268
+#: elf/dl-load.c:1267
 msgid "cannot allocate memory for program header"
 msgstr "no s’ha pogut reservar memòria per a la capçalera del programa"
 
-#: elf/dl-load.c:1284 elf/dl-open.c:195
+#: elf/dl-load.c:1283 elf/dl-open.c:195
 msgid "invalid caller"
 msgstr "la biblioteca que ha fet la crida no és vàlida"
 
-#: elf/dl-load.c:1307 elf/dl-load.h:130
+#: elf/dl-load.c:1306 elf/dl-load.h:130
 msgid "cannot change memory protections"
 msgstr "no s’han pogut canviar les proteccions de memòria"
 
-#: elf/dl-load.c:1327
+#: elf/dl-load.c:1326
 msgid "cannot enable executable stack as shared object requires"
 msgstr "no s’ha pogut habilitar la pila executable a requeriment de l’objecte compartit"
 
-#: elf/dl-load.c:1340
+#: elf/dl-load.c:1339
 msgid "cannot close file descriptor"
 msgstr "no s’ha pogut tancar un descriptor de fitxer"
 
-#: elf/dl-load.c:1570
+#: elf/dl-load.c:1568
 msgid "file too short"
 msgstr "el fitxer és massa curt"
 
-#: elf/dl-load.c:1605
+#: elf/dl-load.c:1603
 msgid "invalid ELF header"
 msgstr "la capçalera ELF no és vàlida"
 
-#: elf/dl-load.c:1617
+#: elf/dl-load.c:1615
 msgid "ELF file data encoding not big-endian"
 msgstr "la codificació de les dades del fitxer ELF no és big‐endian"
 
-#: elf/dl-load.c:1619
+#: elf/dl-load.c:1617
 msgid "ELF file data encoding not little-endian"
 msgstr "la codificació de les dades del fitxer ELF no és little‐endian"
 
-#: elf/dl-load.c:1623
+#: elf/dl-load.c:1621
 msgid "ELF file version ident does not match current one"
 msgstr "la identificació de la versió del fitxer ELF no concorda amb l’actual"
 
 # ivb (2001/11(06)
 # ivb  ABI = Application Binary Interface (interfície binària d'aplicació)
-#: elf/dl-load.c:1627
+#: elf/dl-load.c:1625
 msgid "ELF file OS ABI invalid"
 msgstr "l’ABI de sistema operatiu del fitxer ELF no és vàlida"
 
-#: elf/dl-load.c:1630
+#: elf/dl-load.c:1628
 msgid "ELF file ABI version invalid"
 msgstr "la versió de l’ABI del fitxer ELF no és vàlida"
 
-#: elf/dl-load.c:1633
+#: elf/dl-load.c:1631
 msgid "nonzero padding in e_ident"
-msgstr "el replè d’«e_ident» no conté només zeros"
+msgstr "el replè de «e_ident» no conté només zeros"
 
-#: elf/dl-load.c:1636
+#: elf/dl-load.c:1634
 msgid "internal error"
 msgstr "error intern"
 
-#: elf/dl-load.c:1643
+#: elf/dl-load.c:1641
 msgid "ELF file version does not match current one"
 msgstr "la versió del fitxer ELF no concorda amb l’actual"
 
-#: elf/dl-load.c:1651
+#: elf/dl-load.c:1649
 msgid "only ET_DYN and ET_EXEC can be loaded"
 msgstr "només es poden carregar els tipus ET_DYN i ET_EXEC"
 
 # ivb (2001/11/01)
 # ivb  La traducció completa de «phentsize» vindria a ser: mida d'entrada
 # ivb  de taula de la capçalera de programa.
-#: elf/dl-load.c:1667
+#: elf/dl-load.c:1665
 msgid "ELF file's phentsize not the expected size"
 msgstr "el valor de «phentsize» del fitxer ELF no és l’esperat"
 
-#: elf/dl-load.c:2184
+#: elf/dl-load.c:2178
 msgid "wrong ELF class: ELFCLASS64"
 msgstr "la classe ELF no és vàlida: ELFCLASS64"
 
-#: elf/dl-load.c:2185
+#: elf/dl-load.c:2179
 msgid "wrong ELF class: ELFCLASS32"
 msgstr "la classe ELF no és vàlida: ELFCLASS32"
 
-#: elf/dl-load.c:2188
+#: elf/dl-load.c:2182
 msgid "cannot open shared object file"
-msgstr "no s’ha pogut obrir el fitxer objecte compartit"
+msgstr "no s’ha pogut obrir el fitxer d’objecte compartit"
 
 #: elf/dl-load.h:128
 msgid "failed to map segment from shared object"
@@ -718,11 +721,11 @@ msgstr "no s’ha pogut mapar un segment de l’objecte compartit"
 msgid "cannot map zero-fill pages"
 msgstr "no s’han pogut mapar les pàgines plenes de zeros"
 
-#: elf/dl-lookup.c:791
+#: elf/dl-lookup.c:845
 msgid "relocation error"
 msgstr "error de reubicació"
 
-#: elf/dl-lookup.c:818
+#: elf/dl-lookup.c:872
 msgid "symbol lookup error"
 msgstr "error en cercar el símbol"
 
@@ -732,53 +735,40 @@ msgstr "no s’ha pogut estendre l’àmbit global"
 
 # ivb (2002/10/29)
 # ivb  TLS = Thread Local Storage
-#: elf/dl-open.c:520
+#: elf/dl-open.c:528
 msgid "TLS generation counter wrapped!  Please report this."
 msgstr "El comptador de generació de TLS s’ha esgotat!  Per favor, informeu d’açò."
 
-# Cas general.  ivb
-#: elf/dl-open.c:542
-msgid "cannot load any more object with static TLS"
-msgstr "no es poden carregar més objectes amb el TLS estàtic"
-
-#: elf/dl-open.c:599
+#: elf/dl-open.c:592
 msgid "invalid mode for dlopen()"
 msgstr "el mode de dlopen() no és vàlid"
 
-#: elf/dl-open.c:616
+#: elf/dl-open.c:609
 msgid "no more namespaces available for dlmopen()"
 msgstr "no resten espais de noms disponibles per a dlmopen()"
 
-#: elf/dl-open.c:634
+#: elf/dl-open.c:633
 msgid "invalid target namespace in dlmopen()"
 msgstr "l’espai de noms destí de dlmopen() no és vàlid"
 
-#: elf/dl-reloc.c:120
+#: elf/dl-reloc.c:121
 msgid "cannot allocate memory in static TLS block"
 msgstr "no s’ha pogut reservar memòria al bloc TLS estàtic"
 
-#: elf/dl-reloc.c:212
+#: elf/dl-reloc.c:206
 msgid "cannot make segment writable for relocation"
 msgstr "no s’ha pogut fer escrivible el segment per a reubicar‐lo"
 
-# ivb (2002/10/21)
-# ivb  PLT = Procedure Linkage Table, Taula d'Enllaçat de Procediments
-# ivb  PLTREL = tipus de reubicació usada per la PLT
-#: elf/dl-reloc.c:275
-#, c-format
-msgid "%s: no PLTREL found in object %s\n"
-msgstr "%s: no s’ha trobat el PLTREL de l’objecte «%s»\n"
-
-#: elf/dl-reloc.c:290
+#: elf/dl-reloc.c:276
 #, c-format
 msgid "%s: out of memory to store relocation results for %s\n"
 msgstr "%s: no resta memòria per a guardar els resultats de reubicar «%s»\n"
 
-#: elf/dl-reloc.c:306
+#: elf/dl-reloc.c:292
 msgid "cannot restore segment prot after reloc"
 msgstr "no s’ha pogut restaurar la protecció del segment després de reubicar‐lo"
 
-#: elf/dl-reloc.c:335
+#: elf/dl-reloc.c:323
 msgid "cannot apply additional memory protection after relocation"
 msgstr "no s’ha pogut protegir la memòria després de reubicar"
 
@@ -786,7 +776,7 @@ msgstr "no s’ha pogut protegir la memòria després de reubicar"
 msgid "RTLD_NEXT used in code not dynamically loaded"
 msgstr "s’ha emprat RTLD_NEXT en un codi no carregat dinàmicament"
 
-#: elf/dl-tls.c:933
+#: elf/dl-tls.c:934
 msgid "cannot create TLS data structures"
 msgstr "no s’han pogut crear les estructures de dades TLS"
 
@@ -857,7 +847,7 @@ msgstr "FORMAT a emprar: «new» (nou), «old» (antic) o «compat» (compatible
 
 #: elf/ldconfig.c:151
 msgid "Ignore auxiliary cache file"
-msgstr "No té en compte el fitxer de memòria cau auxilar."
+msgstr "No té en compte el fitxer de memòria cau auxiliar."
 
 #: elf/ldconfig.c:159
 msgid "Configure Dynamic Linker Run Time Bindings."
@@ -935,7 +925,7 @@ msgstr "no s’ha creat l’enllaç perquè no s’ha trobat el nom d’objecte
 msgid "Can't open directory %s"
 msgstr "no s’ha pogut obrir el directori «%s»"
 
-#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:90
+#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:97
 #, c-format
 msgid "Input file %s not found.\n"
 msgstr "no s’ha trobat el fitxer d’entrada «%s»\n"
@@ -1048,7 +1038,7 @@ msgstr ""
 
 #: elf/ldd.bash.in:80
 msgid "ldd: option \\`$1' is ambiguous"
-msgstr "ldd: l’opció «$1» és ambígua"
+msgstr "ldd: l’opció «$1» és ambigua"
 
 #: elf/ldd.bash.in:87
 msgid "unrecognized option"
@@ -1071,7 +1061,7 @@ msgstr "El fitxer o directori no existeix"
 
 # ivb (2001/10/31)
 # ivb  Cal tenir en compte que «ordinary» a l'anglés és cosa pler diferent ;)
-#: elf/ldd.bash.in:150 inet/rcmd.c:488
+#: elf/ldd.bash.in:150 inet/rcmd.c:492
 msgid "not regular file"
 msgstr "no és un fitxer ordinari"
 
@@ -1119,70 +1109,76 @@ msgstr "no s’ha pogut llegir «r_debug»"
 msgid "cannot read program interpreter"
 msgstr "no s’ha pogut llegir l’intèrpret del programa"
 
-#: elf/pldd-xx.c:196
+#: elf/pldd-xx.c:197
 #, c-format
 msgid "cannot read link map"
 msgstr "no s’ha pogut llegir el mapa d’enllaçat"
 
-#: elf/pldd-xx.c:207
+#: elf/pldd-xx.c:209
 #, c-format
 msgid "cannot read object name"
 msgstr "no s’ha pogut llegir el nom de l’objecte"
 
+# Condició d’error.  ivb
+#: elf/pldd-xx.c:219
+#, c-format
+msgid "cannot allocate buffer for object name"
+msgstr "no s’ha pogut reservar memòria intermèdia per al nom de l’objecte"
+
 # Descripció del programa.  ivb
-#: elf/pldd.c:63
+#: elf/pldd.c:64
 msgid "List dynamic shared objects loaded into process."
 msgstr "Llista els objectes compatits dinàmics carregats en un procés."
 
 # Crec que el terme és suficient conegut.  ivb
-#: elf/pldd.c:67
+#: elf/pldd.c:68
 msgid "PID"
 msgstr "PID"
 
-#: elf/pldd.c:99
+#: elf/pldd.c:100
 #, c-format
 msgid "Exactly one parameter with process ID required.\n"
 msgstr "cal exactament un paràmetre amb l’identificador de procés\n"
 
-#: elf/pldd.c:111
+#: elf/pldd.c:112
 #, c-format
 msgid "invalid process ID '%s'"
 msgstr "l’identificador de procés «%s» no és vàlid"
 
 # No usa quote().  ivb
-#: elf/pldd.c:119
+#: elf/pldd.c:120
 #, c-format
 msgid "cannot open %s"
 msgstr "no s’ha pogut obrir «%s»"
 
 # No usa quote.  ivb
-#: elf/pldd.c:144
+#: elf/pldd.c:152
 #, c-format
 msgid "cannot open %s/task"
 msgstr "no s’ha pogut obrir «%s/task»"
 
 # No usa quote().  ivb
-#: elf/pldd.c:147
+#: elf/pldd.c:155
 #, c-format
 msgid "cannot prepare reading %s/task"
 msgstr "no s’ha pogut preparar la lectura de «%s/task»"
 
-#: elf/pldd.c:160
+#: elf/pldd.c:168
 #, c-format
 msgid "invalid thread ID '%s'"
 msgstr "l’identificador de fil «%s» no és vàlid"
 
-#: elf/pldd.c:171
+#: elf/pldd.c:179
 #, c-format
 msgid "cannot attach to process %lu"
 msgstr "no s’ha pogut associar al procés %lu"
 
-#: elf/pldd.c:286
+#: elf/pldd.c:294
 #, c-format
 msgid "cannot get information about process %lu"
 msgstr "no s’ha pogut obtenir informació sobre el procés %lu"
 
-#: elf/pldd.c:299
+#: elf/pldd.c:307
 #, c-format
 msgid "process %lu is no ELF program"
 msgstr "el procés %lu no pertany a un programa ELF"
@@ -1210,34 +1206,34 @@ msgstr "la classe ELF del fitxer «%s» no és coneguda\n"
 #: elf/readelflib.c:77
 #, c-format
 msgid "%s is not a shared object file (Type: %d).\n"
-msgstr "«%s» no és un fitxer objecte compartit (tipus: %d)\n"
+msgstr "«%s» no és un fitxer d’objecte compartit (tipus: %d)\n"
 
 #: elf/readelflib.c:108
 #, c-format
 msgid "more than one dynamic segment\n"
 msgstr "hi ha més d’un segment dinàmic\n"
 
-#: elf/readlib.c:96
+#: elf/readlib.c:103
 #, c-format
 msgid "Cannot fstat file %s.\n"
 msgstr "ha fallat fstat() sobre el fitxer «%s»\n"
 
-#: elf/readlib.c:107
+#: elf/readlib.c:114
 #, c-format
 msgid "File %s is empty, not checked."
 msgstr "el fitxer «%s» és buit, no es comprova"
 
-#: elf/readlib.c:113
+#: elf/readlib.c:120
 #, c-format
 msgid "File %s is too small, not checked."
 msgstr "el fitxer «%s» és massa menut, no es comprova"
 
-#: elf/readlib.c:123
+#: elf/readlib.c:130
 #, c-format
 msgid "Cannot mmap file %s.\n"
 msgstr "ha fallat mmap() sobre el fitxer «%s»\n"
 
-#: elf/readlib.c:161
+#: elf/readlib.c:169
 #, c-format
 msgid "%s is not an ELF file - it has the wrong magic bytes at the start.\n"
 msgstr "«%s» no és un fitxer ELF: els octets màgics del començament no són correctes\n"
@@ -1321,7 +1317,7 @@ msgstr "%s: l’opció «%c» necessita un argument\\n"
 
 #: elf/sotruss.sh:61
 msgid "%s: option is ambiguous; possibilities:"
-msgstr "%s: l’opció és ambígua; possibilitats:"
+msgstr "%s: l’opció és ambigua; possibilitats:"
 
 #: elf/sotruss.sh:79
 msgid "Written by %s.\\n"
@@ -1374,10 +1370,10 @@ msgstr "OBJECTE_COMPARTIT [DADES_PERFILAT]"
 msgid "failed to load shared object `%s'"
 msgstr "no s’ha pogut carregar l’objecte compartit «%s»"
 
-#: elf/sprof.c:442
+#: elf/sprof.c:442 elf/sprof.c:825 elf/sprof.c:923
 #, c-format
-msgid "cannot create internal descriptors"
-msgstr "no s’han pogut crear els descriptors interns"
+msgid "cannot create internal descriptor"
+msgstr "no s’ha pogut crear un descriptor intern"
 
 #: elf/sprof.c:554
 #, c-format
@@ -1444,11 +1440,6 @@ msgstr "ha fallat mmap() sobre el fitxer de dades de perfilat"
 msgid "error while closing the profiling data file"
 msgstr "error en tancar el fitxer de dades de perfilat"
 
-#: elf/sprof.c:825 elf/sprof.c:923
-#, c-format
-msgid "cannot create internal descriptor"
-msgstr "no s’ha pogut crear un descriptor intern"
-
 #: elf/sprof.c:899
 #, c-format
 msgid "`%s' is no correct profile data file for `%s'"
@@ -1642,7 +1633,7 @@ msgstr "No cerca en els directoris estàndard, només en els indicats a la líni
 #: iconv/iconvconfig.c:299
 #, c-format
 msgid "Directory arguments required when using --nostdlib"
-msgstr "Cal proporcionar arguments directori en emprar «--nostdlib»."
+msgstr "Cal proporcionar arguments de directori en emprar «--nostdlib»."
 
 #: iconv/iconvconfig.c:341 locale/programs/localedef.c:294
 #, c-format
@@ -1700,27 +1691,27 @@ msgstr "socket: fallada del protocol en configurar el circuit\n"
 msgid "rcmd: %s: short read"
 msgstr "rcmd: %s: lectura incompleta"
 
-#: inet/rcmd.c:486
+#: inet/rcmd.c:490
 msgid "lstat failed"
 msgstr "ha fallat lstat()"
 
-#: inet/rcmd.c:493
+#: inet/rcmd.c:497
 msgid "cannot open"
 msgstr "no s’ha pogut obrir"
 
-#: inet/rcmd.c:495
+#: inet/rcmd.c:499
 msgid "fstat failed"
 msgstr "ha fallat fstat()"
 
-#: inet/rcmd.c:497
+#: inet/rcmd.c:501
 msgid "bad owner"
 msgstr "el propietari no és vàlid"
 
-#: inet/rcmd.c:499
+#: inet/rcmd.c:503
 msgid "writeable by other than owner"
 msgstr "és modificable per altres que no en són el propietari"
 
-#: inet/rcmd.c:501
+#: inet/rcmd.c:505
 msgid "hard linked somewhere"
 msgstr "té un enllaç fort en altre lloc"
 
@@ -1743,7 +1734,7 @@ msgstr "la paraula clau «%s» de «.netrc» no és coneguda"
 
 #: libidn/nfkc.c:463
 msgid "Character out of range for UTF-8"
-msgstr "el caràcter és fora de rang respecte UTF-8"
+msgstr "el caràcter és fora de rang respecte a UTF-8"
 
 #: locale/programs/charmap-dir.c:57
 #, c-format
@@ -1843,8 +1834,8 @@ msgid "no symbolic name given for end of range"
 msgstr "no s’ha indicat un nom simbòlic per a la fi del rang"
 
 #: locale/programs/charmap.c:610 locale/programs/ld-address.c:528
-#: locale/programs/ld-collate.c:2626 locale/programs/ld-collate.c:3784
-#: locale/programs/ld-ctype.c:2162 locale/programs/ld-ctype.c:2913
+#: locale/programs/ld-collate.c:2635 locale/programs/ld-collate.c:3793
+#: locale/programs/ld-ctype.c:2128 locale/programs/ld-ctype.c:2840
 #: locale/programs/ld-identification.c:368
 #: locale/programs/ld-measurement.c:215 locale/programs/ld-messages.c:298
 #: locale/programs/ld-monetary.c:740 locale/programs/ld-name.c:264
@@ -1871,8 +1862,8 @@ msgid "%s: error in state machine"
 msgstr "%s: error a la màquina d’estats"
 
 #: locale/programs/charmap.c:850 locale/programs/ld-address.c:544
-#: locale/programs/ld-collate.c:2623 locale/programs/ld-collate.c:3977
-#: locale/programs/ld-ctype.c:2159 locale/programs/ld-ctype.c:2930
+#: locale/programs/ld-collate.c:2632 locale/programs/ld-collate.c:3986
+#: locale/programs/ld-ctype.c:2125 locale/programs/ld-ctype.c:2857
 #: locale/programs/ld-identification.c:384
 #: locale/programs/ld-measurement.c:231 locale/programs/ld-messages.c:314
 #: locale/programs/ld-monetary.c:756 locale/programs/ld-name.c:280
@@ -1893,7 +1884,7 @@ msgstr "el caràcter «%s» no és conegut"
 msgid "number of bytes for byte sequence of beginning and end of range not the same: %d vs %d"
 msgstr "el nombre d’octets de les seqüències d’inici i final del rang no són iguals: %d i %d"
 
-#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2903
+#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2912
 #: locale/programs/repertoire.c:419
 msgid "invalid names for character range"
 msgstr "els noms del rang de caràcters no són vàlids"
@@ -1918,8 +1909,8 @@ msgstr "el límit superior del rang és menor que l’inferior"
 msgid "resulting bytes for range not representable."
 msgstr "els octets resultants del rang no són representables"
 
-#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1565
-#: locale/programs/ld-ctype.c:465 locale/programs/ld-identification.c:133
+#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1566
+#: locale/programs/ld-ctype.c:431 locale/programs/ld-identification.c:133
 #: locale/programs/ld-measurement.c:94 locale/programs/ld-messages.c:97
 #: locale/programs/ld-monetary.c:193 locale/programs/ld-name.c:94
 #: locale/programs/ld-numeric.c:98 locale/programs/ld-paper.c:91
@@ -1987,7 +1978,7 @@ msgid "%s: numeric country code `%d' not valid"
 msgstr "%s: el codi numèric de país «%d» no és vàlid"
 
 #: locale/programs/ld-address.c:436 locale/programs/ld-address.c:473
-#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2537
+#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2489
 #: locale/programs/ld-identification.c:280
 #: locale/programs/ld-measurement.c:198 locale/programs/ld-messages.c:267
 #: locale/programs/ld-monetary.c:495 locale/programs/ld-monetary.c:530
@@ -2009,8 +2000,8 @@ msgstr "%s: el camp «%s» ha estat declarat més d’una volta"
 msgid "%s: unknown character in field `%s'"
 msgstr "%s: el camp «%s» conté un caràcter desconegut"
 
-#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3782
-#: locale/programs/ld-ctype.c:2910 locale/programs/ld-identification.c:365
+#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3791
+#: locale/programs/ld-ctype.c:2837 locale/programs/ld-identification.c:365
 #: locale/programs/ld-measurement.c:212 locale/programs/ld-messages.c:296
 #: locale/programs/ld-monetary.c:738 locale/programs/ld-name.c:262
 #: locale/programs/ld-numeric.c:324 locale/programs/ld-paper.c:212
@@ -2019,12 +2010,12 @@ msgstr "%s: el camp «%s» conté un caràcter desconegut"
 msgid "%s: incomplete `END' line"
 msgstr "%s: la línia «END» és incompleta"
 
-#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:551
-#: locale/programs/ld-collate.c:603 locale/programs/ld-collate.c:899
-#: locale/programs/ld-collate.c:912 locale/programs/ld-collate.c:2592
-#: locale/programs/ld-collate.c:2613 locale/programs/ld-collate.c:3967
-#: locale/programs/ld-ctype.c:1891 locale/programs/ld-ctype.c:2149
-#: locale/programs/ld-ctype.c:2735 locale/programs/ld-ctype.c:2921
+#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:552
+#: locale/programs/ld-collate.c:604 locale/programs/ld-collate.c:900
+#: locale/programs/ld-collate.c:913 locale/programs/ld-collate.c:2601
+#: locale/programs/ld-collate.c:2622 locale/programs/ld-collate.c:3976
+#: locale/programs/ld-ctype.c:1857 locale/programs/ld-ctype.c:2115
+#: locale/programs/ld-ctype.c:2687 locale/programs/ld-ctype.c:2848
 #: locale/programs/ld-identification.c:375
 #: locale/programs/ld-measurement.c:222 locale/programs/ld-messages.c:305
 #: locale/programs/ld-monetary.c:747 locale/programs/ld-name.c:271
@@ -2034,476 +2025,476 @@ msgstr "%s: la línia «END» és incompleta"
 msgid "%s: syntax error"
 msgstr "%s: error de sintaxi"
 
-#: locale/programs/ld-collate.c:426
+#: locale/programs/ld-collate.c:427
 #, c-format
 msgid "`%.*s' already defined in charmap"
 msgstr "«%.*s» ja ha estat definit al mapa de caràcters"
 
-#: locale/programs/ld-collate.c:435
+#: locale/programs/ld-collate.c:436
 #, c-format
 msgid "`%.*s' already defined in repertoire"
 msgstr "«%.*s» ja ha estat definit al repertori"
 
-#: locale/programs/ld-collate.c:442
+#: locale/programs/ld-collate.c:443
 #, c-format
 msgid "`%.*s' already defined as collating symbol"
 msgstr "«%.*s» ja ha estat definit com a símbol d’ordenació"
 
-#: locale/programs/ld-collate.c:449
+#: locale/programs/ld-collate.c:450
 #, c-format
 msgid "`%.*s' already defined as collating element"
 msgstr "«%.*s» ja ha estat definit com a element d’ordenació"
 
-#: locale/programs/ld-collate.c:480 locale/programs/ld-collate.c:506
+#: locale/programs/ld-collate.c:481 locale/programs/ld-collate.c:507
 #, c-format
 msgid "%s: `forward' and `backward' are mutually excluding each other"
 msgstr "%s: «forward» i «backward» són mútuament excloents"
 
-#: locale/programs/ld-collate.c:490 locale/programs/ld-collate.c:516
-#: locale/programs/ld-collate.c:532
+#: locale/programs/ld-collate.c:491 locale/programs/ld-collate.c:517
+#: locale/programs/ld-collate.c:533
 #, c-format
 msgid "%s: `%s' mentioned more than once in definition of weight %d"
 msgstr "%s: s’ha mencionat «%s» més d’una volta a la definició de pes %d"
 
-#: locale/programs/ld-collate.c:588
+#: locale/programs/ld-collate.c:589
 #, c-format
 msgid "%s: too many rules; first entry only had %d"
 msgstr "%s: sobren regles; la primera entrada només en tenia %d"
 
-#: locale/programs/ld-collate.c:624
+#: locale/programs/ld-collate.c:625
 #, c-format
 msgid "%s: not enough sorting rules"
 msgstr "%s: no hi ha suficients regles d’ordenació"
 
-#: locale/programs/ld-collate.c:789
+#: locale/programs/ld-collate.c:790
 #, c-format
 msgid "%s: empty weight string not allowed"
 msgstr "%s: no es permet la cadena buida com a nom de pes"
 
-#: locale/programs/ld-collate.c:884
+#: locale/programs/ld-collate.c:885
 #, c-format
 msgid "%s: weights must use the same ellipsis symbol as the name"
 msgstr "%s: els pesos han d’emprar el mateix símbol d’el·lipsi que el nom"
 
-#: locale/programs/ld-collate.c:940
+#: locale/programs/ld-collate.c:941
 #, c-format
 msgid "%s: too many values"
 msgstr "%s: sobren valors"
 
-#: locale/programs/ld-collate.c:1060 locale/programs/ld-collate.c:1235
+#: locale/programs/ld-collate.c:1061 locale/programs/ld-collate.c:1236
 #, c-format
 msgid "order for `%.*s' already defined at %s:%Zu"
 msgstr "l’ordre de «%.*s» ja ha estat definit a %s:%Zu"
 
-#: locale/programs/ld-collate.c:1110
+#: locale/programs/ld-collate.c:1111
 #, c-format
 msgid "%s: the start and the end symbol of a range must stand for characters"
 msgstr "%s: els símbols inicial i final d’un rang han de representar caràcters"
 
-#: locale/programs/ld-collate.c:1137
+#: locale/programs/ld-collate.c:1138
 #, c-format
 msgid "%s: byte sequences of first and last character must have the same length"
 msgstr "%s: les seqüències d’octets del primer i darrer caràcter han de tenir la mateixa longitud"
 
-#: locale/programs/ld-collate.c:1179
+#: locale/programs/ld-collate.c:1180
 #, c-format
 msgid "%s: byte sequence of first character of range is not lower than that of the last character"
 msgstr "%s: la seqüència d’octets del primer caràcter del rang no és menor que la del darrer caràcter"
 
-#: locale/programs/ld-collate.c:1304
+#: locale/programs/ld-collate.c:1305
 #, c-format
 msgid "%s: symbolic range ellipsis must not directly follow `order_start'"
-msgstr "%s: un rang simbòlic amb el·lipsi no pot anar just darrere d’«order_start»"
+msgstr "%s: un rang simbòlic amb el·lipsi no pot anar just darrere de «order_start»"
 
-#: locale/programs/ld-collate.c:1308
+#: locale/programs/ld-collate.c:1309
 #, c-format
 msgid "%s: symbolic range ellipsis must not be directly followed by `order_end'"
-msgstr "%s: un rang simbòlic amb el·lipsi no pot anar just davant d’«order_end»"
+msgstr "%s: un rang simbòlic amb el·lipsi no pot anar just davant de «order_end»"
 
-#: locale/programs/ld-collate.c:1328 locale/programs/ld-ctype.c:1408
+#: locale/programs/ld-collate.c:1329 locale/programs/ld-ctype.c:1374
 #, c-format
 msgid "`%s' and `%.*s' are not valid names for symbolic range"
 msgstr "«%s» i «%.*s» no són noms vàlids de rangs simbòlics"
 
-#: locale/programs/ld-collate.c:1378 locale/programs/ld-collate.c:3718
+#: locale/programs/ld-collate.c:1379 locale/programs/ld-collate.c:3727
 #, c-format
 msgid "%s: order for `%.*s' already defined at %s:%Zu"
 msgstr "%s: l’ordre de «%.*s» ja ha estat definit a %s:%Zu"
 
-#: locale/programs/ld-collate.c:1387
+#: locale/programs/ld-collate.c:1388
 #, c-format
 msgid "%s: `%s' must be a character"
 msgstr "%s: «%s» ha de ser un caràcter"
 
-#: locale/programs/ld-collate.c:1582
+#: locale/programs/ld-collate.c:1583
 #, c-format
 msgid "%s: `position' must be used for a specific level in all sections or none"
 msgstr "%s: cal emprar «position» per a un nivell específic a totes les seccions o a cap"
 
-#: locale/programs/ld-collate.c:1607
+#: locale/programs/ld-collate.c:1608
 #, c-format
 msgid "symbol `%s' not defined"
 msgstr "el símbol «%s» no ha estat definit"
 
-#: locale/programs/ld-collate.c:1683 locale/programs/ld-collate.c:1789
+#: locale/programs/ld-collate.c:1684 locale/programs/ld-collate.c:1790
 #, c-format
 msgid "symbol `%s' has the same encoding as"
 msgstr "el símbol «%s» té la mateixa codificació que"
 
-#: locale/programs/ld-collate.c:1687 locale/programs/ld-collate.c:1793
+#: locale/programs/ld-collate.c:1688 locale/programs/ld-collate.c:1794
 #, c-format
 msgid "symbol `%s'"
 msgstr "el símbol «%s»"
 
-#: locale/programs/ld-collate.c:1833
+#: locale/programs/ld-collate.c:1834
 #, c-format
 msgid "no definition of `UNDEFINED'"
 msgstr "no s’ha definit «UNDEFINED»"
 
-#: locale/programs/ld-collate.c:1862
+#: locale/programs/ld-collate.c:1863
 #, c-format
 msgid "too many errors; giving up"
 msgstr "hi ha massa errors: s’abandona"
 
-#: locale/programs/ld-collate.c:2518 locale/programs/ld-collate.c:3906
+#: locale/programs/ld-collate.c:2527 locale/programs/ld-collate.c:3915
 #, c-format
 msgid "%s: nested conditionals not supported"
 msgstr "%s: no es permeten els condicionals niats"
 
-#: locale/programs/ld-collate.c:2536
+#: locale/programs/ld-collate.c:2545
 #, c-format
 msgid "%s: more than one 'else'"
 msgstr "%s: hi ha més d’una clàusula «else»"
 
-#: locale/programs/ld-collate.c:2711
+#: locale/programs/ld-collate.c:2720
 #, c-format
 msgid "%s: duplicate definition of `%s'"
 msgstr "%s: la definició de «%s» és duplicada"
 
-#: locale/programs/ld-collate.c:2747
+#: locale/programs/ld-collate.c:2756
 #, c-format
 msgid "%s: duplicate declaration of section `%s'"
 msgstr "%s: la declaració de la secció «%s» és duplicada"
 
-#: locale/programs/ld-collate.c:2883
+#: locale/programs/ld-collate.c:2892
 #, c-format
 msgid "%s: unknown character in collating symbol name"
 msgstr "%s: el nom del símbol d’ordenació conté un caràcter desconegut"
 
-#: locale/programs/ld-collate.c:3012
+#: locale/programs/ld-collate.c:3021
 #, c-format
 msgid "%s: unknown character in equivalent definition name"
 msgstr "%s: el nom de la definició equivalent conté un caràcter desconegut"
 
-#: locale/programs/ld-collate.c:3023
+#: locale/programs/ld-collate.c:3032
 #, c-format
 msgid "%s: unknown character in equivalent definition value"
 msgstr "%s: el valor de la definició equivalent conté un caràcter desconegut"
 
-#: locale/programs/ld-collate.c:3033
+#: locale/programs/ld-collate.c:3042
 #, c-format
 msgid "%s: unknown symbol `%s' in equivalent definition"
 msgstr "%s: la definició equivalent conté el símbol desconegut «%s»"
 
-#: locale/programs/ld-collate.c:3042
+#: locale/programs/ld-collate.c:3051
 msgid "error while adding equivalent collating symbol"
 msgstr "error en afegir un símbol d’ordenació equivalent"
 
-#: locale/programs/ld-collate.c:3080
+#: locale/programs/ld-collate.c:3089
 #, c-format
 msgid "duplicate definition of script `%s'"
 msgstr "la definició de l’escriptura «%s» és duplicada"
 
-#: locale/programs/ld-collate.c:3128
+#: locale/programs/ld-collate.c:3137
 #, c-format
 msgid "%s: unknown section name `%.*s'"
 msgstr "%s: el nom de secció «%.*s» no és conegut"
 
-#: locale/programs/ld-collate.c:3157
+#: locale/programs/ld-collate.c:3166
 #, c-format
 msgid "%s: multiple order definitions for section `%s'"
 msgstr "%s: hi ha múltiples definicions d’ordre de la secció «%s»"
 
-#: locale/programs/ld-collate.c:3185
+#: locale/programs/ld-collate.c:3194
 #, c-format
 msgid "%s: invalid number of sorting rules"
 msgstr "%s: el nombre de regles d’ordenació no és vàlid"
 
-#: locale/programs/ld-collate.c:3212
+#: locale/programs/ld-collate.c:3221
 #, c-format
 msgid "%s: multiple order definitions for unnamed section"
 msgstr "%s: hi ha múltiples definicions d’ordre a la secció sense nom"
 
-#: locale/programs/ld-collate.c:3267 locale/programs/ld-collate.c:3397
-#: locale/programs/ld-collate.c:3760
+#: locale/programs/ld-collate.c:3276 locale/programs/ld-collate.c:3406
+#: locale/programs/ld-collate.c:3769
 #, c-format
 msgid "%s: missing `order_end' keyword"
 msgstr "%s: manca la paraula clau «order_end»"
 
-#: locale/programs/ld-collate.c:3330
+#: locale/programs/ld-collate.c:3339
 #, c-format
 msgid "%s: order for collating symbol %.*s not yet defined"
 msgstr "%s: l’ordre del símbol d’ordenació «%.*s» encara no ha estat definit"
 
-#: locale/programs/ld-collate.c:3348
+#: locale/programs/ld-collate.c:3357
 #, c-format
 msgid "%s: order for collating element %.*s not yet defined"
 msgstr "%s: l’ordre de l’element d’ordenació «%.*s» encara no ha estat definit"
 
-#: locale/programs/ld-collate.c:3359
+#: locale/programs/ld-collate.c:3368
 #, c-format
 msgid "%s: cannot reorder after %.*s: symbol not known"
 msgstr "%s: no s’ha pogut reordenar després de «%.*s»: el símbol no és conegut"
 
-#: locale/programs/ld-collate.c:3411 locale/programs/ld-collate.c:3772
+#: locale/programs/ld-collate.c:3420 locale/programs/ld-collate.c:3781
 #, c-format
 msgid "%s: missing `reorder-end' keyword"
 msgstr "%s: manca la paraula clau «reorder-end»"
 
-#: locale/programs/ld-collate.c:3445 locale/programs/ld-collate.c:3643
+#: locale/programs/ld-collate.c:3454 locale/programs/ld-collate.c:3652
 #, c-format
 msgid "%s: section `%.*s' not known"
 msgstr "%s: la secció «%.*s» no és coneguda"
 
-#: locale/programs/ld-collate.c:3510
+#: locale/programs/ld-collate.c:3519
 #, c-format
 msgid "%s: bad symbol <%.*s>"
 msgstr "%s: el símbol <%.*s> no és vàlid"
 
-#: locale/programs/ld-collate.c:3706
+#: locale/programs/ld-collate.c:3715
 #, c-format
 msgid "%s: cannot have `%s' as end of ellipsis range"
 msgstr "%s: «%s» no es pot trobar al final d’un rang amb el·lipsi"
 
-#: locale/programs/ld-collate.c:3756
+#: locale/programs/ld-collate.c:3765
 #, c-format
 msgid "%s: empty category description not allowed"
 msgstr "%s: no es permet una descripció buida de la categoria"
 
-#: locale/programs/ld-collate.c:3775
+#: locale/programs/ld-collate.c:3784
 #, c-format
 msgid "%s: missing `reorder-sections-end' keyword"
 msgstr "%s: manca la paraula clau «reorder-sections-end»"
 
-#: locale/programs/ld-collate.c:3939
+#: locale/programs/ld-collate.c:3948
 #, c-format
 msgid "%s: '%s' without matching 'ifdef' or 'ifndef'"
 msgstr "%s: s’ha trobat un «%s» sense el corresponent «ifdef» o «ifndef»"
 
-#: locale/programs/ld-collate.c:3957
+#: locale/programs/ld-collate.c:3966
 #, c-format
 msgid "%s: 'endif' without matching 'ifdef' or 'ifndef'"
 msgstr "%s: s’ha trobat un «endif» sense el corresponent «ifdef» o «ifndef»"
 
-#: locale/programs/ld-ctype.c:484
+#: locale/programs/ld-ctype.c:450
 #, c-format
 msgid "No character set name specified in charmap"
 msgstr "no s’ha indicat cap nom de joc de caràcters al mapa de caràcters"
 
-#: locale/programs/ld-ctype.c:513
+#: locale/programs/ld-ctype.c:479
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must be in class `%s'"
 msgstr "el caràcter L«\\u%0*x» de la classe «%s» ha de ser a la classe «%s»"
 
-#: locale/programs/ld-ctype.c:528
+#: locale/programs/ld-ctype.c:494
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must not be in class `%s'"
 msgstr "el caràcter L«\\u%0*x» de la classe «%s» no ha de ser a la classe «%s»"
 
-#: locale/programs/ld-ctype.c:542 locale/programs/ld-ctype.c:600
+#: locale/programs/ld-ctype.c:508 locale/programs/ld-ctype.c:566
 #, c-format
 msgid "internal error in %s, line %u"
 msgstr "error intern a «%s», línia %u"
 
-#: locale/programs/ld-ctype.c:571
+#: locale/programs/ld-ctype.c:537
 #, c-format
 msgid "character '%s' in class `%s' must be in class `%s'"
 msgstr "el caràcter «%s» de la classe «%s» ha de ser a la classe «%s»"
 
-#: locale/programs/ld-ctype.c:587
+#: locale/programs/ld-ctype.c:553
 #, c-format
 msgid "character '%s' in class `%s' must not be in class `%s'"
 msgstr "el caràcter «%s» de la classe «%s» no ha de ser a la classe «%s»"
 
-#: locale/programs/ld-ctype.c:617 locale/programs/ld-ctype.c:655
+#: locale/programs/ld-ctype.c:583 locale/programs/ld-ctype.c:621
 #, c-format
 msgid "<SP> character not in class `%s'"
 msgstr "el caràcter <SP> no és a la classe «%s»"
 
-#: locale/programs/ld-ctype.c:629 locale/programs/ld-ctype.c:666
+#: locale/programs/ld-ctype.c:595 locale/programs/ld-ctype.c:632
 #, c-format
 msgid "<SP> character must not be in class `%s'"
 msgstr "el caràcter <SP> no ha de ser a la classe «%s»"
 
-#: locale/programs/ld-ctype.c:644
+#: locale/programs/ld-ctype.c:610
 #, c-format
 msgid "character <SP> not defined in character map"
 msgstr "el caràcter <SP> no ha estat definit a la taula de caràcters"
 
-#: locale/programs/ld-ctype.c:780
+#: locale/programs/ld-ctype.c:746
 #, c-format
 msgid "`digit' category has not entries in groups of ten"
 msgstr "les entrades de la categoria «digit» no estan agrupades de deu en deu"
 
-#: locale/programs/ld-ctype.c:829
+#: locale/programs/ld-ctype.c:795
 #, c-format
 msgid "no input digits defined and none of the standard names in the charmap"
 msgstr "no s’han definit dígits d’entrada i cap dels noms estàndard es troba al mapa de caràcters"
 
-#: locale/programs/ld-ctype.c:894
+#: locale/programs/ld-ctype.c:860
 #, c-format
 msgid "not all characters used in `outdigit' are available in the charmap"
 msgstr "no tots els caràcters emprats a «outdigit» es troben al mapa de caràcters"
 
-#: locale/programs/ld-ctype.c:911
+#: locale/programs/ld-ctype.c:877
 #, c-format
 msgid "not all characters used in `outdigit' are available in the repertoire"
 msgstr "no tots els caràcters emprats a «outdigit» es troben al repertori"
 
-#: locale/programs/ld-ctype.c:1176
+#: locale/programs/ld-ctype.c:1142
 #, c-format
 msgid "character class `%s' already defined"
 msgstr "la classe de caràcters «%s» ja ha estat definida"
 
-#: locale/programs/ld-ctype.c:1182
+#: locale/programs/ld-ctype.c:1148
 #, c-format
 msgid "implementation limit: no more than %Zd character classes allowed"
 msgstr "límit d’implementació: no es permeten més de %Zd classes de caràcters"
 
-#: locale/programs/ld-ctype.c:1208
+#: locale/programs/ld-ctype.c:1174
 #, c-format
 msgid "character map `%s' already defined"
 msgstr "el mapa de caràcters «%s» ja ha estat definit"
 
-#: locale/programs/ld-ctype.c:1214
+#: locale/programs/ld-ctype.c:1180
 #, c-format
 msgid "implementation limit: no more than %d character maps allowed"
 msgstr "límit d’implementació: no es permeten més de %d taules de caràcters"
 
-#: locale/programs/ld-ctype.c:1479 locale/programs/ld-ctype.c:1604
-#: locale/programs/ld-ctype.c:1710 locale/programs/ld-ctype.c:2400
-#: locale/programs/ld-ctype.c:3397
+#: locale/programs/ld-ctype.c:1445 locale/programs/ld-ctype.c:1570
+#: locale/programs/ld-ctype.c:1676 locale/programs/ld-ctype.c:2352
+#: locale/programs/ld-ctype.c:3324
 #, c-format
 msgid "%s: field `%s' does not contain exactly ten entries"
 msgstr "%s: el camp «%s» no conté deu entrades exactament"
 
-#: locale/programs/ld-ctype.c:1507 locale/programs/ld-ctype.c:2081
+#: locale/programs/ld-ctype.c:1473 locale/programs/ld-ctype.c:2047
 #, c-format
 msgid "to-value <U%0*X> of range is smaller than from-value <U%0*X>"
 msgstr "el valor final <U%0*X> del rang és menor que l’inicial <U%0*X>"
 
-#: locale/programs/ld-ctype.c:1634
+#: locale/programs/ld-ctype.c:1600
 msgid "start and end character sequence of range must have the same length"
 msgstr "les seqüències de caràcters inicial i final del rang han de tenir la mateixa longitud"
 
-#: locale/programs/ld-ctype.c:1641
+#: locale/programs/ld-ctype.c:1607
 msgid "to-value character sequence is smaller than from-value sequence"
 msgstr "la seqüència de caràcters final és menor que la seqüència inicial"
 
-#: locale/programs/ld-ctype.c:2001 locale/programs/ld-ctype.c:2052
+#: locale/programs/ld-ctype.c:1967 locale/programs/ld-ctype.c:2018
 msgid "premature end of `translit_ignore' definition"
 msgstr "fi prematura de la definició «translit_ignore»"
 
-#: locale/programs/ld-ctype.c:2007 locale/programs/ld-ctype.c:2058
-#: locale/programs/ld-ctype.c:2100
+#: locale/programs/ld-ctype.c:1973 locale/programs/ld-ctype.c:2024
+#: locale/programs/ld-ctype.c:2066
 msgid "syntax error"
 msgstr "error de sintaxi"
 
-#: locale/programs/ld-ctype.c:2233
+#: locale/programs/ld-ctype.c:2199
 #, c-format
 msgid "%s: syntax error in definition of new character class"
 msgstr "%s: error de sintaxi a la definició de nova classe de caràcters"
 
-#: locale/programs/ld-ctype.c:2248
+#: locale/programs/ld-ctype.c:2214
 #, c-format
 msgid "%s: syntax error in definition of new character map"
 msgstr "%s: error de sintaxi a la definició de nou mapa de caràcters"
 
-#: locale/programs/ld-ctype.c:2422
+#: locale/programs/ld-ctype.c:2374
 msgid "ellipsis range must be marked by two operands of same type"
 msgstr "el rang amb el·lipsi ha d’estar marcat per dos operands del mateix tipus"
 
-#: locale/programs/ld-ctype.c:2431
+#: locale/programs/ld-ctype.c:2383
 msgid "with symbolic name range values the absolute ellipsis `...' must not be used"
 msgstr "no s’ha d’emprar l’el·lipsi absoluta «...» amb els valors de rang de noms simbòlics"
 
-#: locale/programs/ld-ctype.c:2446
+#: locale/programs/ld-ctype.c:2398
 msgid "with UCS range values one must use the hexadecimal symbolic ellipsis `..'"
 msgstr "cal emprar l’el·lipsi simbòlica hexadecimal «..» amb els valors de rang UCS"
 
-#: locale/programs/ld-ctype.c:2460
+#: locale/programs/ld-ctype.c:2412
 msgid "with character code range values one must use the absolute ellipsis `...'"
-msgstr "cal emprar l’el·lispi absoluta «...» amb els valors de rang de codis de caràcters"
+msgstr "cal emprar l’el·lipsi absoluta «...» amb els valors de rang de codis de caràcters"
 
-#: locale/programs/ld-ctype.c:2611
+#: locale/programs/ld-ctype.c:2563
 #, c-format
 msgid "duplicated definition for mapping `%s'"
 msgstr "la definició del mapa «%s» és duplicada"
 
-#: locale/programs/ld-ctype.c:2697 locale/programs/ld-ctype.c:2841
+#: locale/programs/ld-ctype.c:2649 locale/programs/ld-ctype.c:2793
 #, c-format
 msgid "%s: `translit_start' section does not end with `translit_end'"
 msgstr "%s: la secció «translit_start» no acaba amb «translit_end»"
 
-#: locale/programs/ld-ctype.c:2792
+#: locale/programs/ld-ctype.c:2744
 #, c-format
 msgid "%s: duplicate `default_missing' definition"
 msgstr "%s: la definició de «default_missing» és duplicada"
 
-#: locale/programs/ld-ctype.c:2797
+#: locale/programs/ld-ctype.c:2749
 msgid "previous definition was here"
 msgstr "la definició prèvia es troba ací"
 
-#: locale/programs/ld-ctype.c:2819
+#: locale/programs/ld-ctype.c:2771
 #, c-format
 msgid "%s: no representable `default_missing' definition found"
 msgstr "%s: no s’ha trobat cap definició representable de «default_missing»"
 
-#: locale/programs/ld-ctype.c:2962 locale/programs/ld-ctype.c:3059
-#: locale/programs/ld-ctype.c:3079 locale/programs/ld-ctype.c:3100
-#: locale/programs/ld-ctype.c:3121 locale/programs/ld-ctype.c:3142
-#: locale/programs/ld-ctype.c:3163 locale/programs/ld-ctype.c:3203
-#: locale/programs/ld-ctype.c:3224 locale/programs/ld-ctype.c:3289
-#: locale/programs/ld-ctype.c:3331 locale/programs/ld-ctype.c:3356
+#: locale/programs/ld-ctype.c:2889 locale/programs/ld-ctype.c:2986
+#: locale/programs/ld-ctype.c:3006 locale/programs/ld-ctype.c:3027
+#: locale/programs/ld-ctype.c:3048 locale/programs/ld-ctype.c:3069
+#: locale/programs/ld-ctype.c:3090 locale/programs/ld-ctype.c:3130
+#: locale/programs/ld-ctype.c:3151 locale/programs/ld-ctype.c:3216
+#: locale/programs/ld-ctype.c:3258 locale/programs/ld-ctype.c:3283
 #, c-format
 msgid "%s: character `%s' not defined while needed as default value"
 msgstr "%s: el caràcter «%s», necessari com a valor per defecte, no ha estat definit"
 
-#: locale/programs/ld-ctype.c:2967 locale/programs/ld-ctype.c:3064
-#: locale/programs/ld-ctype.c:3084 locale/programs/ld-ctype.c:3105
-#: locale/programs/ld-ctype.c:3126 locale/programs/ld-ctype.c:3147
-#: locale/programs/ld-ctype.c:3168 locale/programs/ld-ctype.c:3208
-#: locale/programs/ld-ctype.c:3229 locale/programs/ld-ctype.c:3294
+#: locale/programs/ld-ctype.c:2894 locale/programs/ld-ctype.c:2991
+#: locale/programs/ld-ctype.c:3011 locale/programs/ld-ctype.c:3032
+#: locale/programs/ld-ctype.c:3053 locale/programs/ld-ctype.c:3074
+#: locale/programs/ld-ctype.c:3095 locale/programs/ld-ctype.c:3135
+#: locale/programs/ld-ctype.c:3156 locale/programs/ld-ctype.c:3221
 #, c-format
 msgid "%s: character `%s' in charmap not representable with one byte"
 msgstr "%s: el caràcter «%s» del mapa de caràcters no es pot representar amb un sol octet"
 
-#: locale/programs/ld-ctype.c:3338 locale/programs/ld-ctype.c:3363
+#: locale/programs/ld-ctype.c:3265 locale/programs/ld-ctype.c:3290
 #, c-format
 msgid "%s: character `%s' needed as default value not representable with one byte"
 msgstr "%s: el caràcter «%s», necessari com a valor per defecte, no es pot representar amb un sol octet"
 
-#: locale/programs/ld-ctype.c:3419
+#: locale/programs/ld-ctype.c:3346
 #, c-format
 msgid "no output digits defined and none of the standard names in the charmap"
-msgstr "no s’han definit dígits d’eixida i cap del noms estàndard es troba al mapa de caràcters"
+msgstr "no s’han definit dígits d’eixida i cap dels noms estàndard es troba al mapa de caràcters"
 
-#: locale/programs/ld-ctype.c:3668
+#: locale/programs/ld-ctype.c:3595
 #, c-format
 msgid "%s: transliteration data from locale `%s' not available"
 msgstr "%s: les dades de transliteració del locale «%s» no es troben disponibles"
 
-#: locale/programs/ld-ctype.c:3768
+#: locale/programs/ld-ctype.c:3695
 #, c-format
 msgid "%s: table for class \"%s\": %lu bytes\n"
 msgstr "%s: taula de la classe «%s»: %lu octets\n"
 
-#: locale/programs/ld-ctype.c:3833
+#: locale/programs/ld-ctype.c:3760
 #, c-format
 msgid "%s: table for map \"%s\": %lu bytes\n"
 msgstr "%s: taula del mapa «%s»: %lu octets\n"
 
-#: locale/programs/ld-ctype.c:3958
+#: locale/programs/ld-ctype.c:3885
 #, c-format
 msgid "%s: table for width: %lu bytes\n"
 msgstr "%s: taula d’amplada: %lu bytes\n"
@@ -2855,7 +2846,7 @@ msgstr "Genera eixida big‐endian."
 # ivb  Pose el punt final pq és la descripció curta de l'ordre.
 #: locale/programs/localedef.c:157
 msgid "Compile locale specification"
-msgstr "Compil·la una especificació de locale."
+msgstr "Compila una especificació de locale."
 
 #: locale/programs/localedef.c:160
 msgid ""
@@ -2919,12 +2910,12 @@ msgstr "no s’ha pogut crear un fitxer temporal: %s"
 #: locale/programs/locarchive.c:167 locale/programs/locarchive.c:430
 #, c-format
 msgid "cannot initialize archive file"
-msgstr "no s’ha pogut iniciar el fitxer arxiu"
+msgstr "no s’ha pogut iniciar el fitxer d’arxiu"
 
 #: locale/programs/locarchive.c:174 locale/programs/locarchive.c:437
 #, c-format
 msgid "cannot resize archive file"
-msgstr "no s’ha pogut redimensionar el fitxer arxiu"
+msgstr "no s’ha pogut redimensionar el fitxer d’arxiu"
 
 #: locale/programs/locarchive.c:189 locale/programs/locarchive.c:452
 #: locale/programs/locarchive.c:674
@@ -2952,7 +2943,7 @@ msgstr "no s’han pogut llegir les dades de l’arxiu de locales"
 #: locale/programs/locarchive.c:355
 #, c-format
 msgid "cannot map locale archive file"
-msgstr "no s’ha pogut mapar el fitxer arxiu de locales"
+msgstr "no s’ha pogut mapar el fitxer d’arxiu de locales"
 
 #: locale/programs/locarchive.c:460
 #, c-format
@@ -2962,7 +2953,7 @@ msgstr "no s’ha pogut blocar el nou arxiu"
 #: locale/programs/locarchive.c:529
 #, c-format
 msgid "cannot extend locale archive file"
-msgstr "no s’ha pogut estendre el fitxer arxiu de locales"
+msgstr "no s’ha pogut estendre el fitxer d’arxiu de locales"
 
 #: locale/programs/locarchive.c:538
 #, c-format
@@ -3116,7 +3107,7 @@ msgstr "no s’ha trobat el fitxer «%s» de mapa de repertori"
 #: login/programs/pt_chown.c:78
 #, c-format
 msgid "Set the owner, group and access permission of the slave pseudo terminal corresponding to the master pseudo terminal passed on file descriptor `%d'.  This is the helper program for the `grantpt' function.  It is not intended to be run directly from the command line.\n"
-msgstr "Estableix el propietari, grup i permissos d’accés del pseudo‐terminal esclau corresponent al pseudo‐terminal mestre passat en el descriptor de fitxer %d.  Aquest és el programa auxiliar per a la funció grantpt(), i no està pensat per a ser executat directament des de la línia d’ordres.\n"
+msgstr "Estableix el propietari, grup i permisos d’accés del pseudo‐terminal esclau corresponent al pseudo‐terminal mestre passat en el descriptor de fitxer %d.  Aquest és el programa auxiliar per a la funció grantpt(), i no està pensat per a ser executat directament des de la línia d’ordres.\n"
 
 #: login/programs/pt_chown.c:92
 #, c-format
@@ -3125,7 +3116,7 @@ msgid ""
 "\n"
 "%s"
 msgstr ""
-"S’estableix el propietari a l’usuari actual, el grup a «%s» i els permissos d’accés a %o.\n"
+"S’estableix el propietari a l’usuari actual, el grup a «%s» i els permisos d’accés a %o.\n"
 "\n"
 "%s"
 
@@ -3157,7 +3148,7 @@ msgstr "s’ha alliberat el bloc dues voltes\n"
 
 #: malloc/mcheck.c:358
 msgid "bogus mcheck_status, library is buggy\n"
-msgstr "el valor d’«mcheck_status» és estrany; la biblioteca té errors\n"
+msgstr "el valor de «mcheck_status» és estrany; la biblioteca té errors\n"
 
 #: malloc/memusage.sh:32
 msgid "%s: option '%s' requires an argument\\n"
@@ -3232,7 +3223,7 @@ msgstr ""
 
 #: malloc/memusage.sh:191
 msgid "memusage: option \\`${1##*=}' is ambiguous"
-msgstr "memusage: l’opció «${1##*=}» és ambígua"
+msgstr "memusage: l’opció «${1##*=}» és ambigua"
 
 #: malloc/memusage.sh:200
 msgid "memusage: unrecognized option \\`$1'"
@@ -3257,7 +3248,7 @@ msgstr "Cadena amb el títol a emprar al gràfic d’eixida."
 
 #: malloc/memusagestat.c:58
 msgid "Generate output linear to time (default is linear to number of function calls)"
-msgstr "Genera una eixida lineal respecte el temps (per defecte és lineal respecte el nombre de crides a funció)."
+msgstr "Genera una eixida lineal respecte al temps (per defecte és lineal respecte al nombre de crides a funció)."
 
 #: malloc/memusagestat.c:62
 msgid "Also draw graph for total memory consumption"
@@ -3919,7 +3910,7 @@ msgstr "Codi d’error desconegut de NIS"
 
 #: nis/ypclnt.c:922
 msgid "Internal ypbind error"
-msgstr "Error intern d’«ypbind»"
+msgstr "Error intern de «ypbind»"
 
 #: nis/ypclnt.c:925
 msgid "Domain not bound"
@@ -3931,7 +3922,7 @@ msgstr "No s’han pogut assignar recursos del sistema"
 
 #: nis/ypclnt.c:931
 msgid "Unknown ypbind error"
-msgstr "Error desconegut d’«ypbind»"
+msgstr "Error desconegut de «ypbind»"
 
 #: nis/ypclnt.c:972
 msgid "yp_update: cannot convert host to netname\n"
@@ -3966,18 +3957,26 @@ msgstr "s’afegeix una nova entrada «%s» de tipus %s a la memòria cau de «%
 msgid " (first)"
 msgstr " (primer)"
 
-#: nscd/cache.c:285 nscd/connections.c:1000
+# Missatge de depuració amb error.  ivb
+# No usa quote().  ivb
+#: nscd/cache.c:288
 #, c-format
-msgid "cannot stat() file `%s': %s"
-msgstr "ha fallat stat() sobre el fitxer «%s»: %s"
+msgid "checking for monitored file `%s': %s"
+msgstr "en comprovar el fitxer vigilat «%s»: %s"
 
-#: nscd/cache.c:331
+# No usa quote().  ivb
+#: nscd/cache.c:298
+#, c-format
+msgid "monitored file `%s` changed (mtime)"
+msgstr "el fitxer vigilat «%s» ha canviat (segons la data de modificació)"
+
+#: nscd/cache.c:341
 #, c-format
 msgid "pruning %s cache; time %ld"
 msgstr "neteja de la memòria cau de «%s», hora %ld"
 
 # La 2a. és de l’estil de «GETPWBYNAME».  ivb
-#: nscd/cache.c:360
+#: nscd/cache.c:370
 #, c-format
 msgid "considering %s entry \"%s\", timeout %<PRIu64>"
 msgstr "es considera l’entrada %s «%s», expiració %<PRIu64>"
@@ -4063,39 +4062,69 @@ msgstr "no s’ha pogut indicar que el connector es tanque en fer exec(): %s"
 msgid "cannot enable socket to accept connections: %s"
 msgstr "no s’ha pogut habilitar el connector per a acceptar connexions: %s"
 
+# Cap de les 2 usa quote().  ivb
+#: nscd/connections.c:973
+#, c-format
+msgid "disabled inotify-based monitoring for file `%s': %s"
+msgstr "s’inhabilita la vigilància «inotify» per al fitxer «%s»: %s"
+
+# No usa quote().  ivb
+#: nscd/connections.c:977
+#, c-format
+msgid "monitoring file `%s` (%d)"
+msgstr "s’està vigilant el fitxer «%s» (%d)"
+
+# Cap de les 2 usa quote().  ivb
+#: nscd/connections.c:990
+#, c-format
+msgid "disabled inotify-based monitoring for directory `%s': %s"
+msgstr "s’inhabilita la vigilància «inotify» per al directori «%s»: %s"
+
+# Missatge de depuració.  ivb
+# No usa quote().  ivb
+#: nscd/connections.c:994
+#, c-format
+msgid "monitoring directory `%s` (%d)"
+msgstr "s’està vigilant el directori «%s» (%d)"
+
 # Cap usa quote().  ivb
 # Missatge de depuració.  ivb
-# Allò traçat és el fitxer, segons el codi.  ivb
-#: nscd/connections.c:984
+#: nscd/connections.c:1022
 #, c-format
-msgid "register trace file %s for database %s"
-msgstr "es registra el fitxer traçat «%s» per a la base de dades «%s»"
+msgid "monitoring file %s for database %s"
+msgstr "s’està vigilant el fitxer «%s» per a la base de dades «%s»"
 
-#: nscd/connections.c:1114
+# Cap usa quote().  ivb
+#: nscd/connections.c:1032
+#, c-format
+msgid "stat failed for file `%s'; will try again later: %s"
+msgstr "ha fallat stat() sobre el fitxer «%s», es tornarà a provar: %s"
+
+#: nscd/connections.c:1151
 #, c-format
 msgid "provide access to FD %d, for %s"
 msgstr "es proporciona accés al descriptor de fitxer %d, per a «%s»"
 
-#: nscd/connections.c:1126
+#: nscd/connections.c:1163
 #, c-format
 msgid "cannot handle old request version %d; current version is %d"
 msgstr "no s’ha pogut atendre la petició amb versió antiga %d; la versió actual és %d"
 
-#: nscd/connections.c:1148
+#: nscd/connections.c:1185
 #, c-format
 msgid "request from %ld not handled due to missing permission"
-msgstr "no s’atén la petició de %ld per manca de permissos"
+msgstr "no s’atén la petició de %ld per manca de permisos"
 
-#: nscd/connections.c:1153
+#: nscd/connections.c:1190
 #, c-format
 msgid "request from '%s' [%ld] not handled due to missing permission"
-msgstr "no s’atén la petició de «%s» (%ld) per manca de permissos"
+msgstr "no s’atén la petició de «%s» (%ld) per manca de permisos"
 
-#: nscd/connections.c:1158
+#: nscd/connections.c:1195
 msgid "request not handled due to missing permission"
-msgstr "no s’atén la petició per manca de permissos"
+msgstr "no s’atén la petició per manca de permisos"
 
-#: nscd/connections.c:1196 nscd/connections.c:1249
+#: nscd/connections.c:1233 nscd/connections.c:1286
 #, c-format
 msgid "cannot write result: %s"
 msgstr "no s’ha pogut escriure el resultat: %s"
@@ -4105,121 +4134,166 @@ msgstr "no s’ha pogut escriure el resultat: %s"
 # ivb  dimoni «nscd» per consultar la memòria cau o invalidar-la.  Per
 # ivb  això faig servir «programa de control» (com «ndc» amb «named» o
 # ivb  «chronyc» amb «chronyd»).
-#: nscd/connections.c:1340
+#: nscd/connections.c:1377
 #, c-format
 msgid "error getting caller's id: %s"
 msgstr "error en obtenir l’identificador del programa de control: %s"
 
-#: nscd/connections.c:1400
+#: nscd/connections.c:1437
 #, c-format
 msgid "cannot open /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr "no s’ha pogut obrir «/proc/self/cmdline»: %s; s’inhabilita el mode paranoic"
 
-#: nscd/connections.c:1414
+#: nscd/connections.c:1451
 #, c-format
 msgid "cannot read /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr "no s’ha pogut llegir «/proc/self/cmdline»: %s; s’inhabilita el mode paranoic"
 
-#: nscd/connections.c:1454
+#: nscd/connections.c:1491
 #, c-format
 msgid "cannot change to old UID: %s; disabling paranoia mode"
 msgstr "no s’ha pogut tornar a l’UID vell: %s; s’inhabilita el mode paranoic"
 
-#: nscd/connections.c:1464
+#: nscd/connections.c:1501
 #, c-format
 msgid "cannot change to old GID: %s; disabling paranoia mode"
 msgstr "no s’ha pogut tornar al GID vell: %s; s’inhabilita el mode paranoic"
 
-#: nscd/connections.c:1477
+#: nscd/connections.c:1514
 #, c-format
 msgid "cannot change to old working directory: %s; disabling paranoia mode"
 msgstr "no s’ha pogut tornar al directori vell de treball: %s; s’inhabilita el mode paranoic"
 
-#: nscd/connections.c:1523
+#: nscd/connections.c:1560
 #, c-format
 msgid "re-exec failed: %s; disabling paranoia mode"
 msgstr "ha fallat la reexecució: %s; s’inhabilita el mode paranoic"
 
-#: nscd/connections.c:1532
+#: nscd/connections.c:1569
 #, c-format
 msgid "cannot change current working directory to \"/\": %s"
 msgstr "no s’ha pogut canviar el directori de treball a «/»: %s"
 
-#: nscd/connections.c:1725
+#: nscd/connections.c:1762
 #, c-format
 msgid "short read while reading request: %s"
 msgstr "lectura incompleta en llegir la petició: %s"
 
-#: nscd/connections.c:1758
+#: nscd/connections.c:1795
 #, c-format
 msgid "key length in request too long: %d"
 msgstr "la longitud de la clau de la petició és massa gran: %d"
 
-#: nscd/connections.c:1771
+#: nscd/connections.c:1808
 #, c-format
 msgid "short read while reading request key: %s"
 msgstr "lectura incompleta en llegir la clau de la petició: %s"
 
-#: nscd/connections.c:1781
+#: nscd/connections.c:1818
 #, c-format
 msgid "handle_request: request received (Version = %d) from PID %ld"
 msgstr "handle_request: s’ha rebut una petició (amb versió %d) del PID %ld"
 
-#: nscd/connections.c:1786
+#: nscd/connections.c:1823
 #, c-format
 msgid "handle_request: request received (Version = %d)"
 msgstr "handle_request: s’ha rebut una petició (amb versió %d)"
 
-#: nscd/connections.c:2050 nscd/connections.c:2252
+# No usa quote().  ivb
+#: nscd/connections.c:1963
+#, c-format
+msgid "ignored inotify event for `%s` (file exists)"
+msgstr "s’ha descartat l’esdeveniment d’«inotify» per a «%s» (el fitxer existeix)"
+
+# No usa quote(), el segon és «moved» o «deleted».  ivb
+# FIXME: Inner verb cannot be translated!  ivb
+#: nscd/connections.c:1968
+#, c-format
+msgid "monitored file `%s` was %s, removing watch"
+msgstr "el fitxer vigilat «%s» ha estat %s, se n’elimina el monitor"
+
+# Cap usa quote().  ivb
+#: nscd/connections.c:1976 nscd/connections.c:2018
+#, c-format
+msgid "failed to remove file watch `%s`: %s"
+msgstr "no s’ha pogut eliminar el monitor del fitxer «%s»: %s"
+
+# No usa quote().  ivb
+#: nscd/connections.c:1991
+#, c-format
+msgid "monitored file `%s` was written to"
+msgstr "el fitxer vigilat «%s» ha rebut una escriptura"
+
+# No usa quote(), el segon és «moved» o «deleted».  ivb
+# FIXME: Inner verb cannot be translated!  ivb
+#: nscd/connections.c:2015
+#, c-format
+msgid "monitored parent directory `%s` was %s, removing watch on `%s`"
+msgstr "el directori pare vigilat «%s» ha estat %s, s’elimina el monitor per a «%s»"
+
+# No usa quote(), el segon és «created» o «moved into place».  ivb
+# FIXME: Inner verb cannot be translated!  ivb
+#: nscd/connections.c:2041
+#, c-format
+msgid "monitored file `%s` was %s, adding watch"
+msgstr "el fitxer vigilat «%s» ha estat %s, se n’afegeix el monitor"
+
+# Cap dels 2 usa quote().  ivb
+#: nscd/connections.c:2053
 #, c-format
-msgid "disabled inotify after read error %d"
-msgstr "s’inhabilita «inotify» per l’error de lectura amb codi %d"
+msgid "failed to add file watch `%s`: %s"
+msgstr "no s’ha pogut afegir un monitor per al fitxer «%s»: %s"
 
-#: nscd/connections.c:2375
+#: nscd/connections.c:2247 nscd/connections.c:2428
+#, c-format
+msgid "disabled inotify-based monitoring after read error %d"
+msgstr "s’inhabilita la vigilància «inotify» per l’error de lectura amb codi %d"
+
+#: nscd/connections.c:2543
 msgid "could not initialize conditional variable"
 msgstr "no s’ha pogut iniciar la variable condicional"
 
-#: nscd/connections.c:2383
+#: nscd/connections.c:2551
 msgid "could not start clean-up thread; terminating"
 msgstr "no s’ha pogut iniciar el fil d’execució de neteja; s’està finalitzant"
 
-#: nscd/connections.c:2397
+#: nscd/connections.c:2565
 msgid "could not start any worker thread; terminating"
 msgstr "no s’ha pogut iniciar cap fil d’execució treballador; s’està finalitzant"
 
-#: nscd/connections.c:2452 nscd/connections.c:2454 nscd/connections.c:2470
-#: nscd/connections.c:2480 nscd/connections.c:2498 nscd/connections.c:2509
-#: nscd/connections.c:2519
+#: nscd/connections.c:2620 nscd/connections.c:2622 nscd/connections.c:2638
+#: nscd/connections.c:2648 nscd/connections.c:2666 nscd/connections.c:2677
+#: nscd/connections.c:2687
 #, c-format
 msgid "Failed to run nscd as user '%s'"
 msgstr "no s’ha pogut executar «nscd» com a l’usuari «%s»"
 
-#: nscd/connections.c:2472
+#: nscd/connections.c:2640
 msgid "initial getgrouplist failed"
 msgstr "ha fallat getgrouplist() inicial"
 
-#: nscd/connections.c:2481
+#: nscd/connections.c:2649
 msgid "getgrouplist failed"
 msgstr "ha fallat getgrouplist()"
 
-#: nscd/connections.c:2499
+#: nscd/connections.c:2667
 msgid "setgroups failed"
 msgstr "ha fallat setgroups()"
 
-#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:410
+#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:411
 #: nscd/pwdcache.c:383 nscd/servicescache.c:338
 #, c-format
 msgid "short write in %s: %s"
 msgstr "escriptura incompleta a «%s»: %s"
 
 # El nom de la base de dades s’usa més a sovint que la descripció.  ivb
-#: nscd/grpcache.c:450 nscd/initgrcache.c:77
+#: nscd/grpcache.c:450 nscd/initgrcache.c:78
 #, c-format
 msgid "Haven't found \"%s\" in group cache!"
 msgstr "no s’ha trobat «%s» a la memòria cau de «group»"
 
 # El nom de la base de dades s’usa més a sovint que la descripció.  ivb
-#: nscd/grpcache.c:452 nscd/initgrcache.c:79
+#: nscd/grpcache.c:452 nscd/initgrcache.c:80
 #, c-format
 msgid "Reloading \"%s\" in group cache!"
 msgstr "es torna a carregar «%s» a la memòria cau de «group»"
@@ -4284,7 +4358,7 @@ msgstr "NOMBRE"
 
 #: nscd/nscd.c:111
 msgid "Start NUMBER threads"
-msgstr "Llança NOMBRE fils d’exeució."
+msgstr "Llança NOMBRE fils d’execució."
 
 #: nscd/nscd.c:112
 msgid "Shut the server down"
@@ -4314,7 +4388,7 @@ msgstr "Empra una memòria cau diferent per a cada usuari."
 msgid "Name Service Cache Daemon."
 msgstr "Dimoni de memòria cau del servei de noms."
 
-#: nscd/nscd.c:155 nss/getent.c:1003 nss/makedb.c:206
+#: nscd/nscd.c:155 nss/getent.c:1007 nss/makedb.c:206
 #, c-format
 msgid "wrong number of arguments"
 msgstr "el nombre d’arguments és incorrecte"
@@ -4347,7 +4421,7 @@ msgstr "no s’ha pogut canviar el directori de treball a «/»"
 msgid "Could not create log file"
 msgstr "no s’ha pogut crear el fitxer de registre"
 
-#: nscd/nscd.c:355 nscd/nscd_stat.c:192
+#: nscd/nscd.c:355 nscd/nscd_stat.c:194
 #, c-format
 msgid "write incomplete"
 msgstr "escriptura incompleta"
@@ -4362,7 +4436,7 @@ msgstr "no s’ha pogut llegir l’ACK d’invalidació"
 msgid "invalidation failed"
 msgstr "la invalidació ha fallat"
 
-#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:173
+#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:175
 #, c-format
 msgid "Only root is allowed to use this option!"
 msgstr "només root pot emprar aquesta opció"
@@ -4447,67 +4521,67 @@ msgstr "no s’ha pogut obtenir el directori de treball actual: %s; s’inhabili
 msgid "maximum file size for %s database too small"
 msgstr "la mida màxima de fitxer per a la base de dades «%s» és massa menuda"
 
-#: nscd/nscd_stat.c:142
+#: nscd/nscd_stat.c:144
 #, c-format
 msgid "cannot write statistics: %s"
 msgstr "no s’han pogut escriure les estadístiques: %s"
 
-#: nscd/nscd_stat.c:157
+#: nscd/nscd_stat.c:159
 msgid "yes"
 msgstr "sí"
 
-#: nscd/nscd_stat.c:158
+#: nscd/nscd_stat.c:160
 msgid "no"
 msgstr "no"
 
-#: nscd/nscd_stat.c:169
+#: nscd/nscd_stat.c:171
 #, c-format
 msgid "Only root or %s is allowed to use this option!"
 msgstr "només root o %s pot emprar aquesta opció"
 
-#: nscd/nscd_stat.c:180
+#: nscd/nscd_stat.c:182
 #, c-format
 msgid "nscd not running!\n"
 msgstr "nscd no està en marxa\n"
 
-#: nscd/nscd_stat.c:204
+#: nscd/nscd_stat.c:206
 #, c-format
 msgid "cannot read statistics data"
 msgstr "no s’han pogut llegir les dades estadístiques"
 
-#: nscd/nscd_stat.c:207
+#: nscd/nscd_stat.c:209
 #, c-format
 msgid ""
 "nscd configuration:\n"
 "\n"
 "%15d  server debug level\n"
 msgstr ""
-"Configuració d’nscd:\n"
+"Configuració de nscd:\n"
 "\n"
 "%15d  nivell de depuració del servidor\n"
 
-#: nscd/nscd_stat.c:231
+#: nscd/nscd_stat.c:233
 #, c-format
 msgid "%3ud %2uh %2um %2lus  server runtime\n"
 msgstr "%3ud %2uh %2um %2lus  de funcionament del servidor\n"
 
-#: nscd/nscd_stat.c:234
+#: nscd/nscd_stat.c:236
 #, c-format
 msgid "    %2uh %2um %2lus  server runtime\n"
 msgstr "    %2uh %2um %2lus  de funcionament del servidor\n"
 
-#: nscd/nscd_stat.c:236
+#: nscd/nscd_stat.c:238
 #, c-format
 msgid "        %2um %2lus  server runtime\n"
 msgstr "        %2um %2lus  de funcionament del servidor\n"
 
-#: nscd/nscd_stat.c:238
+#: nscd/nscd_stat.c:240
 #, c-format
 msgid "            %2lus  server runtime\n"
 msgstr "            %2lus  de funcionament del servidor\n"
 
 # FIXME: interval, not internal.  ivb
-#: nscd/nscd_stat.c:240
+#: nscd/nscd_stat.c:242
 #, c-format
 msgid ""
 "%15d  current number of threads\n"
@@ -4525,7 +4599,7 @@ msgstr ""
 "%15u  nombre de recàrregues\n"
 
 # El primer camp és passwd, group, shadow...  ivb
-#: nscd/nscd_stat.c:275
+#: nscd/nscd_stat.c:277
 #, c-format
 msgid ""
 "\n"
@@ -4593,85 +4667,85 @@ msgstr "es torna a carregar «%s» a la memòria cau de «passwd»"
 msgid "Invalid numeric uid \"%s\"!"
 msgstr "«%s» no és un identificador numèric d’usuari vàlid"
 
-#: nscd/selinux.c:155
+#: nscd/selinux.c:154
 #, c-format
 msgid "Failed opening connection to the audit subsystem: %m"
-msgstr "no s’ha pogut obrir una connexió amb el sub‐sistema d’auditoria: %m"
+msgstr "no s’ha pogut obrir una connexió amb el subsistema d’auditoria: %m"
 
-#: nscd/selinux.c:176
+#: nscd/selinux.c:175
 msgid "Failed to set keep-capabilities"
 msgstr "no s’han pogut establir les capacitats a mantenir"
 
-#: nscd/selinux.c:177 nscd/selinux.c:240
+#: nscd/selinux.c:176 nscd/selinux.c:239
 msgid "prctl(KEEPCAPS) failed"
 msgstr "ha fallat prctl(KEEPCAPS)"
 
-#: nscd/selinux.c:191
+#: nscd/selinux.c:190
 msgid "Failed to initialize drop of capabilities"
 msgstr "no s’ha pogut començar a renunciar a capacitats"
 
-#: nscd/selinux.c:192
+#: nscd/selinux.c:191
 msgid "cap_init failed"
 msgstr "ha fallat cap_init()"
 
-#: nscd/selinux.c:213 nscd/selinux.c:230
+#: nscd/selinux.c:212 nscd/selinux.c:229
 msgid "Failed to drop capabilities"
-msgstr "no s’ha pogunt renunciar a les capacitats"
+msgstr "no s’ha pogut renunciar a les capacitats"
 
-#: nscd/selinux.c:214 nscd/selinux.c:231
+#: nscd/selinux.c:213 nscd/selinux.c:230
 msgid "cap_set_proc failed"
 msgstr "ha fallat cap_set_proc()"
 
-#: nscd/selinux.c:239
+#: nscd/selinux.c:238
 msgid "Failed to unset keep-capabilities"
-msgstr "no s’han pogut desestablir les capacitats a mantenir"
+msgstr "no s’han pogut treure les capacitats a mantenir"
 
-#: nscd/selinux.c:255
+#: nscd/selinux.c:254
 msgid "Failed to determine if kernel supports SELinux"
 msgstr "no s’ha pogut determinar si el nucli accepta SELinux"
 
-#: nscd/selinux.c:270
+#: nscd/selinux.c:269
 msgid "Failed to start AVC thread"
 msgstr "no s’ha pogut iniciar el fil d’execució de l’AVC"
 
-#: nscd/selinux.c:292
+#: nscd/selinux.c:291
 msgid "Failed to create AVC lock"
 msgstr "no s’ha pogut crear el blocatge de l’AVC"
 
-#: nscd/selinux.c:332
+#: nscd/selinux.c:331
 msgid "Failed to start AVC"
 msgstr "no s’ha pogut iniciar l’AVC"
 
-#: nscd/selinux.c:334
+#: nscd/selinux.c:333
 msgid "Access Vector Cache (AVC) started"
 msgstr "s’ha iniciat la memòria cau de vectors d’accés (AVC)"
 
-#: nscd/selinux.c:369
+#: nscd/selinux.c:368
 msgid "Error querying policy for undefined object classes or permissions."
-msgstr "error en consultar la política per a classes d’objectes i permissos desconeguts"
+msgstr "error en consultar la política per a classes d’objectes i permisos desconeguts"
 
-#: nscd/selinux.c:376
+#: nscd/selinux.c:375
 msgid "Error getting security class for nscd."
-msgstr "error en obtenir la classe de seguretat d’«nscd»"
+msgstr "error en obtenir la classe de seguretat de «nscd»"
 
-#: nscd/selinux.c:381
+#: nscd/selinux.c:380
 #, c-format
 msgid "Error translating permission name \"%s\" to access vector bit."
 msgstr "error en traduir el nom de permís «%s» a un vector de bits d’accés"
 
-#: nscd/selinux.c:391
+#: nscd/selinux.c:390
 msgid "Error getting context of socket peer"
 msgstr "error en obtenir el context de l’extrem remot del connector"
 
-#: nscd/selinux.c:396
+#: nscd/selinux.c:395
 msgid "Error getting context of nscd"
-msgstr "error en obtenir el context d’«nscd»"
+msgstr "error en obtenir el context de «nscd»"
 
-#: nscd/selinux.c:402
+#: nscd/selinux.c:401
 msgid "Error getting sid from context"
 msgstr "error en obtenir el SID del context"
 
-#: nscd/selinux.c:440
+#: nscd/selinux.c:439
 #, c-format
 msgid ""
 "\n"
@@ -4736,16 +4810,16 @@ msgstr "Obté entrades de les bases de dades d’administració."
 msgid "Enumeration not supported on %s\n"
 msgstr "no es permet l’enumeració sobre «%s»\n"
 
-#: nss/getent.c:917
+#: nss/getent.c:921
 #, c-format
 msgid "Unknown database name"
 msgstr "el nom de la base de dades no és conegut"
 
-#: nss/getent.c:947
+#: nss/getent.c:951
 msgid "Supported databases:\n"
 msgstr "Bases de dades acceptades:\n"
 
-#: nss/getent.c:1013
+#: nss/getent.c:1017
 #, c-format
 msgid "Unknown database: %s\n"
 msgstr "la base de dades no és coneguda: %s\n"
@@ -4793,7 +4867,7 @@ msgstr "no s’ha pogut obrir el fitxer de base de dades «%s»"
 #: nss/makedb.c:272
 #, c-format
 msgid "no entries to be processed"
-msgstr "no hi ha cap entrada que processar"
+msgstr "no hi ha cap entrada a processar"
 
 #: nss/makedb.c:282
 #, c-format
@@ -4881,7 +4955,7 @@ msgstr ""
 "\n"
 "Obté el valor de configuració per a la VARIABLE, o per a la VARIABLE_DE_CAMÍ\n"
 "donat un CAMÍ.  Si s’indica una ESPECIFICACIÓ, mostra els valors per a l’entorn\n"
-"de compil·lació indicat.\n"
+"de compilació indicat.\n"
 "\n"
 
 #: posix/getconf.c:537
@@ -4908,7 +4982,7 @@ msgstr "la variable «%s» no és reconeguda"
 #: posix/getopt.c:592 posix/getopt.c:621
 #, c-format
 msgid "%s: option '%s' is ambiguous; possibilities:"
-msgstr "%s: l’opció «%s» és ambígua; possibilitats:"
+msgstr "%s: l’opció «%s» és ambigua; possibilitats:"
 
 #: posix/getopt.c:662 posix/getopt.c:666
 #, c-format
@@ -4949,7 +5023,7 @@ msgstr "%s: l’opció «%c» necessita un argument\n"
 #: posix/getopt.c:972 posix/getopt.c:988
 #, c-format
 msgid "%s: option '-W %s' is ambiguous\n"
-msgstr "%s: l’opció «-W %s» és ambígua\n"
+msgstr "%s: l’opció «-W %s» és ambigua\n"
 
 #: posix/getopt.c:1012 posix/getopt.c:1030
 #, c-format
@@ -5029,7 +5103,7 @@ msgstr "«)» o «\\)» desaparellat"
 msgid "No previous regular expression"
 msgstr "No hi ha expressió regular prèvia"
 
-#: posix/wordexp.c:1844
+#: posix/wordexp.c:1851
 msgid "parameter null or not set"
 msgstr "el paràmetre és nul o no s’ha establert"
 
@@ -5159,7 +5233,7 @@ msgstr "L’adreça no es troba mapada a un objecte"
 
 #: stdio-common/psiginfo-data.h:23
 msgid "Invalid permissions for mapped object"
-msgstr "Els permissos no són vàlids per a l’objecte mapat"
+msgstr "Els permisos no són vàlids per a l’objecte mapat"
 
 #: stdio-common/psiginfo-data.h:26
 msgid "Invalid address alignment"
@@ -5187,11 +5261,11 @@ msgstr "Un fill ha eixit"
 
 #: stdio-common/psiginfo-data.h:36
 msgid "Child has terminated abnormally and did not create a core file"
-msgstr "Un fill ha eixit abnormalment i no ha creat un fitxer de bolcat"
+msgstr "Un fill ha eixit anormalment i no ha creat un fitxer de bolcat"
 
 #: stdio-common/psiginfo-data.h:37
 msgid "Child has terminated abnormally and created a core file"
-msgstr "Un fill ha eixit abnormalment i ha creat un fitxer de bolcat"
+msgstr "Un fill ha eixit anormalment i ha creat un fitxer de bolcat"
 
 #: stdio-common/psiginfo-data.h:38
 msgid "Traced child has trapped"
@@ -5309,7 +5383,7 @@ msgstr "no resta memòria\n"
 # ivb  D'acord amb un comentari del propi fitxer.
 #: sunrpc/auth_unix.c:349
 msgid "auth_unix.c: Fatal marshalling problem"
-msgstr "auth_none.c: error fatal de preserialització"
+msgstr "auth_none.c: error fatal de serialització"
 
 #: sunrpc/clnt_perr.c:95 sunrpc/clnt_perr.c:111
 #, c-format
@@ -5364,7 +5438,7 @@ msgstr "RPC: El programa no es troba disponible"
 
 #: sunrpc/clnt_perr.c:188
 msgid "RPC: Program/version mismatch"
-msgstr "RPC: No hi ha coincidència programa/versió"
+msgstr "RPC: No hi ha coincidència de programa/versió"
 
 #: sunrpc/clnt_perr.c:192
 msgid "RPC: Procedure unavailable"
@@ -5596,7 +5670,7 @@ msgstr ""
 #: sunrpc/rpc_main.c:1422
 #, c-format
 msgid "-a\t\tgenerate all files, including samples\n"
-msgstr "  -a                   Genera tots els fitxers, incloent els exemples.\n"
+msgstr "  -a                   Genera tots els fitxers, incloent‐hi els exemples.\n"
 
 #: sunrpc/rpc_main.c:1423
 #, c-format
@@ -6442,7 +6516,7 @@ msgstr "La xarxa ha tallat la connexió per un reinici"
 #. TRANS A network connection was aborted locally.
 #: sysdeps/gnu/errlist.c:604
 msgid "Software caused connection abort"
-msgstr "El programari ha tallat la conexió"
+msgstr "El programari ha tallat la connexió"
 
 #. TRANS A network connection was closed for reasons outside the control of the
 #. TRANS local host, such as by the remote machine rebooting or an unrecoverable
@@ -6810,7 +6884,7 @@ msgstr "Interbloqueig pel blocatge d’un fitxer"
 
 #: sysdeps/gnu/errlist.c:1231
 msgid "Bad font file format"
-msgstr "El fitxer de font no té un format vàlid"
+msgstr "El fitxer de tipus de lletra no té un format vàlid"
 
 #: sysdeps/gnu/errlist.c:1239
 msgid "Machine is not on the network"
@@ -6863,7 +6937,7 @@ msgstr "Accés una biblioteca compartida corrupta"
 
 #: sysdeps/gnu/errlist.c:1327
 msgid ".lib section in a.out corrupted"
-msgstr "La secció «.lib» de l’a.out és corrupta"
+msgstr "La secció «.lib» del «a.out» és corrupta"
 
 #: sysdeps/gnu/errlist.c:1335
 msgid "Attempting to link in too many shared libraries"
@@ -6932,7 +7006,7 @@ msgstr "L’estat no és recuperable"
 # RFKill és el nom d’un subsistema de Linux.  ivb
 #: sysdeps/gnu/errlist.c:1463
 msgid "Operation not possible due to RF-kill"
-msgstr "L’operació no és possible degut a RFKill"
+msgstr "L’operació no és possible a causa de RFKill"
 
 #: sysdeps/gnu/errlist.c:1471
 msgid "Memory page has hardware error"
@@ -6955,7 +7029,7 @@ msgstr "Fallada temporal a la resolució de noms"
 
 #: sysdeps/posix/gai_strerror-strs.h:3
 msgid "Bad value for ai_flags"
-msgstr "El valor d’«ai_flags» no és vàlid"
+msgstr "El valor de «ai_flags» no és vàlid"
 
 #: sysdeps/posix/gai_strerror-strs.h:4
 msgid "Non-recoverable failure in name resolution"
@@ -6963,7 +7037,7 @@ msgstr "Fallada irrecuperable a la resolució de noms"
 
 #: sysdeps/posix/gai_strerror-strs.h:5
 msgid "ai_family not supported"
-msgstr "No es permet l’ús d’aquest valor d’«ai_family»"
+msgstr "No es permet l’ús d’aquest valor de «ai_family»"
 
 #: sysdeps/posix/gai_strerror-strs.h:6
 msgid "Memory allocation failure"
@@ -6979,11 +7053,11 @@ msgstr "El nom o servei no és conegut"
 
 #: sysdeps/posix/gai_strerror-strs.h:9
 msgid "Servname not supported for ai_socktype"
-msgstr "El valor d’«ai_socktype» no permet l’ús d’aquest servei"
+msgstr "El valor de «ai_socktype» no permet l’ús d’aquest servei"
 
 #: sysdeps/posix/gai_strerror-strs.h:10
 msgid "ai_socktype not supported"
-msgstr "El valor d’«ai_socktype» no està permés"
+msgstr "El valor de «ai_socktype» no està permès"
 
 #: sysdeps/posix/gai_strerror-strs.h:11
 msgid "System error"
@@ -7131,7 +7205,7 @@ msgstr ""
 
 #: timezone/zic.c:505
 msgid "wild compilation-time specification of zic_t"
-msgstr "l’especificació de «zic_t» en temps de compil·lació no és vàlida"
+msgstr "l’especificació de «zic_t» en temps de compilació no és vàlida"
 
 #: timezone/zic.c:524
 #, c-format
diff --git a/po/cs.po b/po/cs.po
index 2173718..cd88d00 100644
--- a/po/cs.po
+++ b/po/cs.po
@@ -2,13 +2,13 @@
 # Copyright (C) 1997 Free Software Foundation, Inc.
 # This file is distributed under the same license as the glibc package.
 # Vladimir Michl <Vladimir.Michl@seznam.cz>, 1997.
-# Petr Pisar <petr.pisar@atlas.cz>, 2007, 2009, 2011, 2012, 2013, 2014.
+# Petr Pisar <petr.pisar@atlas.cz>, 2007, 2009, 2011, 2012, 2013, 2014, 2015.
 #
 # Thanks to:
 # Petr Kolar <Petr.Kolar@vslib.cz>
 # Stanislav Brabec <utx@k332.feld.cvut.cz>, 1998.
 #
-# Describe of some function:
+# Description of some function:
 # error(status, errnum, "message") => "progname: message: error_message"
 # perror("message") => "message: error_message"
 #
@@ -16,15 +16,16 @@
 # host, name, hostname - jméno, název, označení?
 # Untranslated: netid (RFC 1833: Network Identifier), nettype 
 # Translations of "socket" => "soket",
-# byte => bajt, "out of memory" => "nedostatek paměti"
+# byte => bajt
+# out of memory => nedostatek paměti
 # collation something => ???
 # ellipsis range => ???
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: libc 2.19.90\n"
-"POT-Creation-Date: 2015-01-20 22:14-0500\n"
-"PO-Revision-Date: 2014-08-21 18:52+0200\n"
+"Project-Id-Version: libc 2.22-pre1\n"
+"POT-Creation-Date: 2015-07-31 00:10-0400\n"
+"PO-Revision-Date: 2015-08-02 22:09+0200\n"
 "Last-Translator: Petr Pisar <petr.pisar@atlas.cz>\n"
 "Language-Team: Czech <translation-team-cs@lists.sourceforge.net>\n"
 "Language: cs\n"
@@ -164,10 +165,10 @@ msgstr ""
 "[ VÝSTUPNÍ_SOUBOR [VSTUPNÍ_SOUBOR]…]"
 
 #: catgets/gencat.c:229 debug/pcprofiledump.c:209 elf/ldconfig.c:307
-#: elf/pldd.c:244 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
+#: elf/pldd.c:252 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
 #: iconv/iconvconfig.c:379 locale/programs/locale.c:277
 #: locale/programs/localedef.c:376 login/programs/pt_chown.c:88
-#: malloc/memusagestat.c:563 nss/getent.c:969 nss/makedb.c:369
+#: malloc/memusagestat.c:563 nss/getent.c:973 nss/makedb.c:369
 #: posix/getconf.c:486 sunrpc/rpcinfo.c:691
 #: sysdeps/unix/sysv/linux/lddlibc4.c:61
 #, c-format
@@ -179,7 +180,7 @@ msgstr ""
 "%s.\n"
 
 #: catgets/gencat.c:245 debug/pcprofiledump.c:225 debug/xtrace.sh:64
-#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:260 elf/sotruss.sh:75
+#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:268 elf/sotruss.sh:75
 #: elf/sprof.c:389 iconv/iconv_prog.c:425 iconv/iconvconfig.c:396
 #: locale/programs/locale.c:294 locale/programs/localedef.c:402
 #: login/programs/pt_chown.c:62 malloc/memusage.sh:71
@@ -197,7 +198,7 @@ msgstr ""
 "a to i bez záruky PRODEJNOSTI nebo VHODNOSTI PRO NĚJAKÝ KONKRÉTNÍ ÚČEL.\n"
 
 #: catgets/gencat.c:250 debug/pcprofiledump.c:230 debug/xtrace.sh:68
-#: elf/ldconfig.c:328 elf/pldd.c:265 elf/sprof.c:395 iconv/iconv_prog.c:430
+#: elf/ldconfig.c:328 elf/pldd.c:273 elf/sprof.c:395 iconv/iconv_prog.c:430
 #: iconv/iconvconfig.c:401 locale/programs/locale.c:299
 #: locale/programs/localedef.c:407 malloc/memusage.sh:75
 #: malloc/memusagestat.c:586 nscd/nscd.c:514 nss/getent.c:91 nss/makedb.c:390
@@ -453,11 +454,11 @@ msgstr "Změna přístupových práv k %s na %#o se nezdařila"
 msgid "Renaming of %s to %s failed"
 msgstr "Přejmenování z %s na %s selhalo"
 
-#: elf/dl-close.c:385 elf/dl-open.c:470
+#: elf/dl-close.c:396 elf/dl-open.c:478
 msgid "cannot create scope list"
 msgstr "seznam rozsahů nelze vytvořit"
 
-#: elf/dl-close.c:770
+#: elf/dl-close.c:816
 msgid "shared object not open"
 msgstr "sdílený objekt není otevřen"
 
@@ -530,127 +531,127 @@ msgstr "nelze vytvořit pole vyhledávacích cest"
 msgid "cannot stat shared object"
 msgstr "nelze získat informace o sdíleném objektu"
 
-#: elf/dl-load.c:963
+#: elf/dl-load.c:962
 msgid "cannot open zero fill device"
 msgstr "nulami vyplněné zařízení (zero) nelze otevřít"
 
-#: elf/dl-load.c:1010 elf/dl-load.c:2165
+#: elf/dl-load.c:1009 elf/dl-load.c:2159
 msgid "cannot create shared object descriptor"
 msgstr "deskriptor sdíleného objektu nelze vytvořit"
 
-#: elf/dl-load.c:1029 elf/dl-load.c:1570 elf/dl-load.c:1682
+#: elf/dl-load.c:1028 elf/dl-load.c:1568 elf/dl-load.c:1680
 msgid "cannot read file data"
 msgstr "data ze souboru nelze načíst"
 
-#: elf/dl-load.c:1069
+#: elf/dl-load.c:1068
 msgid "ELF load command alignment not page-aligned"
 msgstr "Zarovnání kódu zavaděče formátu ELF nelícuje se stránkou"
 
-#: elf/dl-load.c:1076
+#: elf/dl-load.c:1075
 msgid "ELF load command address/offset not properly aligned"
 msgstr "Adresa/ofset kódu zavaděče formátu ELF není správně zarovnána"
 
-#: elf/dl-load.c:1160
+#: elf/dl-load.c:1159
 msgid "cannot allocate TLS data structures for initial thread"
 msgstr "Datové struktury TLS prvního vlákna nelze alokovat"
 
-#: elf/dl-load.c:1183
+#: elf/dl-load.c:1182
 msgid "cannot handle TLS data"
 msgstr "nelze zpracovat data TLS"
 
-#: elf/dl-load.c:1202
+#: elf/dl-load.c:1201
 msgid "object file has no loadable segments"
 msgstr "objektový soubor nemá žádné nahratelné segmenty"
 
-#: elf/dl-load.c:1211 elf/dl-load.c:1662
+#: elf/dl-load.c:1210 elf/dl-load.c:1660
 msgid "cannot dynamically load executable"
 msgstr "spustitelný kód nelze dynamicky nahrát"
 
-#: elf/dl-load.c:1232
+#: elf/dl-load.c:1231
 msgid "object file has no dynamic section"
 msgstr "objektový soubor nemá žádnou dynamickou sekci"
 
-#: elf/dl-load.c:1255
+#: elf/dl-load.c:1254
 msgid "shared object cannot be dlopen()ed"
 msgstr "sdílený objekt nebylo možné načíst funkcí dlopen()"
 
-#: elf/dl-load.c:1268
+#: elf/dl-load.c:1267
 msgid "cannot allocate memory for program header"
 msgstr "nelze alokovat paměť pro hlavičku programu"
 
-#: elf/dl-load.c:1284 elf/dl-open.c:195
+#: elf/dl-load.c:1283 elf/dl-open.c:195
 msgid "invalid caller"
 msgstr "nepřípustný kód volání"
 
-#: elf/dl-load.c:1307 elf/dl-load.h:130
+#: elf/dl-load.c:1306 elf/dl-load.h:130
 msgid "cannot change memory protections"
 msgstr "ochrany paměti nelze změnit"
 
-#: elf/dl-load.c:1327
+#: elf/dl-load.c:1326
 msgid "cannot enable executable stack as shared object requires"
 msgstr "nemohu povolit spustitelnost zásobníku, jak vyžaduje sdílený objekt"
 
-#: elf/dl-load.c:1340
+#: elf/dl-load.c:1339
 msgid "cannot close file descriptor"
 msgstr "deskriptor souboru nelze zavřít"
 
-#: elf/dl-load.c:1570
+#: elf/dl-load.c:1568
 msgid "file too short"
 msgstr "soubor je příliš krátký"
 
-#: elf/dl-load.c:1605
+#: elf/dl-load.c:1603
 msgid "invalid ELF header"
 msgstr "neplatný hlavička ELF"
 
-#: elf/dl-load.c:1617
+#: elf/dl-load.c:1615
 msgid "ELF file data encoding not big-endian"
 msgstr "Kódování dat souboru ELF nemá velkou endianitu"
 
-#: elf/dl-load.c:1619
+#: elf/dl-load.c:1617
 msgid "ELF file data encoding not little-endian"
 msgstr "Kódování dat souboru ELF nemá malou endianitu"
 
-#: elf/dl-load.c:1623
+#: elf/dl-load.c:1621
 msgid "ELF file version ident does not match current one"
 msgstr "ident verze souboru ELF se neshoduje se současnou"
 
-#: elf/dl-load.c:1627
+#: elf/dl-load.c:1625
 msgid "ELF file OS ABI invalid"
 msgstr "Chybné ABI OS souboru ELF"
 
-#: elf/dl-load.c:1630
+#: elf/dl-load.c:1628
 msgid "ELF file ABI version invalid"
 msgstr "Chybná verze ABI souboru ELF"
 
-#: elf/dl-load.c:1633
+#: elf/dl-load.c:1631
 msgid "nonzero padding in e_ident"
 msgstr "nenulová výplň v e_ident"
 
-#: elf/dl-load.c:1636
+#: elf/dl-load.c:1634
 msgid "internal error"
 msgstr "vnitřní chyba"
 
-#: elf/dl-load.c:1643
+#: elf/dl-load.c:1641
 msgid "ELF file version does not match current one"
 msgstr "Verze souboru ELD se neshoduje se současnou"
 
-#: elf/dl-load.c:1651
+#: elf/dl-load.c:1649
 msgid "only ET_DYN and ET_EXEC can be loaded"
 msgstr "jen ET_DYN a ET_EXEC mohou být nahráni"
 
-#: elf/dl-load.c:1667
+#: elf/dl-load.c:1665
 msgid "ELF file's phentsize not the expected size"
 msgstr "phentsize souboru ELF má neočekávanou velikost"
 
-#: elf/dl-load.c:2184
+#: elf/dl-load.c:2178
 msgid "wrong ELF class: ELFCLASS64"
 msgstr "chybná třída ELF: ELFCLASS64"
 
-#: elf/dl-load.c:2185
+#: elf/dl-load.c:2179
 msgid "wrong ELF class: ELFCLASS32"
 msgstr "chybná třída ELF: ELFCLASS32"
 
-#: elf/dl-load.c:2188
+#: elf/dl-load.c:2182
 msgid "cannot open shared object file"
 msgstr "sdílený objektový soubor nelze otevřít"
 
@@ -662,11 +663,11 @@ msgstr "namapování segmentu ze sdíleného objektu se nepodařilo"
 msgid "cannot map zero-fill pages"
 msgstr "nulami vyplněné stránky nelze mapovat"
 
-#: elf/dl-lookup.c:791
+#: elf/dl-lookup.c:845
 msgid "relocation error"
 msgstr "chyba při přemisťování"
 
-#: elf/dl-lookup.c:818
+#: elf/dl-lookup.c:872
 msgid "symbol lookup error"
 msgstr "chyba při vyhledávání symbolu"
 
@@ -674,49 +675,40 @@ msgstr "chyba při vyhledávání symbolu"
 msgid "cannot extend global scope"
 msgstr "globální rozsah nelze rozšířit"
 
-#: elf/dl-open.c:520
+#: elf/dl-open.c:528
 msgid "TLS generation counter wrapped!  Please report this."
 msgstr "Čítač generátoru TLS oříznut! Prosím, tuto skutečnost nahlaste."
 
-#: elf/dl-open.c:542
-msgid "cannot load any more object with static TLS"
-msgstr "nelze zavést žádný další objekt se statickým TLS"
-
-#: elf/dl-open.c:599
+#: elf/dl-open.c:592
 msgid "invalid mode for dlopen()"
 msgstr "neplatný mód pro dlopen()"
 
-#: elf/dl-open.c:616
+#: elf/dl-open.c:609
 msgid "no more namespaces available for dlmopen()"
 msgstr "pro dlmopen() již není dostupný žádný další jmenný prostor"
 
-#: elf/dl-open.c:634
+#: elf/dl-open.c:633
 msgid "invalid target namespace in dlmopen()"
 msgstr "neplatný cílový jmenný prostor v dlmopen()"
 
-#: elf/dl-reloc.c:120
+#: elf/dl-reloc.c:121
 msgid "cannot allocate memory in static TLS block"
 msgstr "nelze alokovat paměť uvnitř statického bloku TLS"
 
-#: elf/dl-reloc.c:212
+#: elf/dl-reloc.c:206
 msgid "cannot make segment writable for relocation"
 msgstr "segment nelze kvůli přemístění učinit zapisovatelný"
 
-#: elf/dl-reloc.c:275
-#, c-format
-msgid "%s: no PLTREL found in object %s\n"
-msgstr "%s: v objektu %s nenalezen žádný PLTREL\n"
-
-#: elf/dl-reloc.c:290
+#: elf/dl-reloc.c:276
 #, c-format
 msgid "%s: out of memory to store relocation results for %s\n"
 msgstr "%s: pro uložení výsledků přemístění %s není dost paměti\n"
 
-#: elf/dl-reloc.c:306
+#: elf/dl-reloc.c:292
 msgid "cannot restore segment prot after reloc"
 msgstr "segment prot nelze po reloc obnovit"
 
-#: elf/dl-reloc.c:335
+#: elf/dl-reloc.c:323
 msgid "cannot apply additional memory protection after relocation"
 msgstr "po přemístění nelze nelze uplatnit dodatečnou ochranu paměti"
 
@@ -724,7 +716,7 @@ msgstr "po přemístění nelze nelze uplatnit dodatečnou ochranu paměti"
 msgid "RTLD_NEXT used in code not dynamically loaded"
 msgstr "RTLD_NEXT je použito pro kód, který není dynamicky zaveden"
 
-#: elf/dl-tls.c:933
+#: elf/dl-tls.c:934
 msgid "cannot create TLS data structures"
 msgstr "datové struktury TLS nelze vytvořit"
 
@@ -868,7 +860,7 @@ msgstr "Protože nebyl nalezen název sdílené knihovny (soname) %s, žádný o
 msgid "Can't open directory %s"
 msgstr "Adresář %s nelze otevřít"
 
-#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:90
+#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:97
 #, c-format
 msgid "Input file %s not found.\n"
 msgstr "Vstupní soubor %s nebyl nalezen.\n"
@@ -1000,7 +992,7 @@ msgstr "postrádám souborové argumenty"
 msgid "No such file or directory"
 msgstr "Adresář nebo soubor neexistuje"
 
-#: elf/ldd.bash.in:150 inet/rcmd.c:488
+#: elf/ldd.bash.in:150 inet/rcmd.c:492
 msgid "not regular file"
 msgstr "není obyčejným souborem"
 
@@ -1045,65 +1037,70 @@ msgstr "r_debug nelze přečíst"
 msgid "cannot read program interpreter"
 msgstr "interpretr programu nelze přečíst"
 
-#: elf/pldd-xx.c:196
+#: elf/pldd-xx.c:197
 #, c-format
 msgid "cannot read link map"
 msgstr "mapování odkazů nelze načíst"
 
-#: elf/pldd-xx.c:207
+#: elf/pldd-xx.c:209
 #, c-format
 msgid "cannot read object name"
 msgstr "název objektu nelze přečíst"
 
-#: elf/pldd.c:63
+#: elf/pldd-xx.c:219
+#, c-format
+msgid "cannot allocate buffer for object name"
+msgstr "nelze alokovat vyrovnávací paměť pro název objektu"
+
+#: elf/pldd.c:64
 msgid "List dynamic shared objects loaded into process."
 msgstr "Vypíše dynamické sdílené objekty zavedené do procesu."
 
-#: elf/pldd.c:67
+#: elf/pldd.c:68
 msgid "PID"
 msgstr "PID"
 
-#: elf/pldd.c:99
+#: elf/pldd.c:100
 #, c-format
 msgid "Exactly one parameter with process ID required.\n"
 msgstr "Je třeba právě jeden parametr s ID procesu.\n"
 
-#: elf/pldd.c:111
+#: elf/pldd.c:112
 #, c-format
 msgid "invalid process ID '%s'"
 msgstr "neplatné ID procesu „%s“"
 
-#: elf/pldd.c:119
+#: elf/pldd.c:120
 #, c-format
 msgid "cannot open %s"
 msgstr "%s nelze otevřít"
 
-#: elf/pldd.c:144
+#: elf/pldd.c:152
 #, c-format
 msgid "cannot open %s/task"
 msgstr "%s/task nelze otevřít"
 
-#: elf/pldd.c:147
+#: elf/pldd.c:155
 #, c-format
 msgid "cannot prepare reading %s/task"
 msgstr "čtení %s/task nelze připravit"
 
-#: elf/pldd.c:160
+#: elf/pldd.c:168
 #, c-format
 msgid "invalid thread ID '%s'"
 msgstr "neplatné ID vlákna „%s“"
 
-#: elf/pldd.c:171
+#: elf/pldd.c:179
 #, c-format
 msgid "cannot attach to process %lu"
 msgstr "k procesu %lu se nelze připojit"
 
-#: elf/pldd.c:286
+#: elf/pldd.c:294
 #, c-format
 msgid "cannot get information about process %lu"
 msgstr "o procesu %lu nelze získat údaje"
 
-#: elf/pldd.c:299
+#: elf/pldd.c:307
 #, c-format
 msgid "process %lu is no ELF program"
 msgstr "proces %lu není programem ELF"
@@ -1138,27 +1135,27 @@ msgstr "%s není sdíleným objektovým souborem (typ: %d).\n"
 msgid "more than one dynamic segment\n"
 msgstr "více jak jeden dynamický segment\n"
 
-#: elf/readlib.c:96
+#: elf/readlib.c:103
 #, c-format
 msgid "Cannot fstat file %s.\n"
 msgstr "O souboru %s nelze získat informace službou fstat().\n"
 
-#: elf/readlib.c:107
+#: elf/readlib.c:114
 #, c-format
 msgid "File %s is empty, not checked."
 msgstr "Soubor %s je prázdný, nezkontrolováno."
 
-#: elf/readlib.c:113
+#: elf/readlib.c:120
 #, c-format
 msgid "File %s is too small, not checked."
 msgstr "Soubor %s je příliš malý, nezkontrolováno."
 
-#: elf/readlib.c:123
+#: elf/readlib.c:130
 #, c-format
 msgid "Cannot mmap file %s.\n"
 msgstr "Soubor %s nelze namapovat.\n"
 
-#: elf/readlib.c:161
+#: elf/readlib.c:169
 #, c-format
 msgid "%s is not an ELF file - it has the wrong magic bytes at the start.\n"
 msgstr "%s není soubor typu ELF – na svém začátku má chybné magické bajty.\n"
@@ -1293,10 +1290,10 @@ msgstr "SDÍLENÝ_OBJEKT [PROF_DATA]"
 msgid "failed to load shared object `%s'"
 msgstr "sdílený objekt „%s“ se nepodařilo zavést"
 
-#: elf/sprof.c:442
+#: elf/sprof.c:442 elf/sprof.c:825 elf/sprof.c:923
 #, c-format
-msgid "cannot create internal descriptors"
-msgstr "interní deskriptory nelze vytvořit"
+msgid "cannot create internal descriptor"
+msgstr "interní deskriptor nelze vytvořit"
 
 #: elf/sprof.c:554
 #, c-format
@@ -1365,11 +1362,6 @@ msgstr "soubor profilovacích dat se nepodařilo namapovat mmapem"
 msgid "error while closing the profiling data file"
 msgstr "chyba během uzavírání souboru profilovacích dat"
 
-#: elf/sprof.c:825 elf/sprof.c:923
-#, c-format
-msgid "cannot create internal descriptor"
-msgstr "interní deskriptor nelze vytvořit"
-
 #: elf/sprof.c:899
 #, c-format
 msgid "`%s' is no correct profile data file for `%s'"
@@ -1616,27 +1608,27 @@ msgstr "soket: chyba protokolu při přípravě okruhu\n"
 msgid "rcmd: %s: short read"
 msgstr "rcmd: %s: krátce načteno"
 
-#: inet/rcmd.c:486
+#: inet/rcmd.c:490
 msgid "lstat failed"
 msgstr "funkce lstat() skončila s chybou"
 
-#: inet/rcmd.c:493
+#: inet/rcmd.c:497
 msgid "cannot open"
 msgstr "nelze otevřít"
 
-#: inet/rcmd.c:495
+#: inet/rcmd.c:499
 msgid "fstat failed"
 msgstr "funkce fstat() skončila s chybou"
 
-#: inet/rcmd.c:497
+#: inet/rcmd.c:501
 msgid "bad owner"
 msgstr "chybný vlastník"
 
-#: inet/rcmd.c:499
+#: inet/rcmd.c:503
 msgid "writeable by other than owner"
 msgstr "zapisovatelný nejen pro vlastníka"
 
-#: inet/rcmd.c:501
+#: inet/rcmd.c:505
 msgid "hard linked somewhere"
 msgstr "někde existuje pevný odkaz"
 
@@ -1756,8 +1748,8 @@ msgid "no symbolic name given for end of range"
 msgstr "žádné symbolické jméno nebylo pro konec rozsahu zadáno"
 
 #: locale/programs/charmap.c:610 locale/programs/ld-address.c:528
-#: locale/programs/ld-collate.c:2626 locale/programs/ld-collate.c:3784
-#: locale/programs/ld-ctype.c:2162 locale/programs/ld-ctype.c:2913
+#: locale/programs/ld-collate.c:2635 locale/programs/ld-collate.c:3793
+#: locale/programs/ld-ctype.c:2128 locale/programs/ld-ctype.c:2840
 #: locale/programs/ld-identification.c:368
 #: locale/programs/ld-measurement.c:215 locale/programs/ld-messages.c:298
 #: locale/programs/ld-monetary.c:740 locale/programs/ld-name.c:264
@@ -1783,8 +1775,8 @@ msgid "%s: error in state machine"
 msgstr "%s: chyba ve stavovém automatu"
 
 #: locale/programs/charmap.c:850 locale/programs/ld-address.c:544
-#: locale/programs/ld-collate.c:2623 locale/programs/ld-collate.c:3977
-#: locale/programs/ld-ctype.c:2159 locale/programs/ld-ctype.c:2930
+#: locale/programs/ld-collate.c:2632 locale/programs/ld-collate.c:3986
+#: locale/programs/ld-ctype.c:2125 locale/programs/ld-ctype.c:2857
 #: locale/programs/ld-identification.c:384
 #: locale/programs/ld-measurement.c:231 locale/programs/ld-messages.c:314
 #: locale/programs/ld-monetary.c:756 locale/programs/ld-name.c:280
@@ -1805,7 +1797,7 @@ msgstr "neznámý znak „%s“"
 msgid "number of bytes for byte sequence of beginning and end of range not the same: %d vs %d"
 msgstr "počet bajtů sekvence pro počátek a konec rozsahu není stejný: %d vs. %d"
 
-#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2903
+#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2912
 #: locale/programs/repertoire.c:419
 msgid "invalid names for character range"
 msgstr "nepovolené názvy pro rozsah znaků"
@@ -1827,8 +1819,8 @@ msgstr "horní mez rozsahu je menší než dolní mez"
 msgid "resulting bytes for range not representable."
 msgstr "výsledné bajty rozsahu nejsou reprezentovatelné."
 
-#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1565
-#: locale/programs/ld-ctype.c:465 locale/programs/ld-identification.c:133
+#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1566
+#: locale/programs/ld-ctype.c:431 locale/programs/ld-identification.c:133
 #: locale/programs/ld-measurement.c:94 locale/programs/ld-messages.c:97
 #: locale/programs/ld-monetary.c:193 locale/programs/ld-name.c:94
 #: locale/programs/ld-numeric.c:98 locale/programs/ld-paper.c:91
@@ -1892,7 +1884,7 @@ msgid "%s: numeric country code `%d' not valid"
 msgstr "%s: číselný kód země „%d“ není platný"
 
 #: locale/programs/ld-address.c:436 locale/programs/ld-address.c:473
-#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2537
+#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2489
 #: locale/programs/ld-identification.c:280
 #: locale/programs/ld-measurement.c:198 locale/programs/ld-messages.c:267
 #: locale/programs/ld-monetary.c:495 locale/programs/ld-monetary.c:530
@@ -1914,8 +1906,8 @@ msgstr "%s: položka „%s“ deklarována více krát"
 msgid "%s: unknown character in field `%s'"
 msgstr "%s: neznámý znak v položce „%s“"
 
-#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3782
-#: locale/programs/ld-ctype.c:2910 locale/programs/ld-identification.c:365
+#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3791
+#: locale/programs/ld-ctype.c:2837 locale/programs/ld-identification.c:365
 #: locale/programs/ld-measurement.c:212 locale/programs/ld-messages.c:296
 #: locale/programs/ld-monetary.c:738 locale/programs/ld-name.c:262
 #: locale/programs/ld-numeric.c:324 locale/programs/ld-paper.c:212
@@ -1924,12 +1916,12 @@ msgstr "%s: neznámý znak v položce „%s“"
 msgid "%s: incomplete `END' line"
 msgstr "%s: neúplný řádek „END“"
 
-#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:551
-#: locale/programs/ld-collate.c:603 locale/programs/ld-collate.c:899
-#: locale/programs/ld-collate.c:912 locale/programs/ld-collate.c:2592
-#: locale/programs/ld-collate.c:2613 locale/programs/ld-collate.c:3967
-#: locale/programs/ld-ctype.c:1891 locale/programs/ld-ctype.c:2149
-#: locale/programs/ld-ctype.c:2735 locale/programs/ld-ctype.c:2921
+#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:552
+#: locale/programs/ld-collate.c:604 locale/programs/ld-collate.c:900
+#: locale/programs/ld-collate.c:913 locale/programs/ld-collate.c:2601
+#: locale/programs/ld-collate.c:2622 locale/programs/ld-collate.c:3976
+#: locale/programs/ld-ctype.c:1857 locale/programs/ld-ctype.c:2115
+#: locale/programs/ld-ctype.c:2687 locale/programs/ld-ctype.c:2848
 #: locale/programs/ld-identification.c:375
 #: locale/programs/ld-measurement.c:222 locale/programs/ld-messages.c:305
 #: locale/programs/ld-monetary.c:747 locale/programs/ld-name.c:271
@@ -1939,477 +1931,477 @@ msgstr "%s: neúplný řádek „END“"
 msgid "%s: syntax error"
 msgstr "%s: chyba syntaxe"
 
-#: locale/programs/ld-collate.c:426
+#: locale/programs/ld-collate.c:427
 #, c-format
 msgid "`%.*s' already defined in charmap"
 msgstr "„%.*s“ již definováno v mapě znaků"
 
-#: locale/programs/ld-collate.c:435
+#: locale/programs/ld-collate.c:436
 #, c-format
 msgid "`%.*s' already defined in repertoire"
 msgstr "„%.*s“ již definováno v repertoáru"
 
-#: locale/programs/ld-collate.c:442
+#: locale/programs/ld-collate.c:443
 #, c-format
 msgid "`%.*s' already defined as collating symbol"
 msgstr "„%.*s“ již definovaná jako řadicí symbol"
 
-#: locale/programs/ld-collate.c:449
+#: locale/programs/ld-collate.c:450
 #, c-format
 msgid "`%.*s' already defined as collating element"
 msgstr "„%.*s“ již definováno jako řadicí prvek"
 
-#: locale/programs/ld-collate.c:480 locale/programs/ld-collate.c:506
+#: locale/programs/ld-collate.c:481 locale/programs/ld-collate.c:507
 #, c-format
 msgid "%s: `forward' and `backward' are mutually excluding each other"
 msgstr "%s: pořadí řazení „forward“ (dopředné) a „backward“ (zpětné) se navzájem vylučují"
 
-#: locale/programs/ld-collate.c:490 locale/programs/ld-collate.c:516
-#: locale/programs/ld-collate.c:532
+#: locale/programs/ld-collate.c:491 locale/programs/ld-collate.c:517
+#: locale/programs/ld-collate.c:533
 #, c-format
 msgid "%s: `%s' mentioned more than once in definition of weight %d"
 msgstr "%s: “%s“ zmíněno v definici o váze %d více krát"
 
-#: locale/programs/ld-collate.c:588
+#: locale/programs/ld-collate.c:589
 #, c-format
 msgid "%s: too many rules; first entry only had %d"
 msgstr "%s: příliš mnoho pravidel, jen první položka jich má %d"
 
-#: locale/programs/ld-collate.c:624
+#: locale/programs/ld-collate.c:625
 #, c-format
 msgid "%s: not enough sorting rules"
 msgstr "%s: nedostatek řadicích pravidel"
 
 # prázdné jméno váhy - řádek ignorován
-#: locale/programs/ld-collate.c:789
+#: locale/programs/ld-collate.c:790
 #, c-format
 msgid "%s: empty weight string not allowed"
 msgstr "%s: řetězec s prázdnou váhou není povolen"
 
-#: locale/programs/ld-collate.c:884
+#: locale/programs/ld-collate.c:885
 #, c-format
 msgid "%s: weights must use the same ellipsis symbol as the name"
 msgstr "%s: váhy musí používat stejný symbol výpustky jako jméno"
 
-#: locale/programs/ld-collate.c:940
+#: locale/programs/ld-collate.c:941
 #, c-format
 msgid "%s: too many values"
 msgstr "%s: příliš mnoho hodnot"
 
-#: locale/programs/ld-collate.c:1060 locale/programs/ld-collate.c:1235
+#: locale/programs/ld-collate.c:1061 locale/programs/ld-collate.c:1236
 #, c-format
 msgid "order for `%.*s' already defined at %s:%Zu"
 msgstr "pořadí „%.*s“ již definováno v %s:%Zu"
 
-#: locale/programs/ld-collate.c:1110
+#: locale/programs/ld-collate.c:1111
 #, c-format
 msgid "%s: the start and the end symbol of a range must stand for characters"
 msgstr "%s: počáteční a koncový symbol rozsahu musí být znakem"
 
-#: locale/programs/ld-collate.c:1137
+#: locale/programs/ld-collate.c:1138
 #, c-format
 msgid "%s: byte sequences of first and last character must have the same length"
 msgstr "%s: sekvence bajtů prvního a posledního znaku musí mít stejnou délku"
 
-#: locale/programs/ld-collate.c:1179
+#: locale/programs/ld-collate.c:1180
 #, c-format
 msgid "%s: byte sequence of first character of range is not lower than that of the last character"
 msgstr "%s: sekvence bajtů prvního znaku z rozsahu není menší než sekvence posledního znaku"
 
-#: locale/programs/ld-collate.c:1304
+#: locale/programs/ld-collate.c:1305
 #, c-format
 msgid "%s: symbolic range ellipsis must not directly follow `order_start'"
 msgstr "%s: výpustky symbolického rozsahu nesmí následovat hned za „order_start“"
 
-#: locale/programs/ld-collate.c:1308
+#: locale/programs/ld-collate.c:1309
 #, c-format
 msgid "%s: symbolic range ellipsis must not be directly followed by `order_end'"
 msgstr "%s: výpustky symbolického rozsahu nesmí být přímo následovány „order_end“"
 
-#: locale/programs/ld-collate.c:1328 locale/programs/ld-ctype.c:1408
+#: locale/programs/ld-collate.c:1329 locale/programs/ld-ctype.c:1374
 #, c-format
 msgid "`%s' and `%.*s' are not valid names for symbolic range"
 msgstr "„%s“ a „%.*s“ nejsou platné názvy pro symbolický rozsah"
 
-#: locale/programs/ld-collate.c:1378 locale/programs/ld-collate.c:3718
+#: locale/programs/ld-collate.c:1379 locale/programs/ld-collate.c:3727
 #, c-format
 msgid "%s: order for `%.*s' already defined at %s:%Zu"
 msgstr "%s: pořadí pro „%.*s“ již definováno v %s:%Zu"
 
-#: locale/programs/ld-collate.c:1387
+#: locale/programs/ld-collate.c:1388
 #, c-format
 msgid "%s: `%s' must be a character"
 msgstr "%s: „%s“ musí být znak"
 
-#: locale/programs/ld-collate.c:1582
+#: locale/programs/ld-collate.c:1583
 #, c-format
 msgid "%s: `position' must be used for a specific level in all sections or none"
 msgstr "%s: „position“ (pozice) musí být použita pro určitou úroveň ve všech sekcích, nebo v žádné"
 
-#: locale/programs/ld-collate.c:1607
+#: locale/programs/ld-collate.c:1608
 #, c-format
 msgid "symbol `%s' not defined"
 msgstr "symbol „%s“ nedefinován"
 
-#: locale/programs/ld-collate.c:1683 locale/programs/ld-collate.c:1789
+#: locale/programs/ld-collate.c:1684 locale/programs/ld-collate.c:1790
 #, c-format
 msgid "symbol `%s' has the same encoding as"
 msgstr "symbol „%s“ má stejné kódování jako"
 
-#: locale/programs/ld-collate.c:1687 locale/programs/ld-collate.c:1793
+#: locale/programs/ld-collate.c:1688 locale/programs/ld-collate.c:1794
 #, c-format
 msgid "symbol `%s'"
 msgstr "symbol „%s“"
 
-#: locale/programs/ld-collate.c:1833
+#: locale/programs/ld-collate.c:1834
 #, c-format
 msgid "no definition of `UNDEFINED'"
 msgstr "chybí definice symbolu „UNDEFINED“"
 
-#: locale/programs/ld-collate.c:1862
+#: locale/programs/ld-collate.c:1863
 #, c-format
 msgid "too many errors; giving up"
 msgstr "příliš mnoho chyb, vzdávám to"
 
-#: locale/programs/ld-collate.c:2518 locale/programs/ld-collate.c:3906
+#: locale/programs/ld-collate.c:2527 locale/programs/ld-collate.c:3915
 #, c-format
 msgid "%s: nested conditionals not supported"
 msgstr "%s: vnořené podmínky nejsou podporovány"
 
-#: locale/programs/ld-collate.c:2536
+#: locale/programs/ld-collate.c:2545
 #, c-format
 msgid "%s: more than one 'else'"
 msgstr "%s: více jak jeden „else“"
 
-#: locale/programs/ld-collate.c:2711
+#: locale/programs/ld-collate.c:2720
 #, c-format
 msgid "%s: duplicate definition of `%s'"
 msgstr "%s: duplicitní definice „%s“"
 
-#: locale/programs/ld-collate.c:2747
+#: locale/programs/ld-collate.c:2756
 #, c-format
 msgid "%s: duplicate declaration of section `%s'"
 msgstr "%s: duplicitní deklarace sekce „%s“"
 
-#: locale/programs/ld-collate.c:2883
+#: locale/programs/ld-collate.c:2892
 #, c-format
 msgid "%s: unknown character in collating symbol name"
 msgstr "%s: neznámý znak v názvu řadicího symbolu"
 
-#: locale/programs/ld-collate.c:3012
+#: locale/programs/ld-collate.c:3021
 #, c-format
 msgid "%s: unknown character in equivalent definition name"
 msgstr "%s: neznámý znak ve jméně definice rovnocennosti"
 
-#: locale/programs/ld-collate.c:3023
+#: locale/programs/ld-collate.c:3032
 #, c-format
 msgid "%s: unknown character in equivalent definition value"
 msgstr "%s: neznámý znak v hodnotě definice rovnocennosti"
 
-#: locale/programs/ld-collate.c:3033
+#: locale/programs/ld-collate.c:3042
 #, c-format
 msgid "%s: unknown symbol `%s' in equivalent definition"
 msgstr "%s: neznámý symbol „%s“ v definici rovnocennosti"
 
-#: locale/programs/ld-collate.c:3042
+#: locale/programs/ld-collate.c:3051
 msgid "error while adding equivalent collating symbol"
 msgstr "chyba při přidávání rovnocenného řadicího symbolu"
 
-#: locale/programs/ld-collate.c:3080
+#: locale/programs/ld-collate.c:3089
 #, c-format
 msgid "duplicate definition of script `%s'"
 msgstr "duplicitní definice skriptu „%s“"
 
-#: locale/programs/ld-collate.c:3128
+#: locale/programs/ld-collate.c:3137
 #, c-format
 msgid "%s: unknown section name `%.*s'"
 msgstr "%s: jméno sekce „%.*s“ není známo"
 
-#: locale/programs/ld-collate.c:3157
+#: locale/programs/ld-collate.c:3166
 #, c-format
 msgid "%s: multiple order definitions for section `%s'"
 msgstr "%s: násobná definice pořadí pro sekci „%s“"
 
-#: locale/programs/ld-collate.c:3185
+#: locale/programs/ld-collate.c:3194
 #, c-format
 msgid "%s: invalid number of sorting rules"
 msgstr "%s: neplatné číslo řadicího pravidla"
 
-#: locale/programs/ld-collate.c:3212
+#: locale/programs/ld-collate.c:3221
 #, c-format
 msgid "%s: multiple order definitions for unnamed section"
 msgstr "%s: násobná definice pořadí pro nepojmenovanou sekci"
 
-#: locale/programs/ld-collate.c:3267 locale/programs/ld-collate.c:3397
-#: locale/programs/ld-collate.c:3760
+#: locale/programs/ld-collate.c:3276 locale/programs/ld-collate.c:3406
+#: locale/programs/ld-collate.c:3769
 #, c-format
 msgid "%s: missing `order_end' keyword"
 msgstr "%s: chybí klíčové slovo „order_end“"
 
-#: locale/programs/ld-collate.c:3330
+#: locale/programs/ld-collate.c:3339
 #, c-format
 msgid "%s: order for collating symbol %.*s not yet defined"
 msgstr "%s: pořadí pro řadicí symbol %.*s nebylo ještě definováno"
 
-#: locale/programs/ld-collate.c:3348
+#: locale/programs/ld-collate.c:3357
 #, c-format
 msgid "%s: order for collating element %.*s not yet defined"
 msgstr "%s: pořadí pro řadicí prvek %.*s nebylo ještě definováno"
 
-#: locale/programs/ld-collate.c:3359
+#: locale/programs/ld-collate.c:3368
 #, c-format
 msgid "%s: cannot reorder after %.*s: symbol not known"
 msgstr "%s: po %.*s nelze změnit pořadí: symbol není znám"
 
-#: locale/programs/ld-collate.c:3411 locale/programs/ld-collate.c:3772
+#: locale/programs/ld-collate.c:3420 locale/programs/ld-collate.c:3781
 #, c-format
 msgid "%s: missing `reorder-end' keyword"
 msgstr "%s: chybí klíčové slovo „reorder-end“"
 
-#: locale/programs/ld-collate.c:3445 locale/programs/ld-collate.c:3643
+#: locale/programs/ld-collate.c:3454 locale/programs/ld-collate.c:3652
 #, c-format
 msgid "%s: section `%.*s' not known"
 msgstr "%s: sekce „%.*s“ není známa"
 
-#: locale/programs/ld-collate.c:3510
+#: locale/programs/ld-collate.c:3519
 #, c-format
 msgid "%s: bad symbol <%.*s>"
 msgstr "%s: chybný symbol <%.*s>"
 
-#: locale/programs/ld-collate.c:3706
+#: locale/programs/ld-collate.c:3715
 #, c-format
 msgid "%s: cannot have `%s' as end of ellipsis range"
 msgstr "%s: nemohu mít „%s“ jako konec výpustkového rozsahu"
 
-#: locale/programs/ld-collate.c:3756
+#: locale/programs/ld-collate.c:3765
 #, c-format
 msgid "%s: empty category description not allowed"
 msgstr "%s: prázdný popis kategorie není dovolen"
 
-#: locale/programs/ld-collate.c:3775
+#: locale/programs/ld-collate.c:3784
 #, c-format
 msgid "%s: missing `reorder-sections-end' keyword"
 msgstr "%s: chybí klíčové slovo „reorder-sections-end“"
 
-#: locale/programs/ld-collate.c:3939
+#: locale/programs/ld-collate.c:3948
 #, c-format
 msgid "%s: '%s' without matching 'ifdef' or 'ifndef'"
 msgstr "%s: „%s“ bez odpovídajícího „ifdef“ nebo „ifndef“"
 
-#: locale/programs/ld-collate.c:3957
+#: locale/programs/ld-collate.c:3966
 #, c-format
 msgid "%s: 'endif' without matching 'ifdef' or 'ifndef'"
 msgstr "%s: „endif“ bez odpovídajícího „ifdef“ nebo „ifndef“"
 
-#: locale/programs/ld-ctype.c:484
+#: locale/programs/ld-ctype.c:450
 #, c-format
 msgid "No character set name specified in charmap"
 msgstr "V mapě znaků není určena znaková sada"
 
-#: locale/programs/ld-ctype.c:513
+#: locale/programs/ld-ctype.c:479
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must be in class `%s'"
 msgstr "znak L'\\u%0*x' ve třídě „%s“ musí být ve třídě „%s“"
 
-#: locale/programs/ld-ctype.c:528
+#: locale/programs/ld-ctype.c:494
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must not be in class `%s'"
 msgstr "znak L'\\u%0*x' ve třídě „%s“ nesmí být ve třídě „%s“"
 
-#: locale/programs/ld-ctype.c:542 locale/programs/ld-ctype.c:600
+#: locale/programs/ld-ctype.c:508 locale/programs/ld-ctype.c:566
 #, c-format
 msgid "internal error in %s, line %u"
 msgstr "vnitřní chyba ve funkci %s na řádku %u"
 
-#: locale/programs/ld-ctype.c:571
+#: locale/programs/ld-ctype.c:537
 #, c-format
 msgid "character '%s' in class `%s' must be in class `%s'"
 msgstr "znak „%s“ ve třídě „%s“ musí být ve třídě „%s“"
 
-#: locale/programs/ld-ctype.c:587
+#: locale/programs/ld-ctype.c:553
 #, c-format
 msgid "character '%s' in class `%s' must not be in class `%s'"
 msgstr "znak „%s“ ve třídě „%s“ nesmí být ve třídě „%s“"
 
-#: locale/programs/ld-ctype.c:617 locale/programs/ld-ctype.c:655
+#: locale/programs/ld-ctype.c:583 locale/programs/ld-ctype.c:621
 #, c-format
 msgid "<SP> character not in class `%s'"
 msgstr "znak <SP> ve třídě „%s“ není"
 
-#: locale/programs/ld-ctype.c:629 locale/programs/ld-ctype.c:666
+#: locale/programs/ld-ctype.c:595 locale/programs/ld-ctype.c:632
 #, c-format
 msgid "<SP> character must not be in class `%s'"
 msgstr "znak <SP> nesmí ve třídě „%s“ být"
 
-#: locale/programs/ld-ctype.c:644
+#: locale/programs/ld-ctype.c:610
 #, c-format
 msgid "character <SP> not defined in character map"
 msgstr "znak <SP> není ve znakové sadě definován"
 
-#: locale/programs/ld-ctype.c:780
+#: locale/programs/ld-ctype.c:746
 #, c-format
 msgid "`digit' category has not entries in groups of ten"
 msgstr "kategorie „digit“ (číslice) nemá položky ve skupinách po deseti"
 
-#: locale/programs/ld-ctype.c:829
+#: locale/programs/ld-ctype.c:795
 #, c-format
 msgid "no input digits defined and none of the standard names in the charmap"
 msgstr "nedefinovány žádné vstupní číslice a žádná standardní jména v mapě znaků"
 
-#: locale/programs/ld-ctype.c:894
+#: locale/programs/ld-ctype.c:860
 #, c-format
 msgid "not all characters used in `outdigit' are available in the charmap"
 msgstr "ne všechny znaky použité v „outdigit“ (výstupní číslice) jsou dostupné v mapě znaků"
 
-#: locale/programs/ld-ctype.c:911
+#: locale/programs/ld-ctype.c:877
 #, c-format
 msgid "not all characters used in `outdigit' are available in the repertoire"
 msgstr "ne všechny znaky použité v „outdigit“ (výstupní číslice) jsou dostupné v repertoáru"
 
-#: locale/programs/ld-ctype.c:1176
+#: locale/programs/ld-ctype.c:1142
 #, c-format
 msgid "character class `%s' already defined"
 msgstr "třída znaků „%s“ již je definována"
 
-#: locale/programs/ld-ctype.c:1182
+#: locale/programs/ld-ctype.c:1148
 #, c-format
 msgid "implementation limit: no more than %Zd character classes allowed"
 msgstr "implementační omezení: maximální počet tříd znaků je %Zd"
 
-#: locale/programs/ld-ctype.c:1208
+#: locale/programs/ld-ctype.c:1174
 #, c-format
 msgid "character map `%s' already defined"
 msgstr "znaková sada „%s“ již je definována"
 
-#: locale/programs/ld-ctype.c:1214
+#: locale/programs/ld-ctype.c:1180
 #, c-format
 msgid "implementation limit: no more than %d character maps allowed"
 msgstr "implementační omezení: maximální počet znakových sad je %d"
 
-#: locale/programs/ld-ctype.c:1479 locale/programs/ld-ctype.c:1604
-#: locale/programs/ld-ctype.c:1710 locale/programs/ld-ctype.c:2400
-#: locale/programs/ld-ctype.c:3397
+#: locale/programs/ld-ctype.c:1445 locale/programs/ld-ctype.c:1570
+#: locale/programs/ld-ctype.c:1676 locale/programs/ld-ctype.c:2352
+#: locale/programs/ld-ctype.c:3324
 #, c-format
 msgid "%s: field `%s' does not contain exactly ten entries"
 msgstr "%s: pole „%s“ neobsahuje přesně deset položek"
 
-#: locale/programs/ld-ctype.c:1507 locale/programs/ld-ctype.c:2081
+#: locale/programs/ld-ctype.c:1473 locale/programs/ld-ctype.c:2047
 #, c-format
 msgid "to-value <U%0*X> of range is smaller than from-value <U%0*X>"
 msgstr "horní mez rozsahu <U%0*X> je menší než dolní mez <U%0*X>"
 
-#: locale/programs/ld-ctype.c:1634
+#: locale/programs/ld-ctype.c:1600
 msgid "start and end character sequence of range must have the same length"
 msgstr "úvodní a závěrečná sekvence znaků rozsahu musí mít stejnou délku"
 
-#: locale/programs/ld-ctype.c:1641
+#: locale/programs/ld-ctype.c:1607
 msgid "to-value character sequence is smaller than from-value sequence"
 msgstr "sekvence znaků horní meze je menší než sekvence dolní meze"
 
-#: locale/programs/ld-ctype.c:2001 locale/programs/ld-ctype.c:2052
+#: locale/programs/ld-ctype.c:1967 locale/programs/ld-ctype.c:2018
 msgid "premature end of `translit_ignore' definition"
 msgstr "předčasný konec definice „translit_ignore“"
 
-#: locale/programs/ld-ctype.c:2007 locale/programs/ld-ctype.c:2058
-#: locale/programs/ld-ctype.c:2100
+#: locale/programs/ld-ctype.c:1973 locale/programs/ld-ctype.c:2024
+#: locale/programs/ld-ctype.c:2066
 msgid "syntax error"
 msgstr "chyba syntaxe"
 
-#: locale/programs/ld-ctype.c:2233
+#: locale/programs/ld-ctype.c:2199
 #, c-format
 msgid "%s: syntax error in definition of new character class"
 msgstr "%s: syntaktická chyba v definici nové třídy znaků"
 
-#: locale/programs/ld-ctype.c:2248
+#: locale/programs/ld-ctype.c:2214
 #, c-format
 msgid "%s: syntax error in definition of new character map"
 msgstr "%s: syntaktická chyba v definici nové znakové sady"
 
-#: locale/programs/ld-ctype.c:2422
+#: locale/programs/ld-ctype.c:2374
 msgid "ellipsis range must be marked by two operands of same type"
 msgstr "výpustkový rozsah musí být vyznačen dvěma operandy stejného typu"
 
-#: locale/programs/ld-ctype.c:2431
+#: locale/programs/ld-ctype.c:2383
 msgid "with symbolic name range values the absolute ellipsis `...' must not be used"
 msgstr "s hodnotami symbolického jmenného rozsahu nelze použit absolutní výpustku „...“"
 
-#: locale/programs/ld-ctype.c:2446
+#: locale/programs/ld-ctype.c:2398
 msgid "with UCS range values one must use the hexadecimal symbolic ellipsis `..'"
 msgstr "spolu s hodnotami UCS rozsahu se musí použít šestnáctková symbolická výpustka „..“"
 
-#: locale/programs/ld-ctype.c:2460
+#: locale/programs/ld-ctype.c:2412
 msgid "with character code range values one must use the absolute ellipsis `...'"
 msgstr "spolu s hodnotami rozsahu kódů znaku se misí použít absolutní výpustka „...“"
 
-#: locale/programs/ld-ctype.c:2611
+#: locale/programs/ld-ctype.c:2563
 #, c-format
 msgid "duplicated definition for mapping `%s'"
 msgstr "duplicitní definice mapovaní „%s“"
 
-#: locale/programs/ld-ctype.c:2697 locale/programs/ld-ctype.c:2841
+#: locale/programs/ld-ctype.c:2649 locale/programs/ld-ctype.c:2793
 #, c-format
 msgid "%s: `translit_start' section does not end with `translit_end'"
 msgstr "%s: sekce „translit_start“ nekončí na „translit_end“"
 
-#: locale/programs/ld-ctype.c:2792
+#: locale/programs/ld-ctype.c:2744
 #, c-format
 msgid "%s: duplicate `default_missing' definition"
 msgstr "%s: duplicitní definice „default_missing“"
 
-#: locale/programs/ld-ctype.c:2797
+#: locale/programs/ld-ctype.c:2749
 msgid "previous definition was here"
 msgstr "předchozí definice byla zde"
 
-#: locale/programs/ld-ctype.c:2819
+#: locale/programs/ld-ctype.c:2771
 #, c-format
 msgid "%s: no representable `default_missing' definition found"
 msgstr "%s: nenalezena žádná reprezentovatelná definice „default_missing“"
 
-#: locale/programs/ld-ctype.c:2962 locale/programs/ld-ctype.c:3059
-#: locale/programs/ld-ctype.c:3079 locale/programs/ld-ctype.c:3100
-#: locale/programs/ld-ctype.c:3121 locale/programs/ld-ctype.c:3142
-#: locale/programs/ld-ctype.c:3163 locale/programs/ld-ctype.c:3203
-#: locale/programs/ld-ctype.c:3224 locale/programs/ld-ctype.c:3289
-#: locale/programs/ld-ctype.c:3331 locale/programs/ld-ctype.c:3356
+#: locale/programs/ld-ctype.c:2889 locale/programs/ld-ctype.c:2986
+#: locale/programs/ld-ctype.c:3006 locale/programs/ld-ctype.c:3027
+#: locale/programs/ld-ctype.c:3048 locale/programs/ld-ctype.c:3069
+#: locale/programs/ld-ctype.c:3090 locale/programs/ld-ctype.c:3130
+#: locale/programs/ld-ctype.c:3151 locale/programs/ld-ctype.c:3216
+#: locale/programs/ld-ctype.c:3258 locale/programs/ld-ctype.c:3283
 #, c-format
 msgid "%s: character `%s' not defined while needed as default value"
 msgstr "%s: znak „%s“ potřebný jako implicitní hodnota není definován"
 
-#: locale/programs/ld-ctype.c:2967 locale/programs/ld-ctype.c:3064
-#: locale/programs/ld-ctype.c:3084 locale/programs/ld-ctype.c:3105
-#: locale/programs/ld-ctype.c:3126 locale/programs/ld-ctype.c:3147
-#: locale/programs/ld-ctype.c:3168 locale/programs/ld-ctype.c:3208
-#: locale/programs/ld-ctype.c:3229 locale/programs/ld-ctype.c:3294
+#: locale/programs/ld-ctype.c:2894 locale/programs/ld-ctype.c:2991
+#: locale/programs/ld-ctype.c:3011 locale/programs/ld-ctype.c:3032
+#: locale/programs/ld-ctype.c:3053 locale/programs/ld-ctype.c:3074
+#: locale/programs/ld-ctype.c:3095 locale/programs/ld-ctype.c:3135
+#: locale/programs/ld-ctype.c:3156 locale/programs/ld-ctype.c:3221
 #, c-format
 msgid "%s: character `%s' in charmap not representable with one byte"
 msgstr "%s: znak „%s“ z mapy znaků není reprezentovatelný jedním bajtem"
 
-#: locale/programs/ld-ctype.c:3338 locale/programs/ld-ctype.c:3363
+#: locale/programs/ld-ctype.c:3265 locale/programs/ld-ctype.c:3290
 #, c-format
 msgid "%s: character `%s' needed as default value not representable with one byte"
 msgstr "%s: znak „%s“ potřebný jako implicitní hodnota není reprezentovatelný jedním bajtem"
 
-#: locale/programs/ld-ctype.c:3419
+#: locale/programs/ld-ctype.c:3346
 #, c-format
 msgid "no output digits defined and none of the standard names in the charmap"
 msgstr "nedefinovány žádné výstupní číslice a žádná standardní jména v mapě znaků"
 
-#: locale/programs/ld-ctype.c:3668
+#: locale/programs/ld-ctype.c:3595
 #, c-format
 msgid "%s: transliteration data from locale `%s' not available"
 msgstr "%s: přepisovací data pro národní prostřední „%s“ nejsou dostupná"
 
-#: locale/programs/ld-ctype.c:3768
+#: locale/programs/ld-ctype.c:3695
 #, c-format
 msgid "%s: table for class \"%s\": %lu bytes\n"
 msgstr "%s: tabulka pro třídu „%s“: %lu bajtů\n"
 
-#: locale/programs/ld-ctype.c:3833
+#: locale/programs/ld-ctype.c:3760
 #, c-format
 msgid "%s: table for map \"%s\": %lu bytes\n"
 msgstr "%s: tabulka pro mapu „%s“: %lu bajtů\n"
 
-#: locale/programs/ld-ctype.c:3958
+#: locale/programs/ld-ctype.c:3885
 #, c-format
 msgid "%s: table for width: %lu bytes\n"
 msgstr "%s: tabulka se šířkou: %lu bajtů\n"
@@ -3837,17 +3829,22 @@ msgstr "přidat novou položku „%s“ typu %s pro %s fo keše%s"
 msgid " (first)"
 msgstr " (první)"
 
-#: nscd/cache.c:285 nscd/connections.c:1000
+#: nscd/cache.c:288
+#, c-format
+msgid "checking for monitored file `%s': %s"
+msgstr "kontroluje se sledovaný soubor „%s“: %s"
+
+#: nscd/cache.c:298
 #, c-format
-msgid "cannot stat() file `%s': %s"
-msgstr "na soubor „%s“ nelze vykonat stat(): %s"
+msgid "monitored file `%s` changed (mtime)"
+msgstr "sledovaný soubor „%s“ se změnil (změna času obsahu)"
 
-#: nscd/cache.c:331
+#: nscd/cache.c:341
 #, c-format
 msgid "pruning %s cache; time %ld"
 msgstr "čistím keš %s, čas %ld"
 
-#: nscd/cache.c:360
+#: nscd/cache.c:370
 #, c-format
 msgid "considering %s entry \"%s\", timeout %<PRIu64>"
 msgstr "zvažuji %s-položku „%s“, životnost %<PRIu64>"
@@ -3933,153 +3930,213 @@ msgstr "soket nelze nastavit na uzavření při spuštění, %s"
 msgid "cannot enable socket to accept connections: %s"
 msgstr "soket nemůže přijímat spojení: %s"
 
-#: nscd/connections.c:984
+#: nscd/connections.c:973
+#, c-format
+msgid "disabled inotify-based monitoring for file `%s': %s"
+msgstr "sledování souboru „%s“ pomocí inotify zakázáno: %s"
+
+#: nscd/connections.c:977
+#, c-format
+msgid "monitoring file `%s` (%d)"
+msgstr "sleduje se soubor „%s“ (%d)"
+
+#: nscd/connections.c:990
+#, c-format
+msgid "disabled inotify-based monitoring for directory `%s': %s"
+msgstr "sledování adresáře „%s“ pomocí inotify zakázáno: %s"
+
+#: nscd/connections.c:994
+#, c-format
+msgid "monitoring directory `%s` (%d)"
+msgstr "sleduje se adresář „%s“ (%d)"
+
+#: nscd/connections.c:1022
+#, c-format
+msgid "monitoring file %s for database %s"
+msgstr "sleduje se soubor %s pro databázi %s"
+
+#: nscd/connections.c:1032
 #, c-format
-msgid "register trace file %s for database %s"
-msgstr "registrovat trasovací soubor %s pro databázi %s"
+msgid "stat failed for file `%s'; will try again later: %s"
+msgstr "volání stat nad souborem „%s“ selhalo, zkusí se později: %s"
 
-#: nscd/connections.c:1114
+#: nscd/connections.c:1151
 #, c-format
 msgid "provide access to FD %d, for %s"
 msgstr "poskytnout přístup na deskriptor souboru %d pro %s"
 
-#: nscd/connections.c:1126
+#: nscd/connections.c:1163
 #, c-format
 msgid "cannot handle old request version %d; current version is %d"
 msgstr "žádost staré verze (%d) nelze zpracovat; aktuální verze je %d"
 
-#: nscd/connections.c:1148
+#: nscd/connections.c:1185
 #, c-format
 msgid "request from %ld not handled due to missing permission"
 msgstr "požadavek z %ld neobsloužen kvůli chybějícím právům"
 
-#: nscd/connections.c:1153
+#: nscd/connections.c:1190
 #, c-format
 msgid "request from '%s' [%ld] not handled due to missing permission"
 msgstr "požadavek z „%s“ [%ld] neobsloužen kvůli chybějícím právům"
 
-#: nscd/connections.c:1158
+#: nscd/connections.c:1195
 msgid "request not handled due to missing permission"
 msgstr "požadavek neobsloužen kvůli chybějícím právům"
 
-#: nscd/connections.c:1196 nscd/connections.c:1249
+#: nscd/connections.c:1233 nscd/connections.c:1286
 #, c-format
 msgid "cannot write result: %s"
 msgstr "výsledek nelze zapsat: %s"
 
-#: nscd/connections.c:1340
+#: nscd/connections.c:1377
 #, c-format
 msgid "error getting caller's id: %s"
 msgstr "chyba při zjišťování id volajícího: %s"
 
-#: nscd/connections.c:1400
+#: nscd/connections.c:1437
 #, c-format
 msgid "cannot open /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr "/proc/self/cmdline nelze otevřít: %s, vypínám paranoidní režim"
 
-#: nscd/connections.c:1414
+#: nscd/connections.c:1451
 #, c-format
 msgid "cannot read /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr "/proc/self/cmdline nelze načíst: %s, vypínám paranoidní režim"
 
-#: nscd/connections.c:1454
+#: nscd/connections.c:1491
 #, c-format
 msgid "cannot change to old UID: %s; disabling paranoia mode"
 msgstr "nelze se přepnout do starého UID: %s. vypínám paranoidní režim"
 
-#: nscd/connections.c:1464
+#: nscd/connections.c:1501
 #, c-format
 msgid "cannot change to old GID: %s; disabling paranoia mode"
 msgstr "nelze se přepnout do starého GID: %s, vypínám paranoidní režim"
 
-#: nscd/connections.c:1477
+#: nscd/connections.c:1514
 #, c-format
 msgid "cannot change to old working directory: %s; disabling paranoia mode"
 msgstr "nelze se přepnout do starého pracovního adresáře: %s. vypínám paranoidní režim"
 
-#: nscd/connections.c:1523
+#: nscd/connections.c:1560
 #, c-format
 msgid "re-exec failed: %s; disabling paranoia mode"
 msgstr "znovuspuštění selhalo: %s, paranoidní režim bude vypnut"
 
-#: nscd/connections.c:1532
+#: nscd/connections.c:1569
 #, c-format
 msgid "cannot change current working directory to \"/\": %s"
 msgstr "současný pracovní adresář nelze změnit na „/“: %s"
 
-#: nscd/connections.c:1725
+#: nscd/connections.c:1762
 #, c-format
 msgid "short read while reading request: %s"
 msgstr "neúplné čtení žádosti: „%s“"
 
-#: nscd/connections.c:1758
+#: nscd/connections.c:1795
 #, c-format
 msgid "key length in request too long: %d"
 msgstr "délka klíče v žádosti je příliš dlouhá: %d"
 
-#: nscd/connections.c:1771
+#: nscd/connections.c:1808
 #, c-format
 msgid "short read while reading request key: %s"
 msgstr "neúplné čtení klíče žádosti: %s"
 
-#: nscd/connections.c:1781
+#: nscd/connections.c:1818
 #, c-format
 msgid "handle_request: request received (Version = %d) from PID %ld"
 msgstr "handle_request: žádost přijata (verze = %d) od PID %ld"
 
-#: nscd/connections.c:1786
+#: nscd/connections.c:1823
 #, c-format
 msgid "handle_request: request received (Version = %d)"
 msgstr "handle_request: žádost přijata (verze = %d)"
 
-#: nscd/connections.c:2050 nscd/connections.c:2252
+#: nscd/connections.c:1963
+#, c-format
+msgid "ignored inotify event for `%s` (file exists)"
+msgstr "událost inotify pro „%s“ ignorována (soubor existuje)"
+
+#: nscd/connections.c:1968
+#, c-format
+msgid "monitored file `%s` was %s, removing watch"
+msgstr "sledovaný soubor „%s“ byl %s, hlídání se ruší"
+
+#: nscd/connections.c:1976 nscd/connections.c:2018
+#, c-format
+msgid "failed to remove file watch `%s`: %s"
+msgstr "zrušení hlídání souboru „%s“ selhalo: %s"
+
+#: nscd/connections.c:1991
+#, c-format
+msgid "monitored file `%s` was written to"
+msgstr "do sledovaného souboru „%s“ bylo zapsáno"
+
+#: nscd/connections.c:2015
+#, c-format
+msgid "monitored parent directory `%s` was %s, removing watch on `%s`"
+msgstr "sledovaný rodičovský adresář „%s“ byl %s, ruší se hlídání „%s“"
+
+#: nscd/connections.c:2041
+#, c-format
+msgid "monitored file `%s` was %s, adding watch"
+msgstr "sledovaný soubor „%s“ byl %s, začíná se hlídat"
+
+#: nscd/connections.c:2053
 #, c-format
-msgid "disabled inotify after read error %d"
-msgstr "po chybě v čtení %d zakázáno inotify"
+msgid "failed to add file watch `%s`: %s"
+msgstr "hlídání souboru „%s“ se nepodařilo zahájit: %s"
 
-#: nscd/connections.c:2375
+#: nscd/connections.c:2247 nscd/connections.c:2428
+#, c-format
+msgid "disabled inotify-based monitoring after read error %d"
+msgstr "po chybě v čtení %d bylo zakázáno sledování pomocí inotify"
+
+#: nscd/connections.c:2543
 msgid "could not initialize conditional variable"
 msgstr "proměnnou podmínky nebylo možné inicializovat"
 
-#: nscd/connections.c:2383
+#: nscd/connections.c:2551
 msgid "could not start clean-up thread; terminating"
 msgstr "nebylo možné spustit úklidové vlákno, končím"
 
-#: nscd/connections.c:2397
+#: nscd/connections.c:2565
 msgid "could not start any worker thread; terminating"
 msgstr "nebylo možné spustit jakékoliv výkonné vlákno, končím"
 
-#: nscd/connections.c:2452 nscd/connections.c:2454 nscd/connections.c:2470
-#: nscd/connections.c:2480 nscd/connections.c:2498 nscd/connections.c:2509
-#: nscd/connections.c:2519
+#: nscd/connections.c:2620 nscd/connections.c:2622 nscd/connections.c:2638
+#: nscd/connections.c:2648 nscd/connections.c:2666 nscd/connections.c:2677
+#: nscd/connections.c:2687
 #, c-format
 msgid "Failed to run nscd as user '%s'"
 msgstr "Spuštění nscd pod uživatelem „%s“ selhalo"
 
-#: nscd/connections.c:2472
+#: nscd/connections.c:2640
 msgid "initial getgrouplist failed"
 msgstr "prvotní získání seznamu skupin (getgrouplist) selhalo"
 
-#: nscd/connections.c:2481
+#: nscd/connections.c:2649
 msgid "getgrouplist failed"
 msgstr "getgrouplist (získej seznam skupin) selhalo"
 
-#: nscd/connections.c:2499
+#: nscd/connections.c:2667
 msgid "setgroups failed"
 msgstr "funkce setgroups() selhala"
 
-#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:410
+#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:411
 #: nscd/pwdcache.c:383 nscd/servicescache.c:338
 #, c-format
 msgid "short write in %s: %s"
 msgstr "neúplný zápis v %s(): %s"
 
-#: nscd/grpcache.c:450 nscd/initgrcache.c:77
+#: nscd/grpcache.c:450 nscd/initgrcache.c:78
 #, c-format
 msgid "Haven't found \"%s\" in group cache!"
 msgstr "„%s“ nebylo v cache paměti pro skupiny nalezeno!"
 
-#: nscd/grpcache.c:452 nscd/initgrcache.c:79
+#: nscd/grpcache.c:452 nscd/initgrcache.c:80
 #, c-format
 msgid "Reloading \"%s\" in group cache!"
 msgstr "Znovu se nahrává „%s“ do keše skupin!"
@@ -4167,7 +4224,7 @@ msgstr "Použije oddělenou cache pro každého uživatele"
 msgid "Name Service Cache Daemon."
 msgstr "NSC (Name Service Cache) démon [pro kešování jmenných služeb]."
 
-#: nscd/nscd.c:155 nss/getent.c:1003 nss/makedb.c:206
+#: nscd/nscd.c:155 nss/getent.c:1007 nss/makedb.c:206
 #, c-format
 msgid "wrong number of arguments"
 msgstr "chybný počet argumentů"
@@ -4200,7 +4257,7 @@ msgstr "nelze změnit současný pracovní adresář na „/“"
 msgid "Could not create log file"
 msgstr "Soubor s protokolem nelze vytvořit"
 
-#: nscd/nscd.c:355 nscd/nscd_stat.c:192
+#: nscd/nscd.c:355 nscd/nscd_stat.c:194
 #, c-format
 msgid "write incomplete"
 msgstr "neúplný zápis"
@@ -4215,7 +4272,7 @@ msgstr "zneplatněný ACK (potvrzení) nelze načíst"
 msgid "invalidation failed"
 msgstr "zneplatnění selhalo"
 
-#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:173
+#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:175
 #, c-format
 msgid "Only root is allowed to use this option!"
 msgstr "Tento přepínač je dostupný pouze superuživateli!"
@@ -4301,35 +4358,35 @@ msgstr "nelze získat název současného pracovního adresáře: %s, vypínám
 msgid "maximum file size for %s database too small"
 msgstr "maximální velikost souboru pro databázi %s je příliš malá"
 
-#: nscd/nscd_stat.c:142
+#: nscd/nscd_stat.c:144
 #, c-format
 msgid "cannot write statistics: %s"
 msgstr "statistiku nelze zapsat: %s"
 
-#: nscd/nscd_stat.c:157
+#: nscd/nscd_stat.c:159
 msgid "yes"
 msgstr "ano"
 
-#: nscd/nscd_stat.c:158
+#: nscd/nscd_stat.c:160
 msgid "no"
 msgstr "ne"
 
-#: nscd/nscd_stat.c:169
+#: nscd/nscd_stat.c:171
 #, c-format
 msgid "Only root or %s is allowed to use this option!"
 msgstr "Tento přepínač je dostupný pouze uživateli root nebo %s!"
 
-#: nscd/nscd_stat.c:180
+#: nscd/nscd_stat.c:182
 #, c-format
 msgid "nscd not running!\n"
 msgstr "nscd neběží!\n"
 
-#: nscd/nscd_stat.c:204
+#: nscd/nscd_stat.c:206
 #, c-format
 msgid "cannot read statistics data"
 msgstr "statistické údaje nelze načíst"
 
-#: nscd/nscd_stat.c:207
+#: nscd/nscd_stat.c:209
 #, c-format
 msgid ""
 "nscd configuration:\n"
@@ -4340,28 +4397,28 @@ msgstr ""
 "\n"
 "%15d  úroveň ladění serveru\n"
 
-#: nscd/nscd_stat.c:231
+#: nscd/nscd_stat.c:233
 #, c-format
 msgid "%3ud %2uh %2um %2lus  server runtime\n"
 msgstr "%3ud %2uh %2um %2lus  doba běhu serveru\n"
 
 # See nscd -g for indentation reasons
-#: nscd/nscd_stat.c:234
+#: nscd/nscd_stat.c:236
 #, c-format
 msgid "    %2uh %2um %2lus  server runtime\n"
 msgstr "    %2uh %2um %2lus  doba běhu serveru\n"
 
-#: nscd/nscd_stat.c:236
+#: nscd/nscd_stat.c:238
 #, c-format
 msgid "        %2um %2lus  server runtime\n"
 msgstr "        %2um %2lus  doba běhu serveru\n"
 
-#: nscd/nscd_stat.c:238
+#: nscd/nscd_stat.c:240
 #, c-format
 msgid "            %2lus  server runtime\n"
 msgstr "            %2lus  doba běhu serveru\n"
 
-#: nscd/nscd_stat.c:240
+#: nscd/nscd_stat.c:242
 #, c-format
 msgid ""
 "%15d  current number of threads\n"
@@ -4378,7 +4435,7 @@ msgstr ""
 "%15lu  vnitřních restartů\n"
 "%15u  počet znovunačtení\n"
 
-#: nscd/nscd_stat.c:275
+#: nscd/nscd_stat.c:277
 #, c-format
 msgid ""
 "\n"
@@ -4444,85 +4501,85 @@ msgstr "Znovu načítám „%s“ do keše hesel!"
 msgid "Invalid numeric uid \"%s\"!"
 msgstr "Neplatné číselné UID „%s“"
 
-#: nscd/selinux.c:155
+#: nscd/selinux.c:154
 #, c-format
 msgid "Failed opening connection to the audit subsystem: %m"
 msgstr "Otevření spojení do auditního subsystému selhalo: %m"
 
-#: nscd/selinux.c:176
+#: nscd/selinux.c:175
 msgid "Failed to set keep-capabilities"
 msgstr "Nastavení „keep“ kvalifikací selhalo"
 
-#: nscd/selinux.c:177 nscd/selinux.c:240
+#: nscd/selinux.c:176 nscd/selinux.c:239
 msgid "prctl(KEEPCAPS) failed"
 msgstr "prctl(KEEPCAPS) selhalo"
 
-#: nscd/selinux.c:191
+#: nscd/selinux.c:190
 msgid "Failed to initialize drop of capabilities"
 msgstr "Příprava na vzdání se kvalifikací selhala"
 
-#: nscd/selinux.c:192
+#: nscd/selinux.c:191
 msgid "cap_init failed"
 msgstr "funkce cap_init() selhala"
 
-#: nscd/selinux.c:213 nscd/selinux.c:230
+#: nscd/selinux.c:212 nscd/selinux.c:229
 msgid "Failed to drop capabilities"
 msgstr "Vzdání se kvalifikací selhalo"
 
-#: nscd/selinux.c:214 nscd/selinux.c:231
+#: nscd/selinux.c:213 nscd/selinux.c:230
 msgid "cap_set_proc failed"
 msgstr "cap_set_proc selhala"
 
-#: nscd/selinux.c:239
+#: nscd/selinux.c:238
 msgid "Failed to unset keep-capabilities"
 msgstr "Vypnutí „keep“ kvalifikací selhalo"
 
-#: nscd/selinux.c:255
+#: nscd/selinux.c:254
 msgid "Failed to determine if kernel supports SELinux"
 msgstr "Nelze zjistit, zda jádro podporuje SELinux"
 
-#: nscd/selinux.c:270
+#: nscd/selinux.c:269
 msgid "Failed to start AVC thread"
 msgstr "Spuštění vlákna AVC selhalo"
 
-#: nscd/selinux.c:292
+#: nscd/selinux.c:291
 msgid "Failed to create AVC lock"
 msgstr "Vytvoření zámku AVC selhalo"
 
-#: nscd/selinux.c:332
+#: nscd/selinux.c:331
 msgid "Failed to start AVC"
 msgstr "Spuštění AVC selhalo"
 
-#: nscd/selinux.c:334
+#: nscd/selinux.c:333
 msgid "Access Vector Cache (AVC) started"
 msgstr "Keš přístupových vektorů (AVC) nastartována"
 
-#: nscd/selinux.c:369
+#: nscd/selinux.c:368
 msgid "Error querying policy for undefined object classes or permissions."
 msgstr "Chyba při dotazování politiky na nedefinované třídy objektů nebo práva."
 
-#: nscd/selinux.c:376
+#: nscd/selinux.c:375
 msgid "Error getting security class for nscd."
 msgstr "Chyba při získávání bezpečnostní třídy pro nscd."
 
-#: nscd/selinux.c:381
+#: nscd/selinux.c:380
 #, c-format
 msgid "Error translating permission name \"%s\" to access vector bit."
 msgstr "Chyba při překládání názvu práv „%s“ na bit přístupového vektoru."
 
-#: nscd/selinux.c:391
+#: nscd/selinux.c:390
 msgid "Error getting context of socket peer"
 msgstr "Chyba při zjišťování kontextu dvojice soketů"
 
-#: nscd/selinux.c:396
+#: nscd/selinux.c:395
 msgid "Error getting context of nscd"
 msgstr "Chyba při zjišťování kontextu nscd"
 
-#: nscd/selinux.c:402
+#: nscd/selinux.c:401
 msgid "Error getting sid from context"
 msgstr "Chyba při získávání SID z kontextu"
 
-#: nscd/selinux.c:440
+#: nscd/selinux.c:439
 #, c-format
 msgid ""
 "\n"
@@ -4584,16 +4641,16 @@ msgstr "Získá záznamy ze správní databáze."
 msgid "Enumeration not supported on %s\n"
 msgstr "Výčet není podporován na %s\n"
 
-#: nss/getent.c:917
+#: nss/getent.c:921
 #, c-format
 msgid "Unknown database name"
 msgstr "Neznámé jméno databáze"
 
-#: nss/getent.c:947
+#: nss/getent.c:951
 msgid "Supported databases:\n"
 msgstr "Podporované databáze:\n"
 
-#: nss/getent.c:1013
+#: nss/getent.c:1017
 #, c-format
 msgid "Unknown database: %s\n"
 msgstr "Neznámá databáze: %s\n"
@@ -4875,7 +4932,7 @@ msgstr "Nepárová ) or \\)"
 msgid "No previous regular expression"
 msgstr "Předchozí regulární výraz neexistuje"
 
-#: posix/wordexp.c:1844
+#: posix/wordexp.c:1851
 msgid "parameter null or not set"
 msgstr "parametr je nullový nebo prázdný"
 
@@ -7266,6 +7323,15 @@ msgstr "příliš mnoho nebo příliš dlouhé zkratky časového pásma"
 msgid "%s: Can't create directory %s: %s\n"
 msgstr "%s: Adresář %s nelze vytvořit: %s\n"
 
+#~ msgid "cannot load any more object with static TLS"
+#~ msgstr "nelze zavést žádný další objekt se statickým TLS"
+
+#~ msgid "%s: no PLTREL found in object %s\n"
+#~ msgstr "%s: v objektu %s nenalezen žádný PLTREL\n"
+
+#~ msgid "cannot create internal descriptors"
+#~ msgstr "interní deskriptory nelze vytvořit"
+
 #~ msgid "compile-time support for database policy missing"
 #~ msgstr "podpora pro politiku databází v době překladu chybí"
 
diff --git a/po/da.po b/po/da.po
index 7eba4c6..ed42a33 100644
--- a/po/da.po
+++ b/po/da.po
@@ -6,7 +6,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: libc-2.11.1\n"
-"POT-Creation-Date: 2015-01-20 22:14-0500\n"
+"POT-Creation-Date: 2015-07-31 00:10-0400\n"
 "PO-Revision-Date: 2010-11-01 10:37+0100\n"
 "Last-Translator: Keld Simonsen <keld@keldix.com>\n"
 "Language-Team: Danish <dansk@dansk-gruppen.dk>\n"
@@ -143,10 +143,10 @@ msgstr ""
 "[UDFIL [INDFIL]...]"
 
 #: catgets/gencat.c:229 debug/pcprofiledump.c:209 elf/ldconfig.c:307
-#: elf/pldd.c:244 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
+#: elf/pldd.c:252 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
 #: iconv/iconvconfig.c:379 locale/programs/locale.c:277
 #: locale/programs/localedef.c:376 login/programs/pt_chown.c:88
-#: malloc/memusagestat.c:563 nss/getent.c:969 nss/makedb.c:369
+#: malloc/memusagestat.c:563 nss/getent.c:973 nss/makedb.c:369
 #: posix/getconf.c:486 sunrpc/rpcinfo.c:691
 #: sysdeps/unix/sysv/linux/lddlibc4.c:61
 #, fuzzy, c-format
@@ -162,7 +162,7 @@ msgstr ""
 "Rapportér fejl eller synspunkter på oversættelsen til <dansk@dansk-gruppen.dk>.\n"
 
 #: catgets/gencat.c:245 debug/pcprofiledump.c:225 debug/xtrace.sh:64
-#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:260 elf/sotruss.sh:75
+#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:268 elf/sotruss.sh:75
 #: elf/sprof.c:389 iconv/iconv_prog.c:425 iconv/iconvconfig.c:396
 #: locale/programs/locale.c:294 locale/programs/localedef.c:402
 #: login/programs/pt_chown.c:62 malloc/memusage.sh:71
@@ -180,7 +180,7 @@ msgstr ""
 "TIL NOGEN SPECIEL OPGAVE.\n"
 
 #: catgets/gencat.c:250 debug/pcprofiledump.c:230 debug/xtrace.sh:68
-#: elf/ldconfig.c:328 elf/pldd.c:265 elf/sprof.c:395 iconv/iconv_prog.c:430
+#: elf/ldconfig.c:328 elf/pldd.c:273 elf/sprof.c:395 iconv/iconv_prog.c:430
 #: iconv/iconvconfig.c:401 locale/programs/locale.c:299
 #: locale/programs/localedef.c:407 malloc/memusage.sh:75
 #: malloc/memusagestat.c:586 nscd/nscd.c:514 nss/getent.c:91 nss/makedb.c:390
@@ -445,11 +445,11 @@ msgstr "Ændring af adgangsrettigheder for %s til %#o fejlede"
 msgid "Renaming of %s to %s failed"
 msgstr "Omdøbning af %s til %s fejlede"
 
-#: elf/dl-close.c:385 elf/dl-open.c:470
+#: elf/dl-close.c:396 elf/dl-open.c:478
 msgid "cannot create scope list"
 msgstr "kan ikke oprette omfangsliste"
 
-#: elf/dl-close.c:770
+#: elf/dl-close.c:816
 msgid "shared object not open"
 msgstr "delt objekt er ikke åbent"
 
@@ -524,127 +524,127 @@ msgstr "kan ikke oprette tabel over søgestier"
 msgid "cannot stat shared object"
 msgstr "kan ikke tage status på delt objekt"
 
-#: elf/dl-load.c:963
+#: elf/dl-load.c:962
 msgid "cannot open zero fill device"
 msgstr "kan ikke åbne nulstil-enhed"
 
-#: elf/dl-load.c:1010 elf/dl-load.c:2165
+#: elf/dl-load.c:1009 elf/dl-load.c:2159
 msgid "cannot create shared object descriptor"
 msgstr "kan ikke oprette delt objektbeskriver"
 
-#: elf/dl-load.c:1029 elf/dl-load.c:1570 elf/dl-load.c:1682
+#: elf/dl-load.c:1028 elf/dl-load.c:1568 elf/dl-load.c:1680
 msgid "cannot read file data"
 msgstr "kan ikke indlæse fildata"
 
-#: elf/dl-load.c:1069
+#: elf/dl-load.c:1068
 msgid "ELF load command alignment not page-aligned"
 msgstr "ELF-indlæsningskommandos tilpasning er ikke tilpasset siden"
 
-#: elf/dl-load.c:1076
+#: elf/dl-load.c:1075
 msgid "ELF load command address/offset not properly aligned"
 msgstr "ELF-indlæsningskommandos adresse/tillæg er ikke tilpasset ordentligt"
 
-#: elf/dl-load.c:1160
+#: elf/dl-load.c:1159
 msgid "cannot allocate TLS data structures for initial thread"
 msgstr "kan ikke oprette TLS-datastrukturer for første tråd"
 
-#: elf/dl-load.c:1183
+#: elf/dl-load.c:1182
 msgid "cannot handle TLS data"
 msgstr "kan ikke behandle TLS-data"
 
-#: elf/dl-load.c:1202
+#: elf/dl-load.c:1201
 msgid "object file has no loadable segments"
 msgstr "objektfil har ingen indlæsbare segmenter"
 
-#: elf/dl-load.c:1211 elf/dl-load.c:1662
+#: elf/dl-load.c:1210 elf/dl-load.c:1660
 msgid "cannot dynamically load executable"
 msgstr "kan ikke indlæse udførbare programmer dynamisk"
 
-#: elf/dl-load.c:1232
+#: elf/dl-load.c:1231
 msgid "object file has no dynamic section"
 msgstr "objektfil har ingen dynamisk sektion"
 
-#: elf/dl-load.c:1255
+#: elf/dl-load.c:1254
 msgid "shared object cannot be dlopen()ed"
 msgstr "delt objekt kan ikke åbnes med dlopen()"
 
-#: elf/dl-load.c:1268
+#: elf/dl-load.c:1267
 msgid "cannot allocate memory for program header"
 msgstr "kan ikke allokere hukommelse til programhoved"
 
-#: elf/dl-load.c:1284 elf/dl-open.c:195
+#: elf/dl-load.c:1283 elf/dl-open.c:195
 msgid "invalid caller"
 msgstr "ugyldig opkalder"
 
-#: elf/dl-load.c:1307 elf/dl-load.h:130
+#: elf/dl-load.c:1306 elf/dl-load.h:130
 msgid "cannot change memory protections"
 msgstr "kan ikke ændre hukommelsesbeskyttelser"
 
-#: elf/dl-load.c:1327
+#: elf/dl-load.c:1326
 msgid "cannot enable executable stack as shared object requires"
 msgstr "kan ikke oprette udførbar stak som kræves af delt objekt"
 
-#: elf/dl-load.c:1340
+#: elf/dl-load.c:1339
 msgid "cannot close file descriptor"
 msgstr "kan ikke lukke filbeskriver"
 
-#: elf/dl-load.c:1570
+#: elf/dl-load.c:1568
 msgid "file too short"
 msgstr "for kort fil"
 
-#: elf/dl-load.c:1605
+#: elf/dl-load.c:1603
 msgid "invalid ELF header"
 msgstr "ugyldigt ELF-hoved"
 
-#: elf/dl-load.c:1617
+#: elf/dl-load.c:1615
 msgid "ELF file data encoding not big-endian"
 msgstr "Kodning for ELF-fildata er ikke \"big-endian\""
 
-#: elf/dl-load.c:1619
+#: elf/dl-load.c:1617
 msgid "ELF file data encoding not little-endian"
 msgstr "Kodning for ELF-fildata er ikke \"little-endian\""
 
-#: elf/dl-load.c:1623
+#: elf/dl-load.c:1621
 msgid "ELF file version ident does not match current one"
 msgstr "ELF-filens version-identitet passer ikke med den aktuelle"
 
-#: elf/dl-load.c:1627
+#: elf/dl-load.c:1625
 msgid "ELF file OS ABI invalid"
 msgstr "ELF-filens OS ABI er ugyldigt"
 
-#: elf/dl-load.c:1630
+#: elf/dl-load.c:1628
 msgid "ELF file ABI version invalid"
 msgstr "ELF-filens ABI-version er ugyldig"
 
-#: elf/dl-load.c:1633
+#: elf/dl-load.c:1631
 msgid "nonzero padding in e_ident"
 msgstr ""
 
-#: elf/dl-load.c:1636
+#: elf/dl-load.c:1634
 msgid "internal error"
 msgstr "intern fejl"
 
-#: elf/dl-load.c:1643
+#: elf/dl-load.c:1641
 msgid "ELF file version does not match current one"
 msgstr "ELF-filens version passer ikke med den aktuelle"
 
-#: elf/dl-load.c:1651
+#: elf/dl-load.c:1649
 msgid "only ET_DYN and ET_EXEC can be loaded"
 msgstr "kun ET_DYN og ET_EXEC kan indlæses"
 
-#: elf/dl-load.c:1667
+#: elf/dl-load.c:1665
 msgid "ELF file's phentsize not the expected size"
 msgstr "ELF-filens 'phentsize' er ikke den forventede størrelse"
 
-#: elf/dl-load.c:2184
+#: elf/dl-load.c:2178
 msgid "wrong ELF class: ELFCLASS64"
 msgstr "forkert ELF-klasse: ELFCLASS64"
 
-#: elf/dl-load.c:2185
+#: elf/dl-load.c:2179
 msgid "wrong ELF class: ELFCLASS32"
 msgstr "forkert ELF-klasse: ELFCLASS32"
 
-#: elf/dl-load.c:2188
+#: elf/dl-load.c:2182
 msgid "cannot open shared object file"
 msgstr "kan ikke åbne delt objektfil"
 
@@ -656,11 +656,11 @@ msgstr "kunne ikke afbilde segment fra delt objekt'"
 msgid "cannot map zero-fill pages"
 msgstr "kan ikke mappe nulstil-sider"
 
-#: elf/dl-lookup.c:791
+#: elf/dl-lookup.c:845
 msgid "relocation error"
 msgstr "fejl ved relokering"
 
-#: elf/dl-lookup.c:818
+#: elf/dl-lookup.c:872
 msgid "symbol lookup error"
 msgstr "fejl ved opslag af symbol"
 
@@ -668,51 +668,40 @@ msgstr "fejl ved opslag af symbol"
 msgid "cannot extend global scope"
 msgstr "kan ikke udvide globalt defineringområde"
 
-#: elf/dl-open.c:520
+#: elf/dl-open.c:528
 msgid "TLS generation counter wrapped!  Please report this."
 msgstr "Generationstæller for TLS tilbagestillet!  Vær sød at indsende fejlrapport."
 
-#: elf/dl-open.c:542
-#, fuzzy
-#| msgid "cannot allocate memory in static TLS block"
-msgid "cannot load any more object with static TLS"
-msgstr "Kan ikke tildele hukommelse i statisk TLS-blok"
-
-#: elf/dl-open.c:599
+#: elf/dl-open.c:592
 msgid "invalid mode for dlopen()"
 msgstr "ugyldig modus for dlopen()"
 
-#: elf/dl-open.c:616
+#: elf/dl-open.c:609
 msgid "no more namespaces available for dlmopen()"
 msgstr "ikke flere navnerum tilgængelige for dlmopen()"
 
-#: elf/dl-open.c:634
+#: elf/dl-open.c:633
 msgid "invalid target namespace in dlmopen()"
 msgstr "ugyldigt mål-navnerum for dlmopen()"
 
-#: elf/dl-reloc.c:120
+#: elf/dl-reloc.c:121
 msgid "cannot allocate memory in static TLS block"
 msgstr "Kan ikke tildele hukommelse i statisk TLS-blok"
 
-#: elf/dl-reloc.c:212
+#: elf/dl-reloc.c:206
 msgid "cannot make segment writable for relocation"
 msgstr "kan ikke gøre segment skrivbart for relokering"
 
-#: elf/dl-reloc.c:275
-#, c-format
-msgid "%s: no PLTREL found in object %s\n"
-msgstr "%s: ingen PLTREL fundet i objekt %s\n"
-
-#: elf/dl-reloc.c:290
+#: elf/dl-reloc.c:276
 #, c-format
 msgid "%s: out of memory to store relocation results for %s\n"
 msgstr "%s: ikke mere hukommelse til at gemme relokeringsresultat for %s\n"
 
-#: elf/dl-reloc.c:306
+#: elf/dl-reloc.c:292
 msgid "cannot restore segment prot after reloc"
 msgstr "kan ikke genskabe segmentbeskyttelse efter flytning"
 
-#: elf/dl-reloc.c:335
+#: elf/dl-reloc.c:323
 msgid "cannot apply additional memory protection after relocation"
 msgstr "kan ikke udføre yderligere hukommelsesbeskyttelser efter flytning"
 
@@ -720,7 +709,7 @@ msgstr "kan ikke udføre yderligere hukommelsesbeskyttelser efter flytning"
 msgid "RTLD_NEXT used in code not dynamically loaded"
 msgstr "RTLD_NEXT brugt i kode er ikke dynamisk indlæst"
 
-#: elf/dl-tls.c:933
+#: elf/dl-tls.c:934
 msgid "cannot create TLS data structures"
 msgstr "kan ikke oprette datastrukturer for TLS"
 
@@ -866,7 +855,7 @@ msgstr "Ingen lænke oprettet da .so-navn ikke kunne findes for %s"
 msgid "Can't open directory %s"
 msgstr "Kan ikke åbne katalog %s"
 
-#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:90
+#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:97
 #, c-format
 msgid "Input file %s not found.\n"
 msgstr "Inddatafilen %s ikke fundet\n"
@@ -997,7 +986,7 @@ msgstr "mangler filargumenter"
 msgid "No such file or directory"
 msgstr "Ingen sådan fil eller filkatalog"
 
-#: elf/ldd.bash.in:150 inet/rcmd.c:488
+#: elf/ldd.bash.in:150 inet/rcmd.c:492
 msgid "not regular file"
 msgstr "ikke en almindelig fil"
 
@@ -1047,72 +1036,78 @@ msgstr "kan ikke læse hoved"
 msgid "cannot read program interpreter"
 msgstr "kan ikke læse arkivhoved"
 
-#: elf/pldd-xx.c:196
+#: elf/pldd-xx.c:197
 #, fuzzy, c-format
 #| msgid "cannot read file data"
 msgid "cannot read link map"
 msgstr "kan ikke indlæse fildata"
 
-#: elf/pldd-xx.c:207
+#: elf/pldd-xx.c:209
 #, fuzzy, c-format
 #| msgid "cannot read header"
 msgid "cannot read object name"
 msgstr "kan ikke læse hoved"
 
-#: elf/pldd.c:63
+#: elf/pldd-xx.c:219
+#, fuzzy, c-format
+#| msgid "cannot allocate memory for program header"
+msgid "cannot allocate buffer for object name"
+msgstr "kan ikke allokere hukommelse til programhoved"
+
+#: elf/pldd.c:64
 msgid "List dynamic shared objects loaded into process."
 msgstr ""
 
-#: elf/pldd.c:67
+#: elf/pldd.c:68
 msgid "PID"
 msgstr ""
 
-#: elf/pldd.c:99
+#: elf/pldd.c:100
 #, c-format
 msgid "Exactly one parameter with process ID required.\n"
 msgstr ""
 
-#: elf/pldd.c:111
+#: elf/pldd.c:112
 #, fuzzy, c-format
 #| msgid "invalid pointer size"
 msgid "invalid process ID '%s'"
 msgstr "ugyldig størrelse for pegere"
 
-#: elf/pldd.c:119
+#: elf/pldd.c:120
 #, fuzzy, c-format
 #| msgid "cannot open `%s'"
 msgid "cannot open %s"
 msgstr "kan ikke åbne '%s'"
 
-#: elf/pldd.c:144
+#: elf/pldd.c:152
 #, fuzzy, c-format
 #| msgid "cannot open `%s'"
 msgid "cannot open %s/task"
 msgstr "kan ikke åbne '%s'"
 
-#: elf/pldd.c:147
+#: elf/pldd.c:155
 #, c-format
 msgid "cannot prepare reading %s/task"
 msgstr ""
 
-#: elf/pldd.c:160
+#: elf/pldd.c:168
 #, fuzzy, c-format
 #| msgid "invalid ELF header"
 msgid "invalid thread ID '%s'"
 msgstr "ugyldigt ELF-hoved"
 
-#: elf/pldd.c:171
+#: elf/pldd.c:179
 #, fuzzy, c-format
 #| msgid "cannot access '%s'"
 msgid "cannot attach to process %lu"
 msgstr "kan ikke få adgang til '%s'"
 
-#: elf/pldd.c:286
+#: elf/pldd.c:294
 #, c-format
 msgid "cannot get information about process %lu"
 msgstr ""
 
-#: elf/pldd.c:299
+#: elf/pldd.c:307
 #, c-format
 msgid "process %lu is no ELF program"
 msgstr ""
@@ -1147,27 +1142,27 @@ msgstr "%s er ikke en delt objektfil (Type: %d).\n"
 msgid "more than one dynamic segment\n"
 msgstr "mere end ét dynamisk segment\n"
 
-#: elf/readlib.c:96
+#: elf/readlib.c:103
 #, c-format
 msgid "Cannot fstat file %s.\n"
 msgstr "Kan ikke fstat() fil %s\n"
 
-#: elf/readlib.c:107
+#: elf/readlib.c:114
 #, c-format
 msgid "File %s is empty, not checked."
 msgstr "Fil %s er tom, ikke afprøvet."
 
-#: elf/readlib.c:113
+#: elf/readlib.c:120
 #, c-format
 msgid "File %s is too small, not checked."
 msgstr "Fil %s er for lille, ikke afprøvet."
 
-#: elf/readlib.c:123
+#: elf/readlib.c:130
 #, c-format
 msgid "Cannot mmap file %s.\n"
 msgstr "Kan ikke mmap fil %s\n"
 
-#: elf/readlib.c:161
+#: elf/readlib.c:169
 #, c-format
 msgid "%s is not an ELF file - it has the wrong magic bytes at the start.\n"
 msgstr "%s er ikke en ELF-fil - den har de forkerte signaturtegn i starten.\n"
@@ -1295,10 +1290,10 @@ msgstr "SHOBJ [PROFDATA]"
 msgid "failed to load shared object `%s'"
 msgstr "kunne ikke indlæse delt objekt '%s'"
 
-#: elf/sprof.c:442
+#: elf/sprof.c:442 elf/sprof.c:825 elf/sprof.c:923
 #, c-format
-msgid "cannot create internal descriptors"
-msgstr "kan ikke oprette interne deskriptorer"
+msgid "cannot create internal descriptor"
+msgstr "kan ikke oprette intern deskriptor"
 
 #: elf/sprof.c:554
 #, c-format
@@ -1365,11 +1360,6 @@ msgstr "kunne ikke mmap'e filen med profileringsdata"
 msgid "error while closing the profiling data file"
 msgstr "fejl ved lukning af datafilen for profilering"
 
-#: elf/sprof.c:825 elf/sprof.c:923
-#, c-format
-msgid "cannot create internal descriptor"
-msgstr "kan ikke oprette intern deskriptor"
-
 #: elf/sprof.c:899
 #, c-format
 msgid "`%s' is no correct profile data file for `%s'"
@@ -1627,27 +1617,27 @@ msgstr "sokkel: protokolfejl i opsætning af forbindelse\n"
 msgid "rcmd: %s: short read"
 msgstr "rcmd: %s: kort indlæsning"
 
-#: inet/rcmd.c:486
+#: inet/rcmd.c:490
 msgid "lstat failed"
 msgstr "lstat fejlede"
 
-#: inet/rcmd.c:493
+#: inet/rcmd.c:497
 msgid "cannot open"
 msgstr "kan ikke åbne"
 
-#: inet/rcmd.c:495
+#: inet/rcmd.c:499
 msgid "fstat failed"
 msgstr "fstat fejlede"
 
-#: inet/rcmd.c:497
+#: inet/rcmd.c:501
 msgid "bad owner"
 msgstr "forkert ejer"
 
-#: inet/rcmd.c:499
+#: inet/rcmd.c:503
 msgid "writeable by other than owner"
 msgstr "skrivbar af andre end ejer"
 
-#: inet/rcmd.c:501
+#: inet/rcmd.c:505
 msgid "hard linked somewhere"
 msgstr "hårdlænket et eller andet sted"
 
@@ -1767,8 +1757,8 @@ msgid "no symbolic name given for end of range"
 msgstr "ikke noget symbolsk navn givet for slutningen på området"
 
 #: locale/programs/charmap.c:610 locale/programs/ld-address.c:528
-#: locale/programs/ld-collate.c:2626 locale/programs/ld-collate.c:3784
-#: locale/programs/ld-ctype.c:2162 locale/programs/ld-ctype.c:2913
+#: locale/programs/ld-collate.c:2635 locale/programs/ld-collate.c:3793
+#: locale/programs/ld-ctype.c:2128 locale/programs/ld-ctype.c:2840
 #: locale/programs/ld-identification.c:368
 #: locale/programs/ld-measurement.c:215 locale/programs/ld-messages.c:298
 #: locale/programs/ld-monetary.c:740 locale/programs/ld-name.c:264
@@ -1794,8 +1784,8 @@ msgid "%s: error in state machine"
 msgstr "%s: fejl i tilstandsmaskinen"
 
 #: locale/programs/charmap.c:850 locale/programs/ld-address.c:544
-#: locale/programs/ld-collate.c:2623 locale/programs/ld-collate.c:3977
-#: locale/programs/ld-ctype.c:2159 locale/programs/ld-ctype.c:2930
+#: locale/programs/ld-collate.c:2632 locale/programs/ld-collate.c:3986
+#: locale/programs/ld-ctype.c:2125 locale/programs/ld-ctype.c:2857
 #: locale/programs/ld-identification.c:384
 #: locale/programs/ld-measurement.c:231 locale/programs/ld-messages.c:314
 #: locale/programs/ld-monetary.c:756 locale/programs/ld-name.c:280
@@ -1818,7 +1808,7 @@ msgstr ""
 "antal byte for bytesekvens angivet i begyndelsen respektive slutningen af intervallet\n"
 "er forskellige: %d respektive %d"
 
-#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2903
+#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2912
 #: locale/programs/repertoire.c:419
 msgid "invalid names for character range"
 msgstr "ugyldige navne for tegnområde"
@@ -1840,8 +1830,8 @@ msgstr "øvre grænse i område er mindre end nedre grænse"
 msgid "resulting bytes for range not representable."
 msgstr "de resulterende bytes for området kan ikke repræsenteres."
 
-#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1565
-#: locale/programs/ld-ctype.c:465 locale/programs/ld-identification.c:133
+#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1566
+#: locale/programs/ld-ctype.c:431 locale/programs/ld-identification.c:133
 #: locale/programs/ld-measurement.c:94 locale/programs/ld-messages.c:97
 #: locale/programs/ld-monetary.c:193 locale/programs/ld-name.c:94
 #: locale/programs/ld-numeric.c:98 locale/programs/ld-paper.c:91
@@ -1905,7 +1895,7 @@ msgid "%s: numeric country code `%d' not valid"
 msgstr "%s: numerisk landekode '%d' er ugyldig"
 
 #: locale/programs/ld-address.c:436 locale/programs/ld-address.c:473
-#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2537
+#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2489
 #: locale/programs/ld-identification.c:280
 #: locale/programs/ld-measurement.c:198 locale/programs/ld-messages.c:267
 #: locale/programs/ld-monetary.c:495 locale/programs/ld-monetary.c:530
@@ -1927,8 +1917,8 @@ msgstr "%s: felt '%s' erklæret mere end én gang"
 msgid "%s: unknown character in field `%s'"
 msgstr "%s: ukendt tegn i felt '%s'"
 
-#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3782
-#: locale/programs/ld-ctype.c:2910 locale/programs/ld-identification.c:365
+#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3791
+#: locale/programs/ld-ctype.c:2837 locale/programs/ld-identification.c:365
 #: locale/programs/ld-measurement.c:212 locale/programs/ld-messages.c:296
 #: locale/programs/ld-monetary.c:738 locale/programs/ld-name.c:262
 #: locale/programs/ld-numeric.c:324 locale/programs/ld-paper.c:212
@@ -1937,12 +1927,12 @@ msgstr "%s: ukendt tegn i felt '%s'"
 msgid "%s: incomplete `END' line"
 msgstr "%s: ufuldstændig 'END'-linje"
 
-#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:551
-#: locale/programs/ld-collate.c:603 locale/programs/ld-collate.c:899
-#: locale/programs/ld-collate.c:912 locale/programs/ld-collate.c:2592
-#: locale/programs/ld-collate.c:2613 locale/programs/ld-collate.c:3967
-#: locale/programs/ld-ctype.c:1891 locale/programs/ld-ctype.c:2149
-#: locale/programs/ld-ctype.c:2735 locale/programs/ld-ctype.c:2921
+#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:552
+#: locale/programs/ld-collate.c:604 locale/programs/ld-collate.c:900
+#: locale/programs/ld-collate.c:913 locale/programs/ld-collate.c:2601
+#: locale/programs/ld-collate.c:2622 locale/programs/ld-collate.c:3976
+#: locale/programs/ld-ctype.c:1857 locale/programs/ld-ctype.c:2115
+#: locale/programs/ld-ctype.c:2687 locale/programs/ld-ctype.c:2848
 #: locale/programs/ld-identification.c:375
 #: locale/programs/ld-measurement.c:222 locale/programs/ld-messages.c:305
 #: locale/programs/ld-monetary.c:747 locale/programs/ld-name.c:271
@@ -1952,477 +1942,477 @@ msgstr "%s: ufuldstændig 'END'-linje"
 msgid "%s: syntax error"
 msgstr "%s: syntaksfejl"
 
-#: locale/programs/ld-collate.c:426
+#: locale/programs/ld-collate.c:427
 #, c-format
 msgid "`%.*s' already defined in charmap"
 msgstr "'%.*s' allerede defineret i tegntabel"
 
-#: locale/programs/ld-collate.c:435
+#: locale/programs/ld-collate.c:436
 #, c-format
 msgid "`%.*s' already defined in repertoire"
 msgstr "'%.*s' allerede defineret i repertoire"
 
-#: locale/programs/ld-collate.c:442
+#: locale/programs/ld-collate.c:443
 #, c-format
 msgid "`%.*s' already defined as collating symbol"
 msgstr "'%.*s' allerede defineret som sammenligningssymbol"
 
-#: locale/programs/ld-collate.c:449
+#: locale/programs/ld-collate.c:450
 #, c-format
 msgid "`%.*s' already defined as collating element"
 msgstr "'%.*s' allerede defineret som sammenligningselement"
 
-#: locale/programs/ld-collate.c:480 locale/programs/ld-collate.c:506
+#: locale/programs/ld-collate.c:481 locale/programs/ld-collate.c:507
 #, c-format
 msgid "%s: `forward' and `backward' are mutually excluding each other"
 msgstr "%s: sorteringsrækkefølgen 'forward' og 'backward' udelukker hinanden"
 
-#: locale/programs/ld-collate.c:490 locale/programs/ld-collate.c:516
-#: locale/programs/ld-collate.c:532
+#: locale/programs/ld-collate.c:491 locale/programs/ld-collate.c:517
+#: locale/programs/ld-collate.c:533
 #, c-format
 msgid "%s: `%s' mentioned more than once in definition of weight %d"
 msgstr "%s: '%s' nævnt mere end én gang i definitionen af vægt %d"
 
-#: locale/programs/ld-collate.c:588
+#: locale/programs/ld-collate.c:589
 #, c-format
 msgid "%s: too many rules; first entry only had %d"
 msgstr "%s: for mange regler; første indgang havde kun %d"
 
-#: locale/programs/ld-collate.c:624
+#: locale/programs/ld-collate.c:625
 #, c-format
 msgid "%s: not enough sorting rules"
 msgstr "%s: ikke nok sorteringsregler"
 
-#: locale/programs/ld-collate.c:789
+#: locale/programs/ld-collate.c:790
 #, c-format
 msgid "%s: empty weight string not allowed"
 msgstr "%s: tom vægt-streng ikke tilladt"
 
-#: locale/programs/ld-collate.c:884
+#: locale/programs/ld-collate.c:885
 #, c-format
 msgid "%s: weights must use the same ellipsis symbol as the name"
 msgstr "%s: vægte skal bruge det samme ellipse-symbol som navnet"
 
-#: locale/programs/ld-collate.c:940
+#: locale/programs/ld-collate.c:941
 #, c-format
 msgid "%s: too many values"
 msgstr "%s: For mange værdier"
 
-#: locale/programs/ld-collate.c:1060 locale/programs/ld-collate.c:1235
+#: locale/programs/ld-collate.c:1061 locale/programs/ld-collate.c:1236
 #, c-format
 msgid "order for `%.*s' already defined at %s:%Zu"
 msgstr "sorteringsorden for '%.*s' allerede defineret ved %s:%Zu"
 
-#: locale/programs/ld-collate.c:1110
+#: locale/programs/ld-collate.c:1111
 #, c-format
 msgid "%s: the start and the end symbol of a range must stand for characters"
 msgstr "%s: start- og slut-symbolet for et interval skal stå for tegn"
 
-#: locale/programs/ld-collate.c:1137
+#: locale/programs/ld-collate.c:1138
 #, c-format
 msgid "%s: byte sequences of first and last character must have the same length"
 msgstr "%s: bytesekvensen for første og sidste tegn skal have samme længde"
 
-#: locale/programs/ld-collate.c:1179
+#: locale/programs/ld-collate.c:1180
 #, c-format
 msgid "%s: byte sequence of first character of range is not lower than that of the last character"
 msgstr "%s: bytesekvensen af det første tegn i området er ikke mindre end sekvensen for det sidste tegn"
 
-#: locale/programs/ld-collate.c:1304
+#: locale/programs/ld-collate.c:1305
 #, c-format
 msgid "%s: symbolic range ellipsis must not directly follow `order_start'"
 msgstr "%s: symbolsk interval-ellipse må ikke komme umiddelbart efter 'order_start'"
 
-#: locale/programs/ld-collate.c:1308
+#: locale/programs/ld-collate.c:1309
 #, c-format
 msgid "%s: symbolic range ellipsis must not be directly followed by `order_end'"
 msgstr "%s: symbolsk interval-ellipse må ikke være fulgt umiddelbart af 'order_end'"
 
-#: locale/programs/ld-collate.c:1328 locale/programs/ld-ctype.c:1408
+#: locale/programs/ld-collate.c:1329 locale/programs/ld-ctype.c:1374
 #, c-format
 msgid "`%s' and `%.*s' are not valid names for symbolic range"
 msgstr "'%s' og '%.*s' er ikke gyldige navne for symbolsk område"
 
-#: locale/programs/ld-collate.c:1378 locale/programs/ld-collate.c:3718
+#: locale/programs/ld-collate.c:1379 locale/programs/ld-collate.c:3727
 #, c-format
 msgid "%s: order for `%.*s' already defined at %s:%Zu"
 msgstr "%s: rækkefølge for '%.*s' allerede defineret ved %s:%Zu"
 
-#: locale/programs/ld-collate.c:1387
+#: locale/programs/ld-collate.c:1388
 #, c-format
 msgid "%s: `%s' must be a character"
 msgstr "%s: '%s' skal være et tegn"
 
-#: locale/programs/ld-collate.c:1582
+#: locale/programs/ld-collate.c:1583
 #, c-format
 msgid "%s: `position' must be used for a specific level in all sections or none"
 msgstr "%s: 'position' skal bruges på det samme niveau i alle sektioner, ellers ingen"
 
-#: locale/programs/ld-collate.c:1607
+#: locale/programs/ld-collate.c:1608
 #, c-format
 msgid "symbol `%s' not defined"
 msgstr "symbol '%s' ikke defineret"
 
-#: locale/programs/ld-collate.c:1683 locale/programs/ld-collate.c:1789
+#: locale/programs/ld-collate.c:1684 locale/programs/ld-collate.c:1790
 #, c-format
 msgid "symbol `%s' has the same encoding as"
 msgstr "symbol '%s' har den samme kodning som"
 
-#: locale/programs/ld-collate.c:1687 locale/programs/ld-collate.c:1793
+#: locale/programs/ld-collate.c:1688 locale/programs/ld-collate.c:1794
 #, c-format
 msgid "symbol `%s'"
 msgstr "symbol '%s'"
 
-#: locale/programs/ld-collate.c:1833
+#: locale/programs/ld-collate.c:1834
 #, c-format
 msgid "no definition of `UNDEFINED'"
 msgstr "ingen definition af 'UNDEFINED'"
 
-#: locale/programs/ld-collate.c:1862
+#: locale/programs/ld-collate.c:1863
 #, c-format
 msgid "too many errors; giving up"
 msgstr "for mange fejl, giver op"
 
-#: locale/programs/ld-collate.c:2518 locale/programs/ld-collate.c:3906
+#: locale/programs/ld-collate.c:2527 locale/programs/ld-collate.c:3915
 #, c-format
 msgid "%s: nested conditionals not supported"
 msgstr "%s betingelser i niveauer er ikke understøttet"
 
-#: locale/programs/ld-collate.c:2536
+#: locale/programs/ld-collate.c:2545
 #, fuzzy, c-format
 #| msgid "%s: more then one 'else'"
 msgid "%s: more than one 'else'"
 msgstr "%s: Mere end ét 'else'"
 
-#: locale/programs/ld-collate.c:2711
+#: locale/programs/ld-collate.c:2720
 #, c-format
 msgid "%s: duplicate definition of `%s'"
 msgstr "%s: duplikér definition af '%s'"
 
-#: locale/programs/ld-collate.c:2747
+#: locale/programs/ld-collate.c:2756
 #, c-format
 msgid "%s: duplicate declaration of section `%s'"
 msgstr "%s: duplikér definition af sektion '%s'"
 
-#: locale/programs/ld-collate.c:2883
+#: locale/programs/ld-collate.c:2892
 #, c-format
 msgid "%s: unknown character in collating symbol name"
 msgstr "%s: ukendt tegn i sammenligningsymbolnavn"
 
-#: locale/programs/ld-collate.c:3012
+#: locale/programs/ld-collate.c:3021
 #, c-format
 msgid "%s: unknown character in equivalent definition name"
 msgstr "%s: ukendt tegn i ækvivalens-definitions-navn"
 
-#: locale/programs/ld-collate.c:3023
+#: locale/programs/ld-collate.c:3032
 #, c-format
 msgid "%s: unknown character in equivalent definition value"
 msgstr "%s: ukendt tegn i ækvivalens-definitions-værdi"
 
-#: locale/programs/ld-collate.c:3033
+#: locale/programs/ld-collate.c:3042
 #, c-format
 msgid "%s: unknown symbol `%s' in equivalent definition"
 msgstr "%s: ukendt symbol '%s' i ækvivalens-definition"
 
-#: locale/programs/ld-collate.c:3042
+#: locale/programs/ld-collate.c:3051
 msgid "error while adding equivalent collating symbol"
 msgstr "fejl under indsætning af ækvivalens-sammenligningssymbol"
 
-#: locale/programs/ld-collate.c:3080
+#: locale/programs/ld-collate.c:3089
 #, c-format
 msgid "duplicate definition of script `%s'"
 msgstr "duplikér definition af skript '%s'"
 
-#: locale/programs/ld-collate.c:3128
+#: locale/programs/ld-collate.c:3137
 #, c-format
 msgid "%s: unknown section name `%.*s'"
 msgstr "%s: ukendt sektionsnavn '%.*s'"
 
-#: locale/programs/ld-collate.c:3157
+#: locale/programs/ld-collate.c:3166
 #, c-format
 msgid "%s: multiple order definitions for section `%s'"
 msgstr "%s: flere definitioner af orden for sektion '%s'"
 
-#: locale/programs/ld-collate.c:3185
+#: locale/programs/ld-collate.c:3194
 #, c-format
 msgid "%s: invalid number of sorting rules"
 msgstr "%s: ugyldigt antal sorteringsregler"
 
-#: locale/programs/ld-collate.c:3212
+#: locale/programs/ld-collate.c:3221
 #, c-format
 msgid "%s: multiple order definitions for unnamed section"
 msgstr "%s: flere definitioner af orden for unavngiven sektion"
 
-#: locale/programs/ld-collate.c:3267 locale/programs/ld-collate.c:3397
-#: locale/programs/ld-collate.c:3760
+#: locale/programs/ld-collate.c:3276 locale/programs/ld-collate.c:3406
+#: locale/programs/ld-collate.c:3769
 #, c-format
 msgid "%s: missing `order_end' keyword"
 msgstr "%s: manglende 'order_end' nøgleord"
 
-#: locale/programs/ld-collate.c:3330
+#: locale/programs/ld-collate.c:3339
 #, c-format
 msgid "%s: order for collating symbol %.*s not yet defined"
 msgstr "%s: rækkefølge for sammenligningssymbol '%.*s' endnu ikke defineret"
 
-#: locale/programs/ld-collate.c:3348
+#: locale/programs/ld-collate.c:3357
 #, c-format
 msgid "%s: order for collating element %.*s not yet defined"
 msgstr "%s: rækkefølge for sammenligningselement '%.*s' endnu ikke defineret"
 
-#: locale/programs/ld-collate.c:3359
+#: locale/programs/ld-collate.c:3368
 #, c-format
 msgid "%s: cannot reorder after %.*s: symbol not known"
 msgstr "%s: kan ikke ordne efter %.*s: symbol ikke kendt"
 
-#: locale/programs/ld-collate.c:3411 locale/programs/ld-collate.c:3772
+#: locale/programs/ld-collate.c:3420 locale/programs/ld-collate.c:3781
 #, c-format
 msgid "%s: missing `reorder-end' keyword"
 msgstr "%s: manglende 'reorder-end' nøgleord"
 
-#: locale/programs/ld-collate.c:3445 locale/programs/ld-collate.c:3643
+#: locale/programs/ld-collate.c:3454 locale/programs/ld-collate.c:3652
 #, c-format
 msgid "%s: section `%.*s' not known"
 msgstr "%s: sektion '%.*s' ukendt"
 
-#: locale/programs/ld-collate.c:3510
+#: locale/programs/ld-collate.c:3519
 #, c-format
 msgid "%s: bad symbol <%.*s>"
 msgstr "%s: dårligt symbol: <%.*s>"
 
-#: locale/programs/ld-collate.c:3706
+#: locale/programs/ld-collate.c:3715
 #, c-format
 msgid "%s: cannot have `%s' as end of ellipsis range"
 msgstr "%s: kan ikke have '%s' som slutning på ellipse-interval"
 
-#: locale/programs/ld-collate.c:3756
+#: locale/programs/ld-collate.c:3765
 #, c-format
 msgid "%s: empty category description not allowed"
 msgstr "%s: tom kategori-beskrivelse ikke tilladt"
 
-#: locale/programs/ld-collate.c:3775
+#: locale/programs/ld-collate.c:3784
 #, c-format
 msgid "%s: missing `reorder-sections-end' keyword"
 msgstr "%s: manglende 'reorder-sections-end' nøgleord"
 
-#: locale/programs/ld-collate.c:3939
+#: locale/programs/ld-collate.c:3948
 #, c-format
 msgid "%s: '%s' without matching 'ifdef' or 'ifndef'"
 msgstr "%s: \"%s\" uden tilsvarende \"ifdef\" eller \"ifndef\""
 
-#: locale/programs/ld-collate.c:3957
+#: locale/programs/ld-collate.c:3966
 #, c-format
 msgid "%s: 'endif' without matching 'ifdef' or 'ifndef'"
 msgstr "%s: \"endif\" uden tilsvarende \"ifdef\" eller \"ifndef\""
 
-#: locale/programs/ld-ctype.c:484
+#: locale/programs/ld-ctype.c:450
 #, c-format
 msgid "No character set name specified in charmap"
 msgstr "Intet tegnsætsnavn angivet i tegntabel"
 
-#: locale/programs/ld-ctype.c:513
+#: locale/programs/ld-ctype.c:479
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must be in class `%s'"
 msgstr "tegnet L'\\u%0*x' i klassen '%s' skal være i klassen '%s'"
 
-#: locale/programs/ld-ctype.c:528
+#: locale/programs/ld-ctype.c:494
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must not be in class `%s'"
 msgstr "tegnet L'\\u%0*x' i klassen '%s' kan ikke være i klassen '%s'"
 
-#: locale/programs/ld-ctype.c:542 locale/programs/ld-ctype.c:600
+#: locale/programs/ld-ctype.c:508 locale/programs/ld-ctype.c:566
 #, c-format
 msgid "internal error in %s, line %u"
 msgstr "intern fejl i %s, linje %u"
 
-#: locale/programs/ld-ctype.c:571
+#: locale/programs/ld-ctype.c:537
 #, c-format
 msgid "character '%s' in class `%s' must be in class `%s'"
 msgstr "tegnet '%s' i klassen '%s' skal være i klassen '%s'"
 
-#: locale/programs/ld-ctype.c:587
+#: locale/programs/ld-ctype.c:553
 #, c-format
 msgid "character '%s' in class `%s' must not be in class `%s'"
 msgstr "tegnet '%s' i klassen '%s' må ikke være i klassen '%s'"
 
-#: locale/programs/ld-ctype.c:617 locale/programs/ld-ctype.c:655
+#: locale/programs/ld-ctype.c:583 locale/programs/ld-ctype.c:621
 #, c-format
 msgid "<SP> character not in class `%s'"
 msgstr "tegnet <SP> er ikke i klassen '%s'"
 
-#: locale/programs/ld-ctype.c:629 locale/programs/ld-ctype.c:666
+#: locale/programs/ld-ctype.c:595 locale/programs/ld-ctype.c:632
 #, c-format
 msgid "<SP> character must not be in class `%s'"
 msgstr "tegnet <SP> må ikke være i klassen '%s'"
 
-#: locale/programs/ld-ctype.c:644
+#: locale/programs/ld-ctype.c:610
 #, c-format
 msgid "character <SP> not defined in character map"
 msgstr "tegnet <SP> ikke defineret i tegntabellen"
 
-#: locale/programs/ld-ctype.c:780
+#: locale/programs/ld-ctype.c:746
 #, c-format
 msgid "`digit' category has not entries in groups of ten"
 msgstr "'digit' kategori har ikke elementer i grupper af ti"
 
-#: locale/programs/ld-ctype.c:829
+#: locale/programs/ld-ctype.c:795
 #, c-format
 msgid "no input digits defined and none of the standard names in the charmap"
 msgstr "ingen inddata-cifre defineret, og ingen af standardnavnene i tegntabellen"
 
-#: locale/programs/ld-ctype.c:894
+#: locale/programs/ld-ctype.c:860
 #, c-format
 msgid "not all characters used in `outdigit' are available in the charmap"
 msgstr "ikke alle tegn brugt i 'outdigit' er tilstede i tegntabellen"
 
-#: locale/programs/ld-ctype.c:911
+#: locale/programs/ld-ctype.c:877
 #, c-format
 msgid "not all characters used in `outdigit' are available in the repertoire"
 msgstr "ikke alle tegn brugt i 'outdigit' er tilstede i repertoiret"
 
-#: locale/programs/ld-ctype.c:1176
+#: locale/programs/ld-ctype.c:1142
 #, c-format
 msgid "character class `%s' already defined"
 msgstr "tegnklassen '%s' allerede defineret"
 
-#: locale/programs/ld-ctype.c:1182
+#: locale/programs/ld-ctype.c:1148
 #, c-format
 msgid "implementation limit: no more than %Zd character classes allowed"
 msgstr "implementationsbegrænsning: ikke flere end %Zd tegnklasser er tilladt"
 
-#: locale/programs/ld-ctype.c:1208
+#: locale/programs/ld-ctype.c:1174
 #, c-format
 msgid "character map `%s' already defined"
 msgstr "tegntabellen '%s' allerede defineret"
 
-#: locale/programs/ld-ctype.c:1214
+#: locale/programs/ld-ctype.c:1180
 #, c-format
 msgid "implementation limit: no more than %d character maps allowed"
 msgstr "implementationsbegrænsning: ikke flere end %d tegntabeller tilladt"
 
-#: locale/programs/ld-ctype.c:1479 locale/programs/ld-ctype.c:1604
-#: locale/programs/ld-ctype.c:1710 locale/programs/ld-ctype.c:2400
-#: locale/programs/ld-ctype.c:3397
+#: locale/programs/ld-ctype.c:1445 locale/programs/ld-ctype.c:1570
+#: locale/programs/ld-ctype.c:1676 locale/programs/ld-ctype.c:2352
+#: locale/programs/ld-ctype.c:3324
 #, c-format
 msgid "%s: field `%s' does not contain exactly ten entries"
 msgstr "%s: felt '%s' indeholder ikke præcis 10 elementer"
 
-#: locale/programs/ld-ctype.c:1507 locale/programs/ld-ctype.c:2081
+#: locale/programs/ld-ctype.c:1473 locale/programs/ld-ctype.c:2047
 #, c-format
 msgid "to-value <U%0*X> of range is smaller than from-value <U%0*X>"
 msgstr "'to'-værdi <U%0*X> i intervallet er mindre end 'from'-værdi <U%0*X>"
 
-#: locale/programs/ld-ctype.c:1634
+#: locale/programs/ld-ctype.c:1600
 msgid "start and end character sequence of range must have the same length"
 msgstr "start og slut tegnsekvens for områder skal have samme længde"
 
-#: locale/programs/ld-ctype.c:1641
+#: locale/programs/ld-ctype.c:1607
 msgid "to-value character sequence is smaller than from-value sequence"
 msgstr "'to'-værdi tegnfølgen er mindre end 'from'-værdi tegnfølgen"
 
-#: locale/programs/ld-ctype.c:2001 locale/programs/ld-ctype.c:2052
+#: locale/programs/ld-ctype.c:1967 locale/programs/ld-ctype.c:2018
 msgid "premature end of `translit_ignore' definition"
 msgstr "For tidlig afslutning på 'translit_ignore' definition"
 
-#: locale/programs/ld-ctype.c:2007 locale/programs/ld-ctype.c:2058
-#: locale/programs/ld-ctype.c:2100
+#: locale/programs/ld-ctype.c:1973 locale/programs/ld-ctype.c:2024
+#: locale/programs/ld-ctype.c:2066
 msgid "syntax error"
 msgstr "syntaksfejl"
 
-#: locale/programs/ld-ctype.c:2233
+#: locale/programs/ld-ctype.c:2199
 #, c-format
 msgid "%s: syntax error in definition of new character class"
 msgstr "%s: syntaksfejl i definition af ny tegnklasse"
 
-#: locale/programs/ld-ctype.c:2248
+#: locale/programs/ld-ctype.c:2214
 #, c-format
 msgid "%s: syntax error in definition of new character map"
 msgstr "%s: syntaksfejl i definition af ny tegntabel"
 
-#: locale/programs/ld-ctype.c:2422
+#: locale/programs/ld-ctype.c:2374
 msgid "ellipsis range must be marked by two operands of same type"
 msgstr "ellipse-områder skal angives ved to operander af samme type"
 
-#: locale/programs/ld-ctype.c:2431
+#: locale/programs/ld-ctype.c:2383
 msgid "with symbolic name range values the absolute ellipsis `...' must not be used"
 msgstr "ved symbolske interval-værdier må den absolutte ellipse '...' ikke bruges"
 
-#: locale/programs/ld-ctype.c:2446
+#: locale/programs/ld-ctype.c:2398
 msgid "with UCS range values one must use the hexadecimal symbolic ellipsis `..'"
 msgstr "ved UCS-interval-værdier skal man bruge heksadecimal symbolsk ellipse"
 
-#: locale/programs/ld-ctype.c:2460
+#: locale/programs/ld-ctype.c:2412
 msgid "with character code range values one must use the absolute ellipsis `...'"
 msgstr "ved tegnkode interval-værdier skal man bruge absolut ellipse '...'"
 
-#: locale/programs/ld-ctype.c:2611
+#: locale/programs/ld-ctype.c:2563
 #, c-format
 msgid "duplicated definition for mapping `%s'"
 msgstr "duplikeret definition af afbildning '%s'"
 
-#: locale/programs/ld-ctype.c:2697 locale/programs/ld-ctype.c:2841
+#: locale/programs/ld-ctype.c:2649 locale/programs/ld-ctype.c:2793
 #, c-format
 msgid "%s: `translit_start' section does not end with `translit_end'"
 msgstr "%s: 'translit_start'-sektionen slutter ikke med 'translit_end'"
 
-#: locale/programs/ld-ctype.c:2792
+#: locale/programs/ld-ctype.c:2744
 #, c-format
 msgid "%s: duplicate `default_missing' definition"
 msgstr "%s: duplikér definition af 'default_missing'"
 
-#: locale/programs/ld-ctype.c:2797
+#: locale/programs/ld-ctype.c:2749
 msgid "previous definition was here"
 msgstr "den foregående definition var her"
 
-#: locale/programs/ld-ctype.c:2819
+#: locale/programs/ld-ctype.c:2771
 #, c-format
 msgid "%s: no representable `default_missing' definition found"
 msgstr "%s: ingen repræsenterbar 'default_missing' definition fundet"
 
-#: locale/programs/ld-ctype.c:2962 locale/programs/ld-ctype.c:3059
-#: locale/programs/ld-ctype.c:3079 locale/programs/ld-ctype.c:3100
-#: locale/programs/ld-ctype.c:3121 locale/programs/ld-ctype.c:3142
-#: locale/programs/ld-ctype.c:3163 locale/programs/ld-ctype.c:3203
-#: locale/programs/ld-ctype.c:3224 locale/programs/ld-ctype.c:3289
-#: locale/programs/ld-ctype.c:3331 locale/programs/ld-ctype.c:3356
+#: locale/programs/ld-ctype.c:2889 locale/programs/ld-ctype.c:2986
+#: locale/programs/ld-ctype.c:3006 locale/programs/ld-ctype.c:3027
+#: locale/programs/ld-ctype.c:3048 locale/programs/ld-ctype.c:3069
+#: locale/programs/ld-ctype.c:3090 locale/programs/ld-ctype.c:3130
+#: locale/programs/ld-ctype.c:3151 locale/programs/ld-ctype.c:3216
+#: locale/programs/ld-ctype.c:3258 locale/programs/ld-ctype.c:3283
 #, c-format
 msgid "%s: character `%s' not defined while needed as default value"
 msgstr "%s: tegnet '%s' ikke defineret, men behøves som standardværdi"
 
-#: locale/programs/ld-ctype.c:2967 locale/programs/ld-ctype.c:3064
-#: locale/programs/ld-ctype.c:3084 locale/programs/ld-ctype.c:3105
-#: locale/programs/ld-ctype.c:3126 locale/programs/ld-ctype.c:3147
-#: locale/programs/ld-ctype.c:3168 locale/programs/ld-ctype.c:3208
-#: locale/programs/ld-ctype.c:3229 locale/programs/ld-ctype.c:3294
+#: locale/programs/ld-ctype.c:2894 locale/programs/ld-ctype.c:2991
+#: locale/programs/ld-ctype.c:3011 locale/programs/ld-ctype.c:3032
+#: locale/programs/ld-ctype.c:3053 locale/programs/ld-ctype.c:3074
+#: locale/programs/ld-ctype.c:3095 locale/programs/ld-ctype.c:3135
+#: locale/programs/ld-ctype.c:3156 locale/programs/ld-ctype.c:3221
 #, c-format
 msgid "%s: character `%s' in charmap not representable with one byte"
 msgstr "%s: tegnet '%s' i tegntabel ikke repræsenterbar med én byte"
 
-#: locale/programs/ld-ctype.c:3338 locale/programs/ld-ctype.c:3363
+#: locale/programs/ld-ctype.c:3265 locale/programs/ld-ctype.c:3290
 #, c-format
 msgid "%s: character `%s' needed as default value not representable with one byte"
 msgstr "%s: Tegnet '%s' brugt som standardværdi er ikke repræsenterbar med én byte"
 
-#: locale/programs/ld-ctype.c:3419
+#: locale/programs/ld-ctype.c:3346
 #, c-format
 msgid "no output digits defined and none of the standard names in the charmap"
 msgstr "ingen uddata-cifre defineret, og ingen af standardnavnene i tegntabellen"
 
-#: locale/programs/ld-ctype.c:3668
+#: locale/programs/ld-ctype.c:3595
 #, c-format
 msgid "%s: transliteration data from locale `%s' not available"
 msgstr "%s: transliterationsdata fra lokale '%s' ikke tilgængelige"
 
-#: locale/programs/ld-ctype.c:3768
+#: locale/programs/ld-ctype.c:3695
 #, c-format
 msgid "%s: table for class \"%s\": %lu bytes\n"
 msgstr "%s: tabel for class \"%s\": %lu byte\n"
 
-#: locale/programs/ld-ctype.c:3833
+#: locale/programs/ld-ctype.c:3760
 #, c-format
 msgid "%s: table for map \"%s\": %lu bytes\n"
 msgstr "%s: tabel for map \"%s\": %lu byte\n"
 
-#: locale/programs/ld-ctype.c:3958
+#: locale/programs/ld-ctype.c:3885
 #, c-format
 msgid "%s: table for width: %lu bytes\n"
 msgstr "%s: tabel for width: %lu byte\n"
@@ -3859,17 +3849,23 @@ msgstr "tilføj ny post \"%s\" af typen %s for %s til cache%s"
 msgid " (first)"
 msgstr " (første)"
 
-#: nscd/cache.c:285 nscd/connections.c:1000
+#: nscd/cache.c:288
+#, fuzzy, c-format
+#| msgid "cannot open database file `%s': %s"
+msgid "checking for monitored file `%s': %s"
+msgstr "kan ikke åbne databasefil '%s': %s"
+
+#: nscd/cache.c:298
 #, c-format
-msgid "cannot stat() file `%s': %s"
-msgstr "kan ikke udføre stat() på fil '%s': %s"
+msgid "monitored file `%s` changed (mtime)"
+msgstr ""
 
-#: nscd/cache.c:331
+#: nscd/cache.c:341
 #, c-format
 msgid "pruning %s cache; time %ld"
 msgstr "formindsker %s cache; tid %ld"
 
-#: nscd/cache.c:360
+#: nscd/cache.c:370
 #, c-format
 msgid "considering %s entry \"%s\", timeout %<PRIu64>"
 msgstr "overvejer %s-post \"%s\", tidsgrænse %<PRIu64>"
@@ -3955,154 +3951,217 @@ msgstr "kan ikke få sokkel til at lukke ved programstart: %s"
 msgid "cannot enable socket to accept connections: %s"
 msgstr "kan ikke få sokkel til at acceptere forbindelser: %s"
 
-#: nscd/connections.c:984
+#: nscd/connections.c:973
+#, c-format
+msgid "disabled inotify-based monitoring for file `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:977
+#, c-format
+msgid "monitoring file `%s` (%d)"
+msgstr ""
+
+#: nscd/connections.c:990
+#, c-format
+msgid "disabled inotify-based monitoring for directory `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:994
+#, fuzzy, c-format
+#| msgid "Can't open directory %s"
+msgid "monitoring directory `%s` (%d)"
+msgstr "Kan ikke åbne katalog %s"
+
+#: nscd/connections.c:1022
 #, fuzzy, c-format
 #| msgid "no more memory for database '%s'"
-msgid "register trace file %s for database %s"
+msgid "monitoring file %s for database %s"
 msgstr "Ikke mere hukommelse for database '%s'"
 
-#: nscd/connections.c:1114
+#: nscd/connections.c:1032
+#, c-format
+msgid "stat failed for file `%s'; will try again later: %s"
+msgstr ""
+
+#: nscd/connections.c:1151
 #, c-format
 msgid "provide access to FD %d, for %s"
 msgstr "giv adgang til FD %d, for %s"
 
-#: nscd/connections.c:1126
+#: nscd/connections.c:1163
 #, c-format
 msgid "cannot handle old request version %d; current version is %d"
 msgstr "kan ikke håndtere gammel forespørgsel af version %d. Nuværende version er %d"
 
-#: nscd/connections.c:1148
+#: nscd/connections.c:1185
 #, c-format
 msgid "request from %ld not handled due to missing permission"
 msgstr "forespørgsel fra %ld ikke behandlet da rettigheder mangler"
 
-#: nscd/connections.c:1153
+#: nscd/connections.c:1190
 #, c-format
 msgid "request from '%s' [%ld] not handled due to missing permission"
 msgstr "forespørgsel fra \"%s\" [%ld] ikke behandlet da rettigheder mangler"
 
-#: nscd/connections.c:1158
+#: nscd/connections.c:1195
 msgid "request not handled due to missing permission"
 msgstr "forespørgsel ikke behandlet da rettigheder mangler"
 
-#: nscd/connections.c:1196 nscd/connections.c:1249
+#: nscd/connections.c:1233 nscd/connections.c:1286
 #, c-format
 msgid "cannot write result: %s"
 msgstr "kan ikke udskrive resultat: '%s'"
 
-#: nscd/connections.c:1340
+#: nscd/connections.c:1377
 #, c-format
 msgid "error getting caller's id: %s"
 msgstr "fejl ved indhentning af opkalders id: %s"
 
-#: nscd/connections.c:1400
+#: nscd/connections.c:1437
 #, c-format
 msgid "cannot open /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr "kan ikke åbne /proc/self/cmdline: %s, deaktiverer paranoiatilstand"
 
-#: nscd/connections.c:1414
+#: nscd/connections.c:1451
 #, c-format
 msgid "cannot read /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr "kan ikke læse /proc/self/cmdline: %s, deaktiverer paranoiatilstand"
 
-#: nscd/connections.c:1454
+#: nscd/connections.c:1491
 #, c-format
 msgid "cannot change to old UID: %s; disabling paranoia mode"
 msgstr "kan ikke ændre til foregående UID: %s; deaktiverer paranoiatilstand"
 
-#: nscd/connections.c:1464
+#: nscd/connections.c:1501
 #, c-format
 msgid "cannot change to old GID: %s; disabling paranoia mode"
 msgstr "kan ikke ændre til foregående GID: %s; deaktiverer paranoiatilstand"
 
-#: nscd/connections.c:1477
+#: nscd/connections.c:1514
 #, c-format
 msgid "cannot change to old working directory: %s; disabling paranoia mode"
 msgstr "kan ikke ændre til foregående arbejdskatalog: %s; deaktiverer paranoiatilstand"
 
-#: nscd/connections.c:1523
+#: nscd/connections.c:1560
 #, c-format
 msgid "re-exec failed: %s; disabling paranoia mode"
 msgstr "genstart mislykkedes: %s; deaktiverer paranoiatilstand"
 
-#: nscd/connections.c:1532
+#: nscd/connections.c:1569
 #, c-format
 msgid "cannot change current working directory to \"/\": %s"
 msgstr "kan ikke ændre aktuelt arbejdskatalog to \"/\": %s"
 
-#: nscd/connections.c:1725
+#: nscd/connections.c:1762
 #, c-format
 msgid "short read while reading request: %s"
 msgstr "afkortet læsning ved læsning af forespørgsel: %s"
 
-#: nscd/connections.c:1758
+#: nscd/connections.c:1795
 #, c-format
 msgid "key length in request too long: %d"
 msgstr "nøglelængde i forespørgsel for lang: %d"
 
-#: nscd/connections.c:1771
+#: nscd/connections.c:1808
 #, c-format
 msgid "short read while reading request key: %s"
 msgstr "afkortet læsning ved læsning af forespørgsels-nøgle: %s"
 
-#: nscd/connections.c:1781
+#: nscd/connections.c:1818
 #, c-format
 msgid "handle_request: request received (Version = %d) from PID %ld"
 msgstr "handle_request: forespørgsel modtaget (version = %d) fra PID %ld"
 
-#: nscd/connections.c:1786
+#: nscd/connections.c:1823
 #, c-format
 msgid "handle_request: request received (Version = %d)"
 msgstr "handle_request: forespørgsel modtaget (version = %d)"
 
-#: nscd/connections.c:2050 nscd/connections.c:2252
+#: nscd/connections.c:1963
+#, c-format
+msgid "ignored inotify event for `%s` (file exists)"
+msgstr ""
+
+#: nscd/connections.c:1968
+#, c-format
+msgid "monitored file `%s` was %s, removing watch"
+msgstr ""
+
+#: nscd/connections.c:1976 nscd/connections.c:2018
+#, c-format
+msgid "failed to remove file watch `%s`: %s"
+msgstr ""
+
+#: nscd/connections.c:1991
+#, c-format
+msgid "monitored file `%s` was written to"
+msgstr ""
+
+#: nscd/connections.c:2015
+#, c-format
+msgid "monitored parent directory `%s` was %s, removing watch on `%s`"
+msgstr ""
+
+#: nscd/connections.c:2041
 #, c-format
-msgid "disabled inotify after read error %d"
+msgid "monitored file `%s` was %s, adding watch"
+msgstr ""
+
+#: nscd/connections.c:2053
+#, fuzzy, c-format
+#| msgid "failed to load shared object `%s'"
+msgid "failed to add file watch `%s`: %s"
+msgstr "kunne ikke indlæse delt objekt '%s'"
+
+#: nscd/connections.c:2247 nscd/connections.c:2428
+#, fuzzy, c-format
+#| msgid "disabled inotify after read error %d"
+msgid "disabled inotify-based monitoring after read error %d"
 msgstr "deaktiverede inotify efter læsefejl %d"
 
-#: nscd/connections.c:2375
+#: nscd/connections.c:2543
 msgid "could not initialize conditional variable"
 msgstr "kan ikke initiere betingelsesvariabel"
 
-#: nscd/connections.c:2383
+#: nscd/connections.c:2551
 msgid "could not start clean-up thread; terminating"
 msgstr "kunne ikke starte oprydningstråd; afslutter"
 
-#: nscd/connections.c:2397
+#: nscd/connections.c:2565
 msgid "could not start any worker thread; terminating"
 msgstr "kunne ikke starte nogen arbejdstråd; afslutter"
 
-#: nscd/connections.c:2452 nscd/connections.c:2454 nscd/connections.c:2470
-#: nscd/connections.c:2480 nscd/connections.c:2498 nscd/connections.c:2509
-#: nscd/connections.c:2519
+#: nscd/connections.c:2620 nscd/connections.c:2622 nscd/connections.c:2638
+#: nscd/connections.c:2648 nscd/connections.c:2666 nscd/connections.c:2677
+#: nscd/connections.c:2687
 #, c-format
 msgid "Failed to run nscd as user '%s'"
 msgstr "Kunne ikke køre nscd som bruger \"%s\""
 
-#: nscd/connections.c:2472
+#: nscd/connections.c:2640
 msgid "initial getgrouplist failed"
 msgstr "indledende getgrouplist mislykkedes"
 
-#: nscd/connections.c:2481
+#: nscd/connections.c:2649
 msgid "getgrouplist failed"
 msgstr "getgrouplist mislykkedes"
 
-#: nscd/connections.c:2499
+#: nscd/connections.c:2667
 msgid "setgroups failed"
 msgstr "setgroups mislykkedes"
 
-#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:410
+#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:411
 #: nscd/pwdcache.c:383 nscd/servicescache.c:338
 #, c-format
 msgid "short write in %s: %s"
 msgstr "afkortet skrivning i %s: %s"
 
-#: nscd/grpcache.c:450 nscd/initgrcache.c:77
+#: nscd/grpcache.c:450 nscd/initgrcache.c:78
 #, c-format
 msgid "Haven't found \"%s\" in group cache!"
 msgstr "Har ikke fundet '%s' i gruppe-nærbuffer!"
 
-#: nscd/grpcache.c:452 nscd/initgrcache.c:79
+#: nscd/grpcache.c:452 nscd/initgrcache.c:80
 #, c-format
 msgid "Reloading \"%s\" in group cache!"
 msgstr "Genindlæser '%s' i gruppe-nærbuffer!"
@@ -4194,7 +4253,7 @@ msgstr "Brug separat buffer for hver bruger"
 msgid "Name Service Cache Daemon."
 msgstr "Dæmon for bufring af navnetjeneste"
 
-#: nscd/nscd.c:155 nss/getent.c:1003 nss/makedb.c:206
+#: nscd/nscd.c:155 nss/getent.c:1007 nss/makedb.c:206
 #, c-format
 msgid "wrong number of arguments"
 msgstr "galt antal argumenter"
@@ -4228,7 +4287,7 @@ msgstr "kan ikke ændre aktuelt arbejdskatalog til \"/\""
 msgid "Could not create log file"
 msgstr "Kunne ikke oprette logfil"
 
-#: nscd/nscd.c:355 nscd/nscd_stat.c:192
+#: nscd/nscd.c:355 nscd/nscd_stat.c:194
 #, c-format
 msgid "write incomplete"
 msgstr "skrivning ufuldstændig"
@@ -4243,7 +4302,7 @@ msgstr "kan ikke læse ugyldiggørelses-ACK"
 msgid "invalidation failed"
 msgstr "ugyldiggørelse mislykkedes"
 
-#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:173
+#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:175
 #, c-format
 msgid "Only root is allowed to use this option!"
 msgstr "Kun 'root' har lov til at bruge dette flag!"
@@ -4325,35 +4384,35 @@ msgstr "kan ikke få fat på aktuelt arbejdskatalog: %s; deaktiverer paranoiatil
 msgid "maximum file size for %s database too small"
 msgstr "maksimal filstørrelse for \"%s\"-databasen er for lille"
 
-#: nscd/nscd_stat.c:142
+#: nscd/nscd_stat.c:144
 #, c-format
 msgid "cannot write statistics: %s"
 msgstr "kan ikke udskrive statistik: '%s'"
 
-#: nscd/nscd_stat.c:157
+#: nscd/nscd_stat.c:159
 msgid "yes"
 msgstr "ja"
 
-#: nscd/nscd_stat.c:158
+#: nscd/nscd_stat.c:160
 msgid "no"
 msgstr "nej"
 
-#: nscd/nscd_stat.c:169
+#: nscd/nscd_stat.c:171
 #, c-format
 msgid "Only root or %s is allowed to use this option!"
 msgstr "Kun 'root' eller '%s' har lov til at bruge dette flag!"
 
-#: nscd/nscd_stat.c:180
+#: nscd/nscd_stat.c:182
 #, c-format
 msgid "nscd not running!\n"
 msgstr "nscd kører ikke!\n"
 
-#: nscd/nscd_stat.c:204
+#: nscd/nscd_stat.c:206
 #, c-format
 msgid "cannot read statistics data"
 msgstr "kan ikke læse statistikdata"
 
-#: nscd/nscd_stat.c:207
+#: nscd/nscd_stat.c:209
 #, c-format
 msgid ""
 "nscd configuration:\n"
@@ -4364,27 +4423,27 @@ msgstr ""
 "\n"
 "%15d  fejlsøgningsniveau for server\n"
 
-#: nscd/nscd_stat.c:231
+#: nscd/nscd_stat.c:233
 #, c-format
 msgid "%3ud %2uh %2um %2lus  server runtime\n"
 msgstr "%3ud %2uh %2um %2lus  kørende server\n"
 
-#: nscd/nscd_stat.c:234
+#: nscd/nscd_stat.c:236
 #, c-format
 msgid "    %2uh %2um %2lus  server runtime\n"
 msgstr "    %2uh %2um %2lus  kørende server\n"
 
-#: nscd/nscd_stat.c:236
+#: nscd/nscd_stat.c:238
 #, c-format
 msgid "        %2um %2lus  server runtime\n"
 msgstr "        %2um %2lus  kørende server\n"
 
-#: nscd/nscd_stat.c:238
+#: nscd/nscd_stat.c:240
 #, c-format
 msgid "            %2lus  server runtime\n"
 msgstr "            %2lus  kørende server\n"
 
-#: nscd/nscd_stat.c:240
+#: nscd/nscd_stat.c:242
 #, fuzzy, c-format
 #| msgid ""
 #| "%15d  current number of threads\n"
@@ -4406,7 +4465,7 @@ msgstr ""
 "%15s  paranoiatilstand aktiveret\n"
 "%15lu  genstart internt\n"
 
-#: nscd/nscd_stat.c:275
+#: nscd/nscd_stat.c:277
 #, c-format
 msgid ""
 "\n"
@@ -4472,87 +4531,87 @@ msgstr "Genindlæser '%s' i adgangskode-nærbuffer!"
 msgid "Invalid numeric uid \"%s\"!"
 msgstr "Ugyldig numerisk bruger-id (uid) \"%s\"!"
 
-#: nscd/selinux.c:155
+#: nscd/selinux.c:154
 #, c-format
 msgid "Failed opening connection to the audit subsystem: %m"
 msgstr "Kunne ikke åbne en forbindelse til undersystemet for revision (audit): %m"
 
-#: nscd/selinux.c:176
+#: nscd/selinux.c:175
 msgid "Failed to set keep-capabilities"
 msgstr "Kunne ikke sætte \"keep\"-kapabiliteter"
 
-#: nscd/selinux.c:177 nscd/selinux.c:240
+#: nscd/selinux.c:176 nscd/selinux.c:239
 msgid "prctl(KEEPCAPS) failed"
 msgstr "prctl(KEEPCAPS) mislykkedes"
 
-#: nscd/selinux.c:191
+#: nscd/selinux.c:190
 msgid "Failed to initialize drop of capabilities"
 msgstr "Kunne ikke initiere fjernelse af kapabiliteter"
 
-#: nscd/selinux.c:192
+#: nscd/selinux.c:191
 msgid "cap_init failed"
 msgstr "cap_init mislykkedes"
 
-#: nscd/selinux.c:213 nscd/selinux.c:230
+#: nscd/selinux.c:212 nscd/selinux.c:229
 msgid "Failed to drop capabilities"
 msgstr "Kunne ikke fjerne kapabiliteter"
 
-#: nscd/selinux.c:214 nscd/selinux.c:231
+#: nscd/selinux.c:213 nscd/selinux.c:230
 msgid "cap_set_proc failed"
 msgstr "cap_set_proc mislykkedes"
 
-#: nscd/selinux.c:239
+#: nscd/selinux.c:238
 msgid "Failed to unset keep-capabilities"
 msgstr "Kunne ikke fjerne \"keep\"-kapabiliteter"
 
-#: nscd/selinux.c:255
+#: nscd/selinux.c:254
 msgid "Failed to determine if kernel supports SELinux"
 msgstr "Kunne ikke finde ud af om kernen understøtter SELinux"
 
-#: nscd/selinux.c:270
+#: nscd/selinux.c:269
 msgid "Failed to start AVC thread"
 msgstr "Kunne ikke starte AVC-tråd"
 
-#: nscd/selinux.c:292
+#: nscd/selinux.c:291
 msgid "Failed to create AVC lock"
 msgstr "Kunne ikke oprette AVC-lås"
 
-#: nscd/selinux.c:332
+#: nscd/selinux.c:331
 msgid "Failed to start AVC"
 msgstr "Kunne ikke starte AVC"
 
-#: nscd/selinux.c:334
+#: nscd/selinux.c:333
 msgid "Access Vector Cache (AVC) started"
 msgstr "Access Vector Cache (AVC) startet"
 
-#: nscd/selinux.c:369
+#: nscd/selinux.c:368
 msgid "Error querying policy for undefined object classes or permissions."
 msgstr ""
 
-#: nscd/selinux.c:376
+#: nscd/selinux.c:375
 #, fuzzy
 #| msgid "Error getting context of nscd"
 msgid "Error getting security class for nscd."
 msgstr "Kunne ikke hente kontekst for nscd"
 
-#: nscd/selinux.c:381
+#: nscd/selinux.c:380
 #, c-format
 msgid "Error translating permission name \"%s\" to access vector bit."
 msgstr ""
 
-#: nscd/selinux.c:391
+#: nscd/selinux.c:390
 msgid "Error getting context of socket peer"
 msgstr "Kunne ikke hente kontekst for sokkelpartner (socket peer)"
 
-#: nscd/selinux.c:396
+#: nscd/selinux.c:395
 msgid "Error getting context of nscd"
 msgstr "Kunne ikke hente kontekst for nscd"
 
-#: nscd/selinux.c:402
+#: nscd/selinux.c:401
 msgid "Error getting sid from context"
 msgstr "Kunne ikke hente \"sid\" fra kontekst"
 
-#: nscd/selinux.c:440
+#: nscd/selinux.c:439
 #, c-format
 msgid ""
 "\n"
@@ -4616,16 +4675,16 @@ msgstr "Hent poster fra administrativ database."
 msgid "Enumeration not supported on %s\n"
 msgstr "Enumeration er ikke understøttet på %s\n"
 
-#: nss/getent.c:917
+#: nss/getent.c:921
 #, c-format
 msgid "Unknown database name"
 msgstr "Ukendt databasenavn"
 
-#: nss/getent.c:947
+#: nss/getent.c:951
 msgid "Supported databases:\n"
 msgstr "Understøttede databaser:\n"
 
-#: nss/getent.c:1013
+#: nss/getent.c:1017
 #, c-format
 msgid "Unknown database: %s\n"
 msgstr "Ukendt database: %s\n"
@@ -4920,7 +4979,7 @@ msgstr "Ubalanceret ) eller \\)"
 msgid "No previous regular expression"
 msgstr "Intet foregående regulært udtryk"
 
-#: posix/wordexp.c:1844
+#: posix/wordexp.c:1851
 msgid "parameter null or not set"
 msgstr "parameter er nul eller ikke sat"
 
@@ -7360,15 +7419,24 @@ msgstr "%s: Kan ikke oprette filkatalog %s: %s\n"
 #~ msgid "xtrace: option \\`$1' requires an argument.\\n"
 #~ msgstr "xtrace: flaget '$1' skal have et argument.\\n"
 
+#~ msgid "%s: no PLTREL found in object %s\n"
+#~ msgstr "%s: ingen PLTREL fundet i objekt %s\n"
+
 #~ msgid "Can't open configuration file %s"
 #~ msgstr "Kan ikke åbne konfigurationsfil %s"
 
+#~ msgid "cannot create internal descriptors"
+#~ msgstr "kan ikke oprette interne deskriptorer"
+
 #~ msgid "Try \\`memusage --help' for more information."
 #~ msgstr "Prøv 'memusage --help' for mere information."
 
 #~ msgid "memusage: option \\`$1' requires an argument"
 #~ msgstr "memusage: flaget \\\"$1\\\" behøver et argument"
 
+#~ msgid "cannot stat() file `%s': %s"
+#~ msgstr "kan ikke udføre stat() på fil '%s': %s"
+
 #~ msgid "invalid value for 'reload-count': %u"
 #~ msgstr "ugyldig værdi for 'reload-count': %u"
 
diff --git a/po/el.po b/po/el.po
index 52a0940..758bcff 100644
--- a/po/el.po
+++ b/po/el.po
@@ -6,7 +6,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: libc 2.2.3\n"
-"POT-Creation-Date: 2015-01-20 22:14-0500\n"
+"POT-Creation-Date: 2015-07-31 00:10-0400\n"
 "PO-Revision-Date: 2001-05-21 19:20:31+0000\n"
 "Last-Translator: Nikos Mavroyanopoulos <nmav@hellug.gr>\n"
 "Language-Team: Greek <nls@tux.hellug.gr>\n"
@@ -145,10 +145,10 @@ msgstr ""
 "[ΑΡΧΕΙΟ-ΕΞΟΔΟΥ [ΑΡΧΕΙΟ-ΕΙΣΟΔΟΥ]...]"
 
 #: catgets/gencat.c:229 debug/pcprofiledump.c:209 elf/ldconfig.c:307
-#: elf/pldd.c:244 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
+#: elf/pldd.c:252 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
 #: iconv/iconvconfig.c:379 locale/programs/locale.c:277
 #: locale/programs/localedef.c:376 login/programs/pt_chown.c:88
-#: malloc/memusagestat.c:563 nss/getent.c:969 nss/makedb.c:369
+#: malloc/memusagestat.c:563 nss/getent.c:973 nss/makedb.c:369
 #: posix/getconf.c:486 sunrpc/rpcinfo.c:691
 #: sysdeps/unix/sysv/linux/lddlibc4.c:61
 #, c-format
@@ -158,7 +158,7 @@ msgid ""
 msgstr ""
 
 #: catgets/gencat.c:245 debug/pcprofiledump.c:225 debug/xtrace.sh:64
-#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:260 elf/sotruss.sh:75
+#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:268 elf/sotruss.sh:75
 #: elf/sprof.c:389 iconv/iconv_prog.c:425 iconv/iconvconfig.c:396
 #: locale/programs/locale.c:294 locale/programs/localedef.c:402
 #: login/programs/pt_chown.c:62 malloc/memusage.sh:71
@@ -176,7 +176,7 @@ msgstr ""
 "ΚΑΠΟΙΟ ΣΥΓΚΕΚΡΙΜΕΝΟ ΣΚΟΠΟ.\n"
 
 #: catgets/gencat.c:250 debug/pcprofiledump.c:230 debug/xtrace.sh:68
-#: elf/ldconfig.c:328 elf/pldd.c:265 elf/sprof.c:395 iconv/iconv_prog.c:430
+#: elf/ldconfig.c:328 elf/pldd.c:273 elf/sprof.c:395 iconv/iconv_prog.c:430
 #: iconv/iconvconfig.c:401 locale/programs/locale.c:299
 #: locale/programs/localedef.c:407 malloc/memusage.sh:75
 #: malloc/memusagestat.c:586 nscd/nscd.c:514 nss/getent.c:91 nss/makedb.c:390
@@ -447,12 +447,12 @@ msgstr "αποτυχία αντιστοίχισης κεφαλίδων τμημ
 msgid "Renaming of %s to %s failed"
 msgstr "αποτυχία αντιστοίχισης κεφαλίδων τμημάτων"
 
-#: elf/dl-close.c:385 elf/dl-open.c:470
+#: elf/dl-close.c:396 elf/dl-open.c:478
 #, fuzzy
 msgid "cannot create scope list"
 msgstr "αδυναμία ανάγνωσης από τον πελάτη"
 
-#: elf/dl-close.c:770
+#: elf/dl-close.c:816
 #, fuzzy
 msgid "shared object not open"
 msgstr "Μη έγκυρο αντικείμενο για λειτουργία"
@@ -537,140 +537,140 @@ msgstr "αδυναμία δημιουργίας εσωτερικού περιγ
 msgid "cannot stat shared object"
 msgstr "αποτυχία φόρτωσης διαμοιραζομένου αντικειμένου `%s'"
 
-#: elf/dl-load.c:963
+#: elf/dl-load.c:962
 #, fuzzy
 msgid "cannot open zero fill device"
 msgstr "αδυναμία ανοίγματος αρχείου εξόδου"
 
-#: elf/dl-load.c:1010 elf/dl-load.c:2165
+#: elf/dl-load.c:1009 elf/dl-load.c:2159
 #, fuzzy
 msgid "cannot create shared object descriptor"
 msgstr "αδυναμία δημιουργίας εσωτερικού περιγραφέα"
 
-#: elf/dl-load.c:1029 elf/dl-load.c:1570 elf/dl-load.c:1682
+#: elf/dl-load.c:1028 elf/dl-load.c:1568 elf/dl-load.c:1680
 #, fuzzy
 msgid "cannot read file data"
 msgstr "αδύνατη η φόρτωση δεδομένων προφίλ"
 
-#: elf/dl-load.c:1069
+#: elf/dl-load.c:1068
 msgid "ELF load command alignment not page-aligned"
 msgstr ""
 
-#: elf/dl-load.c:1076
+#: elf/dl-load.c:1075
 msgid "ELF load command address/offset not properly aligned"
 msgstr ""
 
-#: elf/dl-load.c:1160
+#: elf/dl-load.c:1159
 msgid "cannot allocate TLS data structures for initial thread"
 msgstr ""
 
-#: elf/dl-load.c:1183
+#: elf/dl-load.c:1182
 #, fuzzy
 msgid "cannot handle TLS data"
 msgstr "αδύνατη η φόρτωση δεδομένων προφίλ"
 
-#: elf/dl-load.c:1202
+#: elf/dl-load.c:1201
 msgid "object file has no loadable segments"
 msgstr ""
 
-#: elf/dl-load.c:1211 elf/dl-load.c:1662
+#: elf/dl-load.c:1210 elf/dl-load.c:1660
 msgid "cannot dynamically load executable"
 msgstr ""
 
-#: elf/dl-load.c:1232
+#: elf/dl-load.c:1231
 msgid "object file has no dynamic section"
 msgstr ""
 
-#: elf/dl-load.c:1255
+#: elf/dl-load.c:1254
 msgid "shared object cannot be dlopen()ed"
 msgstr ""
 
-#: elf/dl-load.c:1268
+#: elf/dl-load.c:1267
 #, fuzzy
 msgid "cannot allocate memory for program header"
 msgstr "Δεν είναι δυνατό να δεσμευτεί μνήμη"
 
-#: elf/dl-load.c:1284 elf/dl-open.c:195
+#: elf/dl-load.c:1283 elf/dl-open.c:195
 #, fuzzy
 msgid "invalid caller"
 msgstr "μη έγκυρος χρόνος αναπήδης"
 
-#: elf/dl-load.c:1307 elf/dl-load.h:130
+#: elf/dl-load.c:1306 elf/dl-load.h:130
 #, fuzzy
 msgid "cannot change memory protections"
 msgstr "αδυναμία επεξεργασίας των προδιαγραφών σειράς"
 
-#: elf/dl-load.c:1327
+#: elf/dl-load.c:1326
 #, fuzzy
 msgid "cannot enable executable stack as shared object requires"
 msgstr "αδυναμία δημιουργίας εσωτερικού περιγραφέα"
 
-#: elf/dl-load.c:1340
+#: elf/dl-load.c:1339
 #, fuzzy
 #| msgid "cannot create internal descriptor"
 msgid "cannot close file descriptor"
 msgstr "αδυναμία δημιουργίας εσωτερικού περιγραφέα"
 
-#: elf/dl-load.c:1570
+#: elf/dl-load.c:1568
 #, fuzzy
 msgid "file too short"
 msgstr "Πολύ μεγάλο αρχείο"
 
-#: elf/dl-load.c:1605
+#: elf/dl-load.c:1603
 #, fuzzy
 msgid "invalid ELF header"
 msgstr "μη έγκυρος χρόνος λήξης"
 
-#: elf/dl-load.c:1617
+#: elf/dl-load.c:1615
 msgid "ELF file data encoding not big-endian"
 msgstr ""
 
-#: elf/dl-load.c:1619
+#: elf/dl-load.c:1617
 msgid "ELF file data encoding not little-endian"
 msgstr ""
 
-#: elf/dl-load.c:1623
+#: elf/dl-load.c:1621
 msgid "ELF file version ident does not match current one"
 msgstr ""
 
-#: elf/dl-load.c:1627
+#: elf/dl-load.c:1625
 msgid "ELF file OS ABI invalid"
 msgstr ""
 
-#: elf/dl-load.c:1630
+#: elf/dl-load.c:1628
 msgid "ELF file ABI version invalid"
 msgstr ""
 
-#: elf/dl-load.c:1633
+#: elf/dl-load.c:1631
 msgid "nonzero padding in e_ident"
 msgstr ""
 
-#: elf/dl-load.c:1636
+#: elf/dl-load.c:1634
 #, fuzzy
 msgid "internal error"
 msgstr "Εσωτερικό σφάλμα NIS"
 
-#: elf/dl-load.c:1643
+#: elf/dl-load.c:1641
 msgid "ELF file version does not match current one"
 msgstr ""
 
-#: elf/dl-load.c:1651
+#: elf/dl-load.c:1649
 msgid "only ET_DYN and ET_EXEC can be loaded"
 msgstr ""
 
-#: elf/dl-load.c:1667
+#: elf/dl-load.c:1665
 msgid "ELF file's phentsize not the expected size"
 msgstr ""
 
-#: elf/dl-load.c:2184
+#: elf/dl-load.c:2178
 msgid "wrong ELF class: ELFCLASS64"
 msgstr ""
 
-#: elf/dl-load.c:2185
+#: elf/dl-load.c:2179
 msgid "wrong ELF class: ELFCLASS32"
 msgstr ""
 
-#: elf/dl-load.c:2188
+#: elf/dl-load.c:2182
 #, fuzzy
 msgid "cannot open shared object file"
 msgstr "αδυναμία ανοίγματος αρχείου εξόδου"
@@ -685,13 +685,13 @@ msgstr "αποτυχία φόρτωσης διαμοιραζομένου αντ
 msgid "cannot map zero-fill pages"
 msgstr "αδύνατη η φόρτωση δεδομένων προφίλ"
 
-#: elf/dl-lookup.c:791
+#: elf/dl-lookup.c:845
 #, fuzzy
 #| msgid "Authentication error"
 msgid "relocation error"
 msgstr "Σφάλμα πιστοποίησης"
 
-#: elf/dl-lookup.c:818
+#: elf/dl-lookup.c:872
 msgid "symbol lookup error"
 msgstr ""
 
@@ -699,55 +699,45 @@ msgstr ""
 msgid "cannot extend global scope"
 msgstr ""
 
-#: elf/dl-open.c:520
+#: elf/dl-open.c:528
 msgid "TLS generation counter wrapped!  Please report this."
 msgstr ""
 
-#: elf/dl-open.c:542
-#, fuzzy
-msgid "cannot load any more object with static TLS"
-msgstr "αποτυχία φόρτωσης διαμοιραζομένου αντικειμένου `%s'"
-
-#: elf/dl-open.c:599
+#: elf/dl-open.c:592
 msgid "invalid mode for dlopen()"
 msgstr "μη έγκυρη κατάσταση για την dlopen()"
 
-#: elf/dl-open.c:616
+#: elf/dl-open.c:609
 msgid "no more namespaces available for dlmopen()"
 msgstr ""
 
-#: elf/dl-open.c:634
+#: elf/dl-open.c:633
 #, fuzzy
 #| msgid "invalid mode for dlopen()"
 msgid "invalid target namespace in dlmopen()"
 msgstr "μη έγκυρη κατάσταση για την dlopen()"
 
-#: elf/dl-reloc.c:120
+#: elf/dl-reloc.c:121
 #, fuzzy
 #| msgid "Cannot allocate memory"
 msgid "cannot allocate memory in static TLS block"
 msgstr "Δεν είναι δυνατό να δεσμευτεί μνήμη"
 
-#: elf/dl-reloc.c:212
+#: elf/dl-reloc.c:206
 msgid "cannot make segment writable for relocation"
 msgstr ""
 
-#: elf/dl-reloc.c:275
-#, c-format
-msgid "%s: no PLTREL found in object %s\n"
-msgstr ""
-
-#: elf/dl-reloc.c:290
+#: elf/dl-reloc.c:276
 #, c-format
 msgid "%s: out of memory to store relocation results for %s\n"
 msgstr ""
 
-#: elf/dl-reloc.c:306
+#: elf/dl-reloc.c:292
 #, fuzzy
 msgid "cannot restore segment prot after reloc"
 msgstr "αδυναμία δημιουργίας εσωτερικού περιγραφέα"
 
-#: elf/dl-reloc.c:335
+#: elf/dl-reloc.c:323
 #, fuzzy
 msgid "cannot apply additional memory protection after relocation"
 msgstr "αδυναμία επεξεργασίας των προδιαγραφών σειράς"
@@ -756,7 +746,7 @@ msgstr "αδυναμία επεξεργασίας των προδιαγραφώ
 msgid "RTLD_NEXT used in code not dynamically loaded"
 msgstr "Το RTLD_NEXT που χρησιμοποιείται στον κώδικα δεν φορτώθηκε δυναμικά"
 
-#: elf/dl-tls.c:933
+#: elf/dl-tls.c:934
 #, fuzzy
 #| msgid "cannot create internal descriptors"
 msgid "cannot create TLS data structures"
@@ -906,7 +896,7 @@ msgstr ""
 msgid "Can't open directory %s"
 msgstr "%s: Δεν είναι δυνατόν να δημιουργηθεί ο κατάλογος %s: %s\n"
 
-#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:90
+#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:97
 #, fuzzy, c-format
 msgid "Input file %s not found.\n"
 msgstr "το αρχείο πίνακα ρεπορτορίου `%s' δε βρέθηκε"
@@ -1041,7 +1031,7 @@ msgstr "αδύνατη η απελευθέρωση παραμέτρων"
 msgid "No such file or directory"
 msgstr "Δεν υπάρχει τέτοιο αρχείο ή κατάλογος"
 
-#: elf/ldd.bash.in:150 inet/rcmd.c:488
+#: elf/ldd.bash.in:150 inet/rcmd.c:492
 msgid "not regular file"
 msgstr "δεν είναι κανονικό αρχείο"
 
@@ -1089,68 +1079,73 @@ msgstr "αδυναμία ανάγνωσης κεφαλίδας από το `%s'"
 msgid "cannot read program interpreter"
 msgstr "αδυναμία ανάγνωσης καταλόγου locale `%s'"
 
-#: elf/pldd-xx.c:196
+#: elf/pldd-xx.c:197
 #, fuzzy, c-format
 msgid "cannot read link map"
 msgstr "αδύνατη η φόρτωση δεδομένων προφίλ"
 
-#: elf/pldd-xx.c:207
+#: elf/pldd-xx.c:209
 #, fuzzy, c-format
 msgid "cannot read object name"
 msgstr "αδυναμία ανάγνωσης κεφαλίδας από το `%s'"
 
-#: elf/pldd.c:63
+#: elf/pldd-xx.c:219
+#, fuzzy, c-format
+msgid "cannot allocate buffer for object name"
+msgstr "Δεν είναι δυνατό να δεσμευτεί μνήμη"
+
+#: elf/pldd.c:64
 msgid "List dynamic shared objects loaded into process."
 msgstr ""
 
-#: elf/pldd.c:67
+#: elf/pldd.c:68
 msgid "PID"
 msgstr ""
 
-#: elf/pldd.c:99
+#: elf/pldd.c:100
 #, c-format
 msgid "Exactly one parameter with process ID required.\n"
 msgstr ""
 
-#: elf/pldd.c:111
+#: elf/pldd.c:112
 #, fuzzy, c-format
 msgid "invalid process ID '%s'"
 msgstr "μη έγκυρο όνομα μήνα"
 
-#: elf/pldd.c:119
+#: elf/pldd.c:120
 #, fuzzy, c-format
 #| msgid "cannot open `%s'"
 msgid "cannot open %s"
 msgstr "αδυναμία ανοίγματος του `%s'"
 
-#: elf/pldd.c:144
+#: elf/pldd.c:152
 #, fuzzy, c-format
 #| msgid "cannot open `%s'"
 msgid "cannot open %s/task"
 msgstr "αδυναμία ανοίγματος του `%s'"
 
-#: elf/pldd.c:147
+#: elf/pldd.c:155
 #, fuzzy, c-format
 msgid "cannot prepare reading %s/task"
 msgstr "αδυναμία ανάγνωσης από τον πελάτη"
 
-#: elf/pldd.c:160
+#: elf/pldd.c:168
 #, fuzzy, c-format
 msgid "invalid thread ID '%s'"
 msgstr "μη έγκυρος χρόνος λήξης"
 
-#: elf/pldd.c:171
+#: elf/pldd.c:179
 #, fuzzy, c-format
 #| msgid "cannot find C preprocessor: %s \n"
 msgid "cannot attach to process %lu"
 msgstr "δε βρέθηκε ο προεπεξεργαστής C: %s \n"
 
-#: elf/pldd.c:286
+#: elf/pldd.c:294
 #, c-format
 msgid "cannot get information about process %lu"
 msgstr ""
 
-#: elf/pldd.c:299
+#: elf/pldd.c:307
 #, c-format
 msgid "process %lu is no ELF program"
 msgstr ""
@@ -1185,27 +1180,27 @@ msgstr ""
 msgid "more than one dynamic segment\n"
 msgstr ""
 
-#: elf/readlib.c:96
+#: elf/readlib.c:103
 #, fuzzy, c-format
 msgid "Cannot fstat file %s.\n"
 msgstr "αδυναμία προσπέλασης(stat()) αρχείου `%s': %s"
 
-#: elf/readlib.c:107
+#: elf/readlib.c:114
 #, c-format
 msgid "File %s is empty, not checked."
 msgstr ""
 
-#: elf/readlib.c:113
+#: elf/readlib.c:120
 #, c-format
 msgid "File %s is too small, not checked."
 msgstr ""
 
-#: elf/readlib.c:123
+#: elf/readlib.c:130
 #, c-format
 msgid "Cannot mmap file %s.\n"
 msgstr "Αδυναμία μεταφοράς στη μνήμη (mmap) του αρχείου %s.\n"
 
-#: elf/readlib.c:161
+#: elf/readlib.c:169
 #, c-format
 msgid "%s is not an ELF file - it has the wrong magic bytes at the start.\n"
 msgstr ""
@@ -1337,10 +1332,10 @@ msgstr "SHOBJ [PROFDATA]"
 msgid "failed to load shared object `%s'"
 msgstr "αποτυχία φόρτωσης διαμοιραζομένου αντικειμένου `%s'"
 
-#: elf/sprof.c:442
+#: elf/sprof.c:442 elf/sprof.c:825 elf/sprof.c:923
 #, c-format
-msgid "cannot create internal descriptors"
-msgstr "αδυναμία δημιουργίας εσωτερικών περιγραφέων"
+msgid "cannot create internal descriptor"
+msgstr "αδυναμία δημιουργίας εσωτερικού περιγραφέα"
 
 #: elf/sprof.c:554
 #, c-format
@@ -1410,11 +1405,6 @@ msgstr "αποτυχία στη λειτουργία mmap για το αρχεί
 msgid "error while closing the profiling data file"
 msgstr "σφάλμα κατά το κλείσιμο του αρχείου δεδομένων προφίλ"
 
-#: elf/sprof.c:825 elf/sprof.c:923
-#, c-format
-msgid "cannot create internal descriptor"
-msgstr "αδυναμία δημιουργίας εσωτερικού περιγραφέα"
-
 #: elf/sprof.c:899
 #, c-format
 msgid "`%s' is no correct profile data file for `%s'"
@@ -1681,27 +1671,27 @@ msgstr "socket: αποτυχία πρωτοκόλου στο στήσιμο κυ
 msgid "rcmd: %s: short read"
 msgstr ""
 
-#: inet/rcmd.c:486
+#: inet/rcmd.c:490
 msgid "lstat failed"
 msgstr "το lstat απέτυχε"
 
-#: inet/rcmd.c:493
+#: inet/rcmd.c:497
 msgid "cannot open"
 msgstr "αδυναμία ανοίγματος"
 
-#: inet/rcmd.c:495
+#: inet/rcmd.c:499
 msgid "fstat failed"
 msgstr "το fstat απέτυχε"
 
-#: inet/rcmd.c:497
+#: inet/rcmd.c:501
 msgid "bad owner"
 msgstr "κακός ιδιοκτήτης"
 
-#: inet/rcmd.c:499
+#: inet/rcmd.c:503
 msgid "writeable by other than owner"
 msgstr "το αρχείο είναι εγγράψιμο και από άλλους εκτός του ιδιοκτήτη"
 
-#: inet/rcmd.c:501
+#: inet/rcmd.c:505
 msgid "hard linked somewhere"
 msgstr "σθεναρά συνδεδεμένο κάπου"
 
@@ -1826,8 +1816,8 @@ msgid "no symbolic name given for end of range"
 msgstr "δεν δώθηκε συμβολικό όνομα για το τέλος πεδίου"
 
 #: locale/programs/charmap.c:610 locale/programs/ld-address.c:528
-#: locale/programs/ld-collate.c:2626 locale/programs/ld-collate.c:3784
-#: locale/programs/ld-ctype.c:2162 locale/programs/ld-ctype.c:2913
+#: locale/programs/ld-collate.c:2635 locale/programs/ld-collate.c:3793
+#: locale/programs/ld-ctype.c:2128 locale/programs/ld-ctype.c:2840
 #: locale/programs/ld-identification.c:368
 #: locale/programs/ld-measurement.c:215 locale/programs/ld-messages.c:298
 #: locale/programs/ld-monetary.c:740 locale/programs/ld-name.c:264
@@ -1853,8 +1843,8 @@ msgid "%s: error in state machine"
 msgstr "%s: Σφάλμα στο μηχανισμό κατάστασης"
 
 #: locale/programs/charmap.c:850 locale/programs/ld-address.c:544
-#: locale/programs/ld-collate.c:2623 locale/programs/ld-collate.c:3977
-#: locale/programs/ld-ctype.c:2159 locale/programs/ld-ctype.c:2930
+#: locale/programs/ld-collate.c:2632 locale/programs/ld-collate.c:3986
+#: locale/programs/ld-ctype.c:2125 locale/programs/ld-ctype.c:2857
 #: locale/programs/ld-identification.c:384
 #: locale/programs/ld-measurement.c:231 locale/programs/ld-messages.c:314
 #: locale/programs/ld-monetary.c:756 locale/programs/ld-name.c:280
@@ -1875,7 +1865,7 @@ msgstr "άγνωστος χαρακτήρας `%s'"
 msgid "number of bytes for byte sequence of beginning and end of range not the same: %d vs %d"
 msgstr ""
 
-#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2903
+#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2912
 #: locale/programs/repertoire.c:419
 #, fuzzy
 msgid "invalid names for character range"
@@ -1900,8 +1890,8 @@ msgstr "το επάνω όριο στο πεδίο δεν είναι μικρό
 msgid "resulting bytes for range not representable."
 msgstr ""
 
-#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1565
-#: locale/programs/ld-ctype.c:465 locale/programs/ld-identification.c:133
+#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1566
+#: locale/programs/ld-ctype.c:431 locale/programs/ld-identification.c:133
 #: locale/programs/ld-measurement.c:94 locale/programs/ld-messages.c:97
 #: locale/programs/ld-monetary.c:193 locale/programs/ld-name.c:94
 #: locale/programs/ld-numeric.c:98 locale/programs/ld-paper.c:91
@@ -1965,7 +1955,7 @@ msgid "%s: numeric country code `%d' not valid"
 msgstr ""
 
 #: locale/programs/ld-address.c:436 locale/programs/ld-address.c:473
-#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2537
+#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2489
 #: locale/programs/ld-identification.c:280
 #: locale/programs/ld-measurement.c:198 locale/programs/ld-messages.c:267
 #: locale/programs/ld-monetary.c:495 locale/programs/ld-monetary.c:530
@@ -1987,8 +1977,8 @@ msgstr ""
 msgid "%s: unknown character in field `%s'"
 msgstr "άγνωστος χαρακτήρας `%s'"
 
-#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3782
-#: locale/programs/ld-ctype.c:2910 locale/programs/ld-identification.c:365
+#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3791
+#: locale/programs/ld-ctype.c:2837 locale/programs/ld-identification.c:365
 #: locale/programs/ld-measurement.c:212 locale/programs/ld-messages.c:296
 #: locale/programs/ld-monetary.c:738 locale/programs/ld-name.c:262
 #: locale/programs/ld-numeric.c:324 locale/programs/ld-paper.c:212
@@ -1997,12 +1987,12 @@ msgstr "άγνωστος χαρακτήρας `%s'"
 msgid "%s: incomplete `END' line"
 msgstr ""
 
-#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:551
-#: locale/programs/ld-collate.c:603 locale/programs/ld-collate.c:899
-#: locale/programs/ld-collate.c:912 locale/programs/ld-collate.c:2592
-#: locale/programs/ld-collate.c:2613 locale/programs/ld-collate.c:3967
-#: locale/programs/ld-ctype.c:1891 locale/programs/ld-ctype.c:2149
-#: locale/programs/ld-ctype.c:2735 locale/programs/ld-ctype.c:2921
+#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:552
+#: locale/programs/ld-collate.c:604 locale/programs/ld-collate.c:900
+#: locale/programs/ld-collate.c:913 locale/programs/ld-collate.c:2601
+#: locale/programs/ld-collate.c:2622 locale/programs/ld-collate.c:3976
+#: locale/programs/ld-ctype.c:1857 locale/programs/ld-ctype.c:2115
+#: locale/programs/ld-ctype.c:2687 locale/programs/ld-ctype.c:2848
 #: locale/programs/ld-identification.c:375
 #: locale/programs/ld-measurement.c:222 locale/programs/ld-messages.c:305
 #: locale/programs/ld-monetary.c:747 locale/programs/ld-name.c:271
@@ -2012,480 +2002,480 @@ msgstr ""
 msgid "%s: syntax error"
 msgstr ""
 
-#: locale/programs/ld-collate.c:426
+#: locale/programs/ld-collate.c:427
 #, c-format
 msgid "`%.*s' already defined in charmap"
 msgstr ""
 
-#: locale/programs/ld-collate.c:435
+#: locale/programs/ld-collate.c:436
 #, c-format
 msgid "`%.*s' already defined in repertoire"
 msgstr ""
 
-#: locale/programs/ld-collate.c:442
+#: locale/programs/ld-collate.c:443
 #, c-format
 msgid "`%.*s' already defined as collating symbol"
 msgstr ""
 
-#: locale/programs/ld-collate.c:449
+#: locale/programs/ld-collate.c:450
 #, c-format
 msgid "`%.*s' already defined as collating element"
 msgstr ""
 
-#: locale/programs/ld-collate.c:480 locale/programs/ld-collate.c:506
+#: locale/programs/ld-collate.c:481 locale/programs/ld-collate.c:507
 #, c-format
 msgid "%s: `forward' and `backward' are mutually excluding each other"
 msgstr "%s: οι κατευθύνσεις ταξινόμησης `forward' και `backward' είναι αμοιβαία αποκλειώμενες"
 
-#: locale/programs/ld-collate.c:490 locale/programs/ld-collate.c:516
-#: locale/programs/ld-collate.c:532
+#: locale/programs/ld-collate.c:491 locale/programs/ld-collate.c:517
+#: locale/programs/ld-collate.c:533
 #, c-format
 msgid "%s: `%s' mentioned more than once in definition of weight %d"
 msgstr ""
 
-#: locale/programs/ld-collate.c:588
+#: locale/programs/ld-collate.c:589
 #, c-format
 msgid "%s: too many rules; first entry only had %d"
 msgstr ""
 
-#: locale/programs/ld-collate.c:624
+#: locale/programs/ld-collate.c:625
 #, c-format
 msgid "%s: not enough sorting rules"
 msgstr ""
 
-#: locale/programs/ld-collate.c:789
+#: locale/programs/ld-collate.c:790
 #, fuzzy, c-format
 msgid "%s: empty weight string not allowed"
 msgstr "άδεια βαρύτητα ονόματος: γραμμή αγνοήθηκε"
 
-#: locale/programs/ld-collate.c:884
+#: locale/programs/ld-collate.c:885
 #, c-format
 msgid "%s: weights must use the same ellipsis symbol as the name"
 msgstr ""
 
-#: locale/programs/ld-collate.c:940
+#: locale/programs/ld-collate.c:941
 #, fuzzy, c-format
 msgid "%s: too many values"
 msgstr "%s: Πάρα πολλά ορίσματα\n"
 
-#: locale/programs/ld-collate.c:1060 locale/programs/ld-collate.c:1235
+#: locale/programs/ld-collate.c:1061 locale/programs/ld-collate.c:1236
 #, fuzzy, c-format
 msgid "order for `%.*s' already defined at %s:%Zu"
 msgstr "ο χάρτης χαρακτήρων `%s' ορίστηκε ήδη"
 
-#: locale/programs/ld-collate.c:1110
+#: locale/programs/ld-collate.c:1111
 #, c-format
 msgid "%s: the start and the end symbol of a range must stand for characters"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1137
+#: locale/programs/ld-collate.c:1138
 #, c-format
 msgid "%s: byte sequences of first and last character must have the same length"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1179
+#: locale/programs/ld-collate.c:1180
 #, c-format
 msgid "%s: byte sequence of first character of range is not lower than that of the last character"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1304
+#: locale/programs/ld-collate.c:1305
 #, c-format
 msgid "%s: symbolic range ellipsis must not directly follow `order_start'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1308
+#: locale/programs/ld-collate.c:1309
 #, c-format
 msgid "%s: symbolic range ellipsis must not be directly followed by `order_end'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1328 locale/programs/ld-ctype.c:1408
+#: locale/programs/ld-collate.c:1329 locale/programs/ld-ctype.c:1374
 #, fuzzy, c-format
 msgid "`%s' and `%.*s' are not valid names for symbolic range"
 msgstr "Τα <%s> και <%s> είναι μη αποδεκτά ονόματα για όριο"
 
-#: locale/programs/ld-collate.c:1378 locale/programs/ld-collate.c:3718
+#: locale/programs/ld-collate.c:1379 locale/programs/ld-collate.c:3727
 #, fuzzy, c-format
 msgid "%s: order for `%.*s' already defined at %s:%Zu"
 msgstr "ο χάρτης χαρακτήρων `%s' ορίστηκε ήδη"
 
-#: locale/programs/ld-collate.c:1387
+#: locale/programs/ld-collate.c:1388
 #, c-format
 msgid "%s: `%s' must be a character"
 msgstr "%s: το `%s' πρέπει να είναι ένας απλός χαρακτήρας"
 
-#: locale/programs/ld-collate.c:1582
+#: locale/programs/ld-collate.c:1583
 #, c-format
 msgid "%s: `position' must be used for a specific level in all sections or none"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1607
+#: locale/programs/ld-collate.c:1608
 #, fuzzy, c-format
 msgid "symbol `%s' not defined"
 msgstr "άγνωστο σύμβολο `%.*s': γραμμή αγνοήθηκε"
 
-#: locale/programs/ld-collate.c:1683 locale/programs/ld-collate.c:1789
+#: locale/programs/ld-collate.c:1684 locale/programs/ld-collate.c:1790
 #, c-format
 msgid "symbol `%s' has the same encoding as"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1687 locale/programs/ld-collate.c:1793
+#: locale/programs/ld-collate.c:1688 locale/programs/ld-collate.c:1794
 #, c-format
 msgid "symbol `%s'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1833
+#: locale/programs/ld-collate.c:1834
 #, c-format
 msgid "no definition of `UNDEFINED'"
 msgstr "κανένας ορισμός του `UNDEFINED'"
 
-#: locale/programs/ld-collate.c:1862
+#: locale/programs/ld-collate.c:1863
 #, c-format
 msgid "too many errors; giving up"
 msgstr ""
 
-#: locale/programs/ld-collate.c:2518 locale/programs/ld-collate.c:3906
+#: locale/programs/ld-collate.c:2527 locale/programs/ld-collate.c:3915
 #, fuzzy, c-format
 #| msgid "Operation not supported"
 msgid "%s: nested conditionals not supported"
 msgstr "Η λειτουργία δεν υποστηρίζεται"
 
-#: locale/programs/ld-collate.c:2536
+#: locale/programs/ld-collate.c:2545
 #, fuzzy, c-format
 #| msgid "%s: More than one -l option specified\n"
 msgid "%s: more than one 'else'"
 msgstr "%s: Περισσότερες από μία -l επιλογές καθορίστηκαν\n"
 
-#: locale/programs/ld-collate.c:2711
+#: locale/programs/ld-collate.c:2720
 #, fuzzy, c-format
 msgid "%s: duplicate definition of `%s'"
 msgstr "διπλός ορισμός για τον χαρακτήρα `%.*s'"
 
-#: locale/programs/ld-collate.c:2747
+#: locale/programs/ld-collate.c:2756
 #, fuzzy, c-format
 msgid "%s: duplicate declaration of section `%s'"
 msgstr "διπλός ορισμός για τον χαρακτήρα `%.*s'"
 
-#: locale/programs/ld-collate.c:2883
+#: locale/programs/ld-collate.c:2892
 #, c-format
 msgid "%s: unknown character in collating symbol name"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3012
+#: locale/programs/ld-collate.c:3021
 #, fuzzy, c-format
 msgid "%s: unknown character in equivalent definition name"
 msgstr "συντακτικό σφάλμα στον ορισμό μετατροπής χαρακτήρων"
 
-#: locale/programs/ld-collate.c:3023
+#: locale/programs/ld-collate.c:3032
 #, fuzzy, c-format
 msgid "%s: unknown character in equivalent definition value"
 msgstr "συντακτικό σφάλμα στον ορισμό μετατροπής χαρακτήρων"
 
-#: locale/programs/ld-collate.c:3033
+#: locale/programs/ld-collate.c:3042
 #, fuzzy, c-format
 msgid "%s: unknown symbol `%s' in equivalent definition"
 msgstr "άγνωστο σύμβολο `%.*s': γραμμή αγνοήθηκε"
 
-#: locale/programs/ld-collate.c:3042
+#: locale/programs/ld-collate.c:3051
 msgid "error while adding equivalent collating symbol"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3080
+#: locale/programs/ld-collate.c:3089
 #, fuzzy, c-format
 msgid "duplicate definition of script `%s'"
 msgstr "διπλός ορισμός για τον χαρακτήρα `%.*s'"
 
-#: locale/programs/ld-collate.c:3128
+#: locale/programs/ld-collate.c:3137
 #, fuzzy, c-format
 msgid "%s: unknown section name `%.*s'"
 msgstr "άγνωστο σετ `%s'"
 
-#: locale/programs/ld-collate.c:3157
+#: locale/programs/ld-collate.c:3166
 #, fuzzy, c-format
 msgid "%s: multiple order definitions for section `%s'"
 msgstr "διπλός ορισμός για τον χαρακτήρα `%.*s'"
 
-#: locale/programs/ld-collate.c:3185
+#: locale/programs/ld-collate.c:3194
 #, c-format
 msgid "%s: invalid number of sorting rules"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3212
+#: locale/programs/ld-collate.c:3221
 #, c-format
 msgid "%s: multiple order definitions for unnamed section"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3267 locale/programs/ld-collate.c:3397
-#: locale/programs/ld-collate.c:3760
+#: locale/programs/ld-collate.c:3276 locale/programs/ld-collate.c:3406
+#: locale/programs/ld-collate.c:3769
 #, c-format
 msgid "%s: missing `order_end' keyword"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3330
+#: locale/programs/ld-collate.c:3339
 #, c-format
 msgid "%s: order for collating symbol %.*s not yet defined"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3348
+#: locale/programs/ld-collate.c:3357
 #, c-format
 msgid "%s: order for collating element %.*s not yet defined"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3359
+#: locale/programs/ld-collate.c:3368
 #, c-format
 msgid "%s: cannot reorder after %.*s: symbol not known"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3411 locale/programs/ld-collate.c:3772
+#: locale/programs/ld-collate.c:3420 locale/programs/ld-collate.c:3781
 #, c-format
 msgid "%s: missing `reorder-end' keyword"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3445 locale/programs/ld-collate.c:3643
+#: locale/programs/ld-collate.c:3454 locale/programs/ld-collate.c:3652
 #, c-format
 msgid "%s: section `%.*s' not known"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3510
+#: locale/programs/ld-collate.c:3519
 #, c-format
 msgid "%s: bad symbol <%.*s>"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3706
+#: locale/programs/ld-collate.c:3715
 #, c-format
 msgid "%s: cannot have `%s' as end of ellipsis range"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3756
+#: locale/programs/ld-collate.c:3765
 #, c-format
 msgid "%s: empty category description not allowed"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3775
+#: locale/programs/ld-collate.c:3784
 #, c-format
 msgid "%s: missing `reorder-sections-end' keyword"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3939
+#: locale/programs/ld-collate.c:3948
 #, c-format
 msgid "%s: '%s' without matching 'ifdef' or 'ifndef'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3957
+#: locale/programs/ld-collate.c:3966
 #, c-format
 msgid "%s: 'endif' without matching 'ifdef' or 'ifndef'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:484
+#: locale/programs/ld-ctype.c:450
 #, fuzzy, c-format
 msgid "No character set name specified in charmap"
 msgstr "ο χαρακτήρας <SP> δεν ορίστηκε στον χάρτη χαρακτήρων"
 
-#: locale/programs/ld-ctype.c:513
+#: locale/programs/ld-ctype.c:479
 #, fuzzy, c-format
 msgid "character L'\\u%0*x' in class `%s' must be in class `%s'"
 msgstr "ο χαρακτήρας '%s' στην κλάση `%s' πρέπει να είναι στην κλάση `%s'"
 
-#: locale/programs/ld-ctype.c:528
+#: locale/programs/ld-ctype.c:494
 #, fuzzy, c-format
 msgid "character L'\\u%0*x' in class `%s' must not be in class `%s'"
 msgstr "ο χαρακτήρας '%s' στην κλάση `%s' δεν πρέπει να είναι στην κλάση `%s'"
 
-#: locale/programs/ld-ctype.c:542 locale/programs/ld-ctype.c:600
+#: locale/programs/ld-ctype.c:508 locale/programs/ld-ctype.c:566
 #, c-format
 msgid "internal error in %s, line %u"
 msgstr "εσωτερικό σφάλμα στο %s, γραμμή %u"
 
-#: locale/programs/ld-ctype.c:571
+#: locale/programs/ld-ctype.c:537
 #, c-format
 msgid "character '%s' in class `%s' must be in class `%s'"
 msgstr "ο χαρακτήρας '%s' στην κλάση `%s' πρέπει να είναι στην κλάση `%s'"
 
-#: locale/programs/ld-ctype.c:587
+#: locale/programs/ld-ctype.c:553
 #, c-format
 msgid "character '%s' in class `%s' must not be in class `%s'"
 msgstr "ο χαρακτήρας '%s' στην κλάση `%s' δεν πρέπει να είναι στην κλάση `%s'"
 
-#: locale/programs/ld-ctype.c:617 locale/programs/ld-ctype.c:655
+#: locale/programs/ld-ctype.c:583 locale/programs/ld-ctype.c:621
 #, c-format
 msgid "<SP> character not in class `%s'"
 msgstr "Ο <SP> χαρακτήρας δεν είναι στην κλάση `%s'"
 
-#: locale/programs/ld-ctype.c:629 locale/programs/ld-ctype.c:666
+#: locale/programs/ld-ctype.c:595 locale/programs/ld-ctype.c:632
 #, c-format
 msgid "<SP> character must not be in class `%s'"
 msgstr "Ο <SP> χαρακτήρας δεν πρέπει να είναι στην κλάση `%s'"
 
-#: locale/programs/ld-ctype.c:644
+#: locale/programs/ld-ctype.c:610
 #, c-format
 msgid "character <SP> not defined in character map"
 msgstr "ο χαρακτήρας <SP> δεν ορίστηκε στον χάρτη χαρακτήρων"
 
-#: locale/programs/ld-ctype.c:780
+#: locale/programs/ld-ctype.c:746
 #, c-format
 msgid "`digit' category has not entries in groups of ten"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:829
+#: locale/programs/ld-ctype.c:795
 #, c-format
 msgid "no input digits defined and none of the standard names in the charmap"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:894
+#: locale/programs/ld-ctype.c:860
 #, c-format
 msgid "not all characters used in `outdigit' are available in the charmap"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:911
+#: locale/programs/ld-ctype.c:877
 #, c-format
 msgid "not all characters used in `outdigit' are available in the repertoire"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1176
+#: locale/programs/ld-ctype.c:1142
 #, c-format
 msgid "character class `%s' already defined"
 msgstr "η κλάση χαρακτήρων `%s' ορίστηκε ήδη"
 
-#: locale/programs/ld-ctype.c:1182
+#: locale/programs/ld-ctype.c:1148
 #, fuzzy, c-format
 msgid "implementation limit: no more than %Zd character classes allowed"
 msgstr "όριο υλοποίησης: δεν επιτρέπονται πάνω από %d κλάσεις χαρακτήρων"
 
-#: locale/programs/ld-ctype.c:1208
+#: locale/programs/ld-ctype.c:1174
 #, c-format
 msgid "character map `%s' already defined"
 msgstr "ο χάρτης χαρακτήρων `%s' ορίστηκε ήδη"
 
-#: locale/programs/ld-ctype.c:1214
+#: locale/programs/ld-ctype.c:1180
 #, c-format
 msgid "implementation limit: no more than %d character maps allowed"
 msgstr "όριο υλοποίησης: δεν επιτρέπονται πάνω από %d χάρτες χαρακτήρων"
 
-#: locale/programs/ld-ctype.c:1479 locale/programs/ld-ctype.c:1604
-#: locale/programs/ld-ctype.c:1710 locale/programs/ld-ctype.c:2400
-#: locale/programs/ld-ctype.c:3397
+#: locale/programs/ld-ctype.c:1445 locale/programs/ld-ctype.c:1570
+#: locale/programs/ld-ctype.c:1676 locale/programs/ld-ctype.c:2352
+#: locale/programs/ld-ctype.c:3324
 #, c-format
 msgid "%s: field `%s' does not contain exactly ten entries"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1507 locale/programs/ld-ctype.c:2081
+#: locale/programs/ld-ctype.c:1473 locale/programs/ld-ctype.c:2047
 #, c-format
 msgid "to-value <U%0*X> of range is smaller than from-value <U%0*X>"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1634
+#: locale/programs/ld-ctype.c:1600
 msgid "start and end character sequence of range must have the same length"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1641
+#: locale/programs/ld-ctype.c:1607
 msgid "to-value character sequence is smaller than from-value sequence"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2001 locale/programs/ld-ctype.c:2052
+#: locale/programs/ld-ctype.c:1967 locale/programs/ld-ctype.c:2018
 #, fuzzy
 msgid "premature end of `translit_ignore' definition"
 msgstr "Πρόωρο τέλος της κανονικής έκφρασης"
 
-#: locale/programs/ld-ctype.c:2007 locale/programs/ld-ctype.c:2058
-#: locale/programs/ld-ctype.c:2100
+#: locale/programs/ld-ctype.c:1973 locale/programs/ld-ctype.c:2024
+#: locale/programs/ld-ctype.c:2066
 #, fuzzy
 msgid "syntax error"
 msgstr "Σφάλμα στον δίαυλο(bus)"
 
-#: locale/programs/ld-ctype.c:2233
+#: locale/programs/ld-ctype.c:2199
 #, fuzzy, c-format
 msgid "%s: syntax error in definition of new character class"
 msgstr "συντακτικό σφάλμα στον ορισμό της νέας κλάσης χαρακτήρων"
 
-#: locale/programs/ld-ctype.c:2248
+#: locale/programs/ld-ctype.c:2214
 #, fuzzy, c-format
 msgid "%s: syntax error in definition of new character map"
 msgstr "συντακτικό σφάλμα στον ορισμό του νέο χάρτη χαρακτήρων"
 
-#: locale/programs/ld-ctype.c:2422
+#: locale/programs/ld-ctype.c:2374
 msgid "ellipsis range must be marked by two operands of same type"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2431
+#: locale/programs/ld-ctype.c:2383
 msgid "with symbolic name range values the absolute ellipsis `...' must not be used"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2446
+#: locale/programs/ld-ctype.c:2398
 msgid "with UCS range values one must use the hexadecimal symbolic ellipsis `..'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2460
+#: locale/programs/ld-ctype.c:2412
 msgid "with character code range values one must use the absolute ellipsis `...'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2611
+#: locale/programs/ld-ctype.c:2563
 #, fuzzy, c-format
 msgid "duplicated definition for mapping `%s'"
 msgstr "διπλός ορισμός για τον χαρακτήρα `%.*s'"
 
-#: locale/programs/ld-ctype.c:2697 locale/programs/ld-ctype.c:2841
+#: locale/programs/ld-ctype.c:2649 locale/programs/ld-ctype.c:2793
 #, c-format
 msgid "%s: `translit_start' section does not end with `translit_end'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2792
+#: locale/programs/ld-ctype.c:2744
 #, c-format
 msgid "%s: duplicate `default_missing' definition"
 msgstr "%s: διπλός ορισμός `default_missing'"
 
-#: locale/programs/ld-ctype.c:2797
+#: locale/programs/ld-ctype.c:2749
 msgid "previous definition was here"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2819
+#: locale/programs/ld-ctype.c:2771
 #, c-format
 msgid "%s: no representable `default_missing' definition found"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2962 locale/programs/ld-ctype.c:3059
-#: locale/programs/ld-ctype.c:3079 locale/programs/ld-ctype.c:3100
-#: locale/programs/ld-ctype.c:3121 locale/programs/ld-ctype.c:3142
-#: locale/programs/ld-ctype.c:3163 locale/programs/ld-ctype.c:3203
-#: locale/programs/ld-ctype.c:3224 locale/programs/ld-ctype.c:3289
-#: locale/programs/ld-ctype.c:3331 locale/programs/ld-ctype.c:3356
+#: locale/programs/ld-ctype.c:2889 locale/programs/ld-ctype.c:2986
+#: locale/programs/ld-ctype.c:3006 locale/programs/ld-ctype.c:3027
+#: locale/programs/ld-ctype.c:3048 locale/programs/ld-ctype.c:3069
+#: locale/programs/ld-ctype.c:3090 locale/programs/ld-ctype.c:3130
+#: locale/programs/ld-ctype.c:3151 locale/programs/ld-ctype.c:3216
+#: locale/programs/ld-ctype.c:3258 locale/programs/ld-ctype.c:3283
 #, fuzzy, c-format
 msgid "%s: character `%s' not defined while needed as default value"
 msgstr "ο χαρακτήρας `%s' δεν ορίστηκε ενώ χρειάζεται σαν προκαθορισμένη τιμή"
 
-#: locale/programs/ld-ctype.c:2967 locale/programs/ld-ctype.c:3064
-#: locale/programs/ld-ctype.c:3084 locale/programs/ld-ctype.c:3105
-#: locale/programs/ld-ctype.c:3126 locale/programs/ld-ctype.c:3147
-#: locale/programs/ld-ctype.c:3168 locale/programs/ld-ctype.c:3208
-#: locale/programs/ld-ctype.c:3229 locale/programs/ld-ctype.c:3294
+#: locale/programs/ld-ctype.c:2894 locale/programs/ld-ctype.c:2991
+#: locale/programs/ld-ctype.c:3011 locale/programs/ld-ctype.c:3032
+#: locale/programs/ld-ctype.c:3053 locale/programs/ld-ctype.c:3074
+#: locale/programs/ld-ctype.c:3095 locale/programs/ld-ctype.c:3135
+#: locale/programs/ld-ctype.c:3156 locale/programs/ld-ctype.c:3221
 #, c-format
 msgid "%s: character `%s' in charmap not representable with one byte"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3338 locale/programs/ld-ctype.c:3363
+#: locale/programs/ld-ctype.c:3265 locale/programs/ld-ctype.c:3290
 #, c-format
 msgid "%s: character `%s' needed as default value not representable with one byte"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3419
+#: locale/programs/ld-ctype.c:3346
 #, c-format
 msgid "no output digits defined and none of the standard names in the charmap"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3668
+#: locale/programs/ld-ctype.c:3595
 #, c-format
 msgid "%s: transliteration data from locale `%s' not available"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3768
+#: locale/programs/ld-ctype.c:3695
 #, c-format
 msgid "%s: table for class \"%s\": %lu bytes\n"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3833
+#: locale/programs/ld-ctype.c:3760
 #, fuzzy, c-format
 msgid "%s: table for map \"%s\": %lu bytes\n"
 msgstr "%s: αδύνατο το άνοιγμα του %s: %m\n"
 
-#: locale/programs/ld-ctype.c:3958
+#: locale/programs/ld-ctype.c:3885
 #, c-format
 msgid "%s: table for width: %lu bytes\n"
 msgstr ""
@@ -3924,17 +3914,23 @@ msgstr ""
 msgid " (first)"
 msgstr ""
 
-#: nscd/cache.c:285 nscd/connections.c:1000
+#: nscd/cache.c:288
+#, fuzzy, c-format
+#| msgid "cannot open database file `%s': %s"
+msgid "checking for monitored file `%s': %s"
+msgstr "αδυναμία ανοίγματος αρχείου βάσεως δεδομένων `%s': %s"
+
+#: nscd/cache.c:298
 #, c-format
-msgid "cannot stat() file `%s': %s"
-msgstr "αδυναμία προσπέλασης(stat()) αρχείου `%s': %s"
+msgid "monitored file `%s` changed (mtime)"
+msgstr ""
 
-#: nscd/cache.c:331
+#: nscd/cache.c:341
 #, c-format
 msgid "pruning %s cache; time %ld"
 msgstr ""
 
-#: nscd/cache.c:360
+#: nscd/cache.c:370
 #, c-format
 msgid "considering %s entry \"%s\", timeout %<PRIu64>"
 msgstr ""
@@ -4029,159 +4025,220 @@ msgstr "αδύνατη η ενεργοποίηση υποδοχής για απ
 msgid "cannot enable socket to accept connections: %s"
 msgstr "αδύνατη η ενεργοποίηση υποδοχής για αποδοχή συνδέσεων: %s"
 
-#: nscd/connections.c:984
+#: nscd/connections.c:973
+#, c-format
+msgid "disabled inotify-based monitoring for file `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:977
+#, c-format
+msgid "monitoring file `%s` (%d)"
+msgstr ""
+
+#: nscd/connections.c:990
 #, c-format
-msgid "register trace file %s for database %s"
+msgid "disabled inotify-based monitoring for directory `%s': %s"
 msgstr ""
 
-#: nscd/connections.c:1114
+#: nscd/connections.c:994
+#, fuzzy, c-format
+msgid "monitoring directory `%s` (%d)"
+msgstr "%s: Δεν είναι δυνατόν να δημιουργηθεί ο κατάλογος %s: %s\n"
+
+#: nscd/connections.c:1022
+#, c-format
+msgid "monitoring file %s for database %s"
+msgstr ""
+
+#: nscd/connections.c:1032
+#, c-format
+msgid "stat failed for file `%s'; will try again later: %s"
+msgstr ""
+
+#: nscd/connections.c:1151
 #, c-format
 msgid "provide access to FD %d, for %s"
 msgstr ""
 
-#: nscd/connections.c:1126
+#: nscd/connections.c:1163
 #, c-format
 msgid "cannot handle old request version %d; current version is %d"
 msgstr "δε μπορεί να εξυπηρετηθεί η αίτηση παλαιάς έκδοσης %d, η τρέχουσα έκδοση είναι %d"
 
-#: nscd/connections.c:1148
+#: nscd/connections.c:1185
 #, c-format
 msgid "request from %ld not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1153
+#: nscd/connections.c:1190
 #, c-format
 msgid "request from '%s' [%ld] not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1158
+#: nscd/connections.c:1195
 msgid "request not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1196 nscd/connections.c:1249
+#: nscd/connections.c:1233 nscd/connections.c:1286
 #, c-format
 msgid "cannot write result: %s"
 msgstr "αδυναμία εγγραφής αποτελέσματος: %s"
 
-#: nscd/connections.c:1340
+#: nscd/connections.c:1377
 #, fuzzy, c-format
 #| msgid "error getting callers id: %s"
 msgid "error getting caller's id: %s"
 msgstr "σφάλμα στη λήψη της ταυτότητας αυτού που κάλεσε: %s"
 
-#: nscd/connections.c:1400
+#: nscd/connections.c:1437
 #, c-format
 msgid "cannot open /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1414
+#: nscd/connections.c:1451
 #, c-format
 msgid "cannot read /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1454
+#: nscd/connections.c:1491
 #, c-format
 msgid "cannot change to old UID: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1464
+#: nscd/connections.c:1501
 #, c-format
 msgid "cannot change to old GID: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1477
+#: nscd/connections.c:1514
 #, c-format
 msgid "cannot change to old working directory: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1523
+#: nscd/connections.c:1560
 #, c-format
 msgid "re-exec failed: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1532
+#: nscd/connections.c:1569
 #, c-format
 msgid "cannot change current working directory to \"/\": %s"
 msgstr ""
 
-#: nscd/connections.c:1725
+#: nscd/connections.c:1762
 #, c-format
 msgid "short read while reading request: %s"
 msgstr "σύντομη ανάγνωση κατά την αίτηση ανάγνωσης: %s"
 
-#: nscd/connections.c:1758
+#: nscd/connections.c:1795
 #, fuzzy, c-format
 msgid "key length in request too long: %d"
 msgstr "το μήκος κλειδιού στην αίτηση είναι πολύ μεγάλο: %Zd"
 
-#: nscd/connections.c:1771
+#: nscd/connections.c:1808
 #, c-format
 msgid "short read while reading request key: %s"
 msgstr "σύντομη ανάγνωση κατά την ανάγνωση του κλειδιού αίτησης: %s"
 
-#: nscd/connections.c:1781
+#: nscd/connections.c:1818
 #, fuzzy, c-format
 #| msgid "handle_request: request received (Version = %d)"
 msgid "handle_request: request received (Version = %d) from PID %ld"
 msgstr "handle_request: λήψη αίτησης (Έκδοση = %d)"
 
-#: nscd/connections.c:1786
+#: nscd/connections.c:1823
 #, c-format
 msgid "handle_request: request received (Version = %d)"
 msgstr "handle_request: λήψη αίτησης (Έκδοση = %d)"
 
-#: nscd/connections.c:2050 nscd/connections.c:2252
+#: nscd/connections.c:1963
+#, c-format
+msgid "ignored inotify event for `%s` (file exists)"
+msgstr ""
+
+#: nscd/connections.c:1968
+#, c-format
+msgid "monitored file `%s` was %s, removing watch"
+msgstr ""
+
+#: nscd/connections.c:1976 nscd/connections.c:2018
+#, c-format
+msgid "failed to remove file watch `%s`: %s"
+msgstr ""
+
+#: nscd/connections.c:1991
+#, c-format
+msgid "monitored file `%s` was written to"
+msgstr ""
+
+#: nscd/connections.c:2015
+#, c-format
+msgid "monitored parent directory `%s` was %s, removing watch on `%s`"
+msgstr ""
+
+#: nscd/connections.c:2041
+#, c-format
+msgid "monitored file `%s` was %s, adding watch"
+msgstr ""
+
+#: nscd/connections.c:2053
+#, fuzzy, c-format
+#| msgid "failed to load shared object `%s'"
+msgid "failed to add file watch `%s`: %s"
+msgstr "αποτυχία φόρτωσης διαμοιραζομένου αντικειμένου `%s'"
+
+#: nscd/connections.c:2247 nscd/connections.c:2428
 #, c-format
-msgid "disabled inotify after read error %d"
+msgid "disabled inotify-based monitoring after read error %d"
 msgstr ""
 
-#: nscd/connections.c:2375
+#: nscd/connections.c:2543
 msgid "could not initialize conditional variable"
 msgstr ""
 
-#: nscd/connections.c:2383
+#: nscd/connections.c:2551
 msgid "could not start clean-up thread; terminating"
 msgstr ""
 
-#: nscd/connections.c:2397
+#: nscd/connections.c:2565
 msgid "could not start any worker thread; terminating"
 msgstr ""
 
-#: nscd/connections.c:2452 nscd/connections.c:2454 nscd/connections.c:2470
-#: nscd/connections.c:2480 nscd/connections.c:2498 nscd/connections.c:2509
-#: nscd/connections.c:2519
+#: nscd/connections.c:2620 nscd/connections.c:2622 nscd/connections.c:2638
+#: nscd/connections.c:2648 nscd/connections.c:2666 nscd/connections.c:2677
+#: nscd/connections.c:2687
 #, c-format
 msgid "Failed to run nscd as user '%s'"
 msgstr ""
 
-#: nscd/connections.c:2472
+#: nscd/connections.c:2640
 msgid "initial getgrouplist failed"
 msgstr ""
 
-#: nscd/connections.c:2481
+#: nscd/connections.c:2649
 #, fuzzy
 #| msgid "lstat failed"
 msgid "getgrouplist failed"
 msgstr "το lstat απέτυχε"
 
-#: nscd/connections.c:2499
+#: nscd/connections.c:2667
 #, fuzzy
 #| msgid "fstat failed"
 msgid "setgroups failed"
 msgstr "το fstat απέτυχε"
 
-#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:410
+#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:411
 #: nscd/pwdcache.c:383 nscd/servicescache.c:338
 #, c-format
 msgid "short write in %s: %s"
 msgstr "σύντομη ανάγνωση στο %s: %s"
 
-#: nscd/grpcache.c:450 nscd/initgrcache.c:77
+#: nscd/grpcache.c:450 nscd/initgrcache.c:78
 #, c-format
 msgid "Haven't found \"%s\" in group cache!"
 msgstr "Δε βρέθηκε το \"%s\" στην λανθάνουσα μνήμη ομάδας!"
 
-#: nscd/grpcache.c:452 nscd/initgrcache.c:79
+#: nscd/grpcache.c:452 nscd/initgrcache.c:80
 #, fuzzy, c-format
 #| msgid "Haven't found \"%s\" in group cache!"
 msgid "Reloading \"%s\" in group cache!"
@@ -4277,7 +4334,7 @@ msgstr "Χρήση ξεχωριστής λανθάνουσας μνήμης γι
 msgid "Name Service Cache Daemon."
 msgstr "Λανθάνουσα Υπηρεσία Εξυπηρέτησης Αντιστοιχιών Ονομάτων."
 
-#: nscd/nscd.c:155 nss/getent.c:1003 nss/makedb.c:206
+#: nscd/nscd.c:155 nss/getent.c:1007 nss/makedb.c:206
 #, c-format
 msgid "wrong number of arguments"
 msgstr "λάθος αριθμός παραμέτρων"
@@ -4314,7 +4371,7 @@ msgstr ""
 msgid "Could not create log file"
 msgstr "Αδύνατη η δημιουργία αρχείου καταγραφών \"%s\""
 
-#: nscd/nscd.c:355 nscd/nscd_stat.c:192
+#: nscd/nscd.c:355 nscd/nscd_stat.c:194
 #, c-format
 msgid "write incomplete"
 msgstr "μη πλήρης εγγραφή"
@@ -4330,7 +4387,7 @@ msgstr "αδύνατη η φόρτωση δεδομένων προφίλ"
 msgid "invalidation failed"
 msgstr "Η τροποποίηση απέτυχε"
 
-#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:173
+#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:175
 #, c-format
 msgid "Only root is allowed to use this option!"
 msgstr "Μόνο ο διαχειριστής επιτρέπετε να χρησιμοποιήσει αυτήν την επιλογή!"
@@ -4413,36 +4470,36 @@ msgstr ""
 msgid "maximum file size for %s database too small"
 msgstr ""
 
-#: nscd/nscd_stat.c:142
+#: nscd/nscd_stat.c:144
 #, c-format
 msgid "cannot write statistics: %s"
 msgstr "αδυναμία εγγραφής στατιστικών: %s"
 
-#: nscd/nscd_stat.c:157
+#: nscd/nscd_stat.c:159
 msgid "yes"
 msgstr ""
 
-#: nscd/nscd_stat.c:158
+#: nscd/nscd_stat.c:160
 msgid "no"
 msgstr ""
 
-#: nscd/nscd_stat.c:169
+#: nscd/nscd_stat.c:171
 #, fuzzy, c-format
 #| msgid "Only root is allowed to use this option!"
 msgid "Only root or %s is allowed to use this option!"
 msgstr "Μόνο ο διαχειριστής επιτρέπετε να χρησιμοποιήσει αυτήν την επιλογή!"
 
-#: nscd/nscd_stat.c:180
+#: nscd/nscd_stat.c:182
 #, c-format
 msgid "nscd not running!\n"
 msgstr "το nscd δεν εκτελείτε!\n"
 
-#: nscd/nscd_stat.c:204
+#: nscd/nscd_stat.c:206
 #, c-format
 msgid "cannot read statistics data"
 msgstr "αδύνατη η ανάγνωση δεδομένων στατιστικών"
 
-#: nscd/nscd_stat.c:207
+#: nscd/nscd_stat.c:209
 #, c-format
 msgid ""
 "nscd configuration:\n"
@@ -4453,27 +4510,27 @@ msgstr ""
 "\n"
 "%15d  επίπεδο εκσφαλμάτωσης εξυπηρετητή\n"
 
-#: nscd/nscd_stat.c:231
+#: nscd/nscd_stat.c:233
 #, c-format
 msgid "%3ud %2uh %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:234
+#: nscd/nscd_stat.c:236
 #, c-format
 msgid "    %2uh %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:236
+#: nscd/nscd_stat.c:238
 #, c-format
 msgid "        %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:238
+#: nscd/nscd_stat.c:240
 #, c-format
 msgid "            %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:240
+#: nscd/nscd_stat.c:242
 #, c-format
 msgid ""
 "%15d  current number of threads\n"
@@ -4484,7 +4541,7 @@ msgid ""
 "%15u  reload count\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:275
+#: nscd/nscd_stat.c:277
 #, fuzzy, c-format
 #| msgid ""
 #| "\n"
@@ -4555,93 +4612,93 @@ msgstr "Δε βρέθηκε το \"%s\" στην λανθάνουσα μνήμη
 msgid "Invalid numeric uid \"%s\"!"
 msgstr ""
 
-#: nscd/selinux.c:155
+#: nscd/selinux.c:154
 #, c-format
 msgid "Failed opening connection to the audit subsystem: %m"
 msgstr ""
 
-#: nscd/selinux.c:176
+#: nscd/selinux.c:175
 msgid "Failed to set keep-capabilities"
 msgstr ""
 
-#: nscd/selinux.c:177 nscd/selinux.c:240
+#: nscd/selinux.c:176 nscd/selinux.c:239
 msgid "prctl(KEEPCAPS) failed"
 msgstr ""
 
-#: nscd/selinux.c:191
+#: nscd/selinux.c:190
 msgid "Failed to initialize drop of capabilities"
 msgstr ""
 
-#: nscd/selinux.c:192
+#: nscd/selinux.c:191
 #, fuzzy
 #| msgid "fstat failed"
 msgid "cap_init failed"
 msgstr "το fstat απέτυχε"
 
-#: nscd/selinux.c:213 nscd/selinux.c:230
+#: nscd/selinux.c:212 nscd/selinux.c:229
 msgid "Failed to drop capabilities"
 msgstr ""
 
-#: nscd/selinux.c:214 nscd/selinux.c:231
+#: nscd/selinux.c:213 nscd/selinux.c:230
 #, fuzzy
 #| msgid "cache_set: victim alloc failed"
 msgid "cap_set_proc failed"
 msgstr "cache_set: η εκχώρηση θύματος απέτυχε"
 
-#: nscd/selinux.c:239
+#: nscd/selinux.c:238
 msgid "Failed to unset keep-capabilities"
 msgstr ""
 
-#: nscd/selinux.c:255
+#: nscd/selinux.c:254
 msgid "Failed to determine if kernel supports SELinux"
 msgstr ""
 
-#: nscd/selinux.c:270
+#: nscd/selinux.c:269
 msgid "Failed to start AVC thread"
 msgstr ""
 
-#: nscd/selinux.c:292
+#: nscd/selinux.c:291
 #, fuzzy
 #| msgid "Unable to create callback"
 msgid "Failed to create AVC lock"
 msgstr "Αδύνατη η δημιουργία διαδικασίας ανάδρασης"
 
-#: nscd/selinux.c:332
+#: nscd/selinux.c:331
 msgid "Failed to start AVC"
 msgstr ""
 
-#: nscd/selinux.c:334
+#: nscd/selinux.c:333
 msgid "Access Vector Cache (AVC) started"
 msgstr ""
 
-#: nscd/selinux.c:369
+#: nscd/selinux.c:368
 msgid "Error querying policy for undefined object classes or permissions."
 msgstr ""
 
-#: nscd/selinux.c:376
+#: nscd/selinux.c:375
 msgid "Error getting security class for nscd."
 msgstr ""
 
-#: nscd/selinux.c:381
+#: nscd/selinux.c:380
 #, c-format
 msgid "Error translating permission name \"%s\" to access vector bit."
 msgstr ""
 
-#: nscd/selinux.c:391
+#: nscd/selinux.c:390
 msgid "Error getting context of socket peer"
 msgstr ""
 
-#: nscd/selinux.c:396
+#: nscd/selinux.c:395
 #, fuzzy
 #| msgid "error getting callers id: %s"
 msgid "Error getting context of nscd"
 msgstr "σφάλμα στη λήψη της ταυτότητας αυτού που κάλεσε: %s"
 
-#: nscd/selinux.c:402
+#: nscd/selinux.c:401
 msgid "Error getting sid from context"
 msgstr ""
 
-#: nscd/selinux.c:440
+#: nscd/selinux.c:439
 #, c-format
 msgid ""
 "\n"
@@ -4698,17 +4755,17 @@ msgstr "getent - λήψη καταχωρήσεων από διαχειρηστι
 msgid "Enumeration not supported on %s\n"
 msgstr "Η λειτουργία δεν υποστηρίζεται"
 
-#: nss/getent.c:917
+#: nss/getent.c:921
 #, fuzzy, c-format
 #| msgid "Unknown database: %s\n"
 msgid "Unknown database name"
 msgstr "Άγνωστη βάση δεδομένων: %s\n"
 
-#: nss/getent.c:947
+#: nss/getent.c:951
 msgid "Supported databases:\n"
 msgstr ""
 
-#: nss/getent.c:1013
+#: nss/getent.c:1017
 #, c-format
 msgid "Unknown database: %s\n"
 msgstr "Άγνωστη βάση δεδομένων: %s\n"
@@ -5003,7 +5060,7 @@ msgstr "Αταίριαστο ) ή \\)"
 msgid "No previous regular expression"
 msgstr "Δεν υπάρχει προηγούμενη κανονική έκφραση"
 
-#: posix/wordexp.c:1844
+#: posix/wordexp.c:1851
 msgid "parameter null or not set"
 msgstr ""
 
@@ -7743,6 +7800,13 @@ msgstr "%s: Δεν είναι δυνατόν να δημιουργηθεί ο κ
 #~ msgid "broadcast: ioctl (get interface flags)"
 #~ msgstr "broadcast: ioctl (λήψη ενδείξεις υποδοχής)"
 
+#, fuzzy
+#~ msgid "cannot load shared object file"
+#~ msgstr "αποτυχία φόρτωσης διαμοιραζομένου αντικειμένου `%s'"
+
+#~ msgid "cannot stat() file `%s': %s"
+#~ msgstr "αδυναμία προσπέλασης(stat()) αρχείου `%s': %s"
+
 #~ msgid "character `%s' not defined while needed as default value"
 #~ msgstr "ο χαρακτήρας `%s' δεν ορίστηκε ενώ χρειάζεται σαν προκαθορισμένη τιμή"
 
diff --git a/po/eo.po b/po/eo.po
index d9f98d0..555f012 100644
--- a/po/eo.po
+++ b/po/eo.po
@@ -9,7 +9,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: libc 2.19.90\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2015-01-20 22:14-0500\n"
+"POT-Creation-Date: 2015-07-31 00:10-0400\n"
 "PO-Revision-Date: 2014-08-31 23:02+0200\n"
 "Last-Translator: Benno Schulenberg <benno@vertaalt.nl>\n"
 "Language-Team: Esperanto <translation-team-eo@lists.sourceforge.net>\n"
@@ -149,10 +149,10 @@ msgstr ""
 "[ELIGDOSIERO [ENIGDOSIERO...]]"
 
 #: catgets/gencat.c:229 debug/pcprofiledump.c:209 elf/ldconfig.c:307
-#: elf/pldd.c:244 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
+#: elf/pldd.c:252 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
 #: iconv/iconvconfig.c:379 locale/programs/locale.c:277
 #: locale/programs/localedef.c:376 login/programs/pt_chown.c:88
-#: malloc/memusagestat.c:563 nss/getent.c:969 nss/makedb.c:369
+#: malloc/memusagestat.c:563 nss/getent.c:973 nss/makedb.c:369
 #: posix/getconf.c:486 sunrpc/rpcinfo.c:691
 #: sysdeps/unix/sysv/linux/lddlibc4.c:61
 #, c-format
@@ -164,7 +164,7 @@ msgstr ""
 "  %s.\n"
 
 #: catgets/gencat.c:245 debug/pcprofiledump.c:225 debug/xtrace.sh:64
-#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:260 elf/sotruss.sh:75
+#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:268 elf/sotruss.sh:75
 #: elf/sprof.c:389 iconv/iconv_prog.c:425 iconv/iconvconfig.c:396
 #: locale/programs/locale.c:294 locale/programs/localedef.c:402
 #: login/programs/pt_chown.c:62 malloc/memusage.sh:71
@@ -181,7 +181,7 @@ msgstr ""
 "Doniĝas NENIA GARANTIO; eĉ ne por KOMERCKVALITO aŭ ADEKVATECO POR IU CELO.\n"
 
 #: catgets/gencat.c:250 debug/pcprofiledump.c:230 debug/xtrace.sh:68
-#: elf/ldconfig.c:328 elf/pldd.c:265 elf/sprof.c:395 iconv/iconv_prog.c:430
+#: elf/ldconfig.c:328 elf/pldd.c:273 elf/sprof.c:395 iconv/iconv_prog.c:430
 #: iconv/iconvconfig.c:401 locale/programs/locale.c:299
 #: locale/programs/localedef.c:407 malloc/memusage.sh:75
 #: malloc/memusagestat.c:586 nscd/nscd.c:514 nss/getent.c:91 nss/makedb.c:390
@@ -427,11 +427,11 @@ msgstr "Malsukcesis ŝanĝi la atingpermesojn por %s al %#o"
 msgid "Renaming of %s to %s failed"
 msgstr "Malsukcesis alinomi %s al %s"
 
-#: elf/dl-close.c:385 elf/dl-open.c:470
+#: elf/dl-close.c:396 elf/dl-open.c:478
 msgid "cannot create scope list"
 msgstr "ne eblas krei ampleksliston"
 
-#: elf/dl-close.c:770
+#: elf/dl-close.c:816
 msgid "shared object not open"
 msgstr "komuna objekto ne estas malferma"
 
@@ -504,127 +504,127 @@ msgstr ""
 msgid "cannot stat shared object"
 msgstr "malsukcesis eltrovi statinformon pri komuna objekto"
 
-#: elf/dl-load.c:963
+#: elf/dl-load.c:962
 msgid "cannot open zero fill device"
 msgstr ""
 
-#: elf/dl-load.c:1010 elf/dl-load.c:2165
+#: elf/dl-load.c:1009 elf/dl-load.c:2159
 msgid "cannot create shared object descriptor"
 msgstr ""
 
-#: elf/dl-load.c:1029 elf/dl-load.c:1570 elf/dl-load.c:1682
+#: elf/dl-load.c:1028 elf/dl-load.c:1568 elf/dl-load.c:1680
 msgid "cannot read file data"
 msgstr "ne eblas legi dosierdatumojn"
 
-#: elf/dl-load.c:1069
+#: elf/dl-load.c:1068
 msgid "ELF load command alignment not page-aligned"
 msgstr ""
 
-#: elf/dl-load.c:1076
+#: elf/dl-load.c:1075
 msgid "ELF load command address/offset not properly aligned"
 msgstr ""
 
-#: elf/dl-load.c:1160
+#: elf/dl-load.c:1159
 msgid "cannot allocate TLS data structures for initial thread"
 msgstr ""
 
-#: elf/dl-load.c:1183
+#: elf/dl-load.c:1182
 msgid "cannot handle TLS data"
 msgstr ""
 
-#: elf/dl-load.c:1202
+#: elf/dl-load.c:1201
 msgid "object file has no loadable segments"
 msgstr ""
 
-#: elf/dl-load.c:1211 elf/dl-load.c:1662
+#: elf/dl-load.c:1210 elf/dl-load.c:1660
 msgid "cannot dynamically load executable"
 msgstr ""
 
-#: elf/dl-load.c:1232
+#: elf/dl-load.c:1231
 msgid "object file has no dynamic section"
 msgstr ""
 
-#: elf/dl-load.c:1255
+#: elf/dl-load.c:1254
 msgid "shared object cannot be dlopen()ed"
 msgstr ""
 
-#: elf/dl-load.c:1268
+#: elf/dl-load.c:1267
 msgid "cannot allocate memory for program header"
 msgstr ""
 
-#: elf/dl-load.c:1284 elf/dl-open.c:195
+#: elf/dl-load.c:1283 elf/dl-open.c:195
 msgid "invalid caller"
 msgstr "nevalida vokanto"
 
-#: elf/dl-load.c:1307 elf/dl-load.h:130
+#: elf/dl-load.c:1306 elf/dl-load.h:130
 msgid "cannot change memory protections"
 msgstr ""
 
-#: elf/dl-load.c:1327
+#: elf/dl-load.c:1326
 msgid "cannot enable executable stack as shared object requires"
 msgstr ""
 
-#: elf/dl-load.c:1340
+#: elf/dl-load.c:1339
 msgid "cannot close file descriptor"
 msgstr "ne eblas fermi dosierpriaĵon"
 
-#: elf/dl-load.c:1570
+#: elf/dl-load.c:1568
 msgid "file too short"
 msgstr "dosiero tro mallongas"
 
-#: elf/dl-load.c:1605
+#: elf/dl-load.c:1603
 msgid "invalid ELF header"
 msgstr "nevalida ELF-ĉapo"
 
-#: elf/dl-load.c:1617
+#: elf/dl-load.c:1615
 msgid "ELF file data encoding not big-endian"
 msgstr ""
 
-#: elf/dl-load.c:1619
+#: elf/dl-load.c:1617
 msgid "ELF file data encoding not little-endian"
 msgstr ""
 
-#: elf/dl-load.c:1623
+#: elf/dl-load.c:1621
 msgid "ELF file version ident does not match current one"
 msgstr ""
 
-#: elf/dl-load.c:1627
+#: elf/dl-load.c:1625
 msgid "ELF file OS ABI invalid"
 msgstr ""
 
-#: elf/dl-load.c:1630
+#: elf/dl-load.c:1628
 msgid "ELF file ABI version invalid"
 msgstr ""
 
-#: elf/dl-load.c:1633
+#: elf/dl-load.c:1631
 msgid "nonzero padding in e_ident"
 msgstr ""
 
-#: elf/dl-load.c:1636
+#: elf/dl-load.c:1634
 msgid "internal error"
 msgstr "**interna programmiso**"
 
-#: elf/dl-load.c:1643
+#: elf/dl-load.c:1641
 msgid "ELF file version does not match current one"
 msgstr ""
 
-#: elf/dl-load.c:1651
+#: elf/dl-load.c:1649
 msgid "only ET_DYN and ET_EXEC can be loaded"
 msgstr ""
 
-#: elf/dl-load.c:1667
+#: elf/dl-load.c:1665
 msgid "ELF file's phentsize not the expected size"
 msgstr ""
 
-#: elf/dl-load.c:2184
+#: elf/dl-load.c:2178
 msgid "wrong ELF class: ELFCLASS64"
 msgstr "malĝusta ELF-klaso: ELFCLASS64"
 
-#: elf/dl-load.c:2185
+#: elf/dl-load.c:2179
 msgid "wrong ELF class: ELFCLASS32"
 msgstr "malĝusta ELF-klaso: ELFCLASS32"
 
-#: elf/dl-load.c:2188
+#: elf/dl-load.c:2182
 msgid "cannot open shared object file"
 msgstr "ne eblas malfermi komunan objektdosieron"
 
@@ -636,11 +636,11 @@ msgstr ""
 msgid "cannot map zero-fill pages"
 msgstr ""
 
-#: elf/dl-lookup.c:791
+#: elf/dl-lookup.c:845
 msgid "relocation error"
 msgstr ""
 
-#: elf/dl-lookup.c:818
+#: elf/dl-lookup.c:872
 msgid "symbol lookup error"
 msgstr ""
 
@@ -648,49 +648,40 @@ msgstr ""
 msgid "cannot extend global scope"
 msgstr ""
 
-#: elf/dl-open.c:520
+#: elf/dl-open.c:528
 msgid "TLS generation counter wrapped!  Please report this."
 msgstr ""
 
-#: elf/dl-open.c:542
-msgid "cannot load any more object with static TLS"
-msgstr ""
-
-#: elf/dl-open.c:599
+#: elf/dl-open.c:592
 msgid "invalid mode for dlopen()"
 msgstr "nevalida moduso por 'dlopen()'"
 
-#: elf/dl-open.c:616
+#: elf/dl-open.c:609
 msgid "no more namespaces available for dlmopen()"
 msgstr ""
 
-#: elf/dl-open.c:634
+#: elf/dl-open.c:633
 msgid "invalid target namespace in dlmopen()"
 msgstr ""
 
-#: elf/dl-reloc.c:120
+#: elf/dl-reloc.c:121
 msgid "cannot allocate memory in static TLS block"
 msgstr ""
 
-#: elf/dl-reloc.c:212
+#: elf/dl-reloc.c:206
 msgid "cannot make segment writable for relocation"
 msgstr ""
 
-#: elf/dl-reloc.c:275
-#, c-format
-msgid "%s: no PLTREL found in object %s\n"
-msgstr ""
-
-#: elf/dl-reloc.c:290
+#: elf/dl-reloc.c:276
 #, c-format
 msgid "%s: out of memory to store relocation results for %s\n"
 msgstr ""
 
-#: elf/dl-reloc.c:306
+#: elf/dl-reloc.c:292
 msgid "cannot restore segment prot after reloc"
 msgstr ""
 
-#: elf/dl-reloc.c:335
+#: elf/dl-reloc.c:323
 msgid "cannot apply additional memory protection after relocation"
 msgstr ""
 
@@ -698,7 +689,7 @@ msgstr ""
 msgid "RTLD_NEXT used in code not dynamically loaded"
 msgstr ""
 
-#: elf/dl-tls.c:933
+#: elf/dl-tls.c:934
 msgid "cannot create TLS data structures"
 msgstr ""
 
@@ -845,7 +836,7 @@ msgstr ""
 msgid "Can't open directory %s"
 msgstr "ne eblas malfermi dosierujon %s"
 
-#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:90
+#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:97
 #, c-format
 msgid "Input file %s not found.\n"
 msgstr "Eniga dosiero %s ne troviĝas.\n"
@@ -969,7 +960,7 @@ msgstr "mankas dosieraj argumentoj"
 msgid "No such file or directory"
 msgstr "Dosiero aŭ dosierujo ne ekzistas"
 
-#: elf/ldd.bash.in:150 inet/rcmd.c:488
+#: elf/ldd.bash.in:150 inet/rcmd.c:492
 msgid "not regular file"
 msgstr "ne estas normala dosiero"
 
@@ -1014,65 +1005,71 @@ msgstr "ne eblas legi 'r_debug'"
 msgid "cannot read program interpreter"
 msgstr "ne eblas legi programinterpretilon"
 
-#: elf/pldd-xx.c:196
+#: elf/pldd-xx.c:197
 #, c-format
 msgid "cannot read link map"
 msgstr "ne eblas legi ligojmapon"
 
-#: elf/pldd-xx.c:207
+#: elf/pldd-xx.c:209
 #, c-format
 msgid "cannot read object name"
 msgstr "ne eblas legi objektnomon"
 
-#: elf/pldd.c:63
+#: elf/pldd-xx.c:219
+#, fuzzy, c-format
+#| msgid "unable to allocate buffer for input"
+msgid "cannot allocate buffer for object name"
+msgstr "mankas sufiĉa memoro por eniga bufro"
+
+#: elf/pldd.c:64
 msgid "List dynamic shared objects loaded into process."
 msgstr ""
 
-#: elf/pldd.c:67
+#: elf/pldd.c:68
 msgid "PID"
 msgstr ""
 
-#: elf/pldd.c:99
+#: elf/pldd.c:100
 #, c-format
 msgid "Exactly one parameter with process ID required.\n"
 msgstr ""
 
-#: elf/pldd.c:111
+#: elf/pldd.c:112
 #, c-format
 msgid "invalid process ID '%s'"
 msgstr "nevalida indiko de procezo: '%s'"
 
-#: elf/pldd.c:119
+#: elf/pldd.c:120
 #, c-format
 msgid "cannot open %s"
 msgstr "ne eblas malfermi %s"
 
-#: elf/pldd.c:144
+#: elf/pldd.c:152
 #, c-format
 msgid "cannot open %s/task"
 msgstr "ne eblas malfermi %s/task"
 
-#: elf/pldd.c:147
+#: elf/pldd.c:155
 #, c-format
 msgid "cannot prepare reading %s/task"
 msgstr "ne eblas prepari legado de %s/task"
 
-#: elf/pldd.c:160
+#: elf/pldd.c:168
 #, c-format
 msgid "invalid thread ID '%s'"
 msgstr ""
 
-#: elf/pldd.c:171
+#: elf/pldd.c:179
 #, c-format
 msgid "cannot attach to process %lu"
 msgstr ""
 
-#: elf/pldd.c:286
+#: elf/pldd.c:294
 #, c-format
 msgid "cannot get information about process %lu"
 msgstr "ne eblas ekhavi informon pri procezo %lu"
 
-#: elf/pldd.c:299
+#: elf/pldd.c:307
 #, c-format
 msgid "process %lu is no ELF program"
 msgstr "procezo %lu ne estas ELF-programo"
@@ -1107,27 +1104,27 @@ msgstr ""
 msgid "more than one dynamic segment\n"
 msgstr "pli ol unu dinamika segmento\n"
 
-#: elf/readlib.c:96
+#: elf/readlib.c:103
 #, c-format
 msgid "Cannot fstat file %s.\n"
 msgstr "Malsukcesis eltrovi statinformon pri %s.\n"
 
-#: elf/readlib.c:107
+#: elf/readlib.c:114
 #, c-format
 msgid "File %s is empty, not checked."
 msgstr "Dosiero %s vakas; ne kontroliĝas."
 
-#: elf/readlib.c:113
+#: elf/readlib.c:120
 #, c-format
 msgid "File %s is too small, not checked."
 msgstr "Dosiero %s tro malgrandas; ne kontroliĝas."
 
-#: elf/readlib.c:123
+#: elf/readlib.c:130
 #, c-format
 msgid "Cannot mmap file %s.\n"
 msgstr "Malsukcesis meti tutan dosieron %s en memoro.\n"
 
-#: elf/readlib.c:161
+#: elf/readlib.c:169
 #, c-format
 msgid "%s is not an ELF file - it has the wrong magic bytes at the start.\n"
 msgstr ""
@@ -1246,9 +1243,9 @@ msgstr ""
 msgid "failed to load shared object `%s'"
 msgstr ""
 
-#: elf/sprof.c:442
+#: elf/sprof.c:442 elf/sprof.c:825 elf/sprof.c:923
 #, c-format
-msgid "cannot create internal descriptors"
+msgid "cannot create internal descriptor"
 msgstr ""
 
 #: elf/sprof.c:554
@@ -1316,11 +1313,6 @@ msgstr ""
 msgid "error while closing the profiling data file"
 msgstr ""
 
-#: elf/sprof.c:825 elf/sprof.c:923
-#, c-format
-msgid "cannot create internal descriptor"
-msgstr ""
-
 #: elf/sprof.c:899
 #, c-format
 msgid "`%s' is no correct profile data file for `%s'"
@@ -1570,27 +1562,27 @@ msgstr ""
 msgid "rcmd: %s: short read"
 msgstr ""
 
-#: inet/rcmd.c:486
+#: inet/rcmd.c:490
 msgid "lstat failed"
 msgstr "malsukcesis eltrovi statinformon"
 
-#: inet/rcmd.c:493
+#: inet/rcmd.c:497
 msgid "cannot open"
 msgstr "ne eblas malfermi"
 
-#: inet/rcmd.c:495
+#: inet/rcmd.c:499
 msgid "fstat failed"
 msgstr "malsukcesis eltrovi statinformon"
 
-#: inet/rcmd.c:497
+#: inet/rcmd.c:501
 msgid "bad owner"
 msgstr ""
 
-#: inet/rcmd.c:499
+#: inet/rcmd.c:503
 msgid "writeable by other than owner"
 msgstr ""
 
-#: inet/rcmd.c:501
+#: inet/rcmd.c:505
 msgid "hard linked somewhere"
 msgstr ""
 
@@ -1710,8 +1702,8 @@ msgid "no symbolic name given for end of range"
 msgstr "ne indikatas simbola nomo por fino de gamo"
 
 #: locale/programs/charmap.c:610 locale/programs/ld-address.c:528
-#: locale/programs/ld-collate.c:2626 locale/programs/ld-collate.c:3784
-#: locale/programs/ld-ctype.c:2162 locale/programs/ld-ctype.c:2913
+#: locale/programs/ld-collate.c:2635 locale/programs/ld-collate.c:3793
+#: locale/programs/ld-ctype.c:2128 locale/programs/ld-ctype.c:2840
 #: locale/programs/ld-identification.c:368
 #: locale/programs/ld-measurement.c:215 locale/programs/ld-messages.c:298
 #: locale/programs/ld-monetary.c:740 locale/programs/ld-name.c:264
@@ -1737,8 +1729,8 @@ msgid "%s: error in state machine"
 msgstr "%s: **interna programmiso** en statmaŝino"
 
 #: locale/programs/charmap.c:850 locale/programs/ld-address.c:544
-#: locale/programs/ld-collate.c:2623 locale/programs/ld-collate.c:3977
-#: locale/programs/ld-ctype.c:2159 locale/programs/ld-ctype.c:2930
+#: locale/programs/ld-collate.c:2632 locale/programs/ld-collate.c:3986
+#: locale/programs/ld-ctype.c:2125 locale/programs/ld-ctype.c:2857
 #: locale/programs/ld-identification.c:384
 #: locale/programs/ld-measurement.c:231 locale/programs/ld-messages.c:314
 #: locale/programs/ld-monetary.c:756 locale/programs/ld-name.c:280
@@ -1759,7 +1751,7 @@ msgstr "nekonata signo «%s»"
 msgid "number of bytes for byte sequence of beginning and end of range not the same: %d vs %d"
 msgstr ""
 
-#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2903
+#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2912
 #: locale/programs/repertoire.c:419
 msgid "invalid names for character range"
 msgstr "nevalidaj nomoj por signogamo"
@@ -1783,8 +1775,8 @@ msgstr "suba limo en gamo pli grandas ol supra limo"
 msgid "resulting bytes for range not representable."
 msgstr ""
 
-#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1565
-#: locale/programs/ld-ctype.c:465 locale/programs/ld-identification.c:133
+#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1566
+#: locale/programs/ld-ctype.c:431 locale/programs/ld-identification.c:133
 #: locale/programs/ld-measurement.c:94 locale/programs/ld-messages.c:97
 #: locale/programs/ld-monetary.c:193 locale/programs/ld-name.c:94
 #: locale/programs/ld-numeric.c:98 locale/programs/ld-paper.c:91
@@ -1848,7 +1840,7 @@ msgid "%s: numeric country code `%d' not valid"
 msgstr ""
 
 #: locale/programs/ld-address.c:436 locale/programs/ld-address.c:473
-#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2537
+#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2489
 #: locale/programs/ld-identification.c:280
 #: locale/programs/ld-measurement.c:198 locale/programs/ld-messages.c:267
 #: locale/programs/ld-monetary.c:495 locale/programs/ld-monetary.c:530
@@ -1870,8 +1862,8 @@ msgstr ""
 msgid "%s: unknown character in field `%s'"
 msgstr ""
 
-#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3782
-#: locale/programs/ld-ctype.c:2910 locale/programs/ld-identification.c:365
+#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3791
+#: locale/programs/ld-ctype.c:2837 locale/programs/ld-identification.c:365
 #: locale/programs/ld-measurement.c:212 locale/programs/ld-messages.c:296
 #: locale/programs/ld-monetary.c:738 locale/programs/ld-name.c:262
 #: locale/programs/ld-numeric.c:324 locale/programs/ld-paper.c:212
@@ -1880,12 +1872,12 @@ msgstr ""
 msgid "%s: incomplete `END' line"
 msgstr ""
 
-#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:551
-#: locale/programs/ld-collate.c:603 locale/programs/ld-collate.c:899
-#: locale/programs/ld-collate.c:912 locale/programs/ld-collate.c:2592
-#: locale/programs/ld-collate.c:2613 locale/programs/ld-collate.c:3967
-#: locale/programs/ld-ctype.c:1891 locale/programs/ld-ctype.c:2149
-#: locale/programs/ld-ctype.c:2735 locale/programs/ld-ctype.c:2921
+#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:552
+#: locale/programs/ld-collate.c:604 locale/programs/ld-collate.c:900
+#: locale/programs/ld-collate.c:913 locale/programs/ld-collate.c:2601
+#: locale/programs/ld-collate.c:2622 locale/programs/ld-collate.c:3976
+#: locale/programs/ld-ctype.c:1857 locale/programs/ld-ctype.c:2115
+#: locale/programs/ld-ctype.c:2687 locale/programs/ld-ctype.c:2848
 #: locale/programs/ld-identification.c:375
 #: locale/programs/ld-measurement.c:222 locale/programs/ld-messages.c:305
 #: locale/programs/ld-monetary.c:747 locale/programs/ld-name.c:271
@@ -1895,476 +1887,476 @@ msgstr ""
 msgid "%s: syntax error"
 msgstr "%s: sintakseraro"
 
-#: locale/programs/ld-collate.c:426
+#: locale/programs/ld-collate.c:427
 #, c-format
 msgid "`%.*s' already defined in charmap"
 msgstr ""
 
-#: locale/programs/ld-collate.c:435
+#: locale/programs/ld-collate.c:436
 #, c-format
 msgid "`%.*s' already defined in repertoire"
 msgstr ""
 
-#: locale/programs/ld-collate.c:442
+#: locale/programs/ld-collate.c:443
 #, c-format
 msgid "`%.*s' already defined as collating symbol"
 msgstr ""
 
-#: locale/programs/ld-collate.c:449
+#: locale/programs/ld-collate.c:450
 #, c-format
 msgid "`%.*s' already defined as collating element"
 msgstr ""
 
-#: locale/programs/ld-collate.c:480 locale/programs/ld-collate.c:506
+#: locale/programs/ld-collate.c:481 locale/programs/ld-collate.c:507
 #, c-format
 msgid "%s: `forward' and `backward' are mutually excluding each other"
 msgstr ""
 
-#: locale/programs/ld-collate.c:490 locale/programs/ld-collate.c:516
-#: locale/programs/ld-collate.c:532
+#: locale/programs/ld-collate.c:491 locale/programs/ld-collate.c:517
+#: locale/programs/ld-collate.c:533
 #, c-format
 msgid "%s: `%s' mentioned more than once in definition of weight %d"
 msgstr ""
 
-#: locale/programs/ld-collate.c:588
+#: locale/programs/ld-collate.c:589
 #, c-format
 msgid "%s: too many rules; first entry only had %d"
 msgstr ""
 
-#: locale/programs/ld-collate.c:624
+#: locale/programs/ld-collate.c:625
 #, c-format
 msgid "%s: not enough sorting rules"
 msgstr ""
 
-#: locale/programs/ld-collate.c:789
+#: locale/programs/ld-collate.c:790
 #, c-format
 msgid "%s: empty weight string not allowed"
 msgstr ""
 
-#: locale/programs/ld-collate.c:884
+#: locale/programs/ld-collate.c:885
 #, c-format
 msgid "%s: weights must use the same ellipsis symbol as the name"
 msgstr ""
 
-#: locale/programs/ld-collate.c:940
+#: locale/programs/ld-collate.c:941
 #, c-format
 msgid "%s: too many values"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1060 locale/programs/ld-collate.c:1235
+#: locale/programs/ld-collate.c:1061 locale/programs/ld-collate.c:1236
 #, c-format
 msgid "order for `%.*s' already defined at %s:%Zu"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1110
+#: locale/programs/ld-collate.c:1111
 #, c-format
 msgid "%s: the start and the end symbol of a range must stand for characters"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1137
+#: locale/programs/ld-collate.c:1138
 #, c-format
 msgid "%s: byte sequences of first and last character must have the same length"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1179
+#: locale/programs/ld-collate.c:1180
 #, c-format
 msgid "%s: byte sequence of first character of range is not lower than that of the last character"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1304
+#: locale/programs/ld-collate.c:1305
 #, c-format
 msgid "%s: symbolic range ellipsis must not directly follow `order_start'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1308
+#: locale/programs/ld-collate.c:1309
 #, c-format
 msgid "%s: symbolic range ellipsis must not be directly followed by `order_end'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1328 locale/programs/ld-ctype.c:1408
+#: locale/programs/ld-collate.c:1329 locale/programs/ld-ctype.c:1374
 #, c-format
 msgid "`%s' and `%.*s' are not valid names for symbolic range"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1378 locale/programs/ld-collate.c:3718
+#: locale/programs/ld-collate.c:1379 locale/programs/ld-collate.c:3727
 #, c-format
 msgid "%s: order for `%.*s' already defined at %s:%Zu"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1387
+#: locale/programs/ld-collate.c:1388
 #, c-format
 msgid "%s: `%s' must be a character"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1582
+#: locale/programs/ld-collate.c:1583
 #, c-format
 msgid "%s: `position' must be used for a specific level in all sections or none"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1607
+#: locale/programs/ld-collate.c:1608
 #, c-format
 msgid "symbol `%s' not defined"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1683 locale/programs/ld-collate.c:1789
+#: locale/programs/ld-collate.c:1684 locale/programs/ld-collate.c:1790
 #, c-format
 msgid "symbol `%s' has the same encoding as"
 msgstr "simbolo «%s» havas la saman kodon kiel"
 
-#: locale/programs/ld-collate.c:1687 locale/programs/ld-collate.c:1793
+#: locale/programs/ld-collate.c:1688 locale/programs/ld-collate.c:1794
 #, c-format
 msgid "symbol `%s'"
 msgstr "simbolo «%s»"
 
-#: locale/programs/ld-collate.c:1833
+#: locale/programs/ld-collate.c:1834
 #, c-format
 msgid "no definition of `UNDEFINED'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1862
+#: locale/programs/ld-collate.c:1863
 #, c-format
 msgid "too many errors; giving up"
 msgstr ""
 
-#: locale/programs/ld-collate.c:2518 locale/programs/ld-collate.c:3906
+#: locale/programs/ld-collate.c:2527 locale/programs/ld-collate.c:3915
 #, c-format
 msgid "%s: nested conditionals not supported"
 msgstr ""
 
-#: locale/programs/ld-collate.c:2536
+#: locale/programs/ld-collate.c:2545
 #, c-format
 msgid "%s: more than one 'else'"
 msgstr "%s: pli ol unu 'else'"
 
-#: locale/programs/ld-collate.c:2711
+#: locale/programs/ld-collate.c:2720
 #, c-format
 msgid "%s: duplicate definition of `%s'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:2747
+#: locale/programs/ld-collate.c:2756
 #, c-format
 msgid "%s: duplicate declaration of section `%s'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:2883
+#: locale/programs/ld-collate.c:2892
 #, c-format
 msgid "%s: unknown character in collating symbol name"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3012
+#: locale/programs/ld-collate.c:3021
 #, c-format
 msgid "%s: unknown character in equivalent definition name"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3023
+#: locale/programs/ld-collate.c:3032
 #, c-format
 msgid "%s: unknown character in equivalent definition value"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3033
+#: locale/programs/ld-collate.c:3042
 #, c-format
 msgid "%s: unknown symbol `%s' in equivalent definition"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3042
+#: locale/programs/ld-collate.c:3051
 msgid "error while adding equivalent collating symbol"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3080
+#: locale/programs/ld-collate.c:3089
 #, c-format
 msgid "duplicate definition of script `%s'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3128
+#: locale/programs/ld-collate.c:3137
 #, c-format
 msgid "%s: unknown section name `%.*s'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3157
+#: locale/programs/ld-collate.c:3166
 #, c-format
 msgid "%s: multiple order definitions for section `%s'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3185
+#: locale/programs/ld-collate.c:3194
 #, c-format
 msgid "%s: invalid number of sorting rules"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3212
+#: locale/programs/ld-collate.c:3221
 #, c-format
 msgid "%s: multiple order definitions for unnamed section"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3267 locale/programs/ld-collate.c:3397
-#: locale/programs/ld-collate.c:3760
+#: locale/programs/ld-collate.c:3276 locale/programs/ld-collate.c:3406
+#: locale/programs/ld-collate.c:3769
 #, c-format
 msgid "%s: missing `order_end' keyword"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3330
+#: locale/programs/ld-collate.c:3339
 #, c-format
 msgid "%s: order for collating symbol %.*s not yet defined"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3348
+#: locale/programs/ld-collate.c:3357
 #, c-format
 msgid "%s: order for collating element %.*s not yet defined"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3359
+#: locale/programs/ld-collate.c:3368
 #, c-format
 msgid "%s: cannot reorder after %.*s: symbol not known"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3411 locale/programs/ld-collate.c:3772
+#: locale/programs/ld-collate.c:3420 locale/programs/ld-collate.c:3781
 #, c-format
 msgid "%s: missing `reorder-end' keyword"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3445 locale/programs/ld-collate.c:3643
+#: locale/programs/ld-collate.c:3454 locale/programs/ld-collate.c:3652
 #, c-format
 msgid "%s: section `%.*s' not known"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3510
+#: locale/programs/ld-collate.c:3519
 #, c-format
 msgid "%s: bad symbol <%.*s>"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3706
+#: locale/programs/ld-collate.c:3715
 #, c-format
 msgid "%s: cannot have `%s' as end of ellipsis range"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3756
+#: locale/programs/ld-collate.c:3765
 #, c-format
 msgid "%s: empty category description not allowed"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3775
+#: locale/programs/ld-collate.c:3784
 #, c-format
 msgid "%s: missing `reorder-sections-end' keyword"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3939
+#: locale/programs/ld-collate.c:3948
 #, c-format
 msgid "%s: '%s' without matching 'ifdef' or 'ifndef'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3957
+#: locale/programs/ld-collate.c:3966
 #, c-format
 msgid "%s: 'endif' without matching 'ifdef' or 'ifndef'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:484
+#: locale/programs/ld-ctype.c:450
 #, c-format
 msgid "No character set name specified in charmap"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:513
+#: locale/programs/ld-ctype.c:479
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must be in class `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:528
+#: locale/programs/ld-ctype.c:494
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must not be in class `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:542 locale/programs/ld-ctype.c:600
+#: locale/programs/ld-ctype.c:508 locale/programs/ld-ctype.c:566
 #, c-format
 msgid "internal error in %s, line %u"
 msgstr "**interna programmiso** en %s, linio %u"
 
-#: locale/programs/ld-ctype.c:571
+#: locale/programs/ld-ctype.c:537
 #, c-format
 msgid "character '%s' in class `%s' must be in class `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:587
+#: locale/programs/ld-ctype.c:553
 #, c-format
 msgid "character '%s' in class `%s' must not be in class `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:617 locale/programs/ld-ctype.c:655
+#: locale/programs/ld-ctype.c:583 locale/programs/ld-ctype.c:621
 #, c-format
 msgid "<SP> character not in class `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:629 locale/programs/ld-ctype.c:666
+#: locale/programs/ld-ctype.c:595 locale/programs/ld-ctype.c:632
 #, c-format
 msgid "<SP> character must not be in class `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:644
+#: locale/programs/ld-ctype.c:610
 #, c-format
 msgid "character <SP> not defined in character map"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:780
+#: locale/programs/ld-ctype.c:746
 #, c-format
 msgid "`digit' category has not entries in groups of ten"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:829
+#: locale/programs/ld-ctype.c:795
 #, c-format
 msgid "no input digits defined and none of the standard names in the charmap"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:894
+#: locale/programs/ld-ctype.c:860
 #, c-format
 msgid "not all characters used in `outdigit' are available in the charmap"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:911
+#: locale/programs/ld-ctype.c:877
 #, c-format
 msgid "not all characters used in `outdigit' are available in the repertoire"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1176
+#: locale/programs/ld-ctype.c:1142
 #, c-format
 msgid "character class `%s' already defined"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1182
+#: locale/programs/ld-ctype.c:1148
 #, c-format
 msgid "implementation limit: no more than %Zd character classes allowed"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1208
+#: locale/programs/ld-ctype.c:1174
 #, c-format
 msgid "character map `%s' already defined"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1214
+#: locale/programs/ld-ctype.c:1180
 #, c-format
 msgid "implementation limit: no more than %d character maps allowed"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1479 locale/programs/ld-ctype.c:1604
-#: locale/programs/ld-ctype.c:1710 locale/programs/ld-ctype.c:2400
-#: locale/programs/ld-ctype.c:3397
+#: locale/programs/ld-ctype.c:1445 locale/programs/ld-ctype.c:1570
+#: locale/programs/ld-ctype.c:1676 locale/programs/ld-ctype.c:2352
+#: locale/programs/ld-ctype.c:3324
 #, c-format
 msgid "%s: field `%s' does not contain exactly ten entries"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1507 locale/programs/ld-ctype.c:2081
+#: locale/programs/ld-ctype.c:1473 locale/programs/ld-ctype.c:2047
 #, c-format
 msgid "to-value <U%0*X> of range is smaller than from-value <U%0*X>"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1634
+#: locale/programs/ld-ctype.c:1600
 msgid "start and end character sequence of range must have the same length"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1641
+#: locale/programs/ld-ctype.c:1607
 msgid "to-value character sequence is smaller than from-value sequence"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2001 locale/programs/ld-ctype.c:2052
+#: locale/programs/ld-ctype.c:1967 locale/programs/ld-ctype.c:2018
 msgid "premature end of `translit_ignore' definition"
 msgstr "trofrua fino de difino de 'translit_ignore'"
 
-#: locale/programs/ld-ctype.c:2007 locale/programs/ld-ctype.c:2058
-#: locale/programs/ld-ctype.c:2100
+#: locale/programs/ld-ctype.c:1973 locale/programs/ld-ctype.c:2024
+#: locale/programs/ld-ctype.c:2066
 msgid "syntax error"
 msgstr "sintakseraro"
 
-#: locale/programs/ld-ctype.c:2233
+#: locale/programs/ld-ctype.c:2199
 #, c-format
 msgid "%s: syntax error in definition of new character class"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2248
+#: locale/programs/ld-ctype.c:2214
 #, c-format
 msgid "%s: syntax error in definition of new character map"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2422
+#: locale/programs/ld-ctype.c:2374
 msgid "ellipsis range must be marked by two operands of same type"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2431
+#: locale/programs/ld-ctype.c:2383
 msgid "with symbolic name range values the absolute ellipsis `...' must not be used"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2446
+#: locale/programs/ld-ctype.c:2398
 msgid "with UCS range values one must use the hexadecimal symbolic ellipsis `..'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2460
+#: locale/programs/ld-ctype.c:2412
 msgid "with character code range values one must use the absolute ellipsis `...'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2611
+#: locale/programs/ld-ctype.c:2563
 #, c-format
 msgid "duplicated definition for mapping `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2697 locale/programs/ld-ctype.c:2841
+#: locale/programs/ld-ctype.c:2649 locale/programs/ld-ctype.c:2793
 #, c-format
 msgid "%s: `translit_start' section does not end with `translit_end'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2792
+#: locale/programs/ld-ctype.c:2744
 #, c-format
 msgid "%s: duplicate `default_missing' definition"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2797
+#: locale/programs/ld-ctype.c:2749
 msgid "previous definition was here"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2819
+#: locale/programs/ld-ctype.c:2771
 #, c-format
 msgid "%s: no representable `default_missing' definition found"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2962 locale/programs/ld-ctype.c:3059
-#: locale/programs/ld-ctype.c:3079 locale/programs/ld-ctype.c:3100
-#: locale/programs/ld-ctype.c:3121 locale/programs/ld-ctype.c:3142
-#: locale/programs/ld-ctype.c:3163 locale/programs/ld-ctype.c:3203
-#: locale/programs/ld-ctype.c:3224 locale/programs/ld-ctype.c:3289
-#: locale/programs/ld-ctype.c:3331 locale/programs/ld-ctype.c:3356
+#: locale/programs/ld-ctype.c:2889 locale/programs/ld-ctype.c:2986
+#: locale/programs/ld-ctype.c:3006 locale/programs/ld-ctype.c:3027
+#: locale/programs/ld-ctype.c:3048 locale/programs/ld-ctype.c:3069
+#: locale/programs/ld-ctype.c:3090 locale/programs/ld-ctype.c:3130
+#: locale/programs/ld-ctype.c:3151 locale/programs/ld-ctype.c:3216
+#: locale/programs/ld-ctype.c:3258 locale/programs/ld-ctype.c:3283
 #, c-format
 msgid "%s: character `%s' not defined while needed as default value"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2967 locale/programs/ld-ctype.c:3064
-#: locale/programs/ld-ctype.c:3084 locale/programs/ld-ctype.c:3105
-#: locale/programs/ld-ctype.c:3126 locale/programs/ld-ctype.c:3147
-#: locale/programs/ld-ctype.c:3168 locale/programs/ld-ctype.c:3208
-#: locale/programs/ld-ctype.c:3229 locale/programs/ld-ctype.c:3294
+#: locale/programs/ld-ctype.c:2894 locale/programs/ld-ctype.c:2991
+#: locale/programs/ld-ctype.c:3011 locale/programs/ld-ctype.c:3032
+#: locale/programs/ld-ctype.c:3053 locale/programs/ld-ctype.c:3074
+#: locale/programs/ld-ctype.c:3095 locale/programs/ld-ctype.c:3135
+#: locale/programs/ld-ctype.c:3156 locale/programs/ld-ctype.c:3221
 #, c-format
 msgid "%s: character `%s' in charmap not representable with one byte"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3338 locale/programs/ld-ctype.c:3363
+#: locale/programs/ld-ctype.c:3265 locale/programs/ld-ctype.c:3290
 #, c-format
 msgid "%s: character `%s' needed as default value not representable with one byte"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3419
+#: locale/programs/ld-ctype.c:3346
 #, c-format
 msgid "no output digits defined and none of the standard names in the charmap"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3668
+#: locale/programs/ld-ctype.c:3595
 #, c-format
 msgid "%s: transliteration data from locale `%s' not available"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3768
+#: locale/programs/ld-ctype.c:3695
 #, c-format
 msgid "%s: table for class \"%s\": %lu bytes\n"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3833
+#: locale/programs/ld-ctype.c:3760
 #, c-format
 msgid "%s: table for map \"%s\": %lu bytes\n"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3958
+#: locale/programs/ld-ctype.c:3885
 #, c-format
 msgid "%s: table for width: %lu bytes\n"
 msgstr ""
@@ -3744,17 +3736,23 @@ msgstr "aldoni novan eron \"%s\" de tipo %s por %s al kaŝmemoron%s"
 msgid " (first)"
 msgstr " (unua)"
 
-#: nscd/cache.c:285 nscd/connections.c:1000
-#, c-format
-msgid "cannot stat() file `%s': %s"
+#: nscd/cache.c:288
+#, fuzzy, c-format
+#| msgid "cannot stat() file `%s': %s"
+msgid "checking for monitored file `%s': %s"
 msgstr "malsukcesis eltrovi statinformon pri dosiero '%s': %s"
 
-#: nscd/cache.c:331
+#: nscd/cache.c:298
+#, c-format
+msgid "monitored file `%s` changed (mtime)"
+msgstr ""
+
+#: nscd/cache.c:341
 #, c-format
 msgid "pruning %s cache; time %ld"
 msgstr "pritondo de %s-kaŝmemoro; tempo %ld"
 
-#: nscd/cache.c:360
+#: nscd/cache.c:370
 #, c-format
 msgid "considering %s entry \"%s\", timeout %<PRIu64>"
 msgstr "konsidero de %s-ero \"%s\", templimo %<PRIu64>"
@@ -3840,153 +3838,215 @@ msgstr ""
 msgid "cannot enable socket to accept connections: %s"
 msgstr ""
 
-#: nscd/connections.c:984
+#: nscd/connections.c:973
+#, c-format
+msgid "disabled inotify-based monitoring for file `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:977
+#, c-format
+msgid "monitoring file `%s` (%d)"
+msgstr ""
+
+#: nscd/connections.c:990
+#, c-format
+msgid "disabled inotify-based monitoring for directory `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:994
+#, fuzzy, c-format
+#| msgid "Can't open directory %s"
+msgid "monitoring directory `%s` (%d)"
+msgstr "ne eblas malfermi dosierujon %s"
+
+#: nscd/connections.c:1022
+#, fuzzy, c-format
+#| msgid "maximum file size for %s database too small"
+msgid "monitoring file %s for database %s"
+msgstr "tro malgrandas maksimuma dosiergrando por %s-datumbazo"
+
+#: nscd/connections.c:1032
 #, c-format
-msgid "register trace file %s for database %s"
+msgid "stat failed for file `%s'; will try again later: %s"
 msgstr ""
 
-#: nscd/connections.c:1114
+#: nscd/connections.c:1151
 #, c-format
 msgid "provide access to FD %d, for %s"
 msgstr ""
 
-#: nscd/connections.c:1126
+#: nscd/connections.c:1163
 #, c-format
 msgid "cannot handle old request version %d; current version is %d"
 msgstr ""
 
-#: nscd/connections.c:1148
+#: nscd/connections.c:1185
 #, c-format
 msgid "request from %ld not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1153
+#: nscd/connections.c:1190
 #, c-format
 msgid "request from '%s' [%ld] not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1158
+#: nscd/connections.c:1195
 msgid "request not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1196 nscd/connections.c:1249
+#: nscd/connections.c:1233 nscd/connections.c:1286
 #, c-format
 msgid "cannot write result: %s"
 msgstr "ne eblas skribi rezulton: %s"
 
-#: nscd/connections.c:1340
+#: nscd/connections.c:1377
 #, c-format
 msgid "error getting caller's id: %s"
 msgstr ""
 
-#: nscd/connections.c:1400
+#: nscd/connections.c:1437
 #, c-format
 msgid "cannot open /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1414
+#: nscd/connections.c:1451
 #, c-format
 msgid "cannot read /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1454
+#: nscd/connections.c:1491
 #, c-format
 msgid "cannot change to old UID: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1464
+#: nscd/connections.c:1501
 #, c-format
 msgid "cannot change to old GID: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1477
+#: nscd/connections.c:1514
 #, c-format
 msgid "cannot change to old working directory: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1523
+#: nscd/connections.c:1560
 #, c-format
 msgid "re-exec failed: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1532
+#: nscd/connections.c:1569
 #, c-format
 msgid "cannot change current working directory to \"/\": %s"
 msgstr ""
 
-#: nscd/connections.c:1725
+#: nscd/connections.c:1762
 #, c-format
 msgid "short read while reading request: %s"
 msgstr ""
 
-#: nscd/connections.c:1758
+#: nscd/connections.c:1795
 #, c-format
 msgid "key length in request too long: %d"
 msgstr ""
 
-#: nscd/connections.c:1771
+#: nscd/connections.c:1808
 #, c-format
 msgid "short read while reading request key: %s"
 msgstr ""
 
-#: nscd/connections.c:1781
+#: nscd/connections.c:1818
 #, c-format
 msgid "handle_request: request received (Version = %d) from PID %ld"
 msgstr ""
 
-#: nscd/connections.c:1786
+#: nscd/connections.c:1823
 #, c-format
 msgid "handle_request: request received (Version = %d)"
 msgstr ""
 
-#: nscd/connections.c:2050 nscd/connections.c:2252
+#: nscd/connections.c:1963
 #, c-format
-msgid "disabled inotify after read error %d"
+msgid "ignored inotify event for `%s` (file exists)"
 msgstr ""
 
-#: nscd/connections.c:2375
+#: nscd/connections.c:1968
+#, c-format
+msgid "monitored file `%s` was %s, removing watch"
+msgstr ""
+
+#: nscd/connections.c:1976 nscd/connections.c:2018
+#, c-format
+msgid "failed to remove file watch `%s`: %s"
+msgstr ""
+
+#: nscd/connections.c:1991
+#, c-format
+msgid "monitored file `%s` was written to"
+msgstr ""
+
+#: nscd/connections.c:2015
+#, c-format
+msgid "monitored parent directory `%s` was %s, removing watch on `%s`"
+msgstr ""
+
+#: nscd/connections.c:2041
+#, c-format
+msgid "monitored file `%s` was %s, adding watch"
+msgstr ""
+
+#: nscd/connections.c:2053
+#, c-format
+msgid "failed to add file watch `%s`: %s"
+msgstr ""
+
+#: nscd/connections.c:2247 nscd/connections.c:2428
+#, c-format
+msgid "disabled inotify-based monitoring after read error %d"
+msgstr ""
+
+#: nscd/connections.c:2543
 msgid "could not initialize conditional variable"
 msgstr ""
 
-#: nscd/connections.c:2383
+#: nscd/connections.c:2551
 msgid "could not start clean-up thread; terminating"
 msgstr ""
 
-#: nscd/connections.c:2397
+#: nscd/connections.c:2565
 msgid "could not start any worker thread; terminating"
 msgstr ""
 
-#: nscd/connections.c:2452 nscd/connections.c:2454 nscd/connections.c:2470
-#: nscd/connections.c:2480 nscd/connections.c:2498 nscd/connections.c:2509
-#: nscd/connections.c:2519
+#: nscd/connections.c:2620 nscd/connections.c:2622 nscd/connections.c:2638
+#: nscd/connections.c:2648 nscd/connections.c:2666 nscd/connections.c:2677
+#: nscd/connections.c:2687
 #, c-format
 msgid "Failed to run nscd as user '%s'"
 msgstr ""
 
-#: nscd/connections.c:2472
+#: nscd/connections.c:2640
 msgid "initial getgrouplist failed"
 msgstr ""
 
-#: nscd/connections.c:2481
+#: nscd/connections.c:2649
 msgid "getgrouplist failed"
 msgstr ""
 
-#: nscd/connections.c:2499
+#: nscd/connections.c:2667
 msgid "setgroups failed"
 msgstr ""
 
-#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:410
+#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:411
 #: nscd/pwdcache.c:383 nscd/servicescache.c:338
 #, c-format
 msgid "short write in %s: %s"
 msgstr ""
 
-#: nscd/grpcache.c:450 nscd/initgrcache.c:77
+#: nscd/grpcache.c:450 nscd/initgrcache.c:78
 #, c-format
 msgid "Haven't found \"%s\" in group cache!"
 msgstr ""
 
-#: nscd/grpcache.c:452 nscd/initgrcache.c:79
+#: nscd/grpcache.c:452 nscd/initgrcache.c:80
 #, c-format
 msgid "Reloading \"%s\" in group cache!"
 msgstr ""
@@ -4074,7 +4134,7 @@ msgstr "uzi apartan kaŝmemoron por ĉiu uzanto"
 msgid "Name Service Cache Daemon."
 msgstr "Nomserva kaŝmemora servo."
 
-#: nscd/nscd.c:155 nss/getent.c:1003 nss/makedb.c:206
+#: nscd/nscd.c:155 nss/getent.c:1007 nss/makedb.c:206
 #, c-format
 msgid "wrong number of arguments"
 msgstr "malĝusta nombro de argumentoj"
@@ -4107,7 +4167,7 @@ msgstr "ne eblas ŝanĝi aktualan dosierujon al «/»"
 msgid "Could not create log file"
 msgstr "ne eblas krei protokolan dosieron"
 
-#: nscd/nscd.c:355 nscd/nscd_stat.c:192
+#: nscd/nscd.c:355 nscd/nscd_stat.c:194
 #, c-format
 msgid "write incomplete"
 msgstr "skribo ne kompletiĝis"
@@ -4122,7 +4182,7 @@ msgstr "ne eblas legi malvalidigan konsenton"
 msgid "invalidation failed"
 msgstr "malsukcesis malvalidigo"
 
-#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:173
+#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:175
 #, c-format
 msgid "Only root is allowed to use this option!"
 msgstr "Nur sistemestro rajtas uzi ĉi tiun opcion!"
@@ -4207,35 +4267,35 @@ msgstr "ne eblas eltrovi aktualan dosierujon: %s; malŝaltiĝas timegema moduso"
 msgid "maximum file size for %s database too small"
 msgstr "tro malgrandas maksimuma dosiergrando por %s-datumbazo"
 
-#: nscd/nscd_stat.c:142
+#: nscd/nscd_stat.c:144
 #, c-format
 msgid "cannot write statistics: %s"
 msgstr "ne eblas skribi statistikojn: %s"
 
-#: nscd/nscd_stat.c:157
+#: nscd/nscd_stat.c:159
 msgid "yes"
 msgstr "jes"
 
-#: nscd/nscd_stat.c:158
+#: nscd/nscd_stat.c:160
 msgid "no"
 msgstr "ne"
 
-#: nscd/nscd_stat.c:169
+#: nscd/nscd_stat.c:171
 #, c-format
 msgid "Only root or %s is allowed to use this option!"
 msgstr "Nur sistemestro aŭ %s rajtas uzi ĉi tiun opcion!"
 
-#: nscd/nscd_stat.c:180
+#: nscd/nscd_stat.c:182
 #, c-format
 msgid "nscd not running!\n"
 msgstr "'nscd' ne rulas!\n"
 
-#: nscd/nscd_stat.c:204
+#: nscd/nscd_stat.c:206
 #, c-format
 msgid "cannot read statistics data"
 msgstr "ne eblas legi statistikajn datumojn"
 
-#: nscd/nscd_stat.c:207
+#: nscd/nscd_stat.c:209
 #, c-format
 msgid ""
 "nscd configuration:\n"
@@ -4243,27 +4303,27 @@ msgid ""
 "%15d  server debug level\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:231
+#: nscd/nscd_stat.c:233
 #, c-format
 msgid "%3ud %2uh %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:234
+#: nscd/nscd_stat.c:236
 #, c-format
 msgid "    %2uh %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:236
+#: nscd/nscd_stat.c:238
 #, c-format
 msgid "        %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:238
+#: nscd/nscd_stat.c:240
 #, c-format
 msgid "            %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:240
+#: nscd/nscd_stat.c:242
 #, c-format
 msgid ""
 "%15d  current number of threads\n"
@@ -4274,7 +4334,7 @@ msgid ""
 "%15u  reload count\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:275
+#: nscd/nscd_stat.c:277
 #, c-format
 msgid ""
 "\n"
@@ -4317,85 +4377,85 @@ msgstr "Reŝargo de \"%s\" en pasvortan kaŝmemoron!"
 msgid "Invalid numeric uid \"%s\"!"
 msgstr "Nevalida numera UID \"%s\"!"
 
-#: nscd/selinux.c:155
+#: nscd/selinux.c:154
 #, c-format
 msgid "Failed opening connection to the audit subsystem: %m"
 msgstr ""
 
-#: nscd/selinux.c:176
+#: nscd/selinux.c:175
 msgid "Failed to set keep-capabilities"
 msgstr ""
 
-#: nscd/selinux.c:177 nscd/selinux.c:240
+#: nscd/selinux.c:176 nscd/selinux.c:239
 msgid "prctl(KEEPCAPS) failed"
 msgstr ""
 
-#: nscd/selinux.c:191
+#: nscd/selinux.c:190
 msgid "Failed to initialize drop of capabilities"
 msgstr ""
 
-#: nscd/selinux.c:192
+#: nscd/selinux.c:191
 msgid "cap_init failed"
 msgstr ""
 
-#: nscd/selinux.c:213 nscd/selinux.c:230
+#: nscd/selinux.c:212 nscd/selinux.c:229
 msgid "Failed to drop capabilities"
 msgstr ""
 
-#: nscd/selinux.c:214 nscd/selinux.c:231
+#: nscd/selinux.c:213 nscd/selinux.c:230
 msgid "cap_set_proc failed"
 msgstr ""
 
-#: nscd/selinux.c:239
+#: nscd/selinux.c:238
 msgid "Failed to unset keep-capabilities"
 msgstr ""
 
-#: nscd/selinux.c:255
+#: nscd/selinux.c:254
 msgid "Failed to determine if kernel supports SELinux"
 msgstr ""
 
-#: nscd/selinux.c:270
+#: nscd/selinux.c:269
 msgid "Failed to start AVC thread"
 msgstr ""
 
-#: nscd/selinux.c:292
+#: nscd/selinux.c:291
 msgid "Failed to create AVC lock"
 msgstr ""
 
-#: nscd/selinux.c:332
+#: nscd/selinux.c:331
 msgid "Failed to start AVC"
 msgstr ""
 
-#: nscd/selinux.c:334
+#: nscd/selinux.c:333
 msgid "Access Vector Cache (AVC) started"
 msgstr ""
 
-#: nscd/selinux.c:369
+#: nscd/selinux.c:368
 msgid "Error querying policy for undefined object classes or permissions."
 msgstr ""
 
-#: nscd/selinux.c:376
+#: nscd/selinux.c:375
 msgid "Error getting security class for nscd."
 msgstr ""
 
-#: nscd/selinux.c:381
+#: nscd/selinux.c:380
 #, c-format
 msgid "Error translating permission name \"%s\" to access vector bit."
 msgstr ""
 
-#: nscd/selinux.c:391
+#: nscd/selinux.c:390
 msgid "Error getting context of socket peer"
 msgstr ""
 
-#: nscd/selinux.c:396
+#: nscd/selinux.c:395
 msgid "Error getting context of nscd"
 msgstr ""
 
-#: nscd/selinux.c:402
+#: nscd/selinux.c:401
 msgid "Error getting sid from context"
 msgstr ""
 
-#: nscd/selinux.c:440
+#: nscd/selinux.c:439
 #, c-format
 msgid ""
 "\n"
@@ -4447,16 +4507,16 @@ msgstr "Prenas erojn el administrativa datumbazo."
 msgid "Enumeration not supported on %s\n"
 msgstr "listigo ne subtenatas en dosiero '%s'\n"
 
-#: nss/getent.c:917
+#: nss/getent.c:921
 #, c-format
 msgid "Unknown database name"
 msgstr "nekonata datumbaznomo"
 
-#: nss/getent.c:947
+#: nss/getent.c:951
 msgid "Supported databases:\n"
 msgstr "Subtenataj datumbazoj:\n"
 
-#: nss/getent.c:1013
+#: nss/getent.c:1017
 #, c-format
 msgid "Unknown database: %s\n"
 msgstr "nekonata datumbazo: %s\n"
@@ -4729,7 +4789,7 @@ msgstr "Senpara ) aŭ \\)"
 msgid "No previous regular expression"
 msgstr "Mankas antaŭa regulesprimo"
 
-#: posix/wordexp.c:1844
+#: posix/wordexp.c:1851
 msgid "parameter null or not set"
 msgstr ""
 
diff --git a/po/es.po b/po/es.po
index d432248..9bce535 100644
--- a/po/es.po
+++ b/po/es.po
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: GNU libc 2.19.90\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2015-01-20 22:14-0500\n"
+"POT-Creation-Date: 2015-07-31 00:10-0400\n"
 "PO-Revision-Date: 2014-08-25 16:18-0700\n"
 "Last-Translator: Santiago Vila Doncel <sanvila@unex.es>\n"
 "Language-Team: Spanish <es@tp.org.es>\n"
@@ -164,10 +164,10 @@ msgstr ""
 "[FICHERO-SALIDA [FICHERO-ENTRADA]...]"
 
 #: catgets/gencat.c:229 debug/pcprofiledump.c:209 elf/ldconfig.c:307
-#: elf/pldd.c:244 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
+#: elf/pldd.c:252 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
 #: iconv/iconvconfig.c:379 locale/programs/locale.c:277
 #: locale/programs/localedef.c:376 login/programs/pt_chown.c:88
-#: malloc/memusagestat.c:563 nss/getent.c:969 nss/makedb.c:369
+#: malloc/memusagestat.c:563 nss/getent.c:973 nss/makedb.c:369
 #: posix/getconf.c:486 sunrpc/rpcinfo.c:691
 #: sysdeps/unix/sysv/linux/lddlibc4.c:61
 #, c-format
@@ -179,7 +179,7 @@ msgstr ""
 "%s.\n"
 
 #: catgets/gencat.c:245 debug/pcprofiledump.c:225 debug/xtrace.sh:64
-#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:260 elf/sotruss.sh:75
+#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:268 elf/sotruss.sh:75
 #: elf/sprof.c:389 iconv/iconv_prog.c:425 iconv/iconvconfig.c:396
 #: locale/programs/locale.c:294 locale/programs/localedef.c:402
 #: login/programs/pt_chown.c:62 malloc/memusage.sh:71
@@ -197,7 +197,7 @@ msgstr ""
 "FIN DETERMINADO.\n"
 
 #: catgets/gencat.c:250 debug/pcprofiledump.c:230 debug/xtrace.sh:68
-#: elf/ldconfig.c:328 elf/pldd.c:265 elf/sprof.c:395 iconv/iconv_prog.c:430
+#: elf/ldconfig.c:328 elf/pldd.c:273 elf/sprof.c:395 iconv/iconv_prog.c:430
 #: iconv/iconvconfig.c:401 locale/programs/locale.c:299
 #: locale/programs/localedef.c:407 malloc/memusage.sh:75
 #: malloc/memusagestat.c:586 nscd/nscd.c:514 nss/getent.c:91 nss/makedb.c:390
@@ -457,11 +457,11 @@ msgstr "El cambio de los derechos de acceso de %s a %#o falló"
 msgid "Renaming of %s to %s failed"
 msgstr "Falló el renombramiento de %s a %s"
 
-#: elf/dl-close.c:385 elf/dl-open.c:470
+#: elf/dl-close.c:396 elf/dl-open.c:478
 msgid "cannot create scope list"
 msgstr "no se puede crear la lista de ámbito"
 
-#: elf/dl-close.c:770
+#: elf/dl-close.c:816
 msgid "shared object not open"
 msgstr "el objeto compartido no está abierto"
 
@@ -541,127 +541,127 @@ msgstr "no se puede crear la matriz de la ruta de búsqueda"
 msgid "cannot stat shared object"
 msgstr "no se puede efectuar `stat' sobre el objeto compartido"
 
-#: elf/dl-load.c:963
+#: elf/dl-load.c:962
 msgid "cannot open zero fill device"
 msgstr "no se puede abrir el dispositivo de `zero fill'"
 
-#: elf/dl-load.c:1010 elf/dl-load.c:2165
+#: elf/dl-load.c:1009 elf/dl-load.c:2159
 msgid "cannot create shared object descriptor"
 msgstr "no se puede crear el descriptor del objeto compartido"
 
-#: elf/dl-load.c:1029 elf/dl-load.c:1570 elf/dl-load.c:1682
+#: elf/dl-load.c:1028 elf/dl-load.c:1568 elf/dl-load.c:1680
 msgid "cannot read file data"
 msgstr "no se pueden leer los datos del fichero"
 
-#: elf/dl-load.c:1069
+#: elf/dl-load.c:1068
 msgid "ELF load command alignment not page-aligned"
 msgstr "El alineamiento de la orden de carga ELF no está alineada a la página"
 
-#: elf/dl-load.c:1076
+#: elf/dl-load.c:1075
 msgid "ELF load command address/offset not properly aligned"
 msgstr "La dirección/desplazamiento de la orden de carga ELF no está bien alineada"
 
-#: elf/dl-load.c:1160
+#: elf/dl-load.c:1159
 msgid "cannot allocate TLS data structures for initial thread"
 msgstr "no se pueden crear las estructuras de datos TLS para el hilo inicial"
 
-#: elf/dl-load.c:1183
+#: elf/dl-load.c:1182
 msgid "cannot handle TLS data"
 msgstr "no se pueden manejar los datos de TLS"
 
-#: elf/dl-load.c:1202
+#: elf/dl-load.c:1201
 msgid "object file has no loadable segments"
 msgstr "el fichero objeto no tiene segmentos cargables"
 
-#: elf/dl-load.c:1211 elf/dl-load.c:1662
+#: elf/dl-load.c:1210 elf/dl-load.c:1660
 msgid "cannot dynamically load executable"
 msgstr "no se puede cargar el ejecutable dinámicamente"
 
-#: elf/dl-load.c:1232
+#: elf/dl-load.c:1231
 msgid "object file has no dynamic section"
 msgstr "el fichero objeto no tiene sección dinámica"
 
-#: elf/dl-load.c:1255
+#: elf/dl-load.c:1254
 msgid "shared object cannot be dlopen()ed"
 msgstr "no se puede efectuar dlopen() sobre el objeto compartido"
 
-#: elf/dl-load.c:1268
+#: elf/dl-load.c:1267
 msgid "cannot allocate memory for program header"
 msgstr "no se puede asignar memoria para la cabecera del programa"
 
-#: elf/dl-load.c:1284 elf/dl-open.c:195
+#: elf/dl-load.c:1283 elf/dl-open.c:195
 msgid "invalid caller"
 msgstr "llamante inválido"
 
-#: elf/dl-load.c:1307 elf/dl-load.h:130
+#: elf/dl-load.c:1306 elf/dl-load.h:130
 msgid "cannot change memory protections"
 msgstr "no se pueden cambiar las protecciones de memoria"
 
-#: elf/dl-load.c:1327
+#: elf/dl-load.c:1326
 msgid "cannot enable executable stack as shared object requires"
 msgstr "no se puede activar la pila ejecutable tal y como el objeto compartido necesita"
 
-#: elf/dl-load.c:1340
+#: elf/dl-load.c:1339
 msgid "cannot close file descriptor"
 msgstr "no se puede cerrar el descriptor de fichero"
 
-#: elf/dl-load.c:1570
+#: elf/dl-load.c:1568
 msgid "file too short"
 msgstr "fichero demasiado corto"
 
-#: elf/dl-load.c:1605
+#: elf/dl-load.c:1603
 msgid "invalid ELF header"
 msgstr "cabecera ELF inválida"
 
-#: elf/dl-load.c:1617
+#: elf/dl-load.c:1615
 msgid "ELF file data encoding not big-endian"
 msgstr "La codificación de los datos del fichero ELF no es `big-endian'"
 
-#: elf/dl-load.c:1619
+#: elf/dl-load.c:1617
 msgid "ELF file data encoding not little-endian"
 msgstr "La codificación de los datos del fichero ELF no es `little-endian'"
 
-#: elf/dl-load.c:1623
+#: elf/dl-load.c:1621
 msgid "ELF file version ident does not match current one"
 msgstr "La identificación de versión del fichero ELF no encaja con la actual"
 
-#: elf/dl-load.c:1627
+#: elf/dl-load.c:1625
 msgid "ELF file OS ABI invalid"
 msgstr "ABI del OS del fichero ELF inválida"
 
-#: elf/dl-load.c:1630
+#: elf/dl-load.c:1628
 msgid "ELF file ABI version invalid"
 msgstr "Versión de ABI del fichero ELF inválida"
 
-#: elf/dl-load.c:1633
+#: elf/dl-load.c:1631
 msgid "nonzero padding in e_ident"
 msgstr "relleno con no ceros en e_ident"
 
-#: elf/dl-load.c:1636
+#: elf/dl-load.c:1634
 msgid "internal error"
 msgstr "error interno"
 
-#: elf/dl-load.c:1643
+#: elf/dl-load.c:1641
 msgid "ELF file version does not match current one"
 msgstr "La versión del fichero ELF no coincide con la actual"
 
-#: elf/dl-load.c:1651
+#: elf/dl-load.c:1649
 msgid "only ET_DYN and ET_EXEC can be loaded"
 msgstr "solamente pueden cargarse ET_DYN y ET_EXEC"
 
-#: elf/dl-load.c:1667
+#: elf/dl-load.c:1665
 msgid "ELF file's phentsize not the expected size"
 msgstr "El `phentsize' del fichero ELF no es el tamaño esperado"
 
-#: elf/dl-load.c:2184
+#: elf/dl-load.c:2178
 msgid "wrong ELF class: ELFCLASS64"
 msgstr "clase ELF errónea: ELFCLASS64"
 
-#: elf/dl-load.c:2185
+#: elf/dl-load.c:2179
 msgid "wrong ELF class: ELFCLASS32"
 msgstr "clase ELF errónea: ELFCLASS32"
 
-#: elf/dl-load.c:2188
+#: elf/dl-load.c:2182
 msgid "cannot open shared object file"
 msgstr "no se puede abrir el fichero del objeto compartido"
 
@@ -673,11 +673,11 @@ msgstr "fallo al asignar un segmento del objeto compartido"
 msgid "cannot map zero-fill pages"
 msgstr "no se pueden asignar páginas de tipo `zero-fill'"
 
-#: elf/dl-lookup.c:791
+#: elf/dl-lookup.c:845
 msgid "relocation error"
 msgstr "error de relocalización"
 
-#: elf/dl-lookup.c:818
+#: elf/dl-lookup.c:872
 msgid "symbol lookup error"
 msgstr "error de búsqueda de símbolo"
 
@@ -685,50 +685,41 @@ msgstr "error de búsqueda de símbolo"
 msgid "cannot extend global scope"
 msgstr "no se puede extender el ámbito global"
 
-#: elf/dl-open.c:520
+#: elf/dl-open.c:528
 msgid "TLS generation counter wrapped!  Please report this."
 msgstr "¡El contador de generaciones TLS ha vuelto a cero! Por favor envíe un informe."
 
-#: elf/dl-open.c:542
-msgid "cannot load any more object with static TLS"
-msgstr "no se puede cargar ningún objeto más con TLS estático"
-
-#: elf/dl-open.c:599
+#: elf/dl-open.c:592
 msgid "invalid mode for dlopen()"
 msgstr "modo inválido para dlopen()"
 
-#: elf/dl-open.c:616
+#: elf/dl-open.c:609
 msgid "no more namespaces available for dlmopen()"
 msgstr "no hay más espacios de nombres disponibles para dlmopen()"
 
-#: elf/dl-open.c:634
+#: elf/dl-open.c:633
 msgid "invalid target namespace in dlmopen()"
 msgstr "espacio de nombres objetivo inválido para dlmopen()"
 
-#: elf/dl-reloc.c:120
+#: elf/dl-reloc.c:121
 msgid "cannot allocate memory in static TLS block"
 msgstr "No se pudo asignar memoria en el bloque TLS estático"
 
-#: elf/dl-reloc.c:212
+#: elf/dl-reloc.c:206
 msgid "cannot make segment writable for relocation"
 msgstr "no se puede hacer el segmento escribible para su relocalización"
 
-#: elf/dl-reloc.c:275
-#, c-format
-msgid "%s: no PLTREL found in object %s\n"
-msgstr "%s no se encontró ningún PLTREL en el objeto %s\n"
-
-#: elf/dl-reloc.c:290
+#: elf/dl-reloc.c:276
 #, c-format
 msgid "%s: out of memory to store relocation results for %s\n"
 msgstr "%s: memoria agotada para almacenar los resultados de relocalización para %s\n"
 
 # Se admiten sugerencias. sv
-#: elf/dl-reloc.c:306
+#: elf/dl-reloc.c:292
 msgid "cannot restore segment prot after reloc"
 msgstr "no se puede restaurar el `prot' del segmento después de la relocalización"
 
-#: elf/dl-reloc.c:335
+#: elf/dl-reloc.c:323
 msgid "cannot apply additional memory protection after relocation"
 msgstr "no se pueden aplicar protecciones de memoria adicionales después de relocalizar"
 
@@ -736,7 +727,7 @@ msgstr "no se pueden aplicar protecciones de memoria adicionales después de rel
 msgid "RTLD_NEXT used in code not dynamically loaded"
 msgstr "Se ha usado RTLD_NEXT en una parte del código que no se cargó dinámicamente"
 
-#: elf/dl-tls.c:933
+#: elf/dl-tls.c:934
 msgid "cannot create TLS data structures"
 msgstr "no se pueden crear las estructuras de datos TLS"
 
@@ -884,7 +875,7 @@ msgstr "No se creó el enlace ya que no se encontró el soname para %s"
 msgid "Can't open directory %s"
 msgstr "No se puede abrir el directorio %s"
 
-#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:90
+#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:97
 #, c-format
 msgid "Input file %s not found.\n"
 msgstr "No se encontró el fichero de entrada %s.\n"
@@ -1016,7 +1007,7 @@ msgid "No such file or directory"
 msgstr "No existe el fichero o el directorio"
 
 # Antes decía: .rhosts no es un fichero regular
-#: elf/ldd.bash.in:150 inet/rcmd.c:488
+#: elf/ldd.bash.in:150 inet/rcmd.c:492
 msgid "not regular file"
 msgstr "no es un fichero regular"
 
@@ -1061,65 +1052,71 @@ msgstr "no se puede leer r_debug"
 msgid "cannot read program interpreter"
 msgstr "no se puede leer el intérprete del programa"
 
-#: elf/pldd-xx.c:196
+#: elf/pldd-xx.c:197
 #, c-format
 msgid "cannot read link map"
 msgstr "no se puede leer la asignación de enlace"
 
-#: elf/pldd-xx.c:207
+#: elf/pldd-xx.c:209
 #, c-format
 msgid "cannot read object name"
 msgstr "no se puede leer el nombre del objeto"
 
-#: elf/pldd.c:63
+#: elf/pldd-xx.c:219
+#, fuzzy, c-format
+#| msgid "cannot allocate memory for program header"
+msgid "cannot allocate buffer for object name"
+msgstr "no se puede asignar memoria para la cabecera del programa"
+
+#: elf/pldd.c:64
 msgid "List dynamic shared objects loaded into process."
 msgstr "Lista los objetos compartidos dinámicos cargados en este proceso."
 
-#: elf/pldd.c:67
+#: elf/pldd.c:68
 msgid "PID"
 msgstr "PID"
 
-#: elf/pldd.c:99
+#: elf/pldd.c:100
 #, c-format
 msgid "Exactly one parameter with process ID required.\n"
 msgstr "Se requiere exactamente un parámetro con el ID de proceso.\n"
 
-#: elf/pldd.c:111
+#: elf/pldd.c:112
 #, c-format
 msgid "invalid process ID '%s'"
 msgstr "ID de proceso inválido '%s'"
 
-#: elf/pldd.c:119
+#: elf/pldd.c:120
 #, c-format
 msgid "cannot open %s"
 msgstr "no se puede abrir %s"
 
-#: elf/pldd.c:144
+#: elf/pldd.c:152
 #, c-format
 msgid "cannot open %s/task"
 msgstr "no se puede abrir %s/tarea"
 
-#: elf/pldd.c:147
+#: elf/pldd.c:155
 #, c-format
 msgid "cannot prepare reading %s/task"
 msgstr "no se puede preparar la lectura de %s/tarea"
 
-#: elf/pldd.c:160
+#: elf/pldd.c:168
 #, c-format
 msgid "invalid thread ID '%s'"
 msgstr "ID de hilo inválido '%s'"
 
-#: elf/pldd.c:171
+#: elf/pldd.c:179
 #, c-format
 msgid "cannot attach to process %lu"
 msgstr "no se puede asociar al proceso %lu"
 
-#: elf/pldd.c:286
+#: elf/pldd.c:294
 #, c-format
 msgid "cannot get information about process %lu"
 msgstr "no se puede obtener información sobre el proceso %lu"
 
-#: elf/pldd.c:299
+#: elf/pldd.c:307
 #, c-format
 msgid "process %lu is no ELF program"
 msgstr "el proceso %lu no es un programa ELF"
@@ -1154,27 +1151,27 @@ msgstr "%s no es un fichero `shared object' (Tipo: %d).\n"
 msgid "more than one dynamic segment\n"
 msgstr "más de un segmento dinámico\n"
 
-#: elf/readlib.c:96
+#: elf/readlib.c:103
 #, c-format
 msgid "Cannot fstat file %s.\n"
 msgstr "No se puede efectuar `fstat' sobre el fichero %s.\n"
 
-#: elf/readlib.c:107
+#: elf/readlib.c:114
 #, c-format
 msgid "File %s is empty, not checked."
 msgstr "El fichero %s está vacío, no se comprueba."
 
-#: elf/readlib.c:113
+#: elf/readlib.c:120
 #, c-format
 msgid "File %s is too small, not checked."
 msgstr "El fichero %s es demasiado pequeño, no se comprueba."
 
-#: elf/readlib.c:123
+#: elf/readlib.c:130
 #, c-format
 msgid "Cannot mmap file %s.\n"
 msgstr "No se puede efectuar `mmap' sobre el fichero %s.\n"
 
-#: elf/readlib.c:161
+#: elf/readlib.c:169
 #, c-format
 msgid "%s is not an ELF file - it has the wrong magic bytes at the start.\n"
 msgstr "%s no es un fichero ELF - tiene los bytes mágicos equivocados en el comienzo.\n"
@@ -1326,10 +1323,10 @@ msgstr "SHOBJ [DATOSPROF]"
 msgid "failed to load shared object `%s'"
 msgstr "fallo al cargar el objeto compartido `%s'"
 
-#: elf/sprof.c:442
+#: elf/sprof.c:442 elf/sprof.c:825 elf/sprof.c:923
 #, c-format
-msgid "cannot create internal descriptors"
-msgstr "no se pueden crear descriptores internos"
+msgid "cannot create internal descriptor"
+msgstr "no se puede crear un descriptor interno"
 
 #: elf/sprof.c:554
 #, c-format
@@ -1401,11 +1398,6 @@ msgstr "no se pudo hacer mmap con el fichero de datos de `profile'"
 msgid "error while closing the profiling data file"
 msgstr "error al cerrar el fichero de datos de `profiling'"
 
-#: elf/sprof.c:825 elf/sprof.c:923
-#, c-format
-msgid "cannot create internal descriptor"
-msgstr "no se puede crear un descriptor interno"
-
 #: elf/sprof.c:899
 #, c-format
 msgid "`%s' is no correct profile data file for `%s'"
@@ -1665,30 +1657,30 @@ msgstr "rcmd: %s: lectura insuficiente"
 
 # ## Lo mismo con lstat. sv
 # Antes decía: No se pudo obtener información (lstat) del fichero .rhosts
-#: inet/rcmd.c:486
+#: inet/rcmd.c:490
 msgid "lstat failed"
 msgstr "lstat ha fallado"
 
-#: inet/rcmd.c:493
+#: inet/rcmd.c:497
 msgid "cannot open"
 msgstr "no se puede abrir"
 
 # ## Sugerencia: Añadir (fstat) después de información. sv
 # Antes decía: No se pudo obtener información (fstat) del fichero .rhosts
-#: inet/rcmd.c:495
+#: inet/rcmd.c:499
 msgid "fstat failed"
 msgstr "fstat ha fallado"
 
 # Antes decía: El propietario del fichero .rhosts no es válido
-#: inet/rcmd.c:497
+#: inet/rcmd.c:501
 msgid "bad owner"
 msgstr "propietario incorrecto"
 
-#: inet/rcmd.c:499
+#: inet/rcmd.c:503
 msgid "writeable by other than owner"
 msgstr "puede ser modificado por otros además del propietario"
 
-#: inet/rcmd.c:501
+#: inet/rcmd.c:505
 msgid "hard linked somewhere"
 msgstr "hay un enlace duro en alguna parte"
 
@@ -1812,8 +1804,8 @@ msgid "no symbolic name given for end of range"
 msgstr "no se ha especificado ningún nombre simbólico para el final del rango"
 
 #: locale/programs/charmap.c:610 locale/programs/ld-address.c:528
-#: locale/programs/ld-collate.c:2626 locale/programs/ld-collate.c:3784
-#: locale/programs/ld-ctype.c:2162 locale/programs/ld-ctype.c:2913
+#: locale/programs/ld-collate.c:2635 locale/programs/ld-collate.c:3793
+#: locale/programs/ld-ctype.c:2128 locale/programs/ld-ctype.c:2840
 #: locale/programs/ld-identification.c:368
 #: locale/programs/ld-measurement.c:215 locale/programs/ld-messages.c:298
 #: locale/programs/ld-monetary.c:740 locale/programs/ld-name.c:264
@@ -1840,8 +1832,8 @@ msgid "%s: error in state machine"
 msgstr "%s: error en la máquina de estados"
 
 #: locale/programs/charmap.c:850 locale/programs/ld-address.c:544
-#: locale/programs/ld-collate.c:2623 locale/programs/ld-collate.c:3977
-#: locale/programs/ld-ctype.c:2159 locale/programs/ld-ctype.c:2930
+#: locale/programs/ld-collate.c:2632 locale/programs/ld-collate.c:3986
+#: locale/programs/ld-ctype.c:2125 locale/programs/ld-ctype.c:2857
 #: locale/programs/ld-identification.c:384
 #: locale/programs/ld-measurement.c:231 locale/programs/ld-messages.c:314
 #: locale/programs/ld-monetary.c:756 locale/programs/ld-name.c:280
@@ -1864,7 +1856,7 @@ msgstr ""
 "el número de bytes para la sucesión de bytes de comienzo y final del rango\n"
 "no es el mismo: %d vs %d"
 
-#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2903
+#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2912
 #: locale/programs/repertoire.c:419
 msgid "invalid names for character range"
 msgstr "nombres inválidos para el rango de caracteres"
@@ -1886,8 +1878,8 @@ msgstr "el límite superior del rango es menor que el límite inferior"
 msgid "resulting bytes for range not representable."
 msgstr "los bytes resultantes para el rango no son representables."
 
-#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1565
-#: locale/programs/ld-ctype.c:465 locale/programs/ld-identification.c:133
+#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1566
+#: locale/programs/ld-ctype.c:431 locale/programs/ld-identification.c:133
 #: locale/programs/ld-measurement.c:94 locale/programs/ld-messages.c:97
 #: locale/programs/ld-monetary.c:193 locale/programs/ld-name.c:94
 #: locale/programs/ld-numeric.c:98 locale/programs/ld-paper.c:91
@@ -1953,7 +1945,7 @@ msgid "%s: numeric country code `%d' not valid"
 msgstr "%s: el código numérico de país `%d' no es válido"
 
 #: locale/programs/ld-address.c:436 locale/programs/ld-address.c:473
-#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2537
+#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2489
 #: locale/programs/ld-identification.c:280
 #: locale/programs/ld-measurement.c:198 locale/programs/ld-messages.c:267
 #: locale/programs/ld-monetary.c:495 locale/programs/ld-monetary.c:530
@@ -1975,8 +1967,8 @@ msgstr "%s: el campo `%s' ha sido declarado más de una vez"
 msgid "%s: unknown character in field `%s'"
 msgstr "%s: carácter desconocido en el campo `%s'"
 
-#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3782
-#: locale/programs/ld-ctype.c:2910 locale/programs/ld-identification.c:365
+#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3791
+#: locale/programs/ld-ctype.c:2837 locale/programs/ld-identification.c:365
 #: locale/programs/ld-measurement.c:212 locale/programs/ld-messages.c:296
 #: locale/programs/ld-monetary.c:738 locale/programs/ld-name.c:262
 #: locale/programs/ld-numeric.c:324 locale/programs/ld-paper.c:212
@@ -1985,12 +1977,12 @@ msgstr "%s: carácter desconocido en el campo `%s'"
 msgid "%s: incomplete `END' line"
 msgstr "%s: línea `END' incompleta"
 
-#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:551
-#: locale/programs/ld-collate.c:603 locale/programs/ld-collate.c:899
-#: locale/programs/ld-collate.c:912 locale/programs/ld-collate.c:2592
-#: locale/programs/ld-collate.c:2613 locale/programs/ld-collate.c:3967
-#: locale/programs/ld-ctype.c:1891 locale/programs/ld-ctype.c:2149
-#: locale/programs/ld-ctype.c:2735 locale/programs/ld-ctype.c:2921
+#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:552
+#: locale/programs/ld-collate.c:604 locale/programs/ld-collate.c:900
+#: locale/programs/ld-collate.c:913 locale/programs/ld-collate.c:2601
+#: locale/programs/ld-collate.c:2622 locale/programs/ld-collate.c:3976
+#: locale/programs/ld-ctype.c:1857 locale/programs/ld-ctype.c:2115
+#: locale/programs/ld-ctype.c:2687 locale/programs/ld-ctype.c:2848
 #: locale/programs/ld-identification.c:375
 #: locale/programs/ld-measurement.c:222 locale/programs/ld-messages.c:305
 #: locale/programs/ld-monetary.c:747 locale/programs/ld-name.c:271
@@ -2000,463 +1992,463 @@ msgstr "%s: línea `END' incompleta"
 msgid "%s: syntax error"
 msgstr "%s: error de sintaxis"
 
-#: locale/programs/ld-collate.c:426
+#: locale/programs/ld-collate.c:427
 #, c-format
 msgid "`%.*s' already defined in charmap"
 msgstr "`%.*s' ya está definido en la tabla de caracteres"
 
-#: locale/programs/ld-collate.c:435
+#: locale/programs/ld-collate.c:436
 #, c-format
 msgid "`%.*s' already defined in repertoire"
 msgstr "`%.*s' ya está definido en el repertorio"
 
-#: locale/programs/ld-collate.c:442
+#: locale/programs/ld-collate.c:443
 #, c-format
 msgid "`%.*s' already defined as collating symbol"
 msgstr "`%.*s' ya está definido como símbolo de ordenación"
 
-#: locale/programs/ld-collate.c:449
+#: locale/programs/ld-collate.c:450
 #, c-format
 msgid "`%.*s' already defined as collating element"
 msgstr "`%.*s' ya está definido como elemento de ordenación"
 
-#: locale/programs/ld-collate.c:480 locale/programs/ld-collate.c:506
+#: locale/programs/ld-collate.c:481 locale/programs/ld-collate.c:507
 #, c-format
 msgid "%s: `forward' and `backward' are mutually excluding each other"
 msgstr "%s: `forward' y `backward' se excluyen mutuamente"
 
-#: locale/programs/ld-collate.c:490 locale/programs/ld-collate.c:516
-#: locale/programs/ld-collate.c:532
+#: locale/programs/ld-collate.c:491 locale/programs/ld-collate.c:517
+#: locale/programs/ld-collate.c:533
 #, c-format
 msgid "%s: `%s' mentioned more than once in definition of weight %d"
 msgstr "%s: `%s' mencionado más de una vez en la definición del peso %d"
 
-#: locale/programs/ld-collate.c:588
+#: locale/programs/ld-collate.c:589
 #, c-format
 msgid "%s: too many rules; first entry only had %d"
 msgstr "%s: demasiadas reglas; la primera entrada solamente tenía %d"
 
-#: locale/programs/ld-collate.c:624
+#: locale/programs/ld-collate.c:625
 #, c-format
 msgid "%s: not enough sorting rules"
 msgstr "%s: no hay suficientes reglas de ordenación"
 
-#: locale/programs/ld-collate.c:789
+#: locale/programs/ld-collate.c:790
 #, c-format
 msgid "%s: empty weight string not allowed"
 msgstr "%s: no se permite una cadena de peso vacía"
 
-#: locale/programs/ld-collate.c:884
+#: locale/programs/ld-collate.c:885
 #, c-format
 msgid "%s: weights must use the same ellipsis symbol as the name"
 msgstr "%s: los pesos deben usar el mismo símbolo de elipsis que el nombre"
 
-#: locale/programs/ld-collate.c:940
+#: locale/programs/ld-collate.c:941
 #, c-format
 msgid "%s: too many values"
 msgstr "%s: demasiados valores"
 
-#: locale/programs/ld-collate.c:1060 locale/programs/ld-collate.c:1235
+#: locale/programs/ld-collate.c:1061 locale/programs/ld-collate.c:1236
 #, c-format
 msgid "order for `%.*s' already defined at %s:%Zu"
 msgstr "el orden para `%.*s' ya está definido en %s:%Zu"
 
-#: locale/programs/ld-collate.c:1110
+#: locale/programs/ld-collate.c:1111
 #, c-format
 msgid "%s: the start and the end symbol of a range must stand for characters"
 msgstr "%s: los símbolos de comienzo y de final de un rango deben representar caracteres"
 
-#: locale/programs/ld-collate.c:1137
+#: locale/programs/ld-collate.c:1138
 #, c-format
 msgid "%s: byte sequences of first and last character must have the same length"
 msgstr ""
 "%s: los órdenes de byte de los caracteres primero y último deben tener\n"
 "la misma longitud"
 
-#: locale/programs/ld-collate.c:1179
+#: locale/programs/ld-collate.c:1180
 #, c-format
 msgid "%s: byte sequence of first character of range is not lower than that of the last character"
 msgstr ""
 "%s: el orden de byte del primer carácter del rango no es menor que\n"
 "el del último carácter"
 
-#: locale/programs/ld-collate.c:1304
+#: locale/programs/ld-collate.c:1305
 #, c-format
 msgid "%s: symbolic range ellipsis must not directly follow `order_start'"
 msgstr "%s: el rango simbólico de la elipsis no debe seguir directamente a `order_start'"
 
-#: locale/programs/ld-collate.c:1308
+#: locale/programs/ld-collate.c:1309
 #, c-format
 msgid "%s: symbolic range ellipsis must not be directly followed by `order_end'"
 msgstr "%s: el rango simbólico de la elipsis no debe estar directamente seguido por `order_end'"
 
-#: locale/programs/ld-collate.c:1328 locale/programs/ld-ctype.c:1408
+#: locale/programs/ld-collate.c:1329 locale/programs/ld-ctype.c:1374
 #, c-format
 msgid "`%s' and `%.*s' are not valid names for symbolic range"
 msgstr "`%s' y `%.*s' no son nombres válidos para el rango simbólico"
 
-#: locale/programs/ld-collate.c:1378 locale/programs/ld-collate.c:3718
+#: locale/programs/ld-collate.c:1379 locale/programs/ld-collate.c:3727
 #, c-format
 msgid "%s: order for `%.*s' already defined at %s:%Zu"
 msgstr "%s: el orden para `%.*s' ya está definido en %s:%Zu"
 
-#: locale/programs/ld-collate.c:1387
+#: locale/programs/ld-collate.c:1388
 #, c-format
 msgid "%s: `%s' must be a character"
 msgstr "%s: `%s' debe ser un carácter"
 
-#: locale/programs/ld-collate.c:1582
+#: locale/programs/ld-collate.c:1583
 #, c-format
 msgid "%s: `position' must be used for a specific level in all sections or none"
 msgstr "%s: `position' debe utilizarse para un nivel específico en todas las secciones o en ninguna"
 
-#: locale/programs/ld-collate.c:1607
+#: locale/programs/ld-collate.c:1608
 #, c-format
 msgid "symbol `%s' not defined"
 msgstr "el símbolo `%s' no está definido"
 
-#: locale/programs/ld-collate.c:1683 locale/programs/ld-collate.c:1789
+#: locale/programs/ld-collate.c:1684 locale/programs/ld-collate.c:1790
 #, c-format
 msgid "symbol `%s' has the same encoding as"
 msgstr "el símbolo `%s' tiene la misma codificación que"
 
-#: locale/programs/ld-collate.c:1687 locale/programs/ld-collate.c:1793
+#: locale/programs/ld-collate.c:1688 locale/programs/ld-collate.c:1794
 #, c-format
 msgid "symbol `%s'"
 msgstr "el símbolo `%s'"
 
-#: locale/programs/ld-collate.c:1833
+#: locale/programs/ld-collate.c:1834
 #, c-format
 msgid "no definition of `UNDEFINED'"
 msgstr "no hay definición para `UNDEFINED'"
 
-#: locale/programs/ld-collate.c:1862
+#: locale/programs/ld-collate.c:1863
 #, c-format
 msgid "too many errors; giving up"
 msgstr "demasiados errores; abandono"
 
-#: locale/programs/ld-collate.c:2518 locale/programs/ld-collate.c:3906
+#: locale/programs/ld-collate.c:2527 locale/programs/ld-collate.c:3915
 #, c-format
 msgid "%s: nested conditionals not supported"
 msgstr "%s: no se admiten condicionales anidados"
 
-#: locale/programs/ld-collate.c:2536
+#: locale/programs/ld-collate.c:2545
 #, c-format
 msgid "%s: more than one 'else'"
 msgstr "%s: más de un 'else'"
 
-#: locale/programs/ld-collate.c:2711
+#: locale/programs/ld-collate.c:2720
 #, c-format
 msgid "%s: duplicate definition of `%s'"
 msgstr "%s: definición duplicada de `%s'"
 
-#: locale/programs/ld-collate.c:2747
+#: locale/programs/ld-collate.c:2756
 #, c-format
 msgid "%s: duplicate declaration of section `%s'"
 msgstr "%s: definición duplicada de la sección `%s'"
 
-#: locale/programs/ld-collate.c:2883
+#: locale/programs/ld-collate.c:2892
 #, c-format
 msgid "%s: unknown character in collating symbol name"
 msgstr "%s: carácter desconocido en el nombre de un símbolo de ordenación"
 
-#: locale/programs/ld-collate.c:3012
+#: locale/programs/ld-collate.c:3021
 #, c-format
 msgid "%s: unknown character in equivalent definition name"
 msgstr "%s: carácter desconocido en el nombre de definición equivalente"
 
-#: locale/programs/ld-collate.c:3023
+#: locale/programs/ld-collate.c:3032
 #, c-format
 msgid "%s: unknown character in equivalent definition value"
 msgstr "%s: carácter desconocido en el valor de definición equivalente"
 
-#: locale/programs/ld-collate.c:3033
+#: locale/programs/ld-collate.c:3042
 #, c-format
 msgid "%s: unknown symbol `%s' in equivalent definition"
 msgstr "%s: símbolo desconocido `%s' en la definición equivalente"
 
-#: locale/programs/ld-collate.c:3042
+#: locale/programs/ld-collate.c:3051
 msgid "error while adding equivalent collating symbol"
 msgstr "error al añadir símbolo de ordenación equivalente"
 
-#: locale/programs/ld-collate.c:3080
+#: locale/programs/ld-collate.c:3089
 #, c-format
 msgid "duplicate definition of script `%s'"
 msgstr "definición duplicada de `script' `%s'"
 
-#: locale/programs/ld-collate.c:3128
+#: locale/programs/ld-collate.c:3137
 #, c-format
 msgid "%s: unknown section name `%.*s'"
 msgstr "%s: nombre de sección desconocido `%.*s'"
 
-#: locale/programs/ld-collate.c:3157
+#: locale/programs/ld-collate.c:3166
 #, c-format
 msgid "%s: multiple order definitions for section `%s'"
 msgstr "%s: hay varias definiciones de orden para la sección `%s'"
 
-#: locale/programs/ld-collate.c:3185
+#: locale/programs/ld-collate.c:3194
 #, c-format
 msgid "%s: invalid number of sorting rules"
 msgstr "%s: número inválido de reglas de ordenación"
 
-#: locale/programs/ld-collate.c:3212
+#: locale/programs/ld-collate.c:3221
 #, c-format
 msgid "%s: multiple order definitions for unnamed section"
 msgstr "%s: varias definiciones de orden para la sección sin nombre"
 
-#: locale/programs/ld-collate.c:3267 locale/programs/ld-collate.c:3397
-#: locale/programs/ld-collate.c:3760
+#: locale/programs/ld-collate.c:3276 locale/programs/ld-collate.c:3406
+#: locale/programs/ld-collate.c:3769
 #, c-format
 msgid "%s: missing `order_end' keyword"
 msgstr "%s: falta la palabra clave `order_end'"
 
-#: locale/programs/ld-collate.c:3330
+#: locale/programs/ld-collate.c:3339
 #, c-format
 msgid "%s: order for collating symbol %.*s not yet defined"
 msgstr "%s: el orden para el símbolo de ordenación %.*s todavía no está definido"
 
 # FIXME: ¿Por qué este y el siguiente no son iguales?
-#: locale/programs/ld-collate.c:3348
+#: locale/programs/ld-collate.c:3357
 #, c-format
 msgid "%s: order for collating element %.*s not yet defined"
 msgstr "%s: el orden para el elemento de ordenación %.*s todavía no está definido"
 
-#: locale/programs/ld-collate.c:3359
+#: locale/programs/ld-collate.c:3368
 #, c-format
 msgid "%s: cannot reorder after %.*s: symbol not known"
 msgstr "%s: no se puede reordenar después de %.*s: símbolo desconocido"
 
-#: locale/programs/ld-collate.c:3411 locale/programs/ld-collate.c:3772
+#: locale/programs/ld-collate.c:3420 locale/programs/ld-collate.c:3781
 #, c-format
 msgid "%s: missing `reorder-end' keyword"
 msgstr "%s: falta la palabra clave `reorder-end'"
 
-#: locale/programs/ld-collate.c:3445 locale/programs/ld-collate.c:3643
+#: locale/programs/ld-collate.c:3454 locale/programs/ld-collate.c:3652
 #, c-format
 msgid "%s: section `%.*s' not known"
 msgstr "%s: la sección `%.*s' es desconocida"
 
-#: locale/programs/ld-collate.c:3510
+#: locale/programs/ld-collate.c:3519
 #, c-format
 msgid "%s: bad symbol <%.*s>"
 msgstr "%s: símbolo erróneo <%.*s>"
 
-#: locale/programs/ld-collate.c:3706
+#: locale/programs/ld-collate.c:3715
 #, c-format
 msgid "%s: cannot have `%s' as end of ellipsis range"
 msgstr "%s: no puede tener `%s' como final de un rango de elipsis"
 
-#: locale/programs/ld-collate.c:3756
+#: locale/programs/ld-collate.c:3765
 #, c-format
 msgid "%s: empty category description not allowed"
 msgstr "%s: no se permite una descripción de categoría vacía"
 
-#: locale/programs/ld-collate.c:3775
+#: locale/programs/ld-collate.c:3784
 #, c-format
 msgid "%s: missing `reorder-sections-end' keyword"
 msgstr "%s: falta la palabra clave `reorder-sections-end'"
 
-#: locale/programs/ld-collate.c:3939
+#: locale/programs/ld-collate.c:3948
 #, c-format
 msgid "%s: '%s' without matching 'ifdef' or 'ifndef'"
 msgstr "%s: '%s' sin el 'ifdef' o 'ifndef' correspondiente"
 
-#: locale/programs/ld-collate.c:3957
+#: locale/programs/ld-collate.c:3966
 #, c-format
 msgid "%s: 'endif' without matching 'ifdef' or 'ifndef'"
 msgstr "%s: 'endif' sin el 'ifdef' o 'ifndef' correspondiente"
 
-#: locale/programs/ld-ctype.c:484
+#: locale/programs/ld-ctype.c:450
 #, c-format
 msgid "No character set name specified in charmap"
 msgstr ""
 "No se ha especificado ningún nombre de conjunto de caracteres en la tabla\n"
 "de caracteres"
 
-#: locale/programs/ld-ctype.c:513
+#: locale/programs/ld-ctype.c:479
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must be in class `%s'"
 msgstr "el carácter L'\\u%0*x' en la clase `%s' debe estar en la clase `%s'"
 
-#: locale/programs/ld-ctype.c:528
+#: locale/programs/ld-ctype.c:494
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must not be in class `%s'"
 msgstr "el carácter L'\\u%0*x' en la clase `%s' no debe estar en la clase `%s"
 
-#: locale/programs/ld-ctype.c:542 locale/programs/ld-ctype.c:600
+#: locale/programs/ld-ctype.c:508 locale/programs/ld-ctype.c:566
 #, c-format
 msgid "internal error in %s, line %u"
 msgstr "error interno en %s, línea %u"
 
-#: locale/programs/ld-ctype.c:571
+#: locale/programs/ld-ctype.c:537
 #, c-format
 msgid "character '%s' in class `%s' must be in class `%s'"
 msgstr "el carácter '%s' en la clase `%s' debe estar en la clase `%s'"
 
-#: locale/programs/ld-ctype.c:587
+#: locale/programs/ld-ctype.c:553
 #, c-format
 msgid "character '%s' in class `%s' must not be in class `%s'"
 msgstr "el carácter '%s' en la clase `%s' no debe estar en la clase `%s"
 
-#: locale/programs/ld-ctype.c:617 locale/programs/ld-ctype.c:655
+#: locale/programs/ld-ctype.c:583 locale/programs/ld-ctype.c:621
 #, c-format
 msgid "<SP> character not in class `%s'"
 msgstr "El carácter <SP> no está en la clase `%s'"
 
-#: locale/programs/ld-ctype.c:629 locale/programs/ld-ctype.c:666
+#: locale/programs/ld-ctype.c:595 locale/programs/ld-ctype.c:632
 #, c-format
 msgid "<SP> character must not be in class `%s'"
 msgstr "El carácter <SP> no debe estar en la clase `%s'"
 
-#: locale/programs/ld-ctype.c:644
+#: locale/programs/ld-ctype.c:610
 #, c-format
 msgid "character <SP> not defined in character map"
 msgstr "el carácter <SP> no está definido en la tabla de caracteres"
 
-#: locale/programs/ld-ctype.c:780
+#: locale/programs/ld-ctype.c:746
 #, c-format
 msgid "`digit' category has not entries in groups of ten"
 msgstr "la categoría `digit' no tiene entradas en grupos de diez"
 
 # FIXME: El original no se entiende. ¿Es gramaticalmente correcto? sv
-#: locale/programs/ld-ctype.c:829
+#: locale/programs/ld-ctype.c:795
 #, c-format
 msgid "no input digits defined and none of the standard names in the charmap"
 msgstr ""
 "no hay ningún dígito de entrada definido y ninguno de los nombres estándar\n"
 "en el conjunto de caracteres"
 
-#: locale/programs/ld-ctype.c:894
+#: locale/programs/ld-ctype.c:860
 #, c-format
 msgid "not all characters used in `outdigit' are available in the charmap"
 msgstr ""
 "no todos los caracteres usados en `outdigit' están disponibles en la tabla\n"
 "de caracteres"
 
-#: locale/programs/ld-ctype.c:911
+#: locale/programs/ld-ctype.c:877
 #, c-format
 msgid "not all characters used in `outdigit' are available in the repertoire"
 msgstr "no todos los caracteres usados en `outdigit' están disponibles en el repertorio"
 
-#: locale/programs/ld-ctype.c:1176
+#: locale/programs/ld-ctype.c:1142
 #, c-format
 msgid "character class `%s' already defined"
 msgstr "la clase de carácter `%s' ya fue definida"
 
-#: locale/programs/ld-ctype.c:1182
+#: locale/programs/ld-ctype.c:1148
 #, c-format
 msgid "implementation limit: no more than %Zd character classes allowed"
 msgstr "límite de la implementación: no se permiten más de %Zd clases de caracteres"
 
-#: locale/programs/ld-ctype.c:1208
+#: locale/programs/ld-ctype.c:1174
 #, c-format
 msgid "character map `%s' already defined"
 msgstr "la tabla de caracteres `%s' ya está definida"
 
-#: locale/programs/ld-ctype.c:1214
+#: locale/programs/ld-ctype.c:1180
 #, c-format
 msgid "implementation limit: no more than %d character maps allowed"
 msgstr "límite de la implementación: no se permiten más de %d tablas de caracteres"
 
-#: locale/programs/ld-ctype.c:1479 locale/programs/ld-ctype.c:1604
-#: locale/programs/ld-ctype.c:1710 locale/programs/ld-ctype.c:2400
-#: locale/programs/ld-ctype.c:3397
+#: locale/programs/ld-ctype.c:1445 locale/programs/ld-ctype.c:1570
+#: locale/programs/ld-ctype.c:1676 locale/programs/ld-ctype.c:2352
+#: locale/programs/ld-ctype.c:3324
 #, c-format
 msgid "%s: field `%s' does not contain exactly ten entries"
 msgstr "%s: el campo `%s' no contiene exactamente diez entradas"
 
-#: locale/programs/ld-ctype.c:1507 locale/programs/ld-ctype.c:2081
+#: locale/programs/ld-ctype.c:1473 locale/programs/ld-ctype.c:2047
 #, c-format
 msgid "to-value <U%0*X> of range is smaller than from-value <U%0*X>"
 msgstr "el valor `to' del rango <U%0*X> es más pequeño que el valor `from' <U%0*X>"
 
-#: locale/programs/ld-ctype.c:1634
+#: locale/programs/ld-ctype.c:1600
 msgid "start and end character sequence of range must have the same length"
 msgstr "los caracteres de comienzo y final del rango debe tener la misma longitud"
 
-#: locale/programs/ld-ctype.c:1641
+#: locale/programs/ld-ctype.c:1607
 msgid "to-value character sequence is smaller than from-value sequence"
 msgstr "el valor `to' de la sucesión de caracteres es más pequeño que el valor `from'"
 
-#: locale/programs/ld-ctype.c:2001 locale/programs/ld-ctype.c:2052
+#: locale/programs/ld-ctype.c:1967 locale/programs/ld-ctype.c:2018
 msgid "premature end of `translit_ignore' definition"
 msgstr "Fin no esperado de la definición `translit_ignore'"
 
-#: locale/programs/ld-ctype.c:2007 locale/programs/ld-ctype.c:2058
-#: locale/programs/ld-ctype.c:2100
+#: locale/programs/ld-ctype.c:1973 locale/programs/ld-ctype.c:2024
+#: locale/programs/ld-ctype.c:2066
 msgid "syntax error"
 msgstr "error de sintaxis"
 
-#: locale/programs/ld-ctype.c:2233
+#: locale/programs/ld-ctype.c:2199
 #, c-format
 msgid "%s: syntax error in definition of new character class"
 msgstr "%s: error de sintaxis en la definición de una nueva clase de caracteres"
 
-#: locale/programs/ld-ctype.c:2248
+#: locale/programs/ld-ctype.c:2214
 #, c-format
 msgid "%s: syntax error in definition of new character map"
 msgstr "%s: error de sintaxis en la definición de un nueva tabla de caracteres"
 
-#: locale/programs/ld-ctype.c:2422
+#: locale/programs/ld-ctype.c:2374
 msgid "ellipsis range must be marked by two operands of same type"
 msgstr "el rango de la elipsis debe estar marcada mediante dos operandos del mismo tipo"
 
-#: locale/programs/ld-ctype.c:2431
+#: locale/programs/ld-ctype.c:2383
 msgid "with symbolic name range values the absolute ellipsis `...' must not be used"
 msgstr "con valores de rango nombre simbólico la elipsis absoluta `...' no debe usarse"
 
-#: locale/programs/ld-ctype.c:2446
+#: locale/programs/ld-ctype.c:2398
 msgid "with UCS range values one must use the hexadecimal symbolic ellipsis `..'"
 msgstr "con valores de rango UCS se debe utilizar la elipsis simbólica hexadecimal `..'"
 
-#: locale/programs/ld-ctype.c:2460
+#: locale/programs/ld-ctype.c:2412
 msgid "with character code range values one must use the absolute ellipsis `...'"
 msgstr "con valores de rango código de caracteres se debe utilizar la elipsis absoluta `...'"
 
-#: locale/programs/ld-ctype.c:2611
+#: locale/programs/ld-ctype.c:2563
 #, c-format
 msgid "duplicated definition for mapping `%s'"
 msgstr "definición duplicada para la asignación `%s'"
 
-#: locale/programs/ld-ctype.c:2697 locale/programs/ld-ctype.c:2841
+#: locale/programs/ld-ctype.c:2649 locale/programs/ld-ctype.c:2793
 #, c-format
 msgid "%s: `translit_start' section does not end with `translit_end'"
 msgstr "%s: la sección `translit_start' no termina con `translit_end'"
 
-#: locale/programs/ld-ctype.c:2792
+#: locale/programs/ld-ctype.c:2744
 #, c-format
 msgid "%s: duplicate `default_missing' definition"
 msgstr "%s: definición `default_missing' duplicada"
 
-#: locale/programs/ld-ctype.c:2797
+#: locale/programs/ld-ctype.c:2749
 msgid "previous definition was here"
 msgstr "aquí estaba la definición anterior"
 
-#: locale/programs/ld-ctype.c:2819
+#: locale/programs/ld-ctype.c:2771
 #, c-format
 msgid "%s: no representable `default_missing' definition found"
 msgstr "%s: no se ha encontrado ninguna definición de `default_missing' representable"
 
-#: locale/programs/ld-ctype.c:2962 locale/programs/ld-ctype.c:3059
-#: locale/programs/ld-ctype.c:3079 locale/programs/ld-ctype.c:3100
-#: locale/programs/ld-ctype.c:3121 locale/programs/ld-ctype.c:3142
-#: locale/programs/ld-ctype.c:3163 locale/programs/ld-ctype.c:3203
-#: locale/programs/ld-ctype.c:3224 locale/programs/ld-ctype.c:3289
-#: locale/programs/ld-ctype.c:3331 locale/programs/ld-ctype.c:3356
+#: locale/programs/ld-ctype.c:2889 locale/programs/ld-ctype.c:2986
+#: locale/programs/ld-ctype.c:3006 locale/programs/ld-ctype.c:3027
+#: locale/programs/ld-ctype.c:3048 locale/programs/ld-ctype.c:3069
+#: locale/programs/ld-ctype.c:3090 locale/programs/ld-ctype.c:3130
+#: locale/programs/ld-ctype.c:3151 locale/programs/ld-ctype.c:3216
+#: locale/programs/ld-ctype.c:3258 locale/programs/ld-ctype.c:3283
 #, c-format
 msgid "%s: character `%s' not defined while needed as default value"
 msgstr "%s: el carácter `%s' no está definido cuando se necesitó como valor predeterminado"
 
-#: locale/programs/ld-ctype.c:2967 locale/programs/ld-ctype.c:3064
-#: locale/programs/ld-ctype.c:3084 locale/programs/ld-ctype.c:3105
-#: locale/programs/ld-ctype.c:3126 locale/programs/ld-ctype.c:3147
-#: locale/programs/ld-ctype.c:3168 locale/programs/ld-ctype.c:3208
-#: locale/programs/ld-ctype.c:3229 locale/programs/ld-ctype.c:3294
+#: locale/programs/ld-ctype.c:2894 locale/programs/ld-ctype.c:2991
+#: locale/programs/ld-ctype.c:3011 locale/programs/ld-ctype.c:3032
+#: locale/programs/ld-ctype.c:3053 locale/programs/ld-ctype.c:3074
+#: locale/programs/ld-ctype.c:3095 locale/programs/ld-ctype.c:3135
+#: locale/programs/ld-ctype.c:3156 locale/programs/ld-ctype.c:3221
 #, c-format
 msgid "%s: character `%s' in charmap not representable with one byte"
 msgstr "%s: el carácter `%s' en la tabla de caracteres no es representable con un byte"
 
-#: locale/programs/ld-ctype.c:3338 locale/programs/ld-ctype.c:3363
+#: locale/programs/ld-ctype.c:3265 locale/programs/ld-ctype.c:3290
 #, c-format
 msgid "%s: character `%s' needed as default value not representable with one byte"
 msgstr ""
@@ -2464,7 +2456,7 @@ msgstr ""
 "con un byte"
 
 # FIXME: Lo mismo de antes.
-#: locale/programs/ld-ctype.c:3419
+#: locale/programs/ld-ctype.c:3346
 #, c-format
 msgid "no output digits defined and none of the standard names in the charmap"
 msgstr ""
@@ -2472,22 +2464,22 @@ msgstr ""
 "en el conjunto de caracteres"
 
 # Pregunta: ¿De verdad existe transliteración en español? sv
-#: locale/programs/ld-ctype.c:3668
+#: locale/programs/ld-ctype.c:3595
 #, c-format
 msgid "%s: transliteration data from locale `%s' not available"
 msgstr "%s: los datos de transliteración del local `%s' no están disponibles"
 
-#: locale/programs/ld-ctype.c:3768
+#: locale/programs/ld-ctype.c:3695
 #, c-format
 msgid "%s: table for class \"%s\": %lu bytes\n"
 msgstr "%s: tabla para la clase \"%s\": %lu bytes\n"
 
-#: locale/programs/ld-ctype.c:3833
+#: locale/programs/ld-ctype.c:3760
 #, c-format
 msgid "%s: table for map \"%s\": %lu bytes\n"
 msgstr "%s: tabla para la asignación \"%s\": %lu bytes\n"
 
-#: locale/programs/ld-ctype.c:3958
+#: locale/programs/ld-ctype.c:3885
 #, c-format
 msgid "%s: table for width: %lu bytes\n"
 msgstr "%s: tabla para el ancho: %lu bytes\n"
@@ -3948,17 +3940,23 @@ msgstr "añade nueva entrada \"%s\" de tipo %s para %s al caché%s"
 msgid " (first)"
 msgstr " (primero)"
 
-#: nscd/cache.c:285 nscd/connections.c:1000
-#, c-format
-msgid "cannot stat() file `%s': %s"
+#: nscd/cache.c:288
+#, fuzzy, c-format
+#| msgid "cannot stat() file `%s': %s"
+msgid "checking for monitored file `%s': %s"
 msgstr "no se puede ejecutar stat() sobre el fichero `%s': %s"
 
-#: nscd/cache.c:331
+#: nscd/cache.c:298
+#, c-format
+msgid "monitored file `%s` changed (mtime)"
+msgstr ""
+
+#: nscd/cache.c:341
 #, c-format
 msgid "pruning %s cache; time %ld"
 msgstr "limpiando %s caché; tiempo %ld"
 
-#: nscd/cache.c:360
+#: nscd/cache.c:370
 #, c-format
 msgid "considering %s entry \"%s\", timeout %<PRIu64>"
 msgstr "considerando la entrada %s \"%s\", tiempo límite %<PRIu64>"
@@ -4044,155 +4042,219 @@ msgstr "no se puede establecer el `socket' para que se cierre en ejecución: %s"
 msgid "cannot enable socket to accept connections: %s"
 msgstr "no se puede activar el `socket' para aceptar conexiones: %s"
 
-#: nscd/connections.c:984
+#: nscd/connections.c:973
 #, c-format
-msgid "register trace file %s for database %s"
+msgid "disabled inotify-based monitoring for file `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:977
+#, c-format
+msgid "monitoring file `%s` (%d)"
+msgstr ""
+
+#: nscd/connections.c:990
+#, c-format
+msgid "disabled inotify-based monitoring for directory `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:994
+#, fuzzy, c-format
+#| msgid "Can't open directory %s"
+msgid "monitoring directory `%s` (%d)"
+msgstr "No se puede abrir el directorio %s"
+
+#: nscd/connections.c:1022
+#, fuzzy, c-format
+#| msgid "register trace file %s for database %s"
+msgid "monitoring file %s for database %s"
 msgstr "registra el fichero de seguimiento %s para la base de datos %s"
 
-#: nscd/connections.c:1114
+#: nscd/connections.c:1032
+#, c-format
+msgid "stat failed for file `%s'; will try again later: %s"
+msgstr ""
+
+#: nscd/connections.c:1151
 #, c-format
 msgid "provide access to FD %d, for %s"
 msgstr "proporciona acceso al descriptor de fichero %d, para %s"
 
-#: nscd/connections.c:1126
+#: nscd/connections.c:1163
 #, c-format
 msgid "cannot handle old request version %d; current version is %d"
 msgstr ""
 "no se pueden manejar peticiones de la versión %d, la versión\n"
 "actual es %d"
 
-#: nscd/connections.c:1148
+#: nscd/connections.c:1185
 #, c-format
 msgid "request from %ld not handled due to missing permission"
 msgstr "la petición de %ld no ha sido atendida por falta de permisos"
 
-#: nscd/connections.c:1153
+#: nscd/connections.c:1190
 #, c-format
 msgid "request from '%s' [%ld] not handled due to missing permission"
 msgstr "la petición de '%s' [%ld] no ha sido atendida por falta de permisos"
 
-#: nscd/connections.c:1158
+#: nscd/connections.c:1195
 msgid "request not handled due to missing permission"
 msgstr "la petición no ha sido atendida por falta de permisos"
 
-#: nscd/connections.c:1196 nscd/connections.c:1249
+#: nscd/connections.c:1233 nscd/connections.c:1286
 #, c-format
 msgid "cannot write result: %s"
 msgstr "no se puede escribir el resultado: %s"
 
-#: nscd/connections.c:1340
+#: nscd/connections.c:1377
 #, c-format
 msgid "error getting caller's id: %s"
 msgstr "error al obtener el id de los llamantes: %s"
 
-#: nscd/connections.c:1400
+#: nscd/connections.c:1437
 #, c-format
 msgid "cannot open /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr "no se puede abrir /proc/self/cmdline: %s; se desactiva el modo paranoia"
 
-#: nscd/connections.c:1414
+#: nscd/connections.c:1451
 #, c-format
 msgid "cannot read /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr "no se puede leer /proc/self/cmdline: %s; se desactiva el modo paranoia"
 
-#: nscd/connections.c:1454
+#: nscd/connections.c:1491
 #, c-format
 msgid "cannot change to old UID: %s; disabling paranoia mode"
 msgstr "no se puede cambiar al UID antiguo: %s; se desactiva el modo paranoia"
 
-#: nscd/connections.c:1464
+#: nscd/connections.c:1501
 #, c-format
 msgid "cannot change to old GID: %s; disabling paranoia mode"
 msgstr "no se puede cambiar al GID antiguo: %s; se desactiva el modo paranoia"
 
-#: nscd/connections.c:1477
+#: nscd/connections.c:1514
 #, c-format
 msgid "cannot change to old working directory: %s; disabling paranoia mode"
 msgstr "no se puede cambiar al directorio de trabajo antiguo: %s; se desactiva el modo paranoia"
 
-#: nscd/connections.c:1523
+#: nscd/connections.c:1560
 #, c-format
 msgid "re-exec failed: %s; disabling paranoia mode"
 msgstr "falló la re-ejecución: %s; se desactiva el modo paranoia"
 
-#: nscd/connections.c:1532
+#: nscd/connections.c:1569
 #, c-format
 msgid "cannot change current working directory to \"/\": %s"
 msgstr "no se puede cambiar el directorio de trabajo a \"/\": %s"
 
-#: nscd/connections.c:1725
+#: nscd/connections.c:1762
 #, c-format
 msgid "short read while reading request: %s"
 msgstr "lectura insuficiente mientras se leía la petición: %s"
 
-#: nscd/connections.c:1758
+#: nscd/connections.c:1795
 #, c-format
 msgid "key length in request too long: %d"
 msgstr "la longitud de la clave en la petición es demasiado larga: %d"
 
-#: nscd/connections.c:1771
+#: nscd/connections.c:1808
 #, c-format
 msgid "short read while reading request key: %s"
 msgstr "se acabaron los datos mientras se leía la clave de petición: %s"
 
-#: nscd/connections.c:1781
+#: nscd/connections.c:1818
 #, c-format
 msgid "handle_request: request received (Version = %d) from PID %ld"
 msgstr "handle_request: petición recibida (Versión = %d) del PID %ld"
 
-#: nscd/connections.c:1786
+#: nscd/connections.c:1823
 #, c-format
 msgid "handle_request: request received (Version = %d)"
 msgstr "handle_request: petición recibida (Versión = %d)"
 
-#: nscd/connections.c:2050 nscd/connections.c:2252
+#: nscd/connections.c:1963
+#, c-format
+msgid "ignored inotify event for `%s` (file exists)"
+msgstr ""
+
+#: nscd/connections.c:1968
+#, c-format
+msgid "monitored file `%s` was %s, removing watch"
+msgstr ""
+
+#: nscd/connections.c:1976 nscd/connections.c:2018
+#, c-format
+msgid "failed to remove file watch `%s`: %s"
+msgstr ""
+
+#: nscd/connections.c:1991
+#, c-format
+msgid "monitored file `%s` was written to"
+msgstr ""
+
+#: nscd/connections.c:2015
+#, c-format
+msgid "monitored parent directory `%s` was %s, removing watch on `%s`"
+msgstr ""
+
+#: nscd/connections.c:2041
 #, c-format
-msgid "disabled inotify after read error %d"
+msgid "monitored file `%s` was %s, adding watch"
+msgstr ""
+
+#: nscd/connections.c:2053
+#, fuzzy, c-format
+#| msgid "failed to load shared object `%s'"
+msgid "failed to add file watch `%s`: %s"
+msgstr "fallo al cargar el objeto compartido `%s'"
+
+#: nscd/connections.c:2247 nscd/connections.c:2428
+#, fuzzy, c-format
+#| msgid "disabled inotify after read error %d"
+msgid "disabled inotify-based monitoring after read error %d"
 msgstr "se desactiva `inotify' después de un error de lectura %d"
 
-#: nscd/connections.c:2375
+#: nscd/connections.c:2543
 msgid "could not initialize conditional variable"
 msgstr "no se pudo inicializar la variable condicional"
 
-#: nscd/connections.c:2383
+#: nscd/connections.c:2551
 msgid "could not start clean-up thread; terminating"
 msgstr "no se pudo iniciar el hilo de limpieza; terminando"
 
-#: nscd/connections.c:2397
+#: nscd/connections.c:2565
 msgid "could not start any worker thread; terminating"
 msgstr "no se pudo iniciar ningún hilo de trabajo; terminando"
 
-#: nscd/connections.c:2452 nscd/connections.c:2454 nscd/connections.c:2470
-#: nscd/connections.c:2480 nscd/connections.c:2498 nscd/connections.c:2509
-#: nscd/connections.c:2519
+#: nscd/connections.c:2620 nscd/connections.c:2622 nscd/connections.c:2638
+#: nscd/connections.c:2648 nscd/connections.c:2666 nscd/connections.c:2677
+#: nscd/connections.c:2687
 #, c-format
 msgid "Failed to run nscd as user '%s'"
 msgstr "Fallo al ejecutar nscd como usuario `%s'"
 
-#: nscd/connections.c:2472
+#: nscd/connections.c:2640
 msgid "initial getgrouplist failed"
 msgstr "falló el `getgrouplist' inicial"
 
-#: nscd/connections.c:2481
+#: nscd/connections.c:2649
 msgid "getgrouplist failed"
 msgstr "falló `getgrouplist'"
 
-#: nscd/connections.c:2499
+#: nscd/connections.c:2667
 msgid "setgroups failed"
 msgstr "falló `setgroups'"
 
-#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:410
+#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:411
 #: nscd/pwdcache.c:383 nscd/servicescache.c:338
 #, c-format
 msgid "short write in %s: %s"
 msgstr "escritura insuficiente en %s: %s"
 
-#: nscd/grpcache.c:450 nscd/initgrcache.c:77
+#: nscd/grpcache.c:450 nscd/initgrcache.c:78
 #, c-format
 msgid "Haven't found \"%s\" in group cache!"
 msgstr "No se ha encontrado \"%s\" en el caché de grupos"
 
-#: nscd/grpcache.c:452 nscd/initgrcache.c:79
+#: nscd/grpcache.c:452 nscd/initgrcache.c:80
 #, c-format
 msgid "Reloading \"%s\" in group cache!"
 msgstr "Recargando \"%s\" en el caché de grupos"
@@ -4280,7 +4342,7 @@ msgstr "Utiliza una caché separada para cada usuario"
 msgid "Name Service Cache Daemon."
 msgstr "Daemon de Caché del Servicio de Nombres."
 
-#: nscd/nscd.c:155 nss/getent.c:1003 nss/makedb.c:206
+#: nscd/nscd.c:155 nss/getent.c:1007 nss/makedb.c:206
 #, c-format
 msgid "wrong number of arguments"
 msgstr "número incorrecto de argumentos"
@@ -4313,7 +4375,7 @@ msgstr "no se puede cambiar el directorio de trabajo a \"/\""
 msgid "Could not create log file"
 msgstr "No se pudo crear el fichero de registro"
 
-#: nscd/nscd.c:355 nscd/nscd_stat.c:192
+#: nscd/nscd.c:355 nscd/nscd_stat.c:194
 #, c-format
 msgid "write incomplete"
 msgstr "escritura incompleta"
@@ -4328,7 +4390,7 @@ msgstr "no se puede leer el ACK de invalidación"
 msgid "invalidation failed"
 msgstr "fallo en la invalidación"
 
-#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:173
+#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:175
 #, c-format
 msgid "Only root is allowed to use this option!"
 msgstr "Solamente root puede usar esta opción"
@@ -4413,35 +4475,35 @@ msgstr "no se puede obtener el directorio actual: %s; se desactiva el modo paran
 msgid "maximum file size for %s database too small"
 msgstr "el tamaño máximo de fichero para la base de datos %s es demasiado pequeño"
 
-#: nscd/nscd_stat.c:142
+#: nscd/nscd_stat.c:144
 #, c-format
 msgid "cannot write statistics: %s"
 msgstr "no se pueden escribir las estadísticas: %s"
 
-#: nscd/nscd_stat.c:157
+#: nscd/nscd_stat.c:159
 msgid "yes"
 msgstr "sí"
 
-#: nscd/nscd_stat.c:158
+#: nscd/nscd_stat.c:160
 msgid "no"
 msgstr "no"
 
-#: nscd/nscd_stat.c:169
+#: nscd/nscd_stat.c:171
 #, c-format
 msgid "Only root or %s is allowed to use this option!"
 msgstr "Solamente root o %s puede usar esta opción"
 
-#: nscd/nscd_stat.c:180
+#: nscd/nscd_stat.c:182
 #, c-format
 msgid "nscd not running!\n"
 msgstr "nscd no está en ejecución\n"
 
-#: nscd/nscd_stat.c:204
+#: nscd/nscd_stat.c:206
 #, c-format
 msgid "cannot read statistics data"
 msgstr "no se pueden leer los datos de estadística"
 
-#: nscd/nscd_stat.c:207
+#: nscd/nscd_stat.c:209
 #, c-format
 msgid ""
 "nscd configuration:\n"
@@ -4452,27 +4514,27 @@ msgstr ""
 "\n"
 "%15d  nivel de depuración del servidor\n"
 
-#: nscd/nscd_stat.c:231
+#: nscd/nscd_stat.c:233
 #, c-format
 msgid "%3ud %2uh %2um %2lus  server runtime\n"
 msgstr "%3ud %2uh %2um %2lus  tiempo de funcionamiento del servidor\n"
 
-#: nscd/nscd_stat.c:234
+#: nscd/nscd_stat.c:236
 #, c-format
 msgid "    %2uh %2um %2lus  server runtime\n"
 msgstr "    %2uh %2um %2lus  tiempo de funcionamiento del servidor\n"
 
-#: nscd/nscd_stat.c:236
+#: nscd/nscd_stat.c:238
 #, c-format
 msgid "        %2um %2lus  server runtime\n"
 msgstr "        %2um %2lus  tiempo de funcionamiento del servidor\n"
 
-#: nscd/nscd_stat.c:238
+#: nscd/nscd_stat.c:240
 #, c-format
 msgid "            %2lus  server runtime\n"
 msgstr "            %2lus  tiempo de funcionamiento del servidor\n"
 
-#: nscd/nscd_stat.c:240
+#: nscd/nscd_stat.c:242
 #, c-format
 msgid ""
 "%15d  current number of threads\n"
@@ -4489,7 +4551,7 @@ msgstr ""
 "%15lu  reinicio interno\n"
 "%15u  recarga contadores\n"
 
-#: nscd/nscd_stat.c:275
+#: nscd/nscd_stat.c:277
 #, c-format
 msgid ""
 "\n"
@@ -4555,87 +4617,87 @@ msgstr "Recargando \"%s\" en el caché de contraseñas"
 msgid "Invalid numeric uid \"%s\"!"
 msgstr "¡uid numérico inválido \"%s\"!"
 
-#: nscd/selinux.c:155
+#: nscd/selinux.c:154
 #, c-format
 msgid "Failed opening connection to the audit subsystem: %m"
 msgstr "Fallo al abrir la conexión al subsistema de auditoría: %m"
 
-#: nscd/selinux.c:176
+#: nscd/selinux.c:175
 msgid "Failed to set keep-capabilities"
 msgstr "Fallo al establecer las capacidades que se mantienen"
 
-#: nscd/selinux.c:177 nscd/selinux.c:240
+#: nscd/selinux.c:176 nscd/selinux.c:239
 msgid "prctl(KEEPCAPS) failed"
 msgstr "Falló prctl(KEEPCAPS)"
 
-#: nscd/selinux.c:191
+#: nscd/selinux.c:190
 msgid "Failed to initialize drop of capabilities"
 msgstr "Fallo al inicializar el abandono de capacidades"
 
 # ## Lo mismo con lstat. sv
 # Antes decía: No se pudo obtener información (lstat) del fichero .rhosts
-#: nscd/selinux.c:192
+#: nscd/selinux.c:191
 msgid "cap_init failed"
 msgstr "cap_init ha fallado"
 
-#: nscd/selinux.c:213 nscd/selinux.c:230
+#: nscd/selinux.c:212 nscd/selinux.c:229
 msgid "Failed to drop capabilities"
 msgstr "Fallo al abandonar capacidades"
 
-#: nscd/selinux.c:214 nscd/selinux.c:231
+#: nscd/selinux.c:213 nscd/selinux.c:230
 msgid "cap_set_proc failed"
 msgstr "cap_set_proc ha fallado"
 
-#: nscd/selinux.c:239
+#: nscd/selinux.c:238
 msgid "Failed to unset keep-capabilities"
 msgstr "Fallo al desactivar las capacidades que se mantienen"
 
-#: nscd/selinux.c:255
+#: nscd/selinux.c:254
 msgid "Failed to determine if kernel supports SELinux"
 msgstr "Fallo al determinar si el núcleo admite SELinux"
 
-#: nscd/selinux.c:270
+#: nscd/selinux.c:269
 msgid "Failed to start AVC thread"
 msgstr "Fallo al iniciar hilo AVC"
 
-#: nscd/selinux.c:292
+#: nscd/selinux.c:291
 msgid "Failed to create AVC lock"
 msgstr "Fallo al crear bloqueo AVC"
 
-#: nscd/selinux.c:332
+#: nscd/selinux.c:331
 msgid "Failed to start AVC"
 msgstr "Fallo al iniciar AVC"
 
-#: nscd/selinux.c:334
+#: nscd/selinux.c:333
 msgid "Access Vector Cache (AVC) started"
 msgstr "Access Vector Cache (AVC) iniciado"
 
-#: nscd/selinux.c:369
+#: nscd/selinux.c:368
 msgid "Error querying policy for undefined object classes or permissions."
 msgstr "Error al consultar la política para clases de objetos o permisos no definidos"
 
-#: nscd/selinux.c:376
+#: nscd/selinux.c:375
 msgid "Error getting security class for nscd."
 msgstr "Error al obtener la clase de seguridad de nscd"
 
-#: nscd/selinux.c:381
+#: nscd/selinux.c:380
 #, c-format
 msgid "Error translating permission name \"%s\" to access vector bit."
 msgstr "Error al traducir el nombre de permiso \"%s\" a un vector de bits de acceso"
 
-#: nscd/selinux.c:391
+#: nscd/selinux.c:390
 msgid "Error getting context of socket peer"
 msgstr "Error al obtener el contexto del `socket' remoto"
 
-#: nscd/selinux.c:396
+#: nscd/selinux.c:395
 msgid "Error getting context of nscd"
 msgstr "Error al obtener el contexto de nscd"
 
-#: nscd/selinux.c:402
+#: nscd/selinux.c:401
 msgid "Error getting sid from context"
 msgstr "Error al obtener sid del contexto"
 
-#: nscd/selinux.c:440
+#: nscd/selinux.c:439
 #, c-format
 msgid ""
 "\n"
@@ -4697,16 +4759,16 @@ msgstr "Obtiene entradas de la base de datos administrativa."
 msgid "Enumeration not supported on %s\n"
 msgstr "La enumeración no está soportada sobre %s\n"
 
-#: nss/getent.c:917
+#: nss/getent.c:921
 #, c-format
 msgid "Unknown database name"
 msgstr "Nombre de base de datos desconocido"
 
-#: nss/getent.c:947
+#: nss/getent.c:951
 msgid "Supported databases:\n"
 msgstr "Bases de datos admitidas:\n"
 
-#: nss/getent.c:1013
+#: nss/getent.c:1017
 #, c-format
 msgid "Unknown database: %s\n"
 msgstr "Base de datos desconocida: %s\n"
@@ -4999,7 +5061,7 @@ msgstr ") ó \\) desemparejados"
 msgid "No previous regular expression"
 msgstr "No existe ninguna expresión regular anterior"
 
-#: posix/wordexp.c:1844
+#: posix/wordexp.c:1851
 msgid "parameter null or not set"
 msgstr "parámetro nulo o no establecido"
 
@@ -7751,3 +7813,12 @@ msgstr "demasiadas abreviaturas de zona horaria, o demasiado largas"
 #, c-format
 msgid "%s: Can't create directory %s: %s\n"
 msgstr "%s: No se puede crear el directorio %s: %s\n"
+
+#~ msgid "cannot load any more object with static TLS"
+#~ msgstr "no se puede cargar ningún objeto más con TLS estático"
+
+#~ msgid "%s: no PLTREL found in object %s\n"
+#~ msgstr "%s no se encontró ningún PLTREL en el objeto %s\n"
+
+#~ msgid "cannot create internal descriptors"
+#~ msgstr "no se pueden crear descriptores internos"
diff --git a/po/fi.po b/po/fi.po
index 01a90cd..17cb3e3 100644
--- a/po/fi.po
+++ b/po/fi.po
@@ -25,7 +25,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: libc 2.21-pre1\n"
-"POT-Creation-Date: 2015-01-20 22:14-0500\n"
+"POT-Creation-Date: 2015-07-31 00:10-0400\n"
 "PO-Revision-Date: 2015-07-28 20:29+0300\n"
 "Last-Translator: Lauri Nurmi <lanurmi@iki.fi>\n"
 "Language-Team: Finnish <translation-team-fi@lists.sourceforge.net>\n"
@@ -163,10 +163,10 @@ msgstr ""
 "[TULOSTIEDOSTO [SYÖTETIEDOSTO]...]"
 
 #: catgets/gencat.c:229 debug/pcprofiledump.c:209 elf/ldconfig.c:307
-#: elf/pldd.c:244 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
+#: elf/pldd.c:252 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
 #: iconv/iconvconfig.c:379 locale/programs/locale.c:277
 #: locale/programs/localedef.c:376 login/programs/pt_chown.c:88
-#: malloc/memusagestat.c:563 nss/getent.c:969 nss/makedb.c:369
+#: malloc/memusagestat.c:563 nss/getent.c:973 nss/makedb.c:369
 #: posix/getconf.c:486 sunrpc/rpcinfo.c:691
 #: sysdeps/unix/sysv/linux/lddlibc4.c:61
 #, fuzzy, c-format
@@ -178,7 +178,7 @@ msgstr ""
 "%s.\n"
 
 #: catgets/gencat.c:245 debug/pcprofiledump.c:225 debug/xtrace.sh:64
-#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:260 elf/sotruss.sh:75
+#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:268 elf/sotruss.sh:75
 #: elf/sprof.c:389 iconv/iconv_prog.c:425 iconv/iconvconfig.c:396
 #: locale/programs/locale.c:294 locale/programs/localedef.c:402
 #: login/programs/pt_chown.c:62 malloc/memusage.sh:71
@@ -195,7 +195,7 @@ msgstr ""
 "ole, ei edes KAUPALLISESTI HYVÄKSYTTÄVÄSTÄ LAADUSTA tai SOPIVUUDESTA TIETTYYN TARKOITUKSEEN.\n"
 
 #: catgets/gencat.c:250 debug/pcprofiledump.c:230 debug/xtrace.sh:68
-#: elf/ldconfig.c:328 elf/pldd.c:265 elf/sprof.c:395 iconv/iconv_prog.c:430
+#: elf/ldconfig.c:328 elf/pldd.c:273 elf/sprof.c:395 iconv/iconv_prog.c:430
 #: iconv/iconvconfig.c:401 locale/programs/locale.c:299
 #: locale/programs/localedef.c:407 malloc/memusage.sh:75
 #: malloc/memusagestat.c:586 nscd/nscd.c:514 nss/getent.c:91 nss/makedb.c:390
@@ -452,11 +452,11 @@ msgstr "Tiedoston %s oikeuksien muutos arvoon %#o epäonnistui"
 msgid "Renaming of %s to %s failed"
 msgstr "Uudelleennimeäminen %s -> %s epäonnistui"
 
-#: elf/dl-close.c:385 elf/dl-open.c:470
+#: elf/dl-close.c:396 elf/dl-open.c:478
 msgid "cannot create scope list"
 msgstr "aluelistaa ei voi luoda"
 
-#: elf/dl-close.c:770
+#: elf/dl-close.c:816
 msgid "shared object not open"
 msgstr "jaettu objekti ei ole avoin"
 
@@ -531,130 +531,130 @@ msgstr "hakupolkutaulukkoa ei voi luoda"
 msgid "cannot stat shared object"
 msgstr "jaetun objektin tilaa ei voi lukea"
 
-#: elf/dl-load.c:963
+#: elf/dl-load.c:962
 msgid "cannot open zero fill device"
 msgstr "nollatäyttölaitetta ei voi avata"
 
-#: elf/dl-load.c:1010 elf/dl-load.c:2165
+#: elf/dl-load.c:1009 elf/dl-load.c:2159
 msgid "cannot create shared object descriptor"
 msgstr "jaettua objektikahvaa ei voi luoda"
 
-#: elf/dl-load.c:1029 elf/dl-load.c:1570 elf/dl-load.c:1682
+#: elf/dl-load.c:1028 elf/dl-load.c:1568 elf/dl-load.c:1680
 msgid "cannot read file data"
 msgstr "tiedoston dataa ei voi lukea"
 
-#: elf/dl-load.c:1069
+#: elf/dl-load.c:1068
 msgid "ELF load command alignment not page-aligned"
 msgstr "ELF-latauskomennon tasaus ei ole sivutasattu"
 
-#: elf/dl-load.c:1076
+#: elf/dl-load.c:1075
 msgid "ELF load command address/offset not properly aligned"
 msgstr "ELF-latauskomennon osoite/siirtymä ei ole tasattu oikein"
 
-#: elf/dl-load.c:1160
+#: elf/dl-load.c:1159
 msgid "cannot allocate TLS data structures for initial thread"
 msgstr "alkusäikeelle ei voi varata TLS-tietorakenteita"
 
-#: elf/dl-load.c:1183
+#: elf/dl-load.c:1182
 msgid "cannot handle TLS data"
 msgstr "TLS-dataa ei voi käsitellä"
 
-#: elf/dl-load.c:1202
+#: elf/dl-load.c:1201
 #, fuzzy
 msgid "object file has no loadable segments"
 msgstr "objektitiedostossa ei ole dynaamista osaa"
 
-#: elf/dl-load.c:1211 elf/dl-load.c:1662
+#: elf/dl-load.c:1210 elf/dl-load.c:1660
 msgid "cannot dynamically load executable"
 msgstr "suoritettavaa tiedostoa ei voi ladata dynaamisesti"
 
-#: elf/dl-load.c:1232
+#: elf/dl-load.c:1231
 msgid "object file has no dynamic section"
 msgstr "objektitiedostossa ei ole dynaamista osaa"
 
-#: elf/dl-load.c:1255
+#: elf/dl-load.c:1254
 msgid "shared object cannot be dlopen()ed"
 msgstr "jaettua objektia ei voi avata funktiolla dlopen()"
 
-#: elf/dl-load.c:1268
+#: elf/dl-load.c:1267
 msgid "cannot allocate memory for program header"
 msgstr "ohjelman otsakkeelle ei voi varata muistia"
 
-#: elf/dl-load.c:1284 elf/dl-open.c:195
+#: elf/dl-load.c:1283 elf/dl-open.c:195
 msgid "invalid caller"
 msgstr "virheellinen kutsuja"
 
-#: elf/dl-load.c:1307 elf/dl-load.h:130
+#: elf/dl-load.c:1306 elf/dl-load.h:130
 msgid "cannot change memory protections"
 msgstr "muistin suojausta ei voi muuttaa"
 
-#: elf/dl-load.c:1327
+#: elf/dl-load.c:1326
 #, fuzzy
 msgid "cannot enable executable stack as shared object requires"
 msgstr "jaettua objektikahvaa ei voi luoda"
 
-#: elf/dl-load.c:1340
+#: elf/dl-load.c:1339
 #, fuzzy
 msgid "cannot close file descriptor"
 msgstr "tiedostoa %s ei voi sulkea"
 
-#: elf/dl-load.c:1570
+#: elf/dl-load.c:1568
 msgid "file too short"
 msgstr "tiedosto on liian lyhyt"
 
-#: elf/dl-load.c:1605
+#: elf/dl-load.c:1603
 msgid "invalid ELF header"
 msgstr "virheellinen ELF-otsikko"
 
-#: elf/dl-load.c:1617
+#: elf/dl-load.c:1615
 msgid "ELF file data encoding not big-endian"
 msgstr "ELF-tiedoston tavujärjestys ei ole ”big-endian”"
 
-#: elf/dl-load.c:1619
+#: elf/dl-load.c:1617
 msgid "ELF file data encoding not little-endian"
 msgstr "ELF-tiedoston tavujärjestys ei ole ”little-endian”"
 
-#: elf/dl-load.c:1623
+#: elf/dl-load.c:1621
 msgid "ELF file version ident does not match current one"
 msgstr "ELF-tiedoston versiotunnus ei vastaa nykyistä"
 
-#: elf/dl-load.c:1627
+#: elf/dl-load.c:1625
 msgid "ELF file OS ABI invalid"
 msgstr "ELF-tiedoston OS ABI on virheellinen"
 
-#: elf/dl-load.c:1630
+#: elf/dl-load.c:1628
 msgid "ELF file ABI version invalid"
 msgstr "ELF-tiedoston ABI-versio virheellinen"
 
-#: elf/dl-load.c:1633
+#: elf/dl-load.c:1631
 msgid "nonzero padding in e_ident"
 msgstr ""
 
-#: elf/dl-load.c:1636
+#: elf/dl-load.c:1634
 msgid "internal error"
 msgstr "sisäinen virhe"
 
-#: elf/dl-load.c:1643
+#: elf/dl-load.c:1641
 msgid "ELF file version does not match current one"
 msgstr "ELF-tiedoston versio ei vastaa nykyistä"
 
-#: elf/dl-load.c:1651
+#: elf/dl-load.c:1649
 msgid "only ET_DYN and ET_EXEC can be loaded"
 msgstr "vain ET_DYN ja ET_EXEC voidaan ladata"
 
-#: elf/dl-load.c:1667
+#: elf/dl-load.c:1665
 msgid "ELF file's phentsize not the expected size"
 msgstr "ELF-tiedoston phent-koko ei ole odotetun kokoinen"
 
-#: elf/dl-load.c:2184
+#: elf/dl-load.c:2178
 msgid "wrong ELF class: ELFCLASS64"
 msgstr "väärä ELF-luokka: ELFCLASS64"
 
-#: elf/dl-load.c:2185
+#: elf/dl-load.c:2179
 msgid "wrong ELF class: ELFCLASS32"
 msgstr "väärä ELF-luokka: ELFCLASS32"
 
-#: elf/dl-load.c:2188
+#: elf/dl-load.c:2182
 msgid "cannot open shared object file"
 msgstr "jaettua objektitiedostoa ei voi avata"
 
@@ -666,11 +666,11 @@ msgstr "segmentin kartoitus jaetusta objektista epäonnistui"
 msgid "cannot map zero-fill pages"
 msgstr "nollatäytteisiä sivuja ei voi kartoittaa"
 
-#: elf/dl-lookup.c:791
+#: elf/dl-lookup.c:845
 msgid "relocation error"
 msgstr "uudelleensijoitusvirhe"
 
-#: elf/dl-lookup.c:818
+#: elf/dl-lookup.c:872
 msgid "symbol lookup error"
 msgstr "virhe symbolien haussa"
 
@@ -678,53 +678,43 @@ msgstr "virhe symbolien haussa"
 msgid "cannot extend global scope"
 msgstr "globaalia aluetta ei voi laajentaa"
 
-#: elf/dl-open.c:520
+#: elf/dl-open.c:528
 #, fuzzy
 msgid "TLS generation counter wrapped!  Please report this."
 msgstr "TLS-luontilaskurin ylivuoto! Lähetä tästä raportti."
 
-#: elf/dl-open.c:542
-#, fuzzy
-msgid "cannot load any more object with static TLS"
-msgstr "Muistin varaaminen ei onnistu"
-
-#: elf/dl-open.c:599
+#: elf/dl-open.c:592
 msgid "invalid mode for dlopen()"
 msgstr "virheellinen tila funktiolle dlopen()"
 
-#: elf/dl-open.c:616
+#: elf/dl-open.c:609
 msgid "no more namespaces available for dlmopen()"
 msgstr ""
 
-#: elf/dl-open.c:634
+#: elf/dl-open.c:633
 #, fuzzy
 msgid "invalid target namespace in dlmopen()"
 msgstr "virheellinen nimiavaruus"
 
-#: elf/dl-reloc.c:120
+#: elf/dl-reloc.c:121
 #, fuzzy
 msgid "cannot allocate memory in static TLS block"
 msgstr "Muistin varaaminen ei onnistu"
 
-#: elf/dl-reloc.c:212
+#: elf/dl-reloc.c:206
 msgid "cannot make segment writable for relocation"
 msgstr "segmenttiä ei voi muuttaa kirjoitettavaksi uudelleensijoitusta varten"
 
-#: elf/dl-reloc.c:275
-#, fuzzy, c-format
-msgid "%s: no PLTREL found in object %s\n"
-msgstr "Objektin nimi : %s\n"
-
-#: elf/dl-reloc.c:290
+#: elf/dl-reloc.c:276
 #, c-format
 msgid "%s: out of memory to store relocation results for %s\n"
 msgstr ""
 
-#: elf/dl-reloc.c:306
+#: elf/dl-reloc.c:292
 msgid "cannot restore segment prot after reloc"
 msgstr "segmentin suojausta ei voi palauttaa uudelleensijoituksen jälkeen"
 
-#: elf/dl-reloc.c:335
+#: elf/dl-reloc.c:323
 #, fuzzy
 msgid "cannot apply additional memory protection after relocation"
 msgstr "muistin suojausta ei voi muuttaa"
@@ -733,7 +723,7 @@ msgstr "muistin suojausta ei voi muuttaa"
 msgid "RTLD_NEXT used in code not dynamically loaded"
 msgstr "RTLD_NEXT:iä käytetty koodissa, jota ei ole ladattu dynaamisesti"
 
-#: elf/dl-tls.c:933
+#: elf/dl-tls.c:934
 msgid "cannot create TLS data structures"
 msgstr "TLS-tietorakenteita ei voi luoda"
 
@@ -882,7 +872,7 @@ msgstr "Linkkiä ei luotu, koska tiedostolle %s ei löytynyt so-nimeä"
 msgid "Can't open directory %s"
 msgstr "Hakemistoa %s ei voi avata"
 
-#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:90
+#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:97
 #, c-format
 msgid "Input file %s not found.\n"
 msgstr "Syötetiedostoa %s ei löydy.\n"
@@ -1014,7 +1004,7 @@ msgstr "tiedostoargumentit puuttuvat"
 msgid "No such file or directory"
 msgstr "Tiedostoa tai hakemistoa ei ole"
 
-#: elf/ldd.bash.in:150 inet/rcmd.c:488
+#: elf/ldd.bash.in:150 inet/rcmd.c:492
 msgid "not regular file"
 msgstr "ei ole tavallinen tiedosto"
 
@@ -1062,65 +1052,71 @@ msgstr "ei voida lukea"
 msgid "cannot read program interpreter"
 msgstr "ei voida lukea"
 
-#: elf/pldd-xx.c:196
+#: elf/pldd-xx.c:197
 #, fuzzy, c-format
 msgid "cannot read link map"
 msgstr "symbolista linkkiä %s ei voi lukea"
 
-#: elf/pldd-xx.c:207
+#: elf/pldd-xx.c:209
 #, fuzzy, c-format
 msgid "cannot read object name"
 msgstr "Saman niminen objekti on olemassa"
 
-#: elf/pldd.c:63
+#: elf/pldd-xx.c:219
+#, fuzzy, c-format
+#| msgid "cannot allocate memory for program header"
+msgid "cannot allocate buffer for object name"
+msgstr "ohjelman otsakkeelle ei voi varata muistia"
+
+#: elf/pldd.c:64
 msgid "List dynamic shared objects loaded into process."
 msgstr ""
 
-#: elf/pldd.c:67
+#: elf/pldd.c:68
 msgid "PID"
 msgstr "pid"
 
-#: elf/pldd.c:99
+#: elf/pldd.c:100
 #, c-format
 msgid "Exactly one parameter with process ID required.\n"
 msgstr ""
 
-#: elf/pldd.c:111
+#: elf/pldd.c:112
 #, fuzzy, c-format
 msgid "invalid process ID '%s'"
 msgstr "virheellinen prosessi-ID ”%s”"
 
-#: elf/pldd.c:119
+#: elf/pldd.c:120
 #, fuzzy, c-format
 msgid "cannot open %s"
 msgstr "laitetta %s ei voi avata"
 
-#: elf/pldd.c:144
+#: elf/pldd.c:152
 #, fuzzy, c-format
 msgid "cannot open %s/task"
 msgstr "pistoketta ei voi avata: %s"
 
-#: elf/pldd.c:147
+#: elf/pldd.c:155
 #, fuzzy, c-format
 msgid "cannot prepare reading %s/task"
 msgstr "ei voi avata laitetta %s lukutilaan"
 
-#: elf/pldd.c:160
+#: elf/pldd.c:168
 #, fuzzy, c-format
 msgid "invalid thread ID '%s'"
 msgstr "virheellinen prosessi-ID ”%s”"
 
-#: elf/pldd.c:171
+#: elf/pldd.c:179
 #, fuzzy, c-format
 msgid "cannot attach to process %lu"
 msgstr "tiedostoa ”%s” ei voi avata"
 
-#: elf/pldd.c:286
+#: elf/pldd.c:294
 #, c-format
 msgid "cannot get information about process %lu"
 msgstr ""
 
-#: elf/pldd.c:299
+#: elf/pldd.c:307
 #, fuzzy, c-format
 msgid "process %lu is no ELF program"
 msgstr "ohjelma %lu ei ole käytettävissä\n"
@@ -1155,27 +1151,27 @@ msgstr "%s ei ole jaettu objektitiedosto (Tyyppi: %d).\n"
 msgid "more than one dynamic segment\n"
 msgstr "useampi kuin yksi dynaaminen segmentti\n"
 
-#: elf/readlib.c:96
+#: elf/readlib.c:103
 #, c-format
 msgid "Cannot fstat file %s.\n"
 msgstr "Tiedoston %s tilaa ei voi lukea.\n"
 
-#: elf/readlib.c:107
+#: elf/readlib.c:114
 #, c-format
 msgid "File %s is empty, not checked."
 msgstr "Tiedosto %s on tyhjä, ei tarkastettu."
 
-#: elf/readlib.c:113
+#: elf/readlib.c:120
 #, c-format
 msgid "File %s is too small, not checked."
 msgstr "Tiedosto %s on liian pieni, ei tarkastettu."
 
-#: elf/readlib.c:123
+#: elf/readlib.c:130
 #, c-format
 msgid "Cannot mmap file %s.\n"
 msgstr "Tiedoston %s muistikartoitus epäonnistui.\n"
 
-#: elf/readlib.c:161
+#: elf/readlib.c:169
 #, c-format
 msgid "%s is not an ELF file - it has the wrong magic bytes at the start.\n"
 msgstr "%s ei ole ELF-tiedosto - sen alussa on väärät taikatavut.\n"
@@ -1294,10 +1290,10 @@ msgstr "JAETTU_OBJEKTI [PROFILOINTIDATA]"
 msgid "failed to load shared object `%s'"
 msgstr "jaettua objektia ”%s” ei voitu ladata"
 
-#: elf/sprof.c:442
+#: elf/sprof.c:442 elf/sprof.c:825 elf/sprof.c:923
 #, c-format
-msgid "cannot create internal descriptors"
-msgstr "sisäisiä kahvoja ei voi luoda"
+msgid "cannot create internal descriptor"
+msgstr "sisäistä kahvaa ei voi ladata"
 
 #: elf/sprof.c:554
 #, c-format
@@ -1364,11 +1360,6 @@ msgstr "profilointidatatiedoston muistikartoitus epäonnistui"
 msgid "error while closing the profiling data file"
 msgstr "virhe suljettaessa profilointidatatiedostoa"
 
-#: elf/sprof.c:825 elf/sprof.c:923
-#, c-format
-msgid "cannot create internal descriptor"
-msgstr "sisäistä kahvaa ei voi ladata"
-
 #: elf/sprof.c:899
 #, c-format
 msgid "`%s' is no correct profile data file for `%s'"
@@ -1617,27 +1608,27 @@ msgstr "socket: protokollavirhe piiriasetuksissa\n"
 msgid "rcmd: %s: short read"
 msgstr "rcmd: %s: vajaa luku"
 
-#: inet/rcmd.c:486
+#: inet/rcmd.c:490
 msgid "lstat failed"
 msgstr "tiedoston tilan luku epäonnistui"
 
-#: inet/rcmd.c:493
+#: inet/rcmd.c:497
 msgid "cannot open"
 msgstr "ei voi avata"
 
-#: inet/rcmd.c:495
+#: inet/rcmd.c:499
 msgid "fstat failed"
 msgstr "tiedoston tilan luku epäonnistui"
 
-#: inet/rcmd.c:497
+#: inet/rcmd.c:501
 msgid "bad owner"
 msgstr "virheellinen omistaja"
 
-#: inet/rcmd.c:499
+#: inet/rcmd.c:503
 msgid "writeable by other than owner"
 msgstr "kirjoitusoikeus muulla kuin omistajalla"
 
-#: inet/rcmd.c:501
+#: inet/rcmd.c:505
 msgid "hard linked somewhere"
 msgstr "kovalinkitetty johonkin"
 
@@ -1757,8 +1748,8 @@ msgid "no symbolic name given for end of range"
 msgstr "välin lopulle ei ole annettu symbolista nimeä"
 
 #: locale/programs/charmap.c:610 locale/programs/ld-address.c:528
-#: locale/programs/ld-collate.c:2626 locale/programs/ld-collate.c:3784
-#: locale/programs/ld-ctype.c:2162 locale/programs/ld-ctype.c:2913
+#: locale/programs/ld-collate.c:2635 locale/programs/ld-collate.c:3793
+#: locale/programs/ld-ctype.c:2128 locale/programs/ld-ctype.c:2840
 #: locale/programs/ld-identification.c:368
 #: locale/programs/ld-measurement.c:215 locale/programs/ld-messages.c:298
 #: locale/programs/ld-monetary.c:740 locale/programs/ld-name.c:264
@@ -1784,8 +1775,8 @@ msgid "%s: error in state machine"
 msgstr "%s: virhe tilakoneessa"
 
 #: locale/programs/charmap.c:850 locale/programs/ld-address.c:544
-#: locale/programs/ld-collate.c:2623 locale/programs/ld-collate.c:3977
-#: locale/programs/ld-ctype.c:2159 locale/programs/ld-ctype.c:2930
+#: locale/programs/ld-collate.c:2632 locale/programs/ld-collate.c:3986
+#: locale/programs/ld-ctype.c:2125 locale/programs/ld-ctype.c:2857
 #: locale/programs/ld-identification.c:384
 #: locale/programs/ld-measurement.c:231 locale/programs/ld-messages.c:314
 #: locale/programs/ld-monetary.c:756 locale/programs/ld-name.c:280
@@ -1806,7 +1797,7 @@ msgstr "tuntematon merkki ”%s”"
 msgid "number of bytes for byte sequence of beginning and end of range not the same: %d vs %d"
 msgstr "välin alku- ja lopputavusarjojen tavumäärä ei ole sama: %d vs %d"
 
-#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2903
+#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2912
 #: locale/programs/repertoire.c:419
 msgid "invalid names for character range"
 msgstr "virheelliset nimet merkkivälille"
@@ -1828,8 +1819,8 @@ msgstr "välin yläraja on pienempi kuin alaraja"
 msgid "resulting bytes for range not representable."
 msgstr "välin tulostavut eivät ole esitettävissä."
 
-#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1565
-#: locale/programs/ld-ctype.c:465 locale/programs/ld-identification.c:133
+#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1566
+#: locale/programs/ld-ctype.c:431 locale/programs/ld-identification.c:133
 #: locale/programs/ld-measurement.c:94 locale/programs/ld-messages.c:97
 #: locale/programs/ld-monetary.c:193 locale/programs/ld-name.c:94
 #: locale/programs/ld-numeric.c:98 locale/programs/ld-paper.c:91
@@ -1893,7 +1884,7 @@ msgid "%s: numeric country code `%d' not valid"
 msgstr "%s: numeerinen maakoodi ”%d” ei kelpaa"
 
 #: locale/programs/ld-address.c:436 locale/programs/ld-address.c:473
-#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2537
+#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2489
 #: locale/programs/ld-identification.c:280
 #: locale/programs/ld-measurement.c:198 locale/programs/ld-messages.c:267
 #: locale/programs/ld-monetary.c:495 locale/programs/ld-monetary.c:530
@@ -1915,8 +1906,8 @@ msgstr "%s: kenttä ”%s” määritelty useammin kuin kerran"
 msgid "%s: unknown character in field `%s'"
 msgstr "%s: tuntematon merkki kentässä ”%s”"
 
-#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3782
-#: locale/programs/ld-ctype.c:2910 locale/programs/ld-identification.c:365
+#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3791
+#: locale/programs/ld-ctype.c:2837 locale/programs/ld-identification.c:365
 #: locale/programs/ld-measurement.c:212 locale/programs/ld-messages.c:296
 #: locale/programs/ld-monetary.c:738 locale/programs/ld-name.c:262
 #: locale/programs/ld-numeric.c:324 locale/programs/ld-paper.c:212
@@ -1925,12 +1916,12 @@ msgstr "%s: tuntematon merkki kentässä ”%s”"
 msgid "%s: incomplete `END' line"
 msgstr "%s: epätäydellinen ”END”-rivi"
 
-#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:551
-#: locale/programs/ld-collate.c:603 locale/programs/ld-collate.c:899
-#: locale/programs/ld-collate.c:912 locale/programs/ld-collate.c:2592
-#: locale/programs/ld-collate.c:2613 locale/programs/ld-collate.c:3967
-#: locale/programs/ld-ctype.c:1891 locale/programs/ld-ctype.c:2149
-#: locale/programs/ld-ctype.c:2735 locale/programs/ld-ctype.c:2921
+#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:552
+#: locale/programs/ld-collate.c:604 locale/programs/ld-collate.c:900
+#: locale/programs/ld-collate.c:913 locale/programs/ld-collate.c:2601
+#: locale/programs/ld-collate.c:2622 locale/programs/ld-collate.c:3976
+#: locale/programs/ld-ctype.c:1857 locale/programs/ld-ctype.c:2115
+#: locale/programs/ld-ctype.c:2687 locale/programs/ld-ctype.c:2848
 #: locale/programs/ld-identification.c:375
 #: locale/programs/ld-measurement.c:222 locale/programs/ld-messages.c:305
 #: locale/programs/ld-monetary.c:747 locale/programs/ld-name.c:271
@@ -1940,476 +1931,476 @@ msgstr "%s: epätäydellinen ”END”-rivi"
 msgid "%s: syntax error"
 msgstr "%s: syntaksivirhe"
 
-#: locale/programs/ld-collate.c:426
+#: locale/programs/ld-collate.c:427
 #, c-format
 msgid "`%.*s' already defined in charmap"
 msgstr "”%.*s” on jo määritelty merkistökartassa"
 
-#: locale/programs/ld-collate.c:435
+#: locale/programs/ld-collate.c:436
 #, c-format
 msgid "`%.*s' already defined in repertoire"
 msgstr "”%.*s” on jo määritelty valikoimassa"
 
-#: locale/programs/ld-collate.c:442
+#: locale/programs/ld-collate.c:443
 #, c-format
 msgid "`%.*s' already defined as collating symbol"
 msgstr "”%.*s” on jo määritelty vertailusymboliksi"
 
-#: locale/programs/ld-collate.c:449
+#: locale/programs/ld-collate.c:450
 #, c-format
 msgid "`%.*s' already defined as collating element"
 msgstr "”%.*s” on jo määritelty vertailuelementiksi"
 
-#: locale/programs/ld-collate.c:480 locale/programs/ld-collate.c:506
+#: locale/programs/ld-collate.c:481 locale/programs/ld-collate.c:507
 #, c-format
 msgid "%s: `forward' and `backward' are mutually excluding each other"
 msgstr "%s: ”forward” ja ”backward” sulkevat toisensa pois"
 
-#: locale/programs/ld-collate.c:490 locale/programs/ld-collate.c:516
-#: locale/programs/ld-collate.c:532
+#: locale/programs/ld-collate.c:491 locale/programs/ld-collate.c:517
+#: locale/programs/ld-collate.c:533
 #, c-format
 msgid "%s: `%s' mentioned more than once in definition of weight %d"
 msgstr "%s: ”%s” mainittu useammin kuin kerran painon %d määrittelyssä"
 
-#: locale/programs/ld-collate.c:588
+#: locale/programs/ld-collate.c:589
 #, c-format
 msgid "%s: too many rules; first entry only had %d"
 msgstr "%s: liian monta sääntöä; ensimmäisellä merkinnällä oli vain %d"
 
-#: locale/programs/ld-collate.c:624
+#: locale/programs/ld-collate.c:625
 #, c-format
 msgid "%s: not enough sorting rules"
 msgstr "%s: ei riittävästi lajittelusääntöjä"
 
-#: locale/programs/ld-collate.c:789
+#: locale/programs/ld-collate.c:790
 #, c-format
 msgid "%s: empty weight string not allowed"
 msgstr "%s: tyhjiä painomerkkijonoja ei sallita"
 
-#: locale/programs/ld-collate.c:884
+#: locale/programs/ld-collate.c:885
 #, c-format
 msgid "%s: weights must use the same ellipsis symbol as the name"
 msgstr "%s: painojen on käytettävä samaa sanankatkaisusymbolia kuin nimen"
 
-#: locale/programs/ld-collate.c:940
+#: locale/programs/ld-collate.c:941
 #, c-format
 msgid "%s: too many values"
 msgstr "%s: liian monta arvoa"
 
-#: locale/programs/ld-collate.c:1060 locale/programs/ld-collate.c:1235
+#: locale/programs/ld-collate.c:1061 locale/programs/ld-collate.c:1236
 #, c-format
 msgid "order for `%.*s' already defined at %s:%Zu"
 msgstr "järjestys ”%.*s”:lle on jo määritelty paikassa %s:%Zu"
 
-#: locale/programs/ld-collate.c:1110
+#: locale/programs/ld-collate.c:1111
 #, c-format
 msgid "%s: the start and the end symbol of a range must stand for characters"
 msgstr "%s: välin alku- ja loppusymbolien tulee edustaa merkkejä"
 
-#: locale/programs/ld-collate.c:1137
+#: locale/programs/ld-collate.c:1138
 #, c-format
 msgid "%s: byte sequences of first and last character must have the same length"
 msgstr "%s: ensimmäisen ja viimeisen merkin tavusarjojen on oltava saman pituiset"
 
-#: locale/programs/ld-collate.c:1179
+#: locale/programs/ld-collate.c:1180
 #, fuzzy, c-format
 msgid "%s: byte sequence of first character of range is not lower than that of the last character"
 msgstr "%s: sarjan ensimmäisen merkin tavusarja ei ole matalampi kuin viimeisen"
 
-#: locale/programs/ld-collate.c:1304
+#: locale/programs/ld-collate.c:1305
 #, c-format
 msgid "%s: symbolic range ellipsis must not directly follow `order_start'"
 msgstr "%s: symbolisen välin sanankatkaisu ei saa suoraan seurata sanaa ”order_start”"
 
-#: locale/programs/ld-collate.c:1308
+#: locale/programs/ld-collate.c:1309
 #, c-format
 msgid "%s: symbolic range ellipsis must not be directly followed by `order_end'"
 msgstr "%s: symbolisen välin sanankatkaisua ei saa suoraan seurata ”order_end”"
 
-#: locale/programs/ld-collate.c:1328 locale/programs/ld-ctype.c:1408
+#: locale/programs/ld-collate.c:1329 locale/programs/ld-ctype.c:1374
 #, c-format
 msgid "`%s' and `%.*s' are not valid names for symbolic range"
 msgstr "”%s” ja ”%.*s” eivät ole kelvollisia nimiä symboliselle välille"
 
-#: locale/programs/ld-collate.c:1378 locale/programs/ld-collate.c:3718
+#: locale/programs/ld-collate.c:1379 locale/programs/ld-collate.c:3727
 #, c-format
 msgid "%s: order for `%.*s' already defined at %s:%Zu"
 msgstr "%s: järjestys ”%.*s”:lle on jo määritelty kohdassa %s:%Zu"
 
-#: locale/programs/ld-collate.c:1387
+#: locale/programs/ld-collate.c:1388
 #, c-format
 msgid "%s: `%s' must be a character"
 msgstr "%s: ”%s” on oltava merkki"
 
-#: locale/programs/ld-collate.c:1582
+#: locale/programs/ld-collate.c:1583
 #, c-format
 msgid "%s: `position' must be used for a specific level in all sections or none"
 msgstr "%s: ”position” on käytetävä tietylle tasolle kaikissa osissa tai ei yhdessäkään"
 
-#: locale/programs/ld-collate.c:1607
+#: locale/programs/ld-collate.c:1608
 #, c-format
 msgid "symbol `%s' not defined"
 msgstr "symbolia ”%s” ei ole määritelty"
 
-#: locale/programs/ld-collate.c:1683 locale/programs/ld-collate.c:1789
+#: locale/programs/ld-collate.c:1684 locale/programs/ld-collate.c:1790
 #, c-format
 msgid "symbol `%s' has the same encoding as"
 msgstr "symbolilla ”%s” on sama koodaus kuin"
 
-#: locale/programs/ld-collate.c:1687 locale/programs/ld-collate.c:1793
+#: locale/programs/ld-collate.c:1688 locale/programs/ld-collate.c:1794
 #, c-format
 msgid "symbol `%s'"
 msgstr "symboli ”%s”"
 
-#: locale/programs/ld-collate.c:1833
+#: locale/programs/ld-collate.c:1834
 #, c-format
 msgid "no definition of `UNDEFINED'"
 msgstr "”UNDEFINED” ei ole määritelty"
 
-#: locale/programs/ld-collate.c:1862
+#: locale/programs/ld-collate.c:1863
 #, c-format
 msgid "too many errors; giving up"
 msgstr "liian monta virhettä; luovutetaan"
 
-#: locale/programs/ld-collate.c:2518 locale/programs/ld-collate.c:3906
+#: locale/programs/ld-collate.c:2527 locale/programs/ld-collate.c:3915
 #, fuzzy, c-format
 msgid "%s: nested conditionals not supported"
 msgstr "muunnos merkistöstä ”%s” ei ole tuettu"
 
-#: locale/programs/ld-collate.c:2536
+#: locale/programs/ld-collate.c:2545
 #, c-format
 msgid "%s: more than one 'else'"
 msgstr "%s: useampi kuin yksi ”else”"
 
-#: locale/programs/ld-collate.c:2711
+#: locale/programs/ld-collate.c:2720
 #, c-format
 msgid "%s: duplicate definition of `%s'"
 msgstr "%s: kaksinkertainen määrittely ”%s”"
 
-#: locale/programs/ld-collate.c:2747
+#: locale/programs/ld-collate.c:2756
 #, c-format
 msgid "%s: duplicate declaration of section `%s'"
 msgstr "%s: kaksinkertainen määrittely osalle ”%s”"
 
-#: locale/programs/ld-collate.c:2883
+#: locale/programs/ld-collate.c:2892
 #, c-format
 msgid "%s: unknown character in collating symbol name"
 msgstr "%s: tuntematon merkki vertailusymbolin nimessä"
 
-#: locale/programs/ld-collate.c:3012
+#: locale/programs/ld-collate.c:3021
 #, c-format
 msgid "%s: unknown character in equivalent definition name"
 msgstr "%s: tuntematon merkki yhtäläisyysmäärittelyn nimessä"
 
-#: locale/programs/ld-collate.c:3023
+#: locale/programs/ld-collate.c:3032
 #, c-format
 msgid "%s: unknown character in equivalent definition value"
 msgstr "%s: tuntematon merkki yhtäläisyysmäärittelyn arvossa"
 
-#: locale/programs/ld-collate.c:3033
+#: locale/programs/ld-collate.c:3042
 #, c-format
 msgid "%s: unknown symbol `%s' in equivalent definition"
 msgstr "%s: tuntematon symboli ”%s” yhtäläisyysmäärittelyssä"
 
-#: locale/programs/ld-collate.c:3042
+#: locale/programs/ld-collate.c:3051
 msgid "error while adding equivalent collating symbol"
 msgstr "virhe lisättäessä yhtäläisyysvertailusymbolia"
 
-#: locale/programs/ld-collate.c:3080
+#: locale/programs/ld-collate.c:3089
 #, c-format
 msgid "duplicate definition of script `%s'"
 msgstr "kaksinkertainen skriptin ”%s” määrittely"
 
-#: locale/programs/ld-collate.c:3128
+#: locale/programs/ld-collate.c:3137
 #, c-format
 msgid "%s: unknown section name `%.*s'"
 msgstr "%s: tuntematon osan nimi ”%.*s”"
 
-#: locale/programs/ld-collate.c:3157
+#: locale/programs/ld-collate.c:3166
 #, c-format
 msgid "%s: multiple order definitions for section `%s'"
 msgstr "%s: useita järjestysmäärittelyjä osalle ”%s”"
 
-#: locale/programs/ld-collate.c:3185
+#: locale/programs/ld-collate.c:3194
 #, c-format
 msgid "%s: invalid number of sorting rules"
 msgstr "%s: virheellinen määrä lajittelusääntöjä"
 
-#: locale/programs/ld-collate.c:3212
+#: locale/programs/ld-collate.c:3221
 #, c-format
 msgid "%s: multiple order definitions for unnamed section"
 msgstr "%s: useita järjestysmäärittelyjä nimettömälle osalle"
 
-#: locale/programs/ld-collate.c:3267 locale/programs/ld-collate.c:3397
-#: locale/programs/ld-collate.c:3760
+#: locale/programs/ld-collate.c:3276 locale/programs/ld-collate.c:3406
+#: locale/programs/ld-collate.c:3769
 #, c-format
 msgid "%s: missing `order_end' keyword"
 msgstr "%s: avainsana ”order_end” puuttuu"
 
-#: locale/programs/ld-collate.c:3330
+#: locale/programs/ld-collate.c:3339
 #, c-format
 msgid "%s: order for collating symbol %.*s not yet defined"
 msgstr "%s: vertailusymbolin %.*s järjestystä ei ole vielä määritelty"
 
-#: locale/programs/ld-collate.c:3348
+#: locale/programs/ld-collate.c:3357
 #, c-format
 msgid "%s: order for collating element %.*s not yet defined"
 msgstr "%s: vertailuelementin %.*s järjestystä ei ole vielä määritelty"
 
-#: locale/programs/ld-collate.c:3359
+#: locale/programs/ld-collate.c:3368
 #, c-format
 msgid "%s: cannot reorder after %.*s: symbol not known"
 msgstr "%s: uudelleenjärjestys kohdan %.*s jälkeen ei onnistu: tuntematon symboli"
 
-#: locale/programs/ld-collate.c:3411 locale/programs/ld-collate.c:3772
+#: locale/programs/ld-collate.c:3420 locale/programs/ld-collate.c:3781
 #, c-format
 msgid "%s: missing `reorder-end' keyword"
 msgstr "%s: avainsana ”reorder-end” puuttuu"
 
-#: locale/programs/ld-collate.c:3445 locale/programs/ld-collate.c:3643
+#: locale/programs/ld-collate.c:3454 locale/programs/ld-collate.c:3652
 #, c-format
 msgid "%s: section `%.*s' not known"
 msgstr "%s: osaa ”%.*s” ei tunneta"
 
-#: locale/programs/ld-collate.c:3510
+#: locale/programs/ld-collate.c:3519
 #, c-format
 msgid "%s: bad symbol <%.*s>"
 msgstr "%s: virheellinen symboli <%.*s>"
 
-#: locale/programs/ld-collate.c:3706
+#: locale/programs/ld-collate.c:3715
 #, c-format
 msgid "%s: cannot have `%s' as end of ellipsis range"
 msgstr "%s: ”%s” ei voi olla sanankatkaisuvälin loppuna"
 
-#: locale/programs/ld-collate.c:3756
+#: locale/programs/ld-collate.c:3765
 #, c-format
 msgid "%s: empty category description not allowed"
 msgstr "%s: tyhjää kategoriakuvausta ei sallita"
 
-#: locale/programs/ld-collate.c:3775
+#: locale/programs/ld-collate.c:3784
 #, c-format
 msgid "%s: missing `reorder-sections-end' keyword"
 msgstr "%s: avainsana ”reorder-sections-end” puuttuu"
 
-#: locale/programs/ld-collate.c:3939
+#: locale/programs/ld-collate.c:3948
 #, c-format
 msgid "%s: '%s' without matching 'ifdef' or 'ifndef'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3957
+#: locale/programs/ld-collate.c:3966
 #, c-format
 msgid "%s: 'endif' without matching 'ifdef' or 'ifndef'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:484
+#: locale/programs/ld-ctype.c:450
 #, c-format
 msgid "No character set name specified in charmap"
 msgstr "Merkistön nimeä ei ole määritelty merkistökartassa"
 
-#: locale/programs/ld-ctype.c:513
+#: locale/programs/ld-ctype.c:479
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must be in class `%s'"
 msgstr "merkin L'\\u%0*x' luokassa ”%s” on oltava luokassa ”%s”"
 
-#: locale/programs/ld-ctype.c:528
+#: locale/programs/ld-ctype.c:494
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must not be in class `%s'"
 msgstr "merkki L'\\u%0*x' luokassa ”%s” ei saa olla luokassa ”%s”"
 
-#: locale/programs/ld-ctype.c:542 locale/programs/ld-ctype.c:600
+#: locale/programs/ld-ctype.c:508 locale/programs/ld-ctype.c:566
 #, c-format
 msgid "internal error in %s, line %u"
 msgstr "sisäinen virhe tiedostossa %s, rivillä %u"
 
-#: locale/programs/ld-ctype.c:571
+#: locale/programs/ld-ctype.c:537
 #, c-format
 msgid "character '%s' in class `%s' must be in class `%s'"
 msgstr "merkin '%s' luokassa ”%s” on oltava luokassa ”%s”"
 
-#: locale/programs/ld-ctype.c:587
+#: locale/programs/ld-ctype.c:553
 #, c-format
 msgid "character '%s' in class `%s' must not be in class `%s'"
 msgstr "merkin '%s' luokassa ”%s” ei saa olla luokassa ”%s”"
 
-#: locale/programs/ld-ctype.c:617 locale/programs/ld-ctype.c:655
+#: locale/programs/ld-ctype.c:583 locale/programs/ld-ctype.c:621
 #, c-format
 msgid "<SP> character not in class `%s'"
 msgstr "<SP>-merkki ei ole luokassa ”%s”"
 
-#: locale/programs/ld-ctype.c:629 locale/programs/ld-ctype.c:666
+#: locale/programs/ld-ctype.c:595 locale/programs/ld-ctype.c:632
 #, c-format
 msgid "<SP> character must not be in class `%s'"
 msgstr "<SP>-merkki ei saa olla luokassa ”%s”"
 
-#: locale/programs/ld-ctype.c:644
+#: locale/programs/ld-ctype.c:610
 #, c-format
 msgid "character <SP> not defined in character map"
 msgstr "merkkiä <SP> ei ole määritelty merkistökartassa"
 
-#: locale/programs/ld-ctype.c:780
+#: locale/programs/ld-ctype.c:746
 #, c-format
 msgid "`digit' category has not entries in groups of ten"
 msgstr "”digit”-kategorian merkinnät eivät ole kymmenen ryhmissä"
 
-#: locale/programs/ld-ctype.c:829
+#: locale/programs/ld-ctype.c:795
 #, c-format
 msgid "no input digits defined and none of the standard names in the charmap"
 msgstr "syötenumeroita ei ole määritelty, eikä merkistökartassa ole standardinimiä"
 
-#: locale/programs/ld-ctype.c:894
+#: locale/programs/ld-ctype.c:860
 #, c-format
 msgid "not all characters used in `outdigit' are available in the charmap"
 msgstr "kaikki ”outdigit”:in merkit eivät ole käytettävissä merkistökartassa"
 
-#: locale/programs/ld-ctype.c:911
+#: locale/programs/ld-ctype.c:877
 #, c-format
 msgid "not all characters used in `outdigit' are available in the repertoire"
 msgstr "kaikki ”outditit”:in merkit eivät ole käytettävissä valikoimassa"
 
-#: locale/programs/ld-ctype.c:1176
+#: locale/programs/ld-ctype.c:1142
 #, c-format
 msgid "character class `%s' already defined"
 msgstr "merkkiluokka ”%s” on jo määritelty"
 
-#: locale/programs/ld-ctype.c:1182
+#: locale/programs/ld-ctype.c:1148
 #, c-format
 msgid "implementation limit: no more than %Zd character classes allowed"
 msgstr "toteutuksen rajoitus: korkeintaan %Zd merkkiluokkaa sallittu"
 
-#: locale/programs/ld-ctype.c:1208
+#: locale/programs/ld-ctype.c:1174
 #, c-format
 msgid "character map `%s' already defined"
 msgstr "merkistökartta ”%s” on jo määritelty"
 
-#: locale/programs/ld-ctype.c:1214
+#: locale/programs/ld-ctype.c:1180
 #, c-format
 msgid "implementation limit: no more than %d character maps allowed"
 msgstr "toteutuksen rajoitus: korkeintaan %d merkistökarttaa sallittu"
 
-#: locale/programs/ld-ctype.c:1479 locale/programs/ld-ctype.c:1604
-#: locale/programs/ld-ctype.c:1710 locale/programs/ld-ctype.c:2400
-#: locale/programs/ld-ctype.c:3397
+#: locale/programs/ld-ctype.c:1445 locale/programs/ld-ctype.c:1570
+#: locale/programs/ld-ctype.c:1676 locale/programs/ld-ctype.c:2352
+#: locale/programs/ld-ctype.c:3324
 #, c-format
 msgid "%s: field `%s' does not contain exactly ten entries"
 msgstr "%s: kenttä ”%s” ei sisällä tasan kymmentä merkintää"
 
-#: locale/programs/ld-ctype.c:1507 locale/programs/ld-ctype.c:2081
+#: locale/programs/ld-ctype.c:1473 locale/programs/ld-ctype.c:2047
 #, c-format
 msgid "to-value <U%0*X> of range is smaller than from-value <U%0*X>"
 msgstr "välin to-arvo <U%0*X> on pienempi kuin from-arvo <U%0*X>"
 
-#: locale/programs/ld-ctype.c:1634
+#: locale/programs/ld-ctype.c:1600
 msgid "start and end character sequence of range must have the same length"
 msgstr "välin aloitus- ja lopetusmerkkisarjojen on oltava saman pituiset"
 
-#: locale/programs/ld-ctype.c:1641
+#: locale/programs/ld-ctype.c:1607
 msgid "to-value character sequence is smaller than from-value sequence"
 msgstr "to-arvon merkkisarja on pienempi kuin from-arvon sarja"
 
-#: locale/programs/ld-ctype.c:2001 locale/programs/ld-ctype.c:2052
+#: locale/programs/ld-ctype.c:1967 locale/programs/ld-ctype.c:2018
 msgid "premature end of `translit_ignore' definition"
 msgstr "ennenaikainen ”translit_ignore”-määrittelyn loppu"
 
-#: locale/programs/ld-ctype.c:2007 locale/programs/ld-ctype.c:2058
-#: locale/programs/ld-ctype.c:2100
+#: locale/programs/ld-ctype.c:1973 locale/programs/ld-ctype.c:2024
+#: locale/programs/ld-ctype.c:2066
 msgid "syntax error"
 msgstr "syntaksivirhe"
 
-#: locale/programs/ld-ctype.c:2233
+#: locale/programs/ld-ctype.c:2199
 #, c-format
 msgid "%s: syntax error in definition of new character class"
 msgstr "%s: syntaksivirhe uuden merkkiluokan määrittelyssä"
 
-#: locale/programs/ld-ctype.c:2248
+#: locale/programs/ld-ctype.c:2214
 #, c-format
 msgid "%s: syntax error in definition of new character map"
 msgstr "%s: syntaksivirhe uuden merkistökartan määrittelyssä"
 
-#: locale/programs/ld-ctype.c:2422
+#: locale/programs/ld-ctype.c:2374
 msgid "ellipsis range must be marked by two operands of same type"
 msgstr "sanankatkaisuväliä on merkittävä kahdella saman tyyppisellä operandilla"
 
-#: locale/programs/ld-ctype.c:2431
+#: locale/programs/ld-ctype.c:2383
 msgid "with symbolic name range values the absolute ellipsis `...' must not be used"
 msgstr "absoluuttista sanankatkaisua ”...” ei saa käyttää symbolisen nimivälin arvojen kanssa"
 
-#: locale/programs/ld-ctype.c:2446
+#: locale/programs/ld-ctype.c:2398
 msgid "with UCS range values one must use the hexadecimal symbolic ellipsis `..'"
 msgstr "UCS-välin arvojen kanssa on käytettävä heksadesimaalista symbolista sanankatkaisua ”..”"
 
-#: locale/programs/ld-ctype.c:2460
+#: locale/programs/ld-ctype.c:2412
 msgid "with character code range values one must use the absolute ellipsis `...'"
 msgstr "merkkikoodivälin arvojen kanssa on käytettävä absoluuttista sanankatkaisua ”...”"
 
-#: locale/programs/ld-ctype.c:2611
+#: locale/programs/ld-ctype.c:2563
 #, c-format
 msgid "duplicated definition for mapping `%s'"
 msgstr "kaksinkertainen määrittely kartoitukselle ”%s”"
 
-#: locale/programs/ld-ctype.c:2697 locale/programs/ld-ctype.c:2841
+#: locale/programs/ld-ctype.c:2649 locale/programs/ld-ctype.c:2793
 #, c-format
 msgid "%s: `translit_start' section does not end with `translit_end'"
 msgstr "%s: ”translit_start”-osa ei lopu tekstiin ”translit_end”"
 
-#: locale/programs/ld-ctype.c:2792
+#: locale/programs/ld-ctype.c:2744
 #, c-format
 msgid "%s: duplicate `default_missing' definition"
 msgstr "%s: kaksinkertainen ”default_missing”-määrittely"
 
-#: locale/programs/ld-ctype.c:2797
+#: locale/programs/ld-ctype.c:2749
 msgid "previous definition was here"
 msgstr "edellinen määrittely oli täällä"
 
-#: locale/programs/ld-ctype.c:2819
+#: locale/programs/ld-ctype.c:2771
 #, c-format
 msgid "%s: no representable `default_missing' definition found"
 msgstr "%s: esitettävissä olevaa ”default_missing”-määrittelyä ei löytynyt"
 
-#: locale/programs/ld-ctype.c:2962 locale/programs/ld-ctype.c:3059
-#: locale/programs/ld-ctype.c:3079 locale/programs/ld-ctype.c:3100
-#: locale/programs/ld-ctype.c:3121 locale/programs/ld-ctype.c:3142
-#: locale/programs/ld-ctype.c:3163 locale/programs/ld-ctype.c:3203
-#: locale/programs/ld-ctype.c:3224 locale/programs/ld-ctype.c:3289
-#: locale/programs/ld-ctype.c:3331 locale/programs/ld-ctype.c:3356
+#: locale/programs/ld-ctype.c:2889 locale/programs/ld-ctype.c:2986
+#: locale/programs/ld-ctype.c:3006 locale/programs/ld-ctype.c:3027
+#: locale/programs/ld-ctype.c:3048 locale/programs/ld-ctype.c:3069
+#: locale/programs/ld-ctype.c:3090 locale/programs/ld-ctype.c:3130
+#: locale/programs/ld-ctype.c:3151 locale/programs/ld-ctype.c:3216
+#: locale/programs/ld-ctype.c:3258 locale/programs/ld-ctype.c:3283
 #, c-format
 msgid "%s: character `%s' not defined while needed as default value"
 msgstr "%s: oletusarvona tarvittavaa merkkiä ”%s” ei ole määritelty"
 
-#: locale/programs/ld-ctype.c:2967 locale/programs/ld-ctype.c:3064
-#: locale/programs/ld-ctype.c:3084 locale/programs/ld-ctype.c:3105
-#: locale/programs/ld-ctype.c:3126 locale/programs/ld-ctype.c:3147
-#: locale/programs/ld-ctype.c:3168 locale/programs/ld-ctype.c:3208
-#: locale/programs/ld-ctype.c:3229 locale/programs/ld-ctype.c:3294
+#: locale/programs/ld-ctype.c:2894 locale/programs/ld-ctype.c:2991
+#: locale/programs/ld-ctype.c:3011 locale/programs/ld-ctype.c:3032
+#: locale/programs/ld-ctype.c:3053 locale/programs/ld-ctype.c:3074
+#: locale/programs/ld-ctype.c:3095 locale/programs/ld-ctype.c:3135
+#: locale/programs/ld-ctype.c:3156 locale/programs/ld-ctype.c:3221
 #, c-format
 msgid "%s: character `%s' in charmap not representable with one byte"
 msgstr "%s: merkistökartan merkki ”%s” ei ole esitettävissä yhdellä tavulla"
 
-#: locale/programs/ld-ctype.c:3338 locale/programs/ld-ctype.c:3363
+#: locale/programs/ld-ctype.c:3265 locale/programs/ld-ctype.c:3290
 #, c-format
 msgid "%s: character `%s' needed as default value not representable with one byte"
 msgstr "%s: oletusarvona tarvittava merkki ”%s” ei ole esitettävissä yhdellä tavulla"
 
-#: locale/programs/ld-ctype.c:3419
+#: locale/programs/ld-ctype.c:3346
 #, c-format
 msgid "no output digits defined and none of the standard names in the charmap"
 msgstr "tulostenumeroita ei ole määritelty, eikä merkistökartassa ole standardinimiä"
 
-#: locale/programs/ld-ctype.c:3668
+#: locale/programs/ld-ctype.c:3595
 #, c-format
 msgid "%s: transliteration data from locale `%s' not available"
 msgstr "%s: translitterointidata maa-asetustosta ”%s” ei ole käytettävissä"
 
-#: locale/programs/ld-ctype.c:3768
+#: locale/programs/ld-ctype.c:3695
 #, c-format
 msgid "%s: table for class \"%s\": %lu bytes\n"
 msgstr "%s: taulukko luokalle ”%s”: %lu tavua\n"
 
-#: locale/programs/ld-ctype.c:3833
+#: locale/programs/ld-ctype.c:3760
 #, c-format
 msgid "%s: table for map \"%s\": %lu bytes\n"
 msgstr "%s: taulukko kartalle ”%s”: %lu tavua\n"
 
-#: locale/programs/ld-ctype.c:3958
+#: locale/programs/ld-ctype.c:3885
 #, c-format
 msgid "%s: table for width: %lu bytes\n"
 msgstr "%s: taulukko leveydelle: %lu tavua\n"
@@ -3804,17 +3795,23 @@ msgstr ""
 msgid " (first)"
 msgstr " (ensimmäinen)"
 
-#: nscd/cache.c:285 nscd/connections.c:1000
-#, c-format
-msgid "cannot stat() file `%s': %s"
+#: nscd/cache.c:288
+#, fuzzy, c-format
+#| msgid "cannot stat() file `%s': %s"
+msgid "checking for monitored file `%s': %s"
 msgstr "tiedoston ”%s” tilaa ei voi lukea: %s"
 
-#: nscd/cache.c:331
+#: nscd/cache.c:298
+#, c-format
+msgid "monitored file `%s` changed (mtime)"
+msgstr ""
+
+#: nscd/cache.c:341
 #, c-format
 msgid "pruning %s cache; time %ld"
 msgstr ""
 
-#: nscd/cache.c:360
+#: nscd/cache.c:370
 #, c-format
 msgid "considering %s entry \"%s\", timeout %<PRIu64>"
 msgstr ""
@@ -3901,155 +3898,217 @@ msgstr "pistoketta ei voi asettaa vastaanottamaan yhteyksiä: %s"
 msgid "cannot enable socket to accept connections: %s"
 msgstr "pistoketta ei voi asettaa vastaanottamaan yhteyksiä: %s"
 
-#: nscd/connections.c:984
+#: nscd/connections.c:973
+#, c-format
+msgid "disabled inotify-based monitoring for file `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:977
+#, c-format
+msgid "monitoring file `%s` (%d)"
+msgstr ""
+
+#: nscd/connections.c:990
+#, c-format
+msgid "disabled inotify-based monitoring for directory `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:994
+#, fuzzy, c-format
+#| msgid "Can't open directory %s"
+msgid "monitoring directory `%s` (%d)"
+msgstr "Hakemistoa %s ei voi avata"
+
+#: nscd/connections.c:1022
 #, fuzzy, c-format
-msgid "register trace file %s for database %s"
+msgid "monitoring file %s for database %s"
 msgstr "Karttatietokannassa ei ole enempää tietueita"
 
-#: nscd/connections.c:1114
+#: nscd/connections.c:1032
+#, c-format
+msgid "stat failed for file `%s'; will try again later: %s"
+msgstr ""
+
+#: nscd/connections.c:1151
 #, fuzzy, c-format
 msgid "provide access to FD %d, for %s"
 msgstr "suljetaan %s (fd=%d)"
 
-#: nscd/connections.c:1126
+#: nscd/connections.c:1163
 #, c-format
 msgid "cannot handle old request version %d; current version is %d"
 msgstr "vanhaa pyyntöversiota %d ei voi käsitellä; nykyinen versio on %d"
 
-#: nscd/connections.c:1148
+#: nscd/connections.c:1185
 #, c-format
 msgid "request from %ld not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1153
+#: nscd/connections.c:1190
 #, c-format
 msgid "request from '%s' [%ld] not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1158
+#: nscd/connections.c:1195
 msgid "request not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1196 nscd/connections.c:1249
+#: nscd/connections.c:1233 nscd/connections.c:1286
 #, c-format
 msgid "cannot write result: %s"
 msgstr "tulosta ei voi kirjoittaa: %s"
 
-#: nscd/connections.c:1340
+#: nscd/connections.c:1377
 #, c-format
 msgid "error getting caller's id: %s"
 msgstr "virhe kutsujan tunnisteen hakemisessa: %s"
 
-#: nscd/connections.c:1400
+#: nscd/connections.c:1437
 #, c-format
 msgid "cannot open /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1414
+#: nscd/connections.c:1451
 #, c-format
 msgid "cannot read /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1454
+#: nscd/connections.c:1491
 #, c-format
 msgid "cannot change to old UID: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1464
+#: nscd/connections.c:1501
 #, c-format
 msgid "cannot change to old GID: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1477
+#: nscd/connections.c:1514
 #, c-format
 msgid "cannot change to old working directory: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1523
+#: nscd/connections.c:1560
 #, c-format
 msgid "re-exec failed: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1532
+#: nscd/connections.c:1569
 #, fuzzy, c-format
 msgid "cannot change current working directory to \"/\": %s"
 msgstr "hakemistoon %s ei voi siirtyä"
 
-#: nscd/connections.c:1725
+#: nscd/connections.c:1762
 #, c-format
 msgid "short read while reading request: %s"
 msgstr "vajaa luku luettaessa pyyntöä: %s"
 
-#: nscd/connections.c:1758
+#: nscd/connections.c:1795
 #, c-format
 msgid "key length in request too long: %d"
 msgstr "avaimen pituus pyynnössä liian pitkä: %d"
 
-#: nscd/connections.c:1771
+#: nscd/connections.c:1808
 #, c-format
 msgid "short read while reading request key: %s"
 msgstr "vajaa luku luettaessa pyyntöavainta: %s"
 
-#: nscd/connections.c:1781
+#: nscd/connections.c:1818
 #, fuzzy, c-format
 msgid "handle_request: request received (Version = %d) from PID %ld"
 msgstr "handle_request: pyyntö vastaanotettu (Versio = %d)"
 
-#: nscd/connections.c:1786
+#: nscd/connections.c:1823
 #, c-format
 msgid "handle_request: request received (Version = %d)"
 msgstr "handle_request: pyyntö vastaanotettu (Versio = %d)"
 
-#: nscd/connections.c:2050 nscd/connections.c:2252
+#: nscd/connections.c:1963
+#, c-format
+msgid "ignored inotify event for `%s` (file exists)"
+msgstr ""
+
+#: nscd/connections.c:1968
+#, c-format
+msgid "monitored file `%s` was %s, removing watch"
+msgstr ""
+
+#: nscd/connections.c:1976 nscd/connections.c:2018
 #, c-format
-msgid "disabled inotify after read error %d"
+msgid "failed to remove file watch `%s`: %s"
 msgstr ""
 
-#: nscd/connections.c:2375
+#: nscd/connections.c:1991
+#, c-format
+msgid "monitored file `%s` was written to"
+msgstr ""
+
+#: nscd/connections.c:2015
+#, c-format
+msgid "monitored parent directory `%s` was %s, removing watch on `%s`"
+msgstr ""
+
+#: nscd/connections.c:2041
+#, c-format
+msgid "monitored file `%s` was %s, adding watch"
+msgstr ""
+
+#: nscd/connections.c:2053
+#, fuzzy, c-format
+#| msgid "failed to load shared object `%s'"
+msgid "failed to add file watch `%s`: %s"
+msgstr "jaettua objektia ”%s” ei voitu ladata"
+
+#: nscd/connections.c:2247 nscd/connections.c:2428
+#, c-format
+msgid "disabled inotify-based monitoring after read error %d"
+msgstr ""
+
+#: nscd/connections.c:2543
 #, fuzzy
 msgid "could not initialize conditional variable"
 msgstr "arkistotiedostoa ei voi alustaa"
 
-#: nscd/connections.c:2383
+#: nscd/connections.c:2551
 msgid "could not start clean-up thread; terminating"
 msgstr ""
 
-#: nscd/connections.c:2397
+#: nscd/connections.c:2565
 msgid "could not start any worker thread; terminating"
 msgstr ""
 
-#: nscd/connections.c:2452 nscd/connections.c:2454 nscd/connections.c:2470
-#: nscd/connections.c:2480 nscd/connections.c:2498 nscd/connections.c:2509
-#: nscd/connections.c:2519
+#: nscd/connections.c:2620 nscd/connections.c:2622 nscd/connections.c:2638
+#: nscd/connections.c:2648 nscd/connections.c:2666 nscd/connections.c:2677
+#: nscd/connections.c:2687
 #, c-format
 msgid "Failed to run nscd as user '%s'"
 msgstr "Ohjelman nscd ajaminen käyttäjän ”%s” oikeuksilla epäonnistui"
 
-#: nscd/connections.c:2472
+#: nscd/connections.c:2640
 #, fuzzy
 msgid "initial getgrouplist failed"
 msgstr "getgrouplist epäonnistui"
 
-#: nscd/connections.c:2481
+#: nscd/connections.c:2649
 msgid "getgrouplist failed"
 msgstr "getgrouplist epäonnistui"
 
-#: nscd/connections.c:2499
+#: nscd/connections.c:2667
 msgid "setgroups failed"
 msgstr "setgroups epäonnistui"
 
-#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:410
+#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:411
 #: nscd/pwdcache.c:383 nscd/servicescache.c:338
 #, c-format
 msgid "short write in %s: %s"
 msgstr "vajaa kirjoitus tiedostossa %s: %s"
 
-#: nscd/grpcache.c:450 nscd/initgrcache.c:77
+#: nscd/grpcache.c:450 nscd/initgrcache.c:78
 #, c-format
 msgid "Haven't found \"%s\" in group cache!"
 msgstr "”%s” ei löytynyt ryhmävälimuistista!"
 
-#: nscd/grpcache.c:452 nscd/initgrcache.c:79
+#: nscd/grpcache.c:452 nscd/initgrcache.c:80
 #, fuzzy, c-format
 msgid "Reloading \"%s\" in group cache!"
 msgstr "”%s” ei löytynyt ryhmävälimuistista!"
@@ -4140,7 +4199,7 @@ msgstr "Käytä erillistä välimuistia jokaiselle käyttäjälle"
 msgid "Name Service Cache Daemon."
 msgstr "Nimipalvelun välimuistidemoni."
 
-#: nscd/nscd.c:155 nss/getent.c:1003 nss/makedb.c:206
+#: nscd/nscd.c:155 nss/getent.c:1007 nss/makedb.c:206
 #, c-format
 msgid "wrong number of arguments"
 msgstr "väärä määrä argumentteja"
@@ -4175,7 +4234,7 @@ msgstr "työhakemistoa ei voi vaihtaa ”/”:ksi"
 msgid "Could not create log file"
 msgstr "Lokitiedostoa ei voitu luoda"
 
-#: nscd/nscd.c:355 nscd/nscd_stat.c:192
+#: nscd/nscd.c:355 nscd/nscd_stat.c:194
 #, c-format
 msgid "write incomplete"
 msgstr "keskeneräinen kirjoitus"
@@ -4190,7 +4249,7 @@ msgstr "ei voida lukea"
 msgid "invalidation failed"
 msgstr "EI TÄSMÄÄ"
 
-#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:173
+#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:175
 #, c-format
 msgid "Only root is allowed to use this option!"
 msgstr "Vain root-käyttäjä voi käyttää tätä valitsinta!"
@@ -4272,35 +4331,35 @@ msgstr ""
 msgid "maximum file size for %s database too small"
 msgstr ""
 
-#: nscd/nscd_stat.c:142
+#: nscd/nscd_stat.c:144
 #, c-format
 msgid "cannot write statistics: %s"
 msgstr "tilastoa ei voi kirjoittaa: %s"
 
-#: nscd/nscd_stat.c:157
+#: nscd/nscd_stat.c:159
 msgid "yes"
 msgstr "kyllä"
 
-#: nscd/nscd_stat.c:158
+#: nscd/nscd_stat.c:160
 msgid "no"
 msgstr "ei"
 
-#: nscd/nscd_stat.c:169
+#: nscd/nscd_stat.c:171
 #, c-format
 msgid "Only root or %s is allowed to use this option!"
 msgstr "Vain root ja %s voivat käyttää tätä valitsinta!"
 
-#: nscd/nscd_stat.c:180
+#: nscd/nscd_stat.c:182
 #, c-format
 msgid "nscd not running!\n"
 msgstr "nscd ei ole käynnissä!\n"
 
-#: nscd/nscd_stat.c:204
+#: nscd/nscd_stat.c:206
 #, c-format
 msgid "cannot read statistics data"
 msgstr "tilastodataa ei voi lukea"
 
-#: nscd/nscd_stat.c:207
+#: nscd/nscd_stat.c:209
 #, c-format
 msgid ""
 "nscd configuration:\n"
@@ -4311,27 +4370,27 @@ msgstr ""
 "\n"
 "%15d  palvelimen debug-taso\n"
 
-#: nscd/nscd_stat.c:231
+#: nscd/nscd_stat.c:233
 #, c-format
 msgid "%3ud %2uh %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:234
+#: nscd/nscd_stat.c:236
 #, c-format
 msgid "    %2uh %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:236
+#: nscd/nscd_stat.c:238
 #, c-format
 msgid "        %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:238
+#: nscd/nscd_stat.c:240
 #, fuzzy, c-format
 msgid "            %2lus  server runtime\n"
 msgstr "Pääpalvelin   :\n"
 
-#: nscd/nscd_stat.c:240
+#: nscd/nscd_stat.c:242
 #, fuzzy, c-format
 msgid ""
 "%15d  current number of threads\n"
@@ -4347,7 +4406,7 @@ msgstr ""
 "%15s  paranoiatila käytössä\n"
 "%15lu  restart internal\n"
 
-#: nscd/nscd_stat.c:275
+#: nscd/nscd_stat.c:277
 #, fuzzy, c-format
 msgid ""
 "\n"
@@ -4403,93 +4462,93 @@ msgstr "”%s” ei löytynyt salasanavälimuistista!"
 msgid "Invalid numeric uid \"%s\"!"
 msgstr "Virheellinen numeerinen uid ”%s”!"
 
-#: nscd/selinux.c:155
+#: nscd/selinux.c:154
 #, c-format
 msgid "Failed opening connection to the audit subsystem: %m"
 msgstr ""
 
-#: nscd/selinux.c:176
+#: nscd/selinux.c:175
 #, fuzzy
 msgid "Failed to set keep-capabilities"
 msgstr "PATHin asetus epäonnistui"
 
-#: nscd/selinux.c:177 nscd/selinux.c:240
+#: nscd/selinux.c:176 nscd/selinux.c:239
 msgid "prctl(KEEPCAPS) failed"
 msgstr "prctl(KEEPCAPS) epäonnistui"
 
-#: nscd/selinux.c:191
+#: nscd/selinux.c:190
 msgid "Failed to initialize drop of capabilities"
 msgstr ""
 
-#: nscd/selinux.c:192
+#: nscd/selinux.c:191
 msgid "cap_init failed"
 msgstr "cap_init epäonnistui"
 
-#: nscd/selinux.c:213 nscd/selinux.c:230
+#: nscd/selinux.c:212 nscd/selinux.c:229
 #, fuzzy
 msgid "Failed to drop capabilities"
 msgstr "EI TÄSMÄÄ"
 
-#: nscd/selinux.c:214 nscd/selinux.c:231
+#: nscd/selinux.c:213 nscd/selinux.c:230
 #, fuzzy
 msgid "cap_set_proc failed"
 msgstr "PATHin asetus epäonnistui"
 
-#: nscd/selinux.c:239
+#: nscd/selinux.c:238
 msgid "Failed to unset keep-capabilities"
 msgstr ""
 
-#: nscd/selinux.c:255
+#: nscd/selinux.c:254
 msgid "Failed to determine if kernel supports SELinux"
 msgstr ""
 
-#: nscd/selinux.c:270
+#: nscd/selinux.c:269
 #, fuzzy
 msgid "Failed to start AVC thread"
 msgstr "muunnoksen aloittaminen epäonnistui"
 
-#: nscd/selinux.c:292
+#: nscd/selinux.c:291
 #, fuzzy
 msgid "Failed to create AVC lock"
 msgstr "vastakutsua ei voi luoda"
 
-#: nscd/selinux.c:332
+#: nscd/selinux.c:331
 #, fuzzy
 msgid "Failed to start AVC"
 msgstr "muunnoksen aloittaminen epäonnistui"
 
-#: nscd/selinux.c:334
+#: nscd/selinux.c:333
 msgid "Access Vector Cache (AVC) started"
 msgstr ""
 
-#: nscd/selinux.c:369
+#: nscd/selinux.c:368
 msgid "Error querying policy for undefined object classes or permissions."
 msgstr ""
 
-#: nscd/selinux.c:376
+#: nscd/selinux.c:375
 #, fuzzy
 msgid "Error getting security class for nscd."
 msgstr "virhe kutsujan tunnisteen hakemisessa: %s"
 
-#: nscd/selinux.c:381
+#: nscd/selinux.c:380
 #, c-format
 msgid "Error translating permission name \"%s\" to access vector bit."
 msgstr ""
 
-#: nscd/selinux.c:391
+#: nscd/selinux.c:390
 msgid "Error getting context of socket peer"
 msgstr ""
 
-#: nscd/selinux.c:396
+#: nscd/selinux.c:395
 #, fuzzy
 msgid "Error getting context of nscd"
 msgstr "virhe kutsujan tunnisteen hakemisessa: %s"
 
-#: nscd/selinux.c:402
+#: nscd/selinux.c:401
 msgid "Error getting sid from context"
 msgstr ""
 
-#: nscd/selinux.c:440
+#: nscd/selinux.c:439
 #, c-format
 msgid ""
 "\n"
@@ -4542,16 +4601,16 @@ msgstr "getent - hae merkintöjä hallinnollisesta tietokannasta."
 msgid "Enumeration not supported on %s\n"
 msgstr "%s ei tue luettelemista\n"
 
-#: nss/getent.c:917
+#: nss/getent.c:921
 #, c-format
 msgid "Unknown database name"
 msgstr "Tuntematon tietokannan nimi"
 
-#: nss/getent.c:947
+#: nss/getent.c:951
 msgid "Supported databases:\n"
 msgstr "Tuetut tietokannat:\n"
 
-#: nss/getent.c:1013
+#: nss/getent.c:1017
 #, c-format
 msgid "Unknown database: %s\n"
 msgstr "Tuntematon tietokanta: %s\n"
@@ -4824,7 +4883,7 @@ msgstr "Pariton ) tai \\)"
 msgid "No previous regular expression"
 msgstr "Ei edeltävää säännöllistä lauseketta"
 
-#: posix/wordexp.c:1844
+#: posix/wordexp.c:1851
 msgid "parameter null or not set"
 msgstr "parametri on null tai asettamatta"
 
@@ -7208,6 +7267,17 @@ msgstr "liian monta tai liian pitkä aikavyöhykelyhenne"
 msgid "%s: Can't create directory %s: %s\n"
 msgstr "%s: Hakemistoa %s ei voi luoda: %s\n"
 
+#, fuzzy
+#~ msgid "cannot load any more object with static TLS"
+#~ msgstr "Muistin varaaminen ei onnistu"
+
+#, fuzzy
+#~ msgid "%s: no PLTREL found in object %s\n"
+#~ msgstr "Objektin nimi : %s\n"
+
+#~ msgid "cannot create internal descriptors"
+#~ msgstr "sisäisiä kahvoja ei voi luoda"
+
 #~ msgid "time before zero"
 #~ msgstr "aika ennen nollaa"
 
diff --git a/po/fr.po b/po/fr.po
index 65f9a6a..e468e84 100644
--- a/po/fr.po
+++ b/po/fr.po
@@ -1,4 +1,4 @@
-# translation of libc-2.9.90.fr.po to Français
+# translation of libc-2.22-pre1.fr.po to Français
 # Messages français pour GNU concernant libc.
 # Copyright © 2004, 2008, 2009 Free Software Foundation, Inc.
 # This file is distributed under the same license as the glibc package.
@@ -7,17 +7,17 @@
 # kerb <traduc@traduc.org>, 2008, 2009.
 msgid ""
 msgstr ""
-"Project-Id-Version: libc-2.19.90\n"
-"POT-Creation-Date: 2015-01-20 22:14-0500\n"
-"PO-Revision-Date: 2014-08-21 11:11+0100\n"
-"Last-Translator: kerb <y.kerb@laposte.net>\n"
+"Project-Id-Version: libc 2.22-pre1\n"
+"POT-Creation-Date: 2015-07-31 00:10-0400\n"
+"PO-Revision-Date: 2015-09-20 17:00+0100\n"
+"Last-Translator: Kerb <y.kerb@laposte.net>\n"
 "Language-Team: French <traduc@traduc.org>\n"
 "Language: fr\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n > 1);\n"
-"X-Generator: KBabel 1.11.4\n"
+"X-Generator: Poedit 1.5.4\n"
 
 #: argp/argp-help.c:227
 #, c-format
@@ -148,10 +148,10 @@ msgstr ""
 "[FICHIER_DE_SORTIE [FICHIER_D_ENTRÉE]...]"
 
 #: catgets/gencat.c:229 debug/pcprofiledump.c:209 elf/ldconfig.c:307
-#: elf/pldd.c:244 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
+#: elf/pldd.c:252 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
 #: iconv/iconvconfig.c:379 locale/programs/locale.c:277
 #: locale/programs/localedef.c:376 login/programs/pt_chown.c:88
-#: malloc/memusagestat.c:563 nss/getent.c:969 nss/makedb.c:369
+#: malloc/memusagestat.c:563 nss/getent.c:973 nss/makedb.c:369
 #: posix/getconf.c:486 sunrpc/rpcinfo.c:691
 #: sysdeps/unix/sysv/linux/lddlibc4.c:61
 #, c-format
@@ -163,7 +163,7 @@ msgstr ""
 "%s.\n"
 
 #: catgets/gencat.c:245 debug/pcprofiledump.c:225 debug/xtrace.sh:64
-#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:260 elf/sotruss.sh:75
+#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:268 elf/sotruss.sh:75
 #: elf/sprof.c:389 iconv/iconv_prog.c:425 iconv/iconvconfig.c:396
 #: locale/programs/locale.c:294 locale/programs/localedef.c:402
 #: login/programs/pt_chown.c:62 malloc/memusage.sh:71
@@ -181,7 +181,7 @@ msgstr ""
 "COMMERCIALES que pour RÉPONDRE À UN BESOIN PARTICULIER.\n"
 
 #: catgets/gencat.c:250 debug/pcprofiledump.c:230 debug/xtrace.sh:68
-#: elf/ldconfig.c:328 elf/pldd.c:265 elf/sprof.c:395 iconv/iconv_prog.c:430
+#: elf/ldconfig.c:328 elf/pldd.c:273 elf/sprof.c:395 iconv/iconv_prog.c:430
 #: iconv/iconvconfig.c:401 locale/programs/locale.c:299
 #: locale/programs/localedef.c:407 malloc/memusage.sh:75
 #: malloc/memusagestat.c:586 nscd/nscd.c:514 nss/getent.c:91 nss/makedb.c:390
@@ -436,11 +436,11 @@ msgstr "Échec de la modification des droits d'accès de %s à %#o"
 msgid "Renaming of %s to %s failed"
 msgstr "Échec du changement de nom de %s vers %s"
 
-#: elf/dl-close.c:385 elf/dl-open.c:470
+#: elf/dl-close.c:396 elf/dl-open.c:478
 msgid "cannot create scope list"
 msgstr "ne peut créer une liste panorama"
 
-#: elf/dl-close.c:770
+#: elf/dl-close.c:816
 msgid "shared object not open"
 msgstr "objet partagé non ouvert"
 
@@ -513,127 +513,127 @@ msgstr "ne peut créer un tableau des chemins de recherche"
 msgid "cannot stat shared object"
 msgstr "ne peut évaluer par stat() l'objet partagé"
 
-#: elf/dl-load.c:963
+#: elf/dl-load.c:962
 msgid "cannot open zero fill device"
 msgstr "ne peut ouvrir le fichier de périphérique rempli de zéros"
 
-#: elf/dl-load.c:1010 elf/dl-load.c:2165
+#: elf/dl-load.c:1009 elf/dl-load.c:2159
 msgid "cannot create shared object descriptor"
 msgstr "ne peut créer un descripteur d'objet partagé"
 
-#: elf/dl-load.c:1029 elf/dl-load.c:1570 elf/dl-load.c:1682
+#: elf/dl-load.c:1028 elf/dl-load.c:1568 elf/dl-load.c:1680
 msgid "cannot read file data"
 msgstr "ne peut lire les données du fichier"
 
-#: elf/dl-load.c:1069
+#: elf/dl-load.c:1068
 msgid "ELF load command alignment not page-aligned"
 msgstr "Commande de chargement sur une page ELF qui n'est pas alignée"
 
-#: elf/dl-load.c:1076
+#: elf/dl-load.c:1075
 msgid "ELF load command address/offset not properly aligned"
 msgstr "Commande de chargement sur une adresse ELF incorrectement alignée"
 
-#: elf/dl-load.c:1160
+#: elf/dl-load.c:1159
 msgid "cannot allocate TLS data structures for initial thread"
 msgstr "ne peut allouer une structure de données TLS pour un thread initial"
 
-#: elf/dl-load.c:1183
+#: elf/dl-load.c:1182
 msgid "cannot handle TLS data"
 msgstr "ne peut traiter les données TLS"
 
-#: elf/dl-load.c:1202
+#: elf/dl-load.c:1201
 msgid "object file has no loadable segments"
 msgstr "le fichier objet n'a pas de segment chargeable"
 
-#: elf/dl-load.c:1211 elf/dl-load.c:1662
+#: elf/dl-load.c:1210 elf/dl-load.c:1660
 msgid "cannot dynamically load executable"
 msgstr "ne peut dynamiquement charger un exécutable"
 
-#: elf/dl-load.c:1232
+#: elf/dl-load.c:1231
 msgid "object file has no dynamic section"
 msgstr "le fichier objet n'a pas de section dynamique"
 
-#: elf/dl-load.c:1255
+#: elf/dl-load.c:1254
 msgid "shared object cannot be dlopen()ed"
 msgstr "l'objet partagé ne peut pas être ouvert via dlopen()"
 
-#: elf/dl-load.c:1268
+#: elf/dl-load.c:1267
 msgid "cannot allocate memory for program header"
 msgstr "ne peut allouer de la mémoire pour une en-tête de programme"
 
-#: elf/dl-load.c:1284 elf/dl-open.c:195
+#: elf/dl-load.c:1283 elf/dl-open.c:195
 msgid "invalid caller"
 msgstr "appelant invalide"
 
-#: elf/dl-load.c:1307 elf/dl-load.h:130
+#: elf/dl-load.c:1306 elf/dl-load.h:130
 msgid "cannot change memory protections"
 msgstr "ne peut modifier les protections de mémoire"
 
-#: elf/dl-load.c:1327
+#: elf/dl-load.c:1326
 msgid "cannot enable executable stack as shared object requires"
 msgstr "ne peut activer une pile exécutable comme l'objet partagé le requiert"
 
-#: elf/dl-load.c:1340
+#: elf/dl-load.c:1339
 msgid "cannot close file descriptor"
 msgstr "ne peut pas fermer le descripteur de fichier"
 
-#: elf/dl-load.c:1570
+#: elf/dl-load.c:1568
 msgid "file too short"
 msgstr "fichier trop court"
 
-#: elf/dl-load.c:1605
+#: elf/dl-load.c:1603
 msgid "invalid ELF header"
 msgstr "en-tête ELF invalide"
 
-#: elf/dl-load.c:1617
+#: elf/dl-load.c:1615
 msgid "ELF file data encoding not big-endian"
 msgstr "l'encodage des données du fichier ELF n'est pas big-endian"
 
-#: elf/dl-load.c:1619
+#: elf/dl-load.c:1617
 msgid "ELF file data encoding not little-endian"
 msgstr "l'encodage des données du fichier ELF n'est pas little-endian"
 
-#: elf/dl-load.c:1623
+#: elf/dl-load.c:1621
 msgid "ELF file version ident does not match current one"
 msgstr "l'identifiant de version du fichier ELF ne concorde pas avec la version courante"
 
-#: elf/dl-load.c:1627
+#: elf/dl-load.c:1625
 msgid "ELF file OS ABI invalid"
 msgstr "Système d'exploitation du fichier ELF ABI invalide"
 
-#: elf/dl-load.c:1630
+#: elf/dl-load.c:1628
 msgid "ELF file ABI version invalid"
 msgstr "Version du fichier ELF ABI invalide"
 
-#: elf/dl-load.c:1633
+#: elf/dl-load.c:1631
 msgid "nonzero padding in e_ident"
 msgstr "remplissage sans zéro dans e_ident"
 
-#: elf/dl-load.c:1636
+#: elf/dl-load.c:1634
 msgid "internal error"
 msgstr "Erreur interne"
 
-#: elf/dl-load.c:1643
+#: elf/dl-load.c:1641
 msgid "ELF file version does not match current one"
 msgstr "Version du fichier ELF ne concorde pas avec la version courante"
 
-#: elf/dl-load.c:1651
+#: elf/dl-load.c:1649
 msgid "only ET_DYN and ET_EXEC can be loaded"
 msgstr "Seuls ET_DYN et ET_EXEC peuvent être chargés"
 
-#: elf/dl-load.c:1667
+#: elf/dl-load.c:1665
 msgid "ELF file's phentsize not the expected size"
 msgstr "« Phentize » du fichier ELF ne concorde pas avec la taille prévue"
 
-#: elf/dl-load.c:2184
+#: elf/dl-load.c:2178
 msgid "wrong ELF class: ELFCLASS64"
 msgstr "mauvaise classe ELF : ELFCLASS64"
 
-#: elf/dl-load.c:2185
+#: elf/dl-load.c:2179
 msgid "wrong ELF class: ELFCLASS32"
 msgstr "mauvaise classe ELF : ELFCLASS32"
 
-#: elf/dl-load.c:2188
+#: elf/dl-load.c:2182
 msgid "cannot open shared object file"
 msgstr "Ne peut ouvrir le fichier d'objet partagé"
 
@@ -645,11 +645,11 @@ msgstr "échec d'adressage (mapping) du segment de l'objet partagé"
 msgid "cannot map zero-fill pages"
 msgstr "ne peut adresser des pages remplies de zéros"
 
-#: elf/dl-lookup.c:791
+#: elf/dl-lookup.c:845
 msgid "relocation error"
 msgstr "erreur de réaffectation"
 
-#: elf/dl-lookup.c:818
+#: elf/dl-lookup.c:872
 msgid "symbol lookup error"
 msgstr "erreur de recherche de symbole"
 
@@ -657,49 +657,40 @@ msgstr "erreur de recherche de symbole"
 msgid "cannot extend global scope"
 msgstr "ne peut augmenter l'étendue de la plage globale"
 
-#: elf/dl-open.c:520
+#: elf/dl-open.c:528
 msgid "TLS generation counter wrapped!  Please report this."
 msgstr "Le compteur de génération TLS a bouclé ! SVP expédier un rapport avec le script 'glibcbug'."
 
-#: elf/dl-open.c:542
-msgid "cannot load any more object with static TLS"
-msgstr "ne peut pas charger plus d'objets avec TLS statique"
-
-#: elf/dl-open.c:599
+#: elf/dl-open.c:592
 msgid "invalid mode for dlopen()"
 msgstr "mode invalide pour dlopen()"
 
-#: elf/dl-open.c:616
+#: elf/dl-open.c:609
 msgid "no more namespaces available for dlmopen()"
 msgstr "plus d'espace de nommage disponible pour dlmopen()"
 
-#: elf/dl-open.c:634
+#: elf/dl-open.c:633
 msgid "invalid target namespace in dlmopen()"
 msgstr "espace de nommage cible invalide dans dlmopen()"
 
-#: elf/dl-reloc.c:120
+#: elf/dl-reloc.c:121
 msgid "cannot allocate memory in static TLS block"
 msgstr "ne peut allouer de la mémoire dans un bloc statique TLS"
 
-#: elf/dl-reloc.c:212
+#: elf/dl-reloc.c:206
 msgid "cannot make segment writable for relocation"
 msgstr "ne peut rendre le segment inscritible pour une réaffectation"
 
-#: elf/dl-reloc.c:275
-#, c-format
-msgid "%s: no PLTREL found in object %s\n"
-msgstr "%s : aucun PLTREL trouvé dans l'objet %s\n"
-
-#: elf/dl-reloc.c:290
+#: elf/dl-reloc.c:276
 #, c-format
 msgid "%s: out of memory to store relocation results for %s\n"
 msgstr "%s : manque de mémoire pour stocker les résultats de la réaffectation pour %s\n"
 
-#: elf/dl-reloc.c:306
+#: elf/dl-reloc.c:292
 msgid "cannot restore segment prot after reloc"
 msgstr "ne peut restaurer le segment prot après reloc"
 
-#: elf/dl-reloc.c:335
+#: elf/dl-reloc.c:323
 msgid "cannot apply additional memory protection after relocation"
 msgstr "ne peut appliquer les protections additionnelle de mémoire après la réaffectation"
 
@@ -707,7 +698,7 @@ msgstr "ne peut appliquer les protections additionnelle de mémoire après la r
 msgid "RTLD_NEXT used in code not dynamically loaded"
 msgstr "RTLD_NEXT est utilisé dans du code qui n'est pas chargé dynamiquement"
 
-#: elf/dl-tls.c:933
+#: elf/dl-tls.c:934
 msgid "cannot create TLS data structures"
 msgstr "ne peut créer les structures de données TLS"
 
@@ -851,7 +842,7 @@ msgstr "Aucun lien créé étant donné que n'a pas été repéré %s"
 msgid "Can't open directory %s"
 msgstr "Ne peut ouvrir le dossier %s"
 
-#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:90
+#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:97
 #, c-format
 msgid "Input file %s not found.\n"
 msgstr "Fichier d'entrée %s non repéré\n"
@@ -982,7 +973,7 @@ msgstr "arguments de fichier manquants"
 msgid "No such file or directory"
 msgstr "Aucun fichier ou dossier de ce type"
 
-#: elf/ldd.bash.in:150 inet/rcmd.c:488
+#: elf/ldd.bash.in:150 inet/rcmd.c:492
 msgid "not regular file"
 msgstr "n'est pas un fichier régulier"
 
@@ -1027,65 +1018,70 @@ msgstr "ne peut lire r_debug"
 msgid "cannot read program interpreter"
 msgstr "ne peut lire l'interpréteur de programme"
 
-#: elf/pldd-xx.c:196
+#: elf/pldd-xx.c:197
 #, c-format
 msgid "cannot read link map"
 msgstr "ne peut lire la carte lien (link map)"
 
-#: elf/pldd-xx.c:207
+#: elf/pldd-xx.c:209
 #, c-format
 msgid "cannot read object name"
 msgstr "ne peut lire le nom d'objet"
 
-#: elf/pldd.c:63
+#: elf/pldd-xx.c:219
+#, c-format
+msgid "cannot allocate buffer for object name"
+msgstr "ne peut allouer de la mémoire pour une en-tête de programme"
+
+#: elf/pldd.c:64
 msgid "List dynamic shared objects loaded into process."
 msgstr "Liste les objets partagés dynamiques chargés dans le process."
 
-#: elf/pldd.c:67
+#: elf/pldd.c:68
 msgid "PID"
 msgstr "PID"
 
-#: elf/pldd.c:99
+#: elf/pldd.c:100
 #, c-format
 msgid "Exactly one parameter with process ID required.\n"
 msgstr "Un paramètre exactement avec le process ID est requis.\n"
 
-#: elf/pldd.c:111
+#: elf/pldd.c:112
 #, c-format
 msgid "invalid process ID '%s'"
 msgstr "process ID invalide '%s'"
 
-#: elf/pldd.c:119
+#: elf/pldd.c:120
 #, c-format
 msgid "cannot open %s"
 msgstr "Ne peut ouvrir %s"
 
-#: elf/pldd.c:144
+#: elf/pldd.c:152
 #, c-format
 msgid "cannot open %s/task"
 msgstr "Ne peut ouvrir %s/tâche"
 
-#: elf/pldd.c:147
+#: elf/pldd.c:155
 #, c-format
 msgid "cannot prepare reading %s/task"
 msgstr "ne peut préparer la lecture %s/tâche"
 
-#: elf/pldd.c:160
+#: elf/pldd.c:168
 #, c-format
 msgid "invalid thread ID '%s'"
 msgstr "ID de fil (thread) invalide '%s'"
 
-#: elf/pldd.c:171
+#: elf/pldd.c:179
 #, c-format
 msgid "cannot attach to process %lu"
 msgstr "ne peut s'attacher au process %lu"
 
-#: elf/pldd.c:286
+#: elf/pldd.c:294
 #, c-format
 msgid "cannot get information about process %lu"
 msgstr "ne peut récupérer l'information à propos du process %lu"
 
-#: elf/pldd.c:299
+#: elf/pldd.c:307
 #, c-format
 msgid "process %lu is no ELF program"
 msgstr "le process %lu n'est pas un programme ELF"
@@ -1120,27 +1116,27 @@ msgstr "%s n'est pas un fichier objet partagé (Type : %d).\n"
 msgid "more than one dynamic segment\n"
 msgstr "plus d'un segment dynamique\n"
 
-#: elf/readlib.c:96
+#: elf/readlib.c:103
 #, c-format
 msgid "Cannot fstat file %s.\n"
 msgstr "Ne peut évaluer par fstat() %s\n"
 
-#: elf/readlib.c:107
+#: elf/readlib.c:114
 #, c-format
 msgid "File %s is empty, not checked."
 msgstr "Fichier %s est vide, n'a pas été vérifié."
 
-#: elf/readlib.c:113
+#: elf/readlib.c:120
 #, c-format
 msgid "File %s is too small, not checked."
 msgstr "Fichier %s trop petit, n'a pas été vérifié."
 
-#: elf/readlib.c:123
+#: elf/readlib.c:130
 #, c-format
 msgid "Cannot mmap file %s.\n"
 msgstr "Erreur de la procédure mmap sur le fichier %s\n"
 
-#: elf/readlib.c:161
+#: elf/readlib.c:169
 #, c-format
 msgid "%s is not an ELF file - it has the wrong magic bytes at the start.\n"
 msgstr "%s n'est pas un fichier de type ELF - il a un octet magique au début incorrect.\n"
@@ -1276,10 +1272,10 @@ msgstr "SHOBJ [PROFDATA]"
 msgid "failed to load shared object `%s'"
 msgstr "échec de chargement de l'objet partagé « %s »"
 
-#: elf/sprof.c:442
+#: elf/sprof.c:442 elf/sprof.c:825 elf/sprof.c:923
 #, c-format
-msgid "cannot create internal descriptors"
-msgstr "ne peut créer les descripteurs internes"
+msgid "cannot create internal descriptor"
+msgstr "ne peut créer un descripteur interne"
 
 #: elf/sprof.c:554
 #, c-format
@@ -1346,11 +1342,6 @@ msgstr "Échec de la procédure mmap sur le fichier de données de profilage"
 msgid "error while closing the profiling data file"
 msgstr "erreur lors de la fermeture du fichier de données de profilage"
 
-#: elf/sprof.c:825 elf/sprof.c:923
-#, c-format
-msgid "cannot create internal descriptor"
-msgstr "ne peut créer un descripteur interne"
-
 #: elf/sprof.c:899
 #, c-format
 msgid "`%s' is no correct profile data file for `%s'"
@@ -1598,27 +1589,27 @@ msgstr "socket : échec de protocole dans la configuration du circuit.\n"
 msgid "rcmd: %s: short read"
 msgstr "rcmd : %s : lecture écourtée"
 
-#: inet/rcmd.c:486
+#: inet/rcmd.c:490
 msgid "lstat failed"
 msgstr "échec de lstat()"
 
-#: inet/rcmd.c:493
+#: inet/rcmd.c:497
 msgid "cannot open"
 msgstr "ne peut ouvrir"
 
-#: inet/rcmd.c:495
+#: inet/rcmd.c:499
 msgid "fstat failed"
 msgstr "échec de fstat()"
 
-#: inet/rcmd.c:497
+#: inet/rcmd.c:501
 msgid "bad owner"
 msgstr "mauvais propriétaire"
 
-#: inet/rcmd.c:499
+#: inet/rcmd.c:503
 msgid "writeable by other than owner"
 msgstr "accessible en écriture par d'autres que le propriétaire"
 
-#: inet/rcmd.c:501
+#: inet/rcmd.c:505
 msgid "hard linked somewhere"
 msgstr "lien direct rencontré"
 
@@ -1738,8 +1729,8 @@ msgid "no symbolic name given for end of range"
 msgstr "pas de nom symbolique fourni pour la fin de l'intervalle"
 
 #: locale/programs/charmap.c:610 locale/programs/ld-address.c:528
-#: locale/programs/ld-collate.c:2626 locale/programs/ld-collate.c:3784
-#: locale/programs/ld-ctype.c:2162 locale/programs/ld-ctype.c:2913
+#: locale/programs/ld-collate.c:2635 locale/programs/ld-collate.c:3793
+#: locale/programs/ld-ctype.c:2128 locale/programs/ld-ctype.c:2840
 #: locale/programs/ld-identification.c:368
 #: locale/programs/ld-measurement.c:215 locale/programs/ld-messages.c:298
 #: locale/programs/ld-monetary.c:740 locale/programs/ld-name.c:264
@@ -1767,8 +1758,8 @@ msgid "%s: error in state machine"
 msgstr "%s : erreur de l'automate à états finis"
 
 #: locale/programs/charmap.c:850 locale/programs/ld-address.c:544
-#: locale/programs/ld-collate.c:2623 locale/programs/ld-collate.c:3977
-#: locale/programs/ld-ctype.c:2159 locale/programs/ld-ctype.c:2930
+#: locale/programs/ld-collate.c:2632 locale/programs/ld-collate.c:3986
+#: locale/programs/ld-ctype.c:2125 locale/programs/ld-ctype.c:2857
 #: locale/programs/ld-identification.c:384
 #: locale/programs/ld-measurement.c:231 locale/programs/ld-messages.c:314
 #: locale/programs/ld-monetary.c:756 locale/programs/ld-name.c:280
@@ -1789,7 +1780,7 @@ msgstr "caractère inconnu « %s »"
 msgid "number of bytes for byte sequence of beginning and end of range not the same: %d vs %d"
 msgstr "nombre d'octets pour une séquence d'octets de début et de fin de plage n'est pas le même : %d vs %d"
 
-#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2903
+#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2912
 #: locale/programs/repertoire.c:419
 msgid "invalid names for character range"
 msgstr "nom invalide pour un intervalle de caractères"
@@ -1811,8 +1802,8 @@ msgstr "la limite supérieure de l'intervalle est plus basse que la limite infé
 msgid "resulting bytes for range not representable."
 msgstr "les octets résultants pour la plage ne sont pas représentables."
 
-#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1565
-#: locale/programs/ld-ctype.c:465 locale/programs/ld-identification.c:133
+#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1566
+#: locale/programs/ld-ctype.c:431 locale/programs/ld-identification.c:133
 #: locale/programs/ld-measurement.c:94 locale/programs/ld-messages.c:97
 #: locale/programs/ld-monetary.c:193 locale/programs/ld-name.c:94
 #: locale/programs/ld-numeric.c:98 locale/programs/ld-paper.c:91
@@ -1876,7 +1867,7 @@ msgid "%s: numeric country code `%d' not valid"
 msgstr "%s : code numérique invalide pour le pays « %d »"
 
 #: locale/programs/ld-address.c:436 locale/programs/ld-address.c:473
-#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2537
+#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2489
 #: locale/programs/ld-identification.c:280
 #: locale/programs/ld-measurement.c:198 locale/programs/ld-messages.c:267
 #: locale/programs/ld-monetary.c:495 locale/programs/ld-monetary.c:530
@@ -1898,8 +1889,8 @@ msgstr "%s : champ « %s » déclaré plus d'une fois"
 msgid "%s: unknown character in field `%s'"
 msgstr "%s : caractère inconnu dans le champ « %s »"
 
-#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3782
-#: locale/programs/ld-ctype.c:2910 locale/programs/ld-identification.c:365
+#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3791
+#: locale/programs/ld-ctype.c:2837 locale/programs/ld-identification.c:365
 #: locale/programs/ld-measurement.c:212 locale/programs/ld-messages.c:296
 #: locale/programs/ld-monetary.c:738 locale/programs/ld-name.c:262
 #: locale/programs/ld-numeric.c:324 locale/programs/ld-paper.c:212
@@ -1908,12 +1899,12 @@ msgstr "%s : caractère inconnu dans le champ « %s »"
 msgid "%s: incomplete `END' line"
 msgstr "%s : ligne « END » incomplète"
 
-#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:551
-#: locale/programs/ld-collate.c:603 locale/programs/ld-collate.c:899
-#: locale/programs/ld-collate.c:912 locale/programs/ld-collate.c:2592
-#: locale/programs/ld-collate.c:2613 locale/programs/ld-collate.c:3967
-#: locale/programs/ld-ctype.c:1891 locale/programs/ld-ctype.c:2149
-#: locale/programs/ld-ctype.c:2735 locale/programs/ld-ctype.c:2921
+#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:552
+#: locale/programs/ld-collate.c:604 locale/programs/ld-collate.c:900
+#: locale/programs/ld-collate.c:913 locale/programs/ld-collate.c:2601
+#: locale/programs/ld-collate.c:2622 locale/programs/ld-collate.c:3976
+#: locale/programs/ld-ctype.c:1857 locale/programs/ld-ctype.c:2115
+#: locale/programs/ld-ctype.c:2687 locale/programs/ld-ctype.c:2848
 #: locale/programs/ld-identification.c:375
 #: locale/programs/ld-measurement.c:222 locale/programs/ld-messages.c:305
 #: locale/programs/ld-monetary.c:747 locale/programs/ld-name.c:271
@@ -1923,476 +1914,476 @@ msgstr "%s : ligne « END » incomplète"
 msgid "%s: syntax error"
 msgstr "%s : erreur de syntaxe"
 
-#: locale/programs/ld-collate.c:426
+#: locale/programs/ld-collate.c:427
 #, c-format
 msgid "`%.*s' already defined in charmap"
 msgstr "« %.*s » déjà défini dans la table des caractères"
 
-#: locale/programs/ld-collate.c:435
+#: locale/programs/ld-collate.c:436
 #, c-format
 msgid "`%.*s' already defined in repertoire"
 msgstr "« %.*s » déjà défini dans le dossier"
 
-#: locale/programs/ld-collate.c:442
+#: locale/programs/ld-collate.c:443
 #, c-format
 msgid "`%.*s' already defined as collating symbol"
 msgstr "« %.*s » déjà défini comme symbole de classement (collation)"
 
-#: locale/programs/ld-collate.c:449
+#: locale/programs/ld-collate.c:450
 #, c-format
 msgid "`%.*s' already defined as collating element"
 msgstr "« %.*s » déjà défini comme élément de classement (collation)"
 
-#: locale/programs/ld-collate.c:480 locale/programs/ld-collate.c:506
+#: locale/programs/ld-collate.c:481 locale/programs/ld-collate.c:507
 #, c-format
 msgid "%s: `forward' and `backward' are mutually excluding each other"
 msgstr "%s : « forward » et « backward » sont mutuellement exclusifs"
 
-#: locale/programs/ld-collate.c:490 locale/programs/ld-collate.c:516
-#: locale/programs/ld-collate.c:532
+#: locale/programs/ld-collate.c:491 locale/programs/ld-collate.c:517
+#: locale/programs/ld-collate.c:533
 #, c-format
 msgid "%s: `%s' mentioned more than once in definition of weight %d"
 msgstr "%s : « %s » mentionné plus d'une fois dans la définition du poids %d"
 
-#: locale/programs/ld-collate.c:588
+#: locale/programs/ld-collate.c:589
 #, c-format
 msgid "%s: too many rules; first entry only had %d"
 msgstr "%s : trop de règles; la 1ère entrée n'a que %d"
 
-#: locale/programs/ld-collate.c:624
+#: locale/programs/ld-collate.c:625
 #, c-format
 msgid "%s: not enough sorting rules"
 msgstr "%s : pas assez de règles de tri"
 
-#: locale/programs/ld-collate.c:789
+#: locale/programs/ld-collate.c:790
 #, c-format
 msgid "%s: empty weight string not allowed"
 msgstr "%s : chaîne de poids vide non permise"
 
-#: locale/programs/ld-collate.c:884
+#: locale/programs/ld-collate.c:885
 #, c-format
 msgid "%s: weights must use the same ellipsis symbol as the name"
 msgstr "%s : les poids doivent utiliser les mêmes symboles d'ellipse que les noms"
 
-#: locale/programs/ld-collate.c:940
+#: locale/programs/ld-collate.c:941
 #, c-format
 msgid "%s: too many values"
 msgstr "%s : trop de valeurs"
 
-#: locale/programs/ld-collate.c:1060 locale/programs/ld-collate.c:1235
+#: locale/programs/ld-collate.c:1061 locale/programs/ld-collate.c:1236
 #, c-format
 msgid "order for `%.*s' already defined at %s:%Zu"
 msgstr "L'ordre de « %.*s » est déjà défini dans %s :%Zu"
 
-#: locale/programs/ld-collate.c:1110
+#: locale/programs/ld-collate.c:1111
 #, c-format
 msgid "%s: the start and the end symbol of a range must stand for characters"
 msgstr "%s : le symbole de départ et de fin d'une plage doit être en caractères"
 
-#: locale/programs/ld-collate.c:1137
+#: locale/programs/ld-collate.c:1138
 #, c-format
 msgid "%s: byte sequences of first and last character must have the same length"
 msgstr "%s : séquences d'octets du 1er et dernier caractère doivent avoir la même longueur"
 
-#: locale/programs/ld-collate.c:1179
+#: locale/programs/ld-collate.c:1180
 #, c-format
 msgid "%s: byte sequence of first character of range is not lower than that of the last character"
 msgstr "%s : séquence d'octet du 1er caractère d'un intervalle n'est pas plus petit que celle du dernier caractère"
 
-#: locale/programs/ld-collate.c:1304
+#: locale/programs/ld-collate.c:1305
 #, c-format
 msgid "%s: symbolic range ellipsis must not directly follow `order_start'"
 msgstr "%s : plage de l'ellipse symbolique ne doit pas être suivie directement de « order_start »"
 
-#: locale/programs/ld-collate.c:1308
+#: locale/programs/ld-collate.c:1309
 #, c-format
 msgid "%s: symbolic range ellipsis must not be directly followed by `order_end'"
 msgstr "%s : plage de l'ellipse symbolique ne doit pas être suivie directement de « order_end »"
 
-#: locale/programs/ld-collate.c:1328 locale/programs/ld-ctype.c:1408
+#: locale/programs/ld-collate.c:1329 locale/programs/ld-ctype.c:1374
 #, c-format
 msgid "`%s' and `%.*s' are not valid names for symbolic range"
 msgstr "« %s » et « %.*s » sont des noms invalides pour un intervalle symbolique"
 
-#: locale/programs/ld-collate.c:1378 locale/programs/ld-collate.c:3718
+#: locale/programs/ld-collate.c:1379 locale/programs/ld-collate.c:3727
 #, c-format
 msgid "%s: order for `%.*s' already defined at %s:%Zu"
 msgstr "%s : ordre de « %.*s » déjà défini comme %s:%Zu"
 
-#: locale/programs/ld-collate.c:1387
+#: locale/programs/ld-collate.c:1388
 #, c-format
 msgid "%s: `%s' must be a character"
 msgstr "%s : « %s » doit être un caractère"
 
-#: locale/programs/ld-collate.c:1582
+#: locale/programs/ld-collate.c:1583
 #, c-format
 msgid "%s: `position' must be used for a specific level in all sections or none"
 msgstr "%s : « position » doit être utilisé pour un niveau spécifique dans toutes les sections ou aucune"
 
-#: locale/programs/ld-collate.c:1607
+#: locale/programs/ld-collate.c:1608
 #, c-format
 msgid "symbol `%s' not defined"
 msgstr "Symbole « %s » n'est pas défini"
 
-#: locale/programs/ld-collate.c:1683 locale/programs/ld-collate.c:1789
+#: locale/programs/ld-collate.c:1684 locale/programs/ld-collate.c:1790
 #, c-format
 msgid "symbol `%s' has the same encoding as"
 msgstr "Symbole « %s » a le même encodage que"
 
-#: locale/programs/ld-collate.c:1687 locale/programs/ld-collate.c:1793
+#: locale/programs/ld-collate.c:1688 locale/programs/ld-collate.c:1794
 #, c-format
 msgid "symbol `%s'"
 msgstr "Symbole « %s »"
 
-#: locale/programs/ld-collate.c:1833
+#: locale/programs/ld-collate.c:1834
 #, c-format
 msgid "no definition of `UNDEFINED'"
 msgstr "Pas de définition de type « UNDEFINED »"
 
-#: locale/programs/ld-collate.c:1862
+#: locale/programs/ld-collate.c:1863
 #, c-format
 msgid "too many errors; giving up"
 msgstr "trop d'erreurs; abandon"
 
-#: locale/programs/ld-collate.c:2518 locale/programs/ld-collate.c:3906
+#: locale/programs/ld-collate.c:2527 locale/programs/ld-collate.c:3915
 #, c-format
 msgid "%s: nested conditionals not supported"
 msgstr "%s : conditions imbriquées non supportées"
 
-#: locale/programs/ld-collate.c:2536
+#: locale/programs/ld-collate.c:2545
 #, c-format
 msgid "%s: more than one 'else'"
 msgstr "%s : plus d'un 'else'"
 
-#: locale/programs/ld-collate.c:2711
+#: locale/programs/ld-collate.c:2720
 #, c-format
 msgid "%s: duplicate definition of `%s'"
 msgstr "%s : double définition de « %s »"
 
-#: locale/programs/ld-collate.c:2747
+#: locale/programs/ld-collate.c:2756
 #, c-format
 msgid "%s: duplicate declaration of section `%s'"
 msgstr "%s : double déclaration de section « %s »"
 
-#: locale/programs/ld-collate.c:2883
+#: locale/programs/ld-collate.c:2892
 #, c-format
 msgid "%s: unknown character in collating symbol name"
 msgstr "%s : caractère inconnu dans le nom du symbole de collation"
 
-#: locale/programs/ld-collate.c:3012
+#: locale/programs/ld-collate.c:3021
 #, c-format
 msgid "%s: unknown character in equivalent definition name"
 msgstr "%s : caractère inconnu dans la définition équivalent d'un nom"
 
-#: locale/programs/ld-collate.c:3023
+#: locale/programs/ld-collate.c:3032
 #, c-format
 msgid "%s: unknown character in equivalent definition value"
 msgstr "%s : caractère inconnu dans la définition équivalente d'une valeur"
 
-#: locale/programs/ld-collate.c:3033
+#: locale/programs/ld-collate.c:3042
 #, c-format
 msgid "%s: unknown symbol `%s' in equivalent definition"
 msgstr "%s : symbole inconnu « %s » dans une définition équivalente"
 
-#: locale/programs/ld-collate.c:3042
+#: locale/programs/ld-collate.c:3051
 msgid "error while adding equivalent collating symbol"
 msgstr "Erreur lors de l'ajout d'un symbole de collation équivalent"
 
-#: locale/programs/ld-collate.c:3080
+#: locale/programs/ld-collate.c:3089
 #, c-format
 msgid "duplicate definition of script `%s'"
 msgstr "Double définitions du script « %s »"
 
-#: locale/programs/ld-collate.c:3128
+#: locale/programs/ld-collate.c:3137
 #, c-format
 msgid "%s: unknown section name `%.*s'"
 msgstr "%s : nom de section inconnu `% *s'"
 
-#: locale/programs/ld-collate.c:3157
+#: locale/programs/ld-collate.c:3166
 #, c-format
 msgid "%s: multiple order definitions for section `%s'"
 msgstr "%s : définitions d'ordre multiple de la section « %s »"
 
-#: locale/programs/ld-collate.c:3185
+#: locale/programs/ld-collate.c:3194
 #, c-format
 msgid "%s: invalid number of sorting rules"
 msgstr "%s : nombre invalide de règles de tri"
 
-#: locale/programs/ld-collate.c:3212
+#: locale/programs/ld-collate.c:3221
 #, c-format
 msgid "%s: multiple order definitions for unnamed section"
 msgstr "%s : définitions d'ordre multiple pour une section sans nom"
 
-#: locale/programs/ld-collate.c:3267 locale/programs/ld-collate.c:3397
-#: locale/programs/ld-collate.c:3760
+#: locale/programs/ld-collate.c:3276 locale/programs/ld-collate.c:3406
+#: locale/programs/ld-collate.c:3769
 #, c-format
 msgid "%s: missing `order_end' keyword"
 msgstr "%s : mot clé « order_end » manquant"
 
-#: locale/programs/ld-collate.c:3330
+#: locale/programs/ld-collate.c:3339
 #, c-format
 msgid "%s: order for collating symbol %.*s not yet defined"
 msgstr "%s : ordre de fusionnement de symboles %.*s n'est pas encore défini"
 
-#: locale/programs/ld-collate.c:3348
+#: locale/programs/ld-collate.c:3357
 #, c-format
 msgid "%s: order for collating element %.*s not yet defined"
 msgstr "%s : ordre de fusionnement d'éléments %.*s n'est pas encore défini"
 
-#: locale/programs/ld-collate.c:3359
+#: locale/programs/ld-collate.c:3368
 #, c-format
 msgid "%s: cannot reorder after %.*s: symbol not known"
 msgstr "%s : ne peut réordonner après %.*s : symbole inconnu"
 
-#: locale/programs/ld-collate.c:3411 locale/programs/ld-collate.c:3772
+#: locale/programs/ld-collate.c:3420 locale/programs/ld-collate.c:3781
 #, c-format
 msgid "%s: missing `reorder-end' keyword"
 msgstr "%s : mot clé « reorder-end » manquant"
 
-#: locale/programs/ld-collate.c:3445 locale/programs/ld-collate.c:3643
+#: locale/programs/ld-collate.c:3454 locale/programs/ld-collate.c:3652
 #, c-format
 msgid "%s: section `%.*s' not known"
 msgstr "%s : section « %.*s » inconnue"
 
-#: locale/programs/ld-collate.c:3510
+#: locale/programs/ld-collate.c:3519
 #, c-format
 msgid "%s: bad symbol <%.*s>"
 msgstr "%s : symbole erroné <%.*s>"
 
-#: locale/programs/ld-collate.c:3706
+#: locale/programs/ld-collate.c:3715
 #, c-format
 msgid "%s: cannot have `%s' as end of ellipsis range"
 msgstr "%s : ne peut avoir « %s » à la fin d'une plage d'ellipse"
 
-#: locale/programs/ld-collate.c:3756
+#: locale/programs/ld-collate.c:3765
 #, c-format
 msgid "%s: empty category description not allowed"
 msgstr "%s : description de catégorie vide non permise"
 
-#: locale/programs/ld-collate.c:3775
+#: locale/programs/ld-collate.c:3784
 #, c-format
 msgid "%s: missing `reorder-sections-end' keyword"
 msgstr "%s : mot clé « reorder-sections-end » manquant"
 
-#: locale/programs/ld-collate.c:3939
+#: locale/programs/ld-collate.c:3948
 #, c-format
 msgid "%s: '%s' without matching 'ifdef' or 'ifndef'"
 msgstr "%s : '%s' sans correspondance 'ifdef' ou 'ifndef'"
 
-#: locale/programs/ld-collate.c:3957
+#: locale/programs/ld-collate.c:3966
 #, c-format
 msgid "%s: 'endif' without matching 'ifdef' or 'ifndef'"
 msgstr "%s : 'endif' sans 'ifdef' ou 'ifndef' correspondant"
 
-#: locale/programs/ld-ctype.c:484
+#: locale/programs/ld-ctype.c:450
 #, c-format
 msgid "No character set name specified in charmap"
 msgstr "Pas de nom de jeu caractères spéecifié dans la table des caractères"
 
-#: locale/programs/ld-ctype.c:513
+#: locale/programs/ld-ctype.c:479
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must be in class `%s'"
 msgstr "Le caractère L'\\u%0*x» de la classe « %s » doit être dans la classe « %s »"
 
-#: locale/programs/ld-ctype.c:528
+#: locale/programs/ld-ctype.c:494
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must not be in class `%s'"
 msgstr "Le caractère L'\\u%0*x» de la classe « %s » ne doit pas être dans la classe « %s »"
 
-#: locale/programs/ld-ctype.c:542 locale/programs/ld-ctype.c:600
+#: locale/programs/ld-ctype.c:508 locale/programs/ld-ctype.c:566
 #, c-format
 msgid "internal error in %s, line %u"
 msgstr "Erreur interne dans %s, ligne %u"
 
-#: locale/programs/ld-ctype.c:571
+#: locale/programs/ld-ctype.c:537
 #, c-format
 msgid "character '%s' in class `%s' must be in class `%s'"
 msgstr "Caractère « %s » de la classe « %s » doit être dans la classe « %s »"
 
-#: locale/programs/ld-ctype.c:587
+#: locale/programs/ld-ctype.c:553
 #, c-format
 msgid "character '%s' in class `%s' must not be in class `%s'"
 msgstr "Caractère « %s » de la classe « %s » ne doit pas être dans la classe « %s »"
 
-#: locale/programs/ld-ctype.c:617 locale/programs/ld-ctype.c:655
+#: locale/programs/ld-ctype.c:583 locale/programs/ld-ctype.c:621
 #, c-format
 msgid "<SP> character not in class `%s'"
 msgstr "Le caractère <SP> n'est pas dans la classe « %s »"
 
-#: locale/programs/ld-ctype.c:629 locale/programs/ld-ctype.c:666
+#: locale/programs/ld-ctype.c:595 locale/programs/ld-ctype.c:632
 #, c-format
 msgid "<SP> character must not be in class `%s'"
 msgstr "Le caractère <SP> ne doit pas être dans la classe « %s »"
 
-#: locale/programs/ld-ctype.c:644
+#: locale/programs/ld-ctype.c:610
 #, c-format
 msgid "character <SP> not defined in character map"
 msgstr "Caractère <SP> non défini dans la table des caractères"
 
-#: locale/programs/ld-ctype.c:780
+#: locale/programs/ld-ctype.c:746
 #, c-format
 msgid "`digit' category has not entries in groups of ten"
 msgstr "catégorie « digit » n'a pas d'entrées dans les groupe des dizaines"
 
-#: locale/programs/ld-ctype.c:829
+#: locale/programs/ld-ctype.c:795
 #, c-format
 msgid "no input digits defined and none of the standard names in the charmap"
 msgstr "Pas de chiffre défini et aucun des noms standards dans la table des caractères"
 
-#: locale/programs/ld-ctype.c:894
+#: locale/programs/ld-ctype.c:860
 #, c-format
 msgid "not all characters used in `outdigit' are available in the charmap"
 msgstr "Pas tous les caractères utilisés dans « outdigit » sont disponibles dans la table des caractères"
 
-#: locale/programs/ld-ctype.c:911
+#: locale/programs/ld-ctype.c:877
 #, c-format
 msgid "not all characters used in `outdigit' are available in the repertoire"
 msgstr "Pas tous les caractères utilisés dans « outdigit » sont disponibles dans le dossier"
 
-#: locale/programs/ld-ctype.c:1176
+#: locale/programs/ld-ctype.c:1142
 #, c-format
 msgid "character class `%s' already defined"
 msgstr "Classe de caractères « %s » déjà définie"
 
-#: locale/programs/ld-ctype.c:1182
+#: locale/programs/ld-ctype.c:1148
 #, c-format
 msgid "implementation limit: no more than %Zd character classes allowed"
 msgstr "Limite d'implantation : pas plus de %Zd classes de caractères permises"
 
-#: locale/programs/ld-ctype.c:1208
+#: locale/programs/ld-ctype.c:1174
 #, c-format
 msgid "character map `%s' already defined"
 msgstr "Table de caractères « %s » déjà définie"
 
-#: locale/programs/ld-ctype.c:1214
+#: locale/programs/ld-ctype.c:1180
 #, c-format
 msgid "implementation limit: no more than %d character maps allowed"
 msgstr "Limite d'implantation : pas plus de %d tables de caractères sont permises"
 
-#: locale/programs/ld-ctype.c:1479 locale/programs/ld-ctype.c:1604
-#: locale/programs/ld-ctype.c:1710 locale/programs/ld-ctype.c:2400
-#: locale/programs/ld-ctype.c:3397
+#: locale/programs/ld-ctype.c:1445 locale/programs/ld-ctype.c:1570
+#: locale/programs/ld-ctype.c:1676 locale/programs/ld-ctype.c:2352
+#: locale/programs/ld-ctype.c:3324
 #, c-format
 msgid "%s: field `%s' does not contain exactly ten entries"
 msgstr "%s : champ « %s » ne contient pas exactement 10 entrées"
 
-#: locale/programs/ld-ctype.c:1507 locale/programs/ld-ctype.c:2081
+#: locale/programs/ld-ctype.c:1473 locale/programs/ld-ctype.c:2047
 #, c-format
 msgid "to-value <U%0*X> of range is smaller than from-value <U%0*X>"
 msgstr "Valeur-finale <U%0*X> de l'intervalle est plus petite que la valeur-départ <U%0*X>"
 
-#: locale/programs/ld-ctype.c:1634
+#: locale/programs/ld-ctype.c:1600
 msgid "start and end character sequence of range must have the same length"
 msgstr "Début et fin de l'intervalle de la séquence de caractères doivent avoir la même longueur"
 
-#: locale/programs/ld-ctype.c:1641
+#: locale/programs/ld-ctype.c:1607
 msgid "to-value character sequence is smaller than from-value sequence"
 msgstr "Valeur finale de la séquence des caractères est plus petite que la valeur de départ"
 
-#: locale/programs/ld-ctype.c:2001 locale/programs/ld-ctype.c:2052
+#: locale/programs/ld-ctype.c:1967 locale/programs/ld-ctype.c:2018
 msgid "premature end of `translit_ignore' definition"
 msgstr "Fin prématurée de la définition de « translit_ignore »"
 
-#: locale/programs/ld-ctype.c:2007 locale/programs/ld-ctype.c:2058
-#: locale/programs/ld-ctype.c:2100
+#: locale/programs/ld-ctype.c:1973 locale/programs/ld-ctype.c:2024
+#: locale/programs/ld-ctype.c:2066
 msgid "syntax error"
 msgstr "Erreur de syntaxe"
 
-#: locale/programs/ld-ctype.c:2233
+#: locale/programs/ld-ctype.c:2199
 #, c-format
 msgid "%s: syntax error in definition of new character class"
 msgstr "%s : erreur de syntaxe dans la définition d'une nouvelle classe de caractères"
 
-#: locale/programs/ld-ctype.c:2248
+#: locale/programs/ld-ctype.c:2214
 #, c-format
 msgid "%s: syntax error in definition of new character map"
 msgstr "%s : erreur de syntaxe dans la définition d'une nouvelle table de caractères"
 
-#: locale/programs/ld-ctype.c:2422
+#: locale/programs/ld-ctype.c:2374
 msgid "ellipsis range must be marked by two operands of same type"
 msgstr "Plage de l'ellipse doit être marqué par 2 opérandes du même type"
 
-#: locale/programs/ld-ctype.c:2431
+#: locale/programs/ld-ctype.c:2383
 msgid "with symbolic name range values the absolute ellipsis `...' must not be used"
 msgstr "Les valeurs d'une plage de noms symboliques d'une ellipse absolue « .... » ne doivent pas être utilisés"
 
-#: locale/programs/ld-ctype.c:2446
+#: locale/programs/ld-ctype.c:2398
 msgid "with UCS range values one must use the hexadecimal symbolic ellipsis `..'"
 msgstr "Les valeurs d'une plage UCS doivent utiliser une ellipse symbolique en hexadécimal « .. »"
 
-#: locale/programs/ld-ctype.c:2460
+#: locale/programs/ld-ctype.c:2412
 msgid "with character code range values one must use the absolute ellipsis `...'"
 msgstr "Les valeurs d'une plage de caractères doivent utiliser une ellipse absolu « ... »"
 
-#: locale/programs/ld-ctype.c:2611
+#: locale/programs/ld-ctype.c:2563
 #, c-format
 msgid "duplicated definition for mapping `%s'"
 msgstr "Double définitions de la table « %s »"
 
-#: locale/programs/ld-ctype.c:2697 locale/programs/ld-ctype.c:2841
+#: locale/programs/ld-ctype.c:2649 locale/programs/ld-ctype.c:2793
 #, c-format
 msgid "%s: `translit_start' section does not end with `translit_end'"
 msgstr "%s : la section « transit_start » n'est pas terminée par « translit_end »"
 
-#: locale/programs/ld-ctype.c:2792
+#: locale/programs/ld-ctype.c:2744
 #, c-format
 msgid "%s: duplicate `default_missing' definition"
 msgstr "%s : double définition de « default_missing »"
 
-#: locale/programs/ld-ctype.c:2797
+#: locale/programs/ld-ctype.c:2749
 msgid "previous definition was here"
 msgstr "Le définition précédente était ici"
 
-#: locale/programs/ld-ctype.c:2819
+#: locale/programs/ld-ctype.c:2771
 #, c-format
 msgid "%s: no representable `default_missing' definition found"
 msgstr "%s : aucune définition « default_missing » pour les non représentables"
 
-#: locale/programs/ld-ctype.c:2962 locale/programs/ld-ctype.c:3059
-#: locale/programs/ld-ctype.c:3079 locale/programs/ld-ctype.c:3100
-#: locale/programs/ld-ctype.c:3121 locale/programs/ld-ctype.c:3142
-#: locale/programs/ld-ctype.c:3163 locale/programs/ld-ctype.c:3203
-#: locale/programs/ld-ctype.c:3224 locale/programs/ld-ctype.c:3289
-#: locale/programs/ld-ctype.c:3331 locale/programs/ld-ctype.c:3356
+#: locale/programs/ld-ctype.c:2889 locale/programs/ld-ctype.c:2986
+#: locale/programs/ld-ctype.c:3006 locale/programs/ld-ctype.c:3027
+#: locale/programs/ld-ctype.c:3048 locale/programs/ld-ctype.c:3069
+#: locale/programs/ld-ctype.c:3090 locale/programs/ld-ctype.c:3130
+#: locale/programs/ld-ctype.c:3151 locale/programs/ld-ctype.c:3216
+#: locale/programs/ld-ctype.c:3258 locale/programs/ld-ctype.c:3283
 #, c-format
 msgid "%s: character `%s' not defined while needed as default value"
 msgstr "%s : caractère « %s » non défini alors qu'attendu comme valeur par défaut"
 
-#: locale/programs/ld-ctype.c:2967 locale/programs/ld-ctype.c:3064
-#: locale/programs/ld-ctype.c:3084 locale/programs/ld-ctype.c:3105
-#: locale/programs/ld-ctype.c:3126 locale/programs/ld-ctype.c:3147
-#: locale/programs/ld-ctype.c:3168 locale/programs/ld-ctype.c:3208
-#: locale/programs/ld-ctype.c:3229 locale/programs/ld-ctype.c:3294
+#: locale/programs/ld-ctype.c:2894 locale/programs/ld-ctype.c:2991
+#: locale/programs/ld-ctype.c:3011 locale/programs/ld-ctype.c:3032
+#: locale/programs/ld-ctype.c:3053 locale/programs/ld-ctype.c:3074
+#: locale/programs/ld-ctype.c:3095 locale/programs/ld-ctype.c:3135
+#: locale/programs/ld-ctype.c:3156 locale/programs/ld-ctype.c:3221
 #, c-format
 msgid "%s: character `%s' in charmap not representable with one byte"
 msgstr "%s : caractère « %s » dans la table des caractères n'est pas représentable par un seul octet"
 
-#: locale/programs/ld-ctype.c:3338 locale/programs/ld-ctype.c:3363
+#: locale/programs/ld-ctype.c:3265 locale/programs/ld-ctype.c:3290
 #, c-format
 msgid "%s: character `%s' needed as default value not representable with one byte"
 msgstr "%s : caractère « %s » nécessaire comme valeur par défaut n'est pas représentable par un seul octet"
 
-#: locale/programs/ld-ctype.c:3419
+#: locale/programs/ld-ctype.c:3346
 #, c-format
 msgid "no output digits defined and none of the standard names in the charmap"
 msgstr "Pas de chiffre défini et aucun des noms standards dans la table des caractères"
 
-#: locale/programs/ld-ctype.c:3668
+#: locale/programs/ld-ctype.c:3595
 #, c-format
 msgid "%s: transliteration data from locale `%s' not available"
 msgstr "%s : le particularisme local « %s » ne dispose pas des données de transposition"
 
-#: locale/programs/ld-ctype.c:3768
+#: locale/programs/ld-ctype.c:3695
 #, c-format
 msgid "%s: table for class \"%s\": %lu bytes\n"
 msgstr "%s : table pour la classe « %s » : %lu octets\n"
 
-#: locale/programs/ld-ctype.c:3833
+#: locale/programs/ld-ctype.c:3760
 #, c-format
 msgid "%s: table for map \"%s\": %lu bytes\n"
 msgstr "%s : table de caractères « %s » : %lu octets\n"
 
-#: locale/programs/ld-ctype.c:3958
+#: locale/programs/ld-ctype.c:3885
 #, c-format
 msgid "%s: table for width: %lu bytes\n"
 msgstr "%s : table de largeur : %lu octets\n"
@@ -3818,17 +3809,22 @@ msgstr "ajoute une nouvelle entrée « %s » de type %s pour %s au cache%s"
 msgid " (first)"
 msgstr " (premier)"
 
-#: nscd/cache.c:285 nscd/connections.c:1000
+#: nscd/cache.c:288
+#, c-format
+msgid "checking for monitored file `%s': %s"
+msgstr "recherche fichier surveillé `%s': %s"
+
+#: nscd/cache.c:298
 #, c-format
-msgid "cannot stat() file `%s': %s"
-msgstr "Ne peut évaluer par stat() le fichier « %s » : %s"
+msgid "monitored file `%s` changed (mtime)"
+msgstr "fichier surveillé `%s` modifié (mtime)"
 
-#: nscd/cache.c:331
+#: nscd/cache.c:341
 #, c-format
 msgid "pruning %s cache; time %ld"
 msgstr "écourte %s cache; time %ld"
 
-#: nscd/cache.c:360
+#: nscd/cache.c:370
 #, c-format
 msgid "considering %s entry \"%s\", timeout %<PRIu64>"
 msgstr "considérant %s entrée « %s », timeout %<PRIu64>"
@@ -3914,153 +3910,213 @@ msgstr "ne peut établir le socket à l'état fermé dans exec : %s"
 msgid "cannot enable socket to accept connections: %s"
 msgstr "Ne peut activer le socket pour accepter des connexions : %s"
 
-#: nscd/connections.c:984
+#: nscd/connections.c:973
 #, c-format
-msgid "register trace file %s for database %s"
-msgstr "inscrit le fichier de trace %s pour la base de données %s"
+msgid "disabled inotify-based monitoring for file `%s': %s"
+msgstr "surveillance basée sur inotify désactivée pour fichier `%s': %s"
 
-#: nscd/connections.c:1114
+#: nscd/connections.c:977
+#, c-format
+msgid "monitoring file `%s` (%d)"
+msgstr "fichier de surveillance `%s` (%d)"
+
+#: nscd/connections.c:990
+#, c-format
+msgid "disabled inotify-based monitoring for directory `%s': %s"
+msgstr "surveillance basée sur inotify désactivée pour répertoire `%s': %s"
+
+#: nscd/connections.c:994
+#, c-format
+msgid "monitoring directory `%s` (%d)"
+msgstr "répertoire de surveillance `%s` (%d)"
+
+#: nscd/connections.c:1022
+#, c-format
+msgid "monitoring file %s for database %s"
+msgstr "fichier de surveillance %s pour base de données %s"
+
+#: nscd/connections.c:1032
+#, c-format
+msgid "stat failed for file `%s'; will try again later: %s"
+msgstr "stat en échec pour fichier `%s'; nouvel essai plus tard: %s"
+
+#: nscd/connections.c:1151
 #, c-format
 msgid "provide access to FD %d, for %s"
 msgstr "fournit l'accès à FD %d, pour %s"
 
-#: nscd/connections.c:1126
+#: nscd/connections.c:1163
 #, c-format
 msgid "cannot handle old request version %d; current version is %d"
-msgstr "Ne peut traiter une requête d'une vieille version %d; la version courante est %d"
+msgstr "Ne peut traiter une vieille version de requête %d; la version courante est %d"
 
-#: nscd/connections.c:1148
+#: nscd/connections.c:1185
 #, c-format
 msgid "request from %ld not handled due to missing permission"
 msgstr "la requête de %ld non prise en compte du fait du manque de permission"
 
-#: nscd/connections.c:1153
+#: nscd/connections.c:1190
 #, c-format
 msgid "request from '%s' [%ld] not handled due to missing permission"
 msgstr "la requête de '%s' [%ld] non prise en compte du fait du manque de permission"
 
-#: nscd/connections.c:1158
+#: nscd/connections.c:1195
 msgid "request not handled due to missing permission"
 msgstr "la requête de %ld "
 
-#: nscd/connections.c:1196 nscd/connections.c:1249
+#: nscd/connections.c:1233 nscd/connections.c:1286
 #, c-format
 msgid "cannot write result: %s"
 msgstr "Ne peut écrire les résultats : « %s »"
 
-#: nscd/connections.c:1340
+#: nscd/connections.c:1377
 #, c-format
 msgid "error getting caller's id: %s"
 msgstr "erreur lors de la récupération de l'identifiant de l'appelant : %s"
 
-#: nscd/connections.c:1400
+#: nscd/connections.c:1437
 #, c-format
 msgid "cannot open /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr "ne peut ouvrir /proc/self/cmdline : %s; désactive le mode paranoïa"
 
-#: nscd/connections.c:1414
+#: nscd/connections.c:1451
 #, c-format
 msgid "cannot read /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr "ne peut lire /proc/self/cmdline : %s; désactive le mode paranoïa"
 
-#: nscd/connections.c:1454
+#: nscd/connections.c:1491
 #, c-format
 msgid "cannot change to old UID: %s; disabling paranoia mode"
 msgstr "ne peut réétablir l'ancien UID : %s; désactive le mode paranoïa"
 
-#: nscd/connections.c:1464
+#: nscd/connections.c:1501
 #, c-format
 msgid "cannot change to old GID: %s; disabling paranoia mode"
 msgstr "ne peut réétablir l'ancien GID : %s; désactive le mode paranoïa"
 
-#: nscd/connections.c:1477
+#: nscd/connections.c:1514
 #, c-format
 msgid "cannot change to old working directory: %s; disabling paranoia mode"
 msgstr "ne peut réétablir l'ancien dossier de travail : %s; désactive le mode paranoïa"
 
-#: nscd/connections.c:1523
+#: nscd/connections.c:1560
 #, c-format
 msgid "re-exec failed: %s; disabling paranoia mode"
 msgstr "re-exec a échoué : %s; désactive le mode paranoïa"
 
-#: nscd/connections.c:1532
+#: nscd/connections.c:1569
 #, c-format
 msgid "cannot change current working directory to \"/\": %s"
 msgstr "ne peut établir le dossier de travail courant à « / » : %s"
 
-#: nscd/connections.c:1725
+#: nscd/connections.c:1762
 #, c-format
 msgid "short read while reading request: %s"
 msgstr "Lecture écourtée lors de la lecture de la requête : « %s »"
 
-#: nscd/connections.c:1758
+#: nscd/connections.c:1795
 #, c-format
 msgid "key length in request too long: %d"
 msgstr "La longueur de la clé de la requête est trop longue : %d"
 
-#: nscd/connections.c:1771
+#: nscd/connections.c:1808
 #, c-format
 msgid "short read while reading request key: %s"
 msgstr "Lecture écourtée lors de la lecture de la clé de requête : %s"
 
-#: nscd/connections.c:1781
+#: nscd/connections.c:1818
 #, c-format
 msgid "handle_request: request received (Version = %d) from PID %ld"
 msgstr "handle_request : requête reçue (Version = %d) à partir du PID %ld"
 
-#: nscd/connections.c:1786
+#: nscd/connections.c:1823
 #, c-format
 msgid "handle_request: request received (Version = %d)"
 msgstr "handle_request : requête reçue (Version = %d)"
 
-#: nscd/connections.c:2050 nscd/connections.c:2252
+#: nscd/connections.c:1963
+#, c-format
+msgid "ignored inotify event for `%s` (file exists)"
+msgstr "événement inotify ignoré pour `%s` (fichier existe)"
+
+#: nscd/connections.c:1968
+#, c-format
+msgid "monitored file `%s` was %s, removing watch"
+msgstr "fichier surveillé `%s` était %s, suprresion surveillance"
+
+#: nscd/connections.c:1976 nscd/connections.c:2018
+#, c-format
+msgid "failed to remove file watch `%s`: %s"
+msgstr "échec de suppression de surveillance de fichier `%s`: %s"
+
+#: nscd/connections.c:1991
+#, c-format
+msgid "monitored file `%s` was written to"
+msgstr "fichier surveillé `%s` a été écrit sur"
+
+#: nscd/connections.c:2015
+#, c-format
+msgid "monitored parent directory `%s` was %s, removing watch on `%s`"
+msgstr "le répertoire parent surveillé `%s` était %s, arrêt surveillance sur `%s`"
+
+#: nscd/connections.c:2041
+#, c-format
+msgid "monitored file `%s` was %s, adding watch"
+msgstr "fichier surveillé `%s` était %s, ajout surveillance"
+
+#: nscd/connections.c:2053
 #, c-format
-msgid "disabled inotify after read error %d"
-msgstr "désactive inotify après erreur de lecture %d"
+msgid "failed to add file watch `%s`: %s"
+msgstr "échec de l'ajout du fichier de surveillance `%s`: %s"
 
-#: nscd/connections.c:2375
+#: nscd/connections.c:2247 nscd/connections.c:2428
+#, c-format
+msgid "disabled inotify-based monitoring after read error %d"
+msgstr "surveillance basée sur inotify désactivée après erreur de lecture %d"
+
+#: nscd/connections.c:2543
 msgid "could not initialize conditional variable"
 msgstr "n'a pu initialiser une variable conditionnelle"
 
-#: nscd/connections.c:2383
+#: nscd/connections.c:2551
 msgid "could not start clean-up thread; terminating"
 msgstr "n'a pu démarrer le process(thread) de nettoyage ; en train de s'achever"
 
-#: nscd/connections.c:2397
+#: nscd/connections.c:2565
 msgid "could not start any worker thread; terminating"
 msgstr "n'a pas pu démarrer de process de travail (threads) ; en train de s'achever"
 
-#: nscd/connections.c:2452 nscd/connections.c:2454 nscd/connections.c:2470
-#: nscd/connections.c:2480 nscd/connections.c:2498 nscd/connections.c:2509
-#: nscd/connections.c:2519
+#: nscd/connections.c:2620 nscd/connections.c:2622 nscd/connections.c:2638
+#: nscd/connections.c:2648 nscd/connections.c:2666 nscd/connections.c:2677
+#: nscd/connections.c:2687
 #, c-format
 msgid "Failed to run nscd as user '%s'"
 msgstr "Échec d'exécution de nscd en tant qu'usager « %s »"
 
-#: nscd/connections.c:2472
+#: nscd/connections.c:2640
 msgid "initial getgrouplist failed"
 msgstr "échec du getgrouplist initial"
 
-#: nscd/connections.c:2481
+#: nscd/connections.c:2649
 msgid "getgrouplist failed"
 msgstr "échec de getgrouplist"
 
-#: nscd/connections.c:2499
+#: nscd/connections.c:2667
 msgid "setgroups failed"
 msgstr "échec de setgroups"
 
-#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:410
+#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:411
 #: nscd/pwdcache.c:383 nscd/servicescache.c:338
 #, c-format
 msgid "short write in %s: %s"
 msgstr "Écriture écourtée dans %s : %s"
 
-#: nscd/grpcache.c:450 nscd/initgrcache.c:77
+#: nscd/grpcache.c:450 nscd/initgrcache.c:78
 #, c-format
 msgid "Haven't found \"%s\" in group cache!"
 msgstr "N'a pas trouvé « %s » dans la cache du groupe !"
 
-#: nscd/grpcache.c:452 nscd/initgrcache.c:79
+#: nscd/grpcache.c:452 nscd/initgrcache.c:80
 #, c-format
 msgid "Reloading \"%s\" in group cache!"
 msgstr "Recharge « %s » dans le cache groupe !"
@@ -4148,7 +4204,7 @@ msgstr "Utiliser une cache séparée pour chaque usager"
 msgid "Name Service Cache Daemon."
 msgstr "« Daemon » du cache du service de noms."
 
-#: nscd/nscd.c:155 nss/getent.c:1003 nss/makedb.c:206
+#: nscd/nscd.c:155 nss/getent.c:1007 nss/makedb.c:206
 #, c-format
 msgid "wrong number of arguments"
 msgstr "Mauvais nombre d'arguments"
@@ -4181,7 +4237,7 @@ msgstr "ne peut établir le dossier de travail courant à « / »"
 msgid "Could not create log file"
 msgstr "N'a pu créé le fichier journal"
 
-#: nscd/nscd.c:355 nscd/nscd_stat.c:192
+#: nscd/nscd.c:355 nscd/nscd_stat.c:194
 #, c-format
 msgid "write incomplete"
 msgstr "écriture incomplète"
@@ -4196,7 +4252,7 @@ msgstr "ne peut lire les ACK invalidés"
 msgid "invalidation failed"
 msgstr "l'invalidation a échoué"
 
-#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:173
+#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:175
 #, c-format
 msgid "Only root is allowed to use this option!"
 msgstr "Seul ROOT est autorisé à utiliser cette option !"
@@ -4281,35 +4337,35 @@ msgstr "ne peut obtenir le dossier de travail courant : %s; désactive le mode
 msgid "maximum file size for %s database too small"
 msgstr "la taille maximale de fichier pour la base de données %s est trop petite"
 
-#: nscd/nscd_stat.c:142
+#: nscd/nscd_stat.c:144
 #, c-format
 msgid "cannot write statistics: %s"
 msgstr "Ne peut écrire les statistiques : « %s »"
 
-#: nscd/nscd_stat.c:157
+#: nscd/nscd_stat.c:159
 msgid "yes"
 msgstr "oui"
 
-#: nscd/nscd_stat.c:158
+#: nscd/nscd_stat.c:160
 msgid "no"
 msgstr "non"
 
-#: nscd/nscd_stat.c:169
+#: nscd/nscd_stat.c:171
 #, c-format
 msgid "Only root or %s is allowed to use this option!"
 msgstr "Seul ROOT ou %s est autorisé à utiliser cette option !"
 
-#: nscd/nscd_stat.c:180
+#: nscd/nscd_stat.c:182
 #, c-format
 msgid "nscd not running!\n"
 msgstr "nscd n'est pas en exécution !\n"
 
-#: nscd/nscd_stat.c:204
+#: nscd/nscd_stat.c:206
 #, c-format
 msgid "cannot read statistics data"
 msgstr "Ne peut lire les données de statistiques"
 
-#: nscd/nscd_stat.c:207
+#: nscd/nscd_stat.c:209
 #, c-format
 msgid ""
 "nscd configuration:\n"
@@ -4320,27 +4376,27 @@ msgstr ""
 "\n"
 "%15d  niveau serveur de déboggage\n"
 
-#: nscd/nscd_stat.c:231
+#: nscd/nscd_stat.c:233
 #, c-format
 msgid "%3ud %2uh %2um %2lus  server runtime\n"
 msgstr "%3ud %2uh %2um %2lus  temps d'exécution du serveur\n"
 
-#: nscd/nscd_stat.c:234
+#: nscd/nscd_stat.c:236
 #, c-format
 msgid "    %2uh %2um %2lus  server runtime\n"
 msgstr "    %2uh %2um %2lus  temps d'exécution du serveur\n"
 
-#: nscd/nscd_stat.c:236
+#: nscd/nscd_stat.c:238
 #, c-format
 msgid "        %2um %2lus  server runtime\n"
 msgstr "        %2um %2lus  temps d'exécution du serveur\n"
 
-#: nscd/nscd_stat.c:238
+#: nscd/nscd_stat.c:240
 #, c-format
 msgid "            %2lus  server runtime\n"
 msgstr "            %2lus  temps d'exécution du serveur\n"
 
-#: nscd/nscd_stat.c:240
+#: nscd/nscd_stat.c:242
 #, c-format
 msgid ""
 "%15d  current number of threads\n"
@@ -4357,7 +4413,7 @@ msgstr ""
 "%15lu  redémarrage interne\n"
 "%15u  compte de rechargement\n"
 
-#: nscd/nscd_stat.c:275
+#: nscd/nscd_stat.c:277
 #, c-format
 msgid ""
 "\n"
@@ -4424,85 +4480,85 @@ msgstr "Recharge « %s » dans le cache des mots de passe !"
 msgid "Invalid numeric uid \"%s\"!"
 msgstr "uid numérique invalide  « %s » !"
 
-#: nscd/selinux.c:155
+#: nscd/selinux.c:154
 #, c-format
 msgid "Failed opening connection to the audit subsystem: %m"
 msgstr "Echec d'ouverture de la connection au sous-système d'audit : %m"
 
-#: nscd/selinux.c:176
+#: nscd/selinux.c:175
 msgid "Failed to set keep-capabilities"
 msgstr "A échoué à établir les possibilités de garde(keep-capabilities)"
 
-#: nscd/selinux.c:177 nscd/selinux.c:240
+#: nscd/selinux.c:176 nscd/selinux.c:239
 msgid "prctl(KEEPCAPS) failed"
 msgstr "échec de prctl(KEEPCAPS)"
 
-#: nscd/selinux.c:191
+#: nscd/selinux.c:190
 msgid "Failed to initialize drop of capabilities"
 msgstr "A échoué à initialiser l'abandon de possibilités"
 
-#: nscd/selinux.c:192
+#: nscd/selinux.c:191
 msgid "cap_init failed"
 msgstr "cap_init a échoué"
 
-#: nscd/selinux.c:213 nscd/selinux.c:230
+#: nscd/selinux.c:212 nscd/selinux.c:229
 msgid "Failed to drop capabilities"
 msgstr "A échoué à abandonner les possibilités"
 
-#: nscd/selinux.c:214 nscd/selinux.c:231
+#: nscd/selinux.c:213 nscd/selinux.c:230
 msgid "cap_set_proc failed"
 msgstr "cap_set_proc a échoué"
 
-#: nscd/selinux.c:239
+#: nscd/selinux.c:238
 msgid "Failed to unset keep-capabilities"
 msgstr "A échoué à désactiver les possibilités de garde (keep-capabilities)"
 
-#: nscd/selinux.c:255
+#: nscd/selinux.c:254
 msgid "Failed to determine if kernel supports SELinux"
 msgstr "A échoué à déterminer si le noyau supporte SELinux"
 
-#: nscd/selinux.c:270
+#: nscd/selinux.c:269
 msgid "Failed to start AVC thread"
 msgstr "A échoué à démarrer le fil AVC (thread)"
 
-#: nscd/selinux.c:292
+#: nscd/selinux.c:291
 msgid "Failed to create AVC lock"
 msgstr "A échoué à créer un verrou AVC"
 
-#: nscd/selinux.c:332
+#: nscd/selinux.c:331
 msgid "Failed to start AVC"
 msgstr "A échoué à démarrer AVC"
 
-#: nscd/selinux.c:334
+#: nscd/selinux.c:333
 msgid "Access Vector Cache (AVC) started"
 msgstr "Access Vector Cache (AVC) démarré"
 
-#: nscd/selinux.c:369
+#: nscd/selinux.c:368
 msgid "Error querying policy for undefined object classes or permissions."
 msgstr "Erreur à l'interrogation de la politique pour les classes ou permissions d'objet indéfini."
 
-#: nscd/selinux.c:376
+#: nscd/selinux.c:375
 msgid "Error getting security class for nscd."
 msgstr "Erreur à la récupération de la classe de sécurité pour nscd."
 
-#: nscd/selinux.c:381
+#: nscd/selinux.c:380
 #, c-format
 msgid "Error translating permission name \"%s\" to access vector bit."
 msgstr "Erreur à la traduction du nom de la permission \"%s\" pour accéder le bit vecteur."
 
-#: nscd/selinux.c:391
+#: nscd/selinux.c:390
 msgid "Error getting context of socket peer"
 msgstr "Erreur à la récupération du contexte du pair du socket"
 
-#: nscd/selinux.c:396
+#: nscd/selinux.c:395
 msgid "Error getting context of nscd"
 msgstr "Erreur à la récupération du contexte de nscd"
 
-#: nscd/selinux.c:402
+#: nscd/selinux.c:401
 msgid "Error getting sid from context"
 msgstr "erreur de récupération du sid depuis le contexte"
 
-#: nscd/selinux.c:440
+#: nscd/selinux.c:439
 #, c-format
 msgid ""
 "\n"
@@ -4564,16 +4620,16 @@ msgstr "Obtient des entrées de la base de données administrative"
 msgid "Enumeration not supported on %s\n"
 msgstr "Énumération non supportée sur %s\n"
 
-#: nss/getent.c:917
+#: nss/getent.c:921
 #, c-format
 msgid "Unknown database name"
 msgstr "Base de données inconnue"
 
-#: nss/getent.c:947
+#: nss/getent.c:951
 msgid "Supported databases:\n"
 msgstr "Base de données supportées :\n"
 
-#: nss/getent.c:1013
+#: nss/getent.c:1017
 #, c-format
 msgid "Unknown database: %s\n"
 msgstr "Base de données inconnue : « %s »\n"
@@ -4853,7 +4909,7 @@ msgstr "Échec du pairage de ) ou de \\)"
 msgid "No previous regular expression"
 msgstr "Aucune expression régulière précédente"
 
-#: posix/wordexp.c:1844
+#: posix/wordexp.c:1851
 msgid "parameter null or not set"
 msgstr "paramètre nul ou non initialisé"
 
@@ -7230,6 +7286,15 @@ msgstr "trop ou de trop longues abréviations de fuseaux horaires"
 msgid "%s: Can't create directory %s: %s\n"
 msgstr "%s : ne peut créer le dossier %s : %s\n"
 
+#~ msgid "cannot load any more object with static TLS"
+#~ msgstr "ne peut pas charger plus d'objets avec TLS statique"
+
+#~ msgid "%s: no PLTREL found in object %s\n"
+#~ msgstr "%s : aucun PLTREL trouvé dans l'objet %s\n"
+
+#~ msgid "cannot create internal descriptors"
+#~ msgstr "ne peut créer les descripteurs internes"
+
 #~ msgid "compile-time support for database policy missing"
 #~ msgstr "il manque le support du temps de compilation pour la politique de base de données"
 
diff --git a/po/gl.po b/po/gl.po
index 5e33ed6..b9f5a43 100644
--- a/po/gl.po
+++ b/po/gl.po
@@ -5,7 +5,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: libc 2.3.2\n"
-"POT-Creation-Date: 2015-01-20 22:14-0500\n"
+"POT-Creation-Date: 2015-07-31 00:10-0400\n"
 "PO-Revision-Date: 2003-03-03 20:13+0100\n"
 "Last-Translator: Jacobo Tarrio <jtarrio@trasno.net>\n"
 "Language-Team: Galician <gpul-traduccion@ceu.fi.udc.es>\n"
@@ -141,10 +141,10 @@ msgstr ""
 "[FICHEIRO-SAÍDA [FICHEIRO-ENTRADA]...]"
 
 #: catgets/gencat.c:229 debug/pcprofiledump.c:209 elf/ldconfig.c:307
-#: elf/pldd.c:244 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
+#: elf/pldd.c:252 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
 #: iconv/iconvconfig.c:379 locale/programs/locale.c:277
 #: locale/programs/localedef.c:376 login/programs/pt_chown.c:88
-#: malloc/memusagestat.c:563 nss/getent.c:969 nss/makedb.c:369
+#: malloc/memusagestat.c:563 nss/getent.c:973 nss/makedb.c:369
 #: posix/getconf.c:486 sunrpc/rpcinfo.c:691
 #: sysdeps/unix/sysv/linux/lddlibc4.c:61
 #, c-format
@@ -154,7 +154,7 @@ msgid ""
 msgstr ""
 
 #: catgets/gencat.c:245 debug/pcprofiledump.c:225 debug/xtrace.sh:64
-#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:260 elf/sotruss.sh:75
+#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:268 elf/sotruss.sh:75
 #: elf/sprof.c:389 iconv/iconv_prog.c:425 iconv/iconvconfig.c:396
 #: locale/programs/locale.c:294 locale/programs/localedef.c:402
 #: login/programs/pt_chown.c:62 malloc/memusage.sh:71
@@ -171,7 +171,7 @@ msgstr ""
 "garantía; nin sequera de COMERCIABILIDADE ou APTITUDE PARA UN FIN DETERMINADO.\n"
 
 #: catgets/gencat.c:250 debug/pcprofiledump.c:230 debug/xtrace.sh:68
-#: elf/ldconfig.c:328 elf/pldd.c:265 elf/sprof.c:395 iconv/iconv_prog.c:430
+#: elf/ldconfig.c:328 elf/pldd.c:273 elf/sprof.c:395 iconv/iconv_prog.c:430
 #: iconv/iconvconfig.c:401 locale/programs/locale.c:299
 #: locale/programs/localedef.c:407 malloc/memusage.sh:75
 #: malloc/memusagestat.c:586 nscd/nscd.c:514 nss/getent.c:91 nss/makedb.c:390
@@ -434,11 +434,11 @@ msgstr "O cambio dos dereitos de acceso de %s a %#o fallou"
 msgid "Renaming of %s to %s failed"
 msgstr "Fallou o renomeado de %s a %s"
 
-#: elf/dl-close.c:385 elf/dl-open.c:470
+#: elf/dl-close.c:396 elf/dl-open.c:478
 msgid "cannot create scope list"
 msgstr "non se pode crea-la lista de alcance"
 
-#: elf/dl-close.c:770
+#: elf/dl-close.c:816
 msgid "shared object not open"
 msgstr "o obxecto compartido non está aberto"
 
@@ -515,135 +515,135 @@ msgstr "non se pode crea-lo vector de rutas de busca"
 msgid "cannot stat shared object"
 msgstr "non se puido facer stat sobre o obxecto compartido"
 
-#: elf/dl-load.c:963
+#: elf/dl-load.c:962
 msgid "cannot open zero fill device"
 msgstr "non se pode abrir un dispositivo de recheo de ceros"
 
-#: elf/dl-load.c:1010 elf/dl-load.c:2165
+#: elf/dl-load.c:1009 elf/dl-load.c:2159
 msgid "cannot create shared object descriptor"
 msgstr "non se pode crear un descriptor de obxecto compartido"
 
-#: elf/dl-load.c:1029 elf/dl-load.c:1570 elf/dl-load.c:1682
+#: elf/dl-load.c:1028 elf/dl-load.c:1568 elf/dl-load.c:1680
 msgid "cannot read file data"
 msgstr "non se pode le-los datos do ficheiro"
 
-#: elf/dl-load.c:1069
+#: elf/dl-load.c:1068
 msgid "ELF load command alignment not page-aligned"
 msgstr "O comando de carga ELF non está aliñado coa páxina"
 
-#: elf/dl-load.c:1076
+#: elf/dl-load.c:1075
 msgid "ELF load command address/offset not properly aligned"
 msgstr "O enderezo/desprazamento do comando de carga ELF non está ben aliñado"
 
-#: elf/dl-load.c:1160
+#: elf/dl-load.c:1159
 msgid "cannot allocate TLS data structures for initial thread"
 msgstr "non se poden crea-las estructuras de datos TLS para o fío inicial"
 
-#: elf/dl-load.c:1183
+#: elf/dl-load.c:1182
 msgid "cannot handle TLS data"
 msgstr "non se poden manexa-los datos TLS"
 
-#: elf/dl-load.c:1202
+#: elf/dl-load.c:1201
 #, fuzzy
 #| msgid "object file has no dynamic section"
 msgid "object file has no loadable segments"
 msgstr "o ficheiro obxecto non ten unha sección dinámica"
 
-#: elf/dl-load.c:1211 elf/dl-load.c:1662
+#: elf/dl-load.c:1210 elf/dl-load.c:1660
 msgid "cannot dynamically load executable"
 msgstr "non se pode cargar dinamicamente o executable"
 
-#: elf/dl-load.c:1232
+#: elf/dl-load.c:1231
 msgid "object file has no dynamic section"
 msgstr "o ficheiro obxecto non ten unha sección dinámica"
 
-#: elf/dl-load.c:1255
+#: elf/dl-load.c:1254
 msgid "shared object cannot be dlopen()ed"
 msgstr "non se pode facer dlopen() sobre o obxecto compartido"
 
-#: elf/dl-load.c:1268
+#: elf/dl-load.c:1267
 msgid "cannot allocate memory for program header"
 msgstr "Non se pode reservar memoria para a cabeceira do programa"
 
-#: elf/dl-load.c:1284 elf/dl-open.c:195
+#: elf/dl-load.c:1283 elf/dl-open.c:195
 #, fuzzy
 #| msgid "invalid line"
 msgid "invalid caller"
 msgstr "liña non válida"
 
-#: elf/dl-load.c:1307 elf/dl-load.h:130
+#: elf/dl-load.c:1306 elf/dl-load.h:130
 msgid "cannot change memory protections"
 msgstr "non se poden cambia-las proteccións de memoria"
 
-#: elf/dl-load.c:1327
+#: elf/dl-load.c:1326
 #, fuzzy
 #| msgid "cannot create shared object descriptor"
 msgid "cannot enable executable stack as shared object requires"
 msgstr "non se pode crear un descriptor de obxecto compartido"
 
-#: elf/dl-load.c:1340
+#: elf/dl-load.c:1339
 #, fuzzy
 #| msgid "cannot create internal descriptor"
 msgid "cannot close file descriptor"
 msgstr "non se pode crear un descriptor interno"
 
-#: elf/dl-load.c:1570
+#: elf/dl-load.c:1568
 msgid "file too short"
 msgstr "ficheiro pequeno de máis"
 
-#: elf/dl-load.c:1605
+#: elf/dl-load.c:1603
 msgid "invalid ELF header"
 msgstr "cabeceira ELF non válida"
 
-#: elf/dl-load.c:1617
+#: elf/dl-load.c:1615
 msgid "ELF file data encoding not big-endian"
 msgstr "A codificación dos datos do ficheiro ELF non é \"big-endian\""
 
-#: elf/dl-load.c:1619
+#: elf/dl-load.c:1617
 msgid "ELF file data encoding not little-endian"
 msgstr "A codificación dos datos do ficheiro ELF non é \"little-endian\""
 
-#: elf/dl-load.c:1623
+#: elf/dl-load.c:1621
 msgid "ELF file version ident does not match current one"
 msgstr "O identificador da versión do ficheiro ELF non coincide co actual"
 
-#: elf/dl-load.c:1627
+#: elf/dl-load.c:1625
 msgid "ELF file OS ABI invalid"
 msgstr "ABI do SO do ficheiro ELF non válida"
 
-#: elf/dl-load.c:1630
+#: elf/dl-load.c:1628
 msgid "ELF file ABI version invalid"
 msgstr "Versión do ABI do ficheiro ELF non válida"
 
-#: elf/dl-load.c:1633
+#: elf/dl-load.c:1631
 msgid "nonzero padding in e_ident"
 msgstr ""
 
-#: elf/dl-load.c:1636
+#: elf/dl-load.c:1634
 msgid "internal error"
 msgstr "erro interno"
 
-#: elf/dl-load.c:1643
+#: elf/dl-load.c:1641
 msgid "ELF file version does not match current one"
 msgstr "A versión do ficheiro ELF non coincide coa actual"
 
-#: elf/dl-load.c:1651
+#: elf/dl-load.c:1649
 msgid "only ET_DYN and ET_EXEC can be loaded"
 msgstr "só se pode cargar ET_DYN e ET_EXEC"
 
-#: elf/dl-load.c:1667
+#: elf/dl-load.c:1665
 msgid "ELF file's phentsize not the expected size"
 msgstr "O phentsize do ficheiro ELF non é o tamaño esperado"
 
-#: elf/dl-load.c:2184
+#: elf/dl-load.c:2178
 msgid "wrong ELF class: ELFCLASS64"
 msgstr ""
 
-#: elf/dl-load.c:2185
+#: elf/dl-load.c:2179
 msgid "wrong ELF class: ELFCLASS32"
 msgstr ""
 
-#: elf/dl-load.c:2188
+#: elf/dl-load.c:2182
 msgid "cannot open shared object file"
 msgstr "non se pode abrir un ficheiro de obxecto compartido"
 
@@ -655,11 +655,11 @@ msgstr "non se puido mapear un segmento dun obxecto compartido"
 msgid "cannot map zero-fill pages"
 msgstr "non se poden mapear páxinas de recheo de ceros"
 
-#: elf/dl-lookup.c:791
+#: elf/dl-lookup.c:845
 msgid "relocation error"
 msgstr "erro de cambio de reserva"
 
-#: elf/dl-lookup.c:818
+#: elf/dl-lookup.c:872
 msgid "symbol lookup error"
 msgstr ""
 
@@ -667,58 +667,46 @@ msgstr ""
 msgid "cannot extend global scope"
 msgstr "non se pode extende-lo alcance global"
 
-#: elf/dl-open.c:520
+#: elf/dl-open.c:528
 #, fuzzy
 #| msgid "TLS generation counter wrapped!  Please send report with the 'glibcbug' script."
 msgid "TLS generation counter wrapped!  Please report this."
 msgstr "O xerador de TLS deu unha volta completa. Informe co script 'glibcbug'."
 
-#: elf/dl-open.c:542
-#, fuzzy
-#| msgid "cannot load shared object file"
-msgid "cannot load any more object with static TLS"
-msgstr "non se pode carga-lo ficheiro de obxecto compartido"
-
-#: elf/dl-open.c:599
+#: elf/dl-open.c:592
 msgid "invalid mode for dlopen()"
 msgstr "modo incorrecto para dlopen()"
 
-#: elf/dl-open.c:616
+#: elf/dl-open.c:609
 msgid "no more namespaces available for dlmopen()"
 msgstr ""
 
-#: elf/dl-open.c:634
+#: elf/dl-open.c:633
 #, fuzzy
 #| msgid "invalid mode for dlopen()"
 msgid "invalid target namespace in dlmopen()"
 msgstr "modo incorrecto para dlopen()"
 
-#: elf/dl-reloc.c:120
+#: elf/dl-reloc.c:121
 #, fuzzy
 #| msgid "Cannot allocate memory"
 msgid "cannot allocate memory in static TLS block"
 msgstr "Non se pode reservar memoria"
 
-#: elf/dl-reloc.c:212
+#: elf/dl-reloc.c:206
 msgid "cannot make segment writable for relocation"
 msgstr "non se pode face-lo segmento gravable para o movemento"
 
-#: elf/dl-reloc.c:275
-#, fuzzy, c-format
-#| msgid "%s: profiler found no PLTREL in object %s\n"
-msgid "%s: no PLTREL found in object %s\n"
-msgstr "%s: o perfilador non atopou PLTREL no obxecto %s\n"
-
-#: elf/dl-reloc.c:290
+#: elf/dl-reloc.c:276
 #, c-format
 msgid "%s: out of memory to store relocation results for %s\n"
 msgstr ""
 
-#: elf/dl-reloc.c:306
+#: elf/dl-reloc.c:292
 msgid "cannot restore segment prot after reloc"
 msgstr "non se pode restaura-la protección do segmento despois de movelo"
 
-#: elf/dl-reloc.c:335
+#: elf/dl-reloc.c:323
 #, fuzzy
 #| msgid "cannot change memory protections"
 msgid "cannot apply additional memory protection after relocation"
@@ -728,7 +716,7 @@ msgstr "non se poden cambia-las proteccións de memoria"
 msgid "RTLD_NEXT used in code not dynamically loaded"
 msgstr "Úsase RTLD_NEXT en código non cargado dinamicamente"
 
-#: elf/dl-tls.c:933
+#: elf/dl-tls.c:934
 msgid "cannot create TLS data structures"
 msgstr "non se poden crea-las estructuras de datos TLS"
 
@@ -874,7 +862,7 @@ msgstr "Non se creou unha ligazón porque non se atopou o soname para %s"
 msgid "Can't open directory %s"
 msgstr "Non se puido abri-lo directorio %s"
 
-#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:90
+#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:97
 #, c-format
 msgid "Input file %s not found.\n"
 msgstr "Non se atopou o ficheiro de entrada %s.\n"
@@ -1010,7 +998,7 @@ msgstr "non se pode libera-los parámetros"
 msgid "No such file or directory"
 msgstr "Non hai tal ficheiro ou directorio"
 
-#: elf/ldd.bash.in:150 inet/rcmd.c:488
+#: elf/ldd.bash.in:150 inet/rcmd.c:492
 msgid "not regular file"
 msgstr "non é un ficheiro normal"
 
@@ -1062,73 +1050,79 @@ msgstr "non se pode le-la cabeceira"
 msgid "cannot read program interpreter"
 msgstr "non se pode le-la cabeceira do arquivo"
 
-#: elf/pldd-xx.c:196
+#: elf/pldd-xx.c:197
 #, fuzzy, c-format
 #| msgid "cannot read file data"
 msgid "cannot read link map"
 msgstr "non se pode le-los datos do ficheiro"
 
-#: elf/pldd-xx.c:207
+#: elf/pldd-xx.c:209
 #, fuzzy, c-format
 #| msgid "cannot read header"
 msgid "cannot read object name"
 msgstr "non se pode le-la cabeceira"
 
-#: elf/pldd.c:63
+#: elf/pldd-xx.c:219
+#, fuzzy, c-format
+#| msgid "cannot allocate memory for program header"
+msgid "cannot allocate buffer for object name"
+msgstr "Non se pode reservar memoria para a cabeceira do programa"
+
+#: elf/pldd.c:64
 msgid "List dynamic shared objects loaded into process."
 msgstr ""
 
-#: elf/pldd.c:67
+#: elf/pldd.c:68
 msgid "PID"
 msgstr ""
 
-#: elf/pldd.c:99
+#: elf/pldd.c:100
 #, c-format
 msgid "Exactly one parameter with process ID required.\n"
 msgstr ""
 
-#: elf/pldd.c:111
+#: elf/pldd.c:112
 #, fuzzy, c-format
 #| msgid "invalid pointer size"
 msgid "invalid process ID '%s'"
 msgstr "tamaño de punteiro non válido"
 
-#: elf/pldd.c:119
+#: elf/pldd.c:120
 #, fuzzy, c-format
 #| msgid "cannot open `%s'"
 msgid "cannot open %s"
 msgstr "non se pode abrir `%s'"
 
-#: elf/pldd.c:144
+#: elf/pldd.c:152
 #, fuzzy, c-format
 #| msgid "cannot open `%s'"
 msgid "cannot open %s/task"
 msgstr "non se pode abrir `%s'"
 
-#: elf/pldd.c:147
+#: elf/pldd.c:155
 #, fuzzy, c-format
 #| msgid "cannot create searchlist"
 msgid "cannot prepare reading %s/task"
 msgstr "non se pode crea-la lista de busca"
 
-#: elf/pldd.c:160
+#: elf/pldd.c:168
 #, fuzzy, c-format
 #| msgid "invalid ELF header"
 msgid "invalid thread ID '%s'"
 msgstr "cabeceira ELF non válida"
 
-#: elf/pldd.c:171
+#: elf/pldd.c:179
 #, fuzzy, c-format
 #| msgid "cannot find C preprocessor: %s \n"
 msgid "cannot attach to process %lu"
 msgstr "non podo atopa-lo preprocesador de C: %s \n"
 
-#: elf/pldd.c:286
+#: elf/pldd.c:294
 #, c-format
 msgid "cannot get information about process %lu"
 msgstr ""
 
-#: elf/pldd.c:299
+#: elf/pldd.c:307
 #, c-format
 msgid "process %lu is no ELF program"
 msgstr ""
@@ -1163,28 +1157,28 @@ msgstr "%s non é un ficheiro de obxecto compartido (Tipo: %d).\n"
 msgid "more than one dynamic segment\n"
 msgstr "máis dun segmento dinámico\n"
 
-#: elf/readlib.c:96
+#: elf/readlib.c:103
 #, c-format
 msgid "Cannot fstat file %s.\n"
 msgstr "Non se puido executar fstat sobre o ficheiro %s.\n"
 
-#: elf/readlib.c:107
+#: elf/readlib.c:114
 #, fuzzy, c-format
 #| msgid "File %s is too small, not checked."
 msgid "File %s is empty, not checked."
 msgstr "O ficheiro %s é pequeno de máis, non se comproba."
 
-#: elf/readlib.c:113
+#: elf/readlib.c:120
 #, c-format
 msgid "File %s is too small, not checked."
 msgstr "O ficheiro %s é pequeno de máis, non se comproba."
 
-#: elf/readlib.c:123
+#: elf/readlib.c:130
 #, c-format
 msgid "Cannot mmap file %s.\n"
 msgstr "Non se puido executar mmap sobre o ficheiro %s.\n"
 
-#: elf/readlib.c:161
+#: elf/readlib.c:169
 #, c-format
 msgid "%s is not an ELF file - it has the wrong magic bytes at the start.\n"
 msgstr "%s non é un ficheiro ELF - non ten os bytes máxicos correctos ao principio.\n"
@@ -1317,10 +1311,10 @@ msgstr "SOBJ [PROFDATA]"
 msgid "failed to load shared object `%s'"
 msgstr "non se puido carga-lo obxecto compartido `%s'"
 
-#: elf/sprof.c:442
+#: elf/sprof.c:442 elf/sprof.c:825 elf/sprof.c:923
 #, c-format
-msgid "cannot create internal descriptors"
-msgstr "non se poden crear descriptores internos"
+msgid "cannot create internal descriptor"
+msgstr "non se pode crear un descriptor interno"
 
 #: elf/sprof.c:554
 #, c-format
@@ -1391,11 +1385,6 @@ msgstr "non se puido facer mmap sobre o ficheiro de datos de perfís"
 msgid "error while closing the profiling data file"
 msgstr "erro ao pecha-lo ficheiro de datos de perfís"
 
-#: elf/sprof.c:825 elf/sprof.c:923
-#, c-format
-msgid "cannot create internal descriptor"
-msgstr "non se pode crear un descriptor interno"
-
 #: elf/sprof.c:899
 #, c-format
 msgid "`%s' is no correct profile data file for `%s'"
@@ -1655,27 +1644,27 @@ msgstr "socket: fallo do protocolo no establecemento do circuito\n"
 msgid "rcmd: %s: short read"
 msgstr "rcmd: %s: lectura curta"
 
-#: inet/rcmd.c:486
+#: inet/rcmd.c:490
 msgid "lstat failed"
 msgstr "fallou a chamada a lstat"
 
-#: inet/rcmd.c:493
+#: inet/rcmd.c:497
 msgid "cannot open"
 msgstr "non se pode abrir"
 
-#: inet/rcmd.c:495
+#: inet/rcmd.c:499
 msgid "fstat failed"
 msgstr "fallou a chamada a fstat"
 
-#: inet/rcmd.c:497
+#: inet/rcmd.c:501
 msgid "bad owner"
 msgstr "propietario incorrecto"
 
-#: inet/rcmd.c:499
+#: inet/rcmd.c:503
 msgid "writeable by other than owner"
 msgstr "escribible por alguén distinto do propietario"
 
-#: inet/rcmd.c:501
+#: inet/rcmd.c:505
 msgid "hard linked somewhere"
 msgstr "ten un enlace duro nalgún sitio"
 
@@ -1797,8 +1786,8 @@ msgid "no symbolic name given for end of range"
 msgstr "non se deu un nome simbólico para a fin do rango"
 
 #: locale/programs/charmap.c:610 locale/programs/ld-address.c:528
-#: locale/programs/ld-collate.c:2626 locale/programs/ld-collate.c:3784
-#: locale/programs/ld-ctype.c:2162 locale/programs/ld-ctype.c:2913
+#: locale/programs/ld-collate.c:2635 locale/programs/ld-collate.c:3793
+#: locale/programs/ld-ctype.c:2128 locale/programs/ld-ctype.c:2840
 #: locale/programs/ld-identification.c:368
 #: locale/programs/ld-measurement.c:215 locale/programs/ld-messages.c:298
 #: locale/programs/ld-monetary.c:740 locale/programs/ld-name.c:264
@@ -1824,8 +1813,8 @@ msgid "%s: error in state machine"
 msgstr "%s: erro na máquina de estados"
 
 #: locale/programs/charmap.c:850 locale/programs/ld-address.c:544
-#: locale/programs/ld-collate.c:2623 locale/programs/ld-collate.c:3977
-#: locale/programs/ld-ctype.c:2159 locale/programs/ld-ctype.c:2930
+#: locale/programs/ld-collate.c:2632 locale/programs/ld-collate.c:3986
+#: locale/programs/ld-ctype.c:2125 locale/programs/ld-ctype.c:2857
 #: locale/programs/ld-identification.c:384
 #: locale/programs/ld-measurement.c:231 locale/programs/ld-messages.c:314
 #: locale/programs/ld-monetary.c:756 locale/programs/ld-name.c:280
@@ -1846,7 +1835,7 @@ msgstr "carácter `%s' descoñecido"
 msgid "number of bytes for byte sequence of beginning and end of range not the same: %d vs %d"
 msgstr "os números de bytes para as secuencias de bytes do inicio e fin de rango non son os mesmos: %d contra %d"
 
-#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2903
+#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2912
 #: locale/programs/repertoire.c:419
 msgid "invalid names for character range"
 msgstr "nomes non válidos para o rango de caracteres"
@@ -1870,8 +1859,8 @@ msgstr "o límite superior do rango non é menor có límite inferior"
 msgid "resulting bytes for range not representable."
 msgstr "os bytes resultantes do rango non son representables"
 
-#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1565
-#: locale/programs/ld-ctype.c:465 locale/programs/ld-identification.c:133
+#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1566
+#: locale/programs/ld-ctype.c:431 locale/programs/ld-identification.c:133
 #: locale/programs/ld-measurement.c:94 locale/programs/ld-messages.c:97
 #: locale/programs/ld-monetary.c:193 locale/programs/ld-name.c:94
 #: locale/programs/ld-numeric.c:98 locale/programs/ld-paper.c:91
@@ -1936,7 +1925,7 @@ msgid "%s: numeric country code `%d' not valid"
 msgstr "%s: código numérico de país `%d' non válido"
 
 #: locale/programs/ld-address.c:436 locale/programs/ld-address.c:473
-#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2537
+#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2489
 #: locale/programs/ld-identification.c:280
 #: locale/programs/ld-measurement.c:198 locale/programs/ld-messages.c:267
 #: locale/programs/ld-monetary.c:495 locale/programs/ld-monetary.c:530
@@ -1958,8 +1947,8 @@ msgstr "%s: o campo `%s' está declarado máis dunha vez"
 msgid "%s: unknown character in field `%s'"
 msgstr "%s: carácter descoñecido no campo `%s'"
 
-#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3782
-#: locale/programs/ld-ctype.c:2910 locale/programs/ld-identification.c:365
+#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3791
+#: locale/programs/ld-ctype.c:2837 locale/programs/ld-identification.c:365
 #: locale/programs/ld-measurement.c:212 locale/programs/ld-messages.c:296
 #: locale/programs/ld-monetary.c:738 locale/programs/ld-name.c:262
 #: locale/programs/ld-numeric.c:324 locale/programs/ld-paper.c:212
@@ -1968,12 +1957,12 @@ msgstr "%s: carácter descoñecido no campo `%s'"
 msgid "%s: incomplete `END' line"
 msgstr "%s: liña `END' incompleta"
 
-#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:551
-#: locale/programs/ld-collate.c:603 locale/programs/ld-collate.c:899
-#: locale/programs/ld-collate.c:912 locale/programs/ld-collate.c:2592
-#: locale/programs/ld-collate.c:2613 locale/programs/ld-collate.c:3967
-#: locale/programs/ld-ctype.c:1891 locale/programs/ld-ctype.c:2149
-#: locale/programs/ld-ctype.c:2735 locale/programs/ld-ctype.c:2921
+#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:552
+#: locale/programs/ld-collate.c:604 locale/programs/ld-collate.c:900
+#: locale/programs/ld-collate.c:913 locale/programs/ld-collate.c:2601
+#: locale/programs/ld-collate.c:2622 locale/programs/ld-collate.c:3976
+#: locale/programs/ld-ctype.c:1857 locale/programs/ld-ctype.c:2115
+#: locale/programs/ld-ctype.c:2687 locale/programs/ld-ctype.c:2848
 #: locale/programs/ld-identification.c:375
 #: locale/programs/ld-measurement.c:222 locale/programs/ld-messages.c:305
 #: locale/programs/ld-monetary.c:747 locale/programs/ld-name.c:271
@@ -1983,481 +1972,481 @@ msgstr "%s: liña `END' incompleta"
 msgid "%s: syntax error"
 msgstr "%s: erro de sintaxe"
 
-#: locale/programs/ld-collate.c:426
+#: locale/programs/ld-collate.c:427
 #, c-format
 msgid "`%.*s' already defined in charmap"
 msgstr "`%.*s' xa está definido no mapa de caracteres"
 
-#: locale/programs/ld-collate.c:435
+#: locale/programs/ld-collate.c:436
 #, c-format
 msgid "`%.*s' already defined in repertoire"
 msgstr "`%.*s' xa está definido no repertorio"
 
-#: locale/programs/ld-collate.c:442
+#: locale/programs/ld-collate.c:443
 #, c-format
 msgid "`%.*s' already defined as collating symbol"
 msgstr "`%.*s' xa está definido coma un símbolo de ordenación"
 
-#: locale/programs/ld-collate.c:449
+#: locale/programs/ld-collate.c:450
 #, c-format
 msgid "`%.*s' already defined as collating element"
 msgstr "`%.*s' xa está definido coma un elemento de ordenación"
 
-#: locale/programs/ld-collate.c:480 locale/programs/ld-collate.c:506
+#: locale/programs/ld-collate.c:481 locale/programs/ld-collate.c:507
 #, c-format
 msgid "%s: `forward' and `backward' are mutually excluding each other"
 msgstr "%s: as direccións de ordenación `forward' e `backward' son mutuamente excluíntes"
 
-#: locale/programs/ld-collate.c:490 locale/programs/ld-collate.c:516
-#: locale/programs/ld-collate.c:532
+#: locale/programs/ld-collate.c:491 locale/programs/ld-collate.c:517
+#: locale/programs/ld-collate.c:533
 #, c-format
 msgid "%s: `%s' mentioned more than once in definition of weight %d"
 msgstr "%s: `%s' mencionouse máis dunha vez na definición do peso %d"
 
-#: locale/programs/ld-collate.c:588
+#: locale/programs/ld-collate.c:589
 #, c-format
 msgid "%s: too many rules; first entry only had %d"
 msgstr "%s: demasiadas regras; a primeira entrada só tiña %d"
 
-#: locale/programs/ld-collate.c:624
+#: locale/programs/ld-collate.c:625
 #, c-format
 msgid "%s: not enough sorting rules"
 msgstr "%s: non hai regras de ordenación de abondo"
 
-#: locale/programs/ld-collate.c:789
+#: locale/programs/ld-collate.c:790
 #, c-format
 msgid "%s: empty weight string not allowed"
 msgstr "%s: non se admite unha cadea de peso baleira"
 
-#: locale/programs/ld-collate.c:884
+#: locale/programs/ld-collate.c:885
 #, c-format
 msgid "%s: weights must use the same ellipsis symbol as the name"
 msgstr "%s: os pesos deben emprega-lo mesmo signo de puntos suspensivos có nome"
 
-#: locale/programs/ld-collate.c:940
+#: locale/programs/ld-collate.c:941
 #, c-format
 msgid "%s: too many values"
 msgstr "%s: demasiados valores"
 
-#: locale/programs/ld-collate.c:1060 locale/programs/ld-collate.c:1235
+#: locale/programs/ld-collate.c:1061 locale/programs/ld-collate.c:1236
 #, c-format
 msgid "order for `%.*s' already defined at %s:%Zu"
 msgstr "a orde de `%.*s' xa está definida en %s:%Zu"
 
-#: locale/programs/ld-collate.c:1110
+#: locale/programs/ld-collate.c:1111
 #, c-format
 msgid "%s: the start and the end symbol of a range must stand for characters"
 msgstr "%s: os símbolos inicial e final dun rango deben corresponderse con caracteres"
 
-#: locale/programs/ld-collate.c:1137
+#: locale/programs/ld-collate.c:1138
 #, c-format
 msgid "%s: byte sequences of first and last character must have the same length"
 msgstr "%s: as secuencias de bytes do primeiro e derradeiro carácter deben te-la mesma lonxitude"
 
-#: locale/programs/ld-collate.c:1179
+#: locale/programs/ld-collate.c:1180
 #, fuzzy, c-format
 #| msgid "%s: byte sequence of first character of sequence is not lower than that of the last character"
 msgid "%s: byte sequence of first character of range is not lower than that of the last character"
 msgstr "%s: a secuencia de bytes do primeiro carácter da secuencia non é menor cá do derradeiro carácter"
 
-#: locale/programs/ld-collate.c:1304
+#: locale/programs/ld-collate.c:1305
 #, c-format
 msgid "%s: symbolic range ellipsis must not directly follow `order_start'"
 msgstr "%s: os puntos suspensivos do rango simbólico non deben seguir directamente a `order_start'"
 
-#: locale/programs/ld-collate.c:1308
+#: locale/programs/ld-collate.c:1309
 #, c-format
 msgid "%s: symbolic range ellipsis must not be directly followed by `order_end'"
 msgstr "%s: os puntos suspensivos do rango simbólico non deben ir seguidos directamente por `order_end'"
 
-#: locale/programs/ld-collate.c:1328 locale/programs/ld-ctype.c:1408
+#: locale/programs/ld-collate.c:1329 locale/programs/ld-ctype.c:1374
 #, fuzzy, c-format
 #| msgid "`%s' and `%.*s' are no valid names for symbolic range"
 msgid "`%s' and `%.*s' are not valid names for symbolic range"
 msgstr "`%s' e `%.*s' non son nomes válidos para o rango simbólico"
 
-#: locale/programs/ld-collate.c:1378 locale/programs/ld-collate.c:3718
+#: locale/programs/ld-collate.c:1379 locale/programs/ld-collate.c:3727
 #, c-format
 msgid "%s: order for `%.*s' already defined at %s:%Zu"
 msgstr "%s: a orde de `%.*s' xa está definida en %s:%Zu"
 
-#: locale/programs/ld-collate.c:1387
+#: locale/programs/ld-collate.c:1388
 #, c-format
 msgid "%s: `%s' must be a character"
 msgstr "%s: `%s' debe ser un carácter"
 
-#: locale/programs/ld-collate.c:1582
+#: locale/programs/ld-collate.c:1583
 #, c-format
 msgid "%s: `position' must be used for a specific level in all sections or none"
 msgstr "%s: `position' débese empregar para un nivel determinado en tódalas seccións ou en ningunha"
 
-#: locale/programs/ld-collate.c:1607
+#: locale/programs/ld-collate.c:1608
 #, c-format
 msgid "symbol `%s' not defined"
 msgstr "o símbolo `%s' non está definido"
 
-#: locale/programs/ld-collate.c:1683 locale/programs/ld-collate.c:1789
+#: locale/programs/ld-collate.c:1684 locale/programs/ld-collate.c:1790
 #, c-format
 msgid "symbol `%s' has the same encoding as"
 msgstr "o símbolo `%s' ten a mesma codificación có"
 
-#: locale/programs/ld-collate.c:1687 locale/programs/ld-collate.c:1793
+#: locale/programs/ld-collate.c:1688 locale/programs/ld-collate.c:1794
 #, c-format
 msgid "symbol `%s'"
 msgstr "símbolo `%s'"
 
-#: locale/programs/ld-collate.c:1833
+#: locale/programs/ld-collate.c:1834
 #, c-format
 msgid "no definition of `UNDEFINED'"
 msgstr "non hai unha definición de `UNDEFINED'"
 
-#: locale/programs/ld-collate.c:1862
+#: locale/programs/ld-collate.c:1863
 #, c-format
 msgid "too many errors; giving up"
 msgstr "demasiados erros; ríndome"
 
-#: locale/programs/ld-collate.c:2518 locale/programs/ld-collate.c:3906
+#: locale/programs/ld-collate.c:2527 locale/programs/ld-collate.c:3915
 #, fuzzy, c-format
 #| msgid "Operation not supported"
 msgid "%s: nested conditionals not supported"
 msgstr "Operación non soportada"
 
-#: locale/programs/ld-collate.c:2536
+#: locale/programs/ld-collate.c:2545
 #, fuzzy, c-format
 #| msgid "%s: More than one -l option specified\n"
 msgid "%s: more than one 'else'"
 msgstr "%s: Indicouse máis dunha opción -l\n"
 
-#: locale/programs/ld-collate.c:2711
+#: locale/programs/ld-collate.c:2720
 #, c-format
 msgid "%s: duplicate definition of `%s'"
 msgstr "%s: definición de `%s' duplicada"
 
-#: locale/programs/ld-collate.c:2747
+#: locale/programs/ld-collate.c:2756
 #, c-format
 msgid "%s: duplicate declaration of section `%s'"
 msgstr "%s: definición da sección `%s' duplicada"
 
-#: locale/programs/ld-collate.c:2883
+#: locale/programs/ld-collate.c:2892
 #, c-format
 msgid "%s: unknown character in collating symbol name"
 msgstr "%s: carácter descoñecido no nome do símbolo de ordenación"
 
-#: locale/programs/ld-collate.c:3012
+#: locale/programs/ld-collate.c:3021
 #, c-format
 msgid "%s: unknown character in equivalent definition name"
 msgstr "%s: carácter descoñecido no nome da definición de equivalentes"
 
-#: locale/programs/ld-collate.c:3023
+#: locale/programs/ld-collate.c:3032
 #, c-format
 msgid "%s: unknown character in equivalent definition value"
 msgstr "%s: erro de sintaxe no valor da definición de equivalentes"
 
-#: locale/programs/ld-collate.c:3033
+#: locale/programs/ld-collate.c:3042
 #, c-format
 msgid "%s: unknown symbol `%s' in equivalent definition"
 msgstr "%s: símbolo `%s' descoñecido na definición de equivalentes"
 
-#: locale/programs/ld-collate.c:3042
+#: locale/programs/ld-collate.c:3051
 msgid "error while adding equivalent collating symbol"
 msgstr "erro ao engadir un símbolo de ordenación equivalente"
 
-#: locale/programs/ld-collate.c:3080
+#: locale/programs/ld-collate.c:3089
 #, c-format
 msgid "duplicate definition of script `%s'"
 msgstr "definición do script `%s' duplicada"
 
-#: locale/programs/ld-collate.c:3128
+#: locale/programs/ld-collate.c:3137
 #, fuzzy, c-format
 #| msgid "%s: unknown section name `%s'"
 msgid "%s: unknown section name `%.*s'"
 msgstr "%s: nome de sección `%s' descoñecido"
 
-#: locale/programs/ld-collate.c:3157
+#: locale/programs/ld-collate.c:3166
 #, c-format
 msgid "%s: multiple order definitions for section `%s'"
 msgstr "%s: definicións de orde múltiples na sección `%s'"
 
-#: locale/programs/ld-collate.c:3185
+#: locale/programs/ld-collate.c:3194
 #, c-format
 msgid "%s: invalid number of sorting rules"
 msgstr "%s: número non válido de regras de ordenación"
 
-#: locale/programs/ld-collate.c:3212
+#: locale/programs/ld-collate.c:3221
 #, c-format
 msgid "%s: multiple order definitions for unnamed section"
 msgstr "%s: hai varias definicións de orde para unha sección sen nome"
 
-#: locale/programs/ld-collate.c:3267 locale/programs/ld-collate.c:3397
-#: locale/programs/ld-collate.c:3760
+#: locale/programs/ld-collate.c:3276 locale/programs/ld-collate.c:3406
+#: locale/programs/ld-collate.c:3769
 #, c-format
 msgid "%s: missing `order_end' keyword"
 msgstr "%s: falla a palabra clave `order_end'"
 
-#: locale/programs/ld-collate.c:3330
+#: locale/programs/ld-collate.c:3339
 #, c-format
 msgid "%s: order for collating symbol %.*s not yet defined"
 msgstr "%s: a orde do símbolo de ordenación %.*s non está definida"
 
-#: locale/programs/ld-collate.c:3348
+#: locale/programs/ld-collate.c:3357
 #, c-format
 msgid "%s: order for collating element %.*s not yet defined"
 msgstr "%s: a orde do elemento de ordenación %.*s non está definida"
 
-#: locale/programs/ld-collate.c:3359
+#: locale/programs/ld-collate.c:3368
 #, c-format
 msgid "%s: cannot reorder after %.*s: symbol not known"
 msgstr "%s: non se pode reordenar despois de %.*s: símbolo descoñecido"
 
-#: locale/programs/ld-collate.c:3411 locale/programs/ld-collate.c:3772
+#: locale/programs/ld-collate.c:3420 locale/programs/ld-collate.c:3781
 #, c-format
 msgid "%s: missing `reorder-end' keyword"
 msgstr "%s: falla a palabra clave `reorder-end'"
 
-#: locale/programs/ld-collate.c:3445 locale/programs/ld-collate.c:3643
+#: locale/programs/ld-collate.c:3454 locale/programs/ld-collate.c:3652
 #, c-format
 msgid "%s: section `%.*s' not known"
 msgstr "%s: sección `%.*s' descoñecida"
 
-#: locale/programs/ld-collate.c:3510
+#: locale/programs/ld-collate.c:3519
 #, c-format
 msgid "%s: bad symbol <%.*s>"
 msgstr "%s: símbolo <%.*s> incorrecto"
 
-#: locale/programs/ld-collate.c:3706
+#: locale/programs/ld-collate.c:3715
 #, c-format
 msgid "%s: cannot have `%s' as end of ellipsis range"
 msgstr "%s: non se pode ter `%s' coma final dun rango de puntos suspensivos"
 
-#: locale/programs/ld-collate.c:3756
+#: locale/programs/ld-collate.c:3765
 #, c-format
 msgid "%s: empty category description not allowed"
 msgstr "%s: non se admite unha descrición de categoría baleira"
 
-#: locale/programs/ld-collate.c:3775
+#: locale/programs/ld-collate.c:3784
 #, c-format
 msgid "%s: missing `reorder-sections-end' keyword"
 msgstr "%s: falla a palabra clave `reorder-sections-end'"
 
-#: locale/programs/ld-collate.c:3939
+#: locale/programs/ld-collate.c:3948
 #, c-format
 msgid "%s: '%s' without matching 'ifdef' or 'ifndef'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3957
+#: locale/programs/ld-collate.c:3966
 #, c-format
 msgid "%s: 'endif' without matching 'ifdef' or 'ifndef'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:484
+#: locale/programs/ld-ctype.c:450
 #, c-format
 msgid "No character set name specified in charmap"
 msgstr "Non se especificou un nome de xogo de caracteres no mapa de caracteres"
 
-#: locale/programs/ld-ctype.c:513
+#: locale/programs/ld-ctype.c:479
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must be in class `%s'"
 msgstr "o carácter L'\\u%0*x' na clase `%s' debe estar na clase `%s'"
 
-#: locale/programs/ld-ctype.c:528
+#: locale/programs/ld-ctype.c:494
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must not be in class `%s'"
 msgstr "o carácter L'\\u%0*x' na clase `%s' non debe estar na clase `%s'"
 
-#: locale/programs/ld-ctype.c:542 locale/programs/ld-ctype.c:600
+#: locale/programs/ld-ctype.c:508 locale/programs/ld-ctype.c:566
 #, c-format
 msgid "internal error in %s, line %u"
 msgstr "erro interno en %s, liña %u"
 
-#: locale/programs/ld-ctype.c:571
+#: locale/programs/ld-ctype.c:537
 #, c-format
 msgid "character '%s' in class `%s' must be in class `%s'"
 msgstr "o carácter '%s' na clase `%s' debe estar na clase `%s'"
 
-#: locale/programs/ld-ctype.c:587
+#: locale/programs/ld-ctype.c:553
 #, c-format
 msgid "character '%s' in class `%s' must not be in class `%s'"
 msgstr "o carácter '%s' na clase `%s' non debe estar na clase `%s'"
 
-#: locale/programs/ld-ctype.c:617 locale/programs/ld-ctype.c:655
+#: locale/programs/ld-ctype.c:583 locale/programs/ld-ctype.c:621
 #, c-format
 msgid "<SP> character not in class `%s'"
 msgstr "O carácter <SP> non está na clase `%s'"
 
-#: locale/programs/ld-ctype.c:629 locale/programs/ld-ctype.c:666
+#: locale/programs/ld-ctype.c:595 locale/programs/ld-ctype.c:632
 #, c-format
 msgid "<SP> character must not be in class `%s'"
 msgstr "O carácter <SP> non debe estar na clase `%s'"
 
-#: locale/programs/ld-ctype.c:644
+#: locale/programs/ld-ctype.c:610
 #, c-format
 msgid "character <SP> not defined in character map"
 msgstr "carácter <SP> non definido no mapa de caracteres"
 
-#: locale/programs/ld-ctype.c:780
+#: locale/programs/ld-ctype.c:746
 #, c-format
 msgid "`digit' category has not entries in groups of ten"
 msgstr "a categoría `digit' non ten entradas en grupos de dez"
 
-#: locale/programs/ld-ctype.c:829
+#: locale/programs/ld-ctype.c:795
 #, c-format
 msgid "no input digits defined and none of the standard names in the charmap"
 msgstr "non se definiron díxitos de entrada e ningún dos nomes estándar do mapa de caracteres"
 
-#: locale/programs/ld-ctype.c:894
+#: locale/programs/ld-ctype.c:860
 #, c-format
 msgid "not all characters used in `outdigit' are available in the charmap"
 msgstr "non tódolos caracteres empregados en `outdigit' están dispoñibles no mapa de caracteres"
 
-#: locale/programs/ld-ctype.c:911
+#: locale/programs/ld-ctype.c:877
 #, c-format
 msgid "not all characters used in `outdigit' are available in the repertoire"
 msgstr "non tódolos caracteres empregados en `outdigit' están dispoñibles no repertorio"
 
-#: locale/programs/ld-ctype.c:1176
+#: locale/programs/ld-ctype.c:1142
 #, c-format
 msgid "character class `%s' already defined"
 msgstr "clase de caracteres `%s' xa definida"
 
-#: locale/programs/ld-ctype.c:1182
+#: locale/programs/ld-ctype.c:1148
 #, c-format
 msgid "implementation limit: no more than %Zd character classes allowed"
 msgstr "límite da implementación: non se admiten máis de %Zd clases de caracteres"
 
-#: locale/programs/ld-ctype.c:1208
+#: locale/programs/ld-ctype.c:1174
 #, c-format
 msgid "character map `%s' already defined"
 msgstr "mapa de caracteres `%s' xa definido"
 
-#: locale/programs/ld-ctype.c:1214
+#: locale/programs/ld-ctype.c:1180
 #, c-format
 msgid "implementation limit: no more than %d character maps allowed"
 msgstr "límite da implementación: non se admiten máis de %d mapas de caracteres"
 
-#: locale/programs/ld-ctype.c:1479 locale/programs/ld-ctype.c:1604
-#: locale/programs/ld-ctype.c:1710 locale/programs/ld-ctype.c:2400
-#: locale/programs/ld-ctype.c:3397
+#: locale/programs/ld-ctype.c:1445 locale/programs/ld-ctype.c:1570
+#: locale/programs/ld-ctype.c:1676 locale/programs/ld-ctype.c:2352
+#: locale/programs/ld-ctype.c:3324
 #, c-format
 msgid "%s: field `%s' does not contain exactly ten entries"
 msgstr "%s: o campo `%s' non contén exactamente dez entradas"
 
-#: locale/programs/ld-ctype.c:1507 locale/programs/ld-ctype.c:2081
+#: locale/programs/ld-ctype.c:1473 locale/programs/ld-ctype.c:2047
 #, c-format
 msgid "to-value <U%0*X> of range is smaller than from-value <U%0*X>"
 msgstr "o valor-a <U%0*X> do rango é menor có valor-dende <U%0*X>"
 
-#: locale/programs/ld-ctype.c:1634
+#: locale/programs/ld-ctype.c:1600
 msgid "start and end character sequence of range must have the same length"
 msgstr "as secuencias de caracteres do inicio e fin do rango deben te-la mesma lonxitude"
 
-#: locale/programs/ld-ctype.c:1641
+#: locale/programs/ld-ctype.c:1607
 msgid "to-value character sequence is smaller than from-value sequence"
 msgstr "a secuencia de caracteres do valor-a é menor cá secuencia do valor-dende"
 
-#: locale/programs/ld-ctype.c:2001 locale/programs/ld-ctype.c:2052
+#: locale/programs/ld-ctype.c:1967 locale/programs/ld-ctype.c:2018
 msgid "premature end of `translit_ignore' definition"
 msgstr "final prematura da definición `translit_ignore'"
 
-#: locale/programs/ld-ctype.c:2007 locale/programs/ld-ctype.c:2058
-#: locale/programs/ld-ctype.c:2100
+#: locale/programs/ld-ctype.c:1973 locale/programs/ld-ctype.c:2024
+#: locale/programs/ld-ctype.c:2066
 msgid "syntax error"
 msgstr "erro de sintaxe"
 
-#: locale/programs/ld-ctype.c:2233
+#: locale/programs/ld-ctype.c:2199
 #, c-format
 msgid "%s: syntax error in definition of new character class"
 msgstr "%s: erro de sintaxe na definición da nova clase de caracteres"
 
-#: locale/programs/ld-ctype.c:2248
+#: locale/programs/ld-ctype.c:2214
 #, c-format
 msgid "%s: syntax error in definition of new character map"
 msgstr "%s: erro de sintaxe na definición dun novo mapa de caracteres"
 
-#: locale/programs/ld-ctype.c:2422
+#: locale/programs/ld-ctype.c:2374
 msgid "ellipsis range must be marked by two operands of same type"
 msgstr "o rango de puntos suspensivos debe estar marcado por dous operandos do mesmo tipo"
 
-#: locale/programs/ld-ctype.c:2431
+#: locale/programs/ld-ctype.c:2383
 msgid "with symbolic name range values the absolute ellipsis `...' must not be used"
 msgstr "débense emprega-los puntos suspensivos absolutos `...' cos valores de rangos de nomes simbólicos"
 
-#: locale/programs/ld-ctype.c:2446
+#: locale/programs/ld-ctype.c:2398
 msgid "with UCS range values one must use the hexadecimal symbolic ellipsis `..'"
 msgstr "débense emprega-los puntos suspensivos simbólicos hexadecimais `...' cos valores de rangos UCS"
 
-#: locale/programs/ld-ctype.c:2460
+#: locale/programs/ld-ctype.c:2412
 msgid "with character code range values one must use the absolute ellipsis `...'"
 msgstr "débense emprega-los puntos suspensivos absolutos `...' cos valores de rangos de códigos de caracteres"
 
-#: locale/programs/ld-ctype.c:2611
+#: locale/programs/ld-ctype.c:2563
 #, c-format
 msgid "duplicated definition for mapping `%s'"
 msgstr "definición do mapeado `%s' duplicada"
 
-#: locale/programs/ld-ctype.c:2697 locale/programs/ld-ctype.c:2841
+#: locale/programs/ld-ctype.c:2649 locale/programs/ld-ctype.c:2793
 #, c-format
 msgid "%s: `translit_start' section does not end with `translit_end'"
 msgstr "%s: a sección `translit_start' non remata con `translit_end'"
 
-#: locale/programs/ld-ctype.c:2792
+#: locale/programs/ld-ctype.c:2744
 #, c-format
 msgid "%s: duplicate `default_missing' definition"
 msgstr "%s: definición de `default_missing' duplicada"
 
-#: locale/programs/ld-ctype.c:2797
+#: locale/programs/ld-ctype.c:2749
 msgid "previous definition was here"
 msgstr "a definición anterior estaba aquí"
 
-#: locale/programs/ld-ctype.c:2819
+#: locale/programs/ld-ctype.c:2771
 #, c-format
 msgid "%s: no representable `default_missing' definition found"
 msgstr "%s: non se atopou unha definición `default_missing' representable"
 
-#: locale/programs/ld-ctype.c:2962 locale/programs/ld-ctype.c:3059
-#: locale/programs/ld-ctype.c:3079 locale/programs/ld-ctype.c:3100
-#: locale/programs/ld-ctype.c:3121 locale/programs/ld-ctype.c:3142
-#: locale/programs/ld-ctype.c:3163 locale/programs/ld-ctype.c:3203
-#: locale/programs/ld-ctype.c:3224 locale/programs/ld-ctype.c:3289
-#: locale/programs/ld-ctype.c:3331 locale/programs/ld-ctype.c:3356
+#: locale/programs/ld-ctype.c:2889 locale/programs/ld-ctype.c:2986
+#: locale/programs/ld-ctype.c:3006 locale/programs/ld-ctype.c:3027
+#: locale/programs/ld-ctype.c:3048 locale/programs/ld-ctype.c:3069
+#: locale/programs/ld-ctype.c:3090 locale/programs/ld-ctype.c:3130
+#: locale/programs/ld-ctype.c:3151 locale/programs/ld-ctype.c:3216
+#: locale/programs/ld-ctype.c:3258 locale/programs/ld-ctype.c:3283
 #, c-format
 msgid "%s: character `%s' not defined while needed as default value"
 msgstr "%s: carácter `%s' non definido, cando facía falta por ser valor por omisión"
 
-#: locale/programs/ld-ctype.c:2967 locale/programs/ld-ctype.c:3064
-#: locale/programs/ld-ctype.c:3084 locale/programs/ld-ctype.c:3105
-#: locale/programs/ld-ctype.c:3126 locale/programs/ld-ctype.c:3147
-#: locale/programs/ld-ctype.c:3168 locale/programs/ld-ctype.c:3208
-#: locale/programs/ld-ctype.c:3229 locale/programs/ld-ctype.c:3294
+#: locale/programs/ld-ctype.c:2894 locale/programs/ld-ctype.c:2991
+#: locale/programs/ld-ctype.c:3011 locale/programs/ld-ctype.c:3032
+#: locale/programs/ld-ctype.c:3053 locale/programs/ld-ctype.c:3074
+#: locale/programs/ld-ctype.c:3095 locale/programs/ld-ctype.c:3135
+#: locale/programs/ld-ctype.c:3156 locale/programs/ld-ctype.c:3221
 #, c-format
 msgid "%s: character `%s' in charmap not representable with one byte"
 msgstr "%s: o carácter `%s' do mapa de caracteres non se pode representar cun só byte"
 
-#: locale/programs/ld-ctype.c:3338 locale/programs/ld-ctype.c:3363
+#: locale/programs/ld-ctype.c:3265 locale/programs/ld-ctype.c:3290
 #, c-format
 msgid "%s: character `%s' needed as default value not representable with one byte"
 msgstr "%s: o carácter `%s' que se precisa coma valor por defecto non se pode representar cun só byte"
 
-#: locale/programs/ld-ctype.c:3419
+#: locale/programs/ld-ctype.c:3346
 #, c-format
 msgid "no output digits defined and none of the standard names in the charmap"
 msgstr "non se definiron díxitos de saída e ningún dos nomes estándar do mapa de caracteres"
 
-#: locale/programs/ld-ctype.c:3668
+#: locale/programs/ld-ctype.c:3595
 #, c-format
 msgid "%s: transliteration data from locale `%s' not available"
 msgstr "%s: os datos de transliteración dende o locale `%s' non están dispoñibles"
 
-#: locale/programs/ld-ctype.c:3768
+#: locale/programs/ld-ctype.c:3695
 #, c-format
 msgid "%s: table for class \"%s\": %lu bytes\n"
 msgstr "%s: táboa para a clase \"%s\": %lu bytes\n"
 
-#: locale/programs/ld-ctype.c:3833
+#: locale/programs/ld-ctype.c:3760
 #, c-format
 msgid "%s: table for map \"%s\": %lu bytes\n"
 msgstr "%s: táboa para o mapa \"%s\": %lu bytes\n"
 
-#: locale/programs/ld-ctype.c:3958
+#: locale/programs/ld-ctype.c:3885
 #, c-format
 msgid "%s: table for width: %lu bytes\n"
 msgstr "%s: táboa para o ancho: %lu bytes\n"
@@ -3878,17 +3867,23 @@ msgstr ""
 msgid " (first)"
 msgstr ""
 
-#: nscd/cache.c:285 nscd/connections.c:1000
+#: nscd/cache.c:288
+#, fuzzy, c-format
+#| msgid "cannot open database file `%s': %s"
+msgid "checking for monitored file `%s': %s"
+msgstr "non se pode abri-lo ficheiro de bases de datos `%s': %s"
+
+#: nscd/cache.c:298
 #, c-format
-msgid "cannot stat() file `%s': %s"
-msgstr "non se pode facer stat() sobre o ficheiro `%s': %s"
+msgid "monitored file `%s` changed (mtime)"
+msgstr ""
 
-#: nscd/cache.c:331
+#: nscd/cache.c:341
 #, c-format
 msgid "pruning %s cache; time %ld"
 msgstr ""
 
-#: nscd/cache.c:360
+#: nscd/cache.c:370
 #, c-format
 msgid "considering %s entry \"%s\", timeout %<PRIu64>"
 msgstr ""
@@ -3988,159 +3983,221 @@ msgstr "non se pode facer que o socket acepte conexións: %s"
 msgid "cannot enable socket to accept connections: %s"
 msgstr "non se pode facer que o socket acepte conexións: %s"
 
-#: nscd/connections.c:984
+#: nscd/connections.c:973
+#, c-format
+msgid "disabled inotify-based monitoring for file `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:977
+#, c-format
+msgid "monitoring file `%s` (%d)"
+msgstr ""
+
+#: nscd/connections.c:990
+#, c-format
+msgid "disabled inotify-based monitoring for directory `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:994
+#, fuzzy, c-format
+#| msgid "Can't open directory %s"
+msgid "monitoring directory `%s` (%d)"
+msgstr "Non se puido abri-lo directorio %s"
+
+#: nscd/connections.c:1022
+#, c-format
+msgid "monitoring file %s for database %s"
+msgstr ""
+
+#: nscd/connections.c:1032
 #, c-format
-msgid "register trace file %s for database %s"
+msgid "stat failed for file `%s'; will try again later: %s"
 msgstr ""
 
-#: nscd/connections.c:1114
+#: nscd/connections.c:1151
 #, c-format
 msgid "provide access to FD %d, for %s"
 msgstr ""
 
-#: nscd/connections.c:1126
+#: nscd/connections.c:1163
 #, c-format
 msgid "cannot handle old request version %d; current version is %d"
 msgstr "non se pode manexa-la antiga petición versión %d; a versión actual é %d"
 
-#: nscd/connections.c:1148
+#: nscd/connections.c:1185
 #, c-format
 msgid "request from %ld not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1153
+#: nscd/connections.c:1190
 #, c-format
 msgid "request from '%s' [%ld] not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1158
+#: nscd/connections.c:1195
 msgid "request not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1196 nscd/connections.c:1249
+#: nscd/connections.c:1233 nscd/connections.c:1286
 #, c-format
 msgid "cannot write result: %s"
 msgstr "non se pode escribi-lo resultado: %s"
 
-#: nscd/connections.c:1340
+#: nscd/connections.c:1377
 #, fuzzy, c-format
 #| msgid "error getting callers id: %s"
 msgid "error getting caller's id: %s"
 msgstr "erro ao obte-lo identificador do chamante: %s"
 
-#: nscd/connections.c:1400
+#: nscd/connections.c:1437
 #, c-format
 msgid "cannot open /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1414
+#: nscd/connections.c:1451
 #, c-format
 msgid "cannot read /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1454
+#: nscd/connections.c:1491
 #, c-format
 msgid "cannot change to old UID: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1464
+#: nscd/connections.c:1501
 #, c-format
 msgid "cannot change to old GID: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1477
+#: nscd/connections.c:1514
 #, c-format
 msgid "cannot change to old working directory: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1523
+#: nscd/connections.c:1560
 #, c-format
 msgid "re-exec failed: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1532
+#: nscd/connections.c:1569
 #, c-format
 msgid "cannot change current working directory to \"/\": %s"
 msgstr ""
 
-#: nscd/connections.c:1725
+#: nscd/connections.c:1762
 #, c-format
 msgid "short read while reading request: %s"
 msgstr "lectura demasiado curta ao le-la petición: %s"
 
-#: nscd/connections.c:1758
+#: nscd/connections.c:1795
 #, c-format
 msgid "key length in request too long: %d"
 msgstr "lonxitude da clave da petición demasiado grande: %d"
 
-#: nscd/connections.c:1771
+#: nscd/connections.c:1808
 #, c-format
 msgid "short read while reading request key: %s"
 msgstr "lectura demasiado curta ao le-la clave de petición: %s"
 
-#: nscd/connections.c:1781
+#: nscd/connections.c:1818
 #, fuzzy, c-format
 #| msgid "handle_request: request received (Version = %d)"
 msgid "handle_request: request received (Version = %d) from PID %ld"
 msgstr "handle_request: petición recibida (Version = %d)"
 
-#: nscd/connections.c:1786
+#: nscd/connections.c:1823
 #, c-format
 msgid "handle_request: request received (Version = %d)"
 msgstr "handle_request: petición recibida (Version = %d)"
 
-#: nscd/connections.c:2050 nscd/connections.c:2252
+#: nscd/connections.c:1963
+#, c-format
+msgid "ignored inotify event for `%s` (file exists)"
+msgstr ""
+
+#: nscd/connections.c:1968
+#, c-format
+msgid "monitored file `%s` was %s, removing watch"
+msgstr ""
+
+#: nscd/connections.c:1976 nscd/connections.c:2018
+#, c-format
+msgid "failed to remove file watch `%s`: %s"
+msgstr ""
+
+#: nscd/connections.c:1991
+#, c-format
+msgid "monitored file `%s` was written to"
+msgstr ""
+
+#: nscd/connections.c:2015
+#, c-format
+msgid "monitored parent directory `%s` was %s, removing watch on `%s`"
+msgstr ""
+
+#: nscd/connections.c:2041
 #, c-format
-msgid "disabled inotify after read error %d"
+msgid "monitored file `%s` was %s, adding watch"
 msgstr ""
 
-#: nscd/connections.c:2375
+#: nscd/connections.c:2053
+#, fuzzy, c-format
+#| msgid "failed to load shared object `%s'"
+msgid "failed to add file watch `%s`: %s"
+msgstr "non se puido carga-lo obxecto compartido `%s'"
+
+#: nscd/connections.c:2247 nscd/connections.c:2428
+#, c-format
+msgid "disabled inotify-based monitoring after read error %d"
+msgstr ""
+
+#: nscd/connections.c:2543
 #, fuzzy
 #| msgid "cannot initialize archive file"
 msgid "could not initialize conditional variable"
 msgstr "non se pode inicializa-lo ficheiro de arquivo"
 
-#: nscd/connections.c:2383
+#: nscd/connections.c:2551
 msgid "could not start clean-up thread; terminating"
 msgstr ""
 
-#: nscd/connections.c:2397
+#: nscd/connections.c:2565
 msgid "could not start any worker thread; terminating"
 msgstr ""
 
-#: nscd/connections.c:2452 nscd/connections.c:2454 nscd/connections.c:2470
-#: nscd/connections.c:2480 nscd/connections.c:2498 nscd/connections.c:2509
-#: nscd/connections.c:2519
+#: nscd/connections.c:2620 nscd/connections.c:2622 nscd/connections.c:2638
+#: nscd/connections.c:2648 nscd/connections.c:2666 nscd/connections.c:2677
+#: nscd/connections.c:2687
 #, c-format
 msgid "Failed to run nscd as user '%s'"
 msgstr "Non se puido executar nscd coma o usuario '%s'"
 
-#: nscd/connections.c:2472
+#: nscd/connections.c:2640
 #, fuzzy
 #| msgid "getgrouplist failed"
 msgid "initial getgrouplist failed"
 msgstr "fallou a chamada a getgrouplist"
 
-#: nscd/connections.c:2481
+#: nscd/connections.c:2649
 msgid "getgrouplist failed"
 msgstr "fallou a chamada a getgrouplist"
 
-#: nscd/connections.c:2499
+#: nscd/connections.c:2667
 msgid "setgroups failed"
 msgstr "fallou a chamada a setgroups"
 
-#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:410
+#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:411
 #: nscd/pwdcache.c:383 nscd/servicescache.c:338
 #, c-format
 msgid "short write in %s: %s"
 msgstr "escritura demasiado curta en %s: %s"
 
-#: nscd/grpcache.c:450 nscd/initgrcache.c:77
+#: nscd/grpcache.c:450 nscd/initgrcache.c:78
 #, c-format
 msgid "Haven't found \"%s\" in group cache!"
 msgstr "¡Non atopei \"%s\" na caché de grupos!"
 
-#: nscd/grpcache.c:452 nscd/initgrcache.c:79
+#: nscd/grpcache.c:452 nscd/initgrcache.c:80
 #, fuzzy, c-format
 #| msgid "Haven't found \"%s\" in group cache!"
 msgid "Reloading \"%s\" in group cache!"
@@ -4236,7 +4293,7 @@ msgstr "Usar unha caché separada para cada usuario"
 msgid "Name Service Cache Daemon."
 msgstr "Demo de Cache de Servicio de Nomes."
 
-#: nscd/nscd.c:155 nss/getent.c:1003 nss/makedb.c:206
+#: nscd/nscd.c:155 nss/getent.c:1007 nss/makedb.c:206
 #, c-format
 msgid "wrong number of arguments"
 msgstr "número de parámetros incorrecto"
@@ -4274,7 +4331,7 @@ msgstr ""
 msgid "Could not create log file"
 msgstr "Non se puido crea-lo ficheiro de rexistro \"%s\""
 
-#: nscd/nscd.c:355 nscd/nscd_stat.c:192
+#: nscd/nscd.c:355 nscd/nscd_stat.c:194
 #, c-format
 msgid "write incomplete"
 msgstr "escritura incompleta"
@@ -4291,7 +4348,7 @@ msgstr "non se pode le-los datos do ficheiro"
 msgid "invalidation failed"
 msgstr "Fallo ao modificar"
 
-#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:173
+#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:175
 #, c-format
 msgid "Only root is allowed to use this option!"
 msgstr "¡Só root pode usar esa opción!"
@@ -4377,36 +4434,36 @@ msgstr ""
 msgid "maximum file size for %s database too small"
 msgstr ""
 
-#: nscd/nscd_stat.c:142
+#: nscd/nscd_stat.c:144
 #, c-format
 msgid "cannot write statistics: %s"
 msgstr "non se poden escribi-las estatísticas: %s"
 
-#: nscd/nscd_stat.c:157
+#: nscd/nscd_stat.c:159
 msgid "yes"
 msgstr ""
 
-#: nscd/nscd_stat.c:158
+#: nscd/nscd_stat.c:160
 msgid "no"
 msgstr ""
 
-#: nscd/nscd_stat.c:169
+#: nscd/nscd_stat.c:171
 #, fuzzy, c-format
 #| msgid "Only root is allowed to use this option!"
 msgid "Only root or %s is allowed to use this option!"
 msgstr "¡Só root pode usar esa opción!"
 
-#: nscd/nscd_stat.c:180
+#: nscd/nscd_stat.c:182
 #, c-format
 msgid "nscd not running!\n"
 msgstr "¡Non se está a executar nscd!\n"
 
-#: nscd/nscd_stat.c:204
+#: nscd/nscd_stat.c:206
 #, c-format
 msgid "cannot read statistics data"
 msgstr "non se poden le-los datos estatísticos"
 
-#: nscd/nscd_stat.c:207
+#: nscd/nscd_stat.c:209
 #, c-format
 msgid ""
 "nscd configuration:\n"
@@ -4417,27 +4474,27 @@ msgstr ""
 "\n"
 "%15d  nivel de depuración do servidor\n"
 
-#: nscd/nscd_stat.c:231
+#: nscd/nscd_stat.c:233
 #, c-format
 msgid "%3ud %2uh %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:234
+#: nscd/nscd_stat.c:236
 #, c-format
 msgid "    %2uh %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:236
+#: nscd/nscd_stat.c:238
 #, c-format
 msgid "        %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:238
+#: nscd/nscd_stat.c:240
 #, c-format
 msgid "            %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:240
+#: nscd/nscd_stat.c:242
 #, c-format
 msgid ""
 "%15d  current number of threads\n"
@@ -4448,7 +4505,7 @@ msgid ""
 "%15u  reload count\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:275
+#: nscd/nscd_stat.c:277
 #, fuzzy, c-format
 #| msgid ""
 #| "\n"
@@ -4519,95 +4576,95 @@ msgstr "¡Non atopei \"%s\" na caché de contrasinais!"
 msgid "Invalid numeric uid \"%s\"!"
 msgstr "¡Identificación numérica de usuario \"%s\" non válida!"
 
-#: nscd/selinux.c:155
+#: nscd/selinux.c:154
 #, c-format
 msgid "Failed opening connection to the audit subsystem: %m"
 msgstr ""
 
-#: nscd/selinux.c:176
+#: nscd/selinux.c:175
 msgid "Failed to set keep-capabilities"
 msgstr ""
 
-#: nscd/selinux.c:177 nscd/selinux.c:240
+#: nscd/selinux.c:176 nscd/selinux.c:239
 msgid "prctl(KEEPCAPS) failed"
 msgstr ""
 
-#: nscd/selinux.c:191
+#: nscd/selinux.c:190
 msgid "Failed to initialize drop of capabilities"
 msgstr ""
 
-#: nscd/selinux.c:192
+#: nscd/selinux.c:191
 #, fuzzy
 #| msgid "lstat failed"
 msgid "cap_init failed"
 msgstr "fallou a chamada a lstat"
 
-#: nscd/selinux.c:213 nscd/selinux.c:230
+#: nscd/selinux.c:212 nscd/selinux.c:229
 msgid "Failed to drop capabilities"
 msgstr ""
 
-#: nscd/selinux.c:214 nscd/selinux.c:231
+#: nscd/selinux.c:213 nscd/selinux.c:230
 #, fuzzy
 #| msgid "setgroups failed"
 msgid "cap_set_proc failed"
 msgstr "fallou a chamada a setgroups"
 
-#: nscd/selinux.c:239
+#: nscd/selinux.c:238
 msgid "Failed to unset keep-capabilities"
 msgstr ""
 
-#: nscd/selinux.c:255
+#: nscd/selinux.c:254
 msgid "Failed to determine if kernel supports SELinux"
 msgstr ""
 
-#: nscd/selinux.c:270
+#: nscd/selinux.c:269
 msgid "Failed to start AVC thread"
 msgstr ""
 
-#: nscd/selinux.c:292
+#: nscd/selinux.c:291
 #, fuzzy
 #| msgid "Unable to create callback"
 msgid "Failed to create AVC lock"
 msgstr "Non se pode crea-lo callback"
 
-#: nscd/selinux.c:332
+#: nscd/selinux.c:331
 msgid "Failed to start AVC"
 msgstr ""
 
-#: nscd/selinux.c:334
+#: nscd/selinux.c:333
 msgid "Access Vector Cache (AVC) started"
 msgstr ""
 
-#: nscd/selinux.c:369
+#: nscd/selinux.c:368
 msgid "Error querying policy for undefined object classes or permissions."
 msgstr ""
 
-#: nscd/selinux.c:376
+#: nscd/selinux.c:375
 msgid "Error getting security class for nscd."
 msgstr ""
 
-#: nscd/selinux.c:381
+#: nscd/selinux.c:380
 #, c-format
 msgid "Error translating permission name \"%s\" to access vector bit."
 msgstr ""
 
-#: nscd/selinux.c:391
+#: nscd/selinux.c:390
 msgid "Error getting context of socket peer"
 msgstr ""
 
-#: nscd/selinux.c:396
+#: nscd/selinux.c:395
 #, fuzzy
 #| msgid "error getting callers id: %s"
 msgid "Error getting context of nscd"
 msgstr "erro ao obte-lo identificador do chamante: %s"
 
-#: nscd/selinux.c:402
+#: nscd/selinux.c:401
 #, fuzzy
 #| msgid "Error writing standard output"
 msgid "Error getting sid from context"
 msgstr "Erro ao escribir na saída estándar"
 
-#: nscd/selinux.c:440
+#: nscd/selinux.c:439
 #, c-format
 msgid ""
 "\n"
@@ -4662,19 +4719,19 @@ msgstr "getent - obte-las entradas da base de datos administrativa."
 msgid "Enumeration not supported on %s\n"
 msgstr "A enumeración non está soportada en %s\n"
 
-#: nss/getent.c:917
+#: nss/getent.c:921
 #, fuzzy, c-format
 #| msgid "Unknown database: %s\n"
 msgid "Unknown database name"
 msgstr "Base de datos descoñecida: %s\n"
 
-#: nss/getent.c:947
+#: nss/getent.c:951
 #, fuzzy
 #| msgid "Supported databases:"
 msgid "Supported databases:\n"
 msgstr "Bases de datos soportadas:"
 
-#: nss/getent.c:1013
+#: nss/getent.c:1017
 #, c-format
 msgid "Unknown database: %s\n"
 msgstr "Base de datos descoñecida: %s\n"
@@ -4970,7 +5027,7 @@ msgstr ") ou \\) sen parella"
 msgid "No previous regular expression"
 msgstr "Non hai unha expresión regular precedente"
 
-#: posix/wordexp.c:1844
+#: posix/wordexp.c:1851
 msgid "parameter null or not set"
 msgstr "parámetro nulo ou non estabrecido"
 
@@ -7743,6 +7800,9 @@ msgstr "%s: Non se pode crea-lo directorio %s: %s\n"
 #~ msgid "while allocating hash table entry"
 #~ msgstr "ao reservar espacio para a entrada da táboa hash"
 
+#~ msgid "cannot stat() file `%s': %s"
+#~ msgstr "non se pode facer stat() sobre o ficheiro `%s': %s"
+
 #~ msgid "Cannot run nscd in secure mode as unprivileged user"
 #~ msgstr "Non se pode executar nscd en modo seguro coma usuario non privilexiado"
 
@@ -7782,6 +7842,9 @@ msgstr "%s: Non se pode crea-lo directorio %s: %s\n"
 #~ msgid "shared object cannot be dlopen()ed: static TLS memory too small"
 #~ msgstr "non se pode facer dlopen() sobre o obxecto compartido: a memoria TLS estática é pequena de máis"
 
+#~ msgid "%s: profiler found no PLTREL in object %s\n"
+#~ msgstr "%s: o perfilador non atopou PLTREL no obxecto %s\n"
+
 #~ msgid "%s: profiler out of memory shadowing PLTREL of %s\n"
 #~ msgstr "%s: o perfilador esgotou a memoria sombreando o PLTREL de %s\n"
 
@@ -7827,6 +7890,9 @@ msgstr "%s: Non se pode crea-lo directorio %s: %s\n"
 #~ msgid "XCHS"
 #~ msgstr "XCHS"
 
+#~ msgid "cannot load shared object file"
+#~ msgstr "non se pode carga-lo ficheiro de obxecto compartido"
+
 #~ msgid "fcntl: F_SETFD"
 #~ msgstr "fcntl: F_SETFD"
 
diff --git a/po/hr.po b/po/hr.po
index a341cee..c44399c 100644
--- a/po/hr.po
+++ b/po/hr.po
@@ -7,7 +7,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: libc 2.17-pre1\n"
-"POT-Creation-Date: 2015-01-20 22:14-0500\n"
+"POT-Creation-Date: 2015-07-31 00:10-0400\n"
 "PO-Revision-Date: 2012-12-20 22:34+0100\n"
 "Last-Translator: Tomislav Krznar <tomislav.krznar@gmail.com>\n"
 "Language-Team: Croatian <lokalizacija@linux.hr>\n"
@@ -143,10 +143,10 @@ msgstr ""
 "[IZLAZNA-DATOTEKA [ULAZNA-DATOTEKA]...]"
 
 #: catgets/gencat.c:229 debug/pcprofiledump.c:209 elf/ldconfig.c:307
-#: elf/pldd.c:244 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
+#: elf/pldd.c:252 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
 #: iconv/iconvconfig.c:379 locale/programs/locale.c:277
 #: locale/programs/localedef.c:376 login/programs/pt_chown.c:88
-#: malloc/memusagestat.c:563 nss/getent.c:969 nss/makedb.c:369
+#: malloc/memusagestat.c:563 nss/getent.c:973 nss/makedb.c:369
 #: posix/getconf.c:486 sunrpc/rpcinfo.c:691
 #: sysdeps/unix/sysv/linux/lddlibc4.c:61
 #, c-format
@@ -158,7 +158,7 @@ msgstr ""
 "%s.\n"
 
 #: catgets/gencat.c:245 debug/pcprofiledump.c:225 debug/xtrace.sh:64
-#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:260 elf/sotruss.sh:75
+#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:268 elf/sotruss.sh:75
 #: elf/sprof.c:389 iconv/iconv_prog.c:425 iconv/iconvconfig.c:396
 #: locale/programs/locale.c:294 locale/programs/localedef.c:402
 #: login/programs/pt_chown.c:62 malloc/memusage.sh:71
@@ -175,7 +175,7 @@ msgstr ""
 "čak ni za TRGOVINSKU PRIKLADNOST ili ODGOVARANJE ODREĐENOJ SVRSI.\n"
 
 #: catgets/gencat.c:250 debug/pcprofiledump.c:230 debug/xtrace.sh:68
-#: elf/ldconfig.c:328 elf/pldd.c:265 elf/sprof.c:395 iconv/iconv_prog.c:430
+#: elf/ldconfig.c:328 elf/pldd.c:273 elf/sprof.c:395 iconv/iconv_prog.c:430
 #: iconv/iconvconfig.c:401 locale/programs/locale.c:299
 #: locale/programs/localedef.c:407 malloc/memusage.sh:75
 #: malloc/memusagestat.c:586 nscd/nscd.c:514 nss/getent.c:91 nss/makedb.c:390
@@ -429,11 +429,11 @@ msgstr "Promjena pristupnih dozvola %s u %#o nije uspjela"
 msgid "Renaming of %s to %s failed"
 msgstr "Preimenovanje %s u %s nije uspjelo"
 
-#: elf/dl-close.c:385 elf/dl-open.c:470
+#: elf/dl-close.c:396 elf/dl-open.c:478
 msgid "cannot create scope list"
 msgstr "ne mogu napraviti popis područja"
 
-#: elf/dl-close.c:770
+#: elf/dl-close.c:816
 msgid "shared object not open"
 msgstr "dijeljeni objekt nije otvoren"
 
@@ -506,127 +506,127 @@ msgstr "ne mogu napraviti polje putanja pretraživanja"
 msgid "cannot stat shared object"
 msgstr "ne mogu izvršiti stat na dijeljenom objektu"
 
-#: elf/dl-load.c:963
+#: elf/dl-load.c:962
 msgid "cannot open zero fill device"
 msgstr "ne mogu otvoriti neispunjeni uređaj"
 
-#: elf/dl-load.c:1010 elf/dl-load.c:2165
+#: elf/dl-load.c:1009 elf/dl-load.c:2159
 msgid "cannot create shared object descriptor"
 msgstr "ne mogu napraviti opisnik dijeljenog objekta"
 
-#: elf/dl-load.c:1029 elf/dl-load.c:1570 elf/dl-load.c:1682
+#: elf/dl-load.c:1028 elf/dl-load.c:1568 elf/dl-load.c:1680
 msgid "cannot read file data"
 msgstr "ne mogu pročitati podatke datoteke"
 
-#: elf/dl-load.c:1069
+#: elf/dl-load.c:1068
 msgid "ELF load command alignment not page-aligned"
 msgstr "ELF load naredba nije poravnata sa stranicom"
 
-#: elf/dl-load.c:1076
+#: elf/dl-load.c:1075
 msgid "ELF load command address/offset not properly aligned"
 msgstr "Adresa/pomak ELF load naredbe nema pravilno poravnanje"
 
-#: elf/dl-load.c:1160
+#: elf/dl-load.c:1159
 msgid "cannot allocate TLS data structures for initial thread"
 msgstr "ne mogu alocirati TLS podatkovne strukture za početnu dretvu"
 
-#: elf/dl-load.c:1183
+#: elf/dl-load.c:1182
 msgid "cannot handle TLS data"
 msgstr "ne mogu raditi s TLS podacima"
 
-#: elf/dl-load.c:1202
+#: elf/dl-load.c:1201
 msgid "object file has no loadable segments"
 msgstr "datoteka objekta nema učitljive segmente"
 
-#: elf/dl-load.c:1211 elf/dl-load.c:1662
+#: elf/dl-load.c:1210 elf/dl-load.c:1660
 msgid "cannot dynamically load executable"
 msgstr "ne mogu dinamički učitati izvršnu datoteku"
 
-#: elf/dl-load.c:1232
+#: elf/dl-load.c:1231
 msgid "object file has no dynamic section"
 msgstr "datoteka objekta nema dinamički odjeljak"
 
-#: elf/dl-load.c:1255
+#: elf/dl-load.c:1254
 msgid "shared object cannot be dlopen()ed"
 msgstr "dijeljeni objekt se ne može otvoriti s dlopen()"
 
-#: elf/dl-load.c:1268
+#: elf/dl-load.c:1267
 msgid "cannot allocate memory for program header"
 msgstr "ne mogu alocirati memoriju za zaglavlje programa"
 
-#: elf/dl-load.c:1284 elf/dl-open.c:195
+#: elf/dl-load.c:1283 elf/dl-open.c:195
 msgid "invalid caller"
 msgstr "neispravan pozivatelj"
 
-#: elf/dl-load.c:1307 elf/dl-load.h:130
+#: elf/dl-load.c:1306 elf/dl-load.h:130
 msgid "cannot change memory protections"
 msgstr "ne mogu promijeniti zaštite memorije"
 
-#: elf/dl-load.c:1327
+#: elf/dl-load.c:1326
 msgid "cannot enable executable stack as shared object requires"
 msgstr "ne mogu omogućiti izvršni stog, što zahtijeva dijeljeni objekt"
 
-#: elf/dl-load.c:1340
+#: elf/dl-load.c:1339
 msgid "cannot close file descriptor"
 msgstr "ne mogu zatvoriti opisnik datoteke"
 
-#: elf/dl-load.c:1570
+#: elf/dl-load.c:1568
 msgid "file too short"
 msgstr "datoteka je prekratka"
 
-#: elf/dl-load.c:1605
+#: elf/dl-load.c:1603
 msgid "invalid ELF header"
 msgstr "neispravno ELF zaglavlje"
 
-#: elf/dl-load.c:1617
+#: elf/dl-load.c:1615
 msgid "ELF file data encoding not big-endian"
 msgstr "Kodiranje podataka ELF datoteke nije „big-endian”"
 
-#: elf/dl-load.c:1619
+#: elf/dl-load.c:1617
 msgid "ELF file data encoding not little-endian"
 msgstr "Kodiranje podataka ELF datoteke nije „little-endian”"
 
-#: elf/dl-load.c:1623
+#: elf/dl-load.c:1621
 msgid "ELF file version ident does not match current one"
 msgstr "Identifikator inačice ELF datoteke ne odgovara trenutnom"
 
-#: elf/dl-load.c:1627
+#: elf/dl-load.c:1625
 msgid "ELF file OS ABI invalid"
 msgstr "OS ABI ELF datoteke nije ispravan"
 
-#: elf/dl-load.c:1630
+#: elf/dl-load.c:1628
 msgid "ELF file ABI version invalid"
 msgstr "ABI inačica ELF datoteke nije ispravna"
 
-#: elf/dl-load.c:1633
+#: elf/dl-load.c:1631
 msgid "nonzero padding in e_ident"
 msgstr "Popunjavanje u e_ident nije nula"
 
-#: elf/dl-load.c:1636
+#: elf/dl-load.c:1634
 msgid "internal error"
 msgstr "interna greška"
 
-#: elf/dl-load.c:1643
+#: elf/dl-load.c:1641
 msgid "ELF file version does not match current one"
 msgstr "Inačica ELF datoteke ne odgovara trenutnoj"
 
-#: elf/dl-load.c:1651
+#: elf/dl-load.c:1649
 msgid "only ET_DYN and ET_EXEC can be loaded"
 msgstr "samo ET_DYN i ET_EXEC se mogu učitati"
 
-#: elf/dl-load.c:1667
+#: elf/dl-load.c:1665
 msgid "ELF file's phentsize not the expected size"
 msgstr "phentsize ELF datoteke nije očekivane veličine"
 
-#: elf/dl-load.c:2184
+#: elf/dl-load.c:2178
 msgid "wrong ELF class: ELFCLASS64"
 msgstr "neispravan ELF razred: ELFCLASS64"
 
-#: elf/dl-load.c:2185
+#: elf/dl-load.c:2179
 msgid "wrong ELF class: ELFCLASS32"
 msgstr "neispravan ELF razred: ELFCLASS32"
 
-#: elf/dl-load.c:2188
+#: elf/dl-load.c:2182
 msgid "cannot open shared object file"
 msgstr "ne mogu otvoriti datoteku dijeljenog objekta"
 
@@ -638,11 +638,11 @@ msgstr "nisam uspio pridružiti segment iz dijeljenog objekta"
 msgid "cannot map zero-fill pages"
 msgstr "ne mogu pridružiti neispunjene stranice"
 
-#: elf/dl-lookup.c:791
+#: elf/dl-lookup.c:845
 msgid "relocation error"
 msgstr "greška premještanja"
 
-#: elf/dl-lookup.c:818
+#: elf/dl-lookup.c:872
 msgid "symbol lookup error"
 msgstr "greška traženja simbola"
 
@@ -650,49 +650,40 @@ msgstr "greška traženja simbola"
 msgid "cannot extend global scope"
 msgstr "ne mogu proširiti globalno područje"
 
-#: elf/dl-open.c:520
+#: elf/dl-open.c:528
 msgid "TLS generation counter wrapped!  Please report this."
 msgstr "Omatanje brojača TLS stvaranja! Molim prijavite ovo."
 
-#: elf/dl-open.c:542
-msgid "cannot load any more object with static TLS"
-msgstr "ne mogu učitati više objekata sa statičkim TLS-om"
-
-#: elf/dl-open.c:599
+#: elf/dl-open.c:592
 msgid "invalid mode for dlopen()"
 msgstr "neispravan mod za dlopen()"
 
-#: elf/dl-open.c:616
+#: elf/dl-open.c:609
 msgid "no more namespaces available for dlmopen()"
 msgstr "nema više prostora imena dostupnih za dlmopen()"
 
-#: elf/dl-open.c:634
+#: elf/dl-open.c:633
 msgid "invalid target namespace in dlmopen()"
 msgstr "neispravan odredišni prostor imena u dlopen()"
 
-#: elf/dl-reloc.c:120
+#: elf/dl-reloc.c:121
 msgid "cannot allocate memory in static TLS block"
 msgstr "ne mogu alocirati memoriju u statičkom TLS bloku"
 
-#: elf/dl-reloc.c:212
+#: elf/dl-reloc.c:206
 msgid "cannot make segment writable for relocation"
 msgstr "ne mogu pretvoriti segment u zapisiv za premještanje"
 
-#: elf/dl-reloc.c:275
-#, c-format
-msgid "%s: no PLTREL found in object %s\n"
-msgstr "%s: u objektu %s nije nađen PLTREL\n"
-
-#: elf/dl-reloc.c:290
+#: elf/dl-reloc.c:276
 #, c-format
 msgid "%s: out of memory to store relocation results for %s\n"
 msgstr "%s: nema dovoljno memorije za spremanje rezultata premještanja za %s\n"
 
-#: elf/dl-reloc.c:306
+#: elf/dl-reloc.c:292
 msgid "cannot restore segment prot after reloc"
 msgstr "ne mogu obnoviti zaštitu segmenta nakon premještanja"
 
-#: elf/dl-reloc.c:335
+#: elf/dl-reloc.c:323
 msgid "cannot apply additional memory protection after relocation"
 msgstr "ne mogu primijeniti dodatnu zaštitu memorije nakon premještanja"
 
@@ -700,7 +691,7 @@ msgstr "ne mogu primijeniti dodatnu zaštitu memorije nakon premještanja"
 msgid "RTLD_NEXT used in code not dynamically loaded"
 msgstr "RTLD_NEXT korišten u kodu se ne učitava dinamički"
 
-#: elf/dl-tls.c:933
+#: elf/dl-tls.c:934
 msgid "cannot create TLS data structures"
 msgstr "ne mogu napraviti TLS podatkovne strukture"
 
@@ -844,7 +835,7 @@ msgstr "Veza nije stvorena jer nije pronađen soname za %s"
 msgid "Can't open directory %s"
 msgstr "Ne mogu otvoriti direktorij %s"
 
-#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:90
+#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:97
 #, c-format
 msgid "Input file %s not found.\n"
 msgstr "Ulazna datoteka %s nije pronađena.\n"
@@ -975,7 +966,7 @@ msgstr "nedostaju argumenti datoteke"
 msgid "No such file or directory"
 msgstr "Nema takve datoteke ili direktorija"
 
-#: elf/ldd.bash.in:150 inet/rcmd.c:488
+#: elf/ldd.bash.in:150 inet/rcmd.c:492
 msgid "not regular file"
 msgstr "nije obična datoteka"
 
@@ -1020,65 +1011,71 @@ msgstr "ne mogu pročitati r_debug"
 msgid "cannot read program interpreter"
 msgstr "ne mogu pročitati interpreter programa"
 
-#: elf/pldd-xx.c:196
+#: elf/pldd-xx.c:197
 #, c-format
 msgid "cannot read link map"
 msgstr "ne mogu čitati mapu veza"
 
-#: elf/pldd-xx.c:207
+#: elf/pldd-xx.c:209
 #, c-format
 msgid "cannot read object name"
 msgstr "ne mogu pročitati ime objekta"
 
-#: elf/pldd.c:63
+#: elf/pldd-xx.c:219
+#, fuzzy, c-format
+#| msgid "cannot allocate memory for program header"
+msgid "cannot allocate buffer for object name"
+msgstr "ne mogu alocirati memoriju za zaglavlje programa"
+
+#: elf/pldd.c:64
 msgid "List dynamic shared objects loaded into process."
 msgstr "Ispiši dinamičke dijeljene objekte učitane u proces."
 
-#: elf/pldd.c:67
+#: elf/pldd.c:68
 msgid "PID"
 msgstr "PID"
 
-#: elf/pldd.c:99
+#: elf/pldd.c:100
 #, c-format
 msgid "Exactly one parameter with process ID required.\n"
 msgstr "Potreban je točno jedan parametar s identifikatorom procesa.\n"
 
-#: elf/pldd.c:111
+#: elf/pldd.c:112
 #, c-format
 msgid "invalid process ID '%s'"
 msgstr "neispravan identifikator procesa „%s”"
 
-#: elf/pldd.c:119
+#: elf/pldd.c:120
 #, c-format
 msgid "cannot open %s"
 msgstr "ne mogu otvoriti %s"
 
-#: elf/pldd.c:144
+#: elf/pldd.c:152
 #, c-format
 msgid "cannot open %s/task"
 msgstr "ne mogu otvoriti %s/task"
 
-#: elf/pldd.c:147
+#: elf/pldd.c:155
 #, c-format
 msgid "cannot prepare reading %s/task"
 msgstr "ne mogu pripremiti čitanje %s/task"
 
-#: elf/pldd.c:160
+#: elf/pldd.c:168
 #, c-format
 msgid "invalid thread ID '%s'"
 msgstr "neispravan identifikator dretve „%s”"
 
-#: elf/pldd.c:171
+#: elf/pldd.c:179
 #, c-format
 msgid "cannot attach to process %lu"
 msgstr "ne mogu pridružiti procesu %lu"
 
-#: elf/pldd.c:286
+#: elf/pldd.c:294
 #, c-format
 msgid "cannot get information about process %lu"
 msgstr "ne mogu saznati informacije o procesu %lu"
 
-#: elf/pldd.c:299
+#: elf/pldd.c:307
 #, c-format
 msgid "process %lu is no ELF program"
 msgstr "proces %lu nije ELF program"
@@ -1113,27 +1110,27 @@ msgstr "%s nije datoteka dijeljenog objekta (Vrsta: %d).\n"
 msgid "more than one dynamic segment\n"
 msgstr "više od jednog dinamičkog segmenta\n"
 
-#: elf/readlib.c:96
+#: elf/readlib.c:103
 #, c-format
 msgid "Cannot fstat file %s.\n"
 msgstr "Ne mogu izvršiti fstat na datoteci %s.\n"
 
-#: elf/readlib.c:107
+#: elf/readlib.c:114
 #, c-format
 msgid "File %s is empty, not checked."
 msgstr "Datoteka %s je prazna, ne provjeravam."
 
-#: elf/readlib.c:113
+#: elf/readlib.c:120
 #, c-format
 msgid "File %s is too small, not checked."
 msgstr "Datoteka %s je premalena, ne provjeravam."
 
-#: elf/readlib.c:123
+#: elf/readlib.c:130
 #, c-format
 msgid "Cannot mmap file %s.\n"
 msgstr "Ne mogu izvršiti mmap na datoteci %s.\n"
 
-#: elf/readlib.c:161
+#: elf/readlib.c:169
 #, c-format
 msgid "%s is not an ELF file - it has the wrong magic bytes at the start.\n"
 msgstr "%s nije ELF datoteka - ima neispravne bajtove na početku.\n"
@@ -1267,10 +1264,10 @@ msgstr "DIJOBJ [PROFPODACI]"
 msgid "failed to load shared object `%s'"
 msgstr "nisam uspio učitati dijeljeni objekt „%s”"
 
-#: elf/sprof.c:442
+#: elf/sprof.c:442 elf/sprof.c:825 elf/sprof.c:923
 #, c-format
-msgid "cannot create internal descriptors"
-msgstr "ne mogu napraviti interne opisnike"
+msgid "cannot create internal descriptor"
+msgstr "ne mogu napraviti interni opisnik"
 
 #: elf/sprof.c:554
 #, c-format
@@ -1337,11 +1334,6 @@ msgstr "nisam uspio izvršiti mmap na datoteci podataka za profiliranje"
 msgid "error while closing the profiling data file"
 msgstr "greška pri zatvaranju datoteke podataka za profiliranje"
 
-#: elf/sprof.c:825 elf/sprof.c:923
-#, c-format
-msgid "cannot create internal descriptor"
-msgstr "ne mogu napraviti interni opisnik"
-
 #: elf/sprof.c:899
 #, c-format
 msgid "`%s' is no correct profile data file for `%s'"
@@ -1599,27 +1591,27 @@ msgstr "socket: greška protokola u postavljanju kruga\n"
 msgid "rcmd: %s: short read"
 msgstr "rcmd: %s: kratko čitanje"
 
-#: inet/rcmd.c:486
+#: inet/rcmd.c:490
 msgid "lstat failed"
 msgstr "lstat nije uspio"
 
-#: inet/rcmd.c:493
+#: inet/rcmd.c:497
 msgid "cannot open"
 msgstr "ne mogu otvoriti"
 
-#: inet/rcmd.c:495
+#: inet/rcmd.c:499
 msgid "fstat failed"
 msgstr "fstat nije uspio"
 
-#: inet/rcmd.c:497
+#: inet/rcmd.c:501
 msgid "bad owner"
 msgstr "nepostojeći vlasnik"
 
-#: inet/rcmd.c:499
+#: inet/rcmd.c:503
 msgid "writeable by other than owner"
 msgstr "mogu pisati i nevlasnici"
 
-#: inet/rcmd.c:501
+#: inet/rcmd.c:505
 msgid "hard linked somewhere"
 msgstr "negdje je čvrsto povezan"
 
@@ -1739,8 +1731,8 @@ msgid "no symbolic name given for end of range"
 msgstr "nije navedeno simboličko ime kraja raspona"
 
 #: locale/programs/charmap.c:610 locale/programs/ld-address.c:528
-#: locale/programs/ld-collate.c:2626 locale/programs/ld-collate.c:3784
-#: locale/programs/ld-ctype.c:2162 locale/programs/ld-ctype.c:2913
+#: locale/programs/ld-collate.c:2635 locale/programs/ld-collate.c:3793
+#: locale/programs/ld-ctype.c:2128 locale/programs/ld-ctype.c:2840
 #: locale/programs/ld-identification.c:368
 #: locale/programs/ld-measurement.c:215 locale/programs/ld-messages.c:298
 #: locale/programs/ld-monetary.c:740 locale/programs/ld-name.c:264
@@ -1766,8 +1758,8 @@ msgid "%s: error in state machine"
 msgstr "%s: greška u automatu"
 
 #: locale/programs/charmap.c:850 locale/programs/ld-address.c:544
-#: locale/programs/ld-collate.c:2623 locale/programs/ld-collate.c:3977
-#: locale/programs/ld-ctype.c:2159 locale/programs/ld-ctype.c:2930
+#: locale/programs/ld-collate.c:2632 locale/programs/ld-collate.c:3986
+#: locale/programs/ld-ctype.c:2125 locale/programs/ld-ctype.c:2857
 #: locale/programs/ld-identification.c:384
 #: locale/programs/ld-measurement.c:231 locale/programs/ld-messages.c:314
 #: locale/programs/ld-monetary.c:756 locale/programs/ld-name.c:280
@@ -1788,7 +1780,7 @@ msgstr "nepoznat znak „%s”"
 msgid "number of bytes for byte sequence of beginning and end of range not the same: %d vs %d"
 msgstr "broj bajtova niza bajtova na početku i kraju raspona nije jednak: %d i %d"
 
-#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2903
+#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2912
 #: locale/programs/repertoire.c:419
 msgid "invalid names for character range"
 msgstr "neispravna imena raspona znakova"
@@ -1810,8 +1802,8 @@ msgstr "gornja granica u rasponu je manja od donje granice"
 msgid "resulting bytes for range not representable."
 msgstr "rezultirajući bajtovi raspona se ne mogu prikazati."
 
-#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1565
-#: locale/programs/ld-ctype.c:465 locale/programs/ld-identification.c:133
+#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1566
+#: locale/programs/ld-ctype.c:431 locale/programs/ld-identification.c:133
 #: locale/programs/ld-measurement.c:94 locale/programs/ld-messages.c:97
 #: locale/programs/ld-monetary.c:193 locale/programs/ld-name.c:94
 #: locale/programs/ld-numeric.c:98 locale/programs/ld-paper.c:91
@@ -1875,7 +1867,7 @@ msgid "%s: numeric country code `%d' not valid"
 msgstr "%s: brojčani kod zemlje „%d” nije ispravan"
 
 #: locale/programs/ld-address.c:436 locale/programs/ld-address.c:473
-#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2537
+#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2489
 #: locale/programs/ld-identification.c:280
 #: locale/programs/ld-measurement.c:198 locale/programs/ld-messages.c:267
 #: locale/programs/ld-monetary.c:495 locale/programs/ld-monetary.c:530
@@ -1897,8 +1889,8 @@ msgstr "%s: polje „%s” je deklarirano više puta"
 msgid "%s: unknown character in field `%s'"
 msgstr "%s: nepoznat znak u polju „%s”"
 
-#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3782
-#: locale/programs/ld-ctype.c:2910 locale/programs/ld-identification.c:365
+#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3791
+#: locale/programs/ld-ctype.c:2837 locale/programs/ld-identification.c:365
 #: locale/programs/ld-measurement.c:212 locale/programs/ld-messages.c:296
 #: locale/programs/ld-monetary.c:738 locale/programs/ld-name.c:262
 #: locale/programs/ld-numeric.c:324 locale/programs/ld-paper.c:212
@@ -1907,12 +1899,12 @@ msgstr "%s: nepoznat znak u polju „%s”"
 msgid "%s: incomplete `END' line"
 msgstr "%s: nepotpuni „END” redak"
 
-#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:551
-#: locale/programs/ld-collate.c:603 locale/programs/ld-collate.c:899
-#: locale/programs/ld-collate.c:912 locale/programs/ld-collate.c:2592
-#: locale/programs/ld-collate.c:2613 locale/programs/ld-collate.c:3967
-#: locale/programs/ld-ctype.c:1891 locale/programs/ld-ctype.c:2149
-#: locale/programs/ld-ctype.c:2735 locale/programs/ld-ctype.c:2921
+#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:552
+#: locale/programs/ld-collate.c:604 locale/programs/ld-collate.c:900
+#: locale/programs/ld-collate.c:913 locale/programs/ld-collate.c:2601
+#: locale/programs/ld-collate.c:2622 locale/programs/ld-collate.c:3976
+#: locale/programs/ld-ctype.c:1857 locale/programs/ld-ctype.c:2115
+#: locale/programs/ld-ctype.c:2687 locale/programs/ld-ctype.c:2848
 #: locale/programs/ld-identification.c:375
 #: locale/programs/ld-measurement.c:222 locale/programs/ld-messages.c:305
 #: locale/programs/ld-monetary.c:747 locale/programs/ld-name.c:271
@@ -1922,477 +1914,477 @@ msgstr "%s: nepotpuni „END” redak"
 msgid "%s: syntax error"
 msgstr "%s: sintaksna greška"
 
-#: locale/programs/ld-collate.c:426
+#: locale/programs/ld-collate.c:427
 #, c-format
 msgid "`%.*s' already defined in charmap"
 msgstr "„%.*s” je već definiran u skupu znakova"
 
-#: locale/programs/ld-collate.c:435
+#: locale/programs/ld-collate.c:436
 #, c-format
 msgid "`%.*s' already defined in repertoire"
 msgstr "„%.*s” je već definiran u repertoaru"
 
-#: locale/programs/ld-collate.c:442
+#: locale/programs/ld-collate.c:443
 #, c-format
 msgid "`%.*s' already defined as collating symbol"
 msgstr "„%.*s” je već definiran kao simbol razvrstavanja"
 
-#: locale/programs/ld-collate.c:449
+#: locale/programs/ld-collate.c:450
 #, c-format
 msgid "`%.*s' already defined as collating element"
 msgstr "„%.*s” je već definiran kao element razvrstavanja"
 
-#: locale/programs/ld-collate.c:480 locale/programs/ld-collate.c:506
+#: locale/programs/ld-collate.c:481 locale/programs/ld-collate.c:507
 #, c-format
 msgid "%s: `forward' and `backward' are mutually excluding each other"
 msgstr "%s: „forward” i „backward” se međusobno isključuju"
 
-#: locale/programs/ld-collate.c:490 locale/programs/ld-collate.c:516
-#: locale/programs/ld-collate.c:532
+#: locale/programs/ld-collate.c:491 locale/programs/ld-collate.c:517
+#: locale/programs/ld-collate.c:533
 #, c-format
 msgid "%s: `%s' mentioned more than once in definition of weight %d"
 msgstr "%s: „%s” spomenuto više puta u definiciji težine %d"
 
-#: locale/programs/ld-collate.c:588
+#: locale/programs/ld-collate.c:589
 #, c-format
 msgid "%s: too many rules; first entry only had %d"
 msgstr "%s: previše pravila, prva stavka je imala samo %d"
 
-#: locale/programs/ld-collate.c:624
+#: locale/programs/ld-collate.c:625
 #, c-format
 msgid "%s: not enough sorting rules"
 msgstr "%s: nema dovoljno pravila razvrstavanja"
 
-#: locale/programs/ld-collate.c:789
+#: locale/programs/ld-collate.c:790
 #, c-format
 msgid "%s: empty weight string not allowed"
 msgstr "%s: prazan niz znakova nije dozvoljen"
 
-#: locale/programs/ld-collate.c:884
+#: locale/programs/ld-collate.c:885
 #, c-format
 msgid "%s: weights must use the same ellipsis symbol as the name"
 msgstr "%s: težine moraju koristiti isti znak trotočja kao ime"
 
-#: locale/programs/ld-collate.c:940
+#: locale/programs/ld-collate.c:941
 #, c-format
 msgid "%s: too many values"
 msgstr "%s: previše vrijednosti"
 
-#: locale/programs/ld-collate.c:1060 locale/programs/ld-collate.c:1235
+#: locale/programs/ld-collate.c:1061 locale/programs/ld-collate.c:1236
 #, c-format
 msgid "order for `%.*s' already defined at %s:%Zu"
 msgstr "redoslijed za „%.*s” je već definiran u %s:%Zu"
 
-#: locale/programs/ld-collate.c:1110
+#: locale/programs/ld-collate.c:1111
 #, c-format
 msgid "%s: the start and the end symbol of a range must stand for characters"
 msgstr "%s: početni i krajnji simbol raspona moraju predstavljati znakove"
 
-#: locale/programs/ld-collate.c:1137
+#: locale/programs/ld-collate.c:1138
 #, c-format
 msgid "%s: byte sequences of first and last character must have the same length"
 msgstr "%s: nizovi bajtova prvog i zadnjeg znaka moraju biti iste duljine"
 
-#: locale/programs/ld-collate.c:1179
+#: locale/programs/ld-collate.c:1180
 #, c-format
 msgid "%s: byte sequence of first character of range is not lower than that of the last character"
 msgstr "%s: niz bajtova prvog znaka raspona nije manji od onoga zadnjeg znaka"
 
-#: locale/programs/ld-collate.c:1304
+#: locale/programs/ld-collate.c:1305
 #, c-format
 msgid "%s: symbolic range ellipsis must not directly follow `order_start'"
 msgstr "%s: trotočje simboličkog raspona ne smije izravno slijediti nakon „order_start”"
 
-#: locale/programs/ld-collate.c:1308
+#: locale/programs/ld-collate.c:1309
 #, c-format
 msgid "%s: symbolic range ellipsis must not be directly followed by `order_end'"
 msgstr "%s: trotočje simboličkog raspona ne smije izravno slijediti „order_end”"
 
-#: locale/programs/ld-collate.c:1328 locale/programs/ld-ctype.c:1408
+#: locale/programs/ld-collate.c:1329 locale/programs/ld-ctype.c:1374
 #, c-format
 msgid "`%s' and `%.*s' are not valid names for symbolic range"
 msgstr "„%s” i „%.*s” nisu ispravna imena simboličkog raspona"
 
-#: locale/programs/ld-collate.c:1378 locale/programs/ld-collate.c:3718
+#: locale/programs/ld-collate.c:1379 locale/programs/ld-collate.c:3727
 #, c-format
 msgid "%s: order for `%.*s' already defined at %s:%Zu"
 msgstr "%s: redoslijed za „%.*s” je već definiran u %s:%Zu"
 
-#: locale/programs/ld-collate.c:1387
+#: locale/programs/ld-collate.c:1388
 #, c-format
 msgid "%s: `%s' must be a character"
 msgstr "%s: „%s” mora biti znak"
 
-#: locale/programs/ld-collate.c:1582
+#: locale/programs/ld-collate.c:1583
 #, c-format
 msgid "%s: `position' must be used for a specific level in all sections or none"
 msgstr "%s: „position” se mora koristiti za određenu razinu u svim dijelovima ili niti u jednom"
 
-#: locale/programs/ld-collate.c:1607
+#: locale/programs/ld-collate.c:1608
 #, c-format
 msgid "symbol `%s' not defined"
 msgstr "simbol „%s” nije definiran"
 
-#: locale/programs/ld-collate.c:1683 locale/programs/ld-collate.c:1789
+#: locale/programs/ld-collate.c:1684 locale/programs/ld-collate.c:1790
 #, c-format
 msgid "symbol `%s' has the same encoding as"
 msgstr "simbol „%s” ima isto kodiranje kao"
 
-#: locale/programs/ld-collate.c:1687 locale/programs/ld-collate.c:1793
+#: locale/programs/ld-collate.c:1688 locale/programs/ld-collate.c:1794
 #, c-format
 msgid "symbol `%s'"
 msgstr "simbol „%s”"
 
-#: locale/programs/ld-collate.c:1833
+#: locale/programs/ld-collate.c:1834
 #, c-format
 msgid "no definition of `UNDEFINED'"
 msgstr "nema definicije od „UNDEFINED”"
 
-#: locale/programs/ld-collate.c:1862
+#: locale/programs/ld-collate.c:1863
 #, c-format
 msgid "too many errors; giving up"
 msgstr "previše grešaka, odustajem"
 
-#: locale/programs/ld-collate.c:2518 locale/programs/ld-collate.c:3906
+#: locale/programs/ld-collate.c:2527 locale/programs/ld-collate.c:3915
 #, c-format
 msgid "%s: nested conditionals not supported"
 msgstr "%s: ugniježđeni uvjeti nisu podržani"
 
-#: locale/programs/ld-collate.c:2536
+#: locale/programs/ld-collate.c:2545
 #, fuzzy, c-format
 #| msgid "%s: more then one 'else'"
 msgid "%s: more than one 'else'"
 msgstr "%s: više od jednog „else”"
 
-#: locale/programs/ld-collate.c:2711
+#: locale/programs/ld-collate.c:2720
 #, c-format
 msgid "%s: duplicate definition of `%s'"
 msgstr "%s: dvostruka definicija „%s”"
 
-#: locale/programs/ld-collate.c:2747
+#: locale/programs/ld-collate.c:2756
 #, c-format
 msgid "%s: duplicate declaration of section `%s'"
 msgstr "%s: dvostruka deklaracija dijela „%s”"
 
-#: locale/programs/ld-collate.c:2883
+#: locale/programs/ld-collate.c:2892
 #, c-format
 msgid "%s: unknown character in collating symbol name"
 msgstr "%s: nepoznat znak u imenu simbola razvrstavanja"
 
-#: locale/programs/ld-collate.c:3012
+#: locale/programs/ld-collate.c:3021
 #, c-format
 msgid "%s: unknown character in equivalent definition name"
 msgstr "%s: nepoznat znak u imenu ekvivalentne definicije"
 
-#: locale/programs/ld-collate.c:3023
+#: locale/programs/ld-collate.c:3032
 #, c-format
 msgid "%s: unknown character in equivalent definition value"
 msgstr "%s: nepoznat znak u vrijednosti ekvivalentne definicije"
 
-#: locale/programs/ld-collate.c:3033
+#: locale/programs/ld-collate.c:3042
 #, c-format
 msgid "%s: unknown symbol `%s' in equivalent definition"
 msgstr "%s: nepoznat simbol „%s” u ekvivalentnoj definiciji"
 
-#: locale/programs/ld-collate.c:3042
+#: locale/programs/ld-collate.c:3051
 msgid "error while adding equivalent collating symbol"
 msgstr "greška pri dodavanju ekvivalentnog simbola razvrstavanja"
 
-#: locale/programs/ld-collate.c:3080
+#: locale/programs/ld-collate.c:3089
 #, c-format
 msgid "duplicate definition of script `%s'"
 msgstr "dvostruka definicija pisma „%s”"
 
-#: locale/programs/ld-collate.c:3128
+#: locale/programs/ld-collate.c:3137
 #, c-format
 msgid "%s: unknown section name `%.*s'"
 msgstr "%s: nepoznato ime odjeljka „%.*s”"
 
-#: locale/programs/ld-collate.c:3157
+#: locale/programs/ld-collate.c:3166
 #, c-format
 msgid "%s: multiple order definitions for section `%s'"
 msgstr "%s: višestruke definicije redoslijeda za odjeljak „%s”"
 
-#: locale/programs/ld-collate.c:3185
+#: locale/programs/ld-collate.c:3194
 #, c-format
 msgid "%s: invalid number of sorting rules"
 msgstr "%s: neispravan broj pravila razvrstavanja"
 
-#: locale/programs/ld-collate.c:3212
+#: locale/programs/ld-collate.c:3221
 #, c-format
 msgid "%s: multiple order definitions for unnamed section"
 msgstr "%s: višestruke definicije redoslijeda za neimenovani odjeljak"
 
-#: locale/programs/ld-collate.c:3267 locale/programs/ld-collate.c:3397
-#: locale/programs/ld-collate.c:3760
+#: locale/programs/ld-collate.c:3276 locale/programs/ld-collate.c:3406
+#: locale/programs/ld-collate.c:3769
 #, c-format
 msgid "%s: missing `order_end' keyword"
 msgstr "%s: nedostaje ključna riječ „order_end”"
 
-#: locale/programs/ld-collate.c:3330
+#: locale/programs/ld-collate.c:3339
 #, c-format
 msgid "%s: order for collating symbol %.*s not yet defined"
 msgstr "%s: redoslijed za simbol razvrstavanja %.*s još nije definiran"
 
-#: locale/programs/ld-collate.c:3348
+#: locale/programs/ld-collate.c:3357
 #, c-format
 msgid "%s: order for collating element %.*s not yet defined"
 msgstr "%s: redoslijed za element razvrstavanja %.*s još nije definiran"
 
-#: locale/programs/ld-collate.c:3359
+#: locale/programs/ld-collate.c:3368
 #, c-format
 msgid "%s: cannot reorder after %.*s: symbol not known"
 msgstr "%s: ne mogu promijeniti raspored poslije %.*s: simbol nije poznat"
 
-#: locale/programs/ld-collate.c:3411 locale/programs/ld-collate.c:3772
+#: locale/programs/ld-collate.c:3420 locale/programs/ld-collate.c:3781
 #, c-format
 msgid "%s: missing `reorder-end' keyword"
 msgstr "%s: nedostaje ključna riječ „reorder-end”"
 
-#: locale/programs/ld-collate.c:3445 locale/programs/ld-collate.c:3643
+#: locale/programs/ld-collate.c:3454 locale/programs/ld-collate.c:3652
 #, c-format
 msgid "%s: section `%.*s' not known"
 msgstr "%s: odjeljak „%.*s” nije poznat"
 
-#: locale/programs/ld-collate.c:3510
+#: locale/programs/ld-collate.c:3519
 #, c-format
 msgid "%s: bad symbol <%.*s>"
 msgstr "%s: neispravan simbol <%.*s>"
 
-#: locale/programs/ld-collate.c:3706
+#: locale/programs/ld-collate.c:3715
 #, c-format
 msgid "%s: cannot have `%s' as end of ellipsis range"
 msgstr "%s: na kraju raspona trotočja ne može biti „%s”"
 
-#: locale/programs/ld-collate.c:3756
+#: locale/programs/ld-collate.c:3765
 #, c-format
 msgid "%s: empty category description not allowed"
 msgstr "%s: prazan opis kategorije nije dozvoljen"
 
-#: locale/programs/ld-collate.c:3775
+#: locale/programs/ld-collate.c:3784
 #, c-format
 msgid "%s: missing `reorder-sections-end' keyword"
 msgstr "%s: nedostaje ključna riječ „reorder-sections-end”"
 
-#: locale/programs/ld-collate.c:3939
+#: locale/programs/ld-collate.c:3948
 #, c-format
 msgid "%s: '%s' without matching 'ifdef' or 'ifndef'"
 msgstr "%s: „%s” bez odgovarajućeg „ifdef” ili „ifndef”"
 
-#: locale/programs/ld-collate.c:3957
+#: locale/programs/ld-collate.c:3966
 #, c-format
 msgid "%s: 'endif' without matching 'ifdef' or 'ifndef'"
 msgstr "%s: „endif” bez odgovarajućeg „ifdef” ili „ifndef”"
 
-#: locale/programs/ld-ctype.c:484
+#: locale/programs/ld-ctype.c:450
 #, c-format
 msgid "No character set name specified in charmap"
 msgstr "Nema imena skupa znakova navedenog u tablici znakova"
 
-#: locale/programs/ld-ctype.c:513
+#: locale/programs/ld-ctype.c:479
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must be in class `%s'"
 msgstr "znak L„\\u%0*x” iz razreda „%s” mora biti u razredu „%s”"
 
-#: locale/programs/ld-ctype.c:528
+#: locale/programs/ld-ctype.c:494
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must not be in class `%s'"
 msgstr "znak L„\\u%0*x” iz razreda „%s” ne smije biti u razredu „%s”"
 
-#: locale/programs/ld-ctype.c:542 locale/programs/ld-ctype.c:600
+#: locale/programs/ld-ctype.c:508 locale/programs/ld-ctype.c:566
 #, c-format
 msgid "internal error in %s, line %u"
 msgstr "interna greška u %s, redak %u"
 
-#: locale/programs/ld-ctype.c:571
+#: locale/programs/ld-ctype.c:537
 #, c-format
 msgid "character '%s' in class `%s' must be in class `%s'"
 msgstr "znak „%s” iz razreda „%s” mora biti u razredu „%s”"
 
-#: locale/programs/ld-ctype.c:587
+#: locale/programs/ld-ctype.c:553
 #, c-format
 msgid "character '%s' in class `%s' must not be in class `%s'"
 msgstr "znak „%s” iz razreda „%s” ne smije biti u razredu „%s”"
 
-#: locale/programs/ld-ctype.c:617 locale/programs/ld-ctype.c:655
+#: locale/programs/ld-ctype.c:583 locale/programs/ld-ctype.c:621
 #, c-format
 msgid "<SP> character not in class `%s'"
 msgstr "<SP> znak nije u razredu „%s”"
 
-#: locale/programs/ld-ctype.c:629 locale/programs/ld-ctype.c:666
+#: locale/programs/ld-ctype.c:595 locale/programs/ld-ctype.c:632
 #, c-format
 msgid "<SP> character must not be in class `%s'"
 msgstr "<SP> znak ne smije biti u razredu „%s”"
 
-#: locale/programs/ld-ctype.c:644
+#: locale/programs/ld-ctype.c:610
 #, c-format
 msgid "character <SP> not defined in character map"
 msgstr "znak <SP> nije definiran u tablici znakova"
 
-#: locale/programs/ld-ctype.c:780
+#: locale/programs/ld-ctype.c:746
 #, c-format
 msgid "`digit' category has not entries in groups of ten"
 msgstr "kategorija „digit” nema stavke u grupama od po deset"
 
-#: locale/programs/ld-ctype.c:829
+#: locale/programs/ld-ctype.c:795
 #, c-format
 msgid "no input digits defined and none of the standard names in the charmap"
 msgstr "nema definiranih ulaznih znamenaka i nijednog od standardnih imena iz tablice znakova"
 
-#: locale/programs/ld-ctype.c:894
+#: locale/programs/ld-ctype.c:860
 #, c-format
 msgid "not all characters used in `outdigit' are available in the charmap"
 msgstr "neki znakovi korišteni u „outdigit” nisu dostupni u tablici znakova"
 
-#: locale/programs/ld-ctype.c:911
+#: locale/programs/ld-ctype.c:877
 #, c-format
 msgid "not all characters used in `outdigit' are available in the repertoire"
 msgstr "neki znakovi korišteni u „outdigit” nisu dostupni u repertoaru"
 
-#: locale/programs/ld-ctype.c:1176
+#: locale/programs/ld-ctype.c:1142
 #, c-format
 msgid "character class `%s' already defined"
 msgstr "razred znakova „%s” je već definiran"
 
-#: locale/programs/ld-ctype.c:1182
+#: locale/programs/ld-ctype.c:1148
 #, c-format
 msgid "implementation limit: no more than %Zd character classes allowed"
 msgstr "ograničenje implementacije: nije dozvoljeno više od %Zd razreda znakova"
 
-#: locale/programs/ld-ctype.c:1208
+#: locale/programs/ld-ctype.c:1174
 #, c-format
 msgid "character map `%s' already defined"
 msgstr "tablica znakova „%s” je već definirana"
 
-#: locale/programs/ld-ctype.c:1214
+#: locale/programs/ld-ctype.c:1180
 #, c-format
 msgid "implementation limit: no more than %d character maps allowed"
 msgstr "ograničenje implementacije: nije dozvoljeno više od %d tablica znakova"
 
-#: locale/programs/ld-ctype.c:1479 locale/programs/ld-ctype.c:1604
-#: locale/programs/ld-ctype.c:1710 locale/programs/ld-ctype.c:2400
-#: locale/programs/ld-ctype.c:3397
+#: locale/programs/ld-ctype.c:1445 locale/programs/ld-ctype.c:1570
+#: locale/programs/ld-ctype.c:1676 locale/programs/ld-ctype.c:2352
+#: locale/programs/ld-ctype.c:3324
 #, c-format
 msgid "%s: field `%s' does not contain exactly ten entries"
 msgstr "%s: polje „%s” ne sadrži točno deset stavki"
 
-#: locale/programs/ld-ctype.c:1507 locale/programs/ld-ctype.c:2081
+#: locale/programs/ld-ctype.c:1473 locale/programs/ld-ctype.c:2047
 #, c-format
 msgid "to-value <U%0*X> of range is smaller than from-value <U%0*X>"
 msgstr "„do”-vrijednost <U%0*X> raspona je manja od „od”-vrijednosti <U%0*X>"
 
-#: locale/programs/ld-ctype.c:1634
+#: locale/programs/ld-ctype.c:1600
 msgid "start and end character sequence of range must have the same length"
 msgstr "početni i krajnji niz znakova raspona moraju imati istu duljinu"
 
-#: locale/programs/ld-ctype.c:1641
+#: locale/programs/ld-ctype.c:1607
 msgid "to-value character sequence is smaller than from-value sequence"
 msgstr "„od”-vrijednost niza znakova je manja od „do”-vrijednosti niza"
 
-#: locale/programs/ld-ctype.c:2001 locale/programs/ld-ctype.c:2052
+#: locale/programs/ld-ctype.c:1967 locale/programs/ld-ctype.c:2018
 msgid "premature end of `translit_ignore' definition"
 msgstr "preuranjen kraj definicije „translit_ignore”"
 
-#: locale/programs/ld-ctype.c:2007 locale/programs/ld-ctype.c:2058
-#: locale/programs/ld-ctype.c:2100
+#: locale/programs/ld-ctype.c:1973 locale/programs/ld-ctype.c:2024
+#: locale/programs/ld-ctype.c:2066
 msgid "syntax error"
 msgstr "sintaksna greška"
 
-#: locale/programs/ld-ctype.c:2233
+#: locale/programs/ld-ctype.c:2199
 #, c-format
 msgid "%s: syntax error in definition of new character class"
 msgstr "%s: sintaksna greška u definiciji novog razreda znakova"
 
-#: locale/programs/ld-ctype.c:2248
+#: locale/programs/ld-ctype.c:2214
 #, c-format
 msgid "%s: syntax error in definition of new character map"
 msgstr "%s: sintaksna greška u definiciji nove tablice znakova"
 
-#: locale/programs/ld-ctype.c:2422
+#: locale/programs/ld-ctype.c:2374
 msgid "ellipsis range must be marked by two operands of same type"
 msgstr "raspon trotočja mora biti označen s dva operanda iste vrste"
 
-#: locale/programs/ld-ctype.c:2431
+#: locale/programs/ld-ctype.c:2383
 msgid "with symbolic name range values the absolute ellipsis `...' must not be used"
 msgstr "uz simbolička imena vrijednosti raspona ne smije se koristiti apsolutno trotočje „...”"
 
-#: locale/programs/ld-ctype.c:2446
+#: locale/programs/ld-ctype.c:2398
 msgid "with UCS range values one must use the hexadecimal symbolic ellipsis `..'"
 msgstr "uz UCS vrijednosti raspona mora se koristiti heksadekadsko simboličko trotočje „..”"
 
-#: locale/programs/ld-ctype.c:2460
+#: locale/programs/ld-ctype.c:2412
 msgid "with character code range values one must use the absolute ellipsis `...'"
 msgstr "uz kodove znakova vrijednosti raspona mora se koristiti apsolutno trotočje „...”"
 
-#: locale/programs/ld-ctype.c:2611
+#: locale/programs/ld-ctype.c:2563
 #, c-format
 msgid "duplicated definition for mapping `%s'"
 msgstr "dvostruka definicija pridruživanja „%s”"
 
-#: locale/programs/ld-ctype.c:2697 locale/programs/ld-ctype.c:2841
+#: locale/programs/ld-ctype.c:2649 locale/programs/ld-ctype.c:2793
 #, c-format
 msgid "%s: `translit_start' section does not end with `translit_end'"
 msgstr "%s: „translit_start” odjeljak ne zavšava sa „translit_end”"
 
-#: locale/programs/ld-ctype.c:2792
+#: locale/programs/ld-ctype.c:2744
 #, c-format
 msgid "%s: duplicate `default_missing' definition"
 msgstr "%s: dvostruka „default_missing” definicija"
 
-#: locale/programs/ld-ctype.c:2797
+#: locale/programs/ld-ctype.c:2749
 msgid "previous definition was here"
 msgstr "postoji prethodna definicija"
 
-#: locale/programs/ld-ctype.c:2819
+#: locale/programs/ld-ctype.c:2771
 #, c-format
 msgid "%s: no representable `default_missing' definition found"
 msgstr "%s: nema reprezentativne definicije „default_missing”"
 
-#: locale/programs/ld-ctype.c:2962 locale/programs/ld-ctype.c:3059
-#: locale/programs/ld-ctype.c:3079 locale/programs/ld-ctype.c:3100
-#: locale/programs/ld-ctype.c:3121 locale/programs/ld-ctype.c:3142
-#: locale/programs/ld-ctype.c:3163 locale/programs/ld-ctype.c:3203
-#: locale/programs/ld-ctype.c:3224 locale/programs/ld-ctype.c:3289
-#: locale/programs/ld-ctype.c:3331 locale/programs/ld-ctype.c:3356
+#: locale/programs/ld-ctype.c:2889 locale/programs/ld-ctype.c:2986
+#: locale/programs/ld-ctype.c:3006 locale/programs/ld-ctype.c:3027
+#: locale/programs/ld-ctype.c:3048 locale/programs/ld-ctype.c:3069
+#: locale/programs/ld-ctype.c:3090 locale/programs/ld-ctype.c:3130
+#: locale/programs/ld-ctype.c:3151 locale/programs/ld-ctype.c:3216
+#: locale/programs/ld-ctype.c:3258 locale/programs/ld-ctype.c:3283
 #, c-format
 msgid "%s: character `%s' not defined while needed as default value"
 msgstr "%s: znak „%s” nije definiran dok je potreban kao zadana vrijednost"
 
-#: locale/programs/ld-ctype.c:2967 locale/programs/ld-ctype.c:3064
-#: locale/programs/ld-ctype.c:3084 locale/programs/ld-ctype.c:3105
-#: locale/programs/ld-ctype.c:3126 locale/programs/ld-ctype.c:3147
-#: locale/programs/ld-ctype.c:3168 locale/programs/ld-ctype.c:3208
-#: locale/programs/ld-ctype.c:3229 locale/programs/ld-ctype.c:3294
+#: locale/programs/ld-ctype.c:2894 locale/programs/ld-ctype.c:2991
+#: locale/programs/ld-ctype.c:3011 locale/programs/ld-ctype.c:3032
+#: locale/programs/ld-ctype.c:3053 locale/programs/ld-ctype.c:3074
+#: locale/programs/ld-ctype.c:3095 locale/programs/ld-ctype.c:3135
+#: locale/programs/ld-ctype.c:3156 locale/programs/ld-ctype.c:3221
 #, c-format
 msgid "%s: character `%s' in charmap not representable with one byte"
 msgstr "%s: znak „%s” u tablici znakova ne može se prikazati jednim bajtom"
 
-#: locale/programs/ld-ctype.c:3338 locale/programs/ld-ctype.c:3363
+#: locale/programs/ld-ctype.c:3265 locale/programs/ld-ctype.c:3290
 #, c-format
 msgid "%s: character `%s' needed as default value not representable with one byte"
 msgstr "%s: znak „%s” potreban kao zadana vrijednost ne može se prikazati jednim bajtom"
 
-#: locale/programs/ld-ctype.c:3419
+#: locale/programs/ld-ctype.c:3346
 #, c-format
 msgid "no output digits defined and none of the standard names in the charmap"
 msgstr "izlazne znamenke nisu definirane i nemaju standardna imena iz tablice znakova"
 
-#: locale/programs/ld-ctype.c:3668
+#: locale/programs/ld-ctype.c:3595
 #, c-format
 msgid "%s: transliteration data from locale `%s' not available"
 msgstr "%s: podaci transliteracije iz lokala „%s” nisu dostupni"
 
-#: locale/programs/ld-ctype.c:3768
+#: locale/programs/ld-ctype.c:3695
 #, c-format
 msgid "%s: table for class \"%s\": %lu bytes\n"
 msgstr "%s: tablica razreda „%s”: %lu bajtova\n"
 
-#: locale/programs/ld-ctype.c:3833
+#: locale/programs/ld-ctype.c:3760
 #, c-format
 msgid "%s: table for map \"%s\": %lu bytes\n"
 msgstr "%s: tablica znakovne tablice „%s”: %lu bajtova\n"
 
-#: locale/programs/ld-ctype.c:3958
+#: locale/programs/ld-ctype.c:3885
 #, c-format
 msgid "%s: table for width: %lu bytes\n"
 msgstr "%s: tablica za širinu: %lu bajtova\n"
@@ -3815,17 +3807,23 @@ msgstr "dodaj novu stavku „%s” vrste %s za %s u spremnik%s"
 msgid " (first)"
 msgstr " (prvi)"
 
-#: nscd/cache.c:285 nscd/connections.c:1000
-#, c-format
-msgid "cannot stat() file `%s': %s"
+#: nscd/cache.c:288
+#, fuzzy, c-format
+#| msgid "cannot stat() file `%s': %s"
+msgid "checking for monitored file `%s': %s"
 msgstr "ne mogu izvršiti stat() na datoteci „%s”: %s"
 
-#: nscd/cache.c:331
+#: nscd/cache.c:298
+#, c-format
+msgid "monitored file `%s` changed (mtime)"
+msgstr ""
+
+#: nscd/cache.c:341
 #, c-format
 msgid "pruning %s cache; time %ld"
 msgstr "čistim %s spremnik, vrijeme %ld"
 
-#: nscd/cache.c:360
+#: nscd/cache.c:370
 #, c-format
 msgid "considering %s entry \"%s\", timeout %<PRIu64>"
 msgstr "razmatram %s stavku „%s”, vremensko ograničenje %<PRIu64>"
@@ -3911,153 +3909,217 @@ msgstr "ne mogu postaviti utičnicu za zatvaranje pri izvršavanju: %s"
 msgid "cannot enable socket to accept connections: %s"
 msgstr "ne mogu omogućiti utičnicu za prihvaćanje veza: %s"
 
-#: nscd/connections.c:984
+#: nscd/connections.c:973
 #, c-format
-msgid "register trace file %s for database %s"
+msgid "disabled inotify-based monitoring for file `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:977
+#, c-format
+msgid "monitoring file `%s` (%d)"
+msgstr ""
+
+#: nscd/connections.c:990
+#, c-format
+msgid "disabled inotify-based monitoring for directory `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:994
+#, fuzzy, c-format
+#| msgid "Can't open directory %s"
+msgid "monitoring directory `%s` (%d)"
+msgstr "Ne mogu otvoriti direktorij %s"
+
+#: nscd/connections.c:1022
+#, fuzzy, c-format
+#| msgid "register trace file %s for database %s"
+msgid "monitoring file %s for database %s"
 msgstr "registriraj datoteku praćenja %s za bazu podataka %s"
 
-#: nscd/connections.c:1114
+#: nscd/connections.c:1032
+#, c-format
+msgid "stat failed for file `%s'; will try again later: %s"
+msgstr ""
+
+#: nscd/connections.c:1151
 #, c-format
 msgid "provide access to FD %d, for %s"
 msgstr "omogući pristup u FD %d, za %s"
 
-#: nscd/connections.c:1126
+#: nscd/connections.c:1163
 #, c-format
 msgid "cannot handle old request version %d; current version is %d"
 msgstr "ne mogu obraditi staru inačicu zahtjeva %d, trenutna inačica je %d"
 
-#: nscd/connections.c:1148
+#: nscd/connections.c:1185
 #, c-format
 msgid "request from %ld not handled due to missing permission"
 msgstr "zahtjev od %ld nije obrađen zbog nedostajućih dozvola"
 
-#: nscd/connections.c:1153
+#: nscd/connections.c:1190
 #, c-format
 msgid "request from '%s' [%ld] not handled due to missing permission"
 msgstr "zahtjev od „%s” [%ld] nije obrađen zbog nedostajućih dozvola"
 
-#: nscd/connections.c:1158
+#: nscd/connections.c:1195
 msgid "request not handled due to missing permission"
 msgstr "zahtjev nije obrađen zbog nedostajućih dozvola"
 
-#: nscd/connections.c:1196 nscd/connections.c:1249
+#: nscd/connections.c:1233 nscd/connections.c:1286
 #, c-format
 msgid "cannot write result: %s"
 msgstr "ne mogu zapisati rezultat: %s"
 
-#: nscd/connections.c:1340
+#: nscd/connections.c:1377
 #, c-format
 msgid "error getting caller's id: %s"
 msgstr "greška pri dohvatu broja pozivatelja: %s"
 
-#: nscd/connections.c:1400
+#: nscd/connections.c:1437
 #, c-format
 msgid "cannot open /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr "ne mogu otvoriti /proc/self/cmdline: %s, onemogućujem paranoični način"
 
-#: nscd/connections.c:1414
+#: nscd/connections.c:1451
 #, c-format
 msgid "cannot read /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr "ne mogu čitati /proc/self/cmdline: %s, onemogućujem paranoični način"
 
-#: nscd/connections.c:1454
+#: nscd/connections.c:1491
 #, c-format
 msgid "cannot change to old UID: %s; disabling paranoia mode"
 msgstr "ne mogu promijeniti u stari UID: %s, onemogućujem paranoični način"
 
-#: nscd/connections.c:1464
+#: nscd/connections.c:1501
 #, c-format
 msgid "cannot change to old GID: %s; disabling paranoia mode"
 msgstr "ne mogu promijeniti u stari GID: %s, onemogućujem paranoični način"
 
-#: nscd/connections.c:1477
+#: nscd/connections.c:1514
 #, c-format
 msgid "cannot change to old working directory: %s; disabling paranoia mode"
 msgstr "ne mogu promijeniti u stari radni direktorij: %s, onemogućujem paranoični način"
 
-#: nscd/connections.c:1523
+#: nscd/connections.c:1560
 #, c-format
 msgid "re-exec failed: %s; disabling paranoia mode"
 msgstr "ponovljeno izvršavanje nije uspjelo: %s, onemogućujem paranoični način"
 
-#: nscd/connections.c:1532
+#: nscd/connections.c:1569
 #, c-format
 msgid "cannot change current working directory to \"/\": %s"
 msgstr "ne mogu promijeniti trenutni radni direktorij u „/”: %s"
 
-#: nscd/connections.c:1725
+#: nscd/connections.c:1762
 #, c-format
 msgid "short read while reading request: %s"
 msgstr "kratko čitanje pri čitanju zahtjeva: %s"
 
-#: nscd/connections.c:1758
+#: nscd/connections.c:1795
 #, c-format
 msgid "key length in request too long: %d"
 msgstr "duljina ključa u zahtjevu je prevelika: %d"
 
-#: nscd/connections.c:1771
+#: nscd/connections.c:1808
 #, c-format
 msgid "short read while reading request key: %s"
 msgstr "kratko čitanje pri čitanju ključa zahtjeva: %s"
 
-#: nscd/connections.c:1781
+#: nscd/connections.c:1818
 #, c-format
 msgid "handle_request: request received (Version = %d) from PID %ld"
 msgstr "handle_request: primljen zahtjev (Inačica = %d) od PID-a %ld"
 
-#: nscd/connections.c:1786
+#: nscd/connections.c:1823
 #, c-format
 msgid "handle_request: request received (Version = %d)"
 msgstr "handle_request: primljen zahtjev (Inačica = %d)"
 
-#: nscd/connections.c:2050 nscd/connections.c:2252
+#: nscd/connections.c:1963
+#, c-format
+msgid "ignored inotify event for `%s` (file exists)"
+msgstr ""
+
+#: nscd/connections.c:1968
+#, c-format
+msgid "monitored file `%s` was %s, removing watch"
+msgstr ""
+
+#: nscd/connections.c:1976 nscd/connections.c:2018
+#, c-format
+msgid "failed to remove file watch `%s`: %s"
+msgstr ""
+
+#: nscd/connections.c:1991
+#, c-format
+msgid "monitored file `%s` was written to"
+msgstr ""
+
+#: nscd/connections.c:2015
+#, c-format
+msgid "monitored parent directory `%s` was %s, removing watch on `%s`"
+msgstr ""
+
+#: nscd/connections.c:2041
 #, c-format
-msgid "disabled inotify after read error %d"
+msgid "monitored file `%s` was %s, adding watch"
+msgstr ""
+
+#: nscd/connections.c:2053
+#, fuzzy, c-format
+#| msgid "failed to load shared object `%s'"
+msgid "failed to add file watch `%s`: %s"
+msgstr "nisam uspio učitati dijeljeni objekt „%s”"
+
+#: nscd/connections.c:2247 nscd/connections.c:2428
+#, fuzzy, c-format
+#| msgid "disabled inotify after read error %d"
+msgid "disabled inotify-based monitoring after read error %d"
 msgstr "onemogućen inotify nakon greške čitanja %d"
 
-#: nscd/connections.c:2375
+#: nscd/connections.c:2543
 msgid "could not initialize conditional variable"
 msgstr "ne mogu inicijalizirati varijablu uvjeta"
 
-#: nscd/connections.c:2383
+#: nscd/connections.c:2551
 msgid "could not start clean-up thread; terminating"
 msgstr "ne mogu pokrenuti dretvu čišćenja, završavam"
 
-#: nscd/connections.c:2397
+#: nscd/connections.c:2565
 msgid "could not start any worker thread; terminating"
 msgstr "ne mogu pokrenuti nijednu radnu dretvu, završavam"
 
-#: nscd/connections.c:2452 nscd/connections.c:2454 nscd/connections.c:2470
-#: nscd/connections.c:2480 nscd/connections.c:2498 nscd/connections.c:2509
-#: nscd/connections.c:2519
+#: nscd/connections.c:2620 nscd/connections.c:2622 nscd/connections.c:2638
+#: nscd/connections.c:2648 nscd/connections.c:2666 nscd/connections.c:2677
+#: nscd/connections.c:2687
 #, c-format
 msgid "Failed to run nscd as user '%s'"
 msgstr "Nisam uspio pokrenuti nscd kao korisnik „%s”"
 
-#: nscd/connections.c:2472
+#: nscd/connections.c:2640
 msgid "initial getgrouplist failed"
 msgstr "inicijalni getgrouplist nije uspio"
 
-#: nscd/connections.c:2481
+#: nscd/connections.c:2649
 msgid "getgrouplist failed"
 msgstr "getgrouplist nije uspio"
 
-#: nscd/connections.c:2499
+#: nscd/connections.c:2667
 msgid "setgroups failed"
 msgstr "setgroups nije uspio"
 
-#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:410
+#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:411
 #: nscd/pwdcache.c:383 nscd/servicescache.c:338
 #, c-format
 msgid "short write in %s: %s"
 msgstr "kratko pisanje u %s: %s"
 
-#: nscd/grpcache.c:450 nscd/initgrcache.c:77
+#: nscd/grpcache.c:450 nscd/initgrcache.c:78
 #, c-format
 msgid "Haven't found \"%s\" in group cache!"
 msgstr "Nisam pronašao „%s” u spremniku grupa!"
 
-#: nscd/grpcache.c:452 nscd/initgrcache.c:79
+#: nscd/grpcache.c:452 nscd/initgrcache.c:80
 #, c-format
 msgid "Reloading \"%s\" in group cache!"
 msgstr "Ponovo učitavam „%s” u spremnik grupa!"
@@ -4145,7 +4207,7 @@ msgstr "Koristi odvojeni spremnik za svakog korisnika"
 msgid "Name Service Cache Daemon."
 msgstr "Pozadinski proces spremnika usluga imena."
 
-#: nscd/nscd.c:155 nss/getent.c:1003 nss/makedb.c:206
+#: nscd/nscd.c:155 nss/getent.c:1007 nss/makedb.c:206
 #, c-format
 msgid "wrong number of arguments"
 msgstr "neispravan broj argumenata"
@@ -4179,7 +4241,7 @@ msgstr "ne mogu promijeniti trenutni radni direktorij u „/”"
 msgid "Could not create log file"
 msgstr "Ne mogu napraviti datoteku dnevnika"
 
-#: nscd/nscd.c:355 nscd/nscd_stat.c:192
+#: nscd/nscd.c:355 nscd/nscd_stat.c:194
 #, c-format
 msgid "write incomplete"
 msgstr "pisanje nedovršeno"
@@ -4194,7 +4256,7 @@ msgstr "ne mogu čitati nevažeći ACK"
 msgid "invalidation failed"
 msgstr "nisam uspio učiniti nevažećim"
 
-#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:173
+#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:175
 #, c-format
 msgid "Only root is allowed to use this option!"
 msgstr "Samo root smije koristiti ovu opciju!"
@@ -4283,35 +4345,35 @@ msgstr "ne mogu otkriti trenutni radni direktorij: %s, onemogućujem paranoični
 msgid "maximum file size for %s database too small"
 msgstr "najveća veličina datoteke za bazu podataka %s je premalena"
 
-#: nscd/nscd_stat.c:142
+#: nscd/nscd_stat.c:144
 #, c-format
 msgid "cannot write statistics: %s"
 msgstr "ne mogu pisati statistiku: %s"
 
-#: nscd/nscd_stat.c:157
+#: nscd/nscd_stat.c:159
 msgid "yes"
 msgstr "da"
 
-#: nscd/nscd_stat.c:158
+#: nscd/nscd_stat.c:160
 msgid "no"
 msgstr "ne"
 
-#: nscd/nscd_stat.c:169
+#: nscd/nscd_stat.c:171
 #, c-format
 msgid "Only root or %s is allowed to use this option!"
 msgstr "Samo root ili %s smiju koristiti ovu opciju!"
 
-#: nscd/nscd_stat.c:180
+#: nscd/nscd_stat.c:182
 #, c-format
 msgid "nscd not running!\n"
 msgstr "nscd nije pokrenut!\n"
 
-#: nscd/nscd_stat.c:204
+#: nscd/nscd_stat.c:206
 #, c-format
 msgid "cannot read statistics data"
 msgstr "ne mogu čitati statističke podatke"
 
-#: nscd/nscd_stat.c:207
+#: nscd/nscd_stat.c:209
 #, c-format
 msgid ""
 "nscd configuration:\n"
@@ -4322,27 +4384,27 @@ msgstr ""
 "\n"
 "%15d  debug razina poslužitelja\n"
 
-#: nscd/nscd_stat.c:231
+#: nscd/nscd_stat.c:233
 #, c-format
 msgid "%3ud %2uh %2um %2lus  server runtime\n"
 msgstr "%3ud %2uh %2um %2lus  vrijeme rada poslužitelja\n"
 
-#: nscd/nscd_stat.c:234
+#: nscd/nscd_stat.c:236
 #, c-format
 msgid "    %2uh %2um %2lus  server runtime\n"
 msgstr "    %2uh %2um %2lus  vrijeme rada poslužitelja\n"
 
-#: nscd/nscd_stat.c:236
+#: nscd/nscd_stat.c:238
 #, c-format
 msgid "        %2um %2lus  server runtime\n"
 msgstr "        %2um %2lus  vrijeme rada poslužitelja\n"
 
-#: nscd/nscd_stat.c:238
+#: nscd/nscd_stat.c:240
 #, c-format
 msgid "            %2lus  server runtime\n"
 msgstr "            %2lus  vrijeme rada poslužitelja\n"
 
-#: nscd/nscd_stat.c:240
+#: nscd/nscd_stat.c:242
 #, c-format
 msgid ""
 "%15d  current number of threads\n"
@@ -4359,7 +4421,7 @@ msgstr ""
 "%15lu  ponovo pokreni interno\n"
 "%15u  broj ponovljenih učitavanja\n"
 
-#: nscd/nscd_stat.c:275
+#: nscd/nscd_stat.c:277
 #, c-format
 msgid ""
 "\n"
@@ -4425,87 +4487,87 @@ msgstr "Ponovo učitavam „%s” u spremniku lozinki!"
 msgid "Invalid numeric uid \"%s\"!"
 msgstr "Neispravan numerički uid „%s”!"
 
-#: nscd/selinux.c:155
+#: nscd/selinux.c:154
 #, c-format
 msgid "Failed opening connection to the audit subsystem: %m"
 msgstr "Nisam uspio otvoriti vezu na revizorski podsustav: %m"
 
-#: nscd/selinux.c:176
+#: nscd/selinux.c:175
 msgid "Failed to set keep-capabilities"
 msgstr "Nisam uspio postaviti keep-capabilities"
 
-#: nscd/selinux.c:177 nscd/selinux.c:240
+#: nscd/selinux.c:176 nscd/selinux.c:239
 msgid "prctl(KEEPCAPS) failed"
 msgstr "prctl(KEEPCAPS) nije uspio"
 
-#: nscd/selinux.c:191
+#: nscd/selinux.c:190
 msgid "Failed to initialize drop of capabilities"
 msgstr "Nisam uspio inicijalizirati ispuštanje mogućnosti"
 
-#: nscd/selinux.c:192
+#: nscd/selinux.c:191
 msgid "cap_init failed"
 msgstr "cap_init nije uspio"
 
-#: nscd/selinux.c:213 nscd/selinux.c:230
+#: nscd/selinux.c:212 nscd/selinux.c:229
 msgid "Failed to drop capabilities"
 msgstr "Nisam uspio ispustiti mogućnosti"
 
-#: nscd/selinux.c:214 nscd/selinux.c:231
+#: nscd/selinux.c:213 nscd/selinux.c:230
 msgid "cap_set_proc failed"
 msgstr "cap_set_proc nije uspio"
 
-#: nscd/selinux.c:239
+#: nscd/selinux.c:238
 msgid "Failed to unset keep-capabilities"
 msgstr "Nisam uspio postaviti keep-capabilities na početnu vrijednost"
 
-#: nscd/selinux.c:255
+#: nscd/selinux.c:254
 msgid "Failed to determine if kernel supports SELinux"
 msgstr "Nisam uspio odrediti podržava li jezgra SELinux"
 
-#: nscd/selinux.c:270
+#: nscd/selinux.c:269
 msgid "Failed to start AVC thread"
 msgstr "Nisam uspio pokrenuti AVC dretvu"
 
-#: nscd/selinux.c:292
+#: nscd/selinux.c:291
 msgid "Failed to create AVC lock"
 msgstr "Nisam uspio napraviti AVC zaključavanje"
 
-#: nscd/selinux.c:332
+#: nscd/selinux.c:331
 msgid "Failed to start AVC"
 msgstr "Nisam uspio pokrenuti AVC"
 
-#: nscd/selinux.c:334
+#: nscd/selinux.c:333
 msgid "Access Vector Cache (AVC) started"
 msgstr "Pristup spremniku vektora (AVC - Access Vector Cache) je pokrenut"
 
-#: nscd/selinux.c:369
+#: nscd/selinux.c:368
 msgid "Error querying policy for undefined object classes or permissions."
 msgstr ""
 
-#: nscd/selinux.c:376
+#: nscd/selinux.c:375
 #, fuzzy
 #| msgid "Error getting context of nscd"
 msgid "Error getting security class for nscd."
 msgstr "Greška pri dohvatu konteksta nscd-a"
 
-#: nscd/selinux.c:381
+#: nscd/selinux.c:380
 #, c-format
 msgid "Error translating permission name \"%s\" to access vector bit."
 msgstr ""
 
-#: nscd/selinux.c:391
+#: nscd/selinux.c:390
 msgid "Error getting context of socket peer"
 msgstr "Greška pri dohvatu konteksta utičnice"
 
-#: nscd/selinux.c:396
+#: nscd/selinux.c:395
 msgid "Error getting context of nscd"
 msgstr "Greška pri dohvatu konteksta nscd-a"
 
-#: nscd/selinux.c:402
+#: nscd/selinux.c:401
 msgid "Error getting sid from context"
 msgstr "Greška pri dohvatu sid-a iz konteksta "
 
-#: nscd/selinux.c:440
+#: nscd/selinux.c:439
 #, c-format
 msgid ""
 "\n"
@@ -4569,16 +4631,16 @@ msgstr "Dohvati stavke iz administrativne baze podataka."
 msgid "Enumeration not supported on %s\n"
 msgstr "Numeriranje nije podržano na %s\n"
 
-#: nss/getent.c:917
+#: nss/getent.c:921
 #, c-format
 msgid "Unknown database name"
 msgstr "Nepoznata baza podataka"
 
-#: nss/getent.c:947
+#: nss/getent.c:951
 msgid "Supported databases:\n"
 msgstr "Podržane baze podataka:\n"
 
-#: nss/getent.c:1013
+#: nss/getent.c:1017
 #, c-format
 msgid "Unknown database: %s\n"
 msgstr "Nepoznata baza podataka: %s\n"
@@ -4858,7 +4920,7 @@ msgstr "Neuparena ) ili \\)"
 msgid "No previous regular expression"
 msgstr "Nedostaje prethodni regularni izraz"
 
-#: posix/wordexp.c:1844
+#: posix/wordexp.c:1851
 msgid "parameter null or not set"
 msgstr "parametar prazan ili nije postavljen"
 
@@ -7248,6 +7310,15 @@ msgstr "previše kratica vremenskih zona, ili su predugačke"
 msgid "%s: Can't create directory %s: %s\n"
 msgstr "%s: Ne mogu napraviti direktorij %s: %s\n"
 
+#~ msgid "cannot load any more object with static TLS"
+#~ msgstr "ne mogu učitati više objekata sa statičkim TLS-om"
+
+#~ msgid "%s: no PLTREL found in object %s\n"
+#~ msgstr "%s: u objektu %s nije nađen PLTREL\n"
+
+#~ msgid "cannot create internal descriptors"
+#~ msgstr "ne mogu napraviti interne opisnike"
+
 #~ msgid "compile-time support for database policy missing"
 #~ msgstr "nedostaje podrška za vrijeme kompajliranja police baze podataka"
 
diff --git a/po/hu.po b/po/hu.po
index f1a517c..812f5a2 100644
--- a/po/hu.po
+++ b/po/hu.po
@@ -7,7 +7,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: libc 2.10.1\n"
-"POT-Creation-Date: 2015-01-20 22:14-0500\n"
+"POT-Creation-Date: 2015-07-31 00:10-0400\n"
 "PO-Revision-Date: 2009-08-04 02:23+0200\n"
 "Last-Translator: Gabor Kelemen <kelemeng@gnome.hu>\n"
 "Language-Team: Hungarian <translation-team-hu@lists.sourceforge.net>\n"
@@ -144,10 +144,10 @@ msgstr ""
 "[KIMENETIFÁJL [BEMENETIFÁJL]...]"
 
 #: catgets/gencat.c:229 debug/pcprofiledump.c:209 elf/ldconfig.c:307
-#: elf/pldd.c:244 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
+#: elf/pldd.c:252 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
 #: iconv/iconvconfig.c:379 locale/programs/locale.c:277
 #: locale/programs/localedef.c:376 login/programs/pt_chown.c:88
-#: malloc/memusagestat.c:563 nss/getent.c:969 nss/makedb.c:369
+#: malloc/memusagestat.c:563 nss/getent.c:973 nss/makedb.c:369
 #: posix/getconf.c:486 sunrpc/rpcinfo.c:691
 #: sysdeps/unix/sysv/linux/lddlibc4.c:61
 #, fuzzy, c-format
@@ -162,7 +162,7 @@ msgstr ""
 "<http://www.gnu.org/software/libc/bugs.html>.\n"
 
 #: catgets/gencat.c:245 debug/pcprofiledump.c:225 debug/xtrace.sh:64
-#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:260 elf/sotruss.sh:75
+#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:268 elf/sotruss.sh:75
 #: elf/sprof.c:389 iconv/iconv_prog.c:425 iconv/iconvconfig.c:396
 #: locale/programs/locale.c:294 locale/programs/localedef.c:402
 #: login/programs/pt_chown.c:62 malloc/memusage.sh:71
@@ -179,7 +179,7 @@ msgstr ""
 "garancia, még az ADOTT CÉLRE VALÓ ELADHATÓSÁGRA VAGY MEGFELELŐSÉGRE SEM.\n"
 
 #: catgets/gencat.c:250 debug/pcprofiledump.c:230 debug/xtrace.sh:68
-#: elf/ldconfig.c:328 elf/pldd.c:265 elf/sprof.c:395 iconv/iconv_prog.c:430
+#: elf/ldconfig.c:328 elf/pldd.c:273 elf/sprof.c:395 iconv/iconv_prog.c:430
 #: iconv/iconvconfig.c:401 locale/programs/locale.c:299
 #: locale/programs/localedef.c:407 malloc/memusage.sh:75
 #: malloc/memusagestat.c:586 nscd/nscd.c:514 nss/getent.c:91 nss/makedb.c:390
@@ -444,11 +444,11 @@ msgstr "%s hozzáférési jogainak módosítása meghiúsult erre: %#o"
 msgid "Renaming of %s to %s failed"
 msgstr "%s átnevezése meghiúsult erre: %s"
 
-#: elf/dl-close.c:385 elf/dl-open.c:470
+#: elf/dl-close.c:396 elf/dl-open.c:478
 msgid "cannot create scope list"
 msgstr "Nem hozható létre hatókörlista"
 
-#: elf/dl-close.c:770
+#: elf/dl-close.c:816
 msgid "shared object not open"
 msgstr "a megosztott objektum nincs megnyitva"
 
@@ -521,127 +521,127 @@ msgstr "nem hozható létre keresésiútvonal-tömb"
 msgid "cannot stat shared object"
 msgstr "nem érhető el a megosztott objektum"
 
-#: elf/dl-load.c:963
+#: elf/dl-load.c:962
 msgid "cannot open zero fill device"
 msgstr "nem nyitható meg a nullával kitöltő eszköz"
 
-#: elf/dl-load.c:1010 elf/dl-load.c:2165
+#: elf/dl-load.c:1009 elf/dl-load.c:2159
 msgid "cannot create shared object descriptor"
 msgstr "nem hozható létre megosztott objektumleíró"
 
-#: elf/dl-load.c:1029 elf/dl-load.c:1570 elf/dl-load.c:1682
+#: elf/dl-load.c:1028 elf/dl-load.c:1568 elf/dl-load.c:1680
 msgid "cannot read file data"
 msgstr "nem olvashatók a fájladatok"
 
-#: elf/dl-load.c:1069
+#: elf/dl-load.c:1068
 msgid "ELF load command alignment not page-aligned"
 msgstr "az ELF betöltési parancs igazítása nem lapokhoz igazított"
 
-#: elf/dl-load.c:1076
+#: elf/dl-load.c:1075
 msgid "ELF load command address/offset not properly aligned"
 msgstr "az ELF betöltési parancs címe/eltolása nincs megfelelően igazítva"
 
-#: elf/dl-load.c:1160
+#: elf/dl-load.c:1159
 msgid "cannot allocate TLS data structures for initial thread"
 msgstr "nem foglalhatók TLS adatszerkezetek a kiinduló szálhoz"
 
-#: elf/dl-load.c:1183
+#: elf/dl-load.c:1182
 msgid "cannot handle TLS data"
 msgstr "a TLS adatok nem kezelhetők"
 
-#: elf/dl-load.c:1202
+#: elf/dl-load.c:1201
 msgid "object file has no loadable segments"
 msgstr "az objektumfájlnak nincsenek betölthető szakaszai"
 
-#: elf/dl-load.c:1211 elf/dl-load.c:1662
+#: elf/dl-load.c:1210 elf/dl-load.c:1660
 msgid "cannot dynamically load executable"
 msgstr "nem tölthető be dinamikusan a végrehajtható fájl"
 
-#: elf/dl-load.c:1232
+#: elf/dl-load.c:1231
 msgid "object file has no dynamic section"
 msgstr "az objektumfájlnak nincs dinamikus szakasza"
 
-#: elf/dl-load.c:1255
+#: elf/dl-load.c:1254
 msgid "shared object cannot be dlopen()ed"
 msgstr "megosztott objektumra nem hívható meg a dlopen()"
 
-#: elf/dl-load.c:1268
+#: elf/dl-load.c:1267
 msgid "cannot allocate memory for program header"
 msgstr "nem foglalható memória a program fejlécének"
 
-#: elf/dl-load.c:1284 elf/dl-open.c:195
+#: elf/dl-load.c:1283 elf/dl-open.c:195
 msgid "invalid caller"
 msgstr "érvénytelen hívó"
 
-#: elf/dl-load.c:1307 elf/dl-load.h:130
+#: elf/dl-load.c:1306 elf/dl-load.h:130
 msgid "cannot change memory protections"
 msgstr "a memóriavédelem nem módosítható"
 
-#: elf/dl-load.c:1327
+#: elf/dl-load.c:1326
 msgid "cannot enable executable stack as shared object requires"
 msgstr "nem engedélyezhető a végrehajtható verem, mint ahogy a megosztott objektum megköveteli"
 
-#: elf/dl-load.c:1340
+#: elf/dl-load.c:1339
 msgid "cannot close file descriptor"
 msgstr "nem zárható le a fájlleíró"
 
-#: elf/dl-load.c:1570
+#: elf/dl-load.c:1568
 msgid "file too short"
 msgstr "a fájl túl rövid"
 
-#: elf/dl-load.c:1605
+#: elf/dl-load.c:1603
 msgid "invalid ELF header"
 msgstr "érvénytelen ELF fejléc"
 
-#: elf/dl-load.c:1617
+#: elf/dl-load.c:1615
 msgid "ELF file data encoding not big-endian"
 msgstr "az ELF fájladatok kódolása nem big endian"
 
-#: elf/dl-load.c:1619
+#: elf/dl-load.c:1617
 msgid "ELF file data encoding not little-endian"
 msgstr "az ELF fájladatok kódolása nem little endian"
 
-#: elf/dl-load.c:1623
+#: elf/dl-load.c:1621
 msgid "ELF file version ident does not match current one"
 msgstr "az ELF fájlverzió azonosítója nem felel meg az aktuálisnak"
 
-#: elf/dl-load.c:1627
+#: elf/dl-load.c:1625
 msgid "ELF file OS ABI invalid"
 msgstr "az ELF fájl OS ABI-ja érvénytelen"
 
-#: elf/dl-load.c:1630
+#: elf/dl-load.c:1628
 msgid "ELF file ABI version invalid"
 msgstr "az ELF fájl ABI verziója érvénytelen"
 
-#: elf/dl-load.c:1633
+#: elf/dl-load.c:1631
 msgid "nonzero padding in e_ident"
 msgstr ""
 
-#: elf/dl-load.c:1636
+#: elf/dl-load.c:1634
 msgid "internal error"
 msgstr "belső hiba"
 
-#: elf/dl-load.c:1643
+#: elf/dl-load.c:1641
 msgid "ELF file version does not match current one"
 msgstr "az ELF fájlverzió nem felel meg az aktuálisnak"
 
-#: elf/dl-load.c:1651
+#: elf/dl-load.c:1649
 msgid "only ET_DYN and ET_EXEC can be loaded"
 msgstr "csak az ET_DYN és ET_EXEC tölthető be"
 
-#: elf/dl-load.c:1667
+#: elf/dl-load.c:1665
 msgid "ELF file's phentsize not the expected size"
 msgstr "az ELF fájl phentsize értéke nem a várt méretű"
 
-#: elf/dl-load.c:2184
+#: elf/dl-load.c:2178
 msgid "wrong ELF class: ELFCLASS64"
 msgstr "hibás ELF osztály: ELFCLASS64"
 
-#: elf/dl-load.c:2185
+#: elf/dl-load.c:2179
 msgid "wrong ELF class: ELFCLASS32"
 msgstr "hibás ELF osztály: ELFCLASS32"
 
-#: elf/dl-load.c:2188
+#: elf/dl-load.c:2182
 msgid "cannot open shared object file"
 msgstr "nem nyitható meg a megosztott objektumfájl"
 
@@ -653,11 +653,11 @@ msgstr "a szegmens leképezése meghiúsult a megosztott objektumból"
 msgid "cannot map zero-fill pages"
 msgstr "nem képezhetők le a nullával kitöltött lapok"
 
-#: elf/dl-lookup.c:791
+#: elf/dl-lookup.c:845
 msgid "relocation error"
 msgstr "áthelyezési hiba"
 
-#: elf/dl-lookup.c:818
+#: elf/dl-lookup.c:872
 msgid "symbol lookup error"
 msgstr "szimbólumkikeresési hiba"
 
@@ -665,49 +665,40 @@ msgstr "szimbólumkikeresési hiba"
 msgid "cannot extend global scope"
 msgstr "a globális hatáskör nem bővíthető"
 
-#: elf/dl-open.c:520
+#: elf/dl-open.c:528
 msgid "TLS generation counter wrapped!  Please report this."
 msgstr ""
 
-#: elf/dl-open.c:542
-msgid "cannot load any more object with static TLS"
-msgstr ""
-
-#: elf/dl-open.c:599
+#: elf/dl-open.c:592
 msgid "invalid mode for dlopen()"
 msgstr ""
 
-#: elf/dl-open.c:616
+#: elf/dl-open.c:609
 msgid "no more namespaces available for dlmopen()"
 msgstr ""
 
-#: elf/dl-open.c:634
+#: elf/dl-open.c:633
 msgid "invalid target namespace in dlmopen()"
 msgstr ""
 
-#: elf/dl-reloc.c:120
+#: elf/dl-reloc.c:121
 msgid "cannot allocate memory in static TLS block"
 msgstr ""
 
-#: elf/dl-reloc.c:212
+#: elf/dl-reloc.c:206
 msgid "cannot make segment writable for relocation"
 msgstr ""
 
-#: elf/dl-reloc.c:275
-#, c-format
-msgid "%s: no PLTREL found in object %s\n"
-msgstr ""
-
-#: elf/dl-reloc.c:290
+#: elf/dl-reloc.c:276
 #, c-format
 msgid "%s: out of memory to store relocation results for %s\n"
 msgstr ""
 
-#: elf/dl-reloc.c:306
+#: elf/dl-reloc.c:292
 msgid "cannot restore segment prot after reloc"
 msgstr ""
 
-#: elf/dl-reloc.c:335
+#: elf/dl-reloc.c:323
 msgid "cannot apply additional memory protection after relocation"
 msgstr ""
 
@@ -715,7 +706,7 @@ msgstr ""
 msgid "RTLD_NEXT used in code not dynamically loaded"
 msgstr ""
 
-#: elf/dl-tls.c:933
+#: elf/dl-tls.c:934
 msgid "cannot create TLS data structures"
 msgstr ""
 
@@ -861,7 +852,7 @@ msgstr ""
 msgid "Can't open directory %s"
 msgstr ""
 
-#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:90
+#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:97
 #, c-format
 msgid "Input file %s not found.\n"
 msgstr ""
@@ -992,7 +983,7 @@ msgstr ""
 msgid "No such file or directory"
 msgstr "Nincs ilyen fájl vagy könyvtár"
 
-#: elf/ldd.bash.in:150 inet/rcmd.c:488
+#: elf/ldd.bash.in:150 inet/rcmd.c:492
 msgid "not regular file"
 msgstr ""
 
@@ -1041,71 +1032,77 @@ msgstr "a fejléc nem olvasható"
 msgid "cannot read program interpreter"
 msgstr "a fejléc nem olvasható"
 
-#: elf/pldd-xx.c:196
+#: elf/pldd-xx.c:197
 #, fuzzy, c-format
 #| msgid "cannot read file data"
 msgid "cannot read link map"
 msgstr "nem olvashatók a fájladatok"
 
-#: elf/pldd-xx.c:207
+#: elf/pldd-xx.c:209
 #, fuzzy, c-format
 #| msgid "cannot read header"
 msgid "cannot read object name"
 msgstr "a fejléc nem olvasható"
 
-#: elf/pldd.c:63
+#: elf/pldd-xx.c:219
+#, fuzzy, c-format
+#| msgid "cannot allocate memory for program header"
+msgid "cannot allocate buffer for object name"
+msgstr "nem foglalható memória a program fejlécének"
+
+#: elf/pldd.c:64
 msgid "List dynamic shared objects loaded into process."
 msgstr ""
 
-#: elf/pldd.c:67
+#: elf/pldd.c:68
 msgid "PID"
 msgstr ""
 
-#: elf/pldd.c:99
+#: elf/pldd.c:100
 #, c-format
 msgid "Exactly one parameter with process ID required.\n"
 msgstr ""
 
-#: elf/pldd.c:111
+#: elf/pldd.c:112
 #, fuzzy, c-format
 #| msgid "invalid pointer size"
 msgid "invalid process ID '%s'"
 msgstr "érvénytelen mutatóméret"
 
-#: elf/pldd.c:119
+#: elf/pldd.c:120
 #, fuzzy, c-format
 #| msgid "cannot open `%s'"
 msgid "cannot open %s"
 msgstr "„%s” nem nyitható meg"
 
-#: elf/pldd.c:144
+#: elf/pldd.c:152
 #, fuzzy, c-format
 #| msgid "cannot open `%s'"
 msgid "cannot open %s/task"
 msgstr "„%s” nem nyitható meg"
 
-#: elf/pldd.c:147
+#: elf/pldd.c:155
 #, c-format
 msgid "cannot prepare reading %s/task"
 msgstr ""
 
-#: elf/pldd.c:160
+#: elf/pldd.c:168
 #, fuzzy, c-format
 #| msgid "invalid ELF header"
 msgid "invalid thread ID '%s'"
 msgstr "érvénytelen ELF fejléc"
 
-#: elf/pldd.c:171
+#: elf/pldd.c:179
 #, c-format
 msgid "cannot attach to process %lu"
 msgstr ""
 
-#: elf/pldd.c:286
+#: elf/pldd.c:294
 #, c-format
 msgid "cannot get information about process %lu"
 msgstr ""
 
-#: elf/pldd.c:299
+#: elf/pldd.c:307
 #, c-format
 msgid "process %lu is no ELF program"
 msgstr ""
@@ -1140,27 +1137,27 @@ msgstr ""
 msgid "more than one dynamic segment\n"
 msgstr ""
 
-#: elf/readlib.c:96
+#: elf/readlib.c:103
 #, c-format
 msgid "Cannot fstat file %s.\n"
 msgstr ""
 
-#: elf/readlib.c:107
+#: elf/readlib.c:114
 #, c-format
 msgid "File %s is empty, not checked."
 msgstr ""
 
-#: elf/readlib.c:113
+#: elf/readlib.c:120
 #, c-format
 msgid "File %s is too small, not checked."
 msgstr ""
 
-#: elf/readlib.c:123
+#: elf/readlib.c:130
 #, c-format
 msgid "Cannot mmap file %s.\n"
 msgstr ""
 
-#: elf/readlib.c:161
+#: elf/readlib.c:169
 #, c-format
 msgid "%s is not an ELF file - it has the wrong magic bytes at the start.\n"
 msgstr ""
@@ -1286,9 +1283,9 @@ msgstr ""
 msgid "failed to load shared object `%s'"
 msgstr ""
 
-#: elf/sprof.c:442
+#: elf/sprof.c:442 elf/sprof.c:825 elf/sprof.c:923
 #, c-format
-msgid "cannot create internal descriptors"
+msgid "cannot create internal descriptor"
 msgstr ""
 
 #: elf/sprof.c:554
@@ -1356,11 +1353,6 @@ msgstr ""
 msgid "error while closing the profiling data file"
 msgstr ""
 
-#: elf/sprof.c:825 elf/sprof.c:923
-#, c-format
-msgid "cannot create internal descriptor"
-msgstr ""
-
 #: elf/sprof.c:899
 #, c-format
 msgid "`%s' is no correct profile data file for `%s'"
@@ -1604,27 +1596,27 @@ msgstr ""
 msgid "rcmd: %s: short read"
 msgstr ""
 
-#: inet/rcmd.c:486
+#: inet/rcmd.c:490
 msgid "lstat failed"
 msgstr ""
 
-#: inet/rcmd.c:493
+#: inet/rcmd.c:497
 msgid "cannot open"
 msgstr ""
 
-#: inet/rcmd.c:495
+#: inet/rcmd.c:499
 msgid "fstat failed"
 msgstr ""
 
-#: inet/rcmd.c:497
+#: inet/rcmd.c:501
 msgid "bad owner"
 msgstr ""
 
-#: inet/rcmd.c:499
+#: inet/rcmd.c:503
 msgid "writeable by other than owner"
 msgstr ""
 
-#: inet/rcmd.c:501
+#: inet/rcmd.c:505
 msgid "hard linked somewhere"
 msgstr ""
 
@@ -1744,8 +1736,8 @@ msgid "no symbolic name given for end of range"
 msgstr ""
 
 #: locale/programs/charmap.c:610 locale/programs/ld-address.c:528
-#: locale/programs/ld-collate.c:2626 locale/programs/ld-collate.c:3784
-#: locale/programs/ld-ctype.c:2162 locale/programs/ld-ctype.c:2913
+#: locale/programs/ld-collate.c:2635 locale/programs/ld-collate.c:3793
+#: locale/programs/ld-ctype.c:2128 locale/programs/ld-ctype.c:2840
 #: locale/programs/ld-identification.c:368
 #: locale/programs/ld-measurement.c:215 locale/programs/ld-messages.c:298
 #: locale/programs/ld-monetary.c:740 locale/programs/ld-name.c:264
@@ -1771,8 +1763,8 @@ msgid "%s: error in state machine"
 msgstr ""
 
 #: locale/programs/charmap.c:850 locale/programs/ld-address.c:544
-#: locale/programs/ld-collate.c:2623 locale/programs/ld-collate.c:3977
-#: locale/programs/ld-ctype.c:2159 locale/programs/ld-ctype.c:2930
+#: locale/programs/ld-collate.c:2632 locale/programs/ld-collate.c:3986
+#: locale/programs/ld-ctype.c:2125 locale/programs/ld-ctype.c:2857
 #: locale/programs/ld-identification.c:384
 #: locale/programs/ld-measurement.c:231 locale/programs/ld-messages.c:314
 #: locale/programs/ld-monetary.c:756 locale/programs/ld-name.c:280
@@ -1793,7 +1785,7 @@ msgstr ""
 msgid "number of bytes for byte sequence of beginning and end of range not the same: %d vs %d"
 msgstr ""
 
-#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2903
+#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2912
 #: locale/programs/repertoire.c:419
 msgid "invalid names for character range"
 msgstr ""
@@ -1815,8 +1807,8 @@ msgstr ""
 msgid "resulting bytes for range not representable."
 msgstr ""
 
-#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1565
-#: locale/programs/ld-ctype.c:465 locale/programs/ld-identification.c:133
+#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1566
+#: locale/programs/ld-ctype.c:431 locale/programs/ld-identification.c:133
 #: locale/programs/ld-measurement.c:94 locale/programs/ld-messages.c:97
 #: locale/programs/ld-monetary.c:193 locale/programs/ld-name.c:94
 #: locale/programs/ld-numeric.c:98 locale/programs/ld-paper.c:91
@@ -1880,7 +1872,7 @@ msgid "%s: numeric country code `%d' not valid"
 msgstr ""
 
 #: locale/programs/ld-address.c:436 locale/programs/ld-address.c:473
-#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2537
+#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2489
 #: locale/programs/ld-identification.c:280
 #: locale/programs/ld-measurement.c:198 locale/programs/ld-messages.c:267
 #: locale/programs/ld-monetary.c:495 locale/programs/ld-monetary.c:530
@@ -1902,8 +1894,8 @@ msgstr ""
 msgid "%s: unknown character in field `%s'"
 msgstr ""
 
-#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3782
-#: locale/programs/ld-ctype.c:2910 locale/programs/ld-identification.c:365
+#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3791
+#: locale/programs/ld-ctype.c:2837 locale/programs/ld-identification.c:365
 #: locale/programs/ld-measurement.c:212 locale/programs/ld-messages.c:296
 #: locale/programs/ld-monetary.c:738 locale/programs/ld-name.c:262
 #: locale/programs/ld-numeric.c:324 locale/programs/ld-paper.c:212
@@ -1912,12 +1904,12 @@ msgstr ""
 msgid "%s: incomplete `END' line"
 msgstr ""
 
-#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:551
-#: locale/programs/ld-collate.c:603 locale/programs/ld-collate.c:899
-#: locale/programs/ld-collate.c:912 locale/programs/ld-collate.c:2592
-#: locale/programs/ld-collate.c:2613 locale/programs/ld-collate.c:3967
-#: locale/programs/ld-ctype.c:1891 locale/programs/ld-ctype.c:2149
-#: locale/programs/ld-ctype.c:2735 locale/programs/ld-ctype.c:2921
+#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:552
+#: locale/programs/ld-collate.c:604 locale/programs/ld-collate.c:900
+#: locale/programs/ld-collate.c:913 locale/programs/ld-collate.c:2601
+#: locale/programs/ld-collate.c:2622 locale/programs/ld-collate.c:3976
+#: locale/programs/ld-ctype.c:1857 locale/programs/ld-ctype.c:2115
+#: locale/programs/ld-ctype.c:2687 locale/programs/ld-ctype.c:2848
 #: locale/programs/ld-identification.c:375
 #: locale/programs/ld-measurement.c:222 locale/programs/ld-messages.c:305
 #: locale/programs/ld-monetary.c:747 locale/programs/ld-name.c:271
@@ -1927,476 +1919,476 @@ msgstr ""
 msgid "%s: syntax error"
 msgstr ""
 
-#: locale/programs/ld-collate.c:426
+#: locale/programs/ld-collate.c:427
 #, c-format
 msgid "`%.*s' already defined in charmap"
 msgstr ""
 
-#: locale/programs/ld-collate.c:435
+#: locale/programs/ld-collate.c:436
 #, c-format
 msgid "`%.*s' already defined in repertoire"
 msgstr ""
 
-#: locale/programs/ld-collate.c:442
+#: locale/programs/ld-collate.c:443
 #, c-format
 msgid "`%.*s' already defined as collating symbol"
 msgstr ""
 
-#: locale/programs/ld-collate.c:449
+#: locale/programs/ld-collate.c:450
 #, c-format
 msgid "`%.*s' already defined as collating element"
 msgstr ""
 
-#: locale/programs/ld-collate.c:480 locale/programs/ld-collate.c:506
+#: locale/programs/ld-collate.c:481 locale/programs/ld-collate.c:507
 #, c-format
 msgid "%s: `forward' and `backward' are mutually excluding each other"
 msgstr ""
 
-#: locale/programs/ld-collate.c:490 locale/programs/ld-collate.c:516
-#: locale/programs/ld-collate.c:532
+#: locale/programs/ld-collate.c:491 locale/programs/ld-collate.c:517
+#: locale/programs/ld-collate.c:533
 #, c-format
 msgid "%s: `%s' mentioned more than once in definition of weight %d"
 msgstr ""
 
-#: locale/programs/ld-collate.c:588
+#: locale/programs/ld-collate.c:589
 #, c-format
 msgid "%s: too many rules; first entry only had %d"
 msgstr ""
 
-#: locale/programs/ld-collate.c:624
+#: locale/programs/ld-collate.c:625
 #, c-format
 msgid "%s: not enough sorting rules"
 msgstr ""
 
-#: locale/programs/ld-collate.c:789
+#: locale/programs/ld-collate.c:790
 #, c-format
 msgid "%s: empty weight string not allowed"
 msgstr ""
 
-#: locale/programs/ld-collate.c:884
+#: locale/programs/ld-collate.c:885
 #, c-format
 msgid "%s: weights must use the same ellipsis symbol as the name"
 msgstr ""
 
-#: locale/programs/ld-collate.c:940
+#: locale/programs/ld-collate.c:941
 #, c-format
 msgid "%s: too many values"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1060 locale/programs/ld-collate.c:1235
+#: locale/programs/ld-collate.c:1061 locale/programs/ld-collate.c:1236
 #, c-format
 msgid "order for `%.*s' already defined at %s:%Zu"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1110
+#: locale/programs/ld-collate.c:1111
 #, c-format
 msgid "%s: the start and the end symbol of a range must stand for characters"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1137
+#: locale/programs/ld-collate.c:1138
 #, c-format
 msgid "%s: byte sequences of first and last character must have the same length"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1179
+#: locale/programs/ld-collate.c:1180
 #, c-format
 msgid "%s: byte sequence of first character of range is not lower than that of the last character"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1304
+#: locale/programs/ld-collate.c:1305
 #, c-format
 msgid "%s: symbolic range ellipsis must not directly follow `order_start'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1308
+#: locale/programs/ld-collate.c:1309
 #, c-format
 msgid "%s: symbolic range ellipsis must not be directly followed by `order_end'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1328 locale/programs/ld-ctype.c:1408
+#: locale/programs/ld-collate.c:1329 locale/programs/ld-ctype.c:1374
 #, c-format
 msgid "`%s' and `%.*s' are not valid names for symbolic range"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1378 locale/programs/ld-collate.c:3718
+#: locale/programs/ld-collate.c:1379 locale/programs/ld-collate.c:3727
 #, c-format
 msgid "%s: order for `%.*s' already defined at %s:%Zu"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1387
+#: locale/programs/ld-collate.c:1388
 #, c-format
 msgid "%s: `%s' must be a character"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1582
+#: locale/programs/ld-collate.c:1583
 #, c-format
 msgid "%s: `position' must be used for a specific level in all sections or none"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1607
+#: locale/programs/ld-collate.c:1608
 #, c-format
 msgid "symbol `%s' not defined"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1683 locale/programs/ld-collate.c:1789
+#: locale/programs/ld-collate.c:1684 locale/programs/ld-collate.c:1790
 #, c-format
 msgid "symbol `%s' has the same encoding as"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1687 locale/programs/ld-collate.c:1793
+#: locale/programs/ld-collate.c:1688 locale/programs/ld-collate.c:1794
 #, c-format
 msgid "symbol `%s'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1833
+#: locale/programs/ld-collate.c:1834
 #, c-format
 msgid "no definition of `UNDEFINED'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1862
+#: locale/programs/ld-collate.c:1863
 #, c-format
 msgid "too many errors; giving up"
 msgstr ""
 
-#: locale/programs/ld-collate.c:2518 locale/programs/ld-collate.c:3906
+#: locale/programs/ld-collate.c:2527 locale/programs/ld-collate.c:3915
 #, c-format
 msgid "%s: nested conditionals not supported"
 msgstr ""
 
-#: locale/programs/ld-collate.c:2536
+#: locale/programs/ld-collate.c:2545
 #, c-format
 msgid "%s: more than one 'else'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:2711
+#: locale/programs/ld-collate.c:2720
 #, c-format
 msgid "%s: duplicate definition of `%s'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:2747
+#: locale/programs/ld-collate.c:2756
 #, c-format
 msgid "%s: duplicate declaration of section `%s'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:2883
+#: locale/programs/ld-collate.c:2892
 #, c-format
 msgid "%s: unknown character in collating symbol name"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3012
+#: locale/programs/ld-collate.c:3021
 #, c-format
 msgid "%s: unknown character in equivalent definition name"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3023
+#: locale/programs/ld-collate.c:3032
 #, c-format
 msgid "%s: unknown character in equivalent definition value"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3033
+#: locale/programs/ld-collate.c:3042
 #, c-format
 msgid "%s: unknown symbol `%s' in equivalent definition"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3042
+#: locale/programs/ld-collate.c:3051
 msgid "error while adding equivalent collating symbol"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3080
+#: locale/programs/ld-collate.c:3089
 #, c-format
 msgid "duplicate definition of script `%s'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3128
+#: locale/programs/ld-collate.c:3137
 #, c-format
 msgid "%s: unknown section name `%.*s'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3157
+#: locale/programs/ld-collate.c:3166
 #, c-format
 msgid "%s: multiple order definitions for section `%s'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3185
+#: locale/programs/ld-collate.c:3194
 #, c-format
 msgid "%s: invalid number of sorting rules"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3212
+#: locale/programs/ld-collate.c:3221
 #, c-format
 msgid "%s: multiple order definitions for unnamed section"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3267 locale/programs/ld-collate.c:3397
-#: locale/programs/ld-collate.c:3760
+#: locale/programs/ld-collate.c:3276 locale/programs/ld-collate.c:3406
+#: locale/programs/ld-collate.c:3769
 #, c-format
 msgid "%s: missing `order_end' keyword"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3330
+#: locale/programs/ld-collate.c:3339
 #, c-format
 msgid "%s: order for collating symbol %.*s not yet defined"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3348
+#: locale/programs/ld-collate.c:3357
 #, c-format
 msgid "%s: order for collating element %.*s not yet defined"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3359
+#: locale/programs/ld-collate.c:3368
 #, c-format
 msgid "%s: cannot reorder after %.*s: symbol not known"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3411 locale/programs/ld-collate.c:3772
+#: locale/programs/ld-collate.c:3420 locale/programs/ld-collate.c:3781
 #, c-format
 msgid "%s: missing `reorder-end' keyword"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3445 locale/programs/ld-collate.c:3643
+#: locale/programs/ld-collate.c:3454 locale/programs/ld-collate.c:3652
 #, c-format
 msgid "%s: section `%.*s' not known"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3510
+#: locale/programs/ld-collate.c:3519
 #, c-format
 msgid "%s: bad symbol <%.*s>"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3706
+#: locale/programs/ld-collate.c:3715
 #, c-format
 msgid "%s: cannot have `%s' as end of ellipsis range"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3756
+#: locale/programs/ld-collate.c:3765
 #, c-format
 msgid "%s: empty category description not allowed"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3775
+#: locale/programs/ld-collate.c:3784
 #, c-format
 msgid "%s: missing `reorder-sections-end' keyword"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3939
+#: locale/programs/ld-collate.c:3948
 #, c-format
 msgid "%s: '%s' without matching 'ifdef' or 'ifndef'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3957
+#: locale/programs/ld-collate.c:3966
 #, c-format
 msgid "%s: 'endif' without matching 'ifdef' or 'ifndef'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:484
+#: locale/programs/ld-ctype.c:450
 #, c-format
 msgid "No character set name specified in charmap"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:513
+#: locale/programs/ld-ctype.c:479
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must be in class `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:528
+#: locale/programs/ld-ctype.c:494
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must not be in class `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:542 locale/programs/ld-ctype.c:600
+#: locale/programs/ld-ctype.c:508 locale/programs/ld-ctype.c:566
 #, c-format
 msgid "internal error in %s, line %u"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:571
+#: locale/programs/ld-ctype.c:537
 #, c-format
 msgid "character '%s' in class `%s' must be in class `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:587
+#: locale/programs/ld-ctype.c:553
 #, c-format
 msgid "character '%s' in class `%s' must not be in class `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:617 locale/programs/ld-ctype.c:655
+#: locale/programs/ld-ctype.c:583 locale/programs/ld-ctype.c:621
 #, c-format
 msgid "<SP> character not in class `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:629 locale/programs/ld-ctype.c:666
+#: locale/programs/ld-ctype.c:595 locale/programs/ld-ctype.c:632
 #, c-format
 msgid "<SP> character must not be in class `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:644
+#: locale/programs/ld-ctype.c:610
 #, c-format
 msgid "character <SP> not defined in character map"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:780
+#: locale/programs/ld-ctype.c:746
 #, c-format
 msgid "`digit' category has not entries in groups of ten"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:829
+#: locale/programs/ld-ctype.c:795
 #, c-format
 msgid "no input digits defined and none of the standard names in the charmap"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:894
+#: locale/programs/ld-ctype.c:860
 #, c-format
 msgid "not all characters used in `outdigit' are available in the charmap"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:911
+#: locale/programs/ld-ctype.c:877
 #, c-format
 msgid "not all characters used in `outdigit' are available in the repertoire"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1176
+#: locale/programs/ld-ctype.c:1142
 #, c-format
 msgid "character class `%s' already defined"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1182
+#: locale/programs/ld-ctype.c:1148
 #, c-format
 msgid "implementation limit: no more than %Zd character classes allowed"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1208
+#: locale/programs/ld-ctype.c:1174
 #, c-format
 msgid "character map `%s' already defined"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1214
+#: locale/programs/ld-ctype.c:1180
 #, c-format
 msgid "implementation limit: no more than %d character maps allowed"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1479 locale/programs/ld-ctype.c:1604
-#: locale/programs/ld-ctype.c:1710 locale/programs/ld-ctype.c:2400
-#: locale/programs/ld-ctype.c:3397
+#: locale/programs/ld-ctype.c:1445 locale/programs/ld-ctype.c:1570
+#: locale/programs/ld-ctype.c:1676 locale/programs/ld-ctype.c:2352
+#: locale/programs/ld-ctype.c:3324
 #, c-format
 msgid "%s: field `%s' does not contain exactly ten entries"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1507 locale/programs/ld-ctype.c:2081
+#: locale/programs/ld-ctype.c:1473 locale/programs/ld-ctype.c:2047
 #, c-format
 msgid "to-value <U%0*X> of range is smaller than from-value <U%0*X>"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1634
+#: locale/programs/ld-ctype.c:1600
 msgid "start and end character sequence of range must have the same length"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1641
+#: locale/programs/ld-ctype.c:1607
 msgid "to-value character sequence is smaller than from-value sequence"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2001 locale/programs/ld-ctype.c:2052
+#: locale/programs/ld-ctype.c:1967 locale/programs/ld-ctype.c:2018
 msgid "premature end of `translit_ignore' definition"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2007 locale/programs/ld-ctype.c:2058
-#: locale/programs/ld-ctype.c:2100
+#: locale/programs/ld-ctype.c:1973 locale/programs/ld-ctype.c:2024
+#: locale/programs/ld-ctype.c:2066
 msgid "syntax error"
 msgstr "szintaktikai hiba"
 
-#: locale/programs/ld-ctype.c:2233
+#: locale/programs/ld-ctype.c:2199
 #, c-format
 msgid "%s: syntax error in definition of new character class"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2248
+#: locale/programs/ld-ctype.c:2214
 #, c-format
 msgid "%s: syntax error in definition of new character map"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2422
+#: locale/programs/ld-ctype.c:2374
 msgid "ellipsis range must be marked by two operands of same type"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2431
+#: locale/programs/ld-ctype.c:2383
 msgid "with symbolic name range values the absolute ellipsis `...' must not be used"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2446
+#: locale/programs/ld-ctype.c:2398
 msgid "with UCS range values one must use the hexadecimal symbolic ellipsis `..'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2460
+#: locale/programs/ld-ctype.c:2412
 msgid "with character code range values one must use the absolute ellipsis `...'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2611
+#: locale/programs/ld-ctype.c:2563
 #, c-format
 msgid "duplicated definition for mapping `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2697 locale/programs/ld-ctype.c:2841
+#: locale/programs/ld-ctype.c:2649 locale/programs/ld-ctype.c:2793
 #, c-format
 msgid "%s: `translit_start' section does not end with `translit_end'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2792
+#: locale/programs/ld-ctype.c:2744
 #, c-format
 msgid "%s: duplicate `default_missing' definition"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2797
+#: locale/programs/ld-ctype.c:2749
 msgid "previous definition was here"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2819
+#: locale/programs/ld-ctype.c:2771
 #, c-format
 msgid "%s: no representable `default_missing' definition found"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2962 locale/programs/ld-ctype.c:3059
-#: locale/programs/ld-ctype.c:3079 locale/programs/ld-ctype.c:3100
-#: locale/programs/ld-ctype.c:3121 locale/programs/ld-ctype.c:3142
-#: locale/programs/ld-ctype.c:3163 locale/programs/ld-ctype.c:3203
-#: locale/programs/ld-ctype.c:3224 locale/programs/ld-ctype.c:3289
-#: locale/programs/ld-ctype.c:3331 locale/programs/ld-ctype.c:3356
+#: locale/programs/ld-ctype.c:2889 locale/programs/ld-ctype.c:2986
+#: locale/programs/ld-ctype.c:3006 locale/programs/ld-ctype.c:3027
+#: locale/programs/ld-ctype.c:3048 locale/programs/ld-ctype.c:3069
+#: locale/programs/ld-ctype.c:3090 locale/programs/ld-ctype.c:3130
+#: locale/programs/ld-ctype.c:3151 locale/programs/ld-ctype.c:3216
+#: locale/programs/ld-ctype.c:3258 locale/programs/ld-ctype.c:3283
 #, c-format
 msgid "%s: character `%s' not defined while needed as default value"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2967 locale/programs/ld-ctype.c:3064
-#: locale/programs/ld-ctype.c:3084 locale/programs/ld-ctype.c:3105
-#: locale/programs/ld-ctype.c:3126 locale/programs/ld-ctype.c:3147
-#: locale/programs/ld-ctype.c:3168 locale/programs/ld-ctype.c:3208
-#: locale/programs/ld-ctype.c:3229 locale/programs/ld-ctype.c:3294
+#: locale/programs/ld-ctype.c:2894 locale/programs/ld-ctype.c:2991
+#: locale/programs/ld-ctype.c:3011 locale/programs/ld-ctype.c:3032
+#: locale/programs/ld-ctype.c:3053 locale/programs/ld-ctype.c:3074
+#: locale/programs/ld-ctype.c:3095 locale/programs/ld-ctype.c:3135
+#: locale/programs/ld-ctype.c:3156 locale/programs/ld-ctype.c:3221
 #, c-format
 msgid "%s: character `%s' in charmap not representable with one byte"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3338 locale/programs/ld-ctype.c:3363
+#: locale/programs/ld-ctype.c:3265 locale/programs/ld-ctype.c:3290
 #, c-format
 msgid "%s: character `%s' needed as default value not representable with one byte"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3419
+#: locale/programs/ld-ctype.c:3346
 #, c-format
 msgid "no output digits defined and none of the standard names in the charmap"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3668
+#: locale/programs/ld-ctype.c:3595
 #, c-format
 msgid "%s: transliteration data from locale `%s' not available"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3768
+#: locale/programs/ld-ctype.c:3695
 #, c-format
 msgid "%s: table for class \"%s\": %lu bytes\n"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3833
+#: locale/programs/ld-ctype.c:3760
 #, c-format
 msgid "%s: table for map \"%s\": %lu bytes\n"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3958
+#: locale/programs/ld-ctype.c:3885
 #, c-format
 msgid "%s: table for width: %lu bytes\n"
 msgstr ""
@@ -3775,17 +3767,22 @@ msgstr ""
 msgid " (first)"
 msgstr ""
 
-#: nscd/cache.c:285 nscd/connections.c:1000
+#: nscd/cache.c:288
 #, c-format
-msgid "cannot stat() file `%s': %s"
+msgid "checking for monitored file `%s': %s"
 msgstr ""
 
-#: nscd/cache.c:331
+#: nscd/cache.c:298
+#, c-format
+msgid "monitored file `%s` changed (mtime)"
+msgstr ""
+
+#: nscd/cache.c:341
 #, c-format
 msgid "pruning %s cache; time %ld"
 msgstr ""
 
-#: nscd/cache.c:360
+#: nscd/cache.c:370
 #, c-format
 msgid "considering %s entry \"%s\", timeout %<PRIu64>"
 msgstr ""
@@ -3871,153 +3868,213 @@ msgstr ""
 msgid "cannot enable socket to accept connections: %s"
 msgstr ""
 
-#: nscd/connections.c:984
+#: nscd/connections.c:973
+#, c-format
+msgid "disabled inotify-based monitoring for file `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:977
+#, c-format
+msgid "monitoring file `%s` (%d)"
+msgstr ""
+
+#: nscd/connections.c:990
+#, c-format
+msgid "disabled inotify-based monitoring for directory `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:994
+#, c-format
+msgid "monitoring directory `%s` (%d)"
+msgstr ""
+
+#: nscd/connections.c:1022
+#, c-format
+msgid "monitoring file %s for database %s"
+msgstr ""
+
+#: nscd/connections.c:1032
 #, c-format
-msgid "register trace file %s for database %s"
+msgid "stat failed for file `%s'; will try again later: %s"
 msgstr ""
 
-#: nscd/connections.c:1114
+#: nscd/connections.c:1151
 #, c-format
 msgid "provide access to FD %d, for %s"
 msgstr ""
 
-#: nscd/connections.c:1126
+#: nscd/connections.c:1163
 #, c-format
 msgid "cannot handle old request version %d; current version is %d"
 msgstr ""
 
-#: nscd/connections.c:1148
+#: nscd/connections.c:1185
 #, c-format
 msgid "request from %ld not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1153
+#: nscd/connections.c:1190
 #, c-format
 msgid "request from '%s' [%ld] not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1158
+#: nscd/connections.c:1195
 msgid "request not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1196 nscd/connections.c:1249
+#: nscd/connections.c:1233 nscd/connections.c:1286
 #, c-format
 msgid "cannot write result: %s"
 msgstr ""
 
-#: nscd/connections.c:1340
+#: nscd/connections.c:1377
 #, c-format
 msgid "error getting caller's id: %s"
 msgstr ""
 
-#: nscd/connections.c:1400
+#: nscd/connections.c:1437
 #, c-format
 msgid "cannot open /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1414
+#: nscd/connections.c:1451
 #, c-format
 msgid "cannot read /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1454
+#: nscd/connections.c:1491
 #, c-format
 msgid "cannot change to old UID: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1464
+#: nscd/connections.c:1501
 #, c-format
 msgid "cannot change to old GID: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1477
+#: nscd/connections.c:1514
 #, c-format
 msgid "cannot change to old working directory: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1523
+#: nscd/connections.c:1560
 #, c-format
 msgid "re-exec failed: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1532
+#: nscd/connections.c:1569
 #, c-format
 msgid "cannot change current working directory to \"/\": %s"
 msgstr ""
 
-#: nscd/connections.c:1725
+#: nscd/connections.c:1762
 #, c-format
 msgid "short read while reading request: %s"
 msgstr ""
 
-#: nscd/connections.c:1758
+#: nscd/connections.c:1795
 #, c-format
 msgid "key length in request too long: %d"
 msgstr ""
 
-#: nscd/connections.c:1771
+#: nscd/connections.c:1808
 #, c-format
 msgid "short read while reading request key: %s"
 msgstr ""
 
-#: nscd/connections.c:1781
+#: nscd/connections.c:1818
 #, c-format
 msgid "handle_request: request received (Version = %d) from PID %ld"
 msgstr ""
 
-#: nscd/connections.c:1786
+#: nscd/connections.c:1823
 #, c-format
 msgid "handle_request: request received (Version = %d)"
 msgstr ""
 
-#: nscd/connections.c:2050 nscd/connections.c:2252
+#: nscd/connections.c:1963
+#, c-format
+msgid "ignored inotify event for `%s` (file exists)"
+msgstr ""
+
+#: nscd/connections.c:1968
+#, c-format
+msgid "monitored file `%s` was %s, removing watch"
+msgstr ""
+
+#: nscd/connections.c:1976 nscd/connections.c:2018
+#, c-format
+msgid "failed to remove file watch `%s`: %s"
+msgstr ""
+
+#: nscd/connections.c:1991
+#, c-format
+msgid "monitored file `%s` was written to"
+msgstr ""
+
+#: nscd/connections.c:2015
+#, c-format
+msgid "monitored parent directory `%s` was %s, removing watch on `%s`"
+msgstr ""
+
+#: nscd/connections.c:2041
+#, c-format
+msgid "monitored file `%s` was %s, adding watch"
+msgstr ""
+
+#: nscd/connections.c:2053
 #, c-format
-msgid "disabled inotify after read error %d"
+msgid "failed to add file watch `%s`: %s"
 msgstr ""
 
-#: nscd/connections.c:2375
+#: nscd/connections.c:2247 nscd/connections.c:2428
+#, c-format
+msgid "disabled inotify-based monitoring after read error %d"
+msgstr ""
+
+#: nscd/connections.c:2543
 msgid "could not initialize conditional variable"
 msgstr ""
 
-#: nscd/connections.c:2383
+#: nscd/connections.c:2551
 msgid "could not start clean-up thread; terminating"
 msgstr ""
 
-#: nscd/connections.c:2397
+#: nscd/connections.c:2565
 msgid "could not start any worker thread; terminating"
 msgstr ""
 
-#: nscd/connections.c:2452 nscd/connections.c:2454 nscd/connections.c:2470
-#: nscd/connections.c:2480 nscd/connections.c:2498 nscd/connections.c:2509
-#: nscd/connections.c:2519
+#: nscd/connections.c:2620 nscd/connections.c:2622 nscd/connections.c:2638
+#: nscd/connections.c:2648 nscd/connections.c:2666 nscd/connections.c:2677
+#: nscd/connections.c:2687
 #, c-format
 msgid "Failed to run nscd as user '%s'"
 msgstr ""
 
-#: nscd/connections.c:2472
+#: nscd/connections.c:2640
 msgid "initial getgrouplist failed"
 msgstr ""
 
-#: nscd/connections.c:2481
+#: nscd/connections.c:2649
 msgid "getgrouplist failed"
 msgstr ""
 
-#: nscd/connections.c:2499
+#: nscd/connections.c:2667
 msgid "setgroups failed"
 msgstr ""
 
-#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:410
+#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:411
 #: nscd/pwdcache.c:383 nscd/servicescache.c:338
 #, c-format
 msgid "short write in %s: %s"
 msgstr ""
 
-#: nscd/grpcache.c:450 nscd/initgrcache.c:77
+#: nscd/grpcache.c:450 nscd/initgrcache.c:78
 #, c-format
 msgid "Haven't found \"%s\" in group cache!"
 msgstr ""
 
-#: nscd/grpcache.c:452 nscd/initgrcache.c:79
+#: nscd/grpcache.c:452 nscd/initgrcache.c:80
 #, c-format
 msgid "Reloading \"%s\" in group cache!"
 msgstr ""
@@ -4105,7 +4162,7 @@ msgstr ""
 msgid "Name Service Cache Daemon."
 msgstr ""
 
-#: nscd/nscd.c:155 nss/getent.c:1003 nss/makedb.c:206
+#: nscd/nscd.c:155 nss/getent.c:1007 nss/makedb.c:206
 #, c-format
 msgid "wrong number of arguments"
 msgstr ""
@@ -4139,7 +4196,7 @@ msgstr ""
 msgid "Could not create log file"
 msgstr ""
 
-#: nscd/nscd.c:355 nscd/nscd_stat.c:192
+#: nscd/nscd.c:355 nscd/nscd_stat.c:194
 #, c-format
 msgid "write incomplete"
 msgstr ""
@@ -4154,7 +4211,7 @@ msgstr ""
 msgid "invalidation failed"
 msgstr ""
 
-#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:173
+#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:175
 #, c-format
 msgid "Only root is allowed to use this option!"
 msgstr ""
@@ -4235,35 +4292,35 @@ msgstr ""
 msgid "maximum file size for %s database too small"
 msgstr ""
 
-#: nscd/nscd_stat.c:142
+#: nscd/nscd_stat.c:144
 #, c-format
 msgid "cannot write statistics: %s"
 msgstr ""
 
-#: nscd/nscd_stat.c:157
+#: nscd/nscd_stat.c:159
 msgid "yes"
 msgstr "igen"
 
-#: nscd/nscd_stat.c:158
+#: nscd/nscd_stat.c:160
 msgid "no"
 msgstr "nem"
 
-#: nscd/nscd_stat.c:169
+#: nscd/nscd_stat.c:171
 #, c-format
 msgid "Only root or %s is allowed to use this option!"
 msgstr ""
 
-#: nscd/nscd_stat.c:180
+#: nscd/nscd_stat.c:182
 #, c-format
 msgid "nscd not running!\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:204
+#: nscd/nscd_stat.c:206
 #, c-format
 msgid "cannot read statistics data"
 msgstr ""
 
-#: nscd/nscd_stat.c:207
+#: nscd/nscd_stat.c:209
 #, c-format
 msgid ""
 "nscd configuration:\n"
@@ -4271,27 +4328,27 @@ msgid ""
 "%15d  server debug level\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:231
+#: nscd/nscd_stat.c:233
 #, c-format
 msgid "%3ud %2uh %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:234
+#: nscd/nscd_stat.c:236
 #, c-format
 msgid "    %2uh %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:236
+#: nscd/nscd_stat.c:238
 #, c-format
 msgid "        %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:238
+#: nscd/nscd_stat.c:240
 #, c-format
 msgid "            %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:240
+#: nscd/nscd_stat.c:242
 #, c-format
 msgid ""
 "%15d  current number of threads\n"
@@ -4302,7 +4359,7 @@ msgid ""
 "%15u  reload count\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:275
+#: nscd/nscd_stat.c:277
 #, c-format
 msgid ""
 "\n"
@@ -4345,85 +4402,85 @@ msgstr ""
 msgid "Invalid numeric uid \"%s\"!"
 msgstr ""
 
-#: nscd/selinux.c:155
+#: nscd/selinux.c:154
 #, c-format
 msgid "Failed opening connection to the audit subsystem: %m"
 msgstr ""
 
-#: nscd/selinux.c:176
+#: nscd/selinux.c:175
 msgid "Failed to set keep-capabilities"
 msgstr ""
 
-#: nscd/selinux.c:177 nscd/selinux.c:240
+#: nscd/selinux.c:176 nscd/selinux.c:239
 msgid "prctl(KEEPCAPS) failed"
 msgstr ""
 
-#: nscd/selinux.c:191
+#: nscd/selinux.c:190
 msgid "Failed to initialize drop of capabilities"
 msgstr ""
 
-#: nscd/selinux.c:192
+#: nscd/selinux.c:191
 msgid "cap_init failed"
 msgstr ""
 
-#: nscd/selinux.c:213 nscd/selinux.c:230
+#: nscd/selinux.c:212 nscd/selinux.c:229
 msgid "Failed to drop capabilities"
 msgstr ""
 
-#: nscd/selinux.c:214 nscd/selinux.c:231
+#: nscd/selinux.c:213 nscd/selinux.c:230
 msgid "cap_set_proc failed"
 msgstr ""
 
-#: nscd/selinux.c:239
+#: nscd/selinux.c:238
 msgid "Failed to unset keep-capabilities"
 msgstr ""
 
-#: nscd/selinux.c:255
+#: nscd/selinux.c:254
 msgid "Failed to determine if kernel supports SELinux"
 msgstr ""
 
-#: nscd/selinux.c:270
+#: nscd/selinux.c:269
 msgid "Failed to start AVC thread"
 msgstr ""
 
-#: nscd/selinux.c:292
+#: nscd/selinux.c:291
 msgid "Failed to create AVC lock"
 msgstr ""
 
-#: nscd/selinux.c:332
+#: nscd/selinux.c:331
 msgid "Failed to start AVC"
 msgstr ""
 
-#: nscd/selinux.c:334
+#: nscd/selinux.c:333
 msgid "Access Vector Cache (AVC) started"
 msgstr ""
 
-#: nscd/selinux.c:369
+#: nscd/selinux.c:368
 msgid "Error querying policy for undefined object classes or permissions."
 msgstr ""
 
-#: nscd/selinux.c:376
+#: nscd/selinux.c:375
 msgid "Error getting security class for nscd."
 msgstr ""
 
-#: nscd/selinux.c:381
+#: nscd/selinux.c:380
 #, c-format
 msgid "Error translating permission name \"%s\" to access vector bit."
 msgstr ""
 
-#: nscd/selinux.c:391
+#: nscd/selinux.c:390
 msgid "Error getting context of socket peer"
 msgstr ""
 
-#: nscd/selinux.c:396
+#: nscd/selinux.c:395
 msgid "Error getting context of nscd"
 msgstr ""
 
-#: nscd/selinux.c:402
+#: nscd/selinux.c:401
 msgid "Error getting sid from context"
 msgstr ""
 
-#: nscd/selinux.c:440
+#: nscd/selinux.c:439
 #, c-format
 msgid ""
 "\n"
@@ -4474,16 +4531,16 @@ msgstr ""
 msgid "Enumeration not supported on %s\n"
 msgstr ""
 
-#: nss/getent.c:917
+#: nss/getent.c:921
 #, c-format
 msgid "Unknown database name"
 msgstr ""
 
-#: nss/getent.c:947
+#: nss/getent.c:951
 msgid "Supported databases:\n"
 msgstr ""
 
-#: nss/getent.c:1013
+#: nss/getent.c:1017
 #, c-format
 msgid "Unknown database: %s\n"
 msgstr ""
@@ -4765,7 +4822,7 @@ msgstr "Pár nélküli ) vagy \\)"
 msgid "No previous regular expression"
 msgstr "Nincs megelőző szabályos kifejezés"
 
-#: posix/wordexp.c:1844
+#: posix/wordexp.c:1851
 msgid "parameter null or not set"
 msgstr ""
 
diff --git a/po/ia.po b/po/ia.po
index eb1c290..43de5c2 100644
--- a/po/ia.po
+++ b/po/ia.po
@@ -6,7 +6,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: libc 2.17-pre1\n"
-"POT-Creation-Date: 2015-01-20 22:14-0500\n"
+"POT-Creation-Date: 2015-07-31 00:10-0400\n"
 "PO-Revision-Date: 2013-04-26 04:10+0400\n"
 "Last-Translator: Nik Kalach <nik.kalach@inbox.ru>\n"
 "Language-Team: Interlingua <translation-team-ia@lists.sourceforge.net>\n"
@@ -143,10 +143,10 @@ msgstr ""
 "[FILE-OUTPUT [FILE-INPUT]...]"
 
 #: catgets/gencat.c:229 debug/pcprofiledump.c:209 elf/ldconfig.c:307
-#: elf/pldd.c:244 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
+#: elf/pldd.c:252 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
 #: iconv/iconvconfig.c:379 locale/programs/locale.c:277
 #: locale/programs/localedef.c:376 login/programs/pt_chown.c:88
-#: malloc/memusagestat.c:563 nss/getent.c:969 nss/makedb.c:369
+#: malloc/memusagestat.c:563 nss/getent.c:973 nss/makedb.c:369
 #: posix/getconf.c:486 sunrpc/rpcinfo.c:691
 #: sysdeps/unix/sysv/linux/lddlibc4.c:61
 #, c-format
@@ -158,7 +158,7 @@ msgstr ""
 "%s.\n"
 
 #: catgets/gencat.c:245 debug/pcprofiledump.c:225 debug/xtrace.sh:64
-#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:260 elf/sotruss.sh:75
+#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:268 elf/sotruss.sh:75
 #: elf/sprof.c:389 iconv/iconv_prog.c:425 iconv/iconvconfig.c:396
 #: locale/programs/locale.c:294 locale/programs/localedef.c:402
 #: login/programs/pt_chown.c:62 malloc/memusage.sh:71
@@ -175,7 +175,7 @@ msgstr ""
 "NULLE garantia; atque pro MERCABILETATE o APTITUDE PRO UN PROPOSITO PARTICULAR.\n"
 
 #: catgets/gencat.c:250 debug/pcprofiledump.c:230 debug/xtrace.sh:68
-#: elf/ldconfig.c:328 elf/pldd.c:265 elf/sprof.c:395 iconv/iconv_prog.c:430
+#: elf/ldconfig.c:328 elf/pldd.c:273 elf/sprof.c:395 iconv/iconv_prog.c:430
 #: iconv/iconvconfig.c:401 locale/programs/locale.c:299
 #: locale/programs/localedef.c:407 malloc/memusage.sh:75
 #: malloc/memusagestat.c:586 nscd/nscd.c:514 nss/getent.c:91 nss/makedb.c:390
@@ -430,11 +430,11 @@ msgstr "Insuccesso del modification del derectos de accesso de %s a %#o"
 msgid "Renaming of %s to %s failed"
 msgstr "Insuccesso del cambiamento de nomine %s a %s"
 
-#: elf/dl-close.c:385 elf/dl-open.c:470
+#: elf/dl-close.c:396 elf/dl-open.c:478
 msgid "cannot create scope list"
 msgstr "impossibile de crear un lista de ambito"
 
-#: elf/dl-close.c:770
+#: elf/dl-close.c:816
 msgid "shared object not open"
 msgstr "objecto condivise non aperte"
 
@@ -507,127 +507,127 @@ msgstr "impossibile de crear un array del percurso de cerca"
 msgid "cannot stat shared object"
 msgstr "impossibile de effectuar stat sur le objecto condivise"
 
-#: elf/dl-load.c:963
+#: elf/dl-load.c:962
 msgid "cannot open zero fill device"
 msgstr "impossibile de aperir un dispositovo de impletion con zeros"
 
-#: elf/dl-load.c:1010 elf/dl-load.c:2165
+#: elf/dl-load.c:1009 elf/dl-load.c:2159
 msgid "cannot create shared object descriptor"
 msgstr "impossibile de crear un descriptor de objecto condivise"
 
-#: elf/dl-load.c:1029 elf/dl-load.c:1570 elf/dl-load.c:1682
+#: elf/dl-load.c:1028 elf/dl-load.c:1568 elf/dl-load.c:1680
 msgid "cannot read file data"
 msgstr "impossibile de leger datos del file"
 
-#: elf/dl-load.c:1069
+#: elf/dl-load.c:1068
 msgid "ELF load command alignment not page-aligned"
 msgstr "Le commando de cargar ELF non es alineate a un pagina"
 
-#: elf/dl-load.c:1076
+#: elf/dl-load.c:1075
 msgid "ELF load command address/offset not properly aligned"
 msgstr "Le adresso o displaciamento del commando de cargar ELF non es alineate correctemente"
 
-#: elf/dl-load.c:1160
+#: elf/dl-load.c:1159
 msgid "cannot allocate TLS data structures for initial thread"
 msgstr "impossibile de allocar le structura de datos TLS pro le filo initial"
 
-#: elf/dl-load.c:1183
+#: elf/dl-load.c:1182
 msgid "cannot handle TLS data"
 msgstr "impossibile de tractar datos TLS"
 
-#: elf/dl-load.c:1202
+#: elf/dl-load.c:1201
 msgid "object file has no loadable segments"
 msgstr "le file de objecto non ha segmentos cargabile"
 
-#: elf/dl-load.c:1211 elf/dl-load.c:1662
+#: elf/dl-load.c:1210 elf/dl-load.c:1660
 msgid "cannot dynamically load executable"
 msgstr "impossibile de cargar dynamicamente un executabile"
 
-#: elf/dl-load.c:1232
+#: elf/dl-load.c:1231
 msgid "object file has no dynamic section"
 msgstr "le file de objecto non ha un section dynamic"
 
-#: elf/dl-load.c:1255
+#: elf/dl-load.c:1254
 msgid "shared object cannot be dlopen()ed"
 msgstr "le objecto condivise non pote esser aperite via dlopen()"
 
-#: elf/dl-load.c:1268
+#: elf/dl-load.c:1267
 msgid "cannot allocate memory for program header"
 msgstr "impossibile de allocar le memoria pro un testa de programma"
 
-#: elf/dl-load.c:1284 elf/dl-open.c:195
+#: elf/dl-load.c:1283 elf/dl-open.c:195
 msgid "invalid caller"
 msgstr "appellante invalide"
 
-#: elf/dl-load.c:1307 elf/dl-load.h:130
+#: elf/dl-load.c:1306 elf/dl-load.h:130
 msgid "cannot change memory protections"
 msgstr "impossibile de modificar le protection de memoria"
 
-#: elf/dl-load.c:1327
+#: elf/dl-load.c:1326
 msgid "cannot enable executable stack as shared object requires"
 msgstr "impossibile de habilitar un pila executabile como le objecto condivise necessita"
 
-#: elf/dl-load.c:1340
+#: elf/dl-load.c:1339
 msgid "cannot close file descriptor"
 msgstr "impossibile de clauder un descriptor de file"
 
-#: elf/dl-load.c:1570
+#: elf/dl-load.c:1568
 msgid "file too short"
 msgstr "file troppo curte"
 
-#: elf/dl-load.c:1605
+#: elf/dl-load.c:1603
 msgid "invalid ELF header"
 msgstr "testa ELF incorrecte"
 
-#: elf/dl-load.c:1617
+#: elf/dl-load.c:1615
 msgid "ELF file data encoding not big-endian"
 msgstr "le codification de datos del file ELF non es big-endian"
 
-#: elf/dl-load.c:1619
+#: elf/dl-load.c:1617
 msgid "ELF file data encoding not little-endian"
 msgstr "le codification de datos del file ELF non es little-endian"
 
-#: elf/dl-load.c:1623
+#: elf/dl-load.c:1621
 msgid "ELF file version ident does not match current one"
 msgstr "le identificator de version del file ELF non corresponde con le version actual"
 
-#: elf/dl-load.c:1627
+#: elf/dl-load.c:1625
 msgid "ELF file OS ABI invalid"
 msgstr "ABI de systema operative del file ELF invalide"
 
-#: elf/dl-load.c:1630
+#: elf/dl-load.c:1628
 msgid "ELF file ABI version invalid"
 msgstr "Version de ABI del file ELF invalide"
 
-#: elf/dl-load.c:1633
+#: elf/dl-load.c:1631
 msgid "nonzero padding in e_ident"
 msgstr "impletion con non-zeros in e_ident"
 
-#: elf/dl-load.c:1636
+#: elf/dl-load.c:1634
 msgid "internal error"
 msgstr "error interne"
 
-#: elf/dl-load.c:1643
+#: elf/dl-load.c:1641
 msgid "ELF file version does not match current one"
 msgstr "Le version del file ELF non corresponde con le version actual"
 
-#: elf/dl-load.c:1651
+#: elf/dl-load.c:1649
 msgid "only ET_DYN and ET_EXEC can be loaded"
 msgstr "solo ET_DYN e ET_EXEC pote esser cargate"
 
-#: elf/dl-load.c:1667
+#: elf/dl-load.c:1665
 msgid "ELF file's phentsize not the expected size"
 msgstr "Le valor `phentsize' del file ELF non concorda con le expectation"
 
-#: elf/dl-load.c:2184
+#: elf/dl-load.c:2178
 msgid "wrong ELF class: ELFCLASS64"
 msgstr "classe ELF incorrecte: ELFCLASS64"
 
-#: elf/dl-load.c:2185
+#: elf/dl-load.c:2179
 msgid "wrong ELF class: ELFCLASS32"
 msgstr "classe ELF incorrecte: ELFCLASS32"
 
-#: elf/dl-load.c:2188
+#: elf/dl-load.c:2182
 msgid "cannot open shared object file"
 msgstr "impossibile de aperir un file de objecto condivise"
 
@@ -639,11 +639,11 @@ msgstr "insuccesso de mmap sur un objecto condivise"
 msgid "cannot map zero-fill pages"
 msgstr "impossibile de mmap paginas del dispositivo de impletion con zeros"
 
-#: elf/dl-lookup.c:791
+#: elf/dl-lookup.c:845
 msgid "relocation error"
 msgstr "error de relocation"
 
-#: elf/dl-lookup.c:818
+#: elf/dl-lookup.c:872
 msgid "symbol lookup error"
 msgstr "error de cerca de symbolo"
 
@@ -651,49 +651,40 @@ msgstr "error de cerca de symbolo"
 msgid "cannot extend global scope"
 msgstr "impossibile de extender le ambito global"
 
-#: elf/dl-open.c:520
+#: elf/dl-open.c:528
 msgid "TLS generation counter wrapped!  Please report this."
 msgstr "Le contator de generation TLS ha permitite! Reporta iste problema."
 
-#: elf/dl-open.c:542
-msgid "cannot load any more object with static TLS"
-msgstr "impossibile de cargar necun altere objectos con TLS static"
-
-#: elf/dl-open.c:599
+#: elf/dl-open.c:592
 msgid "invalid mode for dlopen()"
 msgstr "modo invalide pro dlopen()"
 
-#: elf/dl-open.c:616
+#: elf/dl-open.c:609
 msgid "no more namespaces available for dlmopen()"
 msgstr "necun altere spatios de nomines disponibile pro dlmopen()"
 
-#: elf/dl-open.c:634
+#: elf/dl-open.c:633
 msgid "invalid target namespace in dlmopen()"
 msgstr "spatio de nomines de destination invalide in dlmopen()"
 
-#: elf/dl-reloc.c:120
+#: elf/dl-reloc.c:121
 msgid "cannot allocate memory in static TLS block"
 msgstr "impossibile de allocar memoria in un bloco TLS static"
 
-#: elf/dl-reloc.c:212
+#: elf/dl-reloc.c:206
 msgid "cannot make segment writable for relocation"
 msgstr "impossibile de render un segmento scribibile pro le relocation"
 
-#: elf/dl-reloc.c:275
-#, c-format
-msgid "%s: no PLTREL found in object %s\n"
-msgstr "%s: necun PLTREL trovate in le objecto %s\n"
-
-#: elf/dl-reloc.c:290
+#: elf/dl-reloc.c:276
 #, c-format
 msgid "%s: out of memory to store relocation results for %s\n"
 msgstr "%s: memoria exhauste pro immagazinar le resultatos de relocation pro %s\n"
 
-#: elf/dl-reloc.c:306
+#: elf/dl-reloc.c:292
 msgid "cannot restore segment prot after reloc"
 msgstr "impossibile de restabilir le protection del segmento post le relocation"
 
-#: elf/dl-reloc.c:335
+#: elf/dl-reloc.c:323
 msgid "cannot apply additional memory protection after relocation"
 msgstr "impossibile de applicar le protection de memoria additional post le relocation"
 
@@ -701,7 +692,7 @@ msgstr "impossibile de applicar le protection de memoria additional post le relo
 msgid "RTLD_NEXT used in code not dynamically loaded"
 msgstr "RTLD_NEXT usate in le codice non cargate dynamicamente"
 
-#: elf/dl-tls.c:933
+#: elf/dl-tls.c:934
 msgid "cannot create TLS data structures"
 msgstr "impossibile de crear structuras de datos TLS"
 
@@ -845,7 +836,7 @@ msgstr "Ligamine non create proque il non esseva possibile trovar le so-nomine p
 msgid "Can't open directory %s"
 msgstr "Impossibile de aperir le directorio %s"
 
-#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:90
+#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:97
 #, c-format
 msgid "Input file %s not found.\n"
 msgstr "Le file de entrata %s non trovate.\n"
@@ -976,7 +967,7 @@ msgstr "argumentos de file mancante"
 msgid "No such file or directory"
 msgstr "Necun tal file o directorio"
 
-#: elf/ldd.bash.in:150 inet/rcmd.c:488
+#: elf/ldd.bash.in:150 inet/rcmd.c:492
 msgid "not regular file"
 msgstr "le file non es regular"
 
@@ -1021,65 +1012,71 @@ msgstr "impossibile de leger r_debug"
 msgid "cannot read program interpreter"
 msgstr "impossibile de leger le interprete de programma"
 
-#: elf/pldd-xx.c:196
+#: elf/pldd-xx.c:197
 #, c-format
 msgid "cannot read link map"
 msgstr "impossibile de leger le mappa de ligamines"
 
-#: elf/pldd-xx.c:207
+#: elf/pldd-xx.c:209
 #, c-format
 msgid "cannot read object name"
 msgstr "impossibile de leger le nomine de objecto"
 
-#: elf/pldd.c:63
+#: elf/pldd-xx.c:219
+#, fuzzy, c-format
+#| msgid "cannot allocate memory for program header"
+msgid "cannot allocate buffer for object name"
+msgstr "impossibile de allocar le memoria pro un testa de programma"
+
+#: elf/pldd.c:64
 msgid "List dynamic shared objects loaded into process."
 msgstr "Monstrar objectos condivise dynamic incargate in le processo."
 
-#: elf/pldd.c:67
+#: elf/pldd.c:68
 msgid "PID"
 msgstr "PID"
 
-#: elf/pldd.c:99
+#: elf/pldd.c:100
 #, c-format
 msgid "Exactly one parameter with process ID required.\n"
 msgstr "Un parametro exactemente con le identificator de processo es necessari.\n"
 
-#: elf/pldd.c:111
+#: elf/pldd.c:112
 #, c-format
 msgid "invalid process ID '%s'"
 msgstr "identificator de processo invalide '%s'"
 
-#: elf/pldd.c:119
+#: elf/pldd.c:120
 #, c-format
 msgid "cannot open %s"
 msgstr "impossibile de aperir %s"
 
-#: elf/pldd.c:144
+#: elf/pldd.c:152
 #, c-format
 msgid "cannot open %s/task"
 msgstr "impossibile de aperir %s/task"
 
-#: elf/pldd.c:147
+#: elf/pldd.c:155
 #, c-format
 msgid "cannot prepare reading %s/task"
 msgstr "impossibile de preparar a leger %s/task"
 
-#: elf/pldd.c:160
+#: elf/pldd.c:168
 #, c-format
 msgid "invalid thread ID '%s'"
 msgstr "identificator de filo invalide '%s'"
 
-#: elf/pldd.c:171
+#: elf/pldd.c:179
 #, c-format
 msgid "cannot attach to process %lu"
 msgstr "impossibile de attaccar al processo %lu"
 
-#: elf/pldd.c:286
+#: elf/pldd.c:294
 #, c-format
 msgid "cannot get information about process %lu"
 msgstr "impossibile de obtener le information super le processo %lu"
 
-#: elf/pldd.c:299
+#: elf/pldd.c:307
 #, c-format
 msgid "process %lu is no ELF program"
 msgstr "le processo %lu non es un programma ELF"
@@ -1114,27 +1111,27 @@ msgstr "%s non es un file de objectos condivise (Typo: %d).\n"
 msgid "more than one dynamic segment\n"
 msgstr "plus de un segmento dynamic\n"
 
-#: elf/readlib.c:96
+#: elf/readlib.c:103
 #, c-format
 msgid "Cannot fstat file %s.\n"
 msgstr "Impossibile de effectuar fstat sur le file %s.\n"
 
-#: elf/readlib.c:107
+#: elf/readlib.c:114
 #, c-format
 msgid "File %s is empty, not checked."
 msgstr "Le file %s es vacue, non controlate."
 
-#: elf/readlib.c:113
+#: elf/readlib.c:120
 #, c-format
 msgid "File %s is too small, not checked."
 msgstr "Le file %s es troppo parve, non controlate."
 
-#: elf/readlib.c:123
+#: elf/readlib.c:130
 #, c-format
 msgid "Cannot mmap file %s.\n"
 msgstr "Impossible de effectuar mmap sur le file %s.\n"
 
-#: elf/readlib.c:161
+#: elf/readlib.c:169
 #, c-format
 msgid "%s is not an ELF file - it has the wrong magic bytes at the start.\n"
 msgstr "%s non es un file ELF - illo ha le bytes magic incorrecte al testa.\n"
@@ -1268,10 +1265,10 @@ msgstr "OBJCONDIV [DATOSPROF]"
 msgid "failed to load shared object `%s'"
 msgstr "insuccesso del cargamento del objecto condivise `%s'"
 
-#: elf/sprof.c:442
+#: elf/sprof.c:442 elf/sprof.c:825 elf/sprof.c:923
 #, c-format
-msgid "cannot create internal descriptors"
-msgstr "impossibile de crear descriptores interne"
+msgid "cannot create internal descriptor"
+msgstr "impossibile de crear un descriptor interne"
 
 #: elf/sprof.c:554
 #, c-format
@@ -1338,11 +1335,6 @@ msgstr "insuccesso de mmap sur le file de datos de profilage"
 msgid "error while closing the profiling data file"
 msgstr "error al clauder le file de datos de profilage"
 
-#: elf/sprof.c:825 elf/sprof.c:923
-#, c-format
-msgid "cannot create internal descriptor"
-msgstr "impossibile de crear un descriptor interne"
-
 #: elf/sprof.c:899
 #, c-format
 msgid "`%s' is no correct profile data file for `%s'"
@@ -1600,27 +1592,27 @@ msgstr "socket: insuccesso de protocollo in le configuration de circuito\n"
 msgid "rcmd: %s: short read"
 msgstr "rcmd: %s: lectura curte"
 
-#: inet/rcmd.c:486
+#: inet/rcmd.c:490
 msgid "lstat failed"
 msgstr "insuccesso de lstat"
 
-#: inet/rcmd.c:493
+#: inet/rcmd.c:497
 msgid "cannot open"
 msgstr "impossibile de aperir"
 
-#: inet/rcmd.c:495
+#: inet/rcmd.c:499
 msgid "fstat failed"
 msgstr "insuccesso de fstat"
 
-#: inet/rcmd.c:497
+#: inet/rcmd.c:501
 msgid "bad owner"
 msgstr "proprietario incorrecte"
 
-#: inet/rcmd.c:499
+#: inet/rcmd.c:503
 msgid "writeable by other than owner"
 msgstr "accessibile pro scriber per alteres que le proprietario"
 
-#: inet/rcmd.c:501
+#: inet/rcmd.c:505
 msgid "hard linked somewhere"
 msgstr "ha un ligamine dur in alicun parte"
 
@@ -1740,8 +1732,8 @@ msgid "no symbolic name given for end of range"
 msgstr "necun nomine symbolic fornite pro le fin del intervallo"
 
 #: locale/programs/charmap.c:610 locale/programs/ld-address.c:528
-#: locale/programs/ld-collate.c:2626 locale/programs/ld-collate.c:3784
-#: locale/programs/ld-ctype.c:2162 locale/programs/ld-ctype.c:2913
+#: locale/programs/ld-collate.c:2635 locale/programs/ld-collate.c:3793
+#: locale/programs/ld-ctype.c:2128 locale/programs/ld-ctype.c:2840
 #: locale/programs/ld-identification.c:368
 #: locale/programs/ld-measurement.c:215 locale/programs/ld-messages.c:298
 #: locale/programs/ld-monetary.c:740 locale/programs/ld-name.c:264
@@ -1767,8 +1759,8 @@ msgid "%s: error in state machine"
 msgstr "%s: error in le automato de statos finite"
 
 #: locale/programs/charmap.c:850 locale/programs/ld-address.c:544
-#: locale/programs/ld-collate.c:2623 locale/programs/ld-collate.c:3977
-#: locale/programs/ld-ctype.c:2159 locale/programs/ld-ctype.c:2930
+#: locale/programs/ld-collate.c:2632 locale/programs/ld-collate.c:3986
+#: locale/programs/ld-ctype.c:2125 locale/programs/ld-ctype.c:2857
 #: locale/programs/ld-identification.c:384
 #: locale/programs/ld-measurement.c:231 locale/programs/ld-messages.c:314
 #: locale/programs/ld-monetary.c:756 locale/programs/ld-name.c:280
@@ -1789,7 +1781,7 @@ msgstr "character incognite `%s'"
 msgid "number of bytes for byte sequence of beginning and end of range not the same: %d vs %d"
 msgstr "le numero de bytes in le sequentia de initio e de fin del intervallo non es le mesme: %d contra %d"
 
-#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2903
+#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2912
 #: locale/programs/repertoire.c:419
 msgid "invalid names for character range"
 msgstr "nomines invalide pro un intervallo de characteres"
@@ -1811,8 +1803,8 @@ msgstr "le limite alte in le intervallo es plus parve que le limite basse"
 msgid "resulting bytes for range not representable."
 msgstr "le bytes resultante pro le intervallo non es representabile."
 
-#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1565
-#: locale/programs/ld-ctype.c:465 locale/programs/ld-identification.c:133
+#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1566
+#: locale/programs/ld-ctype.c:431 locale/programs/ld-identification.c:133
 #: locale/programs/ld-measurement.c:94 locale/programs/ld-messages.c:97
 #: locale/programs/ld-monetary.c:193 locale/programs/ld-name.c:94
 #: locale/programs/ld-numeric.c:98 locale/programs/ld-paper.c:91
@@ -1876,7 +1868,7 @@ msgid "%s: numeric country code `%d' not valid"
 msgstr "%s: le codice numeric de pais `%d' non es valide"
 
 #: locale/programs/ld-address.c:436 locale/programs/ld-address.c:473
-#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2537
+#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2489
 #: locale/programs/ld-identification.c:280
 #: locale/programs/ld-measurement.c:198 locale/programs/ld-messages.c:267
 #: locale/programs/ld-monetary.c:495 locale/programs/ld-monetary.c:530
@@ -1898,8 +1890,8 @@ msgstr "%s: le campo `%s' es declarate plus de un vice"
 msgid "%s: unknown character in field `%s'"
 msgstr "%s: character incognite in le campo `%s'"
 
-#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3782
-#: locale/programs/ld-ctype.c:2910 locale/programs/ld-identification.c:365
+#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3791
+#: locale/programs/ld-ctype.c:2837 locale/programs/ld-identification.c:365
 #: locale/programs/ld-measurement.c:212 locale/programs/ld-messages.c:296
 #: locale/programs/ld-monetary.c:738 locale/programs/ld-name.c:262
 #: locale/programs/ld-numeric.c:324 locale/programs/ld-paper.c:212
@@ -1908,12 +1900,12 @@ msgstr "%s: character incognite in le campo `%s'"
 msgid "%s: incomplete `END' line"
 msgstr "%s: linea `END' incomplete"
 
-#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:551
-#: locale/programs/ld-collate.c:603 locale/programs/ld-collate.c:899
-#: locale/programs/ld-collate.c:912 locale/programs/ld-collate.c:2592
-#: locale/programs/ld-collate.c:2613 locale/programs/ld-collate.c:3967
-#: locale/programs/ld-ctype.c:1891 locale/programs/ld-ctype.c:2149
-#: locale/programs/ld-ctype.c:2735 locale/programs/ld-ctype.c:2921
+#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:552
+#: locale/programs/ld-collate.c:604 locale/programs/ld-collate.c:900
+#: locale/programs/ld-collate.c:913 locale/programs/ld-collate.c:2601
+#: locale/programs/ld-collate.c:2622 locale/programs/ld-collate.c:3976
+#: locale/programs/ld-ctype.c:1857 locale/programs/ld-ctype.c:2115
+#: locale/programs/ld-ctype.c:2687 locale/programs/ld-ctype.c:2848
 #: locale/programs/ld-identification.c:375
 #: locale/programs/ld-measurement.c:222 locale/programs/ld-messages.c:305
 #: locale/programs/ld-monetary.c:747 locale/programs/ld-name.c:271
@@ -1923,477 +1915,477 @@ msgstr "%s: linea `END' incomplete"
 msgid "%s: syntax error"
 msgstr "%s: error de syntaxe"
 
-#: locale/programs/ld-collate.c:426
+#: locale/programs/ld-collate.c:427
 #, c-format
 msgid "`%.*s' already defined in charmap"
 msgstr "`%.*s' jam definite in le tabula de characteres"
 
-#: locale/programs/ld-collate.c:435
+#: locale/programs/ld-collate.c:436
 #, c-format
 msgid "`%.*s' already defined in repertoire"
 msgstr "`%.*s' jam definite in repertoire"
 
-#: locale/programs/ld-collate.c:442
+#: locale/programs/ld-collate.c:443
 #, c-format
 msgid "`%.*s' already defined as collating symbol"
 msgstr "`%.*s' jam definite como symbolo de collation"
 
-#: locale/programs/ld-collate.c:449
+#: locale/programs/ld-collate.c:450
 #, c-format
 msgid "`%.*s' already defined as collating element"
 msgstr "`%.*s' jam definite como elemento de collation"
 
-#: locale/programs/ld-collate.c:480 locale/programs/ld-collate.c:506
+#: locale/programs/ld-collate.c:481 locale/programs/ld-collate.c:507
 #, c-format
 msgid "%s: `forward' and `backward' are mutually excluding each other"
 msgstr "%s: `forward' e `backward' son mutualmente exclusive"
 
-#: locale/programs/ld-collate.c:490 locale/programs/ld-collate.c:516
-#: locale/programs/ld-collate.c:532
+#: locale/programs/ld-collate.c:491 locale/programs/ld-collate.c:517
+#: locale/programs/ld-collate.c:533
 #, c-format
 msgid "%s: `%s' mentioned more than once in definition of weight %d"
 msgstr "%s: `%s' mentionate plus de un vice in le definition del peso %d"
 
-#: locale/programs/ld-collate.c:588
+#: locale/programs/ld-collate.c:589
 #, c-format
 msgid "%s: too many rules; first entry only had %d"
 msgstr "%s: tro de regulas; le prime entrata habeva solmente %d"
 
-#: locale/programs/ld-collate.c:624
+#: locale/programs/ld-collate.c:625
 #, c-format
 msgid "%s: not enough sorting rules"
 msgstr "%s: il non ha sufficiente regulas a assortir"
 
-#: locale/programs/ld-collate.c:789
+#: locale/programs/ld-collate.c:790
 #, c-format
 msgid "%s: empty weight string not allowed"
 msgstr "%s: catena de peso vacue non es permittite"
 
-#: locale/programs/ld-collate.c:884
+#: locale/programs/ld-collate.c:885
 #, c-format
 msgid "%s: weights must use the same ellipsis symbol as the name"
 msgstr "%s: le pesos debe usar le mesmo symbolo de ellipse que le nomine"
 
-#: locale/programs/ld-collate.c:940
+#: locale/programs/ld-collate.c:941
 #, c-format
 msgid "%s: too many values"
 msgstr "%s: tro de valores"
 
-#: locale/programs/ld-collate.c:1060 locale/programs/ld-collate.c:1235
+#: locale/programs/ld-collate.c:1061 locale/programs/ld-collate.c:1236
 #, c-format
 msgid "order for `%.*s' already defined at %s:%Zu"
 msgstr "le ordine pro `%.*s' jam es definite in %s:%Zu"
 
-#: locale/programs/ld-collate.c:1110
+#: locale/programs/ld-collate.c:1111
 #, c-format
 msgid "%s: the start and the end symbol of a range must stand for characters"
 msgstr "%s: le symbolos de initio e de fin de un intervallo debe representar characteres"
 
-#: locale/programs/ld-collate.c:1137
+#: locale/programs/ld-collate.c:1138
 #, c-format
 msgid "%s: byte sequences of first and last character must have the same length"
 msgstr "%s: le sequentias de bytes del prime e del ultime characteres debe haber le mesme longitude"
 
-#: locale/programs/ld-collate.c:1179
+#: locale/programs/ld-collate.c:1180
 #, c-format
 msgid "%s: byte sequence of first character of range is not lower than that of the last character"
 msgstr "%s: le sequentia de bytes del prime character del intervallo non es plus parve que illo del ultime character"
 
-#: locale/programs/ld-collate.c:1304
+#: locale/programs/ld-collate.c:1305
 #, c-format
 msgid "%s: symbolic range ellipsis must not directly follow `order_start'"
 msgstr "%s: le ellipse de intervallo symbolic non debe sequer directemente `order_start'"
 
-#: locale/programs/ld-collate.c:1308
+#: locale/programs/ld-collate.c:1309
 #, c-format
 msgid "%s: symbolic range ellipsis must not be directly followed by `order_end'"
 msgstr "%s: le ellipse de intervallo symbolic non debe esser sequite directemente per `order_end'"
 
-#: locale/programs/ld-collate.c:1328 locale/programs/ld-ctype.c:1408
+#: locale/programs/ld-collate.c:1329 locale/programs/ld-ctype.c:1374
 #, c-format
 msgid "`%s' and `%.*s' are not valid names for symbolic range"
 msgstr "`%s' e `%.*s' non es nomines valide pro un intervallo symbolic"
 
-#: locale/programs/ld-collate.c:1378 locale/programs/ld-collate.c:3718
+#: locale/programs/ld-collate.c:1379 locale/programs/ld-collate.c:3727
 #, c-format
 msgid "%s: order for `%.*s' already defined at %s:%Zu"
 msgstr "%s: le ordine pro `%.*s' jam es definite in %s:%Zu"
 
-#: locale/programs/ld-collate.c:1387
+#: locale/programs/ld-collate.c:1388
 #, c-format
 msgid "%s: `%s' must be a character"
 msgstr "%s: `%s' debe esser un character"
 
-#: locale/programs/ld-collate.c:1582
+#: locale/programs/ld-collate.c:1583
 #, c-format
 msgid "%s: `position' must be used for a specific level in all sections or none"
 msgstr "%s: `position' debe utilisar se pro un nivello specific in tote le sectiones o in necun"
 
-#: locale/programs/ld-collate.c:1607
+#: locale/programs/ld-collate.c:1608
 #, c-format
 msgid "symbol `%s' not defined"
 msgstr "le symbolo `%s' non es definite"
 
-#: locale/programs/ld-collate.c:1683 locale/programs/ld-collate.c:1789
+#: locale/programs/ld-collate.c:1684 locale/programs/ld-collate.c:1790
 #, c-format
 msgid "symbol `%s' has the same encoding as"
 msgstr "le symbolo `%s' ha le mesme codification que"
 
-#: locale/programs/ld-collate.c:1687 locale/programs/ld-collate.c:1793
+#: locale/programs/ld-collate.c:1688 locale/programs/ld-collate.c:1794
 #, c-format
 msgid "symbol `%s'"
 msgstr "le symbolo `%s'"
 
-#: locale/programs/ld-collate.c:1833
+#: locale/programs/ld-collate.c:1834
 #, c-format
 msgid "no definition of `UNDEFINED'"
 msgstr "nulle definition de `UNDEFINED'"
 
-#: locale/programs/ld-collate.c:1862
+#: locale/programs/ld-collate.c:1863
 #, c-format
 msgid "too many errors; giving up"
 msgstr "tro de errores; abandono"
 
-#: locale/programs/ld-collate.c:2518 locale/programs/ld-collate.c:3906
+#: locale/programs/ld-collate.c:2527 locale/programs/ld-collate.c:3915
 #, c-format
 msgid "%s: nested conditionals not supported"
 msgstr "%s: le conditionales annidate non es supportate"
 
-#: locale/programs/ld-collate.c:2536
+#: locale/programs/ld-collate.c:2545
 #, fuzzy, c-format
 #| msgid "%s: more then one 'else'"
 msgid "%s: more than one 'else'"
 msgstr "%s: plus de un 'else'"
 
-#: locale/programs/ld-collate.c:2711
+#: locale/programs/ld-collate.c:2720
 #, c-format
 msgid "%s: duplicate definition of `%s'"
 msgstr "%s: definition duplicate de `%s'"
 
-#: locale/programs/ld-collate.c:2747
+#: locale/programs/ld-collate.c:2756
 #, c-format
 msgid "%s: duplicate declaration of section `%s'"
 msgstr "%s: declaration duplicate del section `%s'"
 
-#: locale/programs/ld-collate.c:2883
+#: locale/programs/ld-collate.c:2892
 #, c-format
 msgid "%s: unknown character in collating symbol name"
 msgstr "%s: character incognite in le nomine de un symbolo de collation"
 
-#: locale/programs/ld-collate.c:3012
+#: locale/programs/ld-collate.c:3021
 #, c-format
 msgid "%s: unknown character in equivalent definition name"
 msgstr "%s: character incognite in le nomine de un definition de equivalente"
 
-#: locale/programs/ld-collate.c:3023
+#: locale/programs/ld-collate.c:3032
 #, c-format
 msgid "%s: unknown character in equivalent definition value"
 msgstr "%s: character incognite in le valor de un definition de equivalente"
 
-#: locale/programs/ld-collate.c:3033
+#: locale/programs/ld-collate.c:3042
 #, c-format
 msgid "%s: unknown symbol `%s' in equivalent definition"
 msgstr "%s: symbolo incognite `%s' in un definition de equivalente"
 
-#: locale/programs/ld-collate.c:3042
+#: locale/programs/ld-collate.c:3051
 msgid "error while adding equivalent collating symbol"
 msgstr "error durante le addition de un symbolo de collation equivalente"
 
-#: locale/programs/ld-collate.c:3080
+#: locale/programs/ld-collate.c:3089
 #, c-format
 msgid "duplicate definition of script `%s'"
 msgstr "definition duplicate del scriptura `%s'"
 
-#: locale/programs/ld-collate.c:3128
+#: locale/programs/ld-collate.c:3137
 #, c-format
 msgid "%s: unknown section name `%.*s'"
 msgstr "%s: nomine de section incognite `%.*s'"
 
-#: locale/programs/ld-collate.c:3157
+#: locale/programs/ld-collate.c:3166
 #, c-format
 msgid "%s: multiple order definitions for section `%s'"
 msgstr "%s: multiple definitiones de ordine pro le section `%s'"
 
-#: locale/programs/ld-collate.c:3185
+#: locale/programs/ld-collate.c:3194
 #, c-format
 msgid "%s: invalid number of sorting rules"
 msgstr "%s: le numero de regulas a assortir es incorrecte"
 
-#: locale/programs/ld-collate.c:3212
+#: locale/programs/ld-collate.c:3221
 #, c-format
 msgid "%s: multiple order definitions for unnamed section"
 msgstr "%s: multiple definitiones de ordine pro un section innominate"
 
-#: locale/programs/ld-collate.c:3267 locale/programs/ld-collate.c:3397
-#: locale/programs/ld-collate.c:3760
+#: locale/programs/ld-collate.c:3276 locale/programs/ld-collate.c:3406
+#: locale/programs/ld-collate.c:3769
 #, c-format
 msgid "%s: missing `order_end' keyword"
 msgstr "%s: parola clave `order_end' mancante"
 
-#: locale/programs/ld-collate.c:3330
+#: locale/programs/ld-collate.c:3339
 #, c-format
 msgid "%s: order for collating symbol %.*s not yet defined"
 msgstr "%s: ordine non ancora definite pro le symbolo de collation %.*s"
 
-#: locale/programs/ld-collate.c:3348
+#: locale/programs/ld-collate.c:3357
 #, c-format
 msgid "%s: order for collating element %.*s not yet defined"
 msgstr "%s: ordine non ancora definite pro le elemento de collation %.*s"
 
-#: locale/programs/ld-collate.c:3359
+#: locale/programs/ld-collate.c:3368
 #, c-format
 msgid "%s: cannot reorder after %.*s: symbol not known"
 msgstr "%s: impossibile de reordinar post %.*s: symbolo incognite"
 
-#: locale/programs/ld-collate.c:3411 locale/programs/ld-collate.c:3772
+#: locale/programs/ld-collate.c:3420 locale/programs/ld-collate.c:3781
 #, c-format
 msgid "%s: missing `reorder-end' keyword"
 msgstr "%s: parola clave `reorder-end' mancante"
 
-#: locale/programs/ld-collate.c:3445 locale/programs/ld-collate.c:3643
+#: locale/programs/ld-collate.c:3454 locale/programs/ld-collate.c:3652
 #, c-format
 msgid "%s: section `%.*s' not known"
 msgstr "%s: section `%.*s' incognite"
 
-#: locale/programs/ld-collate.c:3510
+#: locale/programs/ld-collate.c:3519
 #, c-format
 msgid "%s: bad symbol <%.*s>"
 msgstr "%s: symbolo invalide <%.*s>"
 
-#: locale/programs/ld-collate.c:3706
+#: locale/programs/ld-collate.c:3715
 #, c-format
 msgid "%s: cannot have `%s' as end of ellipsis range"
 msgstr "%s: impossibile de haber `%s' como fin de un intervallo de ellipse"
 
-#: locale/programs/ld-collate.c:3756
+#: locale/programs/ld-collate.c:3765
 #, c-format
 msgid "%s: empty category description not allowed"
 msgstr "%s: le description de categoria vacue non es permittite"
 
-#: locale/programs/ld-collate.c:3775
+#: locale/programs/ld-collate.c:3784
 #, c-format
 msgid "%s: missing `reorder-sections-end' keyword"
 msgstr "%s: parola clave `reorder-sections-end' mancante"
 
-#: locale/programs/ld-collate.c:3939
+#: locale/programs/ld-collate.c:3948
 #, c-format
 msgid "%s: '%s' without matching 'ifdef' or 'ifndef'"
 msgstr "%s: '%s' sin correspondente 'ifdef' o 'ifndef'"
 
-#: locale/programs/ld-collate.c:3957
+#: locale/programs/ld-collate.c:3966
 #, c-format
 msgid "%s: 'endif' without matching 'ifdef' or 'ifndef'"
 msgstr "%s: 'endif' sin correspondente 'ifdef' o 'ifndef'"
 
-#: locale/programs/ld-ctype.c:484
+#: locale/programs/ld-ctype.c:450
 #, c-format
 msgid "No character set name specified in charmap"
 msgstr "Necun nomine de collection de characteres es specificate in le tabula de characteres"
 
-#: locale/programs/ld-ctype.c:513
+#: locale/programs/ld-ctype.c:479
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must be in class `%s'"
 msgstr "le character L'\\u%0*x' del classe `%s' debe esser in le classe `%s'"
 
-#: locale/programs/ld-ctype.c:528
+#: locale/programs/ld-ctype.c:494
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must not be in class `%s'"
 msgstr "le character L'\\u%0*x' del classe `%s' non debe esser in le classe `%s'"
 
-#: locale/programs/ld-ctype.c:542 locale/programs/ld-ctype.c:600
+#: locale/programs/ld-ctype.c:508 locale/programs/ld-ctype.c:566
 #, c-format
 msgid "internal error in %s, line %u"
 msgstr "error interne in %s, linea %u"
 
-#: locale/programs/ld-ctype.c:571
+#: locale/programs/ld-ctype.c:537
 #, c-format
 msgid "character '%s' in class `%s' must be in class `%s'"
 msgstr "le character '%s' del classe `%s' debe esser in le classe `%s'"
 
-#: locale/programs/ld-ctype.c:587
+#: locale/programs/ld-ctype.c:553
 #, c-format
 msgid "character '%s' in class `%s' must not be in class `%s'"
 msgstr "le character '%s' del classe `%s' non debe esser in le classe `%s'"
 
-#: locale/programs/ld-ctype.c:617 locale/programs/ld-ctype.c:655
+#: locale/programs/ld-ctype.c:583 locale/programs/ld-ctype.c:621
 #, c-format
 msgid "<SP> character not in class `%s'"
 msgstr "le character <SP> non es in le classe `%s'"
 
-#: locale/programs/ld-ctype.c:629 locale/programs/ld-ctype.c:666
+#: locale/programs/ld-ctype.c:595 locale/programs/ld-ctype.c:632
 #, c-format
 msgid "<SP> character must not be in class `%s'"
 msgstr "le character <SP> non debe esser in le classe `%s'"
 
-#: locale/programs/ld-ctype.c:644
+#: locale/programs/ld-ctype.c:610
 #, c-format
 msgid "character <SP> not defined in character map"
 msgstr "le character <SP> non es definite in le tabula de characteres"
 
-#: locale/programs/ld-ctype.c:780
+#: locale/programs/ld-ctype.c:746
 #, c-format
 msgid "`digit' category has not entries in groups of ten"
 msgstr "le categoria `digit' non ha entratas in gruppos de dece"
 
-#: locale/programs/ld-ctype.c:829
+#: locale/programs/ld-ctype.c:795
 #, c-format
 msgid "no input digits defined and none of the standard names in the charmap"
 msgstr "necun cifras de entrata definite e necun del nomines standard in le tabula de characteres"
 
-#: locale/programs/ld-ctype.c:894
+#: locale/programs/ld-ctype.c:860
 #, c-format
 msgid "not all characters used in `outdigit' are available in the charmap"
 msgstr "non tote le characteres usate in `outdigit' es disponibile in le tabula de characteres"
 
-#: locale/programs/ld-ctype.c:911
+#: locale/programs/ld-ctype.c:877
 #, c-format
 msgid "not all characters used in `outdigit' are available in the repertoire"
 msgstr "non tote le characteres usate in `outdigit' es disponibile in le repertoire"
 
-#: locale/programs/ld-ctype.c:1176
+#: locale/programs/ld-ctype.c:1142
 #, c-format
 msgid "character class `%s' already defined"
 msgstr "le classe de characteres `%s' jam ha essite definite"
 
-#: locale/programs/ld-ctype.c:1182
+#: locale/programs/ld-ctype.c:1148
 #, c-format
 msgid "implementation limit: no more than %Zd character classes allowed"
 msgstr "limite de implementation: il se non permitte plus de %Zd classes de characteres"
 
-#: locale/programs/ld-ctype.c:1208
+#: locale/programs/ld-ctype.c:1174
 #, c-format
 msgid "character map `%s' already defined"
 msgstr "le mappa de characteres `%s' jam ha essite definite"
 
-#: locale/programs/ld-ctype.c:1214
+#: locale/programs/ld-ctype.c:1180
 #, c-format
 msgid "implementation limit: no more than %d character maps allowed"
 msgstr "limite de implementation: il se non permitte plus de %d mappas de characteres"
 
-#: locale/programs/ld-ctype.c:1479 locale/programs/ld-ctype.c:1604
-#: locale/programs/ld-ctype.c:1710 locale/programs/ld-ctype.c:2400
-#: locale/programs/ld-ctype.c:3397
+#: locale/programs/ld-ctype.c:1445 locale/programs/ld-ctype.c:1570
+#: locale/programs/ld-ctype.c:1676 locale/programs/ld-ctype.c:2352
+#: locale/programs/ld-ctype.c:3324
 #, c-format
 msgid "%s: field `%s' does not contain exactly ten entries"
 msgstr "%s: le campo `%s' non contine exactemente dece entratas"
 
-#: locale/programs/ld-ctype.c:1507 locale/programs/ld-ctype.c:2081
+#: locale/programs/ld-ctype.c:1473 locale/programs/ld-ctype.c:2047
 #, c-format
 msgid "to-value <U%0*X> of range is smaller than from-value <U%0*X>"
 msgstr "le valor final <U%0*X> del intervallo es plus parve que le valor initial <U%0*X>"
 
-#: locale/programs/ld-ctype.c:1634
+#: locale/programs/ld-ctype.c:1600
 msgid "start and end character sequence of range must have the same length"
 msgstr "le sequantias de characteres initial e final del intervallo debe haber le mesme longitude"
 
-#: locale/programs/ld-ctype.c:1641
+#: locale/programs/ld-ctype.c:1607
 msgid "to-value character sequence is smaller than from-value sequence"
 msgstr "le sequentia de characteres del valor final es plus parve que le sequentia del valor initial"
 
-#: locale/programs/ld-ctype.c:2001 locale/programs/ld-ctype.c:2052
+#: locale/programs/ld-ctype.c:1967 locale/programs/ld-ctype.c:2018
 msgid "premature end of `translit_ignore' definition"
 msgstr "le fin prematur del definition de `translit_ignore'"
 
-#: locale/programs/ld-ctype.c:2007 locale/programs/ld-ctype.c:2058
-#: locale/programs/ld-ctype.c:2100
+#: locale/programs/ld-ctype.c:1973 locale/programs/ld-ctype.c:2024
+#: locale/programs/ld-ctype.c:2066
 msgid "syntax error"
 msgstr "error de syntaxe"
 
-#: locale/programs/ld-ctype.c:2233
+#: locale/programs/ld-ctype.c:2199
 #, c-format
 msgid "%s: syntax error in definition of new character class"
 msgstr "%s: error de syntaxe in le definition de un nove classe de characteres"
 
-#: locale/programs/ld-ctype.c:2248
+#: locale/programs/ld-ctype.c:2214
 #, c-format
 msgid "%s: syntax error in definition of new character map"
 msgstr "%s: error de syntaxe in le definition de un nove mappa de characteres"
 
-#: locale/programs/ld-ctype.c:2422
+#: locale/programs/ld-ctype.c:2374
 msgid "ellipsis range must be marked by two operands of same type"
 msgstr "le intervallo de ellipse debe ser marcate per duo operandos del mesme typo"
 
-#: locale/programs/ld-ctype.c:2431
+#: locale/programs/ld-ctype.c:2383
 msgid "with symbolic name range values the absolute ellipsis `...' must not be used"
 msgstr "con intervallo definite per nomines symbolic le ellipse absolute `...' non debe ser utilisate"
 
-#: locale/programs/ld-ctype.c:2446
+#: locale/programs/ld-ctype.c:2398
 msgid "with UCS range values one must use the hexadecimal symbolic ellipsis `..'"
 msgstr "con intervallo definite per UCS on debe usar le ellipse symbolic hexadecimal `..'"
 
-#: locale/programs/ld-ctype.c:2460
+#: locale/programs/ld-ctype.c:2412
 msgid "with character code range values one must use the absolute ellipsis `...'"
 msgstr "con intervallo definite per codices de characteres on debe usar le ellipse absolute `...'"
 
-#: locale/programs/ld-ctype.c:2611
+#: locale/programs/ld-ctype.c:2563
 #, c-format
 msgid "duplicated definition for mapping `%s'"
 msgstr "definition duplicate del tabula `%s'"
 
-#: locale/programs/ld-ctype.c:2697 locale/programs/ld-ctype.c:2841
+#: locale/programs/ld-ctype.c:2649 locale/programs/ld-ctype.c:2793
 #, c-format
 msgid "%s: `translit_start' section does not end with `translit_end'"
 msgstr "%s: le section `translit_start' non fini con `translit_end'"
 
-#: locale/programs/ld-ctype.c:2792
+#: locale/programs/ld-ctype.c:2744
 #, c-format
 msgid "%s: duplicate `default_missing' definition"
 msgstr "%s: definition duplicate de `default_missing'"
 
-#: locale/programs/ld-ctype.c:2797
+#: locale/programs/ld-ctype.c:2749
 msgid "previous definition was here"
 msgstr "le definition previe era hic"
 
-#: locale/programs/ld-ctype.c:2819
+#: locale/programs/ld-ctype.c:2771
 #, c-format
 msgid "%s: no representable `default_missing' definition found"
 msgstr "%s: necun definition `default_missing' representabile trovate"
 
-#: locale/programs/ld-ctype.c:2962 locale/programs/ld-ctype.c:3059
-#: locale/programs/ld-ctype.c:3079 locale/programs/ld-ctype.c:3100
-#: locale/programs/ld-ctype.c:3121 locale/programs/ld-ctype.c:3142
-#: locale/programs/ld-ctype.c:3163 locale/programs/ld-ctype.c:3203
-#: locale/programs/ld-ctype.c:3224 locale/programs/ld-ctype.c:3289
-#: locale/programs/ld-ctype.c:3331 locale/programs/ld-ctype.c:3356
+#: locale/programs/ld-ctype.c:2889 locale/programs/ld-ctype.c:2986
+#: locale/programs/ld-ctype.c:3006 locale/programs/ld-ctype.c:3027
+#: locale/programs/ld-ctype.c:3048 locale/programs/ld-ctype.c:3069
+#: locale/programs/ld-ctype.c:3090 locale/programs/ld-ctype.c:3130
+#: locale/programs/ld-ctype.c:3151 locale/programs/ld-ctype.c:3216
+#: locale/programs/ld-ctype.c:3258 locale/programs/ld-ctype.c:3283
 #, c-format
 msgid "%s: character `%s' not defined while needed as default value"
 msgstr "%s: le character `%s' non es definite quando illo es necesse como valor predefinite"
 
-#: locale/programs/ld-ctype.c:2967 locale/programs/ld-ctype.c:3064
-#: locale/programs/ld-ctype.c:3084 locale/programs/ld-ctype.c:3105
-#: locale/programs/ld-ctype.c:3126 locale/programs/ld-ctype.c:3147
-#: locale/programs/ld-ctype.c:3168 locale/programs/ld-ctype.c:3208
-#: locale/programs/ld-ctype.c:3229 locale/programs/ld-ctype.c:3294
+#: locale/programs/ld-ctype.c:2894 locale/programs/ld-ctype.c:2991
+#: locale/programs/ld-ctype.c:3011 locale/programs/ld-ctype.c:3032
+#: locale/programs/ld-ctype.c:3053 locale/programs/ld-ctype.c:3074
+#: locale/programs/ld-ctype.c:3095 locale/programs/ld-ctype.c:3135
+#: locale/programs/ld-ctype.c:3156 locale/programs/ld-ctype.c:3221
 #, c-format
 msgid "%s: character `%s' in charmap not representable with one byte"
 msgstr "%s: le character `%s' in tabula de characteres non es representabile con un byte"
 
-#: locale/programs/ld-ctype.c:3338 locale/programs/ld-ctype.c:3363
+#: locale/programs/ld-ctype.c:3265 locale/programs/ld-ctype.c:3290
 #, c-format
 msgid "%s: character `%s' needed as default value not representable with one byte"
 msgstr "%s: le character `%s' requirite como valor predefinite non es representabile con un byte"
 
-#: locale/programs/ld-ctype.c:3419
+#: locale/programs/ld-ctype.c:3346
 #, c-format
 msgid "no output digits defined and none of the standard names in the charmap"
 msgstr "necun cifras de output es definite e nihil del nomines standard es in le tabula de characteres"
 
-#: locale/programs/ld-ctype.c:3668
+#: locale/programs/ld-ctype.c:3595
 #, c-format
 msgid "%s: transliteration data from locale `%s' not available"
 msgstr "%s: le datos de transliteration del localitate `%s' non es disponibile"
 
-#: locale/programs/ld-ctype.c:3768
+#: locale/programs/ld-ctype.c:3695
 #, c-format
 msgid "%s: table for class \"%s\": %lu bytes\n"
 msgstr "%s: tabula pro le classe \"%s\": %lu bytes\n"
 
-#: locale/programs/ld-ctype.c:3833
+#: locale/programs/ld-ctype.c:3760
 #, c-format
 msgid "%s: table for map \"%s\": %lu bytes\n"
 msgstr "%s: tabula de characteres \"%s\": %lu bytes\n"
 
-#: locale/programs/ld-ctype.c:3958
+#: locale/programs/ld-ctype.c:3885
 #, c-format
 msgid "%s: table for width: %lu bytes\n"
 msgstr "%s: tabula pro le largor: %lu bytes\n"
@@ -3776,17 +3768,22 @@ msgstr ""
 msgid " (first)"
 msgstr ""
 
-#: nscd/cache.c:285 nscd/connections.c:1000
+#: nscd/cache.c:288
 #, c-format
-msgid "cannot stat() file `%s': %s"
+msgid "checking for monitored file `%s': %s"
 msgstr ""
 
-#: nscd/cache.c:331
+#: nscd/cache.c:298
+#, c-format
+msgid "monitored file `%s` changed (mtime)"
+msgstr ""
+
+#: nscd/cache.c:341
 #, c-format
 msgid "pruning %s cache; time %ld"
 msgstr ""
 
-#: nscd/cache.c:360
+#: nscd/cache.c:370
 #, c-format
 msgid "considering %s entry \"%s\", timeout %<PRIu64>"
 msgstr ""
@@ -3872,153 +3869,215 @@ msgstr ""
 msgid "cannot enable socket to accept connections: %s"
 msgstr ""
 
-#: nscd/connections.c:984
+#: nscd/connections.c:973
+#, c-format
+msgid "disabled inotify-based monitoring for file `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:977
+#, c-format
+msgid "monitoring file `%s` (%d)"
+msgstr ""
+
+#: nscd/connections.c:990
+#, c-format
+msgid "disabled inotify-based monitoring for directory `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:994
+#, fuzzy, c-format
+#| msgid "Can't open directory %s"
+msgid "monitoring directory `%s` (%d)"
+msgstr "Impossibile de aperir le directorio %s"
+
+#: nscd/connections.c:1022
+#, c-format
+msgid "monitoring file %s for database %s"
+msgstr ""
+
+#: nscd/connections.c:1032
 #, c-format
-msgid "register trace file %s for database %s"
+msgid "stat failed for file `%s'; will try again later: %s"
 msgstr ""
 
-#: nscd/connections.c:1114
+#: nscd/connections.c:1151
 #, c-format
 msgid "provide access to FD %d, for %s"
 msgstr ""
 
-#: nscd/connections.c:1126
+#: nscd/connections.c:1163
 #, c-format
 msgid "cannot handle old request version %d; current version is %d"
 msgstr ""
 
-#: nscd/connections.c:1148
+#: nscd/connections.c:1185
 #, c-format
 msgid "request from %ld not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1153
+#: nscd/connections.c:1190
 #, c-format
 msgid "request from '%s' [%ld] not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1158
+#: nscd/connections.c:1195
 msgid "request not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1196 nscd/connections.c:1249
+#: nscd/connections.c:1233 nscd/connections.c:1286
 #, c-format
 msgid "cannot write result: %s"
 msgstr ""
 
-#: nscd/connections.c:1340
+#: nscd/connections.c:1377
 #, c-format
 msgid "error getting caller's id: %s"
 msgstr ""
 
-#: nscd/connections.c:1400
+#: nscd/connections.c:1437
 #, c-format
 msgid "cannot open /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1414
+#: nscd/connections.c:1451
 #, c-format
 msgid "cannot read /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1454
+#: nscd/connections.c:1491
 #, c-format
 msgid "cannot change to old UID: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1464
+#: nscd/connections.c:1501
 #, c-format
 msgid "cannot change to old GID: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1477
+#: nscd/connections.c:1514
 #, c-format
 msgid "cannot change to old working directory: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1523
+#: nscd/connections.c:1560
 #, c-format
 msgid "re-exec failed: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1532
+#: nscd/connections.c:1569
 #, c-format
 msgid "cannot change current working directory to \"/\": %s"
 msgstr ""
 
-#: nscd/connections.c:1725
+#: nscd/connections.c:1762
 #, c-format
 msgid "short read while reading request: %s"
 msgstr ""
 
-#: nscd/connections.c:1758
+#: nscd/connections.c:1795
 #, c-format
 msgid "key length in request too long: %d"
 msgstr ""
 
-#: nscd/connections.c:1771
+#: nscd/connections.c:1808
 #, c-format
 msgid "short read while reading request key: %s"
 msgstr ""
 
-#: nscd/connections.c:1781
+#: nscd/connections.c:1818
 #, c-format
 msgid "handle_request: request received (Version = %d) from PID %ld"
 msgstr ""
 
-#: nscd/connections.c:1786
+#: nscd/connections.c:1823
 #, c-format
 msgid "handle_request: request received (Version = %d)"
 msgstr ""
 
-#: nscd/connections.c:2050 nscd/connections.c:2252
+#: nscd/connections.c:1963
+#, c-format
+msgid "ignored inotify event for `%s` (file exists)"
+msgstr ""
+
+#: nscd/connections.c:1968
 #, c-format
-msgid "disabled inotify after read error %d"
+msgid "monitored file `%s` was %s, removing watch"
 msgstr ""
 
-#: nscd/connections.c:2375
+#: nscd/connections.c:1976 nscd/connections.c:2018
+#, c-format
+msgid "failed to remove file watch `%s`: %s"
+msgstr ""
+
+#: nscd/connections.c:1991
+#, c-format
+msgid "monitored file `%s` was written to"
+msgstr ""
+
+#: nscd/connections.c:2015
+#, c-format
+msgid "monitored parent directory `%s` was %s, removing watch on `%s`"
+msgstr ""
+
+#: nscd/connections.c:2041
+#, c-format
+msgid "monitored file `%s` was %s, adding watch"
+msgstr ""
+
+#: nscd/connections.c:2053
+#, fuzzy, c-format
+#| msgid "failed to load shared object `%s'"
+msgid "failed to add file watch `%s`: %s"
+msgstr "insuccesso del cargamento del objecto condivise `%s'"
+
+#: nscd/connections.c:2247 nscd/connections.c:2428
+#, c-format
+msgid "disabled inotify-based monitoring after read error %d"
+msgstr ""
+
+#: nscd/connections.c:2543
 msgid "could not initialize conditional variable"
 msgstr ""
 
-#: nscd/connections.c:2383
+#: nscd/connections.c:2551
 msgid "could not start clean-up thread; terminating"
 msgstr ""
 
-#: nscd/connections.c:2397
+#: nscd/connections.c:2565
 msgid "could not start any worker thread; terminating"
 msgstr ""
 
-#: nscd/connections.c:2452 nscd/connections.c:2454 nscd/connections.c:2470
-#: nscd/connections.c:2480 nscd/connections.c:2498 nscd/connections.c:2509
-#: nscd/connections.c:2519
+#: nscd/connections.c:2620 nscd/connections.c:2622 nscd/connections.c:2638
+#: nscd/connections.c:2648 nscd/connections.c:2666 nscd/connections.c:2677
+#: nscd/connections.c:2687
 #, c-format
 msgid "Failed to run nscd as user '%s'"
 msgstr ""
 
-#: nscd/connections.c:2472
+#: nscd/connections.c:2640
 msgid "initial getgrouplist failed"
 msgstr ""
 
-#: nscd/connections.c:2481
+#: nscd/connections.c:2649
 msgid "getgrouplist failed"
 msgstr ""
 
-#: nscd/connections.c:2499
+#: nscd/connections.c:2667
 msgid "setgroups failed"
 msgstr ""
 
-#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:410
+#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:411
 #: nscd/pwdcache.c:383 nscd/servicescache.c:338
 #, c-format
 msgid "short write in %s: %s"
 msgstr ""
 
-#: nscd/grpcache.c:450 nscd/initgrcache.c:77
+#: nscd/grpcache.c:450 nscd/initgrcache.c:78
 #, c-format
 msgid "Haven't found \"%s\" in group cache!"
 msgstr ""
 
-#: nscd/grpcache.c:452 nscd/initgrcache.c:79
+#: nscd/grpcache.c:452 nscd/initgrcache.c:80
 #, c-format
 msgid "Reloading \"%s\" in group cache!"
 msgstr ""
@@ -4106,7 +4165,7 @@ msgstr ""
 msgid "Name Service Cache Daemon."
 msgstr ""
 
-#: nscd/nscd.c:155 nss/getent.c:1003 nss/makedb.c:206
+#: nscd/nscd.c:155 nss/getent.c:1007 nss/makedb.c:206
 #, c-format
 msgid "wrong number of arguments"
 msgstr ""
@@ -4140,7 +4199,7 @@ msgstr ""
 msgid "Could not create log file"
 msgstr ""
 
-#: nscd/nscd.c:355 nscd/nscd_stat.c:192
+#: nscd/nscd.c:355 nscd/nscd_stat.c:194
 #, c-format
 msgid "write incomplete"
 msgstr ""
@@ -4155,7 +4214,7 @@ msgstr ""
 msgid "invalidation failed"
 msgstr ""
 
-#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:173
+#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:175
 #, c-format
 msgid "Only root is allowed to use this option!"
 msgstr ""
@@ -4241,35 +4300,35 @@ msgstr ""
 msgid "maximum file size for %s database too small"
 msgstr ""
 
-#: nscd/nscd_stat.c:142
+#: nscd/nscd_stat.c:144
 #, c-format
 msgid "cannot write statistics: %s"
 msgstr ""
 
-#: nscd/nscd_stat.c:157
+#: nscd/nscd_stat.c:159
 msgid "yes"
 msgstr ""
 
-#: nscd/nscd_stat.c:158
+#: nscd/nscd_stat.c:160
 msgid "no"
 msgstr ""
 
-#: nscd/nscd_stat.c:169
+#: nscd/nscd_stat.c:171
 #, c-format
 msgid "Only root or %s is allowed to use this option!"
 msgstr ""
 
-#: nscd/nscd_stat.c:180
+#: nscd/nscd_stat.c:182
 #, c-format
 msgid "nscd not running!\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:204
+#: nscd/nscd_stat.c:206
 #, c-format
 msgid "cannot read statistics data"
 msgstr ""
 
-#: nscd/nscd_stat.c:207
+#: nscd/nscd_stat.c:209
 #, c-format
 msgid ""
 "nscd configuration:\n"
@@ -4277,27 +4336,27 @@ msgid ""
 "%15d  server debug level\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:231
+#: nscd/nscd_stat.c:233
 #, c-format
 msgid "%3ud %2uh %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:234
+#: nscd/nscd_stat.c:236
 #, c-format
 msgid "    %2uh %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:236
+#: nscd/nscd_stat.c:238
 #, c-format
 msgid "        %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:238
+#: nscd/nscd_stat.c:240
 #, c-format
 msgid "            %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:240
+#: nscd/nscd_stat.c:242
 #, c-format
 msgid ""
 "%15d  current number of threads\n"
@@ -4308,7 +4367,7 @@ msgid ""
 "%15u  reload count\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:275
+#: nscd/nscd_stat.c:277
 #, c-format
 msgid ""
 "\n"
@@ -4351,85 +4410,85 @@ msgstr ""
 msgid "Invalid numeric uid \"%s\"!"
 msgstr ""
 
-#: nscd/selinux.c:155
+#: nscd/selinux.c:154
 #, c-format
 msgid "Failed opening connection to the audit subsystem: %m"
 msgstr ""
 
-#: nscd/selinux.c:176
+#: nscd/selinux.c:175
 msgid "Failed to set keep-capabilities"
 msgstr ""
 
-#: nscd/selinux.c:177 nscd/selinux.c:240
+#: nscd/selinux.c:176 nscd/selinux.c:239
 msgid "prctl(KEEPCAPS) failed"
 msgstr ""
 
-#: nscd/selinux.c:191
+#: nscd/selinux.c:190
 msgid "Failed to initialize drop of capabilities"
 msgstr ""
 
-#: nscd/selinux.c:192
+#: nscd/selinux.c:191
 msgid "cap_init failed"
 msgstr ""
 
-#: nscd/selinux.c:213 nscd/selinux.c:230
+#: nscd/selinux.c:212 nscd/selinux.c:229
 msgid "Failed to drop capabilities"
 msgstr ""
 
-#: nscd/selinux.c:214 nscd/selinux.c:231
+#: nscd/selinux.c:213 nscd/selinux.c:230
 msgid "cap_set_proc failed"
 msgstr ""
 
-#: nscd/selinux.c:239
+#: nscd/selinux.c:238
 msgid "Failed to unset keep-capabilities"
 msgstr ""
 
-#: nscd/selinux.c:255
+#: nscd/selinux.c:254
 msgid "Failed to determine if kernel supports SELinux"
 msgstr ""
 
-#: nscd/selinux.c:270
+#: nscd/selinux.c:269
 msgid "Failed to start AVC thread"
 msgstr ""
 
-#: nscd/selinux.c:292
+#: nscd/selinux.c:291
 msgid "Failed to create AVC lock"
 msgstr ""
 
-#: nscd/selinux.c:332
+#: nscd/selinux.c:331
 msgid "Failed to start AVC"
 msgstr ""
 
-#: nscd/selinux.c:334
+#: nscd/selinux.c:333
 msgid "Access Vector Cache (AVC) started"
 msgstr ""
 
-#: nscd/selinux.c:369
+#: nscd/selinux.c:368
 msgid "Error querying policy for undefined object classes or permissions."
 msgstr ""
 
-#: nscd/selinux.c:376
+#: nscd/selinux.c:375
 msgid "Error getting security class for nscd."
 msgstr ""
 
-#: nscd/selinux.c:381
+#: nscd/selinux.c:380
 #, c-format
 msgid "Error translating permission name \"%s\" to access vector bit."
 msgstr ""
 
-#: nscd/selinux.c:391
+#: nscd/selinux.c:390
 msgid "Error getting context of socket peer"
 msgstr ""
 
-#: nscd/selinux.c:396
+#: nscd/selinux.c:395
 msgid "Error getting context of nscd"
 msgstr ""
 
-#: nscd/selinux.c:402
+#: nscd/selinux.c:401
 msgid "Error getting sid from context"
 msgstr ""
 
-#: nscd/selinux.c:440
+#: nscd/selinux.c:439
 #, c-format
 msgid ""
 "\n"
@@ -4482,16 +4541,16 @@ msgstr ""
 msgid "Enumeration not supported on %s\n"
 msgstr ""
 
-#: nss/getent.c:917
+#: nss/getent.c:921
 #, c-format
 msgid "Unknown database name"
 msgstr ""
 
-#: nss/getent.c:947
+#: nss/getent.c:951
 msgid "Supported databases:\n"
 msgstr ""
 
-#: nss/getent.c:1013
+#: nss/getent.c:1017
 #, c-format
 msgid "Unknown database: %s\n"
 msgstr ""
@@ -4761,7 +4820,7 @@ msgstr ""
 msgid "No previous regular expression"
 msgstr ""
 
-#: posix/wordexp.c:1844
+#: posix/wordexp.c:1851
 msgid "parameter null or not set"
 msgstr ""
 
@@ -7125,3 +7184,12 @@ msgstr ""
 #, c-format
 msgid "%s: Can't create directory %s: %s\n"
 msgstr ""
+
+#~ msgid "cannot load any more object with static TLS"
+#~ msgstr "impossibile de cargar necun altere objectos con TLS static"
+
+#~ msgid "%s: no PLTREL found in object %s\n"
+#~ msgstr "%s: necun PLTREL trovate in le objecto %s\n"
+
+#~ msgid "cannot create internal descriptors"
+#~ msgstr "impossibile de crear descriptores interne"
diff --git a/po/id.po b/po/id.po
index f6f7a5b..ae25839 100644
--- a/po/id.po
+++ b/po/id.po
@@ -6,7 +6,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: libc 2.10.1\n"
-"POT-Creation-Date: 2015-01-20 22:14-0500\n"
+"POT-Creation-Date: 2015-07-31 00:10-0400\n"
 "PO-Revision-Date: 2009-06-23 12:30+0700\n"
 "Last-Translator: Arif E. Nugroho <arif_endro@yahoo.com>\n"
 "Language-Team: Indonesian <translation-team-id@lists.sourceforge.net>\n"
@@ -142,10 +142,10 @@ msgstr ""
 "[BERKAS-KELUARAN [BERKAS-MASUKAN]...]"
 
 #: catgets/gencat.c:229 debug/pcprofiledump.c:209 elf/ldconfig.c:307
-#: elf/pldd.c:244 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
+#: elf/pldd.c:252 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
 #: iconv/iconvconfig.c:379 locale/programs/locale.c:277
 #: locale/programs/localedef.c:376 login/programs/pt_chown.c:88
-#: malloc/memusagestat.c:563 nss/getent.c:969 nss/makedb.c:369
+#: malloc/memusagestat.c:563 nss/getent.c:973 nss/makedb.c:369
 #: posix/getconf.c:486 sunrpc/rpcinfo.c:691
 #: sysdeps/unix/sysv/linux/lddlibc4.c:61
 #, fuzzy, c-format
@@ -160,7 +160,7 @@ msgstr ""
 "<http://www.gnu.org/software/libc/bugs.html>.\n"
 
 #: catgets/gencat.c:245 debug/pcprofiledump.c:225 debug/xtrace.sh:64
-#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:260 elf/sotruss.sh:75
+#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:268 elf/sotruss.sh:75
 #: elf/sprof.c:389 iconv/iconv_prog.c:425 iconv/iconvconfig.c:396
 #: locale/programs/locale.c:294 locale/programs/localedef.c:402
 #: login/programs/pt_chown.c:62 malloc/memusage.sh:71
@@ -177,7 +177,7 @@ msgstr ""
 "garansi; bahkan untuk PERDAGANGAN atau KECOCOKAN UNTUK SEBUAH TUJUAN TERTENTU.\n"
 
 #: catgets/gencat.c:250 debug/pcprofiledump.c:230 debug/xtrace.sh:68
-#: elf/ldconfig.c:328 elf/pldd.c:265 elf/sprof.c:395 iconv/iconv_prog.c:430
+#: elf/ldconfig.c:328 elf/pldd.c:273 elf/sprof.c:395 iconv/iconv_prog.c:430
 #: iconv/iconvconfig.c:401 locale/programs/locale.c:299
 #: locale/programs/localedef.c:407 malloc/memusage.sh:75
 #: malloc/memusagestat.c:586 nscd/nscd.c:514 nss/getent.c:91 nss/makedb.c:390
@@ -442,11 +442,11 @@ msgstr "Mengubah ijin akses dari %s ke %#o gagal"
 msgid "Renaming of %s to %s failed"
 msgstr "Mengubah nama dari %s ke %s gagal"
 
-#: elf/dl-close.c:385 elf/dl-open.c:470
+#: elf/dl-close.c:396 elf/dl-open.c:478
 msgid "cannot create scope list"
 msgstr "tidak dapat membuat daftar scope"
 
-#: elf/dl-close.c:770
+#: elf/dl-close.c:816
 msgid "shared object not open"
 msgstr "shared objek tidak dapat dibuka"
 
@@ -519,127 +519,127 @@ msgstr "tidak dapat membuah array jalur pencarian"
 msgid "cannot stat shared object"
 msgstr "tidak dapat memperoleh statistik objek terbagi"
 
-#: elf/dl-load.c:963
+#: elf/dl-load.c:962
 msgid "cannot open zero fill device"
 msgstr "tidak dapat membuka perangkat pengisi nol"
 
-#: elf/dl-load.c:1010 elf/dl-load.c:2165
+#: elf/dl-load.c:1009 elf/dl-load.c:2159
 msgid "cannot create shared object descriptor"
 msgstr "tidak dapat membuat deskripsi objek terbagi"
 
-#: elf/dl-load.c:1029 elf/dl-load.c:1570 elf/dl-load.c:1682
+#: elf/dl-load.c:1028 elf/dl-load.c:1568 elf/dl-load.c:1680
 msgid "cannot read file data"
 msgstr "tidak dapat membaca berkas data"
 
-#: elf/dl-load.c:1069
+#: elf/dl-load.c:1068
 msgid "ELF load command alignment not page-aligned"
 msgstr "ELF perintah angkut tidak teralign-halaman"
 
-#: elf/dl-load.c:1076
+#: elf/dl-load.c:1075
 msgid "ELF load command address/offset not properly aligned"
 msgstr "ELF perintah angkut alamat/ofset tidak secara benar ter-align"
 
-#: elf/dl-load.c:1160
+#: elf/dl-load.c:1159
 msgid "cannot allocate TLS data structures for initial thread"
 msgstr "tidak dapat mengalokasikan struktur data TLS untuk inisial thread"
 
-#: elf/dl-load.c:1183
+#: elf/dl-load.c:1182
 msgid "cannot handle TLS data"
 msgstr "tidak dapat menangani data TLS"
 
-#: elf/dl-load.c:1202
+#: elf/dl-load.c:1201
 msgid "object file has no loadable segments"
 msgstr "berkas objek tidak memiliki segmen yang dapat diangkut"
 
-#: elf/dl-load.c:1211 elf/dl-load.c:1662
+#: elf/dl-load.c:1210 elf/dl-load.c:1660
 msgid "cannot dynamically load executable"
 msgstr "tidak dapat secara dinamis mengangkut aplikasi"
 
-#: elf/dl-load.c:1232
+#: elf/dl-load.c:1231
 msgid "object file has no dynamic section"
 msgstr "berkas objek tidak memiliki bagian dinamis"
 
-#: elf/dl-load.c:1255
+#: elf/dl-load.c:1254
 msgid "shared object cannot be dlopen()ed"
 msgstr "objek terbagi tidak dapat di dlopen()ed"
 
-#: elf/dl-load.c:1268
+#: elf/dl-load.c:1267
 msgid "cannot allocate memory for program header"
 msgstr "tidak dapat mengalokasikan memori untuk aplikasi header"
 
-#: elf/dl-load.c:1284 elf/dl-open.c:195
+#: elf/dl-load.c:1283 elf/dl-open.c:195
 msgid "invalid caller"
 msgstr "pemanggil tidak valid"
 
-#: elf/dl-load.c:1307 elf/dl-load.h:130
+#: elf/dl-load.c:1306 elf/dl-load.h:130
 msgid "cannot change memory protections"
 msgstr "tidak dapat mengubah proteksi memori"
 
-#: elf/dl-load.c:1327
+#: elf/dl-load.c:1326
 msgid "cannot enable executable stack as shared object requires"
 msgstr "tidak dapat mengaktifkan stack aplikasi sebagai objek terbagi yang dibutuhkan"
 
-#: elf/dl-load.c:1340
+#: elf/dl-load.c:1339
 msgid "cannot close file descriptor"
 msgstr "tidak dapat menutup berkas deskripsi"
 
-#: elf/dl-load.c:1570
+#: elf/dl-load.c:1568
 msgid "file too short"
 msgstr "berkas terlalu pendek"
 
-#: elf/dl-load.c:1605
+#: elf/dl-load.c:1603
 msgid "invalid ELF header"
 msgstr "header ELF tidak valid"
 
-#: elf/dl-load.c:1617
+#: elf/dl-load.c:1615
 msgid "ELF file data encoding not big-endian"
 msgstr "berkas data enkoding ELF bukan big-endian"
 
-#: elf/dl-load.c:1619
+#: elf/dl-load.c:1617
 msgid "ELF file data encoding not little-endian"
 msgstr "berkas data enkoding ELF bukan little-endian"
 
-#: elf/dl-load.c:1623
+#: elf/dl-load.c:1621
 msgid "ELF file version ident does not match current one"
 msgstr "berkas versi ident ELF tidak cocok dengan yang sekarang"
 
-#: elf/dl-load.c:1627
+#: elf/dl-load.c:1625
 msgid "ELF file OS ABI invalid"
 msgstr "berkas OS ABI ELF tidak valid"
 
-#: elf/dl-load.c:1630
+#: elf/dl-load.c:1628
 msgid "ELF file ABI version invalid"
 msgstr "berkas versi ABI ELF tidak valid"
 
-#: elf/dl-load.c:1633
+#: elf/dl-load.c:1631
 msgid "nonzero padding in e_ident"
 msgstr ""
 
-#: elf/dl-load.c:1636
+#: elf/dl-load.c:1634
 msgid "internal error"
 msgstr "internal error"
 
-#: elf/dl-load.c:1643
+#: elf/dl-load.c:1641
 msgid "ELF file version does not match current one"
 msgstr "berkas versi ELF tidak cocok dengan yang sekarang"
 
-#: elf/dl-load.c:1651
+#: elf/dl-load.c:1649
 msgid "only ET_DYN and ET_EXEC can be loaded"
 msgstr "hanya ET_DYN dan ET_EXEC yang dapat diangkut"
 
-#: elf/dl-load.c:1667
+#: elf/dl-load.c:1665
 msgid "ELF file's phentsize not the expected size"
 msgstr "berkas phentsize ELF tidak seperti ukuran yang diduga"
 
-#: elf/dl-load.c:2184
+#: elf/dl-load.c:2178
 msgid "wrong ELF class: ELFCLASS64"
 msgstr "kelas ELF salah: ELFCLASS64"
 
-#: elf/dl-load.c:2185
+#: elf/dl-load.c:2179
 msgid "wrong ELF class: ELFCLASS32"
 msgstr "kelas ELF salah: ELFCLASS32"
 
-#: elf/dl-load.c:2188
+#: elf/dl-load.c:2182
 msgid "cannot open shared object file"
 msgstr "tidak dapat membuka berkas objek terbagi"
 
@@ -651,11 +651,11 @@ msgstr "gagal untuk memetakan segmen dari objek terbagi"
 msgid "cannot map zero-fill pages"
 msgstr "tidak dapat memetakan halaman pengisian-nol"
 
-#: elf/dl-lookup.c:791
+#: elf/dl-lookup.c:845
 msgid "relocation error"
 msgstr "relokasi error"
 
-#: elf/dl-lookup.c:818
+#: elf/dl-lookup.c:872
 msgid "symbol lookup error"
 msgstr "simbol lookup error"
 
@@ -663,51 +663,40 @@ msgstr "simbol lookup error"
 msgid "cannot extend global scope"
 msgstr "tidak dapat mengeksten global scope"
 
-#: elf/dl-open.c:520
+#: elf/dl-open.c:528
 msgid "TLS generation counter wrapped!  Please report this."
 msgstr "pembuatan TLS penghitung wrapped! Tolong laporkan ini."
 
-#: elf/dl-open.c:542
-#, fuzzy
-#| msgid "cannot allocate memory in static TLS block"
-msgid "cannot load any more object with static TLS"
-msgstr "tidak dapat mengalokasikan memori dalam blok TLS statis"
-
-#: elf/dl-open.c:599
+#: elf/dl-open.c:592
 msgid "invalid mode for dlopen()"
 msgstr "mode untuk dlopen() tidak valid"
 
-#: elf/dl-open.c:616
+#: elf/dl-open.c:609
 msgid "no more namespaces available for dlmopen()"
 msgstr "tidak ada lagi ruang-nama yang tersedia untuk dlmopen()"
 
-#: elf/dl-open.c:634
+#: elf/dl-open.c:633
 msgid "invalid target namespace in dlmopen()"
 msgstr "target ruang-nama dalam dlmopen() tidak valid"
 
-#: elf/dl-reloc.c:120
+#: elf/dl-reloc.c:121
 msgid "cannot allocate memory in static TLS block"
 msgstr "tidak dapat mengalokasikan memori dalam blok TLS statis"
 
-#: elf/dl-reloc.c:212
+#: elf/dl-reloc.c:206
 msgid "cannot make segment writable for relocation"
 msgstr "tidak dapat membuat segmen dapat ditulis untuk relokasi"
 
-#: elf/dl-reloc.c:275
-#, c-format
-msgid "%s: no PLTREL found in object %s\n"
-msgstr "%s: tidak ada PLTREL ditemukan dalam objek %s\n"
-
-#: elf/dl-reloc.c:290
+#: elf/dl-reloc.c:276
 #, c-format
 msgid "%s: out of memory to store relocation results for %s\n"
 msgstr "%s: kehabisan dari memori untuk menyimpan hasil relokasi untuk %s\n"
 
-#: elf/dl-reloc.c:306
+#: elf/dl-reloc.c:292
 msgid "cannot restore segment prot after reloc"
 msgstr "tidak dapat merestore segmen prot setelah relokasi"
 
-#: elf/dl-reloc.c:335
+#: elf/dl-reloc.c:323
 msgid "cannot apply additional memory protection after relocation"
 msgstr "tidak dapat mengaplikasikan proteksi memori tambahan setelah relokasi"
 
@@ -715,7 +704,7 @@ msgstr "tidak dapat mengaplikasikan proteksi memori tambahan setelah relokasi"
 msgid "RTLD_NEXT used in code not dynamically loaded"
 msgstr "RTLD_NEXT digunakan dalam kode yang tidak secara dinamis diangkut"
 
-#: elf/dl-tls.c:933
+#: elf/dl-tls.c:934
 msgid "cannot create TLS data structures"
 msgstr "tidak dapat membuat struktur data TLS"
 
@@ -861,7 +850,7 @@ msgstr "Tidak ada hubungan yang dibuat karena soname tidak dapaat ditemukan untu
 msgid "Can't open directory %s"
 msgstr "Tidak dapat membuka direktori %s"
 
-#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:90
+#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:97
 #, c-format
 msgid "Input file %s not found.\n"
 msgstr "Berkas masukan %s tidak ditemukan.\n"
@@ -992,7 +981,7 @@ msgstr "hilang berkas argumen"
 msgid "No such file or directory"
 msgstr "Tidak ada berkas atau direktori seperti itu"
 
-#: elf/ldd.bash.in:150 inet/rcmd.c:488
+#: elf/ldd.bash.in:150 inet/rcmd.c:492
 msgid "not regular file"
 msgstr "bukan sebuah berkas regular"
 
@@ -1042,73 +1031,79 @@ msgstr "tidak dapat membaca header"
 msgid "cannot read program interpreter"
 msgstr "tidak dapat membaca archive header"
 
-#: elf/pldd-xx.c:196
+#: elf/pldd-xx.c:197
 #, fuzzy, c-format
 #| msgid "cannot read file data"
 msgid "cannot read link map"
 msgstr "tidak dapat membaca berkas data"
 
-#: elf/pldd-xx.c:207
+#: elf/pldd-xx.c:209
 #, fuzzy, c-format
 #| msgid "cannot read header"
 msgid "cannot read object name"
 msgstr "tidak dapat membaca header"
 
-#: elf/pldd.c:63
+#: elf/pldd-xx.c:219
+#, fuzzy, c-format
+#| msgid "cannot allocate memory for program header"
+msgid "cannot allocate buffer for object name"
+msgstr "tidak dapat mengalokasikan memori untuk aplikasi header"
+
+#: elf/pldd.c:64
 msgid "List dynamic shared objects loaded into process."
 msgstr ""
 
-#: elf/pldd.c:67
+#: elf/pldd.c:68
 msgid "PID"
 msgstr ""
 
-#: elf/pldd.c:99
+#: elf/pldd.c:100
 #, c-format
 msgid "Exactly one parameter with process ID required.\n"
 msgstr ""
 
-#: elf/pldd.c:111
+#: elf/pldd.c:112
 #, fuzzy, c-format
 #| msgid "invalid pointer size"
 msgid "invalid process ID '%s'"
 msgstr "ukuran penunjuk tidak valid"
 
-#: elf/pldd.c:119
+#: elf/pldd.c:120
 #, fuzzy, c-format
 #| msgid "cannot open `%s'"
 msgid "cannot open %s"
 msgstr "tidak dapat membuka `%s'"
 
-#: elf/pldd.c:144
+#: elf/pldd.c:152
 #, fuzzy, c-format
 #| msgid "cannot open `%s'"
 msgid "cannot open %s/task"
 msgstr "tidak dapat membuka `%s'"
 
-#: elf/pldd.c:147
+#: elf/pldd.c:155
 #, fuzzy, c-format
 #| msgid "cannot create searchlist"
 msgid "cannot prepare reading %s/task"
 msgstr "tidak dapat membuat daftar pencarian"
 
-#: elf/pldd.c:160
+#: elf/pldd.c:168
 #, fuzzy, c-format
 #| msgid "invalid ELF header"
 msgid "invalid thread ID '%s'"
 msgstr "header ELF tidak valid"
 
-#: elf/pldd.c:171
+#: elf/pldd.c:179
 #, fuzzy, c-format
 #| msgid "cannot access '%s'"
 msgid "cannot attach to process %lu"
 msgstr "tidak dapat mengakses '%s'"
 
-#: elf/pldd.c:286
+#: elf/pldd.c:294
 #, c-format
 msgid "cannot get information about process %lu"
 msgstr ""
 
-#: elf/pldd.c:299
+#: elf/pldd.c:307
 #, c-format
 msgid "process %lu is no ELF program"
 msgstr ""
@@ -1143,27 +1138,27 @@ msgstr "%s bukan sebuah berkas objek terbagi (Tipe: %d).\n"
 msgid "more than one dynamic segment\n"
 msgstr "lebih dari satu segmen dinamis\n"
 
-#: elf/readlib.c:96
+#: elf/readlib.c:103
 #, c-format
 msgid "Cannot fstat file %s.\n"
 msgstr "Tidak dapat fstat berkas %s.\n"
 
-#: elf/readlib.c:107
+#: elf/readlib.c:114
 #, c-format
 msgid "File %s is empty, not checked."
 msgstr "Berkas %s kosong, tidak diperiksa."
 
-#: elf/readlib.c:113
+#: elf/readlib.c:120
 #, c-format
 msgid "File %s is too small, not checked."
 msgstr "Berkas %s terlalu kecil, tidak diperiksa."
 
-#: elf/readlib.c:123
+#: elf/readlib.c:130
 #, c-format
 msgid "Cannot mmap file %s.\n"
 msgstr "Tidak dapat mmap berkas %s.\n"
 
-#: elf/readlib.c:161
+#: elf/readlib.c:169
 #, c-format
 msgid "%s is not an ELF file - it has the wrong magic bytes at the start.\n"
 msgstr "%s bukan sebuah berkas ELF - ini memiliki magis bytes salah di awal.\n"
@@ -1291,9 +1286,9 @@ msgstr "SHOBJ [PROFDATA]"
 msgid "failed to load shared object `%s'"
 msgstr "gagal mengangkut objek terbagi `%s'"
 
-#: elf/sprof.c:442
+#: elf/sprof.c:442 elf/sprof.c:825 elf/sprof.c:923
 #, c-format
-msgid "cannot create internal descriptors"
+msgid "cannot create internal descriptor"
 msgstr "tidak dapat membuat deskripsi internal"
 
 #: elf/sprof.c:554
@@ -1361,11 +1356,6 @@ msgstr "gagal untuk memetakan berkas data profiling"
 msgid "error while closing the profiling data file"
 msgstr "error ketika menutup berkas data profiling"
 
-#: elf/sprof.c:825 elf/sprof.c:923
-#, c-format
-msgid "cannot create internal descriptor"
-msgstr "tidak dapat membuat deskripsi internal"
-
 #: elf/sprof.c:899
 #, c-format
 msgid "`%s' is no correct profile data file for `%s'"
@@ -1623,27 +1613,27 @@ msgstr "socket: protokol gagal dalam konfigurasi circuit\n"
 msgid "rcmd: %s: short read"
 msgstr "rcmd: %s: pembacaan pendek"
 
-#: inet/rcmd.c:486
+#: inet/rcmd.c:490
 msgid "lstat failed"
 msgstr "lstat gagal"
 
-#: inet/rcmd.c:493
+#: inet/rcmd.c:497
 msgid "cannot open"
 msgstr "tidak dapat membuka"
 
-#: inet/rcmd.c:495
+#: inet/rcmd.c:499
 msgid "fstat failed"
 msgstr "fstat gagal"
 
-#: inet/rcmd.c:497
+#: inet/rcmd.c:501
 msgid "bad owner"
 msgstr "pemilik buruk"
 
-#: inet/rcmd.c:499
+#: inet/rcmd.c:503
 msgid "writeable by other than owner"
 msgstr "dapat ditulis oleh selain dari pemilik"
 
-#: inet/rcmd.c:501
+#: inet/rcmd.c:505
 msgid "hard linked somewhere"
 msgstr "hard linked kesuatu tempat"
 
@@ -1763,8 +1753,8 @@ msgid "no symbolic name given for end of range"
 msgstr "tidak ada nama simbolis yang diberikan untuk akhir dari jangkauan"
 
 #: locale/programs/charmap.c:610 locale/programs/ld-address.c:528
-#: locale/programs/ld-collate.c:2626 locale/programs/ld-collate.c:3784
-#: locale/programs/ld-ctype.c:2162 locale/programs/ld-ctype.c:2913
+#: locale/programs/ld-collate.c:2635 locale/programs/ld-collate.c:3793
+#: locale/programs/ld-ctype.c:2128 locale/programs/ld-ctype.c:2840
 #: locale/programs/ld-identification.c:368
 #: locale/programs/ld-measurement.c:215 locale/programs/ld-messages.c:298
 #: locale/programs/ld-monetary.c:740 locale/programs/ld-name.c:264
@@ -1790,8 +1780,8 @@ msgid "%s: error in state machine"
 msgstr "%s: error dalam mesin status"
 
 #: locale/programs/charmap.c:850 locale/programs/ld-address.c:544
-#: locale/programs/ld-collate.c:2623 locale/programs/ld-collate.c:3977
-#: locale/programs/ld-ctype.c:2159 locale/programs/ld-ctype.c:2930
+#: locale/programs/ld-collate.c:2632 locale/programs/ld-collate.c:3986
+#: locale/programs/ld-ctype.c:2125 locale/programs/ld-ctype.c:2857
 #: locale/programs/ld-identification.c:384
 #: locale/programs/ld-measurement.c:231 locale/programs/ld-messages.c:314
 #: locale/programs/ld-monetary.c:756 locale/programs/ld-name.c:280
@@ -1812,7 +1802,7 @@ msgstr "karakter `%s' tidak dikenal"
 msgid "number of bytes for byte sequence of beginning and end of range not the same: %d vs %d"
 msgstr "jumlah dari bytes untuk urutan byte dari awal dan akhir dari jangkauan tidak sama: %d vs %d"
 
-#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2903
+#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2912
 #: locale/programs/repertoire.c:419
 msgid "invalid names for character range"
 msgstr "nama tidak valid untuk jangkauan karakter"
@@ -1834,8 +1824,8 @@ msgstr "batas atas dalam jangkauan adalah lebih kecil daripada batas bawah"
 msgid "resulting bytes for range not representable."
 msgstr "menghasilkan bytes untuk jangkauan tidak dapat direpresentasikan."
 
-#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1565
-#: locale/programs/ld-ctype.c:465 locale/programs/ld-identification.c:133
+#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1566
+#: locale/programs/ld-ctype.c:431 locale/programs/ld-identification.c:133
 #: locale/programs/ld-measurement.c:94 locale/programs/ld-messages.c:97
 #: locale/programs/ld-monetary.c:193 locale/programs/ld-name.c:94
 #: locale/programs/ld-numeric.c:98 locale/programs/ld-paper.c:91
@@ -1899,7 +1889,7 @@ msgid "%s: numeric country code `%d' not valid"
 msgstr "%s: kode negara numerik `%d' tidak valid"
 
 #: locale/programs/ld-address.c:436 locale/programs/ld-address.c:473
-#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2537
+#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2489
 #: locale/programs/ld-identification.c:280
 #: locale/programs/ld-measurement.c:198 locale/programs/ld-messages.c:267
 #: locale/programs/ld-monetary.c:495 locale/programs/ld-monetary.c:530
@@ -1921,8 +1911,8 @@ msgstr "%s: daerah `%s' terdeklarasi lebih dari sekali"
 msgid "%s: unknown character in field `%s'"
 msgstr "%s: karakter dalam daerah `%s' tidak dikenal"
 
-#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3782
-#: locale/programs/ld-ctype.c:2910 locale/programs/ld-identification.c:365
+#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3791
+#: locale/programs/ld-ctype.c:2837 locale/programs/ld-identification.c:365
 #: locale/programs/ld-measurement.c:212 locale/programs/ld-messages.c:296
 #: locale/programs/ld-monetary.c:738 locale/programs/ld-name.c:262
 #: locale/programs/ld-numeric.c:324 locale/programs/ld-paper.c:212
@@ -1931,12 +1921,12 @@ msgstr "%s: karakter dalam daerah `%s' tidak dikenal"
 msgid "%s: incomplete `END' line"
 msgstr "%s: tidak lengkap `END'  baris"
 
-#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:551
-#: locale/programs/ld-collate.c:603 locale/programs/ld-collate.c:899
-#: locale/programs/ld-collate.c:912 locale/programs/ld-collate.c:2592
-#: locale/programs/ld-collate.c:2613 locale/programs/ld-collate.c:3967
-#: locale/programs/ld-ctype.c:1891 locale/programs/ld-ctype.c:2149
-#: locale/programs/ld-ctype.c:2735 locale/programs/ld-ctype.c:2921
+#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:552
+#: locale/programs/ld-collate.c:604 locale/programs/ld-collate.c:900
+#: locale/programs/ld-collate.c:913 locale/programs/ld-collate.c:2601
+#: locale/programs/ld-collate.c:2622 locale/programs/ld-collate.c:3976
+#: locale/programs/ld-ctype.c:1857 locale/programs/ld-ctype.c:2115
+#: locale/programs/ld-ctype.c:2687 locale/programs/ld-ctype.c:2848
 #: locale/programs/ld-identification.c:375
 #: locale/programs/ld-measurement.c:222 locale/programs/ld-messages.c:305
 #: locale/programs/ld-monetary.c:747 locale/programs/ld-name.c:271
@@ -1946,477 +1936,477 @@ msgstr "%s: tidak lengkap `END'  baris"
 msgid "%s: syntax error"
 msgstr "%s: sintaks error"
 
-#: locale/programs/ld-collate.c:426
+#: locale/programs/ld-collate.c:427
 #, c-format
 msgid "`%.*s' already defined in charmap"
 msgstr "`%.*s' telah terdefinisi dalam charmap"
 
-#: locale/programs/ld-collate.c:435
+#: locale/programs/ld-collate.c:436
 #, c-format
 msgid "`%.*s' already defined in repertoire"
 msgstr "`%.*s' telah terdefinisi dalam repertoire"
 
-#: locale/programs/ld-collate.c:442
+#: locale/programs/ld-collate.c:443
 #, c-format
 msgid "`%.*s' already defined as collating symbol"
 msgstr "`%.*s' telah terdefinisi sebagai simbol collating"
 
-#: locale/programs/ld-collate.c:449
+#: locale/programs/ld-collate.c:450
 #, c-format
 msgid "`%.*s' already defined as collating element"
 msgstr "`%.*s' telah terdefinisi sebagai elemen collating"
 
-#: locale/programs/ld-collate.c:480 locale/programs/ld-collate.c:506
+#: locale/programs/ld-collate.c:481 locale/programs/ld-collate.c:507
 #, c-format
 msgid "%s: `forward' and `backward' are mutually excluding each other"
 msgstr "%s: `forward' dan `backward' adalah secara muttual excluding satu sama lain"
 
-#: locale/programs/ld-collate.c:490 locale/programs/ld-collate.c:516
-#: locale/programs/ld-collate.c:532
+#: locale/programs/ld-collate.c:491 locale/programs/ld-collate.c:517
+#: locale/programs/ld-collate.c:533
 #, c-format
 msgid "%s: `%s' mentioned more than once in definition of weight %d"
 msgstr "%s: `%s' disebutkan lebih dari sekali dalam definisi dari berat %d"
 
-#: locale/programs/ld-collate.c:588
+#: locale/programs/ld-collate.c:589
 #, c-format
 msgid "%s: too many rules; first entry only had %d"
 msgstr "%s: terlalu banyak aturan; masukan pertama hanya memiliki %d"
 
-#: locale/programs/ld-collate.c:624
+#: locale/programs/ld-collate.c:625
 #, c-format
 msgid "%s: not enough sorting rules"
 msgstr "%s: tidak cukup aturan pengurutan"
 
-#: locale/programs/ld-collate.c:789
+#: locale/programs/ld-collate.c:790
 #, c-format
 msgid "%s: empty weight string not allowed"
 msgstr "%s: berat kosong string tidak diijinkan"
 
-#: locale/programs/ld-collate.c:884
+#: locale/programs/ld-collate.c:885
 #, c-format
 msgid "%s: weights must use the same ellipsis symbol as the name"
 msgstr "%s: berat seharusnya menggunakan ellipsis sama simbol sebagai nama"
 
-#: locale/programs/ld-collate.c:940
+#: locale/programs/ld-collate.c:941
 #, c-format
 msgid "%s: too many values"
 msgstr "%s: terlalu banyak nilai"
 
-#: locale/programs/ld-collate.c:1060 locale/programs/ld-collate.c:1235
+#: locale/programs/ld-collate.c:1061 locale/programs/ld-collate.c:1236
 #, c-format
 msgid "order for `%.*s' already defined at %s:%Zu"
 msgstr "perintah untuk `%.*s' telah terdefinisi di %s:%Zu"
 
-#: locale/programs/ld-collate.c:1110
+#: locale/programs/ld-collate.c:1111
 #, c-format
 msgid "%s: the start and the end symbol of a range must stand for characters"
 msgstr "%s: awal dan akhir dari simbol dari sebuah jangkauan harus berdiri untuk karakter"
 
-#: locale/programs/ld-collate.c:1137
+#: locale/programs/ld-collate.c:1138
 #, c-format
 msgid "%s: byte sequences of first and last character must have the same length"
 msgstr "%s: urutan byte dari karakter awal dan akhir harus memiliki panjang sama"
 
-#: locale/programs/ld-collate.c:1179
+#: locale/programs/ld-collate.c:1180
 #, c-format
 msgid "%s: byte sequence of first character of range is not lower than that of the last character"
 msgstr "%s: urutan byte dari awal karakter dari jangkauan tidak lebih rendah dari karakter terakhir"
 
-#: locale/programs/ld-collate.c:1304
+#: locale/programs/ld-collate.c:1305
 #, c-format
 msgid "%s: symbolic range ellipsis must not directly follow `order_start'"
 msgstr "%s: jangkauan simbolis ellipsis tidak boleh secara langsung mengikuti `order_start'"
 
-#: locale/programs/ld-collate.c:1308
+#: locale/programs/ld-collate.c:1309
 #, c-format
 msgid "%s: symbolic range ellipsis must not be directly followed by `order_end'"
 msgstr "%s: jangkauan simbolis ellipsis tidak boleh secara langsung mengikuti `order_end'"
 
-#: locale/programs/ld-collate.c:1328 locale/programs/ld-ctype.c:1408
+#: locale/programs/ld-collate.c:1329 locale/programs/ld-ctype.c:1374
 #, c-format
 msgid "`%s' and `%.*s' are not valid names for symbolic range"
 msgstr "`%s' dan `%.*s' bukan sebuah nama valid untuk jangkauan simbolis"
 
-#: locale/programs/ld-collate.c:1378 locale/programs/ld-collate.c:3718
+#: locale/programs/ld-collate.c:1379 locale/programs/ld-collate.c:3727
 #, c-format
 msgid "%s: order for `%.*s' already defined at %s:%Zu"
 msgstr "%s: urutan untuk `%.*s' telah terdefinisi di %s:%Zu"
 
-#: locale/programs/ld-collate.c:1387
+#: locale/programs/ld-collate.c:1388
 #, c-format
 msgid "%s: `%s' must be a character"
 msgstr "%s: `%s' harus berupa sebuah karakter"
 
-#: locale/programs/ld-collate.c:1582
+#: locale/programs/ld-collate.c:1583
 #, c-format
 msgid "%s: `position' must be used for a specific level in all sections or none"
 msgstr "%s: `posisi' harus digunakan untuk tingkat spesifik dalam seluruh bagian atau kosong"
 
-#: locale/programs/ld-collate.c:1607
+#: locale/programs/ld-collate.c:1608
 #, c-format
 msgid "symbol `%s' not defined"
 msgstr "simbol `%s' tidak terdefinisi"
 
-#: locale/programs/ld-collate.c:1683 locale/programs/ld-collate.c:1789
+#: locale/programs/ld-collate.c:1684 locale/programs/ld-collate.c:1790
 #, c-format
 msgid "symbol `%s' has the same encoding as"
 msgstr "simbol `%s' memiliki pengkodean yang sama seperti"
 
-#: locale/programs/ld-collate.c:1687 locale/programs/ld-collate.c:1793
+#: locale/programs/ld-collate.c:1688 locale/programs/ld-collate.c:1794
 #, c-format
 msgid "symbol `%s'"
 msgstr "simbol `%s'"
 
-#: locale/programs/ld-collate.c:1833
+#: locale/programs/ld-collate.c:1834
 #, c-format
 msgid "no definition of `UNDEFINED'"
 msgstr "tidak ada definisi dari `UNDEFINED'"
 
-#: locale/programs/ld-collate.c:1862
+#: locale/programs/ld-collate.c:1863
 #, c-format
 msgid "too many errors; giving up"
 msgstr "terlalu banyak error; menyerah"
 
-#: locale/programs/ld-collate.c:2518 locale/programs/ld-collate.c:3906
+#: locale/programs/ld-collate.c:2527 locale/programs/ld-collate.c:3915
 #, c-format
 msgid "%s: nested conditionals not supported"
 msgstr "%s: nested kondisional tidak didukung"
 
-#: locale/programs/ld-collate.c:2536
+#: locale/programs/ld-collate.c:2545
 #, fuzzy, c-format
 #| msgid "%s: more then one 'else'"
 msgid "%s: more than one 'else'"
 msgstr "%s: lebih dari satu 'else'"
 
-#: locale/programs/ld-collate.c:2711
+#: locale/programs/ld-collate.c:2720
 #, c-format
 msgid "%s: duplicate definition of `%s'"
 msgstr "%s: duplikasi definisi dari `%s'"
 
-#: locale/programs/ld-collate.c:2747
+#: locale/programs/ld-collate.c:2756
 #, c-format
 msgid "%s: duplicate declaration of section `%s'"
 msgstr "%s: duplikasi deklarasi dari daerah `%s'"
 
-#: locale/programs/ld-collate.c:2883
+#: locale/programs/ld-collate.c:2892
 #, c-format
 msgid "%s: unknown character in collating symbol name"
 msgstr "%s: karakter tidak dikenal dalam nama simbol collating"
 
-#: locale/programs/ld-collate.c:3012
+#: locale/programs/ld-collate.c:3021
 #, c-format
 msgid "%s: unknown character in equivalent definition name"
 msgstr "%s: karakter tidak dikenal dalam definisi nama yang ekuivalen"
 
-#: locale/programs/ld-collate.c:3023
+#: locale/programs/ld-collate.c:3032
 #, c-format
 msgid "%s: unknown character in equivalent definition value"
 msgstr "%s: karakter tidak dikenal dalam nilai definisi yang ekuivalen"
 
-#: locale/programs/ld-collate.c:3033
+#: locale/programs/ld-collate.c:3042
 #, c-format
 msgid "%s: unknown symbol `%s' in equivalent definition"
 msgstr "%s: simbol tidak dikenal `%s' definisi ekuivalen"
 
-#: locale/programs/ld-collate.c:3042
+#: locale/programs/ld-collate.c:3051
 msgid "error while adding equivalent collating symbol"
 msgstr "error ketika menambahkan simbol collating ekuivalen"
 
-#: locale/programs/ld-collate.c:3080
+#: locale/programs/ld-collate.c:3089
 #, c-format
 msgid "duplicate definition of script `%s'"
 msgstr "duplikasi definisi dari skrip `%s'"
 
-#: locale/programs/ld-collate.c:3128
+#: locale/programs/ld-collate.c:3137
 #, c-format
 msgid "%s: unknown section name `%.*s'"
 msgstr "%s: nama daerah `%.*s' tidak dikenal"
 
-#: locale/programs/ld-collate.c:3157
+#: locale/programs/ld-collate.c:3166
 #, c-format
 msgid "%s: multiple order definitions for section `%s'"
 msgstr "%s: multiple tingkat definisi untuk daerah `%s'"
 
-#: locale/programs/ld-collate.c:3185
+#: locale/programs/ld-collate.c:3194
 #, c-format
 msgid "%s: invalid number of sorting rules"
 msgstr "%s: nomor tidak valid untuk aturan pengurutan"
 
-#: locale/programs/ld-collate.c:3212
+#: locale/programs/ld-collate.c:3221
 #, c-format
 msgid "%s: multiple order definitions for unnamed section"
 msgstr "%s: banyak tingkat definisi untuk daerah tidak bernama"
 
-#: locale/programs/ld-collate.c:3267 locale/programs/ld-collate.c:3397
-#: locale/programs/ld-collate.c:3760
+#: locale/programs/ld-collate.c:3276 locale/programs/ld-collate.c:3406
+#: locale/programs/ld-collate.c:3769
 #, c-format
 msgid "%s: missing `order_end' keyword"
 msgstr "%s: hilang `order_end' kata-kunci"
 
-#: locale/programs/ld-collate.c:3330
+#: locale/programs/ld-collate.c:3339
 #, c-format
 msgid "%s: order for collating symbol %.*s not yet defined"
 msgstr "%s: tingkat untuk collaing simbol %.*s belum terdefinisi"
 
-#: locale/programs/ld-collate.c:3348
+#: locale/programs/ld-collate.c:3357
 #, c-format
 msgid "%s: order for collating element %.*s not yet defined"
 msgstr "%s: tingkat untuk collating elemen %.*s belum terdefinisi"
 
-#: locale/programs/ld-collate.c:3359
+#: locale/programs/ld-collate.c:3368
 #, c-format
 msgid "%s: cannot reorder after %.*s: symbol not known"
 msgstr "%s: tidak dapat mengurutkan setelah %.*s: simbol tidak diketahui"
 
-#: locale/programs/ld-collate.c:3411 locale/programs/ld-collate.c:3772
+#: locale/programs/ld-collate.c:3420 locale/programs/ld-collate.c:3781
 #, c-format
 msgid "%s: missing `reorder-end' keyword"
 msgstr "%s: hilang `reorder-end' kata-kunci"
 
-#: locale/programs/ld-collate.c:3445 locale/programs/ld-collate.c:3643
+#: locale/programs/ld-collate.c:3454 locale/programs/ld-collate.c:3652
 #, c-format
 msgid "%s: section `%.*s' not known"
 msgstr "%s: bagian `%.*s' tidak dikenal"
 
-#: locale/programs/ld-collate.c:3510
+#: locale/programs/ld-collate.c:3519
 #, c-format
 msgid "%s: bad symbol <%.*s>"
 msgstr "%s: simbol buruk <%.*s>"
 
-#: locale/programs/ld-collate.c:3706
+#: locale/programs/ld-collate.c:3715
 #, c-format
 msgid "%s: cannot have `%s' as end of ellipsis range"
 msgstr "%s: tidak dapat memiliki `%s' sebagai akhir dari jangkauan ellipsis"
 
-#: locale/programs/ld-collate.c:3756
+#: locale/programs/ld-collate.c:3765
 #, c-format
 msgid "%s: empty category description not allowed"
 msgstr "%s: deskripsi kategori kosong tidak diperbolehkan"
 
-#: locale/programs/ld-collate.c:3775
+#: locale/programs/ld-collate.c:3784
 #, c-format
 msgid "%s: missing `reorder-sections-end' keyword"
 msgstr "%s: hilang `reorder-section-end' kata-kunci"
 
-#: locale/programs/ld-collate.c:3939
+#: locale/programs/ld-collate.c:3948
 #, c-format
 msgid "%s: '%s' without matching 'ifdef' or 'ifndef'"
 msgstr "%s: '%s' tanpa pencocokan 'ifdef' atau 'ifndef'"
 
-#: locale/programs/ld-collate.c:3957
+#: locale/programs/ld-collate.c:3966
 #, c-format
 msgid "%s: 'endif' without matching 'ifdef' or 'ifndef'"
 msgstr "%s: 'endif' tanpa pencocokan 'ifdef' atau 'ifndef'"
 
-#: locale/programs/ld-ctype.c:484
+#: locale/programs/ld-ctype.c:450
 #, c-format
 msgid "No character set name specified in charmap"
 msgstr "Tidak ada nama karakter set yang dispesifikasikan dalam charmap"
 
-#: locale/programs/ld-ctype.c:513
+#: locale/programs/ld-ctype.c:479
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must be in class `%s'"
 msgstr "karakter L'\\u%0*x' dalam kelas `%s' harus berada dalam kelas `%s'"
 
-#: locale/programs/ld-ctype.c:528
+#: locale/programs/ld-ctype.c:494
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must not be in class `%s'"
 msgstr "karakter L'\\u%0*x' dalam kelas `%s' tidak boleh berada dalam kelas `%s'"
 
-#: locale/programs/ld-ctype.c:542 locale/programs/ld-ctype.c:600
+#: locale/programs/ld-ctype.c:508 locale/programs/ld-ctype.c:566
 #, c-format
 msgid "internal error in %s, line %u"
 msgstr "internal error dalam %s, baris %u"
 
-#: locale/programs/ld-ctype.c:571
+#: locale/programs/ld-ctype.c:537
 #, c-format
 msgid "character '%s' in class `%s' must be in class `%s'"
 msgstr "karakter '%s' dalam kelas `%s' harus berada dalam kelas `%s'"
 
-#: locale/programs/ld-ctype.c:587
+#: locale/programs/ld-ctype.c:553
 #, c-format
 msgid "character '%s' in class `%s' must not be in class `%s'"
 msgstr "karakter '%s' dalam kelas `%s' tidak boleh berada dalam kelas `%s'"
 
-#: locale/programs/ld-ctype.c:617 locale/programs/ld-ctype.c:655
+#: locale/programs/ld-ctype.c:583 locale/programs/ld-ctype.c:621
 #, c-format
 msgid "<SP> character not in class `%s'"
 msgstr "<SP> karakter tidak dalam kelas `%s'"
 
-#: locale/programs/ld-ctype.c:629 locale/programs/ld-ctype.c:666
+#: locale/programs/ld-ctype.c:595 locale/programs/ld-ctype.c:632
 #, c-format
 msgid "<SP> character must not be in class `%s'"
 msgstr "<SP> karakter tidak boleh berada dalam kelas `%s'"
 
-#: locale/programs/ld-ctype.c:644
+#: locale/programs/ld-ctype.c:610
 #, c-format
 msgid "character <SP> not defined in character map"
 msgstr "karakter <SP> tidak terdefinisi dalam peta karakter"
 
-#: locale/programs/ld-ctype.c:780
+#: locale/programs/ld-ctype.c:746
 #, c-format
 msgid "`digit' category has not entries in groups of ten"
 msgstr "`digit' kategori tidak memiliki masukan dalam grup dari sepuluh"
 
-#: locale/programs/ld-ctype.c:829
+#: locale/programs/ld-ctype.c:795
 #, c-format
 msgid "no input digits defined and none of the standard names in the charmap"
 msgstr "tidak ada masukan digit yang terdefinisi dan kosong dari nama baku dalam charmap"
 
-#: locale/programs/ld-ctype.c:894
+#: locale/programs/ld-ctype.c:860
 #, c-format
 msgid "not all characters used in `outdigit' are available in the charmap"
 msgstr "tidak semua karakter digunakan dalam `outdigit' tersedia dalam charmap"
 
-#: locale/programs/ld-ctype.c:911
+#: locale/programs/ld-ctype.c:877
 #, c-format
 msgid "not all characters used in `outdigit' are available in the repertoire"
 msgstr "tidak semua karakter yang digunakan dalam `outdigit' tersedia dalam repertoire"
 
-#: locale/programs/ld-ctype.c:1176
+#: locale/programs/ld-ctype.c:1142
 #, c-format
 msgid "character class `%s' already defined"
 msgstr "karakter kelas `%s' telah terdefinisi"
 
-#: locale/programs/ld-ctype.c:1182
+#: locale/programs/ld-ctype.c:1148
 #, c-format
 msgid "implementation limit: no more than %Zd character classes allowed"
 msgstr "batas implementasi: tidak lebih dari %Zd karakter kelas diperbolehkan"
 
-#: locale/programs/ld-ctype.c:1208
+#: locale/programs/ld-ctype.c:1174
 #, c-format
 msgid "character map `%s' already defined"
 msgstr "peta karakter `%s' telah terdefinisi"
 
-#: locale/programs/ld-ctype.c:1214
+#: locale/programs/ld-ctype.c:1180
 #, c-format
 msgid "implementation limit: no more than %d character maps allowed"
 msgstr "batas implementasi: tidak lebih dari %d peta karakter diperbolehkan"
 
-#: locale/programs/ld-ctype.c:1479 locale/programs/ld-ctype.c:1604
-#: locale/programs/ld-ctype.c:1710 locale/programs/ld-ctype.c:2400
-#: locale/programs/ld-ctype.c:3397
+#: locale/programs/ld-ctype.c:1445 locale/programs/ld-ctype.c:1570
+#: locale/programs/ld-ctype.c:1676 locale/programs/ld-ctype.c:2352
+#: locale/programs/ld-ctype.c:3324
 #, c-format
 msgid "%s: field `%s' does not contain exactly ten entries"
 msgstr "%s: daerah `%s' tidak berisi tepat sepuluh masukan"
 
-#: locale/programs/ld-ctype.c:1507 locale/programs/ld-ctype.c:2081
+#: locale/programs/ld-ctype.c:1473 locale/programs/ld-ctype.c:2047
 #, c-format
 msgid "to-value <U%0*X> of range is smaller than from-value <U%0*X>"
 msgstr "ke-nilai <U%0*X> dari jangkauan adalah lebih kecil dari dari-nilai <U%0*X>"
 
-#: locale/programs/ld-ctype.c:1634
+#: locale/programs/ld-ctype.c:1600
 msgid "start and end character sequence of range must have the same length"
 msgstr "awal dan akhir urutan karakter dari jangkauan harus memiliki panjang yang sama"
 
-#: locale/programs/ld-ctype.c:1641
+#: locale/programs/ld-ctype.c:1607
 msgid "to-value character sequence is smaller than from-value sequence"
 msgstr "ke-nilai urutan karakter lebih kecil daripada urutan dari-nilai"
 
-#: locale/programs/ld-ctype.c:2001 locale/programs/ld-ctype.c:2052
+#: locale/programs/ld-ctype.c:1967 locale/programs/ld-ctype.c:2018
 msgid "premature end of `translit_ignore' definition"
 msgstr "prematur akhir dari `translit_ignore' definisi"
 
-#: locale/programs/ld-ctype.c:2007 locale/programs/ld-ctype.c:2058
-#: locale/programs/ld-ctype.c:2100
+#: locale/programs/ld-ctype.c:1973 locale/programs/ld-ctype.c:2024
+#: locale/programs/ld-ctype.c:2066
 msgid "syntax error"
 msgstr "sintaks error"
 
-#: locale/programs/ld-ctype.c:2233
+#: locale/programs/ld-ctype.c:2199
 #, c-format
 msgid "%s: syntax error in definition of new character class"
 msgstr "%s: sintaks error dalam definisi dari kelas karakter baru"
 
-#: locale/programs/ld-ctype.c:2248
+#: locale/programs/ld-ctype.c:2214
 #, c-format
 msgid "%s: syntax error in definition of new character map"
 msgstr "%s: sintaks error dalam definisi dari peta karakter baru"
 
-#: locale/programs/ld-ctype.c:2422
+#: locale/programs/ld-ctype.c:2374
 msgid "ellipsis range must be marked by two operands of same type"
 msgstr "jangkauan ellipsis harus ditandai dengan dua operan dari tipe yang sama"
 
-#: locale/programs/ld-ctype.c:2431
+#: locale/programs/ld-ctype.c:2383
 msgid "with symbolic name range values the absolute ellipsis `...' must not be used"
 msgstr "dengann nilai jangkauan nama simbol absolut ellipsis `...' tidak boleh digunakan"
 
-#: locale/programs/ld-ctype.c:2446
+#: locale/programs/ld-ctype.c:2398
 msgid "with UCS range values one must use the hexadecimal symbolic ellipsis `..'"
 msgstr "dengan nilai jangkauan UCS salah satu harus menggunakan heksadesimal simbolis ellipsis `..'"
 
-#: locale/programs/ld-ctype.c:2460
+#: locale/programs/ld-ctype.c:2412
 msgid "with character code range values one must use the absolute ellipsis `...'"
 msgstr "dengan nilai jangkauan kode karakter salah satu harus menggunakan ellipsis absolut `...'"
 
-#: locale/programs/ld-ctype.c:2611
+#: locale/programs/ld-ctype.c:2563
 #, c-format
 msgid "duplicated definition for mapping `%s'"
 msgstr "duplikasi definisi untuk pemetaan `%s'"
 
-#: locale/programs/ld-ctype.c:2697 locale/programs/ld-ctype.c:2841
+#: locale/programs/ld-ctype.c:2649 locale/programs/ld-ctype.c:2793
 #, c-format
 msgid "%s: `translit_start' section does not end with `translit_end'"
 msgstr "%s: `translit_start' daerah tidak berakhir dengan `translit_end'"
 
-#: locale/programs/ld-ctype.c:2792
+#: locale/programs/ld-ctype.c:2744
 #, c-format
 msgid "%s: duplicate `default_missing' definition"
 msgstr "%s: duplikasi `default_missing' definisi"
 
-#: locale/programs/ld-ctype.c:2797
+#: locale/programs/ld-ctype.c:2749
 msgid "previous definition was here"
 msgstr "definisi sebelumnya ada disini"
 
-#: locale/programs/ld-ctype.c:2819
+#: locale/programs/ld-ctype.c:2771
 #, c-format
 msgid "%s: no representable `default_missing' definition found"
 msgstr "%s: tidak ada representasi `default_missing' definisi ditemukan"
 
-#: locale/programs/ld-ctype.c:2962 locale/programs/ld-ctype.c:3059
-#: locale/programs/ld-ctype.c:3079 locale/programs/ld-ctype.c:3100
-#: locale/programs/ld-ctype.c:3121 locale/programs/ld-ctype.c:3142
-#: locale/programs/ld-ctype.c:3163 locale/programs/ld-ctype.c:3203
-#: locale/programs/ld-ctype.c:3224 locale/programs/ld-ctype.c:3289
-#: locale/programs/ld-ctype.c:3331 locale/programs/ld-ctype.c:3356
+#: locale/programs/ld-ctype.c:2889 locale/programs/ld-ctype.c:2986
+#: locale/programs/ld-ctype.c:3006 locale/programs/ld-ctype.c:3027
+#: locale/programs/ld-ctype.c:3048 locale/programs/ld-ctype.c:3069
+#: locale/programs/ld-ctype.c:3090 locale/programs/ld-ctype.c:3130
+#: locale/programs/ld-ctype.c:3151 locale/programs/ld-ctype.c:3216
+#: locale/programs/ld-ctype.c:3258 locale/programs/ld-ctype.c:3283
 #, c-format
 msgid "%s: character `%s' not defined while needed as default value"
 msgstr "%s: karakter `%s' tidak terdefinisi ketika dibutuhkan sebagai nilai default"
 
-#: locale/programs/ld-ctype.c:2967 locale/programs/ld-ctype.c:3064
-#: locale/programs/ld-ctype.c:3084 locale/programs/ld-ctype.c:3105
-#: locale/programs/ld-ctype.c:3126 locale/programs/ld-ctype.c:3147
-#: locale/programs/ld-ctype.c:3168 locale/programs/ld-ctype.c:3208
-#: locale/programs/ld-ctype.c:3229 locale/programs/ld-ctype.c:3294
+#: locale/programs/ld-ctype.c:2894 locale/programs/ld-ctype.c:2991
+#: locale/programs/ld-ctype.c:3011 locale/programs/ld-ctype.c:3032
+#: locale/programs/ld-ctype.c:3053 locale/programs/ld-ctype.c:3074
+#: locale/programs/ld-ctype.c:3095 locale/programs/ld-ctype.c:3135
+#: locale/programs/ld-ctype.c:3156 locale/programs/ld-ctype.c:3221
 #, c-format
 msgid "%s: character `%s' in charmap not representable with one byte"
 msgstr "%s: karakter `%s' dalam charmap tidak dapat direpresentasikan dengan satu byte"
 
-#: locale/programs/ld-ctype.c:3338 locale/programs/ld-ctype.c:3363
+#: locale/programs/ld-ctype.c:3265 locale/programs/ld-ctype.c:3290
 #, c-format
 msgid "%s: character `%s' needed as default value not representable with one byte"
 msgstr "%s: karakter `%s' dibutuhkan sebagai nilai baku tidak dapat direpresentasikan dengan satu byte"
 
-#: locale/programs/ld-ctype.c:3419
+#: locale/programs/ld-ctype.c:3346
 #, c-format
 msgid "no output digits defined and none of the standard names in the charmap"
 msgstr "tidak ada keluaran digital terdefinisi dan tidak ada nama baku dalam charmaps"
 
-#: locale/programs/ld-ctype.c:3668
+#: locale/programs/ld-ctype.c:3595
 #, c-format
 msgid "%s: transliteration data from locale `%s' not available"
 msgstr "%s: transliteration data dari lokal `%s' tidak tersedia"
 
-#: locale/programs/ld-ctype.c:3768
+#: locale/programs/ld-ctype.c:3695
 #, c-format
 msgid "%s: table for class \"%s\": %lu bytes\n"
 msgstr "%s: tabel untuk kelas \"%s\": %lu bytes\n"
 
-#: locale/programs/ld-ctype.c:3833
+#: locale/programs/ld-ctype.c:3760
 #, c-format
 msgid "%s: table for map \"%s\": %lu bytes\n"
 msgstr "%s: tabel untuk peta \"%s\": %lu bytes\n"
 
-#: locale/programs/ld-ctype.c:3958
+#: locale/programs/ld-ctype.c:3885
 #, c-format
 msgid "%s: table for width: %lu bytes\n"
 msgstr "%s: tabel untuk lebar: %lu bytes\n"
@@ -3853,17 +3843,23 @@ msgstr "penambahan masukan baru \"%s\" dari tipe %s untuk %s ke cache %s"
 msgid " (first)"
 msgstr " (pertama)"
 
-#: nscd/cache.c:285 nscd/connections.c:1000
+#: nscd/cache.c:288
+#, fuzzy, c-format
+#| msgid "cannot open database file `%s': %s"
+msgid "checking for monitored file `%s': %s"
+msgstr "tidak dapat membuka berkas basis data `%s': %s"
+
+#: nscd/cache.c:298
 #, c-format
-msgid "cannot stat() file `%s': %s"
-msgstr "tidak dapat stat() berkas `%s': %s"
+msgid "monitored file `%s` changed (mtime)"
+msgstr ""
 
-#: nscd/cache.c:331
+#: nscd/cache.c:341
 #, c-format
 msgid "pruning %s cache; time %ld"
 msgstr "pruning %s cache; waktu %ld"
 
-#: nscd/cache.c:360
+#: nscd/cache.c:370
 #, c-format
 msgid "considering %s entry \"%s\", timeout %<PRIu64>"
 msgstr "mempertimbangkan %s masukan \"%s\", waktu habis %<PRIu64>"
@@ -3949,154 +3945,217 @@ msgstr "tidak dapat menset socket untuk menutup di exec: %s"
 msgid "cannot enable socket to accept connections: %s"
 msgstr "tidak dapat mengaktifkan socket untuk menerima koneksi: %s"
 
-#: nscd/connections.c:984
+#: nscd/connections.c:973
+#, c-format
+msgid "disabled inotify-based monitoring for file `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:977
+#, c-format
+msgid "monitoring file `%s` (%d)"
+msgstr ""
+
+#: nscd/connections.c:990
+#, c-format
+msgid "disabled inotify-based monitoring for directory `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:994
+#, fuzzy, c-format
+#| msgid "Can't open directory %s"
+msgid "monitoring directory `%s` (%d)"
+msgstr "Tidak dapat membuka direktori %s"
+
+#: nscd/connections.c:1022
 #, fuzzy, c-format
 #| msgid "no more memory for database '%s'"
-msgid "register trace file %s for database %s"
+msgid "monitoring file %s for database %s"
 msgstr "tidak ada memori lagi untuk basis data '%s'"
 
-#: nscd/connections.c:1114
+#: nscd/connections.c:1032
+#, c-format
+msgid "stat failed for file `%s'; will try again later: %s"
+msgstr ""
+
+#: nscd/connections.c:1151
 #, c-format
 msgid "provide access to FD %d, for %s"
 msgstr "menyediakan akses ke FD %d, untuk %s"
 
-#: nscd/connections.c:1126
+#: nscd/connections.c:1163
 #, c-format
 msgid "cannot handle old request version %d; current version is %d"
 msgstr "tidak dapat menangani versi permintaan lama %d; versi sekarang adalah %d"
 
-#: nscd/connections.c:1148
+#: nscd/connections.c:1185
 #, c-format
 msgid "request from %ld not handled due to missing permission"
 msgstr "permintaan dari %ld tidak dapat ditangani karena tidak ada ijin"
 
-#: nscd/connections.c:1153
+#: nscd/connections.c:1190
 #, c-format
 msgid "request from '%s' [%ld] not handled due to missing permission"
 msgstr "permintaan dari '%s' [%ld] tidak dapat ditangani karena tidak ada ijin"
 
-#: nscd/connections.c:1158
+#: nscd/connections.c:1195
 msgid "request not handled due to missing permission"
 msgstr "permintaan tidak dapat ditangani karena tidak ada ijin"
 
-#: nscd/connections.c:1196 nscd/connections.c:1249
+#: nscd/connections.c:1233 nscd/connections.c:1286
 #, c-format
 msgid "cannot write result: %s"
 msgstr "tidak dapat menulis hasil: %s"
 
-#: nscd/connections.c:1340
+#: nscd/connections.c:1377
 #, c-format
 msgid "error getting caller's id: %s"
 msgstr "error memperoleh id pemanggil: %s"
 
-#: nscd/connections.c:1400
+#: nscd/connections.c:1437
 #, c-format
 msgid "cannot open /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr "tidak dapat membuka /proc/self/cmdline: %s; menonaktifkan mode paranoia"
 
-#: nscd/connections.c:1414
+#: nscd/connections.c:1451
 #, c-format
 msgid "cannot read /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr "tidak dapat membaca /proc/self/cmdline: %s; menonaktifkan mode paranoia"
 
-#: nscd/connections.c:1454
+#: nscd/connections.c:1491
 #, c-format
 msgid "cannot change to old UID: %s; disabling paranoia mode"
 msgstr "tidak dapat mengubah ke UID lama: %s; menonaktifkan mode paranoia"
 
-#: nscd/connections.c:1464
+#: nscd/connections.c:1501
 #, c-format
 msgid "cannot change to old GID: %s; disabling paranoia mode"
 msgstr "tidak dapat mengubah ke GID lama: %s; menonaktifkan mode paranoia"
 
-#: nscd/connections.c:1477
+#: nscd/connections.c:1514
 #, c-format
 msgid "cannot change to old working directory: %s; disabling paranoia mode"
 msgstr "tidak dapat berubah ke direktori kerja lama: %s; menonaktifkan mode paranoia"
 
-#: nscd/connections.c:1523
+#: nscd/connections.c:1560
 #, c-format
 msgid "re-exec failed: %s; disabling paranoia mode"
 msgstr "re-exec gagal: %s; menonaktifkan mode paranoia"
 
-#: nscd/connections.c:1532
+#: nscd/connections.c:1569
 #, c-format
 msgid "cannot change current working directory to \"/\": %s"
 msgstr "tidak dapat mengubah direktori kerja ke \"/\": %s"
 
-#: nscd/connections.c:1725
+#: nscd/connections.c:1762
 #, c-format
 msgid "short read while reading request: %s"
 msgstr "pembacaan singkat ketika membaca permintaan: %s"
 
-#: nscd/connections.c:1758
+#: nscd/connections.c:1795
 #, c-format
 msgid "key length in request too long: %d"
 msgstr "panjang kunci dalam permintaan terlalu panjang: %d"
 
-#: nscd/connections.c:1771
+#: nscd/connections.c:1808
 #, c-format
 msgid "short read while reading request key: %s"
 msgstr "pembacaan singkat ketika membaca permintaan kunci: %s"
 
-#: nscd/connections.c:1781
+#: nscd/connections.c:1818
 #, c-format
 msgid "handle_request: request received (Version = %d) from PID %ld"
 msgstr "handle_request: permintaan diterima (Versi = %d) dari PID %ld"
 
-#: nscd/connections.c:1786
+#: nscd/connections.c:1823
 #, c-format
 msgid "handle_request: request received (Version = %d)"
 msgstr "handle_request: permintaan diterima (Versi = %d)"
 
-#: nscd/connections.c:2050 nscd/connections.c:2252
+#: nscd/connections.c:1963
+#, c-format
+msgid "ignored inotify event for `%s` (file exists)"
+msgstr ""
+
+#: nscd/connections.c:1968
+#, c-format
+msgid "monitored file `%s` was %s, removing watch"
+msgstr ""
+
+#: nscd/connections.c:1976 nscd/connections.c:2018
+#, c-format
+msgid "failed to remove file watch `%s`: %s"
+msgstr ""
+
+#: nscd/connections.c:1991
+#, c-format
+msgid "monitored file `%s` was written to"
+msgstr ""
+
+#: nscd/connections.c:2015
+#, c-format
+msgid "monitored parent directory `%s` was %s, removing watch on `%s`"
+msgstr ""
+
+#: nscd/connections.c:2041
 #, c-format
-msgid "disabled inotify after read error %d"
+msgid "monitored file `%s` was %s, adding watch"
+msgstr ""
+
+#: nscd/connections.c:2053
+#, fuzzy, c-format
+#| msgid "failed to load shared object `%s'"
+msgid "failed to add file watch `%s`: %s"
+msgstr "gagal mengangkut objek terbagi `%s'"
+
+#: nscd/connections.c:2247 nscd/connections.c:2428
+#, fuzzy, c-format
+#| msgid "disabled inotify after read error %d"
+msgid "disabled inotify-based monitoring after read error %d"
 msgstr "menonaktifkan inotify setelah error membaca %d"
 
-#: nscd/connections.c:2375
+#: nscd/connections.c:2543
 msgid "could not initialize conditional variable"
 msgstr "tidak dapat menginisialisasi variabel kondisional"
 
-#: nscd/connections.c:2383
+#: nscd/connections.c:2551
 msgid "could not start clean-up thread; terminating"
 msgstr "tidak dapat memulai threads pembersihan; mengakhiri"
 
-#: nscd/connections.c:2397
+#: nscd/connections.c:2565
 msgid "could not start any worker thread; terminating"
 msgstr "tidak dapat memulai threads pekerja apapun; mengakhiri"
 
-#: nscd/connections.c:2452 nscd/connections.c:2454 nscd/connections.c:2470
-#: nscd/connections.c:2480 nscd/connections.c:2498 nscd/connections.c:2509
-#: nscd/connections.c:2519
+#: nscd/connections.c:2620 nscd/connections.c:2622 nscd/connections.c:2638
+#: nscd/connections.c:2648 nscd/connections.c:2666 nscd/connections.c:2677
+#: nscd/connections.c:2687
 #, c-format
 msgid "Failed to run nscd as user '%s'"
 msgstr "Gagal untuk menjalankan nscd sebagai pengguna '%s'"
 
-#: nscd/connections.c:2472
+#: nscd/connections.c:2640
 msgid "initial getgrouplist failed"
 msgstr "inisial getgrouplist gagal"
 
-#: nscd/connections.c:2481
+#: nscd/connections.c:2649
 msgid "getgrouplist failed"
 msgstr "getgrouplist gagal"
 
-#: nscd/connections.c:2499
+#: nscd/connections.c:2667
 msgid "setgroups failed"
 msgstr "setgroups gagal"
 
-#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:410
+#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:411
 #: nscd/pwdcache.c:383 nscd/servicescache.c:338
 #, c-format
 msgid "short write in %s: %s"
 msgstr "penulisan pendek dalam %s: %s"
 
-#: nscd/grpcache.c:450 nscd/initgrcache.c:77
+#: nscd/grpcache.c:450 nscd/initgrcache.c:78
 #, c-format
 msgid "Haven't found \"%s\" in group cache!"
 msgstr "Belum ditemukan \"%s\" dalam grup cache!"
 
-#: nscd/grpcache.c:452 nscd/initgrcache.c:79
+#: nscd/grpcache.c:452 nscd/initgrcache.c:80
 #, c-format
 msgid "Reloading \"%s\" in group cache!"
 msgstr "Reloading \"%s\" dalam grup cache!"
@@ -4188,7 +4247,7 @@ msgstr "Gunakan pemisah cache untuk setiap pengguna"
 msgid "Name Service Cache Daemon."
 msgstr "Cache Layanan Pengguna Daemon."
 
-#: nscd/nscd.c:155 nss/getent.c:1003 nss/makedb.c:206
+#: nscd/nscd.c:155 nss/getent.c:1007 nss/makedb.c:206
 #, c-format
 msgid "wrong number of arguments"
 msgstr "jumlah salah dari argumen"
@@ -4222,7 +4281,7 @@ msgstr "tidak dapat mengubah direktori kerja ke \"/\""
 msgid "Could not create log file"
 msgstr "Tidak dapat membuat berkas log"
 
-#: nscd/nscd.c:355 nscd/nscd_stat.c:192
+#: nscd/nscd.c:355 nscd/nscd_stat.c:194
 #, c-format
 msgid "write incomplete"
 msgstr "penulisan tidak lengkap"
@@ -4237,7 +4296,7 @@ msgstr "tidak dapat membaca invalidate ACK"
 msgid "invalidation failed"
 msgstr "invalidation gagal"
 
-#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:173
+#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:175
 #, c-format
 msgid "Only root is allowed to use this option!"
 msgstr "Hanya root yang diperbolehkan untuk menggunakan pilihan ini!"
@@ -4319,35 +4378,35 @@ msgstr "tidak dapat memperoleh direktori kerja sekarang: %s; menonaktifkan mode
 msgid "maximum file size for %s database too small"
 msgstr "ukuran berkas maksimal untuk %s basis data terlalu kecil"
 
-#: nscd/nscd_stat.c:142
+#: nscd/nscd_stat.c:144
 #, c-format
 msgid "cannot write statistics: %s"
 msgstr "tidak dapat menulis statistik: %s"
 
-#: nscd/nscd_stat.c:157
+#: nscd/nscd_stat.c:159
 msgid "yes"
 msgstr "ya"
 
-#: nscd/nscd_stat.c:158
+#: nscd/nscd_stat.c:160
 msgid "no"
 msgstr "tidak"
 
-#: nscd/nscd_stat.c:169
+#: nscd/nscd_stat.c:171
 #, c-format
 msgid "Only root or %s is allowed to use this option!"
 msgstr "Hanya root atau %s yang diperbolehkan untuk menggunakan pilihan ini!"
 
-#: nscd/nscd_stat.c:180
+#: nscd/nscd_stat.c:182
 #, c-format
 msgid "nscd not running!\n"
 msgstr "nscd tidak berjalan!\n"
 
-#: nscd/nscd_stat.c:204
+#: nscd/nscd_stat.c:206
 #, c-format
 msgid "cannot read statistics data"
 msgstr "tidak dapat membaca data statistik"
 
-#: nscd/nscd_stat.c:207
+#: nscd/nscd_stat.c:209
 #, c-format
 msgid ""
 "nscd configuration:\n"
@@ -4358,27 +4417,27 @@ msgstr ""
 "\n"
 "%15d server tingkat debug\n"
 
-#: nscd/nscd_stat.c:231
+#: nscd/nscd_stat.c:233
 #, c-format
 msgid "%3ud %2uh %2um %2lus  server runtime\n"
 msgstr "%3ud %u2d %2um %2lus server waktu jalan\n"
 
-#: nscd/nscd_stat.c:234
+#: nscd/nscd_stat.c:236
 #, c-format
 msgid "    %2uh %2um %2lus  server runtime\n"
 msgstr "    %2uh %2um %2lus server waktu jalan\n"
 
-#: nscd/nscd_stat.c:236
+#: nscd/nscd_stat.c:238
 #, c-format
 msgid "        %2um %2lus  server runtime\n"
 msgstr "        %2um %2lus server waktu jalan\n"
 
-#: nscd/nscd_stat.c:238
+#: nscd/nscd_stat.c:240
 #, c-format
 msgid "            %2lus  server runtime\n"
 msgstr "            %2lus server waktu jalan\n"
 
-#: nscd/nscd_stat.c:240
+#: nscd/nscd_stat.c:242
 #, fuzzy, c-format
 #| msgid ""
 #| "%15d  current number of threads\n"
@@ -4400,7 +4459,7 @@ msgstr ""
 "%15s  mode paranoia diaktifkan\n"
 "%15lu restart internal\n"
 
-#: nscd/nscd_stat.c:275
+#: nscd/nscd_stat.c:277
 #, c-format
 msgid ""
 "\n"
@@ -4466,87 +4525,87 @@ msgstr "Reloading \"%s\" dalam cache kata-kunci!"
 msgid "Invalid numeric uid \"%s\"!"
 msgstr "uid numerik \"%s\" tidak valid !"
 
-#: nscd/selinux.c:155
+#: nscd/selinux.c:154
 #, c-format
 msgid "Failed opening connection to the audit subsystem: %m"
 msgstr "Gagal membuka koneksi ke audit subsistem: %m"
 
-#: nscd/selinux.c:176
+#: nscd/selinux.c:175
 msgid "Failed to set keep-capabilities"
 msgstr "Gagal menset keep-kapabiliti"
 
-#: nscd/selinux.c:177 nscd/selinux.c:240
+#: nscd/selinux.c:176 nscd/selinux.c:239
 msgid "prctl(KEEPCAPS) failed"
 msgstr "prctl(KEEPCAPS) gagal"
 
-#: nscd/selinux.c:191
+#: nscd/selinux.c:190
 msgid "Failed to initialize drop of capabilities"
 msgstr "Gagal menginisialisasi drop dari kapabiliti"
 
-#: nscd/selinux.c:192
+#: nscd/selinux.c:191
 msgid "cap_init failed"
 msgstr "cap_init gagal"
 
-#: nscd/selinux.c:213 nscd/selinux.c:230
+#: nscd/selinux.c:212 nscd/selinux.c:229
 msgid "Failed to drop capabilities"
 msgstr "Gagal untuk mendrop kapabiliti"
 
-#: nscd/selinux.c:214 nscd/selinux.c:231
+#: nscd/selinux.c:213 nscd/selinux.c:230
 msgid "cap_set_proc failed"
 msgstr "cap_set_proc gagal"
 
-#: nscd/selinux.c:239
+#: nscd/selinux.c:238
 msgid "Failed to unset keep-capabilities"
 msgstr "Gagal untuk menunset keep-kapabiliti"
 
-#: nscd/selinux.c:255
+#: nscd/selinux.c:254
 msgid "Failed to determine if kernel supports SELinux"
 msgstr "Gagal untuk menentukan jika kernel mensupport SELinux"
 
-#: nscd/selinux.c:270
+#: nscd/selinux.c:269
 msgid "Failed to start AVC thread"
 msgstr "Gagal untuk menjalankan thread AVC"
 
-#: nscd/selinux.c:292
+#: nscd/selinux.c:291
 msgid "Failed to create AVC lock"
 msgstr "Gagal untuk membuat kunci AVC"
 
-#: nscd/selinux.c:332
+#: nscd/selinux.c:331
 msgid "Failed to start AVC"
 msgstr "Gagal untuk menjalankan AVC"
 
-#: nscd/selinux.c:334
+#: nscd/selinux.c:333
 msgid "Access Vector Cache (AVC) started"
 msgstr "Akses Vektor Cache (AVC) berjalan"
 
-#: nscd/selinux.c:369
+#: nscd/selinux.c:368
 msgid "Error querying policy for undefined object classes or permissions."
 msgstr ""
 
-#: nscd/selinux.c:376
+#: nscd/selinux.c:375
 #, fuzzy
 #| msgid "Error getting context of nscd"
 msgid "Error getting security class for nscd."
 msgstr "Error memperoleh konteks dari nscd"
 
-#: nscd/selinux.c:381
+#: nscd/selinux.c:380
 #, c-format
 msgid "Error translating permission name \"%s\" to access vector bit."
 msgstr ""
 
-#: nscd/selinux.c:391
+#: nscd/selinux.c:390
 msgid "Error getting context of socket peer"
 msgstr "Error memperoleh konteks dari socket peer"
 
-#: nscd/selinux.c:396
+#: nscd/selinux.c:395
 msgid "Error getting context of nscd"
 msgstr "Error memperoleh konteks dari nscd"
 
-#: nscd/selinux.c:402
+#: nscd/selinux.c:401
 msgid "Error getting sid from context"
 msgstr "Error memperoleh sid dari konteks"
 
-#: nscd/selinux.c:440
+#: nscd/selinux.c:439
 #, c-format
 msgid ""
 "\n"
@@ -4610,16 +4669,16 @@ msgstr "Dapatkan masukan dari basis data administrasi."
 msgid "Enumeration not supported on %s\n"
 msgstr "Enumerasi tidak didukung di %s\n"
 
-#: nss/getent.c:917
+#: nss/getent.c:921
 #, c-format
 msgid "Unknown database name"
 msgstr "Nama basis data tidak dikenal"
 
-#: nss/getent.c:947
+#: nss/getent.c:951
 msgid "Supported databases:\n"
 msgstr "Basis data yang didukung:\n"
 
-#: nss/getent.c:1013
+#: nss/getent.c:1017
 #, c-format
 msgid "Unknown database: %s\n"
 msgstr "Basis data tidak dikenal: %s\n"
@@ -4914,7 +4973,7 @@ msgstr "Tidak cocok ) atau \\)"
 msgid "No previous regular expression"
 msgstr "Tidak ada ekspresi regular sebelumnya"
 
-#: posix/wordexp.c:1844
+#: posix/wordexp.c:1851
 msgid "parameter null or not set"
 msgstr "parameter kosong atau tidak diset"
 
@@ -7355,15 +7414,24 @@ msgstr "%s: Tidak dapat membuat direktori %s: %s\n"
 #~ msgid "xtrace: option \\`$1' requires an argument.\\n"
 #~ msgstr "xtrace: pilihan \\`$1' membutuhkan sebuah argumen.\\n"
 
+#~ msgid "%s: no PLTREL found in object %s\n"
+#~ msgstr "%s: tidak ada PLTREL ditemukan dalam objek %s\n"
+
 #~ msgid "Can't open configuration file %s"
 #~ msgstr "Tidak dapat membuka berkas konfigurasi %s"
 
+#~ msgid "cannot create internal descriptors"
+#~ msgstr "tidak dapat membuat deskripsi internal"
+
 #~ msgid "Try \\`memusage --help' for more information."
 #~ msgstr "Coba \\`memusage --help' untuk informasi lebih lanjut."
 
 #~ msgid "memusage: option \\`$1' requires an argument"
 #~ msgstr "memusage: pilihan \\`$1' membutuhkan sebuah argumen"
 
+#~ msgid "cannot stat() file `%s': %s"
+#~ msgstr "tidak dapat stat() berkas `%s': %s"
+
 #~ msgid "invalid value for 'reload-count': %u"
 #~ msgstr "nilai tidak valid untuk 'reload-count': %u"
 
diff --git a/po/it.po b/po/it.po
index 41709dd..569e174 100644
--- a/po/it.po
+++ b/po/it.po
@@ -9,7 +9,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: libc-2.14\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2015-01-20 22:14-0500\n"
+"POT-Creation-Date: 2015-07-31 00:10-0400\n"
 "PO-Revision-Date: 2011-10-17 14:21+0200\n"
 "Last-Translator: Sergio Zanchetta <primes2h@ubuntu.com>\n"
 "Language-Team: Italian <tp@lists.linux.it>\n"
@@ -155,10 +155,10 @@ msgstr ""
 "[FILE-OUTPUT [FILE-INPUT]...]"
 
 #: catgets/gencat.c:229 debug/pcprofiledump.c:209 elf/ldconfig.c:307
-#: elf/pldd.c:244 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
+#: elf/pldd.c:252 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
 #: iconv/iconvconfig.c:379 locale/programs/locale.c:277
 #: locale/programs/localedef.c:376 login/programs/pt_chown.c:88
-#: malloc/memusagestat.c:563 nss/getent.c:969 nss/makedb.c:369
+#: malloc/memusagestat.c:563 nss/getent.c:973 nss/makedb.c:369
 #: posix/getconf.c:486 sunrpc/rpcinfo.c:691
 #: sysdeps/unix/sysv/linux/lddlibc4.c:61
 #, fuzzy, c-format
@@ -173,7 +173,7 @@ msgstr ""
 "<http://www.gnu.org/software/libc/bugs.html>.\n"
 
 #: catgets/gencat.c:245 debug/pcprofiledump.c:225 debug/xtrace.sh:64
-#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:260 elf/sotruss.sh:75
+#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:268 elf/sotruss.sh:75
 #: elf/sprof.c:389 iconv/iconv_prog.c:425 iconv/iconvconfig.c:396
 #: locale/programs/locale.c:294 locale/programs/localedef.c:402
 #: login/programs/pt_chown.c:62 malloc/memusage.sh:71
@@ -192,7 +192,7 @@ msgstr ""
 
 # lf
 #: catgets/gencat.c:250 debug/pcprofiledump.c:230 debug/xtrace.sh:68
-#: elf/ldconfig.c:328 elf/pldd.c:265 elf/sprof.c:395 iconv/iconv_prog.c:430
+#: elf/ldconfig.c:328 elf/pldd.c:273 elf/sprof.c:395 iconv/iconv_prog.c:430
 #: iconv/iconvconfig.c:401 locale/programs/locale.c:299
 #: locale/programs/localedef.c:407 malloc/memusage.sh:75
 #: malloc/memusagestat.c:586 nscd/nscd.c:514 nss/getent.c:91 nss/makedb.c:390
@@ -476,12 +476,12 @@ msgstr "Rinomina di %s a %s non riuscita"
 
 # lf
 #
-#: elf/dl-close.c:385 elf/dl-open.c:470
+#: elf/dl-close.c:396 elf/dl-open.c:478
 msgid "cannot create scope list"
 msgstr "impossibile creare l'elenco di ambito"
 
 # lf
-#: elf/dl-close.c:770
+#: elf/dl-close.c:816
 msgid "shared object not open"
 msgstr "oggetto condiviso non aperto"
 
@@ -565,148 +565,148 @@ msgstr "impossibile creare l'array dei percorsi di ricerca"
 msgid "cannot stat shared object"
 msgstr "impossibile fare stat sull'oggetto condiviso"
 
-#: elf/dl-load.c:963
+#: elf/dl-load.c:962
 msgid "cannot open zero fill device"
 msgstr "impossibile aprire il device riempito con zeri"
 
 # lf
-#: elf/dl-load.c:1010 elf/dl-load.c:2165
+#: elf/dl-load.c:1009 elf/dl-load.c:2159
 msgid "cannot create shared object descriptor"
 msgstr "impossibile creare il descrittore di oggetto condiviso"
 
 # lf
-#: elf/dl-load.c:1029 elf/dl-load.c:1570 elf/dl-load.c:1682
+#: elf/dl-load.c:1028 elf/dl-load.c:1568 elf/dl-load.c:1680
 msgid "cannot read file data"
 msgstr "impossibile leggere il file di dati"
 
 # lf
-#: elf/dl-load.c:1069
+#: elf/dl-load.c:1068
 msgid "ELF load command alignment not page-aligned"
 msgstr "comando di caricamento ELF non allineato alla pagina"
 
 # lf
-#: elf/dl-load.c:1076
+#: elf/dl-load.c:1075
 msgid "ELF load command address/offset not properly aligned"
 msgstr "indirizzo/offset del comando di caricamento ELF non propriamente allineato"
 
 # lf
-#: elf/dl-load.c:1160
+#: elf/dl-load.c:1159
 msgid "cannot allocate TLS data structures for initial thread"
 msgstr "impossibile allocare strutture dati TLS per il thread iniziale"
 
 # lf
-#: elf/dl-load.c:1183
+#: elf/dl-load.c:1182
 msgid "cannot handle TLS data"
 msgstr "impossibile gestire i dati TLS"
 
 # lf
-#: elf/dl-load.c:1202
+#: elf/dl-load.c:1201
 msgid "object file has no loadable segments"
 msgstr "il file oggetto non presenta segmenti caricabili"
 
 # lf
-#: elf/dl-load.c:1211 elf/dl-load.c:1662
+#: elf/dl-load.c:1210 elf/dl-load.c:1660
 msgid "cannot dynamically load executable"
 msgstr "impossibile caricare dinamicamente l'eseguibile"
 
 # lf
 #
-#: elf/dl-load.c:1232
+#: elf/dl-load.c:1231
 msgid "object file has no dynamic section"
 msgstr "il file oggetto non presenta una sezione dinamica"
 
 # lf
-#: elf/dl-load.c:1255
+#: elf/dl-load.c:1254
 msgid "shared object cannot be dlopen()ed"
 msgstr "impossibile eseguire dlopen() sull'oggetto condiviso"
 
 # lf
-#: elf/dl-load.c:1268
+#: elf/dl-load.c:1267
 msgid "cannot allocate memory for program header"
 msgstr "impossibile allocare memoria per l'intestazione di programma"
 
-#: elf/dl-load.c:1284 elf/dl-open.c:195
+#: elf/dl-load.c:1283 elf/dl-open.c:195
 msgid "invalid caller"
 msgstr "chiamante non valido"
 
 # lf
-#: elf/dl-load.c:1307 elf/dl-load.h:130
+#: elf/dl-load.c:1306 elf/dl-load.h:130
 msgid "cannot change memory protections"
 msgstr "impossibile cambiare le protezioni della memoria"
 
 # lf
-#: elf/dl-load.c:1327
+#: elf/dl-load.c:1326
 msgid "cannot enable executable stack as shared object requires"
 msgstr "impossibile abilitare lo stack eseguibile come richiesto dall'oggetto condiviso"
 
-#: elf/dl-load.c:1340
+#: elf/dl-load.c:1339
 msgid "cannot close file descriptor"
 msgstr "impossibile chiudere il descrittore di file"
 
 # lf
-#: elf/dl-load.c:1570
+#: elf/dl-load.c:1568
 msgid "file too short"
 msgstr "file troppo corto"
 
 # lf
-#: elf/dl-load.c:1605
+#: elf/dl-load.c:1603
 msgid "invalid ELF header"
 msgstr "intestazione ELF non valida"
 
 # lf
-#: elf/dl-load.c:1617
+#: elf/dl-load.c:1615
 msgid "ELF file data encoding not big-endian"
 msgstr "la codifica dati del file ELF non è big-endian"
 
 # lf
-#: elf/dl-load.c:1619
+#: elf/dl-load.c:1617
 msgid "ELF file data encoding not little-endian"
 msgstr "la codifica dati del file ELF non è little-endian"
 
-#: elf/dl-load.c:1623
+#: elf/dl-load.c:1621
 msgid "ELF file version ident does not match current one"
 msgstr "l'identificatore di versione del file ELF non corrisponde a quello attuale"
 
-#: elf/dl-load.c:1627
+#: elf/dl-load.c:1625
 msgid "ELF file OS ABI invalid"
 msgstr "ABI del file ELF del sistema operativo non valido"
 
-#: elf/dl-load.c:1630
+#: elf/dl-load.c:1628
 msgid "ELF file ABI version invalid"
 msgstr "versione ABI del file ELF non valida"
 
-#: elf/dl-load.c:1633
+#: elf/dl-load.c:1631
 msgid "nonzero padding in e_ident"
 msgstr "riempimento con valori diversi da zero in e_ident"
 
 # lf
-#: elf/dl-load.c:1636
+#: elf/dl-load.c:1634
 msgid "internal error"
 msgstr "errore interno"
 
-#: elf/dl-load.c:1643
+#: elf/dl-load.c:1641
 msgid "ELF file version does not match current one"
 msgstr "La versione del file ELF non corrisponde a quella attuale"
 
 # lf
-#: elf/dl-load.c:1651
+#: elf/dl-load.c:1649
 msgid "only ET_DYN and ET_EXEC can be loaded"
 msgstr "è possibile caricare solo ET_DYN ed ET_EXEC"
 
-#: elf/dl-load.c:1667
+#: elf/dl-load.c:1665
 msgid "ELF file's phentsize not the expected size"
 msgstr "La phentsize del file ELF non corrisponde a quella attesa"
 
-#: elf/dl-load.c:2184
+#: elf/dl-load.c:2178
 msgid "wrong ELF class: ELFCLASS64"
 msgstr "classe ELF errata: ELFCLASS64"
 
-#: elf/dl-load.c:2185
+#: elf/dl-load.c:2179
 msgid "wrong ELF class: ELFCLASS32"
 msgstr "classe ELF errata: ELFCLASS32"
 
 # lf
-#: elf/dl-load.c:2188
+#: elf/dl-load.c:2182
 msgid "cannot open shared object file"
 msgstr "impossibile aprire il file oggetto condiviso"
 
@@ -722,11 +722,11 @@ msgid "cannot map zero-fill pages"
 msgstr "impossibile mappare le pagine riempite con zeri"
 
 # lf
-#: elf/dl-lookup.c:791
+#: elf/dl-lookup.c:845
 msgid "relocation error"
 msgstr "errore di rilocazione"
 
-#: elf/dl-lookup.c:818
+#: elf/dl-lookup.c:872
 msgid "symbol lookup error"
 msgstr "errore nella ricerca del simbolo"
 
@@ -736,53 +736,43 @@ msgstr "errore nella ricerca del simbolo"
 msgid "cannot extend global scope"
 msgstr "impossibile estendere l'ambito globale"
 
-#: elf/dl-open.c:520
+#: elf/dl-open.c:528
 msgid "TLS generation counter wrapped!  Please report this."
 msgstr "contatore TLS di generazione azzerato. Segnalare questo problema."
 
-# lf
-#: elf/dl-open.c:542
-msgid "cannot load any more object with static TLS"
-msgstr "impossibile caricare altri oggetti con un TLS statico"
-
 # ls
-#: elf/dl-open.c:599
+#: elf/dl-open.c:592
 msgid "invalid mode for dlopen()"
 msgstr "modo non valido per dlopen()"
 
-#: elf/dl-open.c:616
+#: elf/dl-open.c:609
 msgid "no more namespaces available for dlmopen()"
 msgstr "nessuno spazio dei nomi disponibile per dlmopen()"
 
-#: elf/dl-open.c:634
+#: elf/dl-open.c:633
 msgid "invalid target namespace in dlmopen()"
 msgstr "spazio dei nomi di destinazione non valido in dlmopen()"
 
 # lf
-#: elf/dl-reloc.c:120
+#: elf/dl-reloc.c:121
 msgid "cannot allocate memory in static TLS block"
 msgstr "impossibile allocare memoria nel blocco statico TLS"
 
 # lf
-#: elf/dl-reloc.c:212
+#: elf/dl-reloc.c:206
 msgid "cannot make segment writable for relocation"
 msgstr "impossibile rendere il segmento scrivibile per la rilocazione"
 
-#: elf/dl-reloc.c:275
-#, c-format
-msgid "%s: no PLTREL found in object %s\n"
-msgstr "%s: nessun PLTREL trovato nell'oggetto %s\n"
-
-#: elf/dl-reloc.c:290
+#: elf/dl-reloc.c:276
 #, c-format
 msgid "%s: out of memory to store relocation results for %s\n"
 msgstr "%s: memoria esaurita per memorizzare i risultati della rilocazione per %s\n"
 
-#: elf/dl-reloc.c:306
+#: elf/dl-reloc.c:292
 msgid "cannot restore segment prot after reloc"
 msgstr "impossibile ripristinare la protezione del segmento dopo la rilocazione"
 
-#: elf/dl-reloc.c:335
+#: elf/dl-reloc.c:323
 msgid "cannot apply additional memory protection after relocation"
 msgstr "impossibile applicare una protezione supplementare della memoria dopo la rilocazione"
 
@@ -792,7 +782,7 @@ msgid "RTLD_NEXT used in code not dynamically loaded"
 msgstr "RTLD_NEXT usato in codice caricato non dinamicamente"
 
 # lf
-#: elf/dl-tls.c:933
+#: elf/dl-tls.c:934
 msgid "cannot create TLS data structures"
 msgstr "impossibile creare le strutture dati TLS"
 
@@ -953,7 +943,7 @@ msgstr "Collegamenti non creati poiché non è stato possibile trovare il soname
 msgid "Can't open directory %s"
 msgstr "Impossibile aprire la directory %s"
 
-#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:90
+#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:97
 #, c-format
 msgid "Input file %s not found.\n"
 msgstr "File di input %s non trovato.\n"
@@ -1090,7 +1080,7 @@ msgstr "argomenti relativi al file mancanti"
 msgid "No such file or directory"
 msgstr "File o directory non esistente"
 
-#: elf/ldd.bash.in:150 inet/rcmd.c:488
+#: elf/ldd.bash.in:150 inet/rcmd.c:492
 msgid "not regular file"
 msgstr "non è un file normale"
 
@@ -1146,77 +1136,84 @@ msgid "cannot read program interpreter"
 msgstr "impossibile leggere l'intestazione dell'archivio"
 
 # lf
-#: elf/pldd-xx.c:196
+#: elf/pldd-xx.c:197
 #, fuzzy, c-format
 #| msgid "cannot read file data"
 msgid "cannot read link map"
 msgstr "impossibile leggere il file di dati"
 
 # lf
-#: elf/pldd-xx.c:207
+#: elf/pldd-xx.c:209
 #, fuzzy, c-format
 #| msgid "cannot read header"
 msgid "cannot read object name"
 msgstr "impossibile leggere l'intestazione"
 
-#: elf/pldd.c:63
+# lf
+#: elf/pldd-xx.c:219
+#, fuzzy, c-format
+#| msgid "cannot allocate memory for program header"
+msgid "cannot allocate buffer for object name"
+msgstr "impossibile allocare memoria per l'intestazione di programma"
+
+#: elf/pldd.c:64
 msgid "List dynamic shared objects loaded into process."
 msgstr ""
 
-#: elf/pldd.c:67
+#: elf/pldd.c:68
 msgid "PID"
 msgstr ""
 
-#: elf/pldd.c:99
+#: elf/pldd.c:100
 #, c-format
 msgid "Exactly one parameter with process ID required.\n"
 msgstr ""
 
 # lf
-#: elf/pldd.c:111
+#: elf/pldd.c:112
 #, fuzzy, c-format
 #| msgid "invalid pointer size"
 msgid "invalid process ID '%s'"
 msgstr "dimensione puntatore non valida"
 
 # lf
-#: elf/pldd.c:119
+#: elf/pldd.c:120
 #, fuzzy, c-format
 #| msgid "cannot open `%s'"
 msgid "cannot open %s"
 msgstr "impossibile aprire \"%s\""
 
 # lf
-#: elf/pldd.c:144
+#: elf/pldd.c:152
 #, fuzzy, c-format
 #| msgid "cannot open `%s'"
 msgid "cannot open %s/task"
 msgstr "impossibile aprire \"%s\""
 
-#: elf/pldd.c:147
+#: elf/pldd.c:155
 #, c-format
 msgid "cannot prepare reading %s/task"
 msgstr ""
 
 # lf
-#: elf/pldd.c:160
+#: elf/pldd.c:168
 #, fuzzy, c-format
 #| msgid "invalid ELF header"
 msgid "invalid thread ID '%s'"
 msgstr "intestazione ELF non valida"
 
-#: elf/pldd.c:171
+#: elf/pldd.c:179
 #, fuzzy, c-format
 #| msgid "cannot access '%s'"
 msgid "cannot attach to process %lu"
 msgstr "impossibile accedere a \"%s\""
 
-#: elf/pldd.c:286
+#: elf/pldd.c:294
 #, c-format
 msgid "cannot get information about process %lu"
 msgstr ""
 
-#: elf/pldd.c:299
+#: elf/pldd.c:307
 #, c-format
 msgid "process %lu is no ELF program"
 msgstr ""
@@ -1255,27 +1252,27 @@ msgstr "%s non è un file oggetto condiviso (tipo: %d).\n"
 msgid "more than one dynamic segment\n"
 msgstr "più di un segmento dinamico\n"
 
-#: elf/readlib.c:96
+#: elf/readlib.c:103
 #, c-format
 msgid "Cannot fstat file %s.\n"
 msgstr "Impossibile fare fstat di %s.\n"
 
-#: elf/readlib.c:107
+#: elf/readlib.c:114
 #, c-format
 msgid "File %s is empty, not checked."
 msgstr "Il file %s è vuoto, non controllato."
 
-#: elf/readlib.c:113
+#: elf/readlib.c:120
 #, c-format
 msgid "File %s is too small, not checked."
 msgstr "Il file %s è troppo piccolo, non controllato."
 
-#: elf/readlib.c:123
+#: elf/readlib.c:130
 #, c-format
 msgid "Cannot mmap file %s.\n"
 msgstr "Impossibile fare mmap del file %s\n"
 
-#: elf/readlib.c:161
+#: elf/readlib.c:169
 #, c-format
 msgid "%s is not an ELF file - it has the wrong magic bytes at the start.\n"
 msgstr "%s non è un file ELF - i byte magic iniziali sono sbagliati.\n"
@@ -1428,10 +1425,10 @@ msgid "failed to load shared object `%s'"
 msgstr "caricamento dell'oggetto condiviso \"%s\" non riuscito"
 
 # lf
-#: elf/sprof.c:442
+#: elf/sprof.c:442 elf/sprof.c:825 elf/sprof.c:923
 #, c-format
-msgid "cannot create internal descriptors"
-msgstr "impossibile creare descrittori interni"
+msgid "cannot create internal descriptor"
+msgstr "impossibile creare il descrittore interno"
 
 # lf
 #: elf/sprof.c:554
@@ -1504,12 +1501,6 @@ msgid "error while closing the profiling data file"
 msgstr "errore durante la chiusura del file di dati di profiling"
 
 # lf
-#: elf/sprof.c:825 elf/sprof.c:923
-#, c-format
-msgid "cannot create internal descriptor"
-msgstr "impossibile creare il descrittore interno"
-
-# lf
 #: elf/sprof.c:899
 #, c-format
 msgid "`%s' is no correct profile data file for `%s'"
@@ -1798,27 +1789,27 @@ msgstr "socket: errore del protocollo nell'impostazione del circuito\n"
 msgid "rcmd: %s: short read"
 msgstr "rcmd: %s: lettura breve"
 
-#: inet/rcmd.c:486
+#: inet/rcmd.c:490
 msgid "lstat failed"
 msgstr "lstat non riuscita"
 
-#: inet/rcmd.c:493
+#: inet/rcmd.c:497
 msgid "cannot open"
 msgstr "impossibile aprire"
 
-#: inet/rcmd.c:495
+#: inet/rcmd.c:499
 msgid "fstat failed"
 msgstr "fstat non riuscita"
 
-#: inet/rcmd.c:497
+#: inet/rcmd.c:501
 msgid "bad owner"
 msgstr "proprietario errato"
 
-#: inet/rcmd.c:499
+#: inet/rcmd.c:503
 msgid "writeable by other than owner"
 msgstr "scrivibile da altri oltre che dal proprietario"
 
-#: inet/rcmd.c:501
+#: inet/rcmd.c:505
 msgid "hard linked somewhere"
 msgstr "collegato fisicamente da qualche parte"
 
@@ -1952,8 +1943,8 @@ msgid "no symbolic name given for end of range"
 msgstr "nessun nome simbolico fornito per la fine dell'intervallo"
 
 #: locale/programs/charmap.c:610 locale/programs/ld-address.c:528
-#: locale/programs/ld-collate.c:2626 locale/programs/ld-collate.c:3784
-#: locale/programs/ld-ctype.c:2162 locale/programs/ld-ctype.c:2913
+#: locale/programs/ld-collate.c:2635 locale/programs/ld-collate.c:3793
+#: locale/programs/ld-ctype.c:2128 locale/programs/ld-ctype.c:2840
 #: locale/programs/ld-identification.c:368
 #: locale/programs/ld-measurement.c:215 locale/programs/ld-messages.c:298
 #: locale/programs/ld-monetary.c:740 locale/programs/ld-name.c:264
@@ -1980,8 +1971,8 @@ msgid "%s: error in state machine"
 msgstr "%s: errore nella macchina a stati"
 
 #: locale/programs/charmap.c:850 locale/programs/ld-address.c:544
-#: locale/programs/ld-collate.c:2623 locale/programs/ld-collate.c:3977
-#: locale/programs/ld-ctype.c:2159 locale/programs/ld-ctype.c:2930
+#: locale/programs/ld-collate.c:2632 locale/programs/ld-collate.c:3986
+#: locale/programs/ld-ctype.c:2125 locale/programs/ld-ctype.c:2857
 #: locale/programs/ld-identification.c:384
 #: locale/programs/ld-measurement.c:231 locale/programs/ld-messages.c:314
 #: locale/programs/ld-monetary.c:756 locale/programs/ld-name.c:280
@@ -2004,7 +1995,7 @@ msgid "number of bytes for byte sequence of beginning and end of range not the s
 msgstr "il numero di byte per la sequenza d'inizio e di fine dell'intervallo non sono gli stessi: %d contro %d"
 
 # lf
-#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2903
+#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2912
 #: locale/programs/repertoire.c:419
 msgid "invalid names for character range"
 msgstr "nomi non validi per l'intervallo di caratteri"
@@ -2027,8 +2018,8 @@ msgid "resulting bytes for range not representable."
 msgstr "i byte risultanti per l'intervallo non sono rappresentabili."
 
 # lf
-#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1565
-#: locale/programs/ld-ctype.c:465 locale/programs/ld-identification.c:133
+#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1566
+#: locale/programs/ld-ctype.c:431 locale/programs/ld-identification.c:133
 #: locale/programs/ld-measurement.c:94 locale/programs/ld-messages.c:97
 #: locale/programs/ld-monetary.c:193 locale/programs/ld-name.c:94
 #: locale/programs/ld-numeric.c:98 locale/programs/ld-paper.c:91
@@ -2093,7 +2084,7 @@ msgid "%s: numeric country code `%d' not valid"
 msgstr "%s: codice numerico di nazione \"%d\" non valido"
 
 #: locale/programs/ld-address.c:436 locale/programs/ld-address.c:473
-#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2537
+#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2489
 #: locale/programs/ld-identification.c:280
 #: locale/programs/ld-measurement.c:198 locale/programs/ld-messages.c:267
 #: locale/programs/ld-monetary.c:495 locale/programs/ld-monetary.c:530
@@ -2116,8 +2107,8 @@ msgstr "%s: campo \"%s\" dichiarato più di una volta"
 msgid "%s: unknown character in field `%s'"
 msgstr "%s: carattere sconosciuto nel campo \"%s\""
 
-#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3782
-#: locale/programs/ld-ctype.c:2910 locale/programs/ld-identification.c:365
+#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3791
+#: locale/programs/ld-ctype.c:2837 locale/programs/ld-identification.c:365
 #: locale/programs/ld-measurement.c:212 locale/programs/ld-messages.c:296
 #: locale/programs/ld-monetary.c:738 locale/programs/ld-name.c:262
 #: locale/programs/ld-numeric.c:324 locale/programs/ld-paper.c:212
@@ -2126,12 +2117,12 @@ msgstr "%s: carattere sconosciuto nel campo \"%s\""
 msgid "%s: incomplete `END' line"
 msgstr "%s: riga \"END\" incompleta"
 
-#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:551
-#: locale/programs/ld-collate.c:603 locale/programs/ld-collate.c:899
-#: locale/programs/ld-collate.c:912 locale/programs/ld-collate.c:2592
-#: locale/programs/ld-collate.c:2613 locale/programs/ld-collate.c:3967
-#: locale/programs/ld-ctype.c:1891 locale/programs/ld-ctype.c:2149
-#: locale/programs/ld-ctype.c:2735 locale/programs/ld-ctype.c:2921
+#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:552
+#: locale/programs/ld-collate.c:604 locale/programs/ld-collate.c:900
+#: locale/programs/ld-collate.c:913 locale/programs/ld-collate.c:2601
+#: locale/programs/ld-collate.c:2622 locale/programs/ld-collate.c:3976
+#: locale/programs/ld-ctype.c:1857 locale/programs/ld-ctype.c:2115
+#: locale/programs/ld-ctype.c:2687 locale/programs/ld-ctype.c:2848
 #: locale/programs/ld-identification.c:375
 #: locale/programs/ld-measurement.c:222 locale/programs/ld-messages.c:305
 #: locale/programs/ld-monetary.c:747 locale/programs/ld-name.c:271
@@ -2142,490 +2133,490 @@ msgid "%s: syntax error"
 msgstr "%s: errore di sintassi"
 
 # lf
-#: locale/programs/ld-collate.c:426
+#: locale/programs/ld-collate.c:427
 #, c-format
 msgid "`%.*s' already defined in charmap"
 msgstr "\"%.*s\" già definito nella mappa caratteri"
 
-#: locale/programs/ld-collate.c:435
+#: locale/programs/ld-collate.c:436
 #, c-format
 msgid "`%.*s' already defined in repertoire"
 msgstr "\"%.*s\" già definito nel repertorio"
 
-#: locale/programs/ld-collate.c:442
+#: locale/programs/ld-collate.c:443
 #, c-format
 msgid "`%.*s' already defined as collating symbol"
 msgstr "\"%.*s\" già definito come simbolo di collazione"
 
-#: locale/programs/ld-collate.c:449
+#: locale/programs/ld-collate.c:450
 #, c-format
 msgid "`%.*s' already defined as collating element"
 msgstr "\"%.*s\" già definito come elemento di collazione"
 
-#: locale/programs/ld-collate.c:480 locale/programs/ld-collate.c:506
+#: locale/programs/ld-collate.c:481 locale/programs/ld-collate.c:507
 #, c-format
 msgid "%s: `forward' and `backward' are mutually excluding each other"
 msgstr "%s: \"forward\" e \"backward\" sono mutuamente esclusivi"
 
-#: locale/programs/ld-collate.c:490 locale/programs/ld-collate.c:516
-#: locale/programs/ld-collate.c:532
+#: locale/programs/ld-collate.c:491 locale/programs/ld-collate.c:517
+#: locale/programs/ld-collate.c:533
 #, c-format
 msgid "%s: `%s' mentioned more than once in definition of weight %d"
 msgstr "%s: \"%s\" menzionato più di una volta nella definizione del peso %d"
 
-#: locale/programs/ld-collate.c:588
+#: locale/programs/ld-collate.c:589
 #, c-format
 msgid "%s: too many rules; first entry only had %d"
 msgstr "%s: troppe regole; la prima voce ne aveva solo %d"
 
-#: locale/programs/ld-collate.c:624
+#: locale/programs/ld-collate.c:625
 #, c-format
 msgid "%s: not enough sorting rules"
 msgstr "%s: regole di ordinamento non sufficienti"
 
 # lf
-#: locale/programs/ld-collate.c:789
+#: locale/programs/ld-collate.c:790
 #, c-format
 msgid "%s: empty weight string not allowed"
 msgstr "%s: stringa vuota del peso non consentita"
 
-#: locale/programs/ld-collate.c:884
+#: locale/programs/ld-collate.c:885
 #, c-format
 msgid "%s: weights must use the same ellipsis symbol as the name"
 msgstr "%s: i pesi devono usare lo stesso simbolo ellissi del nome"
 
-#: locale/programs/ld-collate.c:940
+#: locale/programs/ld-collate.c:941
 #, c-format
 msgid "%s: too many values"
 msgstr "%s: troppi valori"
 
 # lf
-#: locale/programs/ld-collate.c:1060 locale/programs/ld-collate.c:1235
+#: locale/programs/ld-collate.c:1061 locale/programs/ld-collate.c:1236
 #, c-format
 msgid "order for `%.*s' already defined at %s:%Zu"
 msgstr "ordine per \"%.*s\" già definito su %s:%Zu"
 
-#: locale/programs/ld-collate.c:1110
+#: locale/programs/ld-collate.c:1111
 #, c-format
 msgid "%s: the start and the end symbol of a range must stand for characters"
 msgstr "%s: i simboli iniziale e finale di un intervallo devono rappresentare caratteri"
 
-#: locale/programs/ld-collate.c:1137
+#: locale/programs/ld-collate.c:1138
 #, c-format
 msgid "%s: byte sequences of first and last character must have the same length"
 msgstr "%s: la sequenza di byte del primo e dell'ultimo carattere devono avere la stessa lunghezza"
 
-#: locale/programs/ld-collate.c:1179
+#: locale/programs/ld-collate.c:1180
 #, c-format
 msgid "%s: byte sequence of first character of range is not lower than that of the last character"
 msgstr "%s: la sequenza di byte del primo carattere dell'intervallo non è più piccola di quella dell'ultimo carattere"
 
-#: locale/programs/ld-collate.c:1304
+#: locale/programs/ld-collate.c:1305
 #, c-format
 msgid "%s: symbolic range ellipsis must not directly follow `order_start'"
 msgstr "%s: l'ellissi dell'intervallo simbolico non deve seguire direttamente \"order_start\""
 
-#: locale/programs/ld-collate.c:1308
+#: locale/programs/ld-collate.c:1309
 #, c-format
 msgid "%s: symbolic range ellipsis must not be directly followed by `order_end'"
 msgstr "%s: l'ellissi dell'intervallo simbolico non deve essere seguita direttamente da \"order_end\""
 
-#: locale/programs/ld-collate.c:1328 locale/programs/ld-ctype.c:1408
+#: locale/programs/ld-collate.c:1329 locale/programs/ld-ctype.c:1374
 #, c-format
 msgid "`%s' and `%.*s' are not valid names for symbolic range"
 msgstr "\"%s\" e \"%.*s\" non sono nomi validi per un intervallo simbolico"
 
-#: locale/programs/ld-collate.c:1378 locale/programs/ld-collate.c:3718
+#: locale/programs/ld-collate.c:1379 locale/programs/ld-collate.c:3727
 #, c-format
 msgid "%s: order for `%.*s' already defined at %s:%Zu"
 msgstr "%s: ordine per \"%.*s\" già definito su %s:%Zu"
 
-#: locale/programs/ld-collate.c:1387
+#: locale/programs/ld-collate.c:1388
 #, c-format
 msgid "%s: `%s' must be a character"
 msgstr "%s: \"%s\" deve essere un carattere"
 
-#: locale/programs/ld-collate.c:1582
+#: locale/programs/ld-collate.c:1583
 #, c-format
 msgid "%s: `position' must be used for a specific level in all sections or none"
 msgstr "%s: \"position\" deve essere usato per uno specifico livello o in tutte le sezioni o in nessuna"
 
-#: locale/programs/ld-collate.c:1607
+#: locale/programs/ld-collate.c:1608
 #, c-format
 msgid "symbol `%s' not defined"
 msgstr "simbolo \"%s\" non definito"
 
 # lf
-#: locale/programs/ld-collate.c:1683 locale/programs/ld-collate.c:1789
+#: locale/programs/ld-collate.c:1684 locale/programs/ld-collate.c:1790
 #, c-format
 msgid "symbol `%s' has the same encoding as"
 msgstr "il simbolo \"%s\" ha la stessa codifica di"
 
-#: locale/programs/ld-collate.c:1687 locale/programs/ld-collate.c:1793
+#: locale/programs/ld-collate.c:1688 locale/programs/ld-collate.c:1794
 #, c-format
 msgid "symbol `%s'"
 msgstr "simbolo \"%s\""
 
 # lf
-#: locale/programs/ld-collate.c:1833
+#: locale/programs/ld-collate.c:1834
 #, c-format
 msgid "no definition of `UNDEFINED'"
 msgstr "nessuna definizione di \"UNDEFINED\""
 
-#: locale/programs/ld-collate.c:1862
+#: locale/programs/ld-collate.c:1863
 #, c-format
 msgid "too many errors; giving up"
 msgstr "troppi errori; uscita"
 
-#: locale/programs/ld-collate.c:2518 locale/programs/ld-collate.c:3906
+#: locale/programs/ld-collate.c:2527 locale/programs/ld-collate.c:3915
 #, c-format
 msgid "%s: nested conditionals not supported"
 msgstr "%s: le condizioni nidificate non sono supportate"
 
-#: locale/programs/ld-collate.c:2536
+#: locale/programs/ld-collate.c:2545
 #, fuzzy, c-format
 #| msgid "%s: more then one 'else'"
 msgid "%s: more than one 'else'"
 msgstr "%s: più di un \"else\""
 
 # lf
-#: locale/programs/ld-collate.c:2711
+#: locale/programs/ld-collate.c:2720
 #, c-format
 msgid "%s: duplicate definition of `%s'"
 msgstr "%s: definizione duplicata di \"%s\""
 
 # lf
-#: locale/programs/ld-collate.c:2747
+#: locale/programs/ld-collate.c:2756
 #, c-format
 msgid "%s: duplicate declaration of section `%s'"
 msgstr "%s: dichiarazione duplicata della sezione \"%s\""
 
-#: locale/programs/ld-collate.c:2883
+#: locale/programs/ld-collate.c:2892
 #, c-format
 msgid "%s: unknown character in collating symbol name"
 msgstr "%s: carattere sconosciuto nel nome del simbolo di collazione"
 
-#: locale/programs/ld-collate.c:3012
+#: locale/programs/ld-collate.c:3021
 #, c-format
 msgid "%s: unknown character in equivalent definition name"
 msgstr "%s: carattere sconosciuto nel nome della definizione equivalente"
 
-#: locale/programs/ld-collate.c:3023
+#: locale/programs/ld-collate.c:3032
 #, c-format
 msgid "%s: unknown character in equivalent definition value"
 msgstr "%s carattere sconosciuto nel valore della definizione equivalente"
 
-#: locale/programs/ld-collate.c:3033
+#: locale/programs/ld-collate.c:3042
 #, c-format
 msgid "%s: unknown symbol `%s' in equivalent definition"
 msgstr "%s: simbolo sconosciuto \"%s\" nella definizione equivalente"
 
-#: locale/programs/ld-collate.c:3042
+#: locale/programs/ld-collate.c:3051
 msgid "error while adding equivalent collating symbol"
 msgstr "errore durante l'aggiunta di un simbolo di collazione equivalente"
 
 # lf
-#: locale/programs/ld-collate.c:3080
+#: locale/programs/ld-collate.c:3089
 #, c-format
 msgid "duplicate definition of script `%s'"
 msgstr "definizione dello script \"%s\" duplicata"
 
-#: locale/programs/ld-collate.c:3128
+#: locale/programs/ld-collate.c:3137
 #, c-format
 msgid "%s: unknown section name `%.*s'"
 msgstr "%s: nome della sezione sconosciuto \"%.*s\""
 
-#: locale/programs/ld-collate.c:3157
+#: locale/programs/ld-collate.c:3166
 #, c-format
 msgid "%s: multiple order definitions for section `%s'"
 msgstr "%s: definizioni di ordine multiplo per la sezione \"%s\""
 
-#: locale/programs/ld-collate.c:3185
+#: locale/programs/ld-collate.c:3194
 #, c-format
 msgid "%s: invalid number of sorting rules"
 msgstr "%s: numero di regole di ordinamento non valido"
 
-#: locale/programs/ld-collate.c:3212
+#: locale/programs/ld-collate.c:3221
 #, c-format
 msgid "%s: multiple order definitions for unnamed section"
 msgstr "%s: definizioni multiple di ordinamento per la sezione senza nome"
 
-#: locale/programs/ld-collate.c:3267 locale/programs/ld-collate.c:3397
-#: locale/programs/ld-collate.c:3760
+#: locale/programs/ld-collate.c:3276 locale/programs/ld-collate.c:3406
+#: locale/programs/ld-collate.c:3769
 #, c-format
 msgid "%s: missing `order_end' keyword"
 msgstr "%s: parola chiave \"order_end\" mancante"
 
-#: locale/programs/ld-collate.c:3330
+#: locale/programs/ld-collate.c:3339
 #, c-format
 msgid "%s: order for collating symbol %.*s not yet defined"
 msgstr "%s: ordine non ancora definito per il simbolo di collazione %.*s"
 
-#: locale/programs/ld-collate.c:3348
+#: locale/programs/ld-collate.c:3357
 #, c-format
 msgid "%s: order for collating element %.*s not yet defined"
 msgstr "%s: ordine non ancora definito per l'elemento di collazione %.*s"
 
-#: locale/programs/ld-collate.c:3359
+#: locale/programs/ld-collate.c:3368
 #, c-format
 msgid "%s: cannot reorder after %.*s: symbol not known"
 msgstr "%s: impossibile riordinare dopo %.*s: simbolo sconosciuto"
 
-#: locale/programs/ld-collate.c:3411 locale/programs/ld-collate.c:3772
+#: locale/programs/ld-collate.c:3420 locale/programs/ld-collate.c:3781
 #, c-format
 msgid "%s: missing `reorder-end' keyword"
 msgstr "%s: parola chiave \"reorder-end\" mancante"
 
-#: locale/programs/ld-collate.c:3445 locale/programs/ld-collate.c:3643
+#: locale/programs/ld-collate.c:3454 locale/programs/ld-collate.c:3652
 #, c-format
 msgid "%s: section `%.*s' not known"
 msgstr "%s: sezione \"%.*s\" sconosciuta"
 
-#: locale/programs/ld-collate.c:3510
+#: locale/programs/ld-collate.c:3519
 #, c-format
 msgid "%s: bad symbol <%.*s>"
 msgstr "%s: simbolo non valido <%.*s>"
 
-#: locale/programs/ld-collate.c:3706
+#: locale/programs/ld-collate.c:3715
 #, c-format
 msgid "%s: cannot have `%s' as end of ellipsis range"
 msgstr "%s: impossibile avere \"%s\" come fine dell'intervallo con ellissi"
 
-#: locale/programs/ld-collate.c:3756
+#: locale/programs/ld-collate.c:3765
 #, c-format
 msgid "%s: empty category description not allowed"
 msgstr "%s: descrizione vuota della categoria non consentita"
 
-#: locale/programs/ld-collate.c:3775
+#: locale/programs/ld-collate.c:3784
 #, c-format
 msgid "%s: missing `reorder-sections-end' keyword"
 msgstr "%s: parola chiave \"reorder-sections-end\" mancante"
 
-#: locale/programs/ld-collate.c:3939
+#: locale/programs/ld-collate.c:3948
 #, c-format
 msgid "%s: '%s' without matching 'ifdef' or 'ifndef'"
 msgstr "%s: \"%s\" senza il corrispondente \"ifdef\" o \"ifndef\""
 
-#: locale/programs/ld-collate.c:3957
+#: locale/programs/ld-collate.c:3966
 #, c-format
 msgid "%s: 'endif' without matching 'ifdef' or 'ifndef'"
 msgstr "%s: \"endif\" senza il corrispondente \"ifdef\" o \"ifndef\""
 
-#: locale/programs/ld-ctype.c:484
+#: locale/programs/ld-ctype.c:450
 #, c-format
 msgid "No character set name specified in charmap"
 msgstr "Nessun nome specificato per il set nella mappa caratteri"
 
-#: locale/programs/ld-ctype.c:513
+#: locale/programs/ld-ctype.c:479
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must be in class `%s'"
 msgstr "il carattere L\"\\u%0*x\" nella classe \"%s\" deve stare nella classe \"%s\""
 
-#: locale/programs/ld-ctype.c:528
+#: locale/programs/ld-ctype.c:494
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must not be in class `%s'"
 msgstr "il carattere L\"\\u%0*x\" nella classe \"%s\" non deve stare nella classe \"%s\""
 
-#: locale/programs/ld-ctype.c:542 locale/programs/ld-ctype.c:600
+#: locale/programs/ld-ctype.c:508 locale/programs/ld-ctype.c:566
 #, c-format
 msgid "internal error in %s, line %u"
 msgstr "errore interno in %s, riga %u"
 
-#: locale/programs/ld-ctype.c:571
+#: locale/programs/ld-ctype.c:537
 #, c-format
 msgid "character '%s' in class `%s' must be in class `%s'"
 msgstr "il carattere \"%s\" nella classe \"%s\" deve stare nella classe \"%s\""
 
-#: locale/programs/ld-ctype.c:587
+#: locale/programs/ld-ctype.c:553
 #, c-format
 msgid "character '%s' in class `%s' must not be in class `%s'"
 msgstr "il carattere \"%s\" nella classe \"%s\" non deve stare nella classe \"%s\""
 
-#: locale/programs/ld-ctype.c:617 locale/programs/ld-ctype.c:655
+#: locale/programs/ld-ctype.c:583 locale/programs/ld-ctype.c:621
 #, c-format
 msgid "<SP> character not in class `%s'"
 msgstr "Il carattere <SP> non è nella classe \"%s\""
 
-#: locale/programs/ld-ctype.c:629 locale/programs/ld-ctype.c:666
+#: locale/programs/ld-ctype.c:595 locale/programs/ld-ctype.c:632
 #, c-format
 msgid "<SP> character must not be in class `%s'"
 msgstr "Il carattere <SP> non deve stare nella classe \"%s\""
 
-#: locale/programs/ld-ctype.c:644
+#: locale/programs/ld-ctype.c:610
 #, c-format
 msgid "character <SP> not defined in character map"
 msgstr "carattere <SP> non definito nella mappa caratteri"
 
-#: locale/programs/ld-ctype.c:780
+#: locale/programs/ld-ctype.c:746
 #, c-format
 msgid "`digit' category has not entries in groups of ten"
 msgstr "la categoria \"digit\" non contiene voci a gruppi di dieci"
 
-#: locale/programs/ld-ctype.c:829
+#: locale/programs/ld-ctype.c:795
 #, c-format
 msgid "no input digits defined and none of the standard names in the charmap"
 msgstr "nessuna cifra di input definita e nessuno dei nomi standard nella mappa caratteri"
 
-#: locale/programs/ld-ctype.c:894
+#: locale/programs/ld-ctype.c:860
 #, c-format
 msgid "not all characters used in `outdigit' are available in the charmap"
 msgstr "non tutti i caratteri usati in \"outdigit\" sono disponibili nella mappa caratteri"
 
-#: locale/programs/ld-ctype.c:911
+#: locale/programs/ld-ctype.c:877
 #, c-format
 msgid "not all characters used in `outdigit' are available in the repertoire"
 msgstr "non tutti i caratteri usati in \"outdigit\" sono disponibili nel repertorio"
 
-#: locale/programs/ld-ctype.c:1176
+#: locale/programs/ld-ctype.c:1142
 #, c-format
 msgid "character class `%s' already defined"
 msgstr "classe di caratteri \"%s\" già definita"
 
-#: locale/programs/ld-ctype.c:1182
+#: locale/programs/ld-ctype.c:1148
 #, c-format
 msgid "implementation limit: no more than %Zd character classes allowed"
 msgstr "limite di implementazione: non sono permesse più di %Zd classi di carattere"
 
-#: locale/programs/ld-ctype.c:1208
+#: locale/programs/ld-ctype.c:1174
 #, c-format
 msgid "character map `%s' already defined"
 msgstr "mappa caratteri \"%s\" già definita"
 
-#: locale/programs/ld-ctype.c:1214
+#: locale/programs/ld-ctype.c:1180
 #, c-format
 msgid "implementation limit: no more than %d character maps allowed"
 msgstr "limite di implementazione: non sono ammesse più di %d mappe caratteri"
 
-#: locale/programs/ld-ctype.c:1479 locale/programs/ld-ctype.c:1604
-#: locale/programs/ld-ctype.c:1710 locale/programs/ld-ctype.c:2400
-#: locale/programs/ld-ctype.c:3397
+#: locale/programs/ld-ctype.c:1445 locale/programs/ld-ctype.c:1570
+#: locale/programs/ld-ctype.c:1676 locale/programs/ld-ctype.c:2352
+#: locale/programs/ld-ctype.c:3324
 #, c-format
 msgid "%s: field `%s' does not contain exactly ten entries"
 msgstr "%s: il campo \"%s\" non contiene esattamente dieci voci"
 
-#: locale/programs/ld-ctype.c:1507 locale/programs/ld-ctype.c:2081
+#: locale/programs/ld-ctype.c:1473 locale/programs/ld-ctype.c:2047
 #, c-format
 msgid "to-value <U%0*X> of range is smaller than from-value <U%0*X>"
 msgstr "Il valore <U%0*X> \"fino a\" dell'intervallo è più piccolo del valore <U%0*X> \"da\""
 
-#: locale/programs/ld-ctype.c:1634
+#: locale/programs/ld-ctype.c:1600
 msgid "start and end character sequence of range must have the same length"
 msgstr "la sequenza di caratteri iniziale e finale dell'intervallo devono avere la stessa lunghezza"
 
-#: locale/programs/ld-ctype.c:1641
+#: locale/programs/ld-ctype.c:1607
 msgid "to-value character sequence is smaller than from-value sequence"
 msgstr "Il valore \"fino a\" della sequenza di caratteri è più piccolo del valore \"da\" della sequenza"
 
-#: locale/programs/ld-ctype.c:2001 locale/programs/ld-ctype.c:2052
+#: locale/programs/ld-ctype.c:1967 locale/programs/ld-ctype.c:2018
 msgid "premature end of `translit_ignore' definition"
 msgstr "fine prematura della definizione di \"translit_ignore\""
 
-#: locale/programs/ld-ctype.c:2007 locale/programs/ld-ctype.c:2058
-#: locale/programs/ld-ctype.c:2100
+#: locale/programs/ld-ctype.c:1973 locale/programs/ld-ctype.c:2024
+#: locale/programs/ld-ctype.c:2066
 msgid "syntax error"
 msgstr "errore di sintassi"
 
-#: locale/programs/ld-ctype.c:2233
+#: locale/programs/ld-ctype.c:2199
 #, c-format
 msgid "%s: syntax error in definition of new character class"
 msgstr "%s: errore di sintassi nella definizione della nuova classe di caratteri"
 
-#: locale/programs/ld-ctype.c:2248
+#: locale/programs/ld-ctype.c:2214
 #, c-format
 msgid "%s: syntax error in definition of new character map"
 msgstr "%s: errore di sintassi nella definizione della nuova mappa di caratteri"
 
-#: locale/programs/ld-ctype.c:2422
+#: locale/programs/ld-ctype.c:2374
 msgid "ellipsis range must be marked by two operands of same type"
 msgstr "l'intervallo con ellissi deve essere marcato da due operandi dello stesso tipo"
 
-#: locale/programs/ld-ctype.c:2431
+#: locale/programs/ld-ctype.c:2383
 msgid "with symbolic name range values the absolute ellipsis `...' must not be used"
 msgstr "con nomi simbolici come valori dell'intervallo non deve essere usata l'ellissi assoluta \"...\""
 
-#: locale/programs/ld-ctype.c:2446
+#: locale/programs/ld-ctype.c:2398
 msgid "with UCS range values one must use the hexadecimal symbolic ellipsis `..'"
 msgstr "con valori UCS per l'intervallo, deve essere usata l'ellissi simbolica esadecimale \"..\""
 
-#: locale/programs/ld-ctype.c:2460
+#: locale/programs/ld-ctype.c:2412
 msgid "with character code range values one must use the absolute ellipsis `...'"
 msgstr "con codici carattere come valori dell'intervallo deve essere usata l'ellissi assoluta \"...\""
 
 # lf
-#: locale/programs/ld-ctype.c:2611
+#: locale/programs/ld-ctype.c:2563
 #, c-format
 msgid "duplicated definition for mapping `%s'"
 msgstr "definizione duplicata per la mappatura \"%s\""
 
 # lf
-#: locale/programs/ld-ctype.c:2697 locale/programs/ld-ctype.c:2841
+#: locale/programs/ld-ctype.c:2649 locale/programs/ld-ctype.c:2793
 #, c-format
 msgid "%s: `translit_start' section does not end with `translit_end'"
 msgstr "%s: la sezione \"translit_start\" non termina con \"translit_end\""
 
-#: locale/programs/ld-ctype.c:2792
+#: locale/programs/ld-ctype.c:2744
 #, c-format
 msgid "%s: duplicate `default_missing' definition"
 msgstr "%s: definizione duplicata di \"default_missing\""
 
 # lf
-#: locale/programs/ld-ctype.c:2797
+#: locale/programs/ld-ctype.c:2749
 msgid "previous definition was here"
 msgstr "la definizione precedente era qui"
 
 # lf
-#: locale/programs/ld-ctype.c:2819
+#: locale/programs/ld-ctype.c:2771
 #, c-format
 msgid "%s: no representable `default_missing' definition found"
 msgstr "%s: nessuna definizione \"default_missing\" rappresentabile trovata"
 
-#: locale/programs/ld-ctype.c:2962 locale/programs/ld-ctype.c:3059
-#: locale/programs/ld-ctype.c:3079 locale/programs/ld-ctype.c:3100
-#: locale/programs/ld-ctype.c:3121 locale/programs/ld-ctype.c:3142
-#: locale/programs/ld-ctype.c:3163 locale/programs/ld-ctype.c:3203
-#: locale/programs/ld-ctype.c:3224 locale/programs/ld-ctype.c:3289
-#: locale/programs/ld-ctype.c:3331 locale/programs/ld-ctype.c:3356
+#: locale/programs/ld-ctype.c:2889 locale/programs/ld-ctype.c:2986
+#: locale/programs/ld-ctype.c:3006 locale/programs/ld-ctype.c:3027
+#: locale/programs/ld-ctype.c:3048 locale/programs/ld-ctype.c:3069
+#: locale/programs/ld-ctype.c:3090 locale/programs/ld-ctype.c:3130
+#: locale/programs/ld-ctype.c:3151 locale/programs/ld-ctype.c:3216
+#: locale/programs/ld-ctype.c:3258 locale/programs/ld-ctype.c:3283
 #, c-format
 msgid "%s: character `%s' not defined while needed as default value"
 msgstr "%s: carattere \"%s\" non definito nonostante sia necessario come valore predefinito"
 
 # lf
-#: locale/programs/ld-ctype.c:2967 locale/programs/ld-ctype.c:3064
-#: locale/programs/ld-ctype.c:3084 locale/programs/ld-ctype.c:3105
-#: locale/programs/ld-ctype.c:3126 locale/programs/ld-ctype.c:3147
-#: locale/programs/ld-ctype.c:3168 locale/programs/ld-ctype.c:3208
-#: locale/programs/ld-ctype.c:3229 locale/programs/ld-ctype.c:3294
+#: locale/programs/ld-ctype.c:2894 locale/programs/ld-ctype.c:2991
+#: locale/programs/ld-ctype.c:3011 locale/programs/ld-ctype.c:3032
+#: locale/programs/ld-ctype.c:3053 locale/programs/ld-ctype.c:3074
+#: locale/programs/ld-ctype.c:3095 locale/programs/ld-ctype.c:3135
+#: locale/programs/ld-ctype.c:3156 locale/programs/ld-ctype.c:3221
 #, c-format
 msgid "%s: character `%s' in charmap not representable with one byte"
 msgstr "%s: carattere \"%s\" nella mappa caratteri non rappresentabile con un byte"
 
 # lf
-#: locale/programs/ld-ctype.c:3338 locale/programs/ld-ctype.c:3363
+#: locale/programs/ld-ctype.c:3265 locale/programs/ld-ctype.c:3290
 #, c-format
 msgid "%s: character `%s' needed as default value not representable with one byte"
 msgstr "%s: carattere \"%s\" necessario come valore predefinito non rappresentabile con un byte"
 
-#: locale/programs/ld-ctype.c:3419
+#: locale/programs/ld-ctype.c:3346
 #, c-format
 msgid "no output digits defined and none of the standard names in the charmap"
 msgstr "nessuna cifra di output definita e nessun nome standard nella mappa caratteri"
 
-#: locale/programs/ld-ctype.c:3668
+#: locale/programs/ld-ctype.c:3595
 #, c-format
 msgid "%s: transliteration data from locale `%s' not available"
 msgstr "%s: dati di traslitterazione dalla localizzazione \"%s\" non disponibili"
 
-#: locale/programs/ld-ctype.c:3768
+#: locale/programs/ld-ctype.c:3695
 #, c-format
 msgid "%s: table for class \"%s\": %lu bytes\n"
 msgstr "%s: tabella per la classe \"%s\": %lu byte\n"
 
-#: locale/programs/ld-ctype.c:3833
+#: locale/programs/ld-ctype.c:3760
 #, c-format
 msgid "%s: table for map \"%s\": %lu bytes\n"
 msgstr "%s: tabella per la mappa \"%s\": %lu byte\n"
 
-#: locale/programs/ld-ctype.c:3958
+#: locale/programs/ld-ctype.c:3885
 #, c-format
 msgid "%s: table for width: %lu bytes\n"
 msgstr "%s: tabella per la larghezza: %lu byte\n"
@@ -4137,18 +4128,23 @@ msgstr "aggiunta della nuova voce \"%s\" di tipo %s per %s alla cache%s"
 msgid " (first)"
 msgstr " (prima)"
 
-# lf
-#: nscd/cache.c:285 nscd/connections.c:1000
+#: nscd/cache.c:288
+#, fuzzy, c-format
+#| msgid "cannot open database file `%s': %s"
+msgid "checking for monitored file `%s': %s"
+msgstr "impossibile aprire il file \"%s\" del database: %s"
+
+#: nscd/cache.c:298
 #, c-format
-msgid "cannot stat() file `%s': %s"
-msgstr "impossibile fare stat() sul file \"%s\": %s"
+msgid "monitored file `%s` changed (mtime)"
+msgstr ""
 
-#: nscd/cache.c:331
+#: nscd/cache.c:341
 #, c-format
 msgid "pruning %s cache; time %ld"
 msgstr "pulizia della cache di %s; tempo %ld"
 
-#: nscd/cache.c:360
+#: nscd/cache.c:370
 #, c-format
 msgid "considering %s entry \"%s\", timeout %<PRIu64>"
 msgstr "considerata la voce di %s \"%s\", timeout %<PRIu64>"
@@ -4236,103 +4232,129 @@ msgstr "impossibile impostare il socket da chiudere dopo una exec: %s"
 msgid "cannot enable socket to accept connections: %s"
 msgstr "impossibile abilitare il socket per accettare le connessioni: %s"
 
-#: nscd/connections.c:984
+#: nscd/connections.c:973
+#, c-format
+msgid "disabled inotify-based monitoring for file `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:977
+#, c-format
+msgid "monitoring file `%s` (%d)"
+msgstr ""
+
+#: nscd/connections.c:990
+#, c-format
+msgid "disabled inotify-based monitoring for directory `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:994
+#, fuzzy, c-format
+#| msgid "Can't open directory %s"
+msgid "monitoring directory `%s` (%d)"
+msgstr "Impossibile aprire la directory %s"
+
+#: nscd/connections.c:1022
 #, fuzzy, c-format
 #| msgid "no more memory for database '%s'"
-msgid "register trace file %s for database %s"
+msgid "monitoring file %s for database %s"
 msgstr "memoria esaurita per il database \"%s\""
 
-#: nscd/connections.c:1114
+#: nscd/connections.c:1032
+#, c-format
+msgid "stat failed for file `%s'; will try again later: %s"
+msgstr ""
+
+#: nscd/connections.c:1151
 #, c-format
 msgid "provide access to FD %d, for %s"
 msgstr "fornisce l'accesso a %d FD, per %s"
 
 # lf
-#: nscd/connections.c:1126
+#: nscd/connections.c:1163
 #, c-format
 msgid "cannot handle old request version %d; current version is %d"
 msgstr "impossibile gestire vecchie richieste in versione %d: la versione attuale è %d"
 
-#: nscd/connections.c:1148
+#: nscd/connections.c:1185
 #, c-format
 msgid "request from %ld not handled due to missing permission"
 msgstr "richiesta da %ld non gestita a causa di permessi mancanti"
 
-#: nscd/connections.c:1153
+#: nscd/connections.c:1190
 #, c-format
 msgid "request from '%s' [%ld] not handled due to missing permission"
 msgstr "richiesta da \"%s\" [%ld] non gestita a causa di permessi mancanti"
 
-#: nscd/connections.c:1158
+#: nscd/connections.c:1195
 msgid "request not handled due to missing permission"
 msgstr "richiesta non gestita a causa di permessi mancanti"
 
 # lf
-#: nscd/connections.c:1196 nscd/connections.c:1249
+#: nscd/connections.c:1233 nscd/connections.c:1286
 #, c-format
 msgid "cannot write result: %s"
 msgstr "impossibile scrivere il risultato: %s"
 
-#: nscd/connections.c:1340
+#: nscd/connections.c:1377
 #, c-format
 msgid "error getting caller's id: %s"
 msgstr "errore durante l'acquisizione dell'id del chiamante: %s"
 
-#: nscd/connections.c:1400
+#: nscd/connections.c:1437
 #, c-format
 msgid "cannot open /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr "impossibile aprire /proc/self/cmdline: %s; modalità paranoia disabilitata"
 
-#: nscd/connections.c:1414
+#: nscd/connections.c:1451
 #, c-format
 msgid "cannot read /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr "impossibile leggere /proc/self/cmdline: %s; modalità paranoia disabilitata"
 
-#: nscd/connections.c:1454
+#: nscd/connections.c:1491
 #, c-format
 msgid "cannot change to old UID: %s; disabling paranoia mode"
 msgstr "impossibile ripristinare l'UID precedente: %s; modalità paranoia disabilitata"
 
-#: nscd/connections.c:1464
+#: nscd/connections.c:1501
 #, c-format
 msgid "cannot change to old GID: %s; disabling paranoia mode"
 msgstr "impossibile ripristinare il GID precedente: %s; modalità paranoia disabilitata"
 
-#: nscd/connections.c:1477
+#: nscd/connections.c:1514
 #, c-format
 msgid "cannot change to old working directory: %s; disabling paranoia mode"
 msgstr "impossibile ritornare alla directory di lavoro precedente: %s; modalità paranoia disabilitata"
 
-#: nscd/connections.c:1523
+#: nscd/connections.c:1560
 #, c-format
 msgid "re-exec failed: %s; disabling paranoia mode"
 msgstr "re-exec non riuscita: %s; modalità paranoia disabilitata"
 
-#: nscd/connections.c:1532
+#: nscd/connections.c:1569
 #, c-format
 msgid "cannot change current working directory to \"/\": %s"
 msgstr "impossibile cambiare l'attuale directory di lavoro in \"/\": %s"
 
 # ls
-#: nscd/connections.c:1725
+#: nscd/connections.c:1762
 #, c-format
 msgid "short read while reading request: %s"
 msgstr "lettura breve nella lettura della richiesta: %s"
 
 # lf
-#: nscd/connections.c:1758
+#: nscd/connections.c:1795
 #, c-format
 msgid "key length in request too long: %d"
 msgstr "lunghezza troppo lunga della chiave nella richiesta: %d"
 
 # lf
-#: nscd/connections.c:1771
+#: nscd/connections.c:1808
 #, c-format
 msgid "short read while reading request key: %s"
 msgstr "lettura breve nella lettura della chiave richiesta: %s"
 
 # lf
-#: nscd/connections.c:1781
+#: nscd/connections.c:1818
 #, c-format
 msgid "handle_request: request received (Version = %d) from PID %ld"
 msgstr "handle_request: ricevuta richiesta (versione = %d) dal PID %ld"
@@ -4340,63 +4362,101 @@ msgstr "handle_request: ricevuta richiesta (versione = %d) dal PID %ld"
 # lf
 #
 # credo che version sia una parola chiave...
-#: nscd/connections.c:1786
+#: nscd/connections.c:1823
 #, c-format
 msgid "handle_request: request received (Version = %d)"
 msgstr "handle_request: ricevuta richiesta (Version = %d)"
 
-#: nscd/connections.c:2050 nscd/connections.c:2252
+#: nscd/connections.c:1963
+#, c-format
+msgid "ignored inotify event for `%s` (file exists)"
+msgstr ""
+
+#: nscd/connections.c:1968
 #, c-format
-msgid "disabled inotify after read error %d"
+msgid "monitored file `%s` was %s, removing watch"
+msgstr ""
+
+#: nscd/connections.c:1976 nscd/connections.c:2018
+#, c-format
+msgid "failed to remove file watch `%s`: %s"
+msgstr ""
+
+#: nscd/connections.c:1991
+#, c-format
+msgid "monitored file `%s` was written to"
+msgstr ""
+
+#: nscd/connections.c:2015
+#, c-format
+msgid "monitored parent directory `%s` was %s, removing watch on `%s`"
+msgstr ""
+
+#: nscd/connections.c:2041
+#, c-format
+msgid "monitored file `%s` was %s, adding watch"
+msgstr ""
+
+# lf
+#: nscd/connections.c:2053
+#, fuzzy, c-format
+#| msgid "failed to load shared object `%s'"
+msgid "failed to add file watch `%s`: %s"
+msgstr "caricamento dell'oggetto condiviso \"%s\" non riuscito"
+
+#: nscd/connections.c:2247 nscd/connections.c:2428
+#, fuzzy, c-format
+#| msgid "disabled inotify after read error %d"
+msgid "disabled inotify-based monitoring after read error %d"
 msgstr "inotify disabilitato dopo un errore di lettura %d"
 
-#: nscd/connections.c:2375
+#: nscd/connections.c:2543
 msgid "could not initialize conditional variable"
 msgstr "impossibile inizializzare la variabile condizionale"
 
-#: nscd/connections.c:2383
+#: nscd/connections.c:2551
 msgid "could not start clean-up thread; terminating"
 msgstr "impossibile avviare il thread di pulizia; arresto"
 
-#: nscd/connections.c:2397
+#: nscd/connections.c:2565
 msgid "could not start any worker thread; terminating"
 msgstr "impossibile avviare thread di tipo worker; arresto"
 
 # lf
-#: nscd/connections.c:2452 nscd/connections.c:2454 nscd/connections.c:2470
-#: nscd/connections.c:2480 nscd/connections.c:2498 nscd/connections.c:2509
-#: nscd/connections.c:2519
+#: nscd/connections.c:2620 nscd/connections.c:2622 nscd/connections.c:2638
+#: nscd/connections.c:2648 nscd/connections.c:2666 nscd/connections.c:2677
+#: nscd/connections.c:2687
 #, c-format
 msgid "Failed to run nscd as user '%s'"
 msgstr "Esecuzione di nscd come utente \"%s\" non riuscita"
 
-#: nscd/connections.c:2472
+#: nscd/connections.c:2640
 msgid "initial getgrouplist failed"
 msgstr "getgrouplist iniziale non riuscita"
 
 # lf
-#: nscd/connections.c:2481
+#: nscd/connections.c:2649
 msgid "getgrouplist failed"
 msgstr "getgrouplist non riuscita"
 
 # lf
-#: nscd/connections.c:2499
+#: nscd/connections.c:2667
 msgid "setgroups failed"
 msgstr "setgroups non riuscita"
 
 # lf
-#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:410
+#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:411
 #: nscd/pwdcache.c:383 nscd/servicescache.c:338
 #, c-format
 msgid "short write in %s: %s"
 msgstr "scrittura breve in %s: %s"
 
-#: nscd/grpcache.c:450 nscd/initgrcache.c:77
+#: nscd/grpcache.c:450 nscd/initgrcache.c:78
 #, c-format
 msgid "Haven't found \"%s\" in group cache!"
 msgstr "\"%s\" non trovato nella cache dei gruppi."
 
-#: nscd/grpcache.c:452 nscd/initgrcache.c:79
+#: nscd/grpcache.c:452 nscd/initgrcache.c:80
 #, c-format
 msgid "Reloading \"%s\" in group cache!"
 msgstr "Ricaricamento di \"%s\" nella cache dei gruppi."
@@ -4494,7 +4554,7 @@ msgstr "Usa una cache separata per ciascun utente"
 msgid "Name Service Cache Daemon."
 msgstr "Demone di cache dei nomi di servizio (NSCD)."
 
-#: nscd/nscd.c:155 nss/getent.c:1003 nss/makedb.c:206
+#: nscd/nscd.c:155 nss/getent.c:1007 nss/makedb.c:206
 #, c-format
 msgid "wrong number of arguments"
 msgstr "numero di argomenti errato"
@@ -4529,7 +4589,7 @@ msgstr "Impossibile cambiare l'attuale directory di lavoro a \"/\""
 msgid "Could not create log file"
 msgstr "Impossibile creare il file di registro"
 
-#: nscd/nscd.c:355 nscd/nscd_stat.c:192
+#: nscd/nscd.c:355 nscd/nscd_stat.c:194
 #, c-format
 msgid "write incomplete"
 msgstr "scrittura incompleta"
@@ -4544,7 +4604,7 @@ msgstr "impossibile leggere l'ACK invalidato"
 msgid "invalidation failed"
 msgstr "invalidazione non riuscita"
 
-#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:173
+#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:175
 #, c-format
 msgid "Only root is allowed to use this option!"
 msgstr "Solo l'utente root ha il permesso per usare questa opzione."
@@ -4628,35 +4688,35 @@ msgstr "impossibile acquisire l'attuale cartella di lavoro: %s; modalità parano
 msgid "maximum file size for %s database too small"
 msgstr "dimensione massima del file per il database %s troppo piccola"
 
-#: nscd/nscd_stat.c:142
+#: nscd/nscd_stat.c:144
 #, c-format
 msgid "cannot write statistics: %s"
 msgstr "impossibile scrivere le statistiche: %s"
 
-#: nscd/nscd_stat.c:157
+#: nscd/nscd_stat.c:159
 msgid "yes"
 msgstr "sì"
 
-#: nscd/nscd_stat.c:158
+#: nscd/nscd_stat.c:160
 msgid "no"
 msgstr "no"
 
-#: nscd/nscd_stat.c:169
+#: nscd/nscd_stat.c:171
 #, c-format
 msgid "Only root or %s is allowed to use this option!"
 msgstr "Solo l'utente root o %s ha il permesso per usare questa opzione."
 
-#: nscd/nscd_stat.c:180
+#: nscd/nscd_stat.c:182
 #, c-format
 msgid "nscd not running!\n"
 msgstr "nscd non è in esecuzione.\n"
 
-#: nscd/nscd_stat.c:204
+#: nscd/nscd_stat.c:206
 #, c-format
 msgid "cannot read statistics data"
 msgstr "impossibile leggere i dati statistici"
 
-#: nscd/nscd_stat.c:207
+#: nscd/nscd_stat.c:209
 #, c-format
 msgid ""
 "nscd configuration:\n"
@@ -4667,27 +4727,27 @@ msgstr ""
 "\n"
 "%15d  livello di debug del server\n"
 
-#: nscd/nscd_stat.c:231
+#: nscd/nscd_stat.c:233
 #, c-format
 msgid "%3ud %2uh %2um %2lus  server runtime\n"
 msgstr "%3ug %2uo %2um %2lus  runtime del server\n"
 
-#: nscd/nscd_stat.c:234
+#: nscd/nscd_stat.c:236
 #, c-format
 msgid "    %2uh %2um %2lus  server runtime\n"
 msgstr "    %2uo %2um %2lus  runtime del server\n"
 
-#: nscd/nscd_stat.c:236
+#: nscd/nscd_stat.c:238
 #, c-format
 msgid "        %2um %2lus  server runtime\n"
 msgstr "        %2um %2lus  runtime del server\n"
 
-#: nscd/nscd_stat.c:238
+#: nscd/nscd_stat.c:240
 #, c-format
 msgid "            %2lus  server runtime\n"
 msgstr "            %2lus  runtime del server\n"
 
-#: nscd/nscd_stat.c:240
+#: nscd/nscd_stat.c:242
 #, c-format
 msgid ""
 "%15d  current number of threads\n"
@@ -4704,7 +4764,7 @@ msgstr ""
 "%15lu  riavvii interni\n"
 "%15u  totale ricaricamenti\n"
 
-#: nscd/nscd_stat.c:275
+#: nscd/nscd_stat.c:277
 #, c-format
 msgid ""
 "\n"
@@ -4771,87 +4831,87 @@ msgstr "Ricaricamento di \"%s\" nella cache delle password."
 msgid "Invalid numeric uid \"%s\"!"
 msgstr "UID numerico \"%s\" non valido."
 
-#: nscd/selinux.c:155
+#: nscd/selinux.c:154
 #, c-format
 msgid "Failed opening connection to the audit subsystem: %m"
 msgstr "Apertura della connessione al sottosistema audit non riuscita: %m"
 
-#: nscd/selinux.c:176
+#: nscd/selinux.c:175
 msgid "Failed to set keep-capabilities"
 msgstr "Impostazione di keep-capabilities non riuscita"
 
-#: nscd/selinux.c:177 nscd/selinux.c:240
+#: nscd/selinux.c:176 nscd/selinux.c:239
 msgid "prctl(KEEPCAPS) failed"
 msgstr "prctl(KEEPCAPS) non riuscita"
 
-#: nscd/selinux.c:191
+#: nscd/selinux.c:190
 msgid "Failed to initialize drop of capabilities"
 msgstr "Inizializzazione della rimozione delle possibilità non riuscita"
 
-#: nscd/selinux.c:192
+#: nscd/selinux.c:191
 msgid "cap_init failed"
 msgstr "cap_init non riuscita"
 
-#: nscd/selinux.c:213 nscd/selinux.c:230
+#: nscd/selinux.c:212 nscd/selinux.c:229
 msgid "Failed to drop capabilities"
 msgstr "Rimozione delle possibilità non riuscita"
 
-#: nscd/selinux.c:214 nscd/selinux.c:231
+#: nscd/selinux.c:213 nscd/selinux.c:230
 msgid "cap_set_proc failed"
 msgstr "cap_set_proc non riuscita"
 
-#: nscd/selinux.c:239
+#: nscd/selinux.c:238
 msgid "Failed to unset keep-capabilities"
 msgstr "Rimozione di keep-capabilities non riuscita"
 
-#: nscd/selinux.c:255
+#: nscd/selinux.c:254
 msgid "Failed to determine if kernel supports SELinux"
 msgstr "Non si è riusciti a determinare se il kernel supporta SELinux"
 
-#: nscd/selinux.c:270
+#: nscd/selinux.c:269
 msgid "Failed to start AVC thread"
 msgstr "Avvio del thread AVC non riuscito"
 
-#: nscd/selinux.c:292
+#: nscd/selinux.c:291
 msgid "Failed to create AVC lock"
 msgstr "Creazione del lock AVC non riuscita"
 
-#: nscd/selinux.c:332
+#: nscd/selinux.c:331
 msgid "Failed to start AVC"
 msgstr "Avvio di AVC non riuscito"
 
-#: nscd/selinux.c:334
+#: nscd/selinux.c:333
 msgid "Access Vector Cache (AVC) started"
 msgstr "Access Vector Cache (AVC) avviato"
 
-#: nscd/selinux.c:369
+#: nscd/selinux.c:368
 msgid "Error querying policy for undefined object classes or permissions."
 msgstr ""
 
-#: nscd/selinux.c:376
+#: nscd/selinux.c:375
 #, fuzzy
 #| msgid "Error getting context of nscd"
 msgid "Error getting security class for nscd."
 msgstr "Errore nell'ottenere il contesto di nscd"
 
-#: nscd/selinux.c:381
+#: nscd/selinux.c:380
 #, c-format
 msgid "Error translating permission name \"%s\" to access vector bit."
 msgstr ""
 
-#: nscd/selinux.c:391
+#: nscd/selinux.c:390
 msgid "Error getting context of socket peer"
 msgstr "Errore nell'ottenere il contesto del corrispondente del socket"
 
-#: nscd/selinux.c:396
+#: nscd/selinux.c:395
 msgid "Error getting context of nscd"
 msgstr "Errore nell'ottenere il contesto di nscd"
 
-#: nscd/selinux.c:402
+#: nscd/selinux.c:401
 msgid "Error getting sid from context"
 msgstr "Errore nell'ottenere il sid dal contesto"
 
-#: nscd/selinux.c:440
+#: nscd/selinux.c:439
 #, c-format
 msgid ""
 "\n"
@@ -4915,16 +4975,16 @@ msgstr "Ottiene voci da un database amministrativo."
 msgid "Enumeration not supported on %s\n"
 msgstr "Enumerazione non supportata su %s\n"
 
-#: nss/getent.c:917
+#: nss/getent.c:921
 #, c-format
 msgid "Unknown database name"
 msgstr "Nome del database sconosciuto"
 
-#: nss/getent.c:947
+#: nss/getent.c:951
 msgid "Supported databases:\n"
 msgstr "Database supportati:\n"
 
-#: nss/getent.c:1013
+#: nss/getent.c:1017
 #, c-format
 msgid "Unknown database: %s\n"
 msgstr "Database sconosciuto: %s\n"
@@ -5230,7 +5290,7 @@ msgid "No previous regular expression"
 msgstr "Nessuna espressione regolare precedente"
 
 # lf
-#: posix/wordexp.c:1844
+#: posix/wordexp.c:1851
 msgid "parameter null or not set"
 msgstr "parametro nullo o non impostato"
 
@@ -7842,9 +7902,24 @@ msgstr "%s: impossibile creare la directory %s: %s\n"
 #~ msgid "Try \\`%s --help' or `%s --usage' for more information.\\n"
 #~ msgstr "Usare \\\"%s --help\" o \"%s --usage\" per ulteriori informazioni.\\n"
 
+# lf
+#~ msgid "cannot load any more object with static TLS"
+#~ msgstr "impossibile caricare altri oggetti con un TLS statico"
+
+#~ msgid "%s: no PLTREL found in object %s\n"
+#~ msgstr "%s: nessun PLTREL trovato nell'oggetto %s\n"
+
 #~ msgid "Can't open configuration file %s"
 #~ msgstr "Impossibile aprire il file di configurazione %s"
 
+# lf
+#~ msgid "cannot create internal descriptors"
+#~ msgstr "impossibile creare descrittori interni"
+
+# lf
+#~ msgid "cannot stat() file `%s': %s"
+#~ msgstr "impossibile fare stat() sul file \"%s\": %s"
+
 #~ msgid "invalid value for 'reload-count': %u"
 #~ msgstr "valore non valido per \"reload-count\": %u"
 
diff --git a/po/ja.po b/po/ja.po
index 4647238..229604b 100644
--- a/po/ja.po
+++ b/po/ja.po
@@ -6,7 +6,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: libc 2.14\n"
-"POT-Creation-Date: 2015-01-20 22:14-0500\n"
+"POT-Creation-Date: 2015-07-31 00:10-0400\n"
 "PO-Revision-Date: 2011-10-08 23:43+0900\n"
 "Last-Translator: Yasuaki Taniguchi <yasuakit@gmail.com>\n"
 "Language-Team: Japanese <translation-team-ja@lists.sourceforge.net>\n"
@@ -145,10 +145,10 @@ msgstr ""
 "[OUTPUT-FILE [INPUT-FILE]...]"
 
 #: catgets/gencat.c:229 debug/pcprofiledump.c:209 elf/ldconfig.c:307
-#: elf/pldd.c:244 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
+#: elf/pldd.c:252 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
 #: iconv/iconvconfig.c:379 locale/programs/locale.c:277
 #: locale/programs/localedef.c:376 login/programs/pt_chown.c:88
-#: malloc/memusagestat.c:563 nss/getent.c:969 nss/makedb.c:369
+#: malloc/memusagestat.c:563 nss/getent.c:973 nss/makedb.c:369
 #: posix/getconf.c:486 sunrpc/rpcinfo.c:691
 #: sysdeps/unix/sysv/linux/lddlibc4.c:61
 #, fuzzy, c-format
@@ -163,7 +163,7 @@ msgstr ""
 "<http://www.gnu.org/software/libc/bugs.html>.\n"
 
 #: catgets/gencat.c:245 debug/pcprofiledump.c:225 debug/xtrace.sh:64
-#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:260 elf/sotruss.sh:75
+#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:268 elf/sotruss.sh:75
 #: elf/sprof.c:389 iconv/iconv_prog.c:425 iconv/iconvconfig.c:396
 #: locale/programs/locale.c:294 locale/programs/localedef.c:402
 #: login/programs/pt_chown.c:62 malloc/memusage.sh:71
@@ -180,7 +180,7 @@ msgstr ""
 "warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.\n"
 
 #: catgets/gencat.c:250 debug/pcprofiledump.c:230 debug/xtrace.sh:68
-#: elf/ldconfig.c:328 elf/pldd.c:265 elf/sprof.c:395 iconv/iconv_prog.c:430
+#: elf/ldconfig.c:328 elf/pldd.c:273 elf/sprof.c:395 iconv/iconv_prog.c:430
 #: iconv/iconvconfig.c:401 locale/programs/locale.c:299
 #: locale/programs/localedef.c:407 malloc/memusage.sh:75
 #: malloc/memusagestat.c:586 nscd/nscd.c:514 nss/getent.c:91 nss/makedb.c:390
@@ -440,11 +440,11 @@ msgstr "%s のアクセス権限を %#o へ変更するのに失敗しました"
 msgid "Renaming of %s to %s failed"
 msgstr "%s から %s への名前変更に失敗しました"
 
-#: elf/dl-close.c:385 elf/dl-open.c:470
+#: elf/dl-close.c:396 elf/dl-open.c:478
 msgid "cannot create scope list"
 msgstr "スコープリストを作成できません"
 
-#: elf/dl-close.c:770
+#: elf/dl-close.c:816
 msgid "shared object not open"
 msgstr "共有オブジェクトが開けません"
 
@@ -517,127 +517,127 @@ msgstr "探索パス配列を作成できません"
 msgid "cannot stat shared object"
 msgstr "共有オブジェクトの状態取得 (stat) ができません"
 
-#: elf/dl-load.c:963
+#: elf/dl-load.c:962
 msgid "cannot open zero fill device"
 msgstr "ゼロで埋められたデバイスを開けません"
 
-#: elf/dl-load.c:1010 elf/dl-load.c:2165
+#: elf/dl-load.c:1009 elf/dl-load.c:2159
 msgid "cannot create shared object descriptor"
 msgstr "共有オブジェクト記述子を作成できません"
 
-#: elf/dl-load.c:1029 elf/dl-load.c:1570 elf/dl-load.c:1682
+#: elf/dl-load.c:1028 elf/dl-load.c:1568 elf/dl-load.c:1680
 msgid "cannot read file data"
 msgstr "ファイルデータを読み込めません"
 
-#: elf/dl-load.c:1069
+#: elf/dl-load.c:1068
 msgid "ELF load command alignment not page-aligned"
 msgstr "ELF ロードコマンド整列がページで整列されていません"
 
-#: elf/dl-load.c:1076
+#: elf/dl-load.c:1075
 msgid "ELF load command address/offset not properly aligned"
 msgstr "ELF ロードコマンドのアドレス/オフセットが適切に整列されていません"
 
-#: elf/dl-load.c:1160
+#: elf/dl-load.c:1159
 msgid "cannot allocate TLS data structures for initial thread"
 msgstr "初期スレッド用の TLS データ構造体が配置できません"
 
-#: elf/dl-load.c:1183
+#: elf/dl-load.c:1182
 msgid "cannot handle TLS data"
 msgstr "TLS データを取り扱えません"
 
-#: elf/dl-load.c:1202
+#: elf/dl-load.c:1201
 msgid "object file has no loadable segments"
 msgstr "オブジェクトファイルはロード可能セグメントを持っていません"
 
-#: elf/dl-load.c:1211 elf/dl-load.c:1662
+#: elf/dl-load.c:1210 elf/dl-load.c:1660
 msgid "cannot dynamically load executable"
 msgstr "実行ファイルを動的にロードできません"
 
-#: elf/dl-load.c:1232
+#: elf/dl-load.c:1231
 msgid "object file has no dynamic section"
 msgstr "オブジェクトファイルは動的セクションを持っていません"
 
-#: elf/dl-load.c:1255
+#: elf/dl-load.c:1254
 msgid "shared object cannot be dlopen()ed"
 msgstr "共有オブジェクトは dlopen() できません"
 
-#: elf/dl-load.c:1268
+#: elf/dl-load.c:1267
 msgid "cannot allocate memory for program header"
 msgstr "プログラムヘッダー用のメモリを配置できません"
 
-#: elf/dl-load.c:1284 elf/dl-open.c:195
+#: elf/dl-load.c:1283 elf/dl-open.c:195
 msgid "invalid caller"
 msgstr "無効な呼び出し元です"
 
-#: elf/dl-load.c:1307 elf/dl-load.h:130
+#: elf/dl-load.c:1306 elf/dl-load.h:130
 msgid "cannot change memory protections"
 msgstr "メモリ保護を変更できません"
 
-#: elf/dl-load.c:1327
+#: elf/dl-load.c:1326
 msgid "cannot enable executable stack as shared object requires"
 msgstr "共有オブジェクトが必要としている実行可能スタックを有効にできません"
 
-#: elf/dl-load.c:1340
+#: elf/dl-load.c:1339
 msgid "cannot close file descriptor"
 msgstr "ファイル記述子を閉じられません"
 
-#: elf/dl-load.c:1570
+#: elf/dl-load.c:1568
 msgid "file too short"
 msgstr "ファイルが小さすぎます"
 
-#: elf/dl-load.c:1605
+#: elf/dl-load.c:1603
 msgid "invalid ELF header"
 msgstr "無効な ELF ヘッダーです"
 
-#: elf/dl-load.c:1617
+#: elf/dl-load.c:1615
 msgid "ELF file data encoding not big-endian"
 msgstr "ELF ファイルデータのエンコーディングがビッグエンディアンではありません"
 
-#: elf/dl-load.c:1619
+#: elf/dl-load.c:1617
 msgid "ELF file data encoding not little-endian"
 msgstr "ELF ファイルデータのエンコーディングがリトルエンディアンではありません"
 
-#: elf/dl-load.c:1623
+#: elf/dl-load.c:1621
 msgid "ELF file version ident does not match current one"
 msgstr "ELF ファイルバージョン識別子が現在のものと一致していません"
 
-#: elf/dl-load.c:1627
+#: elf/dl-load.c:1625
 msgid "ELF file OS ABI invalid"
 msgstr "ELF ファイル OS ABI が無効です"
 
-#: elf/dl-load.c:1630
+#: elf/dl-load.c:1628
 msgid "ELF file ABI version invalid"
 msgstr "ELF ファイル ABI バージョンが無効です"
 
-#: elf/dl-load.c:1633
+#: elf/dl-load.c:1631
 msgid "nonzero padding in e_ident"
 msgstr "e_ident 内にゼロでない詰め文字があります"
 
-#: elf/dl-load.c:1636
+#: elf/dl-load.c:1634
 msgid "internal error"
 msgstr "内部エラー"
 
-#: elf/dl-load.c:1643
+#: elf/dl-load.c:1641
 msgid "ELF file version does not match current one"
 msgstr "ELFファイルのバージョン番号が現在のファイルに一致していません"
 
-#: elf/dl-load.c:1651
+#: elf/dl-load.c:1649
 msgid "only ET_DYN and ET_EXEC can be loaded"
 msgstr "ET_DYN と ET_EXEC のみロード可能です"
 
-#: elf/dl-load.c:1667
+#: elf/dl-load.c:1665
 msgid "ELF file's phentsize not the expected size"
 msgstr "ELF ファイルの phentsize が予期されたサイズではありません"
 
-#: elf/dl-load.c:2184
+#: elf/dl-load.c:2178
 msgid "wrong ELF class: ELFCLASS64"
 msgstr "間違った ELF クラスです: ELFCLASS64"
 
-#: elf/dl-load.c:2185
+#: elf/dl-load.c:2179
 msgid "wrong ELF class: ELFCLASS32"
 msgstr "間違った ELF クラスです: ELFCLASS32"
 
-#: elf/dl-load.c:2188
+#: elf/dl-load.c:2182
 msgid "cannot open shared object file"
 msgstr "共有オブジェクトファイルを開けません"
 
@@ -649,11 +649,11 @@ msgstr "共有オブジェクトのセグメントをマップするのに失敗
 msgid "cannot map zero-fill pages"
 msgstr "ゼロで埋められたページをマップできません"
 
-#: elf/dl-lookup.c:791
+#: elf/dl-lookup.c:845
 msgid "relocation error"
 msgstr "再配置エラーです"
 
-#: elf/dl-lookup.c:818
+#: elf/dl-lookup.c:872
 msgid "symbol lookup error"
 msgstr "シンボル検索エラーです"
 
@@ -661,49 +661,40 @@ msgstr "シンボル検索エラーです"
 msgid "cannot extend global scope"
 msgstr "大域スコープを拡張できません"
 
-#: elf/dl-open.c:520
+#: elf/dl-open.c:528
 msgid "TLS generation counter wrapped!  Please report this."
 msgstr "TLS 生成カウンタが一周しました!  これを報告してください。"
 
-#: elf/dl-open.c:542
-msgid "cannot load any more object with static TLS"
-msgstr "静的 TLS ブロックではこれ以上オブジェクトをロードできません"
-
-#: elf/dl-open.c:599
+#: elf/dl-open.c:592
 msgid "invalid mode for dlopen()"
 msgstr "dlopen() 用の無効なモードです"
 
-#: elf/dl-open.c:616
+#: elf/dl-open.c:609
 msgid "no more namespaces available for dlmopen()"
 msgstr "dlmopen() 用にこれ以上名前空間を使用出来ません"
 
-#: elf/dl-open.c:634
+#: elf/dl-open.c:633
 msgid "invalid target namespace in dlmopen()"
 msgstr "dlmopen() 内で無効なターゲット名前空間です"
 
-#: elf/dl-reloc.c:120
+#: elf/dl-reloc.c:121
 msgid "cannot allocate memory in static TLS block"
 msgstr "静的 TLS ブロック内にメモリを配置出来ません"
 
-#: elf/dl-reloc.c:212
+#: elf/dl-reloc.c:206
 msgid "cannot make segment writable for relocation"
 msgstr "セグメントを再配置用に書き込み可能に出来ません"
 
-#: elf/dl-reloc.c:275
-#, c-format
-msgid "%s: no PLTREL found in object %s\n"
-msgstr "%s: PLTREL がオブジェクト %s 内に見つかりません\n"
-
-#: elf/dl-reloc.c:290
+#: elf/dl-reloc.c:276
 #, c-format
 msgid "%s: out of memory to store relocation results for %s\n"
 msgstr "%s: %s 用の再配置結果を保存するときにメモリが足りなくなりました\n"
 
-#: elf/dl-reloc.c:306
+#: elf/dl-reloc.c:292
 msgid "cannot restore segment prot after reloc"
 msgstr "再配置後にセグメントの prot を復元できません"
 
-#: elf/dl-reloc.c:335
+#: elf/dl-reloc.c:323
 msgid "cannot apply additional memory protection after relocation"
 msgstr "再配置後に追加のメモリ保護を適用できません"
 
@@ -711,7 +702,7 @@ msgstr "再配置後に追加のメモリ保護を適用できません"
 msgid "RTLD_NEXT used in code not dynamically loaded"
 msgstr "コード内で使用されている RTLD_NEXT を動的にロード出来ません"
 
-#: elf/dl-tls.c:933
+#: elf/dl-tls.c:934
 msgid "cannot create TLS data structures"
 msgstr "TLS データ構造体を作成できません"
 
@@ -855,7 +846,7 @@ msgstr "%s 用の動的ライブラリ名 (soname) が見つからないため
 msgid "Can't open directory %s"
 msgstr "ディレクトリ %s を開けません"
 
-#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:90
+#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:97
 #, c-format
 msgid "Input file %s not found.\n"
 msgstr "入力ファイル %s が見つかりません。\n"
@@ -986,7 +977,7 @@ msgstr "ファイル引数がありません"
 msgid "No such file or directory"
 msgstr "そのようなファイルやディレクトリはありません"
 
-#: elf/ldd.bash.in:150 inet/rcmd.c:488
+#: elf/ldd.bash.in:150 inet/rcmd.c:492
 msgid "not regular file"
 msgstr "通常ファイルではありません"
 
@@ -1036,73 +1027,79 @@ msgstr "ヘッダーを読み込めません"
 msgid "cannot read program interpreter"
 msgstr "書庫ヘッダーを読み込めません"
 
-#: elf/pldd-xx.c:196
+#: elf/pldd-xx.c:197
 #, fuzzy, c-format
 #| msgid "cannot read file data"
 msgid "cannot read link map"
 msgstr "ファイルデータを読み込めません"
 
-#: elf/pldd-xx.c:207
+#: elf/pldd-xx.c:209
 #, fuzzy, c-format
 #| msgid "cannot read header"
 msgid "cannot read object name"
 msgstr "ヘッダーを読み込めません"
 
-#: elf/pldd.c:63
+#: elf/pldd-xx.c:219
+#, fuzzy, c-format
+#| msgid "cannot allocate memory for program header"
+msgid "cannot allocate buffer for object name"
+msgstr "プログラムヘッダー用のメモリを配置できません"
+
+#: elf/pldd.c:64
 msgid "List dynamic shared objects loaded into process."
 msgstr ""
 
-#: elf/pldd.c:67
+#: elf/pldd.c:68
 msgid "PID"
 msgstr ""
 
-#: elf/pldd.c:99
+#: elf/pldd.c:100
 #, c-format
 msgid "Exactly one parameter with process ID required.\n"
 msgstr ""
 
-#: elf/pldd.c:111
+#: elf/pldd.c:112
 #, fuzzy, c-format
 #| msgid "invalid argument %s for %s"
 msgid "invalid process ID '%s'"
 msgstr "%2$s に対する引数 %1$s が間違っています"
 
-#: elf/pldd.c:119
+#: elf/pldd.c:120
 #, fuzzy, c-format
 #| msgid "cannot open `%s'"
 msgid "cannot open %s"
 msgstr "`%s'を開けません"
 
-#: elf/pldd.c:144
+#: elf/pldd.c:152
 #, fuzzy, c-format
 #| msgid "cannot open `%s'"
 msgid "cannot open %s/task"
 msgstr "`%s'を開けません"
 
-#: elf/pldd.c:147
+#: elf/pldd.c:155
 #, fuzzy, c-format
 #| msgid "cannot create searchlist"
 msgid "cannot prepare reading %s/task"
 msgstr "サーチリストを作成できません"
 
-#: elf/pldd.c:160
+#: elf/pldd.c:168
 #, fuzzy, c-format
 #| msgid "invalid ELF header"
 msgid "invalid thread ID '%s'"
 msgstr "無効な ELF ヘッダーです"
 
-#: elf/pldd.c:171
+#: elf/pldd.c:179
 #, fuzzy, c-format
 #| msgid "cannot access '%s'"
 msgid "cannot attach to process %lu"
 msgstr "'%s' にアクセス出来ません"
 
-#: elf/pldd.c:286
+#: elf/pldd.c:294
 #, c-format
 msgid "cannot get information about process %lu"
 msgstr ""
 
-#: elf/pldd.c:299
+#: elf/pldd.c:307
 #, c-format
 msgid "process %lu is no ELF program"
 msgstr ""
@@ -1137,27 +1134,27 @@ msgstr "%s は共有オブジェクトファイルではありません (型: %d
 msgid "more than one dynamic segment\n"
 msgstr "二つ以上の動的セグメントがあります\n"
 
-#: elf/readlib.c:96
+#: elf/readlib.c:103
 #, c-format
 msgid "Cannot fstat file %s.\n"
 msgstr "ファイル %s の状態取得 (fstat) ができません。\n"
 
-#: elf/readlib.c:107
+#: elf/readlib.c:114
 #, c-format
 msgid "File %s is empty, not checked."
 msgstr "ファイル %s は空です。検査されません。"
 
-#: elf/readlib.c:113
+#: elf/readlib.c:120
 #, c-format
 msgid "File %s is too small, not checked."
 msgstr "ファイル %s は小さすぎます。検査されません。"
 
-#: elf/readlib.c:123
+#: elf/readlib.c:130
 #, c-format
 msgid "Cannot mmap file %s.\n"
 msgstr "ファイル %s を mmap できません。\n"
 
-#: elf/readlib.c:161
+#: elf/readlib.c:169
 #, c-format
 msgid "%s is not an ELF file - it has the wrong magic bytes at the start.\n"
 msgstr "%s は ELF ファイルではありません - 先頭に誤ったマジックバイトを持っています。\n"
@@ -1304,9 +1301,9 @@ msgstr "SHOBJ [PROFDATA]"
 msgid "failed to load shared object `%s'"
 msgstr "共有オブジェクト `%s' の読み込みに失敗しました"
 
-#: elf/sprof.c:442
+#: elf/sprof.c:442 elf/sprof.c:825 elf/sprof.c:923
 #, c-format
-msgid "cannot create internal descriptors"
+msgid "cannot create internal descriptor"
 msgstr "内部記述子を作成できません"
 
 #: elf/sprof.c:554
@@ -1374,11 +1371,6 @@ msgstr "プロファイルデータファイルの mmap に失敗しました"
 msgid "error while closing the profiling data file"
 msgstr "プロファイルデータファイルを閉じている間にエラーが発生しました"
 
-#: elf/sprof.c:825 elf/sprof.c:923
-#, c-format
-msgid "cannot create internal descriptor"
-msgstr "内部記述子を作成できません"
-
 #: elf/sprof.c:899
 #, c-format
 msgid "`%s' is no correct profile data file for `%s'"
@@ -1636,27 +1628,27 @@ msgstr "socket: 回線のセットアップ中でプロトコルが失敗しま
 msgid "rcmd: %s: short read"
 msgstr "rcmd: %s: 短い読込み"
 
-#: inet/rcmd.c:486
+#: inet/rcmd.c:490
 msgid "lstat failed"
 msgstr "lstat に失敗しました"
 
-#: inet/rcmd.c:493
+#: inet/rcmd.c:497
 msgid "cannot open"
 msgstr "開けません"
 
-#: inet/rcmd.c:495
+#: inet/rcmd.c:499
 msgid "fstat failed"
 msgstr "fstat に失敗しました"
 
-#: inet/rcmd.c:497
+#: inet/rcmd.c:501
 msgid "bad owner"
 msgstr "誤った所有者です"
 
-#: inet/rcmd.c:499
+#: inet/rcmd.c:503
 msgid "writeable by other than owner"
 msgstr "所有者以外が書き込みが可能です"
 
-#: inet/rcmd.c:501
+#: inet/rcmd.c:505
 msgid "hard linked somewhere"
 msgstr "どこかでハードリンクされています"
 
@@ -1776,8 +1768,8 @@ msgid "no symbolic name given for end of range"
 msgstr "領域の最後にシンボル名が与えられていません"
 
 #: locale/programs/charmap.c:610 locale/programs/ld-address.c:528
-#: locale/programs/ld-collate.c:2626 locale/programs/ld-collate.c:3784
-#: locale/programs/ld-ctype.c:2162 locale/programs/ld-ctype.c:2913
+#: locale/programs/ld-collate.c:2635 locale/programs/ld-collate.c:3793
+#: locale/programs/ld-ctype.c:2128 locale/programs/ld-ctype.c:2840
 #: locale/programs/ld-identification.c:368
 #: locale/programs/ld-measurement.c:215 locale/programs/ld-messages.c:298
 #: locale/programs/ld-monetary.c:740 locale/programs/ld-name.c:264
@@ -1803,8 +1795,8 @@ msgid "%s: error in state machine"
 msgstr "%s: 状態マシン内でエラーが発生しました"
 
 #: locale/programs/charmap.c:850 locale/programs/ld-address.c:544
-#: locale/programs/ld-collate.c:2623 locale/programs/ld-collate.c:3977
-#: locale/programs/ld-ctype.c:2159 locale/programs/ld-ctype.c:2930
+#: locale/programs/ld-collate.c:2632 locale/programs/ld-collate.c:3986
+#: locale/programs/ld-ctype.c:2125 locale/programs/ld-ctype.c:2857
 #: locale/programs/ld-identification.c:384
 #: locale/programs/ld-measurement.c:231 locale/programs/ld-messages.c:314
 #: locale/programs/ld-monetary.c:756 locale/programs/ld-name.c:280
@@ -1825,7 +1817,7 @@ msgstr "不明な文字 `%s' です"
 msgid "number of bytes for byte sequence of beginning and end of range not the same: %d vs %d"
 msgstr "バイトシーケンスの開始から終了までのバイト数と、範囲の終わりとが一致しません: %d と %d"
 
-#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2903
+#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2912
 #: locale/programs/repertoire.c:419
 msgid "invalid names for character range"
 msgstr "キャラクタ範囲として不正な名前です"
@@ -1847,8 +1839,8 @@ msgstr "範囲の上限が下限より小さいです"
 msgid "resulting bytes for range not representable."
 msgstr "範囲の結果バイトが表示可能ではありません。"
 
-#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1565
-#: locale/programs/ld-ctype.c:465 locale/programs/ld-identification.c:133
+#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1566
+#: locale/programs/ld-ctype.c:431 locale/programs/ld-identification.c:133
 #: locale/programs/ld-measurement.c:94 locale/programs/ld-messages.c:97
 #: locale/programs/ld-monetary.c:193 locale/programs/ld-name.c:94
 #: locale/programs/ld-numeric.c:98 locale/programs/ld-paper.c:91
@@ -1912,7 +1904,7 @@ msgid "%s: numeric country code `%d' not valid"
 msgstr "%s: 数字の国コード `%d' が無効です"
 
 #: locale/programs/ld-address.c:436 locale/programs/ld-address.c:473
-#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2537
+#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2489
 #: locale/programs/ld-identification.c:280
 #: locale/programs/ld-measurement.c:198 locale/programs/ld-messages.c:267
 #: locale/programs/ld-monetary.c:495 locale/programs/ld-monetary.c:530
@@ -1934,8 +1926,8 @@ msgstr "%s: フィールド `%s' が二回以上宣言されています"
 msgid "%s: unknown character in field `%s'"
 msgstr "%s: フィールド `%s' 内に不明な文字があります"
 
-#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3782
-#: locale/programs/ld-ctype.c:2910 locale/programs/ld-identification.c:365
+#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3791
+#: locale/programs/ld-ctype.c:2837 locale/programs/ld-identification.c:365
 #: locale/programs/ld-measurement.c:212 locale/programs/ld-messages.c:296
 #: locale/programs/ld-monetary.c:738 locale/programs/ld-name.c:262
 #: locale/programs/ld-numeric.c:324 locale/programs/ld-paper.c:212
@@ -1944,12 +1936,12 @@ msgstr "%s: フィールド `%s' 内に不明な文字があります"
 msgid "%s: incomplete `END' line"
 msgstr "%s: 不完全な `END' 行です"
 
-#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:551
-#: locale/programs/ld-collate.c:603 locale/programs/ld-collate.c:899
-#: locale/programs/ld-collate.c:912 locale/programs/ld-collate.c:2592
-#: locale/programs/ld-collate.c:2613 locale/programs/ld-collate.c:3967
-#: locale/programs/ld-ctype.c:1891 locale/programs/ld-ctype.c:2149
-#: locale/programs/ld-ctype.c:2735 locale/programs/ld-ctype.c:2921
+#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:552
+#: locale/programs/ld-collate.c:604 locale/programs/ld-collate.c:900
+#: locale/programs/ld-collate.c:913 locale/programs/ld-collate.c:2601
+#: locale/programs/ld-collate.c:2622 locale/programs/ld-collate.c:3976
+#: locale/programs/ld-ctype.c:1857 locale/programs/ld-ctype.c:2115
+#: locale/programs/ld-ctype.c:2687 locale/programs/ld-ctype.c:2848
 #: locale/programs/ld-identification.c:375
 #: locale/programs/ld-measurement.c:222 locale/programs/ld-messages.c:305
 #: locale/programs/ld-monetary.c:747 locale/programs/ld-name.c:271
@@ -1959,477 +1951,477 @@ msgstr "%s: 不完全な `END' 行です"
 msgid "%s: syntax error"
 msgstr "%s: 構文エラー"
 
-#: locale/programs/ld-collate.c:426
+#: locale/programs/ld-collate.c:427
 #, c-format
 msgid "`%.*s' already defined in charmap"
 msgstr "`%.*s' は既に文字マップ内で定義されています"
 
-#: locale/programs/ld-collate.c:435
+#: locale/programs/ld-collate.c:436
 #, c-format
 msgid "`%.*s' already defined in repertoire"
 msgstr "`%.*s' は既にレパートリ内で定義されています"
 
-#: locale/programs/ld-collate.c:442
+#: locale/programs/ld-collate.c:443
 #, c-format
 msgid "`%.*s' already defined as collating symbol"
 msgstr "`%.*s' は既に照合シンボルとして定義されています"
 
-#: locale/programs/ld-collate.c:449
+#: locale/programs/ld-collate.c:450
 #, c-format
 msgid "`%.*s' already defined as collating element"
 msgstr "`%.*s' は既に照合要素として定義されています"
 
-#: locale/programs/ld-collate.c:480 locale/programs/ld-collate.c:506
+#: locale/programs/ld-collate.c:481 locale/programs/ld-collate.c:507
 #, c-format
 msgid "%s: `forward' and `backward' are mutually excluding each other"
 msgstr "%s: `forward' と `backward' は排他的です"
 
-#: locale/programs/ld-collate.c:490 locale/programs/ld-collate.c:516
-#: locale/programs/ld-collate.c:532
+#: locale/programs/ld-collate.c:491 locale/programs/ld-collate.c:517
+#: locale/programs/ld-collate.c:533
 #, c-format
 msgid "%s: `%s' mentioned more than once in definition of weight %d"
 msgstr "%s: `%s'は重み定義 %d 中で複数回使われています"
 
-#: locale/programs/ld-collate.c:588
+#: locale/programs/ld-collate.c:589
 #, c-format
 msgid "%s: too many rules; first entry only had %d"
 msgstr "%s: 規則が多すぎます; 最初のエントリは %d を持っています"
 
-#: locale/programs/ld-collate.c:624
+#: locale/programs/ld-collate.c:625
 #, c-format
 msgid "%s: not enough sorting rules"
 msgstr "%s: 並び替え規則が不十分です"
 
-#: locale/programs/ld-collate.c:789
+#: locale/programs/ld-collate.c:790
 #, c-format
 msgid "%s: empty weight string not allowed"
 msgstr "%s: 空の重み文字列は許可されていません"
 
-#: locale/programs/ld-collate.c:884
+#: locale/programs/ld-collate.c:885
 #, c-format
 msgid "%s: weights must use the same ellipsis symbol as the name"
 msgstr "%s: 重みはその名称として同じ省略シンボルを使用しなければなりません"
 
-#: locale/programs/ld-collate.c:940
+#: locale/programs/ld-collate.c:941
 #, c-format
 msgid "%s: too many values"
 msgstr "%s: 値が多すぎます"
 
-#: locale/programs/ld-collate.c:1060 locale/programs/ld-collate.c:1235
+#: locale/programs/ld-collate.c:1061 locale/programs/ld-collate.c:1236
 #, c-format
 msgid "order for `%.*s' already defined at %s:%Zu"
 msgstr "`%.*s' 用の順序は %s:%Zu で既に定義されています"
 
-#: locale/programs/ld-collate.c:1110
+#: locale/programs/ld-collate.c:1111
 #, c-format
 msgid "%s: the start and the end symbol of a range must stand for characters"
 msgstr "%s: 範囲の開始・終了シンボルは文字を意味しなければいけません"
 
-#: locale/programs/ld-collate.c:1137
+#: locale/programs/ld-collate.c:1138
 #, c-format
 msgid "%s: byte sequences of first and last character must have the same length"
 msgstr "%s: 最初と最後の文字のバイトシーケンスは同一長でなければなりません"
 
-#: locale/programs/ld-collate.c:1179
+#: locale/programs/ld-collate.c:1180
 #, c-format
 msgid "%s: byte sequence of first character of range is not lower than that of the last character"
 msgstr "%s: 範囲の最初の文字のバイトシーケンスは最後の文字のバイトシーケンスより小さくありません"
 
-#: locale/programs/ld-collate.c:1304
+#: locale/programs/ld-collate.c:1305
 #, c-format
 msgid "%s: symbolic range ellipsis must not directly follow `order_start'"
 msgstr "%s: シンボルの範囲の省略は`order_start'のすぐ後に置いてはいけません"
 
-#: locale/programs/ld-collate.c:1308
+#: locale/programs/ld-collate.c:1309
 #, c-format
 msgid "%s: symbolic range ellipsis must not be directly followed by `order_end'"
 msgstr "%s: シンボル範囲省略記号は`order_end'のすぐ後に続いてはいけません"
 
-#: locale/programs/ld-collate.c:1328 locale/programs/ld-ctype.c:1408
+#: locale/programs/ld-collate.c:1329 locale/programs/ld-ctype.c:1374
 #, c-format
 msgid "`%s' and `%.*s' are not valid names for symbolic range"
 msgstr "`%s' と `%.*s' はシンボル範囲用として無効な名前です"
 
-#: locale/programs/ld-collate.c:1378 locale/programs/ld-collate.c:3718
+#: locale/programs/ld-collate.c:1379 locale/programs/ld-collate.c:3727
 #, c-format
 msgid "%s: order for `%.*s' already defined at %s:%Zu"
 msgstr "%s: `%.*s' 用の順序は既に %s:%Zu で定義されています"
 
-#: locale/programs/ld-collate.c:1387
+#: locale/programs/ld-collate.c:1388
 #, c-format
 msgid "%s: `%s' must be a character"
 msgstr "%s: `%s' は単一文字でなければいけません"
 
-#: locale/programs/ld-collate.c:1582
+#: locale/programs/ld-collate.c:1583
 #, c-format
 msgid "%s: `position' must be used for a specific level in all sections or none"
 msgstr "%s: `position'は特定レベルに対し、全セクションで使用か未使用かのどちらかです"
 
-#: locale/programs/ld-collate.c:1607
+#: locale/programs/ld-collate.c:1608
 #, c-format
 msgid "symbol `%s' not defined"
 msgstr "シンボル `%s' が定義されていません"
 
-#: locale/programs/ld-collate.c:1683 locale/programs/ld-collate.c:1789
+#: locale/programs/ld-collate.c:1684 locale/programs/ld-collate.c:1790
 #, c-format
 msgid "symbol `%s' has the same encoding as"
 msgstr "シンボル `%s' は以下と同じエンコーディングを持っています"
 
-#: locale/programs/ld-collate.c:1687 locale/programs/ld-collate.c:1793
+#: locale/programs/ld-collate.c:1688 locale/programs/ld-collate.c:1794
 #, c-format
 msgid "symbol `%s'"
 msgstr "シンボル `%s'"
 
-#: locale/programs/ld-collate.c:1833
+#: locale/programs/ld-collate.c:1834
 #, c-format
 msgid "no definition of `UNDEFINED'"
 msgstr "`UNDEFINED' の定義がありません"
 
-#: locale/programs/ld-collate.c:1862
+#: locale/programs/ld-collate.c:1863
 #, c-format
 msgid "too many errors; giving up"
 msgstr "エラーが多すぎます。処理をあきらめます"
 
-#: locale/programs/ld-collate.c:2518 locale/programs/ld-collate.c:3906
+#: locale/programs/ld-collate.c:2527 locale/programs/ld-collate.c:3915
 #, c-format
 msgid "%s: nested conditionals not supported"
 msgstr "%s: 入れ子になった条件はサポートされていません"
 
-#: locale/programs/ld-collate.c:2536
+#: locale/programs/ld-collate.c:2545
 #, fuzzy, c-format
 #| msgid "%s: more then one 'else'"
 msgid "%s: more than one 'else'"
 msgstr "%s: 'else' が二回以上あります"
 
-#: locale/programs/ld-collate.c:2711
+#: locale/programs/ld-collate.c:2720
 #, c-format
 msgid "%s: duplicate definition of `%s'"
 msgstr "%s: `%s' の重複した定義です"
 
-#: locale/programs/ld-collate.c:2747
+#: locale/programs/ld-collate.c:2756
 #, c-format
 msgid "%s: duplicate declaration of section `%s'"
 msgstr "%s: セクション `%s' の重複した宣言です"
 
-#: locale/programs/ld-collate.c:2883
+#: locale/programs/ld-collate.c:2892
 #, c-format
 msgid "%s: unknown character in collating symbol name"
 msgstr "%s: 照合シンボル名内に不明な文字があります"
 
-#: locale/programs/ld-collate.c:3012
+#: locale/programs/ld-collate.c:3021
 #, c-format
 msgid "%s: unknown character in equivalent definition name"
 msgstr "%s: 等価な定義名内に不明な文字があります"
 
-#: locale/programs/ld-collate.c:3023
+#: locale/programs/ld-collate.c:3032
 #, c-format
 msgid "%s: unknown character in equivalent definition value"
 msgstr "%s: 等価な定義値内に不明な文字があります"
 
-#: locale/programs/ld-collate.c:3033
+#: locale/programs/ld-collate.c:3042
 #, c-format
 msgid "%s: unknown symbol `%s' in equivalent definition"
 msgstr "%s: 等価な定義内に未知のシンボル `%s' があります"
 
-#: locale/programs/ld-collate.c:3042
+#: locale/programs/ld-collate.c:3051
 msgid "error while adding equivalent collating symbol"
 msgstr "等価な照合シンボル追加中にエラーが発生しました"
 
-#: locale/programs/ld-collate.c:3080
+#: locale/programs/ld-collate.c:3089
 #, c-format
 msgid "duplicate definition of script `%s'"
 msgstr "スクリプト `%s' の重複した定義です"
 
-#: locale/programs/ld-collate.c:3128
+#: locale/programs/ld-collate.c:3137
 #, c-format
 msgid "%s: unknown section name `%.*s'"
 msgstr "%s: 不明なセクション名 `%.*s' です"
 
-#: locale/programs/ld-collate.c:3157
+#: locale/programs/ld-collate.c:3166
 #, c-format
 msgid "%s: multiple order definitions for section `%s'"
 msgstr "%s: セクション `%s' 用の順序定義が複数あります"
 
-#: locale/programs/ld-collate.c:3185
+#: locale/programs/ld-collate.c:3194
 #, c-format
 msgid "%s: invalid number of sorting rules"
 msgstr "%s: 無効な並び替え規則の番号です"
 
-#: locale/programs/ld-collate.c:3212
+#: locale/programs/ld-collate.c:3221
 #, c-format
 msgid "%s: multiple order definitions for unnamed section"
 msgstr "%s: 名前のないセクションに対する並び替え定義が複数あります"
 
-#: locale/programs/ld-collate.c:3267 locale/programs/ld-collate.c:3397
-#: locale/programs/ld-collate.c:3760
+#: locale/programs/ld-collate.c:3276 locale/programs/ld-collate.c:3406
+#: locale/programs/ld-collate.c:3769
 #, c-format
 msgid "%s: missing `order_end' keyword"
 msgstr "%s: `order_end' キーワードが見つかりません"
 
-#: locale/programs/ld-collate.c:3330
+#: locale/programs/ld-collate.c:3339
 #, c-format
 msgid "%s: order for collating symbol %.*s not yet defined"
 msgstr "%s: 照合シンボル %.*s に対する並べ替えがまだ定義されていません"
 
-#: locale/programs/ld-collate.c:3348
+#: locale/programs/ld-collate.c:3357
 #, c-format
 msgid "%s: order for collating element %.*s not yet defined"
 msgstr "%s: 照合要素 %.*s に対する並べ替えがまだ定義されていません"
 
-#: locale/programs/ld-collate.c:3359
+#: locale/programs/ld-collate.c:3368
 #, c-format
 msgid "%s: cannot reorder after %.*s: symbol not known"
 msgstr "%s: %.*sの後で再並び替えができません: 不明なシンボルです"
 
-#: locale/programs/ld-collate.c:3411 locale/programs/ld-collate.c:3772
+#: locale/programs/ld-collate.c:3420 locale/programs/ld-collate.c:3781
 #, c-format
 msgid "%s: missing `reorder-end' keyword"
 msgstr "%s: `reorder-end' キーワードがありません"
 
-#: locale/programs/ld-collate.c:3445 locale/programs/ld-collate.c:3643
+#: locale/programs/ld-collate.c:3454 locale/programs/ld-collate.c:3652
 #, c-format
 msgid "%s: section `%.*s' not known"
 msgstr "%s: セクション `%.*s' は不明です"
 
-#: locale/programs/ld-collate.c:3510
+#: locale/programs/ld-collate.c:3519
 #, c-format
 msgid "%s: bad symbol <%.*s>"
 msgstr "%s: 間違ったシンボル <%.*s> です"
 
-#: locale/programs/ld-collate.c:3706
+#: locale/programs/ld-collate.c:3715
 #, c-format
 msgid "%s: cannot have `%s' as end of ellipsis range"
 msgstr "%s: 省略記号の範囲の終わりとして `%s' を持つことは出来ません"
 
-#: locale/programs/ld-collate.c:3756
+#: locale/programs/ld-collate.c:3765
 #, c-format
 msgid "%s: empty category description not allowed"
 msgstr "%s: 空のカテゴリ記述は許可されていません"
 
-#: locale/programs/ld-collate.c:3775
+#: locale/programs/ld-collate.c:3784
 #, c-format
 msgid "%s: missing `reorder-sections-end' keyword"
 msgstr "%s: `reorder-sections-end' キーワードがありません"
 
-#: locale/programs/ld-collate.c:3939
+#: locale/programs/ld-collate.c:3948
 #, c-format
 msgid "%s: '%s' without matching 'ifdef' or 'ifndef'"
 msgstr "%s: '%s' に対応している 'ifdef' または 'ifndef' がありません"
 
-#: locale/programs/ld-collate.c:3957
+#: locale/programs/ld-collate.c:3966
 #, c-format
 msgid "%s: 'endif' without matching 'ifdef' or 'ifndef'"
 msgstr "%s: 'endif' に対応している 'ifdef' または 'ifndef' がありません"
 
-#: locale/programs/ld-ctype.c:484
+#: locale/programs/ld-ctype.c:450
 #, c-format
 msgid "No character set name specified in charmap"
 msgstr "文字マップ内に指定した文字集合名がありません"
 
-#: locale/programs/ld-ctype.c:513
+#: locale/programs/ld-ctype.c:479
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must be in class `%s'"
 msgstr "文字 L'\\u%0*x' (クラス `%s' 内) はクラス`%s' 内になければいけません"
 
-#: locale/programs/ld-ctype.c:528
+#: locale/programs/ld-ctype.c:494
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must not be in class `%s'"
 msgstr "文字 L'\\u%0*x' (クラス `%s' 内) はクラス `%s' 内にあってはいけません"
 
-#: locale/programs/ld-ctype.c:542 locale/programs/ld-ctype.c:600
+#: locale/programs/ld-ctype.c:508 locale/programs/ld-ctype.c:566
 #, c-format
 msgid "internal error in %s, line %u"
 msgstr "%s 内、%u 行で内部エラーが発生しました"
 
-#: locale/programs/ld-ctype.c:571
+#: locale/programs/ld-ctype.c:537
 #, c-format
 msgid "character '%s' in class `%s' must be in class `%s'"
 msgstr "クラス `%2$s' の文字 `%1$s' はクラス `%3$s' になければいけません"
 
-#: locale/programs/ld-ctype.c:587
+#: locale/programs/ld-ctype.c:553
 #, c-format
 msgid "character '%s' in class `%s' must not be in class `%s'"
 msgstr "クラス `%2$s' 内の文字 `%1$s' はクラス `%3$s' にあってはいけません"
 
-#: locale/programs/ld-ctype.c:617 locale/programs/ld-ctype.c:655
+#: locale/programs/ld-ctype.c:583 locale/programs/ld-ctype.c:621
 #, c-format
 msgid "<SP> character not in class `%s'"
 msgstr "<SP> 文字はクラス `%s' 内にありません"
 
-#: locale/programs/ld-ctype.c:629 locale/programs/ld-ctype.c:666
+#: locale/programs/ld-ctype.c:595 locale/programs/ld-ctype.c:632
 #, c-format
 msgid "<SP> character must not be in class `%s'"
 msgstr "<SP> 文字はクラス `%s' 内にあってはいけません"
 
-#: locale/programs/ld-ctype.c:644
+#: locale/programs/ld-ctype.c:610
 #, c-format
 msgid "character <SP> not defined in character map"
 msgstr "文字 <SP> が文字マップ内で定義されていません"
 
-#: locale/programs/ld-ctype.c:780
+#: locale/programs/ld-ctype.c:746
 #, c-format
 msgid "`digit' category has not entries in groups of ten"
 msgstr "`digit' カテゴリはグループ中に10個のエントリを持っていません"
 
-#: locale/programs/ld-ctype.c:829
+#: locale/programs/ld-ctype.c:795
 #, c-format
 msgid "no input digits defined and none of the standard names in the charmap"
 msgstr "入力桁が定義されていないか、文字マップ中に標準名がありません"
 
-#: locale/programs/ld-ctype.c:894
+#: locale/programs/ld-ctype.c:860
 #, c-format
 msgid "not all characters used in `outdigit' are available in the charmap"
 msgstr "`outdigit' 内で使用されている文字の全てが文字マップ内で利用可能ではありません"
 
-#: locale/programs/ld-ctype.c:911
+#: locale/programs/ld-ctype.c:877
 #, c-format
 msgid "not all characters used in `outdigit' are available in the repertoire"
 msgstr "`outdigit'で使用中の文字の一部はレパートリマップで利用可能ではありません"
 
-#: locale/programs/ld-ctype.c:1176
+#: locale/programs/ld-ctype.c:1142
 #, c-format
 msgid "character class `%s' already defined"
 msgstr "文字クラス `%s' は既に定義されています"
 
-#: locale/programs/ld-ctype.c:1182
+#: locale/programs/ld-ctype.c:1148
 #, c-format
 msgid "implementation limit: no more than %Zd character classes allowed"
 msgstr "実装上の制限: %Zd より大きい文字クラスは許可されていません"
 
-#: locale/programs/ld-ctype.c:1208
+#: locale/programs/ld-ctype.c:1174
 #, c-format
 msgid "character map `%s' already defined"
 msgstr "文字マップ `%s' は既に定義されています"
 
-#: locale/programs/ld-ctype.c:1214
+#: locale/programs/ld-ctype.c:1180
 #, c-format
 msgid "implementation limit: no more than %d character maps allowed"
 msgstr "実装上の制限: %d より大きい文字マップは許可されていません"
 
-#: locale/programs/ld-ctype.c:1479 locale/programs/ld-ctype.c:1604
-#: locale/programs/ld-ctype.c:1710 locale/programs/ld-ctype.c:2400
-#: locale/programs/ld-ctype.c:3397
+#: locale/programs/ld-ctype.c:1445 locale/programs/ld-ctype.c:1570
+#: locale/programs/ld-ctype.c:1676 locale/programs/ld-ctype.c:2352
+#: locale/programs/ld-ctype.c:3324
 #, c-format
 msgid "%s: field `%s' does not contain exactly ten entries"
 msgstr "%s: フィールド `%s' は厳密に10項目を含んでいません"
 
-#: locale/programs/ld-ctype.c:1507 locale/programs/ld-ctype.c:2081
+#: locale/programs/ld-ctype.c:1473 locale/programs/ld-ctype.c:2047
 #, c-format
 msgid "to-value <U%0*X> of range is smaller than from-value <U%0*X>"
 msgstr "範囲の to の値 <U%0*X> は from の値 <U%0*X> より小さいです"
 
-#: locale/programs/ld-ctype.c:1634
+#: locale/programs/ld-ctype.c:1600
 msgid "start and end character sequence of range must have the same length"
 msgstr "範囲の開始と終了文字シーケンスは同一長でなければいけません"
 
-#: locale/programs/ld-ctype.c:1641
+#: locale/programs/ld-ctype.c:1607
 msgid "to-value character sequence is smaller than from-value sequence"
 msgstr "to 値の文字シーケンスは from 値の文字シーケンスよりも小さすぎます"
 
-#: locale/programs/ld-ctype.c:2001 locale/programs/ld-ctype.c:2052
+#: locale/programs/ld-ctype.c:1967 locale/programs/ld-ctype.c:2018
 msgid "premature end of `translit_ignore' definition"
 msgstr "`translit_ignore' 定義の終端が早すぎます"
 
-#: locale/programs/ld-ctype.c:2007 locale/programs/ld-ctype.c:2058
-#: locale/programs/ld-ctype.c:2100
+#: locale/programs/ld-ctype.c:1973 locale/programs/ld-ctype.c:2024
+#: locale/programs/ld-ctype.c:2066
 msgid "syntax error"
 msgstr "構文エラーです"
 
-#: locale/programs/ld-ctype.c:2233
+#: locale/programs/ld-ctype.c:2199
 #, c-format
 msgid "%s: syntax error in definition of new character class"
 msgstr "%s: 新しい文字クラスの定義内で構文エラーです"
 
-#: locale/programs/ld-ctype.c:2248
+#: locale/programs/ld-ctype.c:2214
 #, c-format
 msgid "%s: syntax error in definition of new character map"
 msgstr "%s: 新しい文字マップの定義内で構文エラーです"
 
-#: locale/programs/ld-ctype.c:2422
+#: locale/programs/ld-ctype.c:2374
 msgid "ellipsis range must be marked by two operands of same type"
 msgstr "省略の範囲は同じ型の二個の被演算子によりマークされていなければいけません"
 
-#: locale/programs/ld-ctype.c:2431
+#: locale/programs/ld-ctype.c:2383
 msgid "with symbolic name range values the absolute ellipsis `...' must not be used"
 msgstr "シンボル名の値の範囲として絶対省略 `...' は使用してはいけません"
 
-#: locale/programs/ld-ctype.c:2446
+#: locale/programs/ld-ctype.c:2398
 msgid "with UCS range values one must use the hexadecimal symbolic ellipsis `..'"
 msgstr "UCS の値の範囲として16進シンボル省略 `..' を使用しなければなりません"
 
-#: locale/programs/ld-ctype.c:2460
+#: locale/programs/ld-ctype.c:2412
 msgid "with character code range values one must use the absolute ellipsis `...'"
 msgstr "文字コードの値の範囲として絶対省略 `...' を使用しなければなりません"
 
-#: locale/programs/ld-ctype.c:2611
+#: locale/programs/ld-ctype.c:2563
 #, c-format
 msgid "duplicated definition for mapping `%s'"
 msgstr "重複したマッピング `%s' の定義です"
 
-#: locale/programs/ld-ctype.c:2697 locale/programs/ld-ctype.c:2841
+#: locale/programs/ld-ctype.c:2649 locale/programs/ld-ctype.c:2793
 #, c-format
 msgid "%s: `translit_start' section does not end with `translit_end'"
 msgstr "%s: `translit_start' セクションが `translit_end' で終っていません"
 
-#: locale/programs/ld-ctype.c:2792
+#: locale/programs/ld-ctype.c:2744
 #, c-format
 msgid "%s: duplicate `default_missing' definition"
 msgstr "%s: 重複した `default_missing' 定義です"
 
-#: locale/programs/ld-ctype.c:2797
+#: locale/programs/ld-ctype.c:2749
 msgid "previous definition was here"
 msgstr "前の定義がここにありました"
 
-#: locale/programs/ld-ctype.c:2819
+#: locale/programs/ld-ctype.c:2771
 #, c-format
 msgid "%s: no representable `default_missing' definition found"
 msgstr "%s: 表現可能な `default_missing' 定義が見つかりません"
 
-#: locale/programs/ld-ctype.c:2962 locale/programs/ld-ctype.c:3059
-#: locale/programs/ld-ctype.c:3079 locale/programs/ld-ctype.c:3100
-#: locale/programs/ld-ctype.c:3121 locale/programs/ld-ctype.c:3142
-#: locale/programs/ld-ctype.c:3163 locale/programs/ld-ctype.c:3203
-#: locale/programs/ld-ctype.c:3224 locale/programs/ld-ctype.c:3289
-#: locale/programs/ld-ctype.c:3331 locale/programs/ld-ctype.c:3356
+#: locale/programs/ld-ctype.c:2889 locale/programs/ld-ctype.c:2986
+#: locale/programs/ld-ctype.c:3006 locale/programs/ld-ctype.c:3027
+#: locale/programs/ld-ctype.c:3048 locale/programs/ld-ctype.c:3069
+#: locale/programs/ld-ctype.c:3090 locale/programs/ld-ctype.c:3130
+#: locale/programs/ld-ctype.c:3151 locale/programs/ld-ctype.c:3216
+#: locale/programs/ld-ctype.c:3258 locale/programs/ld-ctype.c:3283
 #, c-format
 msgid "%s: character `%s' not defined while needed as default value"
 msgstr "%s: 文字 `%s' がデフォルト値として必要ですが定義されていません"
 
-#: locale/programs/ld-ctype.c:2967 locale/programs/ld-ctype.c:3064
-#: locale/programs/ld-ctype.c:3084 locale/programs/ld-ctype.c:3105
-#: locale/programs/ld-ctype.c:3126 locale/programs/ld-ctype.c:3147
-#: locale/programs/ld-ctype.c:3168 locale/programs/ld-ctype.c:3208
-#: locale/programs/ld-ctype.c:3229 locale/programs/ld-ctype.c:3294
+#: locale/programs/ld-ctype.c:2894 locale/programs/ld-ctype.c:2991
+#: locale/programs/ld-ctype.c:3011 locale/programs/ld-ctype.c:3032
+#: locale/programs/ld-ctype.c:3053 locale/programs/ld-ctype.c:3074
+#: locale/programs/ld-ctype.c:3095 locale/programs/ld-ctype.c:3135
+#: locale/programs/ld-ctype.c:3156 locale/programs/ld-ctype.c:3221
 #, c-format
 msgid "%s: character `%s' in charmap not representable with one byte"
 msgstr "%s: 文字マップ内の文字 `%s' は一バイトで表現できません"
 
-#: locale/programs/ld-ctype.c:3338 locale/programs/ld-ctype.c:3363
+#: locale/programs/ld-ctype.c:3265 locale/programs/ld-ctype.c:3290
 #, c-format
 msgid "%s: character `%s' needed as default value not representable with one byte"
 msgstr "%s: デフォルト値として必要な文字 `%s' が一バイトで表現できません"
 
-#: locale/programs/ld-ctype.c:3419
+#: locale/programs/ld-ctype.c:3346
 #, c-format
 msgid "no output digits defined and none of the standard names in the charmap"
 msgstr "出力桁が定義されていないか、文字マップ内に標準名がありません"
 
-#: locale/programs/ld-ctype.c:3668
+#: locale/programs/ld-ctype.c:3595
 #, c-format
 msgid "%s: transliteration data from locale `%s' not available"
 msgstr "%s: ロケール `%s' からのリテラル変換データが使用出来ません"
 
-#: locale/programs/ld-ctype.c:3768
+#: locale/programs/ld-ctype.c:3695
 #, c-format
 msgid "%s: table for class \"%s\": %lu bytes\n"
 msgstr "%s: クラス \"%s\" 用の表: %lu バイト\n"
 
-#: locale/programs/ld-ctype.c:3833
+#: locale/programs/ld-ctype.c:3760
 #, c-format
 msgid "%s: table for map \"%s\": %lu bytes\n"
 msgstr "%s: マップ \"%s\" 用の表: %lu バイト\n"
 
-#: locale/programs/ld-ctype.c:3958
+#: locale/programs/ld-ctype.c:3885
 #, c-format
 msgid "%s: table for width: %lu bytes\n"
 msgstr "%s: 幅用の表: %lu バイト\n"
@@ -3851,17 +3843,23 @@ msgstr ""
 msgid " (first)"
 msgstr " (最初)"
 
-#: nscd/cache.c:285 nscd/connections.c:1000
+#: nscd/cache.c:288
+#, fuzzy, c-format
+#| msgid "cannot open database file `%s': %s"
+msgid "checking for monitored file `%s': %s"
+msgstr "データベースファイル `%s' を開けません: %s"
+
+#: nscd/cache.c:298
 #, c-format
-msgid "cannot stat() file `%s': %s"
-msgstr "ファイル `%s' を stat() できません: %s"
+msgid "monitored file `%s` changed (mtime)"
+msgstr ""
 
-#: nscd/cache.c:331
+#: nscd/cache.c:341
 #, c-format
 msgid "pruning %s cache; time %ld"
 msgstr "%s キャッシュを切り詰めています。時間 %ld"
 
-#: nscd/cache.c:360
+#: nscd/cache.c:370
 #, c-format
 msgid "considering %s entry \"%s\", timeout %<PRIu64>"
 msgstr ""
@@ -3947,154 +3945,218 @@ msgstr "ソケットを実行時に閉じるように設定できません: %s"
 msgid "cannot enable socket to accept connections: %s"
 msgstr "接続を受け付けるソケットを有効にできません: %s"
 
-#: nscd/connections.c:984
+#: nscd/connections.c:973
+#, c-format
+msgid "disabled inotify-based monitoring for file `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:977
+#, c-format
+msgid "monitoring file `%s` (%d)"
+msgstr ""
+
+#: nscd/connections.c:990
+#, c-format
+msgid "disabled inotify-based monitoring for directory `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:994
+#, fuzzy, c-format
+#| msgid "Can't open directory %s"
+msgid "monitoring directory `%s` (%d)"
+msgstr "ディレクトリ %s を開けません"
+
+#: nscd/connections.c:1022
 #, fuzzy, c-format
 #| msgid "no more memory for database '%s'"
-msgid "register trace file %s for database %s"
+msgid "monitoring file %s for database %s"
 msgstr "データベース '%s' 用のメモリがこれ以上ありません"
 
-#: nscd/connections.c:1114
+#: nscd/connections.c:1032
+#, c-format
+msgid "stat failed for file `%s'; will try again later: %s"
+msgstr ""
+
+#: nscd/connections.c:1151
 #, c-format
 msgid "provide access to FD %d, for %s"
 msgstr "ファイル記述子 %d へのアクセスを提供します (%s 用)"
 
-#: nscd/connections.c:1126
+#: nscd/connections.c:1163
 #, c-format
 msgid "cannot handle old request version %d; current version is %d"
 msgstr "要求された古いバージョン %d を扱うことができません。現在のバージョンは %d です"
 
-#: nscd/connections.c:1148
+#: nscd/connections.c:1185
 #, c-format
 msgid "request from %ld not handled due to missing permission"
 msgstr "%ld からの要求は権限が無いため取り扱われません"
 
-#: nscd/connections.c:1153
+#: nscd/connections.c:1190
 #, c-format
 msgid "request from '%s' [%ld] not handled due to missing permission"
 msgstr "'%s' [%ld] からの要求は権限が無いため取り扱われません"
 
-#: nscd/connections.c:1158
+#: nscd/connections.c:1195
 msgid "request not handled due to missing permission"
 msgstr "要求は権限が無いため取り扱われません"
 
-#: nscd/connections.c:1196 nscd/connections.c:1249
+#: nscd/connections.c:1233 nscd/connections.c:1286
 #, c-format
 msgid "cannot write result: %s"
 msgstr "結果を書き込めません: %s"
 
-#: nscd/connections.c:1340
+#: nscd/connections.c:1377
 #, c-format
 msgid "error getting caller's id: %s"
 msgstr "呼び出し元 ID の取得時にエラーが発生しました: %s"
 
-#: nscd/connections.c:1400
+#: nscd/connections.c:1437
 #, c-format
 msgid "cannot open /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr "/proc/self/cmdline を開けません: %s; paranoia モードを無効にしています"
 
-#: nscd/connections.c:1414
+#: nscd/connections.c:1451
 #, c-format
 msgid "cannot read /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr "/proc/self/cmdline を読み込めません: %s; paranoia モードを無効にしています"
 
-#: nscd/connections.c:1454
+#: nscd/connections.c:1491
 #, c-format
 msgid "cannot change to old UID: %s; disabling paranoia mode"
 msgstr "古い UID へ変更できません: %s; paranoia モードを無効にしています"
 
-#: nscd/connections.c:1464
+#: nscd/connections.c:1501
 #, c-format
 msgid "cannot change to old GID: %s; disabling paranoia mode"
 msgstr "古い GID に変更できません: %s; paranoia モードを無効にしています"
 
-#: nscd/connections.c:1477
+#: nscd/connections.c:1514
 #, c-format
 msgid "cannot change to old working directory: %s; disabling paranoia mode"
 msgstr "古い作業ディレクトリに移動できません: %s; paranoia モードを無効にしています"
 
-#: nscd/connections.c:1523
+#: nscd/connections.c:1560
 #, c-format
 msgid "re-exec failed: %s; disabling paranoia mode"
 msgstr "再実行に失敗しました: %s; paranoia モードを無効にしています"
 
-#: nscd/connections.c:1532
+#: nscd/connections.c:1569
 #, c-format
 msgid "cannot change current working directory to \"/\": %s"
 msgstr "現在の作業ディレクトリを \"/\" に変更できません: %s"
 
-#: nscd/connections.c:1725
+#: nscd/connections.c:1762
 #, c-format
 msgid "short read while reading request: %s"
 msgstr "読み込み要求より短い読み込みです: %s"
 
-#: nscd/connections.c:1758
+#: nscd/connections.c:1795
 #, c-format
 msgid "key length in request too long: %d"
 msgstr "要求に含まれるキー長が長すぎます: %d"
 
-#: nscd/connections.c:1771
+#: nscd/connections.c:1808
 #, c-format
 msgid "short read while reading request key: %s"
 msgstr "要求キーの読み込みより短い読み込みです: %s"
 
-#: nscd/connections.c:1781
+#: nscd/connections.c:1818
 #, c-format
 msgid "handle_request: request received (Version = %d) from PID %ld"
 msgstr "handle_request: 要求を受け取りました (バージョン = %d) 送信PID %ld"
 
-#: nscd/connections.c:1786
+#: nscd/connections.c:1823
 #, c-format
 msgid "handle_request: request received (Version = %d)"
 msgstr "handle_request: 要求を受け取りました (バージョン = %d)"
 
-#: nscd/connections.c:2050 nscd/connections.c:2252
+#: nscd/connections.c:1963
+#, c-format
+msgid "ignored inotify event for `%s` (file exists)"
+msgstr ""
+
+#: nscd/connections.c:1968
 #, c-format
-msgid "disabled inotify after read error %d"
+msgid "monitored file `%s` was %s, removing watch"
+msgstr ""
+
+#: nscd/connections.c:1976 nscd/connections.c:2018
+#, fuzzy, c-format
+#| msgid "failed to reopen %s with mode %s"
+msgid "failed to remove file watch `%s`: %s"
+msgstr "%s をモード %s で再度開くことに失敗しました"
+
+#: nscd/connections.c:1991
+#, c-format
+msgid "monitored file `%s` was written to"
+msgstr ""
+
+#: nscd/connections.c:2015
+#, c-format
+msgid "monitored parent directory `%s` was %s, removing watch on `%s`"
+msgstr ""
+
+#: nscd/connections.c:2041
+#, c-format
+msgid "monitored file `%s` was %s, adding watch"
+msgstr ""
+
+#: nscd/connections.c:2053
+#, fuzzy, c-format
+#| msgid "failed to load shared object `%s'"
+msgid "failed to add file watch `%s`: %s"
+msgstr "共有オブジェクト `%s' の読み込みに失敗しました"
+
+#: nscd/connections.c:2247 nscd/connections.c:2428
+#, fuzzy, c-format
+#| msgid "disabled inotify after read error %d"
+msgid "disabled inotify-based monitoring after read error %d"
 msgstr "読み込みエラー %d が発生したため  inotify を無効にしました"
 
-#: nscd/connections.c:2375
+#: nscd/connections.c:2543
 msgid "could not initialize conditional variable"
 msgstr "条件変数を初期化できませんでした"
 
-#: nscd/connections.c:2383
+#: nscd/connections.c:2551
 msgid "could not start clean-up thread; terminating"
 msgstr "クリーンアップスレッドを開始できませんでした。終了します"
 
-#: nscd/connections.c:2397
+#: nscd/connections.c:2565
 msgid "could not start any worker thread; terminating"
 msgstr "作業スレッドを全く開始できませんでした。終了します"
 
-#: nscd/connections.c:2452 nscd/connections.c:2454 nscd/connections.c:2470
-#: nscd/connections.c:2480 nscd/connections.c:2498 nscd/connections.c:2509
-#: nscd/connections.c:2519
+#: nscd/connections.c:2620 nscd/connections.c:2622 nscd/connections.c:2638
+#: nscd/connections.c:2648 nscd/connections.c:2666 nscd/connections.c:2677
+#: nscd/connections.c:2687
 #, c-format
 msgid "Failed to run nscd as user '%s'"
 msgstr "ユーザー '%s' で nscd を実行するのに失敗しました"
 
-#: nscd/connections.c:2472
+#: nscd/connections.c:2640
 msgid "initial getgrouplist failed"
 msgstr "getgrouplist 初期化に失敗しました"
 
-#: nscd/connections.c:2481
+#: nscd/connections.c:2649
 msgid "getgrouplist failed"
 msgstr "getgrouplistに 失敗しました"
 
-#: nscd/connections.c:2499
+#: nscd/connections.c:2667
 msgid "setgroups failed"
 msgstr "setgroups に失敗しました"
 
-#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:410
+#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:411
 #: nscd/pwdcache.c:383 nscd/servicescache.c:338
 #, c-format
 msgid "short write in %s: %s"
 msgstr "%s での短い書き込み: %s"
 
-#: nscd/grpcache.c:450 nscd/initgrcache.c:77
+#: nscd/grpcache.c:450 nscd/initgrcache.c:78
 #, c-format
 msgid "Haven't found \"%s\" in group cache!"
 msgstr "グループキャッシュ内に \"%s\" が見つかりません!"
 
-#: nscd/grpcache.c:452 nscd/initgrcache.c:79
+#: nscd/grpcache.c:452 nscd/initgrcache.c:80
 #, c-format
 msgid "Reloading \"%s\" in group cache!"
 msgstr "グループキャッシュ内の \"%s\" を再ロードしています!"
@@ -4186,7 +4248,7 @@ msgstr "ユーザごとにキャッシュを分離する"
 msgid "Name Service Cache Daemon."
 msgstr "名前サービスキャッシュデーモン。"
 
-#: nscd/nscd.c:155 nss/getent.c:1003 nss/makedb.c:206
+#: nscd/nscd.c:155 nss/getent.c:1007 nss/makedb.c:206
 #, c-format
 msgid "wrong number of arguments"
 msgstr "引数の数が間違っています"
@@ -4220,7 +4282,7 @@ msgstr "現在の作業ディレクトリを \"/\" に変更できません"
 msgid "Could not create log file"
 msgstr "ログファイルを作成できませんでした"
 
-#: nscd/nscd.c:355 nscd/nscd_stat.c:192
+#: nscd/nscd.c:355 nscd/nscd_stat.c:194
 #, c-format
 msgid "write incomplete"
 msgstr "書込みが不完全です"
@@ -4235,7 +4297,7 @@ msgstr "無効にした ACK を読み込めません"
 msgid "invalidation failed"
 msgstr "無効化に失敗しました"
 
-#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:173
+#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:175
 #, c-format
 msgid "Only root is allowed to use this option!"
 msgstr "root のみこのオプションを使用することを許可されています!"
@@ -4317,35 +4379,35 @@ msgstr "現在の作業ディレクトリーを取得できません: %s; parano
 msgid "maximum file size for %s database too small"
 msgstr "%s データベース用の最大サイズが小さすぎます"
 
-#: nscd/nscd_stat.c:142
+#: nscd/nscd_stat.c:144
 #, c-format
 msgid "cannot write statistics: %s"
 msgstr "統計情報を書き込めません: %s"
 
-#: nscd/nscd_stat.c:157
+#: nscd/nscd_stat.c:159
 msgid "yes"
 msgstr "yes"
 
-#: nscd/nscd_stat.c:158
+#: nscd/nscd_stat.c:160
 msgid "no"
 msgstr "no"
 
-#: nscd/nscd_stat.c:169
+#: nscd/nscd_stat.c:171
 #, c-format
 msgid "Only root or %s is allowed to use this option!"
 msgstr "root または %s だけがこのオプションを使用することができます!"
 
-#: nscd/nscd_stat.c:180
+#: nscd/nscd_stat.c:182
 #, c-format
 msgid "nscd not running!\n"
 msgstr "nscdは起動していません!\n"
 
-#: nscd/nscd_stat.c:204
+#: nscd/nscd_stat.c:206
 #, c-format
 msgid "cannot read statistics data"
 msgstr "統計情報を読み込めません"
 
-#: nscd/nscd_stat.c:207
+#: nscd/nscd_stat.c:209
 #, c-format
 msgid ""
 "nscd configuration:\n"
@@ -4356,27 +4418,27 @@ msgstr ""
 "\n"
 "%15d  サーバーデバッグレベル\n"
 
-#: nscd/nscd_stat.c:231
+#: nscd/nscd_stat.c:233
 #, c-format
 msgid "%3ud %2uh %2um %2lus  server runtime\n"
 msgstr "%3ud %2uh %2um %2lus  サーバー 実行時間\n"
 
-#: nscd/nscd_stat.c:234
+#: nscd/nscd_stat.c:236
 #, c-format
 msgid "    %2uh %2um %2lus  server runtime\n"
 msgstr "    %2uh %2um %2lus  サーバー 実行時間\n"
 
-#: nscd/nscd_stat.c:236
+#: nscd/nscd_stat.c:238
 #, c-format
 msgid "        %2um %2lus  server runtime\n"
 msgstr "        %2um %2lus  サーバー 実行時間\n"
 
-#: nscd/nscd_stat.c:238
+#: nscd/nscd_stat.c:240
 #, c-format
 msgid "            %2lus  server runtime\n"
 msgstr "            %2lus  サーバー 実行時間\n"
 
-#: nscd/nscd_stat.c:240
+#: nscd/nscd_stat.c:242
 #, c-format
 msgid ""
 "%15d  current number of threads\n"
@@ -4393,7 +4455,7 @@ msgstr ""
 "%15lu  内部再起動\n"
 "%15u  再起動回数\n"
 
-#: nscd/nscd_stat.c:275
+#: nscd/nscd_stat.c:277
 #, c-format
 msgid ""
 "\n"
@@ -4459,87 +4521,87 @@ msgstr "パスワードキャッシュ内の \"%s\" を再ロードしていま
 msgid "Invalid numeric uid \"%s\"!"
 msgstr "無効な uid の数値 \"%s\" です!"
 
-#: nscd/selinux.c:155
+#: nscd/selinux.c:154
 #, c-format
 msgid "Failed opening connection to the audit subsystem: %m"
 msgstr "監査サブシステムへの接続を開くのに失敗しました: %m"
 
-#: nscd/selinux.c:176
+#: nscd/selinux.c:175
 msgid "Failed to set keep-capabilities"
 msgstr "keep-capabilities の設定に失敗しました"
 
-#: nscd/selinux.c:177 nscd/selinux.c:240
+#: nscd/selinux.c:176 nscd/selinux.c:239
 msgid "prctl(KEEPCAPS) failed"
 msgstr "prctl(KEEPCAPS) に失敗しました"
 
-#: nscd/selinux.c:191
+#: nscd/selinux.c:190
 msgid "Failed to initialize drop of capabilities"
 msgstr "権限を取り除いて初期化するのに失敗しました"
 
-#: nscd/selinux.c:192
+#: nscd/selinux.c:191
 msgid "cap_init failed"
 msgstr "cap_init に失敗しました"
 
-#: nscd/selinux.c:213 nscd/selinux.c:230
+#: nscd/selinux.c:212 nscd/selinux.c:229
 msgid "Failed to drop capabilities"
 msgstr "権限を取り除くのに失敗しました"
 
-#: nscd/selinux.c:214 nscd/selinux.c:231
+#: nscd/selinux.c:213 nscd/selinux.c:230
 msgid "cap_set_proc failed"
 msgstr "cap_set_proc に失敗しました"
 
-#: nscd/selinux.c:239
+#: nscd/selinux.c:238
 msgid "Failed to unset keep-capabilities"
 msgstr "keep-capabilities の設定解除に失敗しました"
 
-#: nscd/selinux.c:255
+#: nscd/selinux.c:254
 msgid "Failed to determine if kernel supports SELinux"
 msgstr "カーネルが SELinux をサポートするかどうかの判定に失敗しました"
 
-#: nscd/selinux.c:270
+#: nscd/selinux.c:269
 msgid "Failed to start AVC thread"
 msgstr "AVC スレッドの開始に失敗しました"
 
-#: nscd/selinux.c:292
+#: nscd/selinux.c:291
 msgid "Failed to create AVC lock"
 msgstr "AVC ロックの作成に失敗しました"
 
-#: nscd/selinux.c:332
+#: nscd/selinux.c:331
 msgid "Failed to start AVC"
 msgstr "AVC の開始に失敗しました"
 
-#: nscd/selinux.c:334
+#: nscd/selinux.c:333
 msgid "Access Vector Cache (AVC) started"
 msgstr "Access Vector Cache (AVC) が開始されました"
 
-#: nscd/selinux.c:369
+#: nscd/selinux.c:368
 msgid "Error querying policy for undefined object classes or permissions."
 msgstr ""
 
-#: nscd/selinux.c:376
+#: nscd/selinux.c:375
 #, fuzzy
 #| msgid "Error getting context of nscd"
 msgid "Error getting security class for nscd."
 msgstr "nscd のコンテキスト取得中にエラーが発生しました"
 
-#: nscd/selinux.c:381
+#: nscd/selinux.c:380
 #, c-format
 msgid "Error translating permission name \"%s\" to access vector bit."
 msgstr ""
 
-#: nscd/selinux.c:391
+#: nscd/selinux.c:390
 msgid "Error getting context of socket peer"
 msgstr "ソケット対向のコンテキスト取得中にエラーが発生しました"
 
-#: nscd/selinux.c:396
+#: nscd/selinux.c:395
 msgid "Error getting context of nscd"
 msgstr "nscd のコンテキスト取得中にエラーが発生しました"
 
-#: nscd/selinux.c:402
+#: nscd/selinux.c:401
 msgid "Error getting sid from context"
 msgstr "コンテキストから sid を取得中にエラーが発生しました"
 
-#: nscd/selinux.c:440
+#: nscd/selinux.c:439
 #, c-format
 msgid ""
 "\n"
@@ -4603,16 +4665,16 @@ msgstr "管理データベースからエントリを取得します。"
 msgid "Enumeration not supported on %s\n"
 msgstr "エミュレーションは %s 上ではサポートされていません\n"
 
-#: nss/getent.c:917
+#: nss/getent.c:921
 #, c-format
 msgid "Unknown database name"
 msgstr "不明なデータベース名です"
 
-#: nss/getent.c:947
+#: nss/getent.c:951
 msgid "Supported databases:\n"
 msgstr "サポートされているデータベース:\n"
 
-#: nss/getent.c:1013
+#: nss/getent.c:1017
 #, c-format
 msgid "Unknown database: %s\n"
 msgstr "不明なデータベースです: %s\n"
@@ -4904,7 +4966,7 @@ msgstr ") または \\) が不一致です"
 msgid "No previous regular expression"
 msgstr "以前に正規表現がありません"
 
-#: posix/wordexp.c:1844
+#: posix/wordexp.c:1851
 msgid "parameter null or not set"
 msgstr "パラメータが NULL であるか設定されていません"
 
@@ -7313,9 +7375,21 @@ msgstr "%s: ディレクトリ%sを作成できません: %s\n"
 #~ msgid "Try \\`%s --help' or `%s --usage' for more information.\\n"
 #~ msgstr "詳細は \\`%s --help' または `%s --usage' を実行してください。\\n"
 
+#~ msgid "cannot load any more object with static TLS"
+#~ msgstr "静的 TLS ブロックではこれ以上オブジェクトをロードできません"
+
+#~ msgid "%s: no PLTREL found in object %s\n"
+#~ msgstr "%s: PLTREL がオブジェクト %s 内に見つかりません\n"
+
 #~ msgid "Can't open configuration file %s"
 #~ msgstr "設定ファイル %s を開けません"
 
+#~ msgid "cannot create internal descriptors"
+#~ msgstr "内部記述子を作成できません"
+
+#~ msgid "cannot stat() file `%s': %s"
+#~ msgstr "ファイル `%s' を stat() できません: %s"
+
 #~ msgid "invalid value for 'reload-count': %u"
 #~ msgstr "'reload-count' 用の無効な値です: %u"
 
@@ -7707,9 +7781,6 @@ msgstr "%s: ディレクトリ%sを作成できません: %s\n"
 #~ msgid "unknown stream"
 #~ msgstr "不明なストリーム"
 
-#~ msgid "failed to reopen %s with mode %s"
-#~ msgstr "%s をモード %s で再度開くことに失敗しました"
-
 #~ msgid "string comparison failed"
 #~ msgstr "文字列の比較に失敗しました"
 
diff --git a/po/libc.pot b/po/libc.pot
index 8201dc6..927aa37 100644
--- a/po/libc.pot
+++ b/po/libc.pot
@@ -5,8 +5,8 @@
 #, fuzzy
 msgid ""
 msgstr ""
-"Project-Id-Version: libc 2.21.90\n"
-"POT-Creation-Date: 2015-07-31 00:10-0400\n"
+"Project-Id-Version: libc 2.23.90\n"
+"POT-Creation-Date: 2016-02-18 17:26-0200\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -140,9 +140,9 @@ msgstr ""
 #: catgets/gencat.c:229 debug/pcprofiledump.c:209 elf/ldconfig.c:307
 #: elf/pldd.c:252 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
 #: iconv/iconvconfig.c:379 locale/programs/locale.c:277
-#: locale/programs/localedef.c:376 login/programs/pt_chown.c:88
-#: malloc/memusagestat.c:563 nss/getent.c:973 nss/makedb.c:369
-#: posix/getconf.c:486 sunrpc/rpcinfo.c:691
+#: locale/programs/localedef.c:376 login/programs/pt_chown.c:89
+#: malloc/memusagestat.c:563 nss/getent.c:913 nss/makedb.c:369
+#: posix/getconf.c:486 sunrpc/rpcinfo.c:676
 #: sysdeps/unix/sysv/linux/lddlibc4.c:61
 #, c-format
 msgid ""
@@ -154,7 +154,7 @@ msgstr ""
 #: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:268 elf/sotruss.sh:75
 #: elf/sprof.c:389 iconv/iconv_prog.c:425 iconv/iconvconfig.c:396
 #: locale/programs/locale.c:294 locale/programs/localedef.c:402
-#: login/programs/pt_chown.c:62 malloc/memusage.sh:71
+#: login/programs/pt_chown.c:63 malloc/memusage.sh:71
 #: malloc/memusagestat.c:581 nscd/nscd.c:509 nss/getent.c:86 nss/makedb.c:385
 #: posix/getconf.c:468 sysdeps/unix/sysv/linux/lddlibc4.c:68
 #, c-format
@@ -411,11 +411,11 @@ msgstr ""
 msgid "Renaming of %s to %s failed"
 msgstr ""
 
-#: elf/dl-close.c:396 elf/dl-open.c:478
+#: elf/dl-close.c:397 elf/dl-open.c:478
 msgid "cannot create scope list"
 msgstr ""
 
-#: elf/dl-close.c:816
+#: elf/dl-close.c:817
 msgid "shared object not open"
 msgstr ""
 
@@ -470,147 +470,147 @@ msgstr ""
 msgid "cannot create capability list"
 msgstr ""
 
-#: elf/dl-load.c:410
+#: elf/dl-load.c:412
 msgid "cannot allocate name record"
 msgstr ""
 
-#: elf/dl-load.c:495 elf/dl-load.c:611 elf/dl-load.c:694 elf/dl-load.c:813
+#: elf/dl-load.c:497 elf/dl-load.c:613 elf/dl-load.c:696 elf/dl-load.c:815
 msgid "cannot create cache for search path"
 msgstr ""
 
-#: elf/dl-load.c:586
+#: elf/dl-load.c:588
 msgid "cannot create RUNPATH/RPATH copy"
 msgstr ""
 
-#: elf/dl-load.c:680
+#: elf/dl-load.c:682
 msgid "cannot create search path array"
 msgstr ""
 
-#: elf/dl-load.c:885
+#: elf/dl-load.c:888
 msgid "cannot stat shared object"
 msgstr ""
 
-#: elf/dl-load.c:962
+#: elf/dl-load.c:965
 msgid "cannot open zero fill device"
 msgstr ""
 
-#: elf/dl-load.c:1009 elf/dl-load.c:2159
+#: elf/dl-load.c:1012 elf/dl-load.c:2212
 msgid "cannot create shared object descriptor"
 msgstr ""
 
-#: elf/dl-load.c:1028 elf/dl-load.c:1568 elf/dl-load.c:1680
+#: elf/dl-load.c:1031 elf/dl-load.c:1596 elf/dl-load.c:1708
 msgid "cannot read file data"
 msgstr ""
 
-#: elf/dl-load.c:1068
+#: elf/dl-load.c:1071
 msgid "ELF load command alignment not page-aligned"
 msgstr ""
 
-#: elf/dl-load.c:1075
+#: elf/dl-load.c:1078
 msgid "ELF load command address/offset not properly aligned"
 msgstr ""
 
-#: elf/dl-load.c:1159
+#: elf/dl-load.c:1161
 msgid "cannot allocate TLS data structures for initial thread"
 msgstr ""
 
-#: elf/dl-load.c:1182
+#: elf/dl-load.c:1184
 msgid "cannot handle TLS data"
 msgstr ""
 
-#: elf/dl-load.c:1201
+#: elf/dl-load.c:1203
 msgid "object file has no loadable segments"
 msgstr ""
 
-#: elf/dl-load.c:1210 elf/dl-load.c:1660
+#: elf/dl-load.c:1212 elf/dl-load.c:1688
 msgid "cannot dynamically load executable"
 msgstr ""
 
-#: elf/dl-load.c:1231
+#: elf/dl-load.c:1233
 msgid "object file has no dynamic section"
 msgstr ""
 
-#: elf/dl-load.c:1254
+#: elf/dl-load.c:1256
 msgid "shared object cannot be dlopen()ed"
 msgstr ""
 
-#: elf/dl-load.c:1267
+#: elf/dl-load.c:1269
 msgid "cannot allocate memory for program header"
 msgstr ""
 
-#: elf/dl-load.c:1283 elf/dl-open.c:195
+#: elf/dl-load.c:1285 elf/dl-open.c:195
 msgid "invalid caller"
 msgstr ""
 
-#: elf/dl-load.c:1306 elf/dl-load.h:130
+#: elf/dl-load.c:1308 elf/dl-load.h:130
 msgid "cannot change memory protections"
 msgstr ""
 
-#: elf/dl-load.c:1326
+#: elf/dl-load.c:1328
 msgid "cannot enable executable stack as shared object requires"
 msgstr ""
 
-#: elf/dl-load.c:1339
+#: elf/dl-load.c:1341
 msgid "cannot close file descriptor"
 msgstr ""
 
-#: elf/dl-load.c:1568
+#: elf/dl-load.c:1596
 msgid "file too short"
 msgstr ""
 
-#: elf/dl-load.c:1603
+#: elf/dl-load.c:1631
 msgid "invalid ELF header"
 msgstr ""
 
-#: elf/dl-load.c:1615
+#: elf/dl-load.c:1643
 msgid "ELF file data encoding not big-endian"
 msgstr ""
 
-#: elf/dl-load.c:1617
+#: elf/dl-load.c:1645
 msgid "ELF file data encoding not little-endian"
 msgstr ""
 
-#: elf/dl-load.c:1621
+#: elf/dl-load.c:1649
 msgid "ELF file version ident does not match current one"
 msgstr ""
 
-#: elf/dl-load.c:1625
+#: elf/dl-load.c:1653
 msgid "ELF file OS ABI invalid"
 msgstr ""
 
-#: elf/dl-load.c:1628
+#: elf/dl-load.c:1656
 msgid "ELF file ABI version invalid"
 msgstr ""
 
-#: elf/dl-load.c:1631
+#: elf/dl-load.c:1659
 msgid "nonzero padding in e_ident"
 msgstr ""
 
-#: elf/dl-load.c:1634
+#: elf/dl-load.c:1662
 msgid "internal error"
 msgstr ""
 
-#: elf/dl-load.c:1641
+#: elf/dl-load.c:1669
 msgid "ELF file version does not match current one"
 msgstr ""
 
-#: elf/dl-load.c:1649
+#: elf/dl-load.c:1677
 msgid "only ET_DYN and ET_EXEC can be loaded"
 msgstr ""
 
-#: elf/dl-load.c:1665
+#: elf/dl-load.c:1693
 msgid "ELF file's phentsize not the expected size"
 msgstr ""
 
-#: elf/dl-load.c:2178
+#: elf/dl-load.c:2231
 msgid "wrong ELF class: ELFCLASS64"
 msgstr ""
 
-#: elf/dl-load.c:2179
+#: elf/dl-load.c:2232
 msgid "wrong ELF class: ELFCLASS32"
 msgstr ""
 
-#: elf/dl-load.c:2182
+#: elf/dl-load.c:2235
 msgid "cannot open shared object file"
 msgstr ""
 
@@ -881,7 +881,7 @@ msgstr ""
 msgid "need absolute file name for configuration file when using -r"
 msgstr ""
 
-#: elf/ldconfig.c:1213 locale/programs/xmalloc.c:64 malloc/obstack.c:416
+#: elf/ldconfig.c:1213 locale/programs/xmalloc.c:63 malloc/obstack.c:416
 #: malloc/obstack.c:418 posix/getconf.c:441 posix/getconf.c:661
 #, c-format
 msgid "memory exhausted"
@@ -945,7 +945,7 @@ msgstr ""
 msgid "No such file or directory"
 msgstr ""
 
-#: elf/ldd.bash.in:150 inet/rcmd.c:492
+#: elf/ldd.bash.in:150 inet/rcmd.c:479
 msgid "not regular file"
 msgstr ""
 
@@ -1120,32 +1120,32 @@ msgid ""
 "\n"
 msgstr ""
 
-#: elf/sln.c:109
+#: elf/sln.c:108
 #, c-format
 msgid "%s: file open error: %m\n"
 msgstr ""
 
-#: elf/sln.c:146
+#: elf/sln.c:145
 #, c-format
 msgid "No target in line %d\n"
 msgstr ""
 
-#: elf/sln.c:178
+#: elf/sln.c:175
 #, c-format
 msgid "%s: destination must not be a directory\n"
 msgstr ""
 
-#: elf/sln.c:184
+#: elf/sln.c:181
 #, c-format
 msgid "%s: failed to remove the old destination\n"
 msgstr ""
 
-#: elf/sln.c:192
+#: elf/sln.c:189
 #, c-format
 msgid "%s: invalid destination: %s\n"
 msgstr ""
 
-#: elf/sln.c:207 elf/sln.c:216
+#: elf/sln.c:204 elf/sln.c:213
 #, c-format
 msgid "Invalid link from \"%s\" to \"%s\": %s\n"
 msgstr ""
@@ -1499,84 +1499,84 @@ msgstr ""
 msgid "cannot generate output file"
 msgstr ""
 
-#: inet/rcmd.c:163
+#: inet/rcmd.c:159
 msgid "rcmd: Cannot allocate memory\n"
 msgstr ""
 
-#: inet/rcmd.c:178
+#: inet/rcmd.c:174
 msgid "rcmd: socket: All ports in use\n"
 msgstr ""
 
-#: inet/rcmd.c:206
+#: inet/rcmd.c:202
 #, c-format
 msgid "connect to address %s: "
 msgstr ""
 
-#: inet/rcmd.c:219
+#: inet/rcmd.c:215
 #, c-format
 msgid "Trying %s...\n"
 msgstr ""
 
-#: inet/rcmd.c:255
+#: inet/rcmd.c:251
 #, c-format
 msgid "rcmd: write (setting up stderr): %m\n"
 msgstr ""
 
-#: inet/rcmd.c:271
+#: inet/rcmd.c:267
 #, c-format
 msgid "rcmd: poll (setting up stderr): %m\n"
 msgstr ""
 
-#: inet/rcmd.c:274
+#: inet/rcmd.c:270
 msgid "poll: protocol failure in circuit setup\n"
 msgstr ""
 
-#: inet/rcmd.c:306
+#: inet/rcmd.c:302
 msgid "socket: protocol failure in circuit setup\n"
 msgstr ""
 
-#: inet/rcmd.c:330
+#: inet/rcmd.c:326
 #, c-format
 msgid "rcmd: %s: short read"
 msgstr ""
 
-#: inet/rcmd.c:490
+#: inet/rcmd.c:477
 msgid "lstat failed"
 msgstr ""
 
-#: inet/rcmd.c:497
+#: inet/rcmd.c:484
 msgid "cannot open"
 msgstr ""
 
-#: inet/rcmd.c:499
+#: inet/rcmd.c:486
 msgid "fstat failed"
 msgstr ""
 
-#: inet/rcmd.c:501
+#: inet/rcmd.c:488
 msgid "bad owner"
 msgstr ""
 
-#: inet/rcmd.c:503
+#: inet/rcmd.c:490
 msgid "writeable by other than owner"
 msgstr ""
 
-#: inet/rcmd.c:505
+#: inet/rcmd.c:492
 msgid "hard linked somewhere"
 msgstr ""
 
-#: inet/ruserpass.c:170 inet/ruserpass.c:193
+#: inet/ruserpass.c:169 inet/ruserpass.c:192
 msgid "out of memory"
 msgstr ""
 
-#: inet/ruserpass.c:184
+#: inet/ruserpass.c:183
 msgid "Error: .netrc file is readable by others."
 msgstr ""
 
-#: inet/ruserpass.c:185
+#: inet/ruserpass.c:184
 msgid "Remove password or make file unreadable by others."
 msgstr ""
 
-#: inet/ruserpass.c:277
+#: inet/ruserpass.c:276
 #, c-format
 msgid "Unknown .netrc keyword %s"
 msgstr ""
@@ -1681,7 +1681,7 @@ msgid "no symbolic name given for end of range"
 msgstr ""
 
 #: locale/programs/charmap.c:610 locale/programs/ld-address.c:528
-#: locale/programs/ld-collate.c:2635 locale/programs/ld-collate.c:3793
+#: locale/programs/ld-collate.c:2626 locale/programs/ld-collate.c:3784
 #: locale/programs/ld-ctype.c:2128 locale/programs/ld-ctype.c:2840
 #: locale/programs/ld-identification.c:368
 #: locale/programs/ld-measurement.c:215 locale/programs/ld-messages.c:298
@@ -1708,7 +1708,7 @@ msgid "%s: error in state machine"
 msgstr ""
 
 #: locale/programs/charmap.c:850 locale/programs/ld-address.c:544
-#: locale/programs/ld-collate.c:2632 locale/programs/ld-collate.c:3986
+#: locale/programs/ld-collate.c:2623 locale/programs/ld-collate.c:3977
 #: locale/programs/ld-ctype.c:2125 locale/programs/ld-ctype.c:2857
 #: locale/programs/ld-identification.c:384
 #: locale/programs/ld-measurement.c:231 locale/programs/ld-messages.c:314
@@ -1732,7 +1732,7 @@ msgid ""
 "same: %d vs %d"
 msgstr ""
 
-#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2912
+#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2903
 #: locale/programs/repertoire.c:419
 msgid "invalid names for character range"
 msgstr ""
@@ -1754,7 +1754,7 @@ msgstr ""
 msgid "resulting bytes for range not representable."
 msgstr ""
 
-#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1566
+#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1565
 #: locale/programs/ld-ctype.c:431 locale/programs/ld-identification.c:133
 #: locale/programs/ld-measurement.c:94 locale/programs/ld-messages.c:97
 #: locale/programs/ld-monetary.c:193 locale/programs/ld-name.c:94
@@ -1841,7 +1841,7 @@ msgstr ""
 msgid "%s: unknown character in field `%s'"
 msgstr ""
 
-#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3791
+#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3782
 #: locale/programs/ld-ctype.c:2837 locale/programs/ld-identification.c:365
 #: locale/programs/ld-measurement.c:212 locale/programs/ld-messages.c:296
 #: locale/programs/ld-monetary.c:738 locale/programs/ld-name.c:262
@@ -1851,10 +1851,10 @@ msgstr ""
 msgid "%s: incomplete `END' line"
 msgstr ""
 
-#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:552
-#: locale/programs/ld-collate.c:604 locale/programs/ld-collate.c:900
-#: locale/programs/ld-collate.c:913 locale/programs/ld-collate.c:2601
-#: locale/programs/ld-collate.c:2622 locale/programs/ld-collate.c:3976
+#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:551
+#: locale/programs/ld-collate.c:603 locale/programs/ld-collate.c:899
+#: locale/programs/ld-collate.c:912 locale/programs/ld-collate.c:2592
+#: locale/programs/ld-collate.c:2613 locale/programs/ld-collate.c:3967
 #: locale/programs/ld-ctype.c:1857 locale/programs/ld-ctype.c:2115
 #: locale/programs/ld-ctype.c:2687 locale/programs/ld-ctype.c:2848
 #: locale/programs/ld-identification.c:375
@@ -1866,268 +1866,268 @@ msgstr ""
 msgid "%s: syntax error"
 msgstr ""
 
-#: locale/programs/ld-collate.c:427
+#: locale/programs/ld-collate.c:426
 #, c-format
 msgid "`%.*s' already defined in charmap"
 msgstr ""
 
-#: locale/programs/ld-collate.c:436
+#: locale/programs/ld-collate.c:435
 #, c-format
 msgid "`%.*s' already defined in repertoire"
 msgstr ""
 
-#: locale/programs/ld-collate.c:443
+#: locale/programs/ld-collate.c:442
 #, c-format
 msgid "`%.*s' already defined as collating symbol"
 msgstr ""
 
-#: locale/programs/ld-collate.c:450
+#: locale/programs/ld-collate.c:449
 #, c-format
 msgid "`%.*s' already defined as collating element"
 msgstr ""
 
-#: locale/programs/ld-collate.c:481 locale/programs/ld-collate.c:507
+#: locale/programs/ld-collate.c:480 locale/programs/ld-collate.c:506
 #, c-format
 msgid "%s: `forward' and `backward' are mutually excluding each other"
 msgstr ""
 
-#: locale/programs/ld-collate.c:491 locale/programs/ld-collate.c:517
-#: locale/programs/ld-collate.c:533
+#: locale/programs/ld-collate.c:490 locale/programs/ld-collate.c:516
+#: locale/programs/ld-collate.c:532
 #, c-format
 msgid "%s: `%s' mentioned more than once in definition of weight %d"
 msgstr ""
 
-#: locale/programs/ld-collate.c:589
+#: locale/programs/ld-collate.c:588
 #, c-format
 msgid "%s: too many rules; first entry only had %d"
 msgstr ""
 
-#: locale/programs/ld-collate.c:625
+#: locale/programs/ld-collate.c:624
 #, c-format
 msgid "%s: not enough sorting rules"
 msgstr ""
 
-#: locale/programs/ld-collate.c:790
+#: locale/programs/ld-collate.c:789
 #, c-format
 msgid "%s: empty weight string not allowed"
 msgstr ""
 
-#: locale/programs/ld-collate.c:885
+#: locale/programs/ld-collate.c:884
 #, c-format
 msgid "%s: weights must use the same ellipsis symbol as the name"
 msgstr ""
 
-#: locale/programs/ld-collate.c:941
+#: locale/programs/ld-collate.c:940
 #, c-format
 msgid "%s: too many values"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1061 locale/programs/ld-collate.c:1236
+#: locale/programs/ld-collate.c:1060 locale/programs/ld-collate.c:1235
 #, c-format
 msgid "order for `%.*s' already defined at %s:%Zu"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1111
+#: locale/programs/ld-collate.c:1110
 #, c-format
 msgid "%s: the start and the end symbol of a range must stand for characters"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1138
+#: locale/programs/ld-collate.c:1137
 #, c-format
 msgid ""
 "%s: byte sequences of first and last character must have the same length"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1180
+#: locale/programs/ld-collate.c:1179
 #, c-format
 msgid ""
 "%s: byte sequence of first character of range is not lower than that of the "
 "last character"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1305
+#: locale/programs/ld-collate.c:1304
 #, c-format
 msgid "%s: symbolic range ellipsis must not directly follow `order_start'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1309
+#: locale/programs/ld-collate.c:1308
 #, c-format
 msgid ""
 "%s: symbolic range ellipsis must not be directly followed by `order_end'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1329 locale/programs/ld-ctype.c:1374
+#: locale/programs/ld-collate.c:1328 locale/programs/ld-ctype.c:1374
 #, c-format
 msgid "`%s' and `%.*s' are not valid names for symbolic range"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1379 locale/programs/ld-collate.c:3727
+#: locale/programs/ld-collate.c:1378 locale/programs/ld-collate.c:3718
 #, c-format
 msgid "%s: order for `%.*s' already defined at %s:%Zu"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1388
+#: locale/programs/ld-collate.c:1387
 #, c-format
 msgid "%s: `%s' must be a character"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1583
+#: locale/programs/ld-collate.c:1582
 #, c-format
 msgid ""
 "%s: `position' must be used for a specific level in all sections or none"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1608
+#: locale/programs/ld-collate.c:1607
 #, c-format
 msgid "symbol `%s' not defined"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1684 locale/programs/ld-collate.c:1790
+#: locale/programs/ld-collate.c:1683 locale/programs/ld-collate.c:1789
 #, c-format
 msgid "symbol `%s' has the same encoding as"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1688 locale/programs/ld-collate.c:1794
+#: locale/programs/ld-collate.c:1687 locale/programs/ld-collate.c:1793
 #, c-format
 msgid "symbol `%s'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1834
+#: locale/programs/ld-collate.c:1833
 #, c-format
 msgid "no definition of `UNDEFINED'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1863
+#: locale/programs/ld-collate.c:1862
 #, c-format
 msgid "too many errors; giving up"
 msgstr ""
 
-#: locale/programs/ld-collate.c:2527 locale/programs/ld-collate.c:3915
+#: locale/programs/ld-collate.c:2518 locale/programs/ld-collate.c:3906
 #, c-format
 msgid "%s: nested conditionals not supported"
 msgstr ""
 
-#: locale/programs/ld-collate.c:2545
+#: locale/programs/ld-collate.c:2536
 #, c-format
 msgid "%s: more than one 'else'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:2720
+#: locale/programs/ld-collate.c:2711
 #, c-format
 msgid "%s: duplicate definition of `%s'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:2756
+#: locale/programs/ld-collate.c:2747
 #, c-format
 msgid "%s: duplicate declaration of section `%s'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:2892
+#: locale/programs/ld-collate.c:2883
 #, c-format
 msgid "%s: unknown character in collating symbol name"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3021
+#: locale/programs/ld-collate.c:3012
 #, c-format
 msgid "%s: unknown character in equivalent definition name"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3032
+#: locale/programs/ld-collate.c:3023
 #, c-format
 msgid "%s: unknown character in equivalent definition value"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3042
+#: locale/programs/ld-collate.c:3033
 #, c-format
 msgid "%s: unknown symbol `%s' in equivalent definition"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3051
+#: locale/programs/ld-collate.c:3042
 msgid "error while adding equivalent collating symbol"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3089
+#: locale/programs/ld-collate.c:3080
 #, c-format
 msgid "duplicate definition of script `%s'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3137
+#: locale/programs/ld-collate.c:3128
 #, c-format
 msgid "%s: unknown section name `%.*s'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3166
+#: locale/programs/ld-collate.c:3157
 #, c-format
 msgid "%s: multiple order definitions for section `%s'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3194
+#: locale/programs/ld-collate.c:3185
 #, c-format
 msgid "%s: invalid number of sorting rules"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3221
+#: locale/programs/ld-collate.c:3212
 #, c-format
 msgid "%s: multiple order definitions for unnamed section"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3276 locale/programs/ld-collate.c:3406
-#: locale/programs/ld-collate.c:3769
+#: locale/programs/ld-collate.c:3267 locale/programs/ld-collate.c:3397
+#: locale/programs/ld-collate.c:3760
 #, c-format
 msgid "%s: missing `order_end' keyword"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3339
+#: locale/programs/ld-collate.c:3330
 #, c-format
 msgid "%s: order for collating symbol %.*s not yet defined"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3357
+#: locale/programs/ld-collate.c:3348
 #, c-format
 msgid "%s: order for collating element %.*s not yet defined"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3368
+#: locale/programs/ld-collate.c:3359
 #, c-format
 msgid "%s: cannot reorder after %.*s: symbol not known"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3420 locale/programs/ld-collate.c:3781
+#: locale/programs/ld-collate.c:3411 locale/programs/ld-collate.c:3772
 #, c-format
 msgid "%s: missing `reorder-end' keyword"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3454 locale/programs/ld-collate.c:3652
+#: locale/programs/ld-collate.c:3445 locale/programs/ld-collate.c:3643
 #, c-format
 msgid "%s: section `%.*s' not known"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3519
+#: locale/programs/ld-collate.c:3510
 #, c-format
 msgid "%s: bad symbol <%.*s>"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3715
+#: locale/programs/ld-collate.c:3706
 #, c-format
 msgid "%s: cannot have `%s' as end of ellipsis range"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3765
+#: locale/programs/ld-collate.c:3756
 #, c-format
 msgid "%s: empty category description not allowed"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3784
+#: locale/programs/ld-collate.c:3775
 #, c-format
 msgid "%s: missing `reorder-sections-end' keyword"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3948
+#: locale/programs/ld-collate.c:3939
 #, c-format
 msgid "%s: '%s' without matching 'ifdef' or 'ifndef'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3966
+#: locale/programs/ld-collate.c:3957
 #, c-format
 msgid "%s: 'endif' without matching 'ifdef' or 'ifndef'"
 msgstr ""
@@ -2604,7 +2604,7 @@ msgstr ""
 msgid "Cannot set LC_ALL to default locale"
 msgstr ""
 
-#: locale/programs/locale.c:519
+#: locale/programs/locale.c:525
 #, c-format
 msgid "while preparing output"
 msgstr ""
@@ -2707,7 +2707,7 @@ msgid "FATAL: system does not define `_POSIX2_LOCALEDEF'"
 msgstr ""
 
 #: locale/programs/localedef.c:260 locale/programs/localedef.c:276
-#: locale/programs/localedef.c:614 locale/programs/localedef.c:634
+#: locale/programs/localedef.c:612 locale/programs/localedef.c:632
 #, c-format
 msgid "cannot open locale definition file `%s'"
 msgstr ""
@@ -2726,12 +2726,12 @@ msgid ""
 "%s"
 msgstr ""
 
-#: locale/programs/localedef.c:582
+#: locale/programs/localedef.c:580
 #, c-format
 msgid "circular dependencies between locale definitions"
 msgstr ""
 
-#: locale/programs/localedef.c:588
+#: locale/programs/localedef.c:586
 #, c-format
 msgid "cannot add already read locale `%s' a second time"
 msgstr ""
@@ -2829,42 +2829,42 @@ msgstr ""
 msgid "cannot add to locale archive"
 msgstr ""
 
-#: locale/programs/locarchive.c:1206
+#: locale/programs/locarchive.c:1203
 #, c-format
 msgid "locale alias file `%s' not found"
 msgstr ""
 
-#: locale/programs/locarchive.c:1357
+#: locale/programs/locarchive.c:1351
 #, c-format
 msgid "Adding %s\n"
 msgstr ""
 
-#: locale/programs/locarchive.c:1363
+#: locale/programs/locarchive.c:1357
 #, c-format
 msgid "stat of \"%s\" failed: %s: ignored"
 msgstr ""
 
-#: locale/programs/locarchive.c:1369
+#: locale/programs/locarchive.c:1363
 #, c-format
 msgid "\"%s\" is no directory; ignored"
 msgstr ""
 
-#: locale/programs/locarchive.c:1376
+#: locale/programs/locarchive.c:1370
 #, c-format
 msgid "cannot open directory \"%s\": %s: ignored"
 msgstr ""
 
-#: locale/programs/locarchive.c:1448
+#: locale/programs/locarchive.c:1442
 #, c-format
 msgid "incomplete set of locale files in \"%s\""
 msgstr ""
 
-#: locale/programs/locarchive.c:1512
+#: locale/programs/locarchive.c:1506
 #, c-format
 msgid "cannot read all files in \"%s\": ignored"
 msgstr ""
 
-#: locale/programs/locarchive.c:1584
+#: locale/programs/locarchive.c:1576
 #, c-format
 msgid "locale \"%s\" not in archive"
 msgstr ""
@@ -2930,7 +2930,7 @@ msgstr ""
 msgid "repertoire map file `%s' not found"
 msgstr ""
 
-#: login/programs/pt_chown.c:78
+#: login/programs/pt_chown.c:79
 #, c-format
 msgid ""
 "Set the owner, group and access permission of the slave pseudo terminal "
@@ -2939,7 +2939,7 @@ msgid ""
 "to be run directly from the command line.\n"
 msgstr ""
 
-#: login/programs/pt_chown.c:92
+#: login/programs/pt_chown.c:93
 #, c-format
 msgid ""
 "The owner is set to the current user, the group is set to `%s', and the "
@@ -2948,33 +2948,33 @@ msgid ""
 "%s"
 msgstr ""
 
-#: login/programs/pt_chown.c:198
+#: login/programs/pt_chown.c:204
 #, c-format
 msgid "too many arguments"
 msgstr ""
 
-#: login/programs/pt_chown.c:206
+#: login/programs/pt_chown.c:212
 #, c-format
 msgid "needs to be installed setuid `root'"
 msgstr ""
 
-#: malloc/mcheck.c:346
+#: malloc/mcheck.c:344
 msgid "memory is consistent, library is buggy\n"
 msgstr ""
 
-#: malloc/mcheck.c:349
+#: malloc/mcheck.c:347
 msgid "memory clobbered before allocated block\n"
 msgstr ""
 
-#: malloc/mcheck.c:352
+#: malloc/mcheck.c:350
 msgid "memory clobbered past end of allocated block\n"
 msgstr ""
 
-#: malloc/mcheck.c:355
+#: malloc/mcheck.c:353
 msgid "block freed twice\n"
 msgstr ""
 
-#: malloc/mcheck.c:358
+#: malloc/mcheck.c:356
 msgid "bogus mcheck_status, library is buggy\n"
 msgstr ""
 
@@ -3084,7 +3084,7 @@ msgstr ""
 msgid "unable to free arguments"
 msgstr ""
 
-#: nis/nis_error.h:1 nis/ypclnt.c:831 nis/ypclnt.c:919 posix/regcomp.c:137
+#: nis/nis_error.h:1 nis/ypclnt.c:817 nis/ypclnt.c:905 posix/regcomp.c:137
 #: sysdeps/gnu/errlist.c:21
 msgid "Success"
 msgstr ""
@@ -3126,7 +3126,7 @@ msgid "First/next chain broken"
 msgstr ""
 
 #. TRANS Permission denied; the file permissions do not allow the attempted operation.
-#: nis/nis_error.h:11 nis/ypclnt.c:876 sysdeps/gnu/errlist.c:158
+#: nis/nis_error.h:11 nis/ypclnt.c:862 sysdeps/gnu/errlist.c:158
 msgid "Permission denied"
 msgstr ""
 
@@ -3625,91 +3625,91 @@ msgstr ""
 msgid "netname2user: should not have uid 0"
 msgstr ""
 
-#: nis/ypclnt.c:834
+#: nis/ypclnt.c:820
 msgid "Request arguments bad"
 msgstr ""
 
-#: nis/ypclnt.c:837
+#: nis/ypclnt.c:823
 msgid "RPC failure on NIS operation"
 msgstr ""
 
-#: nis/ypclnt.c:840
+#: nis/ypclnt.c:826
 msgid "Can't bind to server which serves this domain"
 msgstr ""
 
-#: nis/ypclnt.c:843
+#: nis/ypclnt.c:829
 msgid "No such map in server's domain"
 msgstr ""
 
-#: nis/ypclnt.c:846
+#: nis/ypclnt.c:832
 msgid "No such key in map"
 msgstr ""
 
-#: nis/ypclnt.c:849
+#: nis/ypclnt.c:835
 msgid "Internal NIS error"
 msgstr ""
 
-#: nis/ypclnt.c:852
+#: nis/ypclnt.c:838
 msgid "Local resource allocation failure"
 msgstr ""
 
-#: nis/ypclnt.c:855
+#: nis/ypclnt.c:841
 msgid "No more records in map database"
 msgstr ""
 
-#: nis/ypclnt.c:858
+#: nis/ypclnt.c:844
 msgid "Can't communicate with portmapper"
 msgstr ""
 
-#: nis/ypclnt.c:861
+#: nis/ypclnt.c:847
 msgid "Can't communicate with ypbind"
 msgstr ""
 
-#: nis/ypclnt.c:864
+#: nis/ypclnt.c:850
 msgid "Can't communicate with ypserv"
 msgstr ""
 
-#: nis/ypclnt.c:867
+#: nis/ypclnt.c:853
 msgid "Local domain name not set"
 msgstr ""
 
-#: nis/ypclnt.c:870
+#: nis/ypclnt.c:856
 msgid "NIS map database is bad"
 msgstr ""
 
-#: nis/ypclnt.c:873
+#: nis/ypclnt.c:859
 msgid "NIS client/server version mismatch - can't supply service"
 msgstr ""
 
-#: nis/ypclnt.c:879
+#: nis/ypclnt.c:865
 msgid "Database is busy"
 msgstr ""
 
-#: nis/ypclnt.c:882
+#: nis/ypclnt.c:868
 msgid "Unknown NIS error code"
 msgstr ""
 
-#: nis/ypclnt.c:922
+#: nis/ypclnt.c:908
 msgid "Internal ypbind error"
 msgstr ""
 
-#: nis/ypclnt.c:925
+#: nis/ypclnt.c:911
 msgid "Domain not bound"
 msgstr ""
 
-#: nis/ypclnt.c:928
+#: nis/ypclnt.c:914
 msgid "System resource allocation failure"
 msgstr ""
 
-#: nis/ypclnt.c:931
+#: nis/ypclnt.c:917
 msgid "Unknown ypbind error"
 msgstr ""
 
-#: nis/ypclnt.c:972
+#: nis/ypclnt.c:958
 msgid "yp_update: cannot convert host to netname\n"
 msgstr ""
 
-#: nis/ypclnt.c:990
+#: nis/ypclnt.c:976
 msgid "yp_update: cannot get server address\n"
 msgstr ""
 
@@ -3752,283 +3752,273 @@ msgstr ""
 msgid "considering %s entry \"%s\", timeout %<PRIu64>"
 msgstr ""
 
-#: nscd/connections.c:553
+#: nscd/connections.c:548
 #, c-format
 msgid "invalid persistent database file \"%s\": %s"
 msgstr ""
 
-#: nscd/connections.c:561
+#: nscd/connections.c:556
 msgid "uninitialized header"
 msgstr ""
 
-#: nscd/connections.c:566
+#: nscd/connections.c:561
 msgid "header size does not match"
 msgstr ""
 
-#: nscd/connections.c:576
+#: nscd/connections.c:571
 msgid "file size does not match"
 msgstr ""
 
-#: nscd/connections.c:593
+#: nscd/connections.c:588
 msgid "verification failed"
 msgstr ""
 
-#: nscd/connections.c:607
+#: nscd/connections.c:602
 #, c-format
 msgid ""
 "suggested size of table for database %s larger than the persistent "
 "database's table"
 msgstr ""
 
-#: nscd/connections.c:618 nscd/connections.c:702
+#: nscd/connections.c:613 nscd/connections.c:697
 #, c-format
 msgid "cannot create read-only descriptor for \"%s\"; no mmap"
 msgstr ""
 
-#: nscd/connections.c:634
+#: nscd/connections.c:629
 #, c-format
 msgid "cannot access '%s'"
 msgstr ""
 
-#: nscd/connections.c:682
+#: nscd/connections.c:677
 #, c-format
 msgid ""
 "database for %s corrupted or simultaneously used; remove %s manually if "
 "necessary and restart"
 msgstr ""
 
-#: nscd/connections.c:688
+#: nscd/connections.c:683
 #, c-format
 msgid "cannot create %s; no persistent database used"
 msgstr ""
 
-#: nscd/connections.c:691
+#: nscd/connections.c:686
 #, c-format
 msgid "cannot create %s; no sharing possible"
 msgstr ""
 
-#: nscd/connections.c:762
+#: nscd/connections.c:757
 #, c-format
 msgid "cannot write to database file %s: %s"
 msgstr ""
 
-#: nscd/connections.c:801
+#: nscd/connections.c:796
 #, c-format
 msgid "cannot set socket to close on exec: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:850
+#: nscd/connections.c:831
 #, c-format
 msgid "cannot open socket: %s"
 msgstr ""
 
-#: nscd/connections.c:870 nscd/connections.c:934
-#, c-format
-msgid "cannot change socket to nonblocking mode: %s"
-msgstr ""
-
-#: nscd/connections.c:878 nscd/connections.c:944
-#, c-format
-msgid "cannot set socket to close on exec: %s"
-msgstr ""
-
-#: nscd/connections.c:891
+#: nscd/connections.c:850
 #, c-format
 msgid "cannot enable socket to accept connections: %s"
 msgstr ""
 
-#: nscd/connections.c:973
+#: nscd/connections.c:907
 #, c-format
 msgid "disabled inotify-based monitoring for file `%s': %s"
 msgstr ""
 
-#: nscd/connections.c:977
+#: nscd/connections.c:911
 #, c-format
 msgid "monitoring file `%s` (%d)"
 msgstr ""
 
-#: nscd/connections.c:990
+#: nscd/connections.c:924
 #, c-format
 msgid "disabled inotify-based monitoring for directory `%s': %s"
 msgstr ""
 
-#: nscd/connections.c:994
+#: nscd/connections.c:928
 #, c-format
 msgid "monitoring directory `%s` (%d)"
 msgstr ""
 
-#: nscd/connections.c:1022
+#: nscd/connections.c:956
 #, c-format
 msgid "monitoring file %s for database %s"
 msgstr ""
 
-#: nscd/connections.c:1032
+#: nscd/connections.c:966
 #, c-format
 msgid "stat failed for file `%s'; will try again later: %s"
 msgstr ""
 
-#: nscd/connections.c:1151
+#: nscd/connections.c:1085
 #, c-format
 msgid "provide access to FD %d, for %s"
 msgstr ""
 
-#: nscd/connections.c:1163
+#: nscd/connections.c:1097
 #, c-format
 msgid "cannot handle old request version %d; current version is %d"
 msgstr ""
 
-#: nscd/connections.c:1185
+#: nscd/connections.c:1119
 #, c-format
 msgid "request from %ld not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1190
+#: nscd/connections.c:1124
 #, c-format
 msgid "request from '%s' [%ld] not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1195
+#: nscd/connections.c:1129
 msgid "request not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1233 nscd/connections.c:1286
+#: nscd/connections.c:1167 nscd/connections.c:1220
 #, c-format
 msgid "cannot write result: %s"
 msgstr ""
 
-#: nscd/connections.c:1377
+#: nscd/connections.c:1311
 #, c-format
 msgid "error getting caller's id: %s"
 msgstr ""
 
-#: nscd/connections.c:1437
+#: nscd/connections.c:1371
 #, c-format
 msgid "cannot open /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1451
+#: nscd/connections.c:1385
 #, c-format
 msgid "cannot read /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1491
+#: nscd/connections.c:1425
 #, c-format
 msgid "cannot change to old UID: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1501
+#: nscd/connections.c:1435
 #, c-format
 msgid "cannot change to old GID: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1514
+#: nscd/connections.c:1448
 #, c-format
 msgid "cannot change to old working directory: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1560
+#: nscd/connections.c:1494
 #, c-format
 msgid "re-exec failed: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1569
+#: nscd/connections.c:1503
 #, c-format
 msgid "cannot change current working directory to \"/\": %s"
 msgstr ""
 
-#: nscd/connections.c:1762
+#: nscd/connections.c:1696
 #, c-format
 msgid "short read while reading request: %s"
 msgstr ""
 
-#: nscd/connections.c:1795
+#: nscd/connections.c:1729
 #, c-format
 msgid "key length in request too long: %d"
 msgstr ""
 
-#: nscd/connections.c:1808
+#: nscd/connections.c:1742
 #, c-format
 msgid "short read while reading request key: %s"
 msgstr ""
 
-#: nscd/connections.c:1818
+#: nscd/connections.c:1752
 #, c-format
 msgid "handle_request: request received (Version = %d) from PID %ld"
 msgstr ""
 
-#: nscd/connections.c:1823
+#: nscd/connections.c:1757
 #, c-format
 msgid "handle_request: request received (Version = %d)"
 msgstr ""
 
-#: nscd/connections.c:1963
+#: nscd/connections.c:1897
 #, c-format
 msgid "ignored inotify event for `%s` (file exists)"
 msgstr ""
 
-#: nscd/connections.c:1968
+#: nscd/connections.c:1902
 #, c-format
 msgid "monitored file `%s` was %s, removing watch"
 msgstr ""
 
-#: nscd/connections.c:1976 nscd/connections.c:2018
+#: nscd/connections.c:1910 nscd/connections.c:1952
 #, c-format
 msgid "failed to remove file watch `%s`: %s"
 msgstr ""
 
-#: nscd/connections.c:1991
+#: nscd/connections.c:1925
 #, c-format
 msgid "monitored file `%s` was written to"
 msgstr ""
 
-#: nscd/connections.c:2015
+#: nscd/connections.c:1949
 #, c-format
 msgid "monitored parent directory `%s` was %s, removing watch on `%s`"
 msgstr ""
 
-#: nscd/connections.c:2041
+#: nscd/connections.c:1975
 #, c-format
 msgid "monitored file `%s` was %s, adding watch"
 msgstr ""
 
-#: nscd/connections.c:2053
+#: nscd/connections.c:1987
 #, c-format
 msgid "failed to add file watch `%s`: %s"
 msgstr ""
 
-#: nscd/connections.c:2247 nscd/connections.c:2428
+#: nscd/connections.c:2181 nscd/connections.c:2362
 #, c-format
 msgid "disabled inotify-based monitoring after read error %d"
 msgstr ""
 
-#: nscd/connections.c:2543
+#: nscd/connections.c:2477
 msgid "could not initialize conditional variable"
 msgstr ""
 
-#: nscd/connections.c:2551
+#: nscd/connections.c:2485
 msgid "could not start clean-up thread; terminating"
 msgstr ""
 
-#: nscd/connections.c:2565
+#: nscd/connections.c:2499
 msgid "could not start any worker thread; terminating"
 msgstr ""
 
-#: nscd/connections.c:2620 nscd/connections.c:2622 nscd/connections.c:2638
-#: nscd/connections.c:2648 nscd/connections.c:2666 nscd/connections.c:2677
-#: nscd/connections.c:2687
+#: nscd/connections.c:2554 nscd/connections.c:2556 nscd/connections.c:2572
+#: nscd/connections.c:2582 nscd/connections.c:2600 nscd/connections.c:2611
+#: nscd/connections.c:2621
 #, c-format
 msgid "Failed to run nscd as user '%s'"
 msgstr ""
 
-#: nscd/connections.c:2640
+#: nscd/connections.c:2574
 msgid "initial getgrouplist failed"
 msgstr ""
 
-#: nscd/connections.c:2649
+#: nscd/connections.c:2583
 msgid "getgrouplist failed"
 msgstr ""
 
-#: nscd/connections.c:2667
+#: nscd/connections.c:2601
 msgid "setgroups failed"
 msgstr ""
 
@@ -4131,7 +4121,7 @@ msgstr ""
 msgid "Name Service Cache Daemon."
 msgstr ""
 
-#: nscd/nscd.c:155 nss/getent.c:1007 nss/makedb.c:206
+#: nscd/nscd.c:155 nss/getent.c:947 nss/makedb.c:206
 #, c-format
 msgid "wrong number of arguments"
 msgstr ""
@@ -4493,21 +4483,21 @@ msgstr ""
 msgid "Get entries from administrative database."
 msgstr ""
 
-#: nss/getent.c:148 nss/getent.c:477 nss/getent.c:522
+#: nss/getent.c:148 nss/getent.c:441 nss/getent.c:486
 #, c-format
 msgid "Enumeration not supported on %s\n"
 msgstr ""
 
-#: nss/getent.c:921
+#: nss/getent.c:861
 #, c-format
 msgid "Unknown database name"
 msgstr ""
 
-#: nss/getent.c:951
+#: nss/getent.c:891
 msgid "Supported databases:\n"
 msgstr ""
 
-#: nss/getent.c:1017
+#: nss/getent.c:957
 #, c-format
 msgid "Unknown database: %s\n"
 msgstr ""
@@ -4573,41 +4563,41 @@ msgstr ""
 msgid "cannot rename temporary file"
 msgstr ""
 
-#: nss/makedb.c:531 nss/makedb.c:554
+#: nss/makedb.c:527 nss/makedb.c:550
 #, c-format
 msgid "cannot create search tree"
 msgstr ""
 
-#: nss/makedb.c:560
+#: nss/makedb.c:556
 msgid "duplicate key"
 msgstr ""
 
-#: nss/makedb.c:572
+#: nss/makedb.c:568
 #, c-format
 msgid "problems while reading `%s'"
 msgstr ""
 
-#: nss/makedb.c:799
+#: nss/makedb.c:795
 #, c-format
 msgid "failed to write new database file"
 msgstr ""
 
-#: nss/makedb.c:812
+#: nss/makedb.c:808
 #, c-format
 msgid "cannot stat database file"
 msgstr ""
 
-#: nss/makedb.c:817
+#: nss/makedb.c:813
 #, c-format
 msgid "cannot map database file"
 msgstr ""
 
-#: nss/makedb.c:820
+#: nss/makedb.c:816
 #, c-format
 msgid "file not a database file"
 msgstr ""
 
-#: nss/makedb.c:871
+#: nss/makedb.c:867
 #, c-format
 msgid "cannot set file creation context for `%s'"
 msgstr ""
@@ -4773,11 +4763,11 @@ msgstr ""
 msgid "Unmatched ) or \\)"
 msgstr ""
 
-#: posix/regcomp.c:685
+#: posix/regcomp.c:673
 msgid "No previous regular expression"
 msgstr ""
 
-#: posix/wordexp.c:1851
+#: posix/wordexp.c:1852
 msgid "parameter null or not set"
 msgstr ""
 
@@ -4809,27 +4799,27 @@ msgstr ""
 msgid "Unknown resolver error"
 msgstr ""
 
-#: resolv/res_hconf.c:125
+#: resolv/res_hconf.c:126
 #, c-format
 msgid "%s: line %d: cannot specify more than %d trim domains"
 msgstr ""
 
-#: resolv/res_hconf.c:146
+#: resolv/res_hconf.c:147
 #, c-format
 msgid "%s: line %d: list delimiter not followed by domain"
 msgstr ""
 
-#: resolv/res_hconf.c:205
+#: resolv/res_hconf.c:206
 #, c-format
 msgid "%s: line %d: expected `on' or `off', found `%s'\n"
 msgstr ""
 
-#: resolv/res_hconf.c:248
+#: resolv/res_hconf.c:249
 #, c-format
 msgid "%s: line %d: bad command `%s'\n"
 msgstr ""
 
-#: resolv/res_hconf.c:283
+#: resolv/res_hconf.c:284
 #, c-format
 msgid "%s: line %d: ignoring trailing garbage `%s'\n"
 msgstr ""
@@ -4962,7 +4952,7 @@ msgstr ""
 msgid "Input message available"
 msgstr ""
 
-#: stdio-common/psiginfo-data.h:46
+#: stdio-common/psiginfo-data.h:46 timezone/zdump.c:541 timezone/zic.c:483
 msgid "I/O error"
 msgstr ""
 
@@ -5029,7 +5019,7 @@ msgstr ""
 msgid "Unknown error "
 msgstr ""
 
-#: string/strerror.c:42
+#: string/strerror.c:41
 msgid "Unknown error"
 msgstr ""
 
@@ -5045,9 +5035,9 @@ msgstr ""
 
 #: sunrpc/auth_unix.c:111 sunrpc/clnt_tcp.c:123 sunrpc/clnt_udp.c:135
 #: sunrpc/clnt_unix.c:124 sunrpc/svc_tcp.c:188 sunrpc/svc_tcp.c:233
-#: sunrpc/svc_udp.c:162 sunrpc/svc_unix.c:188 sunrpc/svc_unix.c:229
-#: sunrpc/xdr.c:631 sunrpc/xdr.c:793 sunrpc/xdr_array.c:97
-#: sunrpc/xdr_rec.c:152 sunrpc/xdr_ref.c:76
+#: sunrpc/svc_udp.c:160 sunrpc/svc_unix.c:188 sunrpc/svc_unix.c:229
+#: sunrpc/xdr.c:627 sunrpc/xdr.c:787 sunrpc/xdr_array.c:101
+#: sunrpc/xdr_rec.c:152 sunrpc/xdr_ref.c:78
 msgid "out of memory\n"
 msgstr ""
 
@@ -5190,23 +5180,23 @@ msgstr ""
 msgid "Cannot register service"
 msgstr ""
 
-#: sunrpc/pmap_rmt.c:243
+#: sunrpc/pmap_rmt.c:244
 msgid "Cannot create socket for broadcast rpc"
 msgstr ""
 
-#: sunrpc/pmap_rmt.c:250
+#: sunrpc/pmap_rmt.c:251
 msgid "Cannot set socket option SO_BROADCAST"
 msgstr ""
 
-#: sunrpc/pmap_rmt.c:302
+#: sunrpc/pmap_rmt.c:303
 msgid "Cannot send broadcast packet"
 msgstr ""
 
-#: sunrpc/pmap_rmt.c:327
+#: sunrpc/pmap_rmt.c:328
 msgid "Broadcast poll problem"
 msgstr ""
 
-#: sunrpc/pmap_rmt.c:340
+#: sunrpc/pmap_rmt.c:341
 msgid "Cannot receive reply to broadcast"
 msgstr ""
 
@@ -5487,79 +5477,79 @@ msgstr ""
 msgid "preprocessor error"
 msgstr ""
 
-#: sunrpc/rpcinfo.c:246 sunrpc/rpcinfo.c:392
+#: sunrpc/rpcinfo.c:243 sunrpc/rpcinfo.c:386
 #, c-format
 msgid "program %lu is not available\n"
 msgstr ""
 
-#: sunrpc/rpcinfo.c:273 sunrpc/rpcinfo.c:319 sunrpc/rpcinfo.c:342
-#: sunrpc/rpcinfo.c:416 sunrpc/rpcinfo.c:462 sunrpc/rpcinfo.c:485
-#: sunrpc/rpcinfo.c:519
+#: sunrpc/rpcinfo.c:270 sunrpc/rpcinfo.c:316 sunrpc/rpcinfo.c:339
+#: sunrpc/rpcinfo.c:410 sunrpc/rpcinfo.c:456 sunrpc/rpcinfo.c:479
+#: sunrpc/rpcinfo.c:510
 #, c-format
 msgid "program %lu version %lu is not available\n"
 msgstr ""
 
-#: sunrpc/rpcinfo.c:524
+#: sunrpc/rpcinfo.c:515
 #, c-format
 msgid "program %lu version %lu ready and waiting\n"
 msgstr ""
 
-#: sunrpc/rpcinfo.c:565 sunrpc/rpcinfo.c:572
+#: sunrpc/rpcinfo.c:554 sunrpc/rpcinfo.c:561
 msgid "rpcinfo: can't contact portmapper"
 msgstr ""
 
-#: sunrpc/rpcinfo.c:579
+#: sunrpc/rpcinfo.c:568
 msgid "No remote programs registered.\n"
 msgstr ""
 
-#: sunrpc/rpcinfo.c:583
+#: sunrpc/rpcinfo.c:572
 msgid "   program vers proto   port\n"
 msgstr ""
 
-#: sunrpc/rpcinfo.c:622
+#: sunrpc/rpcinfo.c:611
 msgid "(unknown)"
 msgstr ""
 
-#: sunrpc/rpcinfo.c:646
+#: sunrpc/rpcinfo.c:633
 #, c-format
 msgid "rpcinfo: broadcast failed: %s\n"
 msgstr ""
 
-#: sunrpc/rpcinfo.c:667
+#: sunrpc/rpcinfo.c:652
 msgid "Sorry. You are not root\n"
 msgstr ""
 
-#: sunrpc/rpcinfo.c:674
+#: sunrpc/rpcinfo.c:659
 #, c-format
 msgid "rpcinfo: Could not delete registration for prog %s version %s\n"
 msgstr ""
 
-#: sunrpc/rpcinfo.c:683
+#: sunrpc/rpcinfo.c:668
 msgid "Usage: rpcinfo [ -n portnum ] -u host prognum [ versnum ]\n"
 msgstr ""
 
-#: sunrpc/rpcinfo.c:685
+#: sunrpc/rpcinfo.c:670
 msgid "       rpcinfo [ -n portnum ] -t host prognum [ versnum ]\n"
 msgstr ""
 
-#: sunrpc/rpcinfo.c:687
+#: sunrpc/rpcinfo.c:672
 msgid "       rpcinfo -p [ host ]\n"
 msgstr ""
 
-#: sunrpc/rpcinfo.c:688
+#: sunrpc/rpcinfo.c:673
 msgid "       rpcinfo -b prognum versnum\n"
 msgstr ""
 
-#: sunrpc/rpcinfo.c:689
+#: sunrpc/rpcinfo.c:674
 msgid "       rpcinfo -d prognum versnum\n"
 msgstr ""
 
-#: sunrpc/rpcinfo.c:714
+#: sunrpc/rpcinfo.c:698
 #, c-format
 msgid "rpcinfo: %s is unknown service\n"
 msgstr ""
 
-#: sunrpc/rpcinfo.c:751
+#: sunrpc/rpcinfo.c:732
 #, c-format
 msgid "rpcinfo: %s is unknown host\n"
 msgstr ""
@@ -5608,43 +5598,43 @@ msgstr ""
 msgid "svc_tcp.c - cannot getsockname or listen"
 msgstr ""
 
-#: sunrpc/svc_udp.c:137
+#: sunrpc/svc_udp.c:135
 msgid "svcudp_create: socket creation problem"
 msgstr ""
 
-#: sunrpc/svc_udp.c:151
+#: sunrpc/svc_udp.c:149
 msgid "svcudp_create - cannot getsockname"
 msgstr ""
 
-#: sunrpc/svc_udp.c:183
+#: sunrpc/svc_udp.c:181
 msgid "svcudp_create: xp_pad is too small for IP_PKTINFO\n"
 msgstr ""
 
-#: sunrpc/svc_udp.c:495
+#: sunrpc/svc_udp.c:480
 msgid "enablecache: cache already enabled"
 msgstr ""
 
-#: sunrpc/svc_udp.c:501
+#: sunrpc/svc_udp.c:486
 msgid "enablecache: could not allocate cache"
 msgstr ""
 
-#: sunrpc/svc_udp.c:510
+#: sunrpc/svc_udp.c:495
 msgid "enablecache: could not allocate cache data"
 msgstr ""
 
-#: sunrpc/svc_udp.c:518
+#: sunrpc/svc_udp.c:503
 msgid "enablecache: could not allocate cache fifo"
 msgstr ""
 
-#: sunrpc/svc_udp.c:554
+#: sunrpc/svc_udp.c:539
 msgid "cache_set: victim not found"
 msgstr ""
 
-#: sunrpc/svc_udp.c:565
+#: sunrpc/svc_udp.c:550
 msgid "cache_set: victim alloc failed"
 msgstr ""
 
-#: sunrpc/svc_udp.c:572
+#: sunrpc/svc_udp.c:557
 msgid "cache_set: could not allocate new rpc_buffer"
 msgstr ""
 
@@ -6734,28 +6724,24 @@ msgstr ""
 msgid "cannot read header from `%s'"
 msgstr ""
 
-#: timezone/zdump.c:282
-msgid "lacks alphabetic at start"
-msgstr ""
-
-#: timezone/zdump.c:284
-msgid "has fewer than 3 alphabetics"
+#: timezone/zdump.c:494
+msgid "has fewer than 3 characters"
 msgstr ""
 
-#: timezone/zdump.c:286
-msgid "has more than 6 alphabetics"
+#: timezone/zdump.c:496
+msgid "has more than 6 characters"
 msgstr ""
 
-#: timezone/zdump.c:294
-msgid "differs from POSIX standard"
+#: timezone/zdump.c:498
+msgid "has characters other than ASCII alphanumerics, '-' or '+'"
 msgstr ""
 
-#: timezone/zdump.c:300
+#: timezone/zdump.c:503
 #, c-format
 msgid "%s: warning: zone \"%s\" abbreviation \"%s\" %s\n"
 msgstr ""
 
-#: timezone/zdump.c:309
+#: timezone/zdump.c:553
 #, c-format
 msgid ""
 "%s: usage: %s [--version] [--help] [-{vV}] [-{ct} [lo,]hi] zonename ...\n"
@@ -6763,381 +6749,411 @@ msgid ""
 "Report bugs to %s.\n"
 msgstr ""
 
-#: timezone/zdump.c:386
+#: timezone/zdump.c:635
 #, c-format
 msgid "%s: wild -c argument %s\n"
 msgstr ""
 
-#: timezone/zdump.c:419
+#: timezone/zdump.c:668
 #, c-format
 msgid "%s: wild -t argument %s\n"
 msgstr ""
 
-#: timezone/zdump.c:508
-msgid "Error writing to standard output"
-msgstr ""
-
-#: timezone/zic.c:371
+#: timezone/zic.c:361
 #, c-format
 msgid "%s: Memory exhausted: %s\n"
 msgstr ""
 
-#: timezone/zic.c:438
+#: timezone/zic.c:369
+msgid "size overflow"
+msgstr ""
+
+#: timezone/zic.c:416
+msgid "int overflow"
+msgstr ""
+
+#: timezone/zic.c:451
 #, c-format
 msgid "\"%s\", line %d: "
 msgstr ""
 
-#: timezone/zic.c:441
+#: timezone/zic.c:454
 #, c-format
 msgid " (rule from \"%s\", line %d)"
 msgstr ""
 
-#: timezone/zic.c:460
+#: timezone/zic.c:473
 #, c-format
 msgid "warning: "
 msgstr ""
 
-#: timezone/zic.c:470
+#: timezone/zic.c:498
 #, c-format
 msgid ""
-"%s: usage is %s [ --version ] [ --help ] [ -v ] [ -l localtime ] [ -p "
-"posixrules ] \\\n"
-"\t[ -d directory ] [ -L leapseconds ] [ -y yearistype ] [ filename ... ]\n"
+"%s: usage is %s [ --version ] [ --help ] [ -v ] \\\n"
+"\t[ -l localtime ] [ -p posixrules ] [ -d directory ] \\\n"
+"\t[ -L leapseconds ] [ filename ... ]\n"
 "\n"
 "Report bugs to %s.\n"
 msgstr ""
 
-#: timezone/zic.c:505
+#: timezone/zic.c:534
 msgid "wild compilation-time specification of zic_t"
 msgstr ""
 
-#: timezone/zic.c:524
+#: timezone/zic.c:554
 #, c-format
 msgid "%s: More than one -d option specified\n"
 msgstr ""
 
-#: timezone/zic.c:534
+#: timezone/zic.c:564
 #, c-format
 msgid "%s: More than one -l option specified\n"
 msgstr ""
 
-#: timezone/zic.c:544
+#: timezone/zic.c:574
 #, c-format
 msgid "%s: More than one -p option specified\n"
 msgstr ""
 
-#: timezone/zic.c:554
+#: timezone/zic.c:584
 #, c-format
 msgid "%s: More than one -y option specified\n"
 msgstr ""
 
-#: timezone/zic.c:564
+#: timezone/zic.c:594
 #, c-format
 msgid "%s: More than one -L option specified\n"
 msgstr ""
 
-#: timezone/zic.c:611
+#: timezone/zic.c:603
+msgid "-s ignored"
+msgstr ""
+
+#: timezone/zic.c:641
 msgid "link to link"
 msgstr ""
 
-#: timezone/zic.c:678
-msgid "hard link failed, symbolic link used"
+#: timezone/zic.c:644 timezone/zic.c:648
+msgid "command line"
 msgstr ""
 
-#: timezone/zic.c:688
+#: timezone/zic.c:664
+msgid "empty file name"
+msgstr ""
+
+#: timezone/zic.c:667
 #, c-format
-msgid "%s: Can't read %s: %s\n"
+msgid "file name '%s' begins with '/'"
 msgstr ""
 
-#: timezone/zic.c:696 timezone/zic.c:1595
+#: timezone/zic.c:676
 #, c-format
-msgid "%s: Can't create %s: %s\n"
+msgid "file name '%s' contains '%.*s' component"
+msgstr ""
+
+#: timezone/zic.c:682
+#, c-format
+msgid "file name '%s' component contains leading '-'"
 msgstr ""
 
-#: timezone/zic.c:704 timezone/zic.c:939
+#: timezone/zic.c:685
 #, c-format
-msgid "%s: Error reading %s\n"
+msgid "file name '%s' contains overlength component '%.*s...'"
 msgstr ""
 
-#: timezone/zic.c:710 timezone/zic.c:1792
+#: timezone/zic.c:713
 #, c-format
-msgid "%s: Error writing %s\n"
+msgid "file name '%s' contains byte '%c'"
 msgstr ""
 
 #: timezone/zic.c:714
+#, c-format
+msgid "file name '%s' contains byte '\\%o'"
+msgstr ""
+
+#: timezone/zic.c:757
+#, c-format
+msgid "%s: link from %s failed: %s"
+msgstr ""
+
+#: timezone/zic.c:792
+msgid "hard link failed, symbolic link used"
+msgstr ""
+
+#: timezone/zic.c:802
+#, c-format
+msgid "%s: Can't read %s: %s\n"
+msgstr ""
+
+#: timezone/zic.c:810 timezone/zic.c:1701
+#, c-format
+msgid "%s: Can't create %s: %s\n"
+msgstr ""
+
+#: timezone/zic.c:818
 msgid "link failed, copy used"
 msgstr ""
 
-#: timezone/zic.c:802 timezone/zic.c:804
+#: timezone/zic.c:913 timezone/zic.c:915
 msgid "same rule name in multiple files"
 msgstr ""
 
-#: timezone/zic.c:845
+#: timezone/zic.c:956
 msgid "unruly zone"
 msgstr ""
 
-#: timezone/zic.c:852
+#: timezone/zic.c:963
 #, c-format
 msgid "%s in ruleless zone"
 msgstr ""
 
-#: timezone/zic.c:872
+#: timezone/zic.c:983
 msgid "standard input"
 msgstr ""
 
-#: timezone/zic.c:877
+#: timezone/zic.c:988
 #, c-format
 msgid "%s: Can't open %s: %s\n"
 msgstr ""
 
-#: timezone/zic.c:888
+#: timezone/zic.c:999
 msgid "line too long"
 msgstr ""
 
-#: timezone/zic.c:908
+#: timezone/zic.c:1019
 msgid "input line of unknown type"
 msgstr ""
 
-#: timezone/zic.c:924
+#: timezone/zic.c:1034
 #, c-format
-msgid "%s: Leap line in non leap seconds file %s\n"
+msgid "%s: Leap line in non leap seconds file %s"
 msgstr ""
 
-#: timezone/zic.c:931 timezone/zic.c:1339 timezone/zic.c:1361
+#: timezone/zic.c:1042 timezone/zic.c:1447 timezone/zic.c:1469
 #, c-format
 msgid "%s: panic: Invalid l_value %d\n"
 msgstr ""
 
-#: timezone/zic.c:946
-#, c-format
-msgid "%s: Error closing %s: %s\n"
-msgstr ""
-
-#: timezone/zic.c:951
+#: timezone/zic.c:1051
 msgid "expected continuation line not found"
 msgstr ""
 
-#: timezone/zic.c:992 timezone/zic.c:2644 timezone/zic.c:2658
+#: timezone/zic.c:1093 timezone/zic.c:2826
 msgid "time overflow"
 msgstr ""
 
-#: timezone/zic.c:997
+#: timezone/zic.c:1098
 msgid "values over 24 hours not handled by pre-2007 versions of zic"
 msgstr ""
 
-#: timezone/zic.c:1008
+#: timezone/zic.c:1109
 msgid "wrong number of fields on Rule line"
 msgstr ""
 
-#: timezone/zic.c:1012
+#: timezone/zic.c:1113
 msgid "nameless rule"
 msgstr ""
 
-#: timezone/zic.c:1017
+#: timezone/zic.c:1118
 msgid "invalid saved time"
 msgstr ""
 
-#: timezone/zic.c:1034
+#: timezone/zic.c:1135
 msgid "wrong number of fields on Zone line"
 msgstr ""
 
-#: timezone/zic.c:1039
+#: timezone/zic.c:1140
 #, c-format
 msgid "\"Zone %s\" line and -l option are mutually exclusive"
 msgstr ""
 
-#: timezone/zic.c:1045
+#: timezone/zic.c:1146
 #, c-format
 msgid "\"Zone %s\" line and -p option are mutually exclusive"
 msgstr ""
 
-#: timezone/zic.c:1053
+#: timezone/zic.c:1154
 #, c-format
 msgid "duplicate zone name %s (file \"%s\", line %d)"
 msgstr ""
 
-#: timezone/zic.c:1066
+#: timezone/zic.c:1167
 msgid "wrong number of fields on Zone continuation line"
 msgstr ""
 
-#: timezone/zic.c:1103
+#: timezone/zic.c:1207
 msgid "invalid UT offset"
 msgstr ""
 
-#: timezone/zic.c:1106
+#: timezone/zic.c:1211
 msgid "invalid abbreviation format"
 msgstr ""
 
-#: timezone/zic.c:1135
+#: timezone/zic.c:1220
+#, c-format
+msgid "format '%s' not handled by pre-2015 versions of zic"
+msgstr ""
+
+#: timezone/zic.c:1247
 msgid "Zone continuation line end time is not after end time of previous line"
 msgstr ""
 
-#: timezone/zic.c:1161
+#: timezone/zic.c:1274
 msgid "wrong number of fields on Leap line"
 msgstr ""
 
-#: timezone/zic.c:1170
+#: timezone/zic.c:1283
 msgid "invalid leaping year"
 msgstr ""
 
-#: timezone/zic.c:1190 timezone/zic.c:1293
+#: timezone/zic.c:1303 timezone/zic.c:1401
 msgid "invalid month name"
 msgstr ""
 
-#: timezone/zic.c:1203 timezone/zic.c:1406 timezone/zic.c:1420
+#: timezone/zic.c:1316 timezone/zic.c:1514 timezone/zic.c:1528
 msgid "invalid day of month"
 msgstr ""
 
-#: timezone/zic.c:1208
+#: timezone/zic.c:1321
 msgid "time too small"
 msgstr ""
 
-#: timezone/zic.c:1212
+#: timezone/zic.c:1325
 msgid "time too large"
 msgstr ""
 
-#: timezone/zic.c:1216 timezone/zic.c:1322
+#: timezone/zic.c:1329 timezone/zic.c:1430
 msgid "invalid time of day"
 msgstr ""
 
-#: timezone/zic.c:1235
+#: timezone/zic.c:1348
 msgid "illegal CORRECTION field on Leap line"
 msgstr ""
 
-#: timezone/zic.c:1240
+#: timezone/zic.c:1353
 msgid "illegal Rolling/Stationary field on Leap line"
 msgstr ""
 
-#: timezone/zic.c:1246
+#: timezone/zic.c:1359
 msgid "leap second precedes Big Bang"
 msgstr ""
 
-#: timezone/zic.c:1259
+#: timezone/zic.c:1372
 msgid "wrong number of fields on Link line"
 msgstr ""
 
-#: timezone/zic.c:1263
+#: timezone/zic.c:1376
 msgid "blank FROM field on Link line"
 msgstr ""
 
-#: timezone/zic.c:1267
-msgid "blank TO field on Link line"
-msgstr ""
-
-#: timezone/zic.c:1343
+#: timezone/zic.c:1451
 msgid "invalid starting year"
 msgstr ""
 
-#: timezone/zic.c:1365
+#: timezone/zic.c:1473
 msgid "invalid ending year"
 msgstr ""
 
-#: timezone/zic.c:1369
+#: timezone/zic.c:1477
 msgid "starting year greater than ending year"
 msgstr ""
 
-#: timezone/zic.c:1376
+#: timezone/zic.c:1484
 msgid "typed single year"
 msgstr ""
 
-#: timezone/zic.c:1411
+#: timezone/zic.c:1519
 msgid "invalid weekday name"
 msgstr ""
 
-#: timezone/zic.c:1530
+#: timezone/zic.c:1638
 msgid "pre-2014 clients may mishandle more than 1200 transition times"
 msgstr ""
 
-#: timezone/zic.c:1585
+#: timezone/zic.c:1691
 #, c-format
 msgid "%s: Can't remove %s: %s\n"
 msgstr ""
 
-#: timezone/zic.c:2143
-msgid "no POSIX environment variable for zone"
-msgstr ""
-
-#: timezone/zic.c:2149
+#: timezone/zic.c:1918
 #, c-format
-msgid "%s: pre-%d clients may mishandle distant timestamps"
+msgid "%%z UTC offset magnitude exceeds 99:59:59"
 msgstr ""
 
-#: timezone/zic.c:2329
-msgid "can't determine time zone abbreviation to use just after until time"
+#: timezone/zic.c:2291
+msgid "no POSIX environment variable for zone"
 msgstr ""
 
-#: timezone/zic.c:2375 timezone/zic.c:2450
-msgid "too many local time types"
+#: timezone/zic.c:2297
+#, c-format
+msgid "%s: pre-%d clients may mishandle distant timestamps"
 msgstr ""
 
-#: timezone/zic.c:2423
-msgid "internal error - addtype called with bad isdst"
+#: timezone/zic.c:2428
+msgid "two rules for same instant"
 msgstr ""
 
-#: timezone/zic.c:2427
-msgid "internal error - addtype called with bad ttisstd"
+#: timezone/zic.c:2485
+msgid "can't determine time zone abbreviation to use just after until time"
 msgstr ""
 
-#: timezone/zic.c:2431
-msgid "internal error - addtype called with bad ttisgmt"
+#: timezone/zic.c:2531 timezone/zic.c:2593
+msgid "too many local time types"
 msgstr ""
 
-#: timezone/zic.c:2454
+#: timezone/zic.c:2597
 msgid "UT offset out of range"
 msgstr ""
 
-#: timezone/zic.c:2478
+#: timezone/zic.c:2621
 msgid "too many leap seconds"
 msgstr ""
 
-#: timezone/zic.c:2484
+#: timezone/zic.c:2627
 msgid "repeated leap second moment"
 msgstr ""
 
-#: timezone/zic.c:2534
+#: timezone/zic.c:2677
 msgid "Wild result from command execution"
 msgstr ""
 
-#: timezone/zic.c:2535
+#: timezone/zic.c:2678
 #, c-format
 msgid "%s: command was '%s', result was %d\n"
 msgstr ""
 
-#: timezone/zic.c:2626
+#: timezone/zic.c:2810
 msgid "Odd number of quotation marks"
 msgstr ""
 
-#: timezone/zic.c:2703
+#: timezone/zic.c:2896
 msgid "use of 2/29 in non leap-year"
 msgstr ""
 
-#: timezone/zic.c:2738
+#: timezone/zic.c:2931
 msgid ""
-"rule goes past start/end of month--will not work with pre-2004 versions of "
+"rule goes past start/end of month; will not work with pre-2004 versions of "
 "zic"
 msgstr ""
 
-#: timezone/zic.c:2769
-msgid "time zone abbreviation lacks alphabetic at start"
-msgstr ""
-
-#: timezone/zic.c:2771
-msgid "time zone abbreviation has fewer than 3 alphabetics"
+#: timezone/zic.c:2958
+msgid "time zone abbreviation has fewer than 3 characters"
 msgstr ""
 
-#: timezone/zic.c:2773
-msgid "time zone abbreviation has too many alphabetics"
+#: timezone/zic.c:2960
+msgid "time zone abbreviation has too many characters"
 msgstr ""
 
-#: timezone/zic.c:2783
+#: timezone/zic.c:2962
 msgid "time zone abbreviation differs from POSIX standard"
 msgstr ""
 
-#: timezone/zic.c:2789
+#: timezone/zic.c:2968
 msgid "too many, or too long, time zone abbreviations"
 msgstr ""
 
-#: timezone/zic.c:2829
+#: timezone/zic.c:3004
 #, c-format
-msgid "%s: Can't create directory %s: %s\n"
+msgid "%s: Can't create directory %s: %s"
 msgstr ""
diff --git a/po/lt.po b/po/lt.po
index ea14237..e19c59c 100644
--- a/po/lt.po
+++ b/po/lt.po
@@ -6,7 +6,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: libc-2.7\n"
-"POT-Creation-Date: 2015-01-20 22:14-0500\n"
+"POT-Creation-Date: 2015-07-31 00:10-0400\n"
 "PO-Revision-Date: 2009-02-12 05:24+0200\n"
 "Last-Translator: Gintautas Miliauskas <gintas@akl.lt>\n"
 "Language-Team: Lithuanian <komp_lt@konferencijos.lt>\n"
@@ -141,10 +141,10 @@ msgstr ""
 "[IŠVEDIMO-FAILAS [DUOMENŲ-FAILAS]...]"
 
 #: catgets/gencat.c:229 debug/pcprofiledump.c:209 elf/ldconfig.c:307
-#: elf/pldd.c:244 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
+#: elf/pldd.c:252 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
 #: iconv/iconvconfig.c:379 locale/programs/locale.c:277
 #: locale/programs/localedef.c:376 login/programs/pt_chown.c:88
-#: malloc/memusagestat.c:563 nss/getent.c:969 nss/makedb.c:369
+#: malloc/memusagestat.c:563 nss/getent.c:973 nss/makedb.c:369
 #: posix/getconf.c:486 sunrpc/rpcinfo.c:691
 #: sysdeps/unix/sysv/linux/lddlibc4.c:61
 #, c-format
@@ -154,7 +154,7 @@ msgid ""
 msgstr ""
 
 #: catgets/gencat.c:245 debug/pcprofiledump.c:225 debug/xtrace.sh:64
-#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:260 elf/sotruss.sh:75
+#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:268 elf/sotruss.sh:75
 #: elf/sprof.c:389 iconv/iconv_prog.c:425 iconv/iconvconfig.c:396
 #: locale/programs/locale.c:294 locale/programs/localedef.c:402
 #: login/programs/pt_chown.c:62 malloc/memusage.sh:71
@@ -168,7 +168,7 @@ msgid ""
 msgstr ""
 
 #: catgets/gencat.c:250 debug/pcprofiledump.c:230 debug/xtrace.sh:68
-#: elf/ldconfig.c:328 elf/pldd.c:265 elf/sprof.c:395 iconv/iconv_prog.c:430
+#: elf/ldconfig.c:328 elf/pldd.c:273 elf/sprof.c:395 iconv/iconv_prog.c:430
 #: iconv/iconvconfig.c:401 locale/programs/locale.c:299
 #: locale/programs/localedef.c:407 malloc/memusage.sh:75
 #: malloc/memusagestat.c:586 nscd/nscd.c:514 nss/getent.c:91 nss/makedb.c:390
@@ -420,12 +420,12 @@ msgstr "%s pervardinimas į %s nesėkmingas"
 msgid "Renaming of %s to %s failed"
 msgstr "%s pervadinimas į %s nesėkmingas"
 
-#: elf/dl-close.c:385 elf/dl-open.c:470
+#: elf/dl-close.c:396 elf/dl-open.c:478
 #, fuzzy
 msgid "cannot create scope list"
 msgstr "nepavyko sukurti paieškos sąrašo"
 
-#: elf/dl-close.c:770
+#: elf/dl-close.c:816
 msgid "shared object not open"
 msgstr "bendrasis objektas neatvertas"
 
@@ -505,132 +505,132 @@ msgstr "nepavyko sukurti paieškos sąrašo"
 msgid "cannot stat shared object"
 msgstr "nepavyko atverti bendrojo objekto failo"
 
-#: elf/dl-load.c:963
+#: elf/dl-load.c:962
 #, fuzzy
 msgid "cannot open zero fill device"
 msgstr "nepavyko atverti duomenų failo „%s“"
 
-#: elf/dl-load.c:1010 elf/dl-load.c:2165
+#: elf/dl-load.c:1009 elf/dl-load.c:2159
 #, fuzzy
 msgid "cannot create shared object descriptor"
 msgstr "nepavyko užverti failo deskriptoriaus"
 
-#: elf/dl-load.c:1029 elf/dl-load.c:1570 elf/dl-load.c:1682
+#: elf/dl-load.c:1028 elf/dl-load.c:1568 elf/dl-load.c:1680
 msgid "cannot read file data"
 msgstr "nepavyko nuskaityti failo duomenų"
 
-#: elf/dl-load.c:1069
+#: elf/dl-load.c:1068
 msgid "ELF load command alignment not page-aligned"
 msgstr ""
 
-#: elf/dl-load.c:1076
+#: elf/dl-load.c:1075
 msgid "ELF load command address/offset not properly aligned"
 msgstr ""
 
-#: elf/dl-load.c:1160
+#: elf/dl-load.c:1159
 msgid "cannot allocate TLS data structures for initial thread"
 msgstr ""
 
-#: elf/dl-load.c:1183
+#: elf/dl-load.c:1182
 msgid "cannot handle TLS data"
 msgstr "nepavyko apdoroti TLS duomenų"
 
-#: elf/dl-load.c:1202
+#: elf/dl-load.c:1201
 msgid "object file has no loadable segments"
 msgstr "objektiniame faile nėra įkeliamų segmentų"
 
-#: elf/dl-load.c:1211 elf/dl-load.c:1662
+#: elf/dl-load.c:1210 elf/dl-load.c:1660
 #, fuzzy
 msgid "cannot dynamically load executable"
 msgstr "\tne dinaminis paleidžiamasis failas"
 
-#: elf/dl-load.c:1232
+#: elf/dl-load.c:1231
 msgid "object file has no dynamic section"
 msgstr "objektiniame faile nėra dinaminės sekcijos"
 
-#: elf/dl-load.c:1255
+#: elf/dl-load.c:1254
 msgid "shared object cannot be dlopen()ed"
 msgstr "bendrasis objektas negali būti atvertas su dlopen()"
 
-#: elf/dl-load.c:1268
+#: elf/dl-load.c:1267
 msgid "cannot allocate memory for program header"
 msgstr "nepavyko išskirti atminties programos antraštei"
 
-#: elf/dl-load.c:1284 elf/dl-open.c:195
+#: elf/dl-load.c:1283 elf/dl-open.c:195
 #, fuzzy
 msgid "invalid caller"
 msgstr "netaisyklingas kvietėjas"
 
-#: elf/dl-load.c:1307 elf/dl-load.h:130
+#: elf/dl-load.c:1306 elf/dl-load.h:130
 #, fuzzy
 msgid "cannot change memory protections"
 msgstr "nepavyko išskirti atminties programos antraštei"
 
-#: elf/dl-load.c:1327
+#: elf/dl-load.c:1326
 msgid "cannot enable executable stack as shared object requires"
 msgstr ""
 
-#: elf/dl-load.c:1340
+#: elf/dl-load.c:1339
 msgid "cannot close file descriptor"
 msgstr "nepavyko užverti failo deskriptoriaus"
 
-#: elf/dl-load.c:1570
+#: elf/dl-load.c:1568
 msgid "file too short"
 msgstr "failas per trumpas"
 
-#: elf/dl-load.c:1605
+#: elf/dl-load.c:1603
 msgid "invalid ELF header"
 msgstr "netaisyklinga ELF antraštė"
 
-#: elf/dl-load.c:1617
+#: elf/dl-load.c:1615
 msgid "ELF file data encoding not big-endian"
 msgstr "ELF failo duomenų koduotė ne big-endian"
 
-#: elf/dl-load.c:1619
+#: elf/dl-load.c:1617
 msgid "ELF file data encoding not little-endian"
 msgstr "ELF failo duomenų koduotė ne little-endian"
 
-#: elf/dl-load.c:1623
+#: elf/dl-load.c:1621
 msgid "ELF file version ident does not match current one"
 msgstr "ELF failo versijos identifikatorius neatitinka esamo"
 
-#: elf/dl-load.c:1627
+#: elf/dl-load.c:1625
 msgid "ELF file OS ABI invalid"
 msgstr "ELF failo OS ABI netaisyklingas"
 
-#: elf/dl-load.c:1630
+#: elf/dl-load.c:1628
 msgid "ELF file ABI version invalid"
 msgstr "ELF failo ABI versija netaisyklinga"
 
-#: elf/dl-load.c:1633
+#: elf/dl-load.c:1631
 msgid "nonzero padding in e_ident"
 msgstr ""
 
-#: elf/dl-load.c:1636
+#: elf/dl-load.c:1634
 msgid "internal error"
 msgstr "vidinė klaida"
 
-#: elf/dl-load.c:1643
+#: elf/dl-load.c:1641
 msgid "ELF file version does not match current one"
 msgstr "ELF failo versija neatitinka esamos"
 
-#: elf/dl-load.c:1651
+#: elf/dl-load.c:1649
 msgid "only ET_DYN and ET_EXEC can be loaded"
 msgstr ""
 
-#: elf/dl-load.c:1667
+#: elf/dl-load.c:1665
 msgid "ELF file's phentsize not the expected size"
 msgstr ""
 
-#: elf/dl-load.c:2184
+#: elf/dl-load.c:2178
 msgid "wrong ELF class: ELFCLASS64"
 msgstr "klaidinga ELF klasė: ELFCLASS64"
 
-#: elf/dl-load.c:2185
+#: elf/dl-load.c:2179
 msgid "wrong ELF class: ELFCLASS32"
 msgstr "klaidinga ELF klasė: ELFCLASS32"
 
-#: elf/dl-load.c:2188
+#: elf/dl-load.c:2182
 msgid "cannot open shared object file"
 msgstr "nepavyko atverti bendrojo objekto failo"
 
@@ -642,11 +642,11 @@ msgstr ""
 msgid "cannot map zero-fill pages"
 msgstr ""
 
-#: elf/dl-lookup.c:791
+#: elf/dl-lookup.c:845
 msgid "relocation error"
 msgstr "relokacijos klaida"
 
-#: elf/dl-lookup.c:818
+#: elf/dl-lookup.c:872
 msgid "symbol lookup error"
 msgstr "simbolio paieškos klaida"
 
@@ -654,52 +654,42 @@ msgstr "simbolio paieškos klaida"
 msgid "cannot extend global scope"
 msgstr ""
 
-#: elf/dl-open.c:520
+#: elf/dl-open.c:528
 msgid "TLS generation counter wrapped!  Please report this."
 msgstr "TLS kartų skaitiklis persivertė!  Prašytume apie tai pranešti."
 
-#: elf/dl-open.c:542
-#, fuzzy
-msgid "cannot load any more object with static TLS"
-msgstr "Nepavyko išskirti atminties"
-
-#: elf/dl-open.c:599
+#: elf/dl-open.c:592
 msgid "invalid mode for dlopen()"
 msgstr "netaisyklinga veiksena dlopen()"
 
-#: elf/dl-open.c:616
+#: elf/dl-open.c:609
 msgid "no more namespaces available for dlmopen()"
 msgstr ""
 
-#: elf/dl-open.c:634
+#: elf/dl-open.c:633
 #, fuzzy
 msgid "invalid target namespace in dlmopen()"
 msgstr "netaisyklinga veiksena dlopen()"
 
-#: elf/dl-reloc.c:120
+#: elf/dl-reloc.c:121
 #, fuzzy
 msgid "cannot allocate memory in static TLS block"
 msgstr "Nepavyko išskirti atminties"
 
-#: elf/dl-reloc.c:212
+#: elf/dl-reloc.c:206
 msgid "cannot make segment writable for relocation"
 msgstr ""
 
-#: elf/dl-reloc.c:275
-#, c-format
-msgid "%s: no PLTREL found in object %s\n"
-msgstr "%s: objekte %s nerasta PLTREL\n"
-
-#: elf/dl-reloc.c:290
+#: elf/dl-reloc.c:276
 #, c-format
 msgid "%s: out of memory to store relocation results for %s\n"
 msgstr ""
 
-#: elf/dl-reloc.c:306
+#: elf/dl-reloc.c:292
 msgid "cannot restore segment prot after reloc"
 msgstr ""
 
-#: elf/dl-reloc.c:335
+#: elf/dl-reloc.c:323
 msgid "cannot apply additional memory protection after relocation"
 msgstr ""
 
@@ -708,7 +698,7 @@ msgstr ""
 msgid "RTLD_NEXT used in code not dynamically loaded"
 msgstr "RTLD_SELF panaudotas ne dinamiškai įkeltame kode"
 
-#: elf/dl-tls.c:933
+#: elf/dl-tls.c:934
 msgid "cannot create TLS data structures"
 msgstr "nepavyko sukurti TLS duomenų struktūrų"
 
@@ -855,7 +845,7 @@ msgstr ""
 msgid "Can't open directory %s"
 msgstr "Nepavyko atverti aplanko %s"
 
-#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:90
+#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:97
 #, c-format
 msgid "Input file %s not found.\n"
 msgstr "Įvedimo failas %s nerastas.\n"
@@ -980,7 +970,7 @@ msgstr "trūksta failo argumento"
 msgid "No such file or directory"
 msgstr "Toks failas ar aplankas neegzistuoja"
 
-#: elf/ldd.bash.in:150 inet/rcmd.c:488
+#: elf/ldd.bash.in:150 inet/rcmd.c:492
 msgid "not regular file"
 msgstr "ne paprastas failas"
 
@@ -1029,71 +1019,77 @@ msgstr "nepavyko perskaityti antraštės"
 msgid "cannot read program interpreter"
 msgstr "nepavyko perskaityti antraštės"
 
-#: elf/pldd-xx.c:196
+#: elf/pldd-xx.c:197
 #, fuzzy, c-format
 #| msgid "cannot read file data"
 msgid "cannot read link map"
 msgstr "nepavyko nuskaityti failo duomenų"
 
-#: elf/pldd-xx.c:207
+#: elf/pldd-xx.c:209
 #, fuzzy, c-format
 #| msgid "cannot read header"
 msgid "cannot read object name"
 msgstr "nepavyko perskaityti antraštės"
 
-#: elf/pldd.c:63
+#: elf/pldd-xx.c:219
+#, fuzzy, c-format
+#| msgid "cannot allocate memory for program header"
+msgid "cannot allocate buffer for object name"
+msgstr "nepavyko išskirti atminties programos antraštei"
+
+#: elf/pldd.c:64
 msgid "List dynamic shared objects loaded into process."
 msgstr ""
 
-#: elf/pldd.c:67
+#: elf/pldd.c:68
 msgid "PID"
 msgstr ""
 
-#: elf/pldd.c:99
+#: elf/pldd.c:100
 #, c-format
 msgid "Exactly one parameter with process ID required.\n"
 msgstr ""
 
-#: elf/pldd.c:111
+#: elf/pldd.c:112
 #, fuzzy, c-format
 msgid "invalid process ID '%s'"
 msgstr "netaisyklingas naudotojas"
 
-#: elf/pldd.c:119
+#: elf/pldd.c:120
 #, fuzzy, c-format
 #| msgid "cannot open `%s'"
 msgid "cannot open %s"
 msgstr "nepavyko atverti „%s“"
 
-#: elf/pldd.c:144
+#: elf/pldd.c:152
 #, fuzzy, c-format
 #| msgid "cannot open `%s'"
 msgid "cannot open %s/task"
 msgstr "nepavyko atverti „%s“"
 
-#: elf/pldd.c:147
+#: elf/pldd.c:155
 #, fuzzy, c-format
 #| msgid "cannot create searchlist"
 msgid "cannot prepare reading %s/task"
 msgstr "nepavyko sukurti paieškos sąrašo"
 
-#: elf/pldd.c:160
+#: elf/pldd.c:168
 #, fuzzy, c-format
 #| msgid "invalid ELF header"
 msgid "invalid thread ID '%s'"
 msgstr "netaisyklinga ELF antraštė"
 
-#: elf/pldd.c:171
+#: elf/pldd.c:179
 #, fuzzy, c-format
 msgid "cannot attach to process %lu"
 msgstr "nepavyko atverti bendrojo objekto failo"
 
-#: elf/pldd.c:286
+#: elf/pldd.c:294
 #, c-format
 msgid "cannot get information about process %lu"
 msgstr ""
 
-#: elf/pldd.c:299
+#: elf/pldd.c:307
 #, c-format
 msgid "process %lu is no ELF program"
 msgstr ""
@@ -1128,27 +1124,27 @@ msgstr ""
 msgid "more than one dynamic segment\n"
 msgstr "daugiau negu vienas dinaminis segmentas\n"
 
-#: elf/readlib.c:96
+#: elf/readlib.c:103
 #, fuzzy, c-format
 msgid "Cannot fstat file %s.\n"
 msgstr "%s: nepavyko atverti laikinojo failo: %s"
 
-#: elf/readlib.c:107
+#: elf/readlib.c:114
 #, c-format
 msgid "File %s is empty, not checked."
 msgstr "Failas %s tuščias, todėl netikrintas."
 
-#: elf/readlib.c:113
+#: elf/readlib.c:120
 #, c-format
 msgid "File %s is too small, not checked."
 msgstr "Failas %s per mažas, todėl netikrintas."
 
-#: elf/readlib.c:123
+#: elf/readlib.c:130
 #, fuzzy, c-format
 msgid "Cannot mmap file %s.\n"
 msgstr "%s: nepavyko atverti laikinojo failo: %s"
 
-#: elf/readlib.c:161
+#: elf/readlib.c:169
 #, c-format
 msgid "%s is not an ELF file - it has the wrong magic bytes at the start.\n"
 msgstr "%s nėra ELF failas - magiškieji baitai failo pradžioje neteisingi.\n"
@@ -1277,9 +1273,9 @@ msgstr ""
 msgid "failed to load shared object `%s'"
 msgstr "nepavyko atverti bendrojo objekto failo"
 
-#: elf/sprof.c:442
+#: elf/sprof.c:442 elf/sprof.c:825 elf/sprof.c:923
 #, fuzzy, c-format
-msgid "cannot create internal descriptors"
+msgid "cannot create internal descriptor"
 msgstr "nepavyko užverti failo deskriptoriaus"
 
 #: elf/sprof.c:554
@@ -1347,11 +1343,6 @@ msgstr ""
 msgid "error while closing the profiling data file"
 msgstr "klaida užveriant išvedimo failą"
 
-#: elf/sprof.c:825 elf/sprof.c:923
-#, fuzzy, c-format
-msgid "cannot create internal descriptor"
-msgstr "nepavyko užverti failo deskriptoriaus"
-
 #: elf/sprof.c:899
 #, c-format
 msgid "`%s' is no correct profile data file for `%s'"
@@ -1602,29 +1593,29 @@ msgstr ""
 msgid "rcmd: %s: short read"
 msgstr ""
 
-#: inet/rcmd.c:486
+#: inet/rcmd.c:490
 msgid "lstat failed"
 msgstr ""
 
-#: inet/rcmd.c:493
+#: inet/rcmd.c:497
 #, fuzzy
 msgid "cannot open"
 msgstr "nepavyko atverti"
 
-#: inet/rcmd.c:495
+#: inet/rcmd.c:499
 msgid "fstat failed"
 msgstr ""
 
-#: inet/rcmd.c:497
+#: inet/rcmd.c:501
 #, fuzzy
 msgid "bad owner"
 msgstr "blogas jungtukas"
 
-#: inet/rcmd.c:499
+#: inet/rcmd.c:503
 msgid "writeable by other than owner"
 msgstr ""
 
-#: inet/rcmd.c:501
+#: inet/rcmd.c:505
 msgid "hard linked somewhere"
 msgstr ""
 
@@ -1748,8 +1739,8 @@ msgid "no symbolic name given for end of range"
 msgstr "neduotas joks simbolinis vardas"
 
 #: locale/programs/charmap.c:610 locale/programs/ld-address.c:528
-#: locale/programs/ld-collate.c:2626 locale/programs/ld-collate.c:3784
-#: locale/programs/ld-ctype.c:2162 locale/programs/ld-ctype.c:2913
+#: locale/programs/ld-collate.c:2635 locale/programs/ld-collate.c:3793
+#: locale/programs/ld-ctype.c:2128 locale/programs/ld-ctype.c:2840
 #: locale/programs/ld-identification.c:368
 #: locale/programs/ld-measurement.c:215 locale/programs/ld-messages.c:298
 #: locale/programs/ld-monetary.c:740 locale/programs/ld-name.c:264
@@ -1775,8 +1766,8 @@ msgid "%s: error in state machine"
 msgstr "%s: klaida būsenų automate"
 
 #: locale/programs/charmap.c:850 locale/programs/ld-address.c:544
-#: locale/programs/ld-collate.c:2623 locale/programs/ld-collate.c:3977
-#: locale/programs/ld-ctype.c:2159 locale/programs/ld-ctype.c:2930
+#: locale/programs/ld-collate.c:2632 locale/programs/ld-collate.c:3986
+#: locale/programs/ld-ctype.c:2125 locale/programs/ld-ctype.c:2857
 #: locale/programs/ld-identification.c:384
 #: locale/programs/ld-measurement.c:231 locale/programs/ld-messages.c:314
 #: locale/programs/ld-monetary.c:756 locale/programs/ld-name.c:280
@@ -1797,7 +1788,7 @@ msgstr "nežinomas simbolis „%s“"
 msgid "number of bytes for byte sequence of beginning and end of range not the same: %d vs %d"
 msgstr ""
 
-#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2903
+#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2912
 #: locale/programs/repertoire.c:419
 #, fuzzy
 msgid "invalid names for character range"
@@ -1820,8 +1811,8 @@ msgstr "viršutinė riba mažesnė už apatinę ribą"
 msgid "resulting bytes for range not representable."
 msgstr ""
 
-#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1565
-#: locale/programs/ld-ctype.c:465 locale/programs/ld-identification.c:133
+#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1566
+#: locale/programs/ld-ctype.c:431 locale/programs/ld-identification.c:133
 #: locale/programs/ld-measurement.c:94 locale/programs/ld-messages.c:97
 #: locale/programs/ld-monetary.c:193 locale/programs/ld-name.c:94
 #: locale/programs/ld-numeric.c:98 locale/programs/ld-paper.c:91
@@ -1885,7 +1876,7 @@ msgid "%s: numeric country code `%d' not valid"
 msgstr ""
 
 #: locale/programs/ld-address.c:436 locale/programs/ld-address.c:473
-#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2537
+#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2489
 #: locale/programs/ld-identification.c:280
 #: locale/programs/ld-measurement.c:198 locale/programs/ld-messages.c:267
 #: locale/programs/ld-monetary.c:495 locale/programs/ld-monetary.c:530
@@ -1907,8 +1898,8 @@ msgstr "%s: laukas „%s“ apibrėžtas daugiau negu vieną kartą"
 msgid "%s: unknown character in field `%s'"
 msgstr "%s: nežinomas simbolis lauke „%s“"
 
-#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3782
-#: locale/programs/ld-ctype.c:2910 locale/programs/ld-identification.c:365
+#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3791
+#: locale/programs/ld-ctype.c:2837 locale/programs/ld-identification.c:365
 #: locale/programs/ld-measurement.c:212 locale/programs/ld-messages.c:296
 #: locale/programs/ld-monetary.c:738 locale/programs/ld-name.c:262
 #: locale/programs/ld-numeric.c:324 locale/programs/ld-paper.c:212
@@ -1917,12 +1908,12 @@ msgstr "%s: nežinomas simbolis lauke „%s“"
 msgid "%s: incomplete `END' line"
 msgstr "%s: nepilna „END“ eilutė"
 
-#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:551
-#: locale/programs/ld-collate.c:603 locale/programs/ld-collate.c:899
-#: locale/programs/ld-collate.c:912 locale/programs/ld-collate.c:2592
-#: locale/programs/ld-collate.c:2613 locale/programs/ld-collate.c:3967
-#: locale/programs/ld-ctype.c:1891 locale/programs/ld-ctype.c:2149
-#: locale/programs/ld-ctype.c:2735 locale/programs/ld-ctype.c:2921
+#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:552
+#: locale/programs/ld-collate.c:604 locale/programs/ld-collate.c:900
+#: locale/programs/ld-collate.c:913 locale/programs/ld-collate.c:2601
+#: locale/programs/ld-collate.c:2622 locale/programs/ld-collate.c:3976
+#: locale/programs/ld-ctype.c:1857 locale/programs/ld-ctype.c:2115
+#: locale/programs/ld-ctype.c:2687 locale/programs/ld-ctype.c:2848
 #: locale/programs/ld-identification.c:375
 #: locale/programs/ld-measurement.c:222 locale/programs/ld-messages.c:305
 #: locale/programs/ld-monetary.c:747 locale/programs/ld-name.c:271
@@ -1932,477 +1923,477 @@ msgstr "%s: nepilna „END“ eilutė"
 msgid "%s: syntax error"
 msgstr "%s: sintaksės klaida"
 
-#: locale/programs/ld-collate.c:426
+#: locale/programs/ld-collate.c:427
 #, c-format
 msgid "`%.*s' already defined in charmap"
 msgstr ""
 
-#: locale/programs/ld-collate.c:435
+#: locale/programs/ld-collate.c:436
 #, c-format
 msgid "`%.*s' already defined in repertoire"
 msgstr ""
 
-#: locale/programs/ld-collate.c:442
+#: locale/programs/ld-collate.c:443
 #, c-format
 msgid "`%.*s' already defined as collating symbol"
 msgstr ""
 
-#: locale/programs/ld-collate.c:449
+#: locale/programs/ld-collate.c:450
 #, c-format
 msgid "`%.*s' already defined as collating element"
 msgstr ""
 
-#: locale/programs/ld-collate.c:480 locale/programs/ld-collate.c:506
+#: locale/programs/ld-collate.c:481 locale/programs/ld-collate.c:507
 #, c-format
 msgid "%s: `forward' and `backward' are mutually excluding each other"
 msgstr ""
 
-#: locale/programs/ld-collate.c:490 locale/programs/ld-collate.c:516
-#: locale/programs/ld-collate.c:532
+#: locale/programs/ld-collate.c:491 locale/programs/ld-collate.c:517
+#: locale/programs/ld-collate.c:533
 #, c-format
 msgid "%s: `%s' mentioned more than once in definition of weight %d"
 msgstr ""
 
-#: locale/programs/ld-collate.c:588
+#: locale/programs/ld-collate.c:589
 #, c-format
 msgid "%s: too many rules; first entry only had %d"
 msgstr ""
 
-#: locale/programs/ld-collate.c:624
+#: locale/programs/ld-collate.c:625
 #, c-format
 msgid "%s: not enough sorting rules"
 msgstr ""
 
-#: locale/programs/ld-collate.c:789
+#: locale/programs/ld-collate.c:790
 #, c-format
 msgid "%s: empty weight string not allowed"
 msgstr ""
 
-#: locale/programs/ld-collate.c:884
+#: locale/programs/ld-collate.c:885
 #, c-format
 msgid "%s: weights must use the same ellipsis symbol as the name"
 msgstr ""
 
-#: locale/programs/ld-collate.c:940
+#: locale/programs/ld-collate.c:941
 #, fuzzy, c-format
 msgid "%s: too many values"
 msgstr "%s: Per daug argumentų\n"
 
-#: locale/programs/ld-collate.c:1060 locale/programs/ld-collate.c:1235
+#: locale/programs/ld-collate.c:1061 locale/programs/ld-collate.c:1236
 #, c-format
 msgid "order for `%.*s' already defined at %s:%Zu"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1110
+#: locale/programs/ld-collate.c:1111
 #, c-format
 msgid "%s: the start and the end symbol of a range must stand for characters"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1137
+#: locale/programs/ld-collate.c:1138
 #, c-format
 msgid "%s: byte sequences of first and last character must have the same length"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1179
+#: locale/programs/ld-collate.c:1180
 #, c-format
 msgid "%s: byte sequence of first character of range is not lower than that of the last character"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1304
+#: locale/programs/ld-collate.c:1305
 #, c-format
 msgid "%s: symbolic range ellipsis must not directly follow `order_start'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1308
+#: locale/programs/ld-collate.c:1309
 #, c-format
 msgid "%s: symbolic range ellipsis must not be directly followed by `order_end'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1328 locale/programs/ld-ctype.c:1408
+#: locale/programs/ld-collate.c:1329 locale/programs/ld-ctype.c:1374
 #, c-format
 msgid "`%s' and `%.*s' are not valid names for symbolic range"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1378 locale/programs/ld-collate.c:3718
+#: locale/programs/ld-collate.c:1379 locale/programs/ld-collate.c:3727
 #, c-format
 msgid "%s: order for `%.*s' already defined at %s:%Zu"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1387
+#: locale/programs/ld-collate.c:1388
 #, fuzzy, c-format
 msgid "%s: `%s' must be a character"
 msgstr "„%s“: trūksta formato simbolio"
 
-#: locale/programs/ld-collate.c:1582
+#: locale/programs/ld-collate.c:1583
 #, c-format
 msgid "%s: `position' must be used for a specific level in all sections or none"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1607
+#: locale/programs/ld-collate.c:1608
 #, c-format
 msgid "symbol `%s' not defined"
 msgstr "simbolis „%s“ neapibrėžtas"
 
-#: locale/programs/ld-collate.c:1683 locale/programs/ld-collate.c:1789
+#: locale/programs/ld-collate.c:1684 locale/programs/ld-collate.c:1790
 #, c-format
 msgid "symbol `%s' has the same encoding as"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1687 locale/programs/ld-collate.c:1793
+#: locale/programs/ld-collate.c:1688 locale/programs/ld-collate.c:1794
 #, c-format
 msgid "symbol `%s'"
 msgstr "simbolis „%s“"
 
-#: locale/programs/ld-collate.c:1833
+#: locale/programs/ld-collate.c:1834
 #, c-format
 msgid "no definition of `UNDEFINED'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1862
+#: locale/programs/ld-collate.c:1863
 #, c-format
 msgid "too many errors; giving up"
 msgstr "per daug klaidų; pasiduodu"
 
-#: locale/programs/ld-collate.c:2518 locale/programs/ld-collate.c:3906
+#: locale/programs/ld-collate.c:2527 locale/programs/ld-collate.c:3915
 #, fuzzy, c-format
 msgid "%s: nested conditionals not supported"
 msgstr "Operacija nepalaikoma"
 
-#: locale/programs/ld-collate.c:2536
+#: locale/programs/ld-collate.c:2545
 #, fuzzy, c-format
 msgid "%s: more than one 'else'"
 msgstr "%s: nėra baigimo specifikacijos"
 
-#: locale/programs/ld-collate.c:2711
+#: locale/programs/ld-collate.c:2720
 #, fuzzy, c-format
 msgid "%s: duplicate definition of `%s'"
 msgstr "kartotinis <%s> apibrėžimas"
 
-#: locale/programs/ld-collate.c:2747
+#: locale/programs/ld-collate.c:2756
 #, fuzzy, c-format
 msgid "%s: duplicate declaration of section `%s'"
 msgstr "kartotinis <%s> apibrėžimas"
 
-#: locale/programs/ld-collate.c:2883
+#: locale/programs/ld-collate.c:2892
 #, fuzzy, c-format
 msgid "%s: unknown character in collating symbol name"
 msgstr "%s: nežinomas simbolis lauke „%s“"
 
-#: locale/programs/ld-collate.c:3012
+#: locale/programs/ld-collate.c:3021
 #, fuzzy, c-format
 msgid "%s: unknown character in equivalent definition name"
 msgstr "%s: nežinomas simbolis lauke „%s“"
 
-#: locale/programs/ld-collate.c:3023
+#: locale/programs/ld-collate.c:3032
 #, fuzzy, c-format
 msgid "%s: unknown character in equivalent definition value"
 msgstr "%s: nežinomas simbolis lauke „%s“"
 
-#: locale/programs/ld-collate.c:3033
+#: locale/programs/ld-collate.c:3042
 #, c-format
 msgid "%s: unknown symbol `%s' in equivalent definition"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3042
+#: locale/programs/ld-collate.c:3051
 #, fuzzy
 msgid "error while adding equivalent collating symbol"
 msgstr "klaida įkeliant bendrąsias bibliotekas"
 
-#: locale/programs/ld-collate.c:3080
+#: locale/programs/ld-collate.c:3089
 #, fuzzy, c-format
 msgid "duplicate definition of script `%s'"
 msgstr "kartotinis <%s> apibrėžimas"
 
-#: locale/programs/ld-collate.c:3128
+#: locale/programs/ld-collate.c:3137
 #, fuzzy, c-format
 msgid "%s: unknown section name `%.*s'"
 msgstr "„%s“: nežinomas funkcijos pavadinimas"
 
-#: locale/programs/ld-collate.c:3157
+#: locale/programs/ld-collate.c:3166
 #, c-format
 msgid "%s: multiple order definitions for section `%s'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3185
+#: locale/programs/ld-collate.c:3194
 #, fuzzy, c-format
 msgid "%s: invalid number of sorting rules"
 msgstr "%s: netaisyklingas argumentas"
 
-#: locale/programs/ld-collate.c:3212
+#: locale/programs/ld-collate.c:3221
 #, c-format
 msgid "%s: multiple order definitions for unnamed section"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3267 locale/programs/ld-collate.c:3397
-#: locale/programs/ld-collate.c:3760
+#: locale/programs/ld-collate.c:3276 locale/programs/ld-collate.c:3406
+#: locale/programs/ld-collate.c:3769
 #, fuzzy, c-format
 msgid "%s: missing `order_end' keyword"
 msgstr "%s: trūksta dvitaškio skirtuko"
 
-#: locale/programs/ld-collate.c:3330
+#: locale/programs/ld-collate.c:3339
 #, c-format
 msgid "%s: order for collating symbol %.*s not yet defined"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3348
+#: locale/programs/ld-collate.c:3357
 #, c-format
 msgid "%s: order for collating element %.*s not yet defined"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3359
+#: locale/programs/ld-collate.c:3368
 #, c-format
 msgid "%s: cannot reorder after %.*s: symbol not known"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3411 locale/programs/ld-collate.c:3772
+#: locale/programs/ld-collate.c:3420 locale/programs/ld-collate.c:3781
 #, fuzzy, c-format
 msgid "%s: missing `reorder-end' keyword"
 msgstr "%s: trūksta dvitaškio skirtuko"
 
-#: locale/programs/ld-collate.c:3445 locale/programs/ld-collate.c:3643
+#: locale/programs/ld-collate.c:3454 locale/programs/ld-collate.c:3652
 #, fuzzy, c-format
 msgid "%s: section `%.*s' not known"
 msgstr "Duomenų failas %s nerastas.\n"
 
-#: locale/programs/ld-collate.c:3510
+#: locale/programs/ld-collate.c:3519
 #, c-format
 msgid "%s: bad symbol <%.*s>"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3706
+#: locale/programs/ld-collate.c:3715
 #, c-format
 msgid "%s: cannot have `%s' as end of ellipsis range"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3756
+#: locale/programs/ld-collate.c:3765
 #, c-format
 msgid "%s: empty category description not allowed"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3775
+#: locale/programs/ld-collate.c:3784
 #, c-format
 msgid "%s: missing `reorder-sections-end' keyword"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3939
+#: locale/programs/ld-collate.c:3948
 #, c-format
 msgid "%s: '%s' without matching 'ifdef' or 'ifndef'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3957
+#: locale/programs/ld-collate.c:3966
 #, c-format
 msgid "%s: 'endif' without matching 'ifdef' or 'ifndef'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:484
+#: locale/programs/ld-ctype.c:450
 #, c-format
 msgid "No character set name specified in charmap"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:513
+#: locale/programs/ld-ctype.c:479
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must be in class `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:528
+#: locale/programs/ld-ctype.c:494
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must not be in class `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:542 locale/programs/ld-ctype.c:600
+#: locale/programs/ld-ctype.c:508 locale/programs/ld-ctype.c:566
 #, c-format
 msgid "internal error in %s, line %u"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:571
+#: locale/programs/ld-ctype.c:537
 #, c-format
 msgid "character '%s' in class `%s' must be in class `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:587
+#: locale/programs/ld-ctype.c:553
 #, c-format
 msgid "character '%s' in class `%s' must not be in class `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:617 locale/programs/ld-ctype.c:655
+#: locale/programs/ld-ctype.c:583 locale/programs/ld-ctype.c:621
 #, c-format
 msgid "<SP> character not in class `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:629 locale/programs/ld-ctype.c:666
+#: locale/programs/ld-ctype.c:595 locale/programs/ld-ctype.c:632
 #, c-format
 msgid "<SP> character must not be in class `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:644
+#: locale/programs/ld-ctype.c:610
 #, c-format
 msgid "character <SP> not defined in character map"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:780
+#: locale/programs/ld-ctype.c:746
 #, c-format
 msgid "`digit' category has not entries in groups of ten"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:829
+#: locale/programs/ld-ctype.c:795
 #, c-format
 msgid "no input digits defined and none of the standard names in the charmap"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:894
+#: locale/programs/ld-ctype.c:860
 #, c-format
 msgid "not all characters used in `outdigit' are available in the charmap"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:911
+#: locale/programs/ld-ctype.c:877
 #, c-format
 msgid "not all characters used in `outdigit' are available in the repertoire"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1176
+#: locale/programs/ld-ctype.c:1142
 #, c-format
 msgid "character class `%s' already defined"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1182
+#: locale/programs/ld-ctype.c:1148
 #, c-format
 msgid "implementation limit: no more than %Zd character classes allowed"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1208
+#: locale/programs/ld-ctype.c:1174
 #, c-format
 msgid "character map `%s' already defined"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1214
+#: locale/programs/ld-ctype.c:1180
 #, c-format
 msgid "implementation limit: no more than %d character maps allowed"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1479 locale/programs/ld-ctype.c:1604
-#: locale/programs/ld-ctype.c:1710 locale/programs/ld-ctype.c:2400
-#: locale/programs/ld-ctype.c:3397
+#: locale/programs/ld-ctype.c:1445 locale/programs/ld-ctype.c:1570
+#: locale/programs/ld-ctype.c:1676 locale/programs/ld-ctype.c:2352
+#: locale/programs/ld-ctype.c:3324
 #, fuzzy, c-format
 msgid "%s: field `%s' does not contain exactly ten entries"
 msgstr "%s: laukas „%s“ apibrėžtas daugiau negu vieną kartą"
 
-#: locale/programs/ld-ctype.c:1507 locale/programs/ld-ctype.c:2081
+#: locale/programs/ld-ctype.c:1473 locale/programs/ld-ctype.c:2047
 #, c-format
 msgid "to-value <U%0*X> of range is smaller than from-value <U%0*X>"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1634
+#: locale/programs/ld-ctype.c:1600
 msgid "start and end character sequence of range must have the same length"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1641
+#: locale/programs/ld-ctype.c:1607
 msgid "to-value character sequence is smaller than from-value sequence"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2001 locale/programs/ld-ctype.c:2052
+#: locale/programs/ld-ctype.c:1967 locale/programs/ld-ctype.c:2018
 msgid "premature end of `translit_ignore' definition"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2007 locale/programs/ld-ctype.c:2058
-#: locale/programs/ld-ctype.c:2100
+#: locale/programs/ld-ctype.c:1973 locale/programs/ld-ctype.c:2024
+#: locale/programs/ld-ctype.c:2066
 msgid "syntax error"
 msgstr "sintaksės klaida"
 
-#: locale/programs/ld-ctype.c:2233
+#: locale/programs/ld-ctype.c:2199
 #, fuzzy, c-format
 msgid "%s: syntax error in definition of new character class"
 msgstr "sintaksės klaida %s aprašyme: %s"
 
-#: locale/programs/ld-ctype.c:2248
+#: locale/programs/ld-ctype.c:2214
 #, c-format
 msgid "%s: syntax error in definition of new character map"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2422
+#: locale/programs/ld-ctype.c:2374
 msgid "ellipsis range must be marked by two operands of same type"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2431
+#: locale/programs/ld-ctype.c:2383
 msgid "with symbolic name range values the absolute ellipsis `...' must not be used"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2446
+#: locale/programs/ld-ctype.c:2398
 msgid "with UCS range values one must use the hexadecimal symbolic ellipsis `..'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2460
+#: locale/programs/ld-ctype.c:2412
 msgid "with character code range values one must use the absolute ellipsis `...'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2611
+#: locale/programs/ld-ctype.c:2563
 #, fuzzy, c-format
 msgid "duplicated definition for mapping `%s'"
 msgstr "kartotinis <%s> apibrėžimas"
 
-#: locale/programs/ld-ctype.c:2697 locale/programs/ld-ctype.c:2841
+#: locale/programs/ld-ctype.c:2649 locale/programs/ld-ctype.c:2793
 #, fuzzy, c-format
 msgid "%s: `translit_start' section does not end with `translit_end'"
 msgstr "%1$s: apibrėžimas neužbaigtas „END %1$s“"
 
-#: locale/programs/ld-ctype.c:2792
+#: locale/programs/ld-ctype.c:2744
 #, fuzzy, c-format
 msgid "%s: duplicate `default_missing' definition"
 msgstr "pakartotinis rinkinio apibrėžimas"
 
-#: locale/programs/ld-ctype.c:2797
+#: locale/programs/ld-ctype.c:2749
 msgid "previous definition was here"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2819
+#: locale/programs/ld-ctype.c:2771
 #, c-format
 msgid "%s: no representable `default_missing' definition found"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2962 locale/programs/ld-ctype.c:3059
-#: locale/programs/ld-ctype.c:3079 locale/programs/ld-ctype.c:3100
-#: locale/programs/ld-ctype.c:3121 locale/programs/ld-ctype.c:3142
-#: locale/programs/ld-ctype.c:3163 locale/programs/ld-ctype.c:3203
-#: locale/programs/ld-ctype.c:3224 locale/programs/ld-ctype.c:3289
-#: locale/programs/ld-ctype.c:3331 locale/programs/ld-ctype.c:3356
+#: locale/programs/ld-ctype.c:2889 locale/programs/ld-ctype.c:2986
+#: locale/programs/ld-ctype.c:3006 locale/programs/ld-ctype.c:3027
+#: locale/programs/ld-ctype.c:3048 locale/programs/ld-ctype.c:3069
+#: locale/programs/ld-ctype.c:3090 locale/programs/ld-ctype.c:3130
+#: locale/programs/ld-ctype.c:3151 locale/programs/ld-ctype.c:3216
+#: locale/programs/ld-ctype.c:3258 locale/programs/ld-ctype.c:3283
 #, c-format
 msgid "%s: character `%s' not defined while needed as default value"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2967 locale/programs/ld-ctype.c:3064
-#: locale/programs/ld-ctype.c:3084 locale/programs/ld-ctype.c:3105
-#: locale/programs/ld-ctype.c:3126 locale/programs/ld-ctype.c:3147
-#: locale/programs/ld-ctype.c:3168 locale/programs/ld-ctype.c:3208
-#: locale/programs/ld-ctype.c:3229 locale/programs/ld-ctype.c:3294
+#: locale/programs/ld-ctype.c:2894 locale/programs/ld-ctype.c:2991
+#: locale/programs/ld-ctype.c:3011 locale/programs/ld-ctype.c:3032
+#: locale/programs/ld-ctype.c:3053 locale/programs/ld-ctype.c:3074
+#: locale/programs/ld-ctype.c:3095 locale/programs/ld-ctype.c:3135
+#: locale/programs/ld-ctype.c:3156 locale/programs/ld-ctype.c:3221
 #, c-format
 msgid "%s: character `%s' in charmap not representable with one byte"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3338 locale/programs/ld-ctype.c:3363
+#: locale/programs/ld-ctype.c:3265 locale/programs/ld-ctype.c:3290
 #, c-format
 msgid "%s: character `%s' needed as default value not representable with one byte"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3419
+#: locale/programs/ld-ctype.c:3346
 #, c-format
 msgid "no output digits defined and none of the standard names in the charmap"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3668
+#: locale/programs/ld-ctype.c:3595
 #, c-format
 msgid "%s: transliteration data from locale `%s' not available"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3768
+#: locale/programs/ld-ctype.c:3695
 #, c-format
 msgid "%s: table for class \"%s\": %lu bytes\n"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3833
+#: locale/programs/ld-ctype.c:3760
 #, fuzzy, c-format
 msgid "%s: table for map \"%s\": %lu bytes\n"
 msgstr "%s: nepavyko atverti %s: %m\n"
 
-#: locale/programs/ld-ctype.c:3958
+#: locale/programs/ld-ctype.c:3885
 #, c-format
 msgid "%s: table for width: %lu bytes\n"
 msgstr ""
@@ -3820,17 +3811,23 @@ msgstr ""
 msgid " (first)"
 msgstr ""
 
-#: nscd/cache.c:285 nscd/connections.c:1000
+#: nscd/cache.c:288
 #, fuzzy, c-format
-msgid "cannot stat() file `%s': %s"
+#| msgid "cannot open database file `%s': %s"
+msgid "checking for monitored file `%s': %s"
 msgstr "nepavyko atverti duomenų bazės failo „%s“: %s"
 
-#: nscd/cache.c:331
+#: nscd/cache.c:298
+#, c-format
+msgid "monitored file `%s` changed (mtime)"
+msgstr ""
+
+#: nscd/cache.c:341
 #, c-format
 msgid "pruning %s cache; time %ld"
 msgstr ""
 
-#: nscd/cache.c:360
+#: nscd/cache.c:370
 #, c-format
 msgid "considering %s entry \"%s\", timeout %<PRIu64>"
 msgstr ""
@@ -3921,153 +3918,214 @@ msgstr "nepavyko sukurti laikino failo „here“ dokumentui: %s"
 msgid "cannot enable socket to accept connections: %s"
 msgstr ""
 
-#: nscd/connections.c:984
+#: nscd/connections.c:973
+#, c-format
+msgid "disabled inotify-based monitoring for file `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:977
+#, c-format
+msgid "monitoring file `%s` (%d)"
+msgstr ""
+
+#: nscd/connections.c:990
+#, c-format
+msgid "disabled inotify-based monitoring for directory `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:994
+#, fuzzy, c-format
+#| msgid "Can't open directory %s"
+msgid "monitoring directory `%s` (%d)"
+msgstr "Nepavyko atverti aplanko %s"
+
+#: nscd/connections.c:1022
+#, c-format
+msgid "monitoring file %s for database %s"
+msgstr ""
+
+#: nscd/connections.c:1032
 #, c-format
-msgid "register trace file %s for database %s"
+msgid "stat failed for file `%s'; will try again later: %s"
 msgstr ""
 
-#: nscd/connections.c:1114
+#: nscd/connections.c:1151
 #, c-format
 msgid "provide access to FD %d, for %s"
 msgstr ""
 
-#: nscd/connections.c:1126
+#: nscd/connections.c:1163
 #, c-format
 msgid "cannot handle old request version %d; current version is %d"
 msgstr ""
 
-#: nscd/connections.c:1148
+#: nscd/connections.c:1185
 #, c-format
 msgid "request from %ld not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1153
+#: nscd/connections.c:1190
 #, c-format
 msgid "request from '%s' [%ld] not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1158
+#: nscd/connections.c:1195
 msgid "request not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1196 nscd/connections.c:1249
+#: nscd/connections.c:1233 nscd/connections.c:1286
 #, fuzzy, c-format
 msgid "cannot write result: %s"
 msgstr "%s:%u: nepavyko perskaityti aplanko %s"
 
-#: nscd/connections.c:1340
+#: nscd/connections.c:1377
 #, fuzzy, c-format
 msgid "error getting caller's id: %s"
 msgstr "rašomas %s"
 
-#: nscd/connections.c:1400
+#: nscd/connections.c:1437
 #, c-format
 msgid "cannot open /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1414
+#: nscd/connections.c:1451
 #, c-format
 msgid "cannot read /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1454
+#: nscd/connections.c:1491
 #, c-format
 msgid "cannot change to old UID: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1464
+#: nscd/connections.c:1501
 #, c-format
 msgid "cannot change to old GID: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1477
+#: nscd/connections.c:1514
 #, c-format
 msgid "cannot change to old working directory: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1523
+#: nscd/connections.c:1560
 #, c-format
 msgid "re-exec failed: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1532
+#: nscd/connections.c:1569
 #, fuzzy, c-format
 msgid "cannot change current working directory to \"/\": %s"
 msgstr "<nėra esamo aplanko>"
 
-#: nscd/connections.c:1725
+#: nscd/connections.c:1762
 #, fuzzy, c-format
 msgid "short read while reading request: %s"
 msgstr "problemos skaitant „%s“"
 
-#: nscd/connections.c:1758
+#: nscd/connections.c:1795
 #, c-format
 msgid "key length in request too long: %d"
 msgstr ""
 
-#: nscd/connections.c:1771
+#: nscd/connections.c:1808
 #, c-format
 msgid "short read while reading request key: %s"
 msgstr ""
 
-#: nscd/connections.c:1781
+#: nscd/connections.c:1818
 #, c-format
 msgid "handle_request: request received (Version = %d) from PID %ld"
 msgstr ""
 
-#: nscd/connections.c:1786
+#: nscd/connections.c:1823
 #, c-format
 msgid "handle_request: request received (Version = %d)"
 msgstr ""
 
-#: nscd/connections.c:2050 nscd/connections.c:2252
+#: nscd/connections.c:1963
+#, c-format
+msgid "ignored inotify event for `%s` (file exists)"
+msgstr ""
+
+#: nscd/connections.c:1968
+#, c-format
+msgid "monitored file `%s` was %s, removing watch"
+msgstr ""
+
+#: nscd/connections.c:1976 nscd/connections.c:2018
+#, c-format
+msgid "failed to remove file watch `%s`: %s"
+msgstr ""
+
+#: nscd/connections.c:1991
+#, c-format
+msgid "monitored file `%s` was written to"
+msgstr ""
+
+#: nscd/connections.c:2015
 #, c-format
-msgid "disabled inotify after read error %d"
+msgid "monitored parent directory `%s` was %s, removing watch on `%s`"
 msgstr ""
 
-#: nscd/connections.c:2375
+#: nscd/connections.c:2041
+#, c-format
+msgid "monitored file `%s` was %s, adding watch"
+msgstr ""
+
+#: nscd/connections.c:2053
+#, fuzzy, c-format
+msgid "failed to add file watch `%s`: %s"
+msgstr "nepavyko atverti bendrojo objekto failo"
+
+#: nscd/connections.c:2247 nscd/connections.c:2428
+#, c-format
+msgid "disabled inotify-based monitoring after read error %d"
+msgstr ""
+
+#: nscd/connections.c:2543
 msgid "could not initialize conditional variable"
 msgstr ""
 
-#: nscd/connections.c:2383
+#: nscd/connections.c:2551
 msgid "could not start clean-up thread; terminating"
 msgstr ""
 
-#: nscd/connections.c:2397
+#: nscd/connections.c:2565
 msgid "could not start any worker thread; terminating"
 msgstr ""
 
-#: nscd/connections.c:2452 nscd/connections.c:2454 nscd/connections.c:2470
-#: nscd/connections.c:2480 nscd/connections.c:2498 nscd/connections.c:2509
-#: nscd/connections.c:2519
+#: nscd/connections.c:2620 nscd/connections.c:2622 nscd/connections.c:2638
+#: nscd/connections.c:2648 nscd/connections.c:2666 nscd/connections.c:2677
+#: nscd/connections.c:2687
 #, c-format
 msgid "Failed to run nscd as user '%s'"
 msgstr ""
 
-#: nscd/connections.c:2472
+#: nscd/connections.c:2640
 msgid "initial getgrouplist failed"
 msgstr ""
 
-#: nscd/connections.c:2481
+#: nscd/connections.c:2649
 msgid "getgrouplist failed"
 msgstr ""
 
-#: nscd/connections.c:2499
+#: nscd/connections.c:2667
 msgid "setgroups failed"
 msgstr ""
 
-#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:410
+#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:411
 #: nscd/pwdcache.c:383 nscd/servicescache.c:338
 #, fuzzy, c-format
 msgid "short write in %s: %s"
 msgstr "%s: Klaida rašant %s\n"
 
-#: nscd/grpcache.c:450 nscd/initgrcache.c:77
+#: nscd/grpcache.c:450 nscd/initgrcache.c:78
 #, c-format
 msgid "Haven't found \"%s\" in group cache!"
 msgstr ""
 
-#: nscd/grpcache.c:452 nscd/initgrcache.c:79
+#: nscd/grpcache.c:452 nscd/initgrcache.c:80
 #, c-format
 msgid "Reloading \"%s\" in group cache!"
 msgstr ""
@@ -4158,7 +4216,7 @@ msgstr ""
 msgid "Name Service Cache Daemon."
 msgstr ""
 
-#: nscd/nscd.c:155 nss/getent.c:1003 nss/makedb.c:206
+#: nscd/nscd.c:155 nss/getent.c:1007 nss/makedb.c:206
 #, fuzzy, c-format
 msgid "wrong number of arguments"
 msgstr "per daug argumentų"
@@ -4192,7 +4250,7 @@ msgstr "<nėra esamo aplanko>"
 msgid "Could not create log file"
 msgstr ""
 
-#: nscd/nscd.c:355 nscd/nscd_stat.c:192
+#: nscd/nscd.c:355 nscd/nscd_stat.c:194
 #, c-format
 msgid "write incomplete"
 msgstr ""
@@ -4207,7 +4265,7 @@ msgstr "nepavyko nuskaityti failo duomenų"
 msgid "invalidation failed"
 msgstr "netinkamas mėnesio pavadinimas"
 
-#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:173
+#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:175
 #, c-format
 msgid "Only root is allowed to use this option!"
 msgstr ""
@@ -4289,35 +4347,35 @@ msgstr ""
 msgid "maximum file size for %s database too small"
 msgstr ""
 
-#: nscd/nscd_stat.c:142
+#: nscd/nscd_stat.c:144
 #, fuzzy, c-format
 msgid "cannot write statistics: %s"
 msgstr "nepavyko sukurti paieškos sąrašo"
 
-#: nscd/nscd_stat.c:157
+#: nscd/nscd_stat.c:159
 msgid "yes"
 msgstr "taip"
 
-#: nscd/nscd_stat.c:158
+#: nscd/nscd_stat.c:160
 msgid "no"
 msgstr "ne"
 
-#: nscd/nscd_stat.c:169
+#: nscd/nscd_stat.c:171
 #, c-format
 msgid "Only root or %s is allowed to use this option!"
 msgstr ""
 
-#: nscd/nscd_stat.c:180
+#: nscd/nscd_stat.c:182
 #, c-format
 msgid "nscd not running!\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:204
+#: nscd/nscd_stat.c:206
 #, fuzzy, c-format
 msgid "cannot read statistics data"
 msgstr "nepavyko nuskaityti failo duomenų"
 
-#: nscd/nscd_stat.c:207
+#: nscd/nscd_stat.c:209
 #, c-format
 msgid ""
 "nscd configuration:\n"
@@ -4325,27 +4383,27 @@ msgid ""
 "%15d  server debug level\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:231
+#: nscd/nscd_stat.c:233
 #, c-format
 msgid "%3ud %2uh %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:234
+#: nscd/nscd_stat.c:236
 #, c-format
 msgid "    %2uh %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:236
+#: nscd/nscd_stat.c:238
 #, c-format
 msgid "        %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:238
+#: nscd/nscd_stat.c:240
 #, c-format
 msgid "            %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:240
+#: nscd/nscd_stat.c:242
 #, c-format
 msgid ""
 "%15d  current number of threads\n"
@@ -4356,7 +4414,7 @@ msgid ""
 "%15u  reload count\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:275
+#: nscd/nscd_stat.c:277
 #, c-format
 msgid ""
 "\n"
@@ -4399,86 +4457,86 @@ msgstr ""
 msgid "Invalid numeric uid \"%s\"!"
 msgstr "nekorektiška eilutė"
 
-#: nscd/selinux.c:155
+#: nscd/selinux.c:154
 #, c-format
 msgid "Failed opening connection to the audit subsystem: %m"
 msgstr ""
 
-#: nscd/selinux.c:176
+#: nscd/selinux.c:175
 msgid "Failed to set keep-capabilities"
 msgstr ""
 
-#: nscd/selinux.c:177 nscd/selinux.c:240
+#: nscd/selinux.c:176 nscd/selinux.c:239
 msgid "prctl(KEEPCAPS) failed"
 msgstr ""
 
-#: nscd/selinux.c:191
+#: nscd/selinux.c:190
 msgid "Failed to initialize drop of capabilities"
 msgstr ""
 
-#: nscd/selinux.c:192
+#: nscd/selinux.c:191
 msgid "cap_init failed"
 msgstr ""
 
-#: nscd/selinux.c:213 nscd/selinux.c:230
+#: nscd/selinux.c:212 nscd/selinux.c:229
 msgid "Failed to drop capabilities"
 msgstr ""
 
-#: nscd/selinux.c:214 nscd/selinux.c:231
+#: nscd/selinux.c:213 nscd/selinux.c:230
 msgid "cap_set_proc failed"
 msgstr ""
 
-#: nscd/selinux.c:239
+#: nscd/selinux.c:238
 msgid "Failed to unset keep-capabilities"
 msgstr ""
 
-#: nscd/selinux.c:255
+#: nscd/selinux.c:254
 msgid "Failed to determine if kernel supports SELinux"
 msgstr "Nepavyko nustatyti, ar branduolys palaiko SELinux"
 
-#: nscd/selinux.c:270
+#: nscd/selinux.c:269
 msgid "Failed to start AVC thread"
 msgstr ""
 
-#: nscd/selinux.c:292
+#: nscd/selinux.c:291
 msgid "Failed to create AVC lock"
 msgstr ""
 
-#: nscd/selinux.c:332
+#: nscd/selinux.c:331
 #, fuzzy
 msgid "Failed to start AVC"
 msgstr "failas per trumpas"
 
-#: nscd/selinux.c:334
+#: nscd/selinux.c:333
 msgid "Access Vector Cache (AVC) started"
 msgstr ""
 
-#: nscd/selinux.c:369
+#: nscd/selinux.c:368
 msgid "Error querying policy for undefined object classes or permissions."
 msgstr ""
 
-#: nscd/selinux.c:376
+#: nscd/selinux.c:375
 msgid "Error getting security class for nscd."
 msgstr ""
 
-#: nscd/selinux.c:381
+#: nscd/selinux.c:380
 #, c-format
 msgid "Error translating permission name \"%s\" to access vector bit."
 msgstr ""
 
-#: nscd/selinux.c:391
+#: nscd/selinux.c:390
 msgid "Error getting context of socket peer"
 msgstr ""
 
-#: nscd/selinux.c:396
+#: nscd/selinux.c:395
 msgid "Error getting context of nscd"
 msgstr ""
 
-#: nscd/selinux.c:402
+#: nscd/selinux.c:401
 msgid "Error getting sid from context"
 msgstr ""
 
-#: nscd/selinux.c:440
+#: nscd/selinux.c:439
 #, c-format
 msgid ""
 "\n"
@@ -4531,16 +4589,16 @@ msgstr ""
 msgid "Enumeration not supported on %s\n"
 msgstr "Operacija nepalaikoma"
 
-#: nss/getent.c:917
+#: nss/getent.c:921
 #, c-format
 msgid "Unknown database name"
 msgstr "Nežinomas duomenų bazės vardas"
 
-#: nss/getent.c:947
+#: nss/getent.c:951
 msgid "Supported databases:\n"
 msgstr "Palaikomos duomenų bazės:\n"
 
-#: nss/getent.c:1013
+#: nss/getent.c:1017
 #, c-format
 msgid "Unknown database: %s\n"
 msgstr "Nežinoma duomenų bazė: %s\n"
@@ -4829,7 +4887,7 @@ msgstr "Nesuderintas ) arba \\)"
 msgid "No previous regular expression"
 msgstr "Nėra ankstesniosios reguliariosios išraiškos"
 
-#: posix/wordexp.c:1844
+#: posix/wordexp.c:1851
 msgid "parameter null or not set"
 msgstr "parametras tuščias arba nenustatytas"
 
@@ -7283,15 +7341,26 @@ msgstr "Nepavyko atverti aplanko %s"
 #~ msgid "xtrace: option \\`$1' requires an argument.\\n"
 #~ msgstr "memusage: parametrui „$1“ reikia argumento"
 
+#~ msgid "%s: no PLTREL found in object %s\n"
+#~ msgstr "%s: objekte %s nerasta PLTREL\n"
+
 #~ msgid "Can't open configuration file %s"
 #~ msgstr "Nepavyko atverti konfigūracijos failo %s"
 
+#, fuzzy
+#~ msgid "cannot create internal descriptors"
+#~ msgstr "nepavyko užverti failo deskriptoriaus"
+
 #~ msgid "Try \\`memusage --help' for more information."
 #~ msgstr "Pabandykite „memusage --help“, jei norite gauti daugiau informacijos."
 
 #~ msgid "memusage: option \\`$1' requires an argument"
 #~ msgstr "memusage: parametrui „$1“ reikia argumento"
 
+#, fuzzy
+#~ msgid "cannot stat() file `%s': %s"
+#~ msgstr "nepavyko atverti duomenų bazės failo „%s“: %s"
+
 #~ msgid "incorrectly formatted file"
 #~ msgstr "netaisyklingas failo formatas"
 
diff --git a/po/nb.po b/po/nb.po
index 23def5c..1d57369 100644
--- a/po/nb.po
+++ b/po/nb.po
@@ -7,7 +7,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: libc 2.3.2\n"
-"POT-Creation-Date: 2015-01-20 22:14-0500\n"
+"POT-Creation-Date: 2015-07-31 00:10-0400\n"
 "PO-Revision-Date: 2003-08-28 09:27+0100\n"
 "Last-Translator: Eivind Tagseth <eivindt@multinet.no>\n"
 "Language-Team: Norwegian <i18n-nb@lister.ping.uio.no>\n"
@@ -144,10 +144,10 @@ msgstr ""
 "[UTFIL [INNFIL]...]"
 
 #: catgets/gencat.c:229 debug/pcprofiledump.c:209 elf/ldconfig.c:307
-#: elf/pldd.c:244 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
+#: elf/pldd.c:252 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
 #: iconv/iconvconfig.c:379 locale/programs/locale.c:277
 #: locale/programs/localedef.c:376 login/programs/pt_chown.c:88
-#: malloc/memusagestat.c:563 nss/getent.c:969 nss/makedb.c:369
+#: malloc/memusagestat.c:563 nss/getent.c:973 nss/makedb.c:369
 #: posix/getconf.c:486 sunrpc/rpcinfo.c:691
 #: sysdeps/unix/sysv/linux/lddlibc4.c:61
 #, c-format
@@ -157,7 +157,7 @@ msgid ""
 msgstr ""
 
 #: catgets/gencat.c:245 debug/pcprofiledump.c:225 debug/xtrace.sh:64
-#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:260 elf/sotruss.sh:75
+#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:268 elf/sotruss.sh:75
 #: elf/sprof.c:389 iconv/iconv_prog.c:425 iconv/iconvconfig.c:396
 #: locale/programs/locale.c:294 locale/programs/localedef.c:402
 #: login/programs/pt_chown.c:62 malloc/memusage.sh:71
@@ -175,7 +175,7 @@ msgstr ""
 "TIL NOEN SPESIELL OPPGAVE.\n"
 
 #: catgets/gencat.c:250 debug/pcprofiledump.c:230 debug/xtrace.sh:68
-#: elf/ldconfig.c:328 elf/pldd.c:265 elf/sprof.c:395 iconv/iconv_prog.c:430
+#: elf/ldconfig.c:328 elf/pldd.c:273 elf/sprof.c:395 iconv/iconv_prog.c:430
 #: iconv/iconvconfig.c:401 locale/programs/locale.c:299
 #: locale/programs/localedef.c:407 malloc/memusage.sh:75
 #: malloc/memusagestat.c:586 nscd/nscd.c:514 nss/getent.c:91 nss/makedb.c:390
@@ -442,12 +442,12 @@ msgstr ""
 msgid "Renaming of %s to %s failed"
 msgstr "mapping av seksjonsoverskrifter feilet"
 
-#: elf/dl-close.c:385 elf/dl-open.c:470
+#: elf/dl-close.c:396 elf/dl-open.c:478
 #, fuzzy
 msgid "cannot create scope list"
 msgstr "kan ikke skrive til klient"
 
-#: elf/dl-close.c:770
+#: elf/dl-close.c:816
 #, fuzzy
 msgid "shared object not open"
 msgstr "Nanvgitt objekt er ikke søkbart"
@@ -531,140 +531,140 @@ msgstr "kan ikke opprette intern deskriptor"
 msgid "cannot stat shared object"
 msgstr "klarte ikke å laste delt objekt «%s»"
 
-#: elf/dl-load.c:963
+#: elf/dl-load.c:962
 #, fuzzy
 msgid "cannot open zero fill device"
 msgstr "kan ikke åpne utfil"
 
-#: elf/dl-load.c:1010 elf/dl-load.c:2165
+#: elf/dl-load.c:1009 elf/dl-load.c:2159
 #, fuzzy
 msgid "cannot create shared object descriptor"
 msgstr "kan ikke opprette intern deskriptor"
 
-#: elf/dl-load.c:1029 elf/dl-load.c:1570 elf/dl-load.c:1682
+#: elf/dl-load.c:1028 elf/dl-load.c:1568 elf/dl-load.c:1680
 #, fuzzy
 msgid "cannot read file data"
 msgstr "kan ikke laste inn profileringsdata"
 
-#: elf/dl-load.c:1069
+#: elf/dl-load.c:1068
 msgid "ELF load command alignment not page-aligned"
 msgstr ""
 
-#: elf/dl-load.c:1076
+#: elf/dl-load.c:1075
 msgid "ELF load command address/offset not properly aligned"
 msgstr ""
 
-#: elf/dl-load.c:1160
+#: elf/dl-load.c:1159
 msgid "cannot allocate TLS data structures for initial thread"
 msgstr ""
 
-#: elf/dl-load.c:1183
+#: elf/dl-load.c:1182
 #, fuzzy
 msgid "cannot handle TLS data"
 msgstr "kan ikke allokere symboldata"
 
-#: elf/dl-load.c:1202
+#: elf/dl-load.c:1201
 msgid "object file has no loadable segments"
 msgstr ""
 
-#: elf/dl-load.c:1211 elf/dl-load.c:1662
+#: elf/dl-load.c:1210 elf/dl-load.c:1660
 msgid "cannot dynamically load executable"
 msgstr ""
 
-#: elf/dl-load.c:1232
+#: elf/dl-load.c:1231
 msgid "object file has no dynamic section"
 msgstr ""
 
-#: elf/dl-load.c:1255
+#: elf/dl-load.c:1254
 msgid "shared object cannot be dlopen()ed"
 msgstr ""
 
-#: elf/dl-load.c:1268
+#: elf/dl-load.c:1267
 #, fuzzy
 msgid "cannot allocate memory for program header"
 msgstr "Kan ikke tildele minne"
 
-#: elf/dl-load.c:1284 elf/dl-open.c:195
+#: elf/dl-load.c:1283 elf/dl-open.c:195
 #, fuzzy
 msgid "invalid caller"
 msgstr "ugyldig skuddår"
 
-#: elf/dl-load.c:1307 elf/dl-load.h:130
+#: elf/dl-load.c:1306 elf/dl-load.h:130
 #, fuzzy
 msgid "cannot change memory protections"
 msgstr "kan ikke behandle spesifikasjon av rekkefølge"
 
-#: elf/dl-load.c:1327
+#: elf/dl-load.c:1326
 #, fuzzy
 msgid "cannot enable executable stack as shared object requires"
 msgstr "kan ikke opprette intern deskriptor"
 
-#: elf/dl-load.c:1340
+#: elf/dl-load.c:1339
 #, fuzzy
 #| msgid "cannot create internal descriptor"
 msgid "cannot close file descriptor"
 msgstr "kan ikke opprette intern deskriptor"
 
-#: elf/dl-load.c:1570
+#: elf/dl-load.c:1568
 #, fuzzy
 msgid "file too short"
 msgstr "For stor fil"
 
-#: elf/dl-load.c:1605
+#: elf/dl-load.c:1603
 #, fuzzy
 msgid "invalid ELF header"
 msgstr "ugyldig sluttår"
 
-#: elf/dl-load.c:1617
+#: elf/dl-load.c:1615
 msgid "ELF file data encoding not big-endian"
 msgstr ""
 
-#: elf/dl-load.c:1619
+#: elf/dl-load.c:1617
 msgid "ELF file data encoding not little-endian"
 msgstr ""
 
-#: elf/dl-load.c:1623
+#: elf/dl-load.c:1621
 msgid "ELF file version ident does not match current one"
 msgstr ""
 
-#: elf/dl-load.c:1627
+#: elf/dl-load.c:1625
 msgid "ELF file OS ABI invalid"
 msgstr ""
 
-#: elf/dl-load.c:1630
+#: elf/dl-load.c:1628
 msgid "ELF file ABI version invalid"
 msgstr ""
 
-#: elf/dl-load.c:1633
+#: elf/dl-load.c:1631
 msgid "nonzero padding in e_ident"
 msgstr ""
 
-#: elf/dl-load.c:1636
+#: elf/dl-load.c:1634
 #, fuzzy
 msgid "internal error"
 msgstr "Intern NIS-feil"
 
-#: elf/dl-load.c:1643
+#: elf/dl-load.c:1641
 msgid "ELF file version does not match current one"
 msgstr ""
 
-#: elf/dl-load.c:1651
+#: elf/dl-load.c:1649
 msgid "only ET_DYN and ET_EXEC can be loaded"
 msgstr ""
 
-#: elf/dl-load.c:1667
+#: elf/dl-load.c:1665
 msgid "ELF file's phentsize not the expected size"
 msgstr ""
 
-#: elf/dl-load.c:2184
+#: elf/dl-load.c:2178
 msgid "wrong ELF class: ELFCLASS64"
 msgstr ""
 
-#: elf/dl-load.c:2185
+#: elf/dl-load.c:2179
 msgid "wrong ELF class: ELFCLASS32"
 msgstr ""
 
-#: elf/dl-load.c:2188
+#: elf/dl-load.c:2182
 #, fuzzy
 msgid "cannot open shared object file"
 msgstr "kan ikke åpne utfil"
@@ -679,12 +679,12 @@ msgstr "klarte ikke å laste delt objekt «%s»"
 msgid "cannot map zero-fill pages"
 msgstr "kan ikke laste inn profileringsdata"
 
-#: elf/dl-lookup.c:791
+#: elf/dl-lookup.c:845
 #, fuzzy
 msgid "relocation error"
 msgstr "Autentiseringsfeil"
 
-#: elf/dl-lookup.c:818
+#: elf/dl-lookup.c:872
 msgid "symbol lookup error"
 msgstr ""
 
@@ -692,53 +692,44 @@ msgstr ""
 msgid "cannot extend global scope"
 msgstr ""
 
-#: elf/dl-open.c:520
+#: elf/dl-open.c:528
 msgid "TLS generation counter wrapped!  Please report this."
 msgstr ""
 
-#: elf/dl-open.c:542
-msgid "cannot load any more object with static TLS"
-msgstr ""
-
-#: elf/dl-open.c:599
+#: elf/dl-open.c:592
 msgid "invalid mode for dlopen()"
 msgstr "ugyldig modus for dlopen()"
 
-#: elf/dl-open.c:616
+#: elf/dl-open.c:609
 msgid "no more namespaces available for dlmopen()"
 msgstr ""
 
-#: elf/dl-open.c:634
+#: elf/dl-open.c:633
 #, fuzzy
 #| msgid "invalid mode for dlopen()"
 msgid "invalid target namespace in dlmopen()"
 msgstr "ugyldig modus for dlopen()"
 
-#: elf/dl-reloc.c:120
+#: elf/dl-reloc.c:121
 #, fuzzy
 #| msgid "Cannot allocate memory"
 msgid "cannot allocate memory in static TLS block"
 msgstr "Kan ikke tildele minne"
 
-#: elf/dl-reloc.c:212
+#: elf/dl-reloc.c:206
 msgid "cannot make segment writable for relocation"
 msgstr ""
 
-#: elf/dl-reloc.c:275
-#, c-format
-msgid "%s: no PLTREL found in object %s\n"
-msgstr ""
-
-#: elf/dl-reloc.c:290
+#: elf/dl-reloc.c:276
 #, c-format
 msgid "%s: out of memory to store relocation results for %s\n"
 msgstr ""
 
-#: elf/dl-reloc.c:306
+#: elf/dl-reloc.c:292
 msgid "cannot restore segment prot after reloc"
 msgstr ""
 
-#: elf/dl-reloc.c:335
+#: elf/dl-reloc.c:323
 #, fuzzy
 msgid "cannot apply additional memory protection after relocation"
 msgstr "kan ikke behandle spesifikasjon av rekkefølge"
@@ -747,7 +738,7 @@ msgstr "kan ikke behandle spesifikasjon av rekkefølge"
 msgid "RTLD_NEXT used in code not dynamically loaded"
 msgstr "RTLD_NEXT brukt i kode som ikke er dynamisk lastet"
 
-#: elf/dl-tls.c:933
+#: elf/dl-tls.c:934
 #, fuzzy
 msgid "cannot create TLS data structures"
 msgstr "kan ikke opprette interne deskriptorer"
@@ -897,7 +888,7 @@ msgstr ""
 msgid "Can't open directory %s"
 msgstr "%s: Kan ikke opprette filkatalog %s: %s\n"
 
-#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:90
+#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:97
 #, fuzzy, c-format
 msgid "Input file %s not found.\n"
 msgstr "ferdighetskartfilen «%s» ikke funnet"
@@ -1033,7 +1024,7 @@ msgstr "kan ikke frigjøre argumenter"
 msgid "No such file or directory"
 msgstr "Ingen slik fil eller filkatalog"
 
-#: elf/ldd.bash.in:150 inet/rcmd.c:488
+#: elf/ldd.bash.in:150 inet/rcmd.c:492
 msgid "not regular file"
 msgstr "ikke en vanlig fil"
 
@@ -1080,68 +1071,73 @@ msgstr "kan ikke lese hode fra «%s»"
 msgid "cannot read program interpreter"
 msgstr "kan ikke lese hode fra «%s»"
 
-#: elf/pldd-xx.c:196
+#: elf/pldd-xx.c:197
 #, fuzzy, c-format
 msgid "cannot read link map"
 msgstr "kan ikke laste inn profileringsdata"
 
-#: elf/pldd-xx.c:207
+#: elf/pldd-xx.c:209
 #, fuzzy, c-format
 msgid "cannot read object name"
 msgstr "kan ikke lese hode fra «%s»"
 
-#: elf/pldd.c:63
+#: elf/pldd-xx.c:219
+#, fuzzy, c-format
+msgid "cannot allocate buffer for object name"
+msgstr "Kan ikke tildele minne"
+
+#: elf/pldd.c:64
 msgid "List dynamic shared objects loaded into process."
 msgstr ""
 
-#: elf/pldd.c:67
+#: elf/pldd.c:68
 msgid "PID"
 msgstr ""
 
-#: elf/pldd.c:99
+#: elf/pldd.c:100
 #, c-format
 msgid "Exactly one parameter with process ID required.\n"
 msgstr ""
 
-#: elf/pldd.c:111
+#: elf/pldd.c:112
 #, fuzzy, c-format
 msgid "invalid process ID '%s'"
 msgstr "ugyldig månedsnavn"
 
-#: elf/pldd.c:119
+#: elf/pldd.c:120
 #, fuzzy, c-format
 #| msgid "cannot open `%s'"
 msgid "cannot open %s"
 msgstr "kan ikke åpne «%s»"
 
-#: elf/pldd.c:144
+#: elf/pldd.c:152
 #, fuzzy, c-format
 #| msgid "cannot open `%s'"
 msgid "cannot open %s/task"
 msgstr "kan ikke åpne «%s»"
 
-#: elf/pldd.c:147
+#: elf/pldd.c:155
 #, fuzzy, c-format
 msgid "cannot prepare reading %s/task"
 msgstr "kan ikke lese fra klient"
 
-#: elf/pldd.c:160
+#: elf/pldd.c:168
 #, fuzzy, c-format
 msgid "invalid thread ID '%s'"
 msgstr "ugyldig sluttår"
 
-#: elf/pldd.c:171
+#: elf/pldd.c:179
 #, fuzzy, c-format
 #| msgid "cannot find C preprocessor: %s \n"
 msgid "cannot attach to process %lu"
 msgstr "kan ikke finn C-preprosessor: %s \n"
 
-#: elf/pldd.c:286
+#: elf/pldd.c:294
 #, c-format
 msgid "cannot get information about process %lu"
 msgstr ""
 
-#: elf/pldd.c:299
+#: elf/pldd.c:307
 #, c-format
 msgid "process %lu is no ELF program"
 msgstr ""
@@ -1176,27 +1172,27 @@ msgstr ""
 msgid "more than one dynamic segment\n"
 msgstr ""
 
-#: elf/readlib.c:96
+#: elf/readlib.c:103
 #, fuzzy, c-format
 msgid "Cannot fstat file %s.\n"
 msgstr "kan ikke utføre stat() på fil «%s»: %s"
 
-#: elf/readlib.c:107
+#: elf/readlib.c:114
 #, c-format
 msgid "File %s is empty, not checked."
 msgstr ""
 
-#: elf/readlib.c:113
+#: elf/readlib.c:120
 #, c-format
 msgid "File %s is too small, not checked."
 msgstr ""
 
-#: elf/readlib.c:123
+#: elf/readlib.c:130
 #, fuzzy, c-format
 msgid "Cannot mmap file %s.\n"
 msgstr "kan ikke åpne innfil «%s»"
 
-#: elf/readlib.c:161
+#: elf/readlib.c:169
 #, c-format
 msgid "%s is not an ELF file - it has the wrong magic bytes at the start.\n"
 msgstr ""
@@ -1331,10 +1327,10 @@ msgstr "SHOBJ [PROFDATA]"
 msgid "failed to load shared object `%s'"
 msgstr "klarte ikke å laste delt objekt «%s»"
 
-#: elf/sprof.c:442
+#: elf/sprof.c:442 elf/sprof.c:825 elf/sprof.c:923
 #, c-format
-msgid "cannot create internal descriptors"
-msgstr "kan ikke opprette interne deskriptorer"
+msgid "cannot create internal descriptor"
+msgstr "kan ikke opprette intern deskriptor"
 
 #: elf/sprof.c:554
 #, c-format
@@ -1403,11 +1399,6 @@ msgstr "klarte ikke å mmap'e filen med profileringsdata"
 msgid "error while closing the profiling data file"
 msgstr "feil ved lukking av datafilen for profilering"
 
-#: elf/sprof.c:825 elf/sprof.c:923
-#, c-format
-msgid "cannot create internal descriptor"
-msgstr "kan ikke opprette intern deskriptor"
-
 #: elf/sprof.c:899
 #, c-format
 msgid "`%s' is no correct profile data file for `%s'"
@@ -1670,27 +1661,27 @@ msgstr "socket: protokollfeil i oppsetting av forbindelse\n"
 msgid "rcmd: %s: short read"
 msgstr ""
 
-#: inet/rcmd.c:486
+#: inet/rcmd.c:490
 msgid "lstat failed"
 msgstr "lstat feilet"
 
-#: inet/rcmd.c:493
+#: inet/rcmd.c:497
 msgid "cannot open"
 msgstr "kan ikke åpne"
 
-#: inet/rcmd.c:495
+#: inet/rcmd.c:499
 msgid "fstat failed"
 msgstr "fstat feilet"
 
-#: inet/rcmd.c:497
+#: inet/rcmd.c:501
 msgid "bad owner"
 msgstr "feil eier"
 
-#: inet/rcmd.c:499
+#: inet/rcmd.c:503
 msgid "writeable by other than owner"
 msgstr "skrivbar av andre enn eier"
 
-#: inet/rcmd.c:501
+#: inet/rcmd.c:505
 msgid "hard linked somewhere"
 msgstr "hardlinket et eller annet sted"
 
@@ -1814,8 +1805,8 @@ msgid "no symbolic name given for end of range"
 msgstr "ikke noe symbolsk navn gitt for slutten på området"
 
 #: locale/programs/charmap.c:610 locale/programs/ld-address.c:528
-#: locale/programs/ld-collate.c:2626 locale/programs/ld-collate.c:3784
-#: locale/programs/ld-ctype.c:2162 locale/programs/ld-ctype.c:2913
+#: locale/programs/ld-collate.c:2635 locale/programs/ld-collate.c:3793
+#: locale/programs/ld-ctype.c:2128 locale/programs/ld-ctype.c:2840
 #: locale/programs/ld-identification.c:368
 #: locale/programs/ld-measurement.c:215 locale/programs/ld-messages.c:298
 #: locale/programs/ld-monetary.c:740 locale/programs/ld-name.c:264
@@ -1841,8 +1832,8 @@ msgid "%s: error in state machine"
 msgstr "%s: feil i tilstandsmaskinen"
 
 #: locale/programs/charmap.c:850 locale/programs/ld-address.c:544
-#: locale/programs/ld-collate.c:2623 locale/programs/ld-collate.c:3977
-#: locale/programs/ld-ctype.c:2159 locale/programs/ld-ctype.c:2930
+#: locale/programs/ld-collate.c:2632 locale/programs/ld-collate.c:3986
+#: locale/programs/ld-ctype.c:2125 locale/programs/ld-ctype.c:2857
 #: locale/programs/ld-identification.c:384
 #: locale/programs/ld-measurement.c:231 locale/programs/ld-messages.c:314
 #: locale/programs/ld-monetary.c:756 locale/programs/ld-name.c:280
@@ -1863,7 +1854,7 @@ msgstr "ukjent tegn «%s»"
 msgid "number of bytes for byte sequence of beginning and end of range not the same: %d vs %d"
 msgstr "antall bytes for bytesekvens på begynnelse og slutt av område er ikke de samme: %d mot %d"
 
-#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2903
+#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2912
 #: locale/programs/repertoire.c:419
 msgid "invalid names for character range"
 msgstr "ulovlige navn for tegnområde"
@@ -1887,8 +1878,8 @@ msgstr "øvre grense i område er ikke mindre enn nedre grense"
 msgid "resulting bytes for range not representable."
 msgstr "resulterende bytes for område kan ikke representerbare"
 
-#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1565
-#: locale/programs/ld-ctype.c:465 locale/programs/ld-identification.c:133
+#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1566
+#: locale/programs/ld-ctype.c:431 locale/programs/ld-identification.c:133
 #: locale/programs/ld-measurement.c:94 locale/programs/ld-messages.c:97
 #: locale/programs/ld-monetary.c:193 locale/programs/ld-name.c:94
 #: locale/programs/ld-numeric.c:98 locale/programs/ld-paper.c:91
@@ -1953,7 +1944,7 @@ msgid "%s: numeric country code `%d' not valid"
 msgstr "%s: nummerisk landkode «%d» er ugyldig"
 
 #: locale/programs/ld-address.c:436 locale/programs/ld-address.c:473
-#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2537
+#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2489
 #: locale/programs/ld-identification.c:280
 #: locale/programs/ld-measurement.c:198 locale/programs/ld-messages.c:267
 #: locale/programs/ld-monetary.c:495 locale/programs/ld-monetary.c:530
@@ -1975,8 +1966,8 @@ msgstr "%s: felt «%s» deklarert mer enn en gang"
 msgid "%s: unknown character in field `%s'"
 msgstr "%s: ukjent tegn i felt «%s»"
 
-#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3782
-#: locale/programs/ld-ctype.c:2910 locale/programs/ld-identification.c:365
+#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3791
+#: locale/programs/ld-ctype.c:2837 locale/programs/ld-identification.c:365
 #: locale/programs/ld-measurement.c:212 locale/programs/ld-messages.c:296
 #: locale/programs/ld-monetary.c:738 locale/programs/ld-name.c:262
 #: locale/programs/ld-numeric.c:324 locale/programs/ld-paper.c:212
@@ -1985,12 +1976,12 @@ msgstr "%s: ukjent tegn i felt «%s»"
 msgid "%s: incomplete `END' line"
 msgstr "%s: ugyldig «END»-linje"
 
-#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:551
-#: locale/programs/ld-collate.c:603 locale/programs/ld-collate.c:899
-#: locale/programs/ld-collate.c:912 locale/programs/ld-collate.c:2592
-#: locale/programs/ld-collate.c:2613 locale/programs/ld-collate.c:3967
-#: locale/programs/ld-ctype.c:1891 locale/programs/ld-ctype.c:2149
-#: locale/programs/ld-ctype.c:2735 locale/programs/ld-ctype.c:2921
+#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:552
+#: locale/programs/ld-collate.c:604 locale/programs/ld-collate.c:900
+#: locale/programs/ld-collate.c:913 locale/programs/ld-collate.c:2601
+#: locale/programs/ld-collate.c:2622 locale/programs/ld-collate.c:3976
+#: locale/programs/ld-ctype.c:1857 locale/programs/ld-ctype.c:2115
+#: locale/programs/ld-ctype.c:2687 locale/programs/ld-ctype.c:2848
 #: locale/programs/ld-identification.c:375
 #: locale/programs/ld-measurement.c:222 locale/programs/ld-messages.c:305
 #: locale/programs/ld-monetary.c:747 locale/programs/ld-name.c:271
@@ -2000,483 +1991,483 @@ msgstr "%s: ugyldig «END»-linje"
 msgid "%s: syntax error"
 msgstr "%s: syntaksfeil"
 
-#: locale/programs/ld-collate.c:426
+#: locale/programs/ld-collate.c:427
 #, c-format
 msgid "`%.*s' already defined in charmap"
 msgstr "«%.*s» er allerede definert i tegnkart"
 
-#: locale/programs/ld-collate.c:435
+#: locale/programs/ld-collate.c:436
 #, fuzzy, c-format
 msgid "`%.*s' already defined in repertoire"
 msgstr "«%.*s» er allerede definert i innhold"
 
-#: locale/programs/ld-collate.c:442
+#: locale/programs/ld-collate.c:443
 #, c-format
 msgid "`%.*s' already defined as collating symbol"
 msgstr "«%.*s» er allerede definert som sorteringssymbol"
 
-#: locale/programs/ld-collate.c:449
+#: locale/programs/ld-collate.c:450
 #, c-format
 msgid "`%.*s' already defined as collating element"
 msgstr "«%.*s» er allerede definert som sorteringselement"
 
-#: locale/programs/ld-collate.c:480 locale/programs/ld-collate.c:506
+#: locale/programs/ld-collate.c:481 locale/programs/ld-collate.c:507
 #, c-format
 msgid "%s: `forward' and `backward' are mutually excluding each other"
 msgstr "%s: sorteringsrekkefølge «forward» og «backward» utelukker hverandre"
 
-#: locale/programs/ld-collate.c:490 locale/programs/ld-collate.c:516
-#: locale/programs/ld-collate.c:532
+#: locale/programs/ld-collate.c:491 locale/programs/ld-collate.c:517
+#: locale/programs/ld-collate.c:533
 #, c-format
 msgid "%s: `%s' mentioned more than once in definition of weight %d"
 msgstr "%s: «%s» er nevnt mer enn en gang i definisjon med vekt %d"
 
-#: locale/programs/ld-collate.c:588
+#: locale/programs/ld-collate.c:589
 #, c-format
 msgid "%s: too many rules; first entry only had %d"
 msgstr "%s: for mange regler; første innslag hadde bare %d"
 
-#: locale/programs/ld-collate.c:624
+#: locale/programs/ld-collate.c:625
 #, c-format
 msgid "%s: not enough sorting rules"
 msgstr "%s: ikke nok sorteringsregler"
 
-#: locale/programs/ld-collate.c:789
+#: locale/programs/ld-collate.c:790
 #, c-format
 msgid "%s: empty weight string not allowed"
 msgstr "%s: tomt vektstreng ikke tillatt"
 
-#: locale/programs/ld-collate.c:884
+#: locale/programs/ld-collate.c:885
 #, c-format
 msgid "%s: weights must use the same ellipsis symbol as the name"
 msgstr "%s: vekter må bruke det samme ellipsesymbolet som navnet"
 
-#: locale/programs/ld-collate.c:940
+#: locale/programs/ld-collate.c:941
 #, c-format
 msgid "%s: too many values"
 msgstr "%s: For mange verdier"
 
-#: locale/programs/ld-collate.c:1060 locale/programs/ld-collate.c:1235
+#: locale/programs/ld-collate.c:1061 locale/programs/ld-collate.c:1236
 #, c-format
 msgid "order for `%.*s' already defined at %s:%Zu"
 msgstr "rekkefølgen for «%.*s» er allerede definert ved %s:%Zu"
 
-#: locale/programs/ld-collate.c:1110
+#: locale/programs/ld-collate.c:1111
 #, c-format
 msgid "%s: the start and the end symbol of a range must stand for characters"
 msgstr "%s: startsymbol og slyttsymbol for et område må stå for tegn"
 
-#: locale/programs/ld-collate.c:1137
+#: locale/programs/ld-collate.c:1138
 #, c-format
 msgid "%s: byte sequences of first and last character must have the same length"
 msgstr "%s: bytesekvens for første og siste tegn må ha samme lengde"
 
-#: locale/programs/ld-collate.c:1179
+#: locale/programs/ld-collate.c:1180
 #, fuzzy, c-format
 #| msgid "%s: byte sequence of first character of sequence is not lower than that of the last character"
 msgid "%s: byte sequence of first character of range is not lower than that of the last character"
 msgstr "%s: bytesekvens for første tegn i en sekvens er ikke lavere enn den for siste tegn"
 
-#: locale/programs/ld-collate.c:1304
+#: locale/programs/ld-collate.c:1305
 #, c-format
 msgid "%s: symbolic range ellipsis must not directly follow `order_start'"
 msgstr "%s: symbolsk område-ellipse må ikke følge direkte etter «order_start»"
 
-#: locale/programs/ld-collate.c:1308
+#: locale/programs/ld-collate.c:1309
 #, c-format
 msgid "%s: symbolic range ellipsis must not be directly followed by `order_end'"
 msgstr "%s: symbolsk område-ellipse må ikke følges direkte av «order_end»"
 
-#: locale/programs/ld-collate.c:1328 locale/programs/ld-ctype.c:1408
+#: locale/programs/ld-collate.c:1329 locale/programs/ld-ctype.c:1374
 #, fuzzy, c-format
 #| msgid "`%s' and `%.*s' are no valid names for symbolic range"
 msgid "`%s' and `%.*s' are not valid names for symbolic range"
 msgstr "«%s» og «%.*s» er ulovlige navn for symbolsk område"
 
-#: locale/programs/ld-collate.c:1378 locale/programs/ld-collate.c:3718
+#: locale/programs/ld-collate.c:1379 locale/programs/ld-collate.c:3727
 #, c-format
 msgid "%s: order for `%.*s' already defined at %s:%Zu"
 msgstr "%s: rekkefølge for «%.*s» er allerede definert ved %s:%Zu"
 
-#: locale/programs/ld-collate.c:1387
+#: locale/programs/ld-collate.c:1388
 #, c-format
 msgid "%s: `%s' must be a character"
 msgstr "%s: «%s» må være et tegn"
 
-#: locale/programs/ld-collate.c:1582
+#: locale/programs/ld-collate.c:1583
 #, c-format
 msgid "%s: `position' must be used for a specific level in all sections or none"
 msgstr "%s: «position» må bli brukt for et spesielt nivå i alle seksjoner eller ingen"
 
-#: locale/programs/ld-collate.c:1607
+#: locale/programs/ld-collate.c:1608
 #, c-format
 msgid "symbol `%s' not defined"
 msgstr "symbol «%s» ikke definert"
 
-#: locale/programs/ld-collate.c:1683 locale/programs/ld-collate.c:1789
+#: locale/programs/ld-collate.c:1684 locale/programs/ld-collate.c:1790
 #, c-format
 msgid "symbol `%s' has the same encoding as"
 msgstr "symbol «%s» har samme koding som"
 
-#: locale/programs/ld-collate.c:1687 locale/programs/ld-collate.c:1793
+#: locale/programs/ld-collate.c:1688 locale/programs/ld-collate.c:1794
 #, c-format
 msgid "symbol `%s'"
 msgstr "symbol «%s»"
 
-#: locale/programs/ld-collate.c:1833
+#: locale/programs/ld-collate.c:1834
 #, c-format
 msgid "no definition of `UNDEFINED'"
 msgstr "ingen definisjon av «UNDEFINED»"
 
-#: locale/programs/ld-collate.c:1862
+#: locale/programs/ld-collate.c:1863
 #, c-format
 msgid "too many errors; giving up"
 msgstr "for mange feil: gir opp"
 
-#: locale/programs/ld-collate.c:2518 locale/programs/ld-collate.c:3906
+#: locale/programs/ld-collate.c:2527 locale/programs/ld-collate.c:3915
 #, fuzzy, c-format
 #| msgid "Operation not supported"
 msgid "%s: nested conditionals not supported"
 msgstr "Operasjonen er ikke støttet"
 
-#: locale/programs/ld-collate.c:2536
+#: locale/programs/ld-collate.c:2545
 #, fuzzy, c-format
 #| msgid "%s: More than one -l option specified\n"
 msgid "%s: more than one 'else'"
 msgstr "%s: Mer enn ett -l-flagg spesifisert\n"
 
-#: locale/programs/ld-collate.c:2711
+#: locale/programs/ld-collate.c:2720
 #, c-format
 msgid "%s: duplicate definition of `%s'"
 msgstr "%s: duplisert definisjon av «%s»"
 
-#: locale/programs/ld-collate.c:2747
+#: locale/programs/ld-collate.c:2756
 #, c-format
 msgid "%s: duplicate declaration of section `%s'"
 msgstr "%s: duplisert definisjon av seksjon «%s»"
 
-#: locale/programs/ld-collate.c:2883
+#: locale/programs/ld-collate.c:2892
 #, c-format
 msgid "%s: unknown character in collating symbol name"
 msgstr "%s: ukjent tegn i navn på sorteringssymbol"
 
-#: locale/programs/ld-collate.c:3012
+#: locale/programs/ld-collate.c:3021
 #, fuzzy, c-format
 msgid "%s: unknown character in equivalent definition name"
 msgstr "%s: ukjent tegn i tilsvarende definisjonsnavn"
 
-#: locale/programs/ld-collate.c:3023
+#: locale/programs/ld-collate.c:3032
 #, fuzzy, c-format
 msgid "%s: unknown character in equivalent definition value"
 msgstr "%s: syntaksfeil i definisjon av tegnkonvertering"
 
-#: locale/programs/ld-collate.c:3033
+#: locale/programs/ld-collate.c:3042
 #, fuzzy, c-format
 msgid "%s: unknown symbol `%s' in equivalent definition"
 msgstr "ukjent symbol «%.*s»: linje ignorert"
 
-#: locale/programs/ld-collate.c:3042
+#: locale/programs/ld-collate.c:3051
 msgid "error while adding equivalent collating symbol"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3080
+#: locale/programs/ld-collate.c:3089
 #, fuzzy, c-format
 msgid "duplicate definition of script `%s'"
 msgstr "duplisert definisjon av tegn «%.*s»"
 
-#: locale/programs/ld-collate.c:3128
+#: locale/programs/ld-collate.c:3137
 #, fuzzy, c-format
 #| msgid "%s: unknown section name `%s'"
 msgid "%s: unknown section name `%.*s'"
 msgstr "%s: ukjent seksjonsnavn «%s»"
 
-#: locale/programs/ld-collate.c:3157
+#: locale/programs/ld-collate.c:3166
 #, c-format
 msgid "%s: multiple order definitions for section `%s'"
 msgstr "%s: flere rekkefølgedefinisjoner for seksjon «%s»"
 
-#: locale/programs/ld-collate.c:3185
+#: locale/programs/ld-collate.c:3194
 #, c-format
 msgid "%s: invalid number of sorting rules"
 msgstr "%s: ugyldig antall sorteringsregler"
 
-#: locale/programs/ld-collate.c:3212
+#: locale/programs/ld-collate.c:3221
 #, c-format
 msgid "%s: multiple order definitions for unnamed section"
 msgstr "%s: flere rekkefølgedefinisjoner for ikke navngitt seksjon"
 
-#: locale/programs/ld-collate.c:3267 locale/programs/ld-collate.c:3397
-#: locale/programs/ld-collate.c:3760
+#: locale/programs/ld-collate.c:3276 locale/programs/ld-collate.c:3406
+#: locale/programs/ld-collate.c:3769
 #, c-format
 msgid "%s: missing `order_end' keyword"
 msgstr "%s: mangler «order_end»-nøkkelord"
 
-#: locale/programs/ld-collate.c:3330
+#: locale/programs/ld-collate.c:3339
 #, c-format
 msgid "%s: order for collating symbol %.*s not yet defined"
 msgstr "%s: rekkefølge for sorteringssymbol %.*s ennå ikke definert"
 
-#: locale/programs/ld-collate.c:3348
+#: locale/programs/ld-collate.c:3357
 #, c-format
 msgid "%s: order for collating element %.*s not yet defined"
 msgstr "%s: rekkefølge for sorteringselement %.*s ennå ikke definert"
 
-#: locale/programs/ld-collate.c:3359
+#: locale/programs/ld-collate.c:3368
 #, fuzzy, c-format
 msgid "%s: cannot reorder after %.*s: symbol not known"
 msgstr "%s: kan ikke omsortere etter %.*s: symbolet er ukjent"
 
-#: locale/programs/ld-collate.c:3411 locale/programs/ld-collate.c:3772
+#: locale/programs/ld-collate.c:3420 locale/programs/ld-collate.c:3781
 #, c-format
 msgid "%s: missing `reorder-end' keyword"
 msgstr "%s: mangler «reorder-end»-nøkkelord"
 
-#: locale/programs/ld-collate.c:3445 locale/programs/ld-collate.c:3643
+#: locale/programs/ld-collate.c:3454 locale/programs/ld-collate.c:3652
 #, c-format
 msgid "%s: section `%.*s' not known"
 msgstr "%s: seksjon «%.*s» er ukjent"
 
-#: locale/programs/ld-collate.c:3510
+#: locale/programs/ld-collate.c:3519
 #, c-format
 msgid "%s: bad symbol <%.*s>"
 msgstr "%s: ugyldig symbol <%.*s>"
 
-#: locale/programs/ld-collate.c:3706
+#: locale/programs/ld-collate.c:3715
 #, c-format
 msgid "%s: cannot have `%s' as end of ellipsis range"
 msgstr "%s: kan ikke ha «%s» som avslutning av ellipse-område"
 
-#: locale/programs/ld-collate.c:3756
+#: locale/programs/ld-collate.c:3765
 #, c-format
 msgid "%s: empty category description not allowed"
 msgstr "%s: tom kategori-beskrivelse ikke tillatt"
 
-#: locale/programs/ld-collate.c:3775
+#: locale/programs/ld-collate.c:3784
 #, c-format
 msgid "%s: missing `reorder-sections-end' keyword"
 msgstr "%s: mangler «reorder-sections-end»-nøkkelord"
 
-#: locale/programs/ld-collate.c:3939
+#: locale/programs/ld-collate.c:3948
 #, c-format
 msgid "%s: '%s' without matching 'ifdef' or 'ifndef'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3957
+#: locale/programs/ld-collate.c:3966
 #, c-format
 msgid "%s: 'endif' without matching 'ifdef' or 'ifndef'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:484
+#: locale/programs/ld-ctype.c:450
 #, fuzzy, c-format
 msgid "No character set name specified in charmap"
 msgstr "tegnet <SP> ikke definert i tegnkartet"
 
-#: locale/programs/ld-ctype.c:513
+#: locale/programs/ld-ctype.c:479
 #, fuzzy, c-format
 msgid "character L'\\u%0*x' in class `%s' must be in class `%s'"
 msgstr "tegnet %s'%s' i klassen «%s» må være i klassen «%s»"
 
-#: locale/programs/ld-ctype.c:528
+#: locale/programs/ld-ctype.c:494
 #, fuzzy, c-format
 msgid "character L'\\u%0*x' in class `%s' must not be in class `%s'"
 msgstr "tegnet %s'%s' i klassen «%s» kan ikke være i klassen «%s»"
 
-#: locale/programs/ld-ctype.c:542 locale/programs/ld-ctype.c:600
+#: locale/programs/ld-ctype.c:508 locale/programs/ld-ctype.c:566
 #, c-format
 msgid "internal error in %s, line %u"
 msgstr "intern feil i %s, linje %u"
 
-#: locale/programs/ld-ctype.c:571
+#: locale/programs/ld-ctype.c:537
 #, fuzzy, c-format
 msgid "character '%s' in class `%s' must be in class `%s'"
 msgstr "tegnet %s'%s' i klassen «%s» må være i klassen «%s»"
 
-#: locale/programs/ld-ctype.c:587
+#: locale/programs/ld-ctype.c:553
 #, fuzzy, c-format
 msgid "character '%s' in class `%s' must not be in class `%s'"
 msgstr "tegnet %s'%s' i klassen «%s» kan ikke være i klassen «%s»"
 
-#: locale/programs/ld-ctype.c:617 locale/programs/ld-ctype.c:655
+#: locale/programs/ld-ctype.c:583 locale/programs/ld-ctype.c:621
 #, c-format
 msgid "<SP> character not in class `%s'"
 msgstr "tegnet <SP> er ikke i klassen «%s»"
 
-#: locale/programs/ld-ctype.c:629 locale/programs/ld-ctype.c:666
+#: locale/programs/ld-ctype.c:595 locale/programs/ld-ctype.c:632
 #, c-format
 msgid "<SP> character must not be in class `%s'"
 msgstr "tegnet <SP> kan ikke være i klassen «%s»"
 
-#: locale/programs/ld-ctype.c:644
+#: locale/programs/ld-ctype.c:610
 #, c-format
 msgid "character <SP> not defined in character map"
 msgstr "tegnet <SP> ikke definert i tegnkartet"
 
-#: locale/programs/ld-ctype.c:780
+#: locale/programs/ld-ctype.c:746
 #, c-format
 msgid "`digit' category has not entries in groups of ten"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:829
+#: locale/programs/ld-ctype.c:795
 #, c-format
 msgid "no input digits defined and none of the standard names in the charmap"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:894
+#: locale/programs/ld-ctype.c:860
 #, c-format
 msgid "not all characters used in `outdigit' are available in the charmap"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:911
+#: locale/programs/ld-ctype.c:877
 #, c-format
 msgid "not all characters used in `outdigit' are available in the repertoire"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1176
+#: locale/programs/ld-ctype.c:1142
 #, c-format
 msgid "character class `%s' already defined"
 msgstr "tegnklassen «%s» allerede definert"
 
-#: locale/programs/ld-ctype.c:1182
+#: locale/programs/ld-ctype.c:1148
 #, fuzzy, c-format
 msgid "implementation limit: no more than %Zd character classes allowed"
 msgstr "implementasjonsbegrensning: ikke flere enn %d tegnklasser tillatt"
 
-#: locale/programs/ld-ctype.c:1208
+#: locale/programs/ld-ctype.c:1174
 #, c-format
 msgid "character map `%s' already defined"
 msgstr "tegnkartet «%s» allerede definert"
 
-#: locale/programs/ld-ctype.c:1214
+#: locale/programs/ld-ctype.c:1180
 #, c-format
 msgid "implementation limit: no more than %d character maps allowed"
 msgstr "implementasjonsbegrensning: ikke flere enn %d tegnkart tillatt"
 
-#: locale/programs/ld-ctype.c:1479 locale/programs/ld-ctype.c:1604
-#: locale/programs/ld-ctype.c:1710 locale/programs/ld-ctype.c:2400
-#: locale/programs/ld-ctype.c:3397
+#: locale/programs/ld-ctype.c:1445 locale/programs/ld-ctype.c:1570
+#: locale/programs/ld-ctype.c:1676 locale/programs/ld-ctype.c:2352
+#: locale/programs/ld-ctype.c:3324
 #, c-format
 msgid "%s: field `%s' does not contain exactly ten entries"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1507 locale/programs/ld-ctype.c:2081
+#: locale/programs/ld-ctype.c:1473 locale/programs/ld-ctype.c:2047
 #, c-format
 msgid "to-value <U%0*X> of range is smaller than from-value <U%0*X>"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1634
+#: locale/programs/ld-ctype.c:1600
 msgid "start and end character sequence of range must have the same length"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1641
+#: locale/programs/ld-ctype.c:1607
 msgid "to-value character sequence is smaller than from-value sequence"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2001 locale/programs/ld-ctype.c:2052
+#: locale/programs/ld-ctype.c:1967 locale/programs/ld-ctype.c:2018
 #, fuzzy
 msgid "premature end of `translit_ignore' definition"
 msgstr "For tidlig slutt på regulært uttrykk"
 
-#: locale/programs/ld-ctype.c:2007 locale/programs/ld-ctype.c:2058
-#: locale/programs/ld-ctype.c:2100
+#: locale/programs/ld-ctype.c:1973 locale/programs/ld-ctype.c:2024
+#: locale/programs/ld-ctype.c:2066
 #, fuzzy
 msgid "syntax error"
 msgstr "Systemfeil"
 
-#: locale/programs/ld-ctype.c:2233
+#: locale/programs/ld-ctype.c:2199
 #, fuzzy, c-format
 msgid "%s: syntax error in definition of new character class"
 msgstr "syntaksfeil i definisjon av ny tegnklasse"
 
-#: locale/programs/ld-ctype.c:2248
+#: locale/programs/ld-ctype.c:2214
 #, fuzzy, c-format
 msgid "%s: syntax error in definition of new character map"
 msgstr "syntaksfeil i definisjon av nytt tegnkart"
 
-#: locale/programs/ld-ctype.c:2422
+#: locale/programs/ld-ctype.c:2374
 msgid "ellipsis range must be marked by two operands of same type"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2431
+#: locale/programs/ld-ctype.c:2383
 msgid "with symbolic name range values the absolute ellipsis `...' must not be used"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2446
+#: locale/programs/ld-ctype.c:2398
 msgid "with UCS range values one must use the hexadecimal symbolic ellipsis `..'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2460
+#: locale/programs/ld-ctype.c:2412
 msgid "with character code range values one must use the absolute ellipsis `...'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2611
+#: locale/programs/ld-ctype.c:2563
 #, fuzzy, c-format
 msgid "duplicated definition for mapping `%s'"
 msgstr "duplisert definisjon av tegn «%.*s»"
 
-#: locale/programs/ld-ctype.c:2697 locale/programs/ld-ctype.c:2841
+#: locale/programs/ld-ctype.c:2649 locale/programs/ld-ctype.c:2793
 #, c-format
 msgid "%s: `translit_start' section does not end with `translit_end'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2792
+#: locale/programs/ld-ctype.c:2744
 #, fuzzy, c-format
 msgid "%s: duplicate `default_missing' definition"
 msgstr "duplisert definition av sett"
 
-#: locale/programs/ld-ctype.c:2797
+#: locale/programs/ld-ctype.c:2749
 msgid "previous definition was here"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2819
+#: locale/programs/ld-ctype.c:2771
 #, c-format
 msgid "%s: no representable `default_missing' definition found"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2962 locale/programs/ld-ctype.c:3059
-#: locale/programs/ld-ctype.c:3079 locale/programs/ld-ctype.c:3100
-#: locale/programs/ld-ctype.c:3121 locale/programs/ld-ctype.c:3142
-#: locale/programs/ld-ctype.c:3163 locale/programs/ld-ctype.c:3203
-#: locale/programs/ld-ctype.c:3224 locale/programs/ld-ctype.c:3289
-#: locale/programs/ld-ctype.c:3331 locale/programs/ld-ctype.c:3356
+#: locale/programs/ld-ctype.c:2889 locale/programs/ld-ctype.c:2986
+#: locale/programs/ld-ctype.c:3006 locale/programs/ld-ctype.c:3027
+#: locale/programs/ld-ctype.c:3048 locale/programs/ld-ctype.c:3069
+#: locale/programs/ld-ctype.c:3090 locale/programs/ld-ctype.c:3130
+#: locale/programs/ld-ctype.c:3151 locale/programs/ld-ctype.c:3216
+#: locale/programs/ld-ctype.c:3258 locale/programs/ld-ctype.c:3283
 #, fuzzy, c-format
 msgid "%s: character `%s' not defined while needed as default value"
 msgstr "tegnet «%s» ikke definert, men behøves som standardverdi"
 
-#: locale/programs/ld-ctype.c:2967 locale/programs/ld-ctype.c:3064
-#: locale/programs/ld-ctype.c:3084 locale/programs/ld-ctype.c:3105
-#: locale/programs/ld-ctype.c:3126 locale/programs/ld-ctype.c:3147
-#: locale/programs/ld-ctype.c:3168 locale/programs/ld-ctype.c:3208
-#: locale/programs/ld-ctype.c:3229 locale/programs/ld-ctype.c:3294
+#: locale/programs/ld-ctype.c:2894 locale/programs/ld-ctype.c:2991
+#: locale/programs/ld-ctype.c:3011 locale/programs/ld-ctype.c:3032
+#: locale/programs/ld-ctype.c:3053 locale/programs/ld-ctype.c:3074
+#: locale/programs/ld-ctype.c:3095 locale/programs/ld-ctype.c:3135
+#: locale/programs/ld-ctype.c:3156 locale/programs/ld-ctype.c:3221
 #, c-format
 msgid "%s: character `%s' in charmap not representable with one byte"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3338 locale/programs/ld-ctype.c:3363
+#: locale/programs/ld-ctype.c:3265 locale/programs/ld-ctype.c:3290
 #, c-format
 msgid "%s: character `%s' needed as default value not representable with one byte"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3419
+#: locale/programs/ld-ctype.c:3346
 #, c-format
 msgid "no output digits defined and none of the standard names in the charmap"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3668
+#: locale/programs/ld-ctype.c:3595
 #, c-format
 msgid "%s: transliteration data from locale `%s' not available"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3768
+#: locale/programs/ld-ctype.c:3695
 #, c-format
 msgid "%s: table for class \"%s\": %lu bytes\n"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3833
+#: locale/programs/ld-ctype.c:3760
 #, c-format
 msgid "%s: table for map \"%s\": %lu bytes\n"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3958
+#: locale/programs/ld-ctype.c:3885
 #, c-format
 msgid "%s: table for width: %lu bytes\n"
 msgstr ""
@@ -3907,17 +3898,23 @@ msgstr ""
 msgid " (first)"
 msgstr ""
 
-#: nscd/cache.c:285 nscd/connections.c:1000
+#: nscd/cache.c:288
+#, fuzzy, c-format
+#| msgid "cannot open database file `%s': %s"
+msgid "checking for monitored file `%s': %s"
+msgstr "kan ikke åpne databasefil «%s»: %s"
+
+#: nscd/cache.c:298
 #, c-format
-msgid "cannot stat() file `%s': %s"
-msgstr "kan ikke utføre stat() på fil «%s»: %s"
+msgid "monitored file `%s` changed (mtime)"
+msgstr ""
 
-#: nscd/cache.c:331
+#: nscd/cache.c:341
 #, c-format
 msgid "pruning %s cache; time %ld"
 msgstr ""
 
-#: nscd/cache.c:360
+#: nscd/cache.c:370
 #, c-format
 msgid "considering %s entry \"%s\", timeout %<PRIu64>"
 msgstr ""
@@ -4012,157 +4009,218 @@ msgstr "kan ikke få socket til å akseptere forbindelser: %s"
 msgid "cannot enable socket to accept connections: %s"
 msgstr "kan ikke få socket til å akseptere forbindelser: %s"
 
-#: nscd/connections.c:984
+#: nscd/connections.c:973
+#, c-format
+msgid "disabled inotify-based monitoring for file `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:977
+#, c-format
+msgid "monitoring file `%s` (%d)"
+msgstr ""
+
+#: nscd/connections.c:990
+#, c-format
+msgid "disabled inotify-based monitoring for directory `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:994
+#, fuzzy, c-format
+msgid "monitoring directory `%s` (%d)"
+msgstr "%s: Kan ikke opprette filkatalog %s: %s\n"
+
+#: nscd/connections.c:1022
+#, c-format
+msgid "monitoring file %s for database %s"
+msgstr ""
+
+#: nscd/connections.c:1032
 #, c-format
-msgid "register trace file %s for database %s"
+msgid "stat failed for file `%s'; will try again later: %s"
 msgstr ""
 
-#: nscd/connections.c:1114
+#: nscd/connections.c:1151
 #, c-format
 msgid "provide access to FD %d, for %s"
 msgstr ""
 
-#: nscd/connections.c:1126
+#: nscd/connections.c:1163
 #, c-format
 msgid "cannot handle old request version %d; current version is %d"
 msgstr "kan ikke håndtere gammel forespørsel av versjon %d. Nåværende versjon er %d"
 
-#: nscd/connections.c:1148
+#: nscd/connections.c:1185
 #, c-format
 msgid "request from %ld not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1153
+#: nscd/connections.c:1190
 #, c-format
 msgid "request from '%s' [%ld] not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1158
+#: nscd/connections.c:1195
 msgid "request not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1196 nscd/connections.c:1249
+#: nscd/connections.c:1233 nscd/connections.c:1286
 #, c-format
 msgid "cannot write result: %s"
 msgstr "kan ikke skrive ut resultat: «%s»"
 
-#: nscd/connections.c:1340
+#: nscd/connections.c:1377
 #, c-format
 msgid "error getting caller's id: %s"
 msgstr ""
 
-#: nscd/connections.c:1400
+#: nscd/connections.c:1437
 #, c-format
 msgid "cannot open /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1414
+#: nscd/connections.c:1451
 #, c-format
 msgid "cannot read /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1454
+#: nscd/connections.c:1491
 #, c-format
 msgid "cannot change to old UID: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1464
+#: nscd/connections.c:1501
 #, c-format
 msgid "cannot change to old GID: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1477
+#: nscd/connections.c:1514
 #, c-format
 msgid "cannot change to old working directory: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1523
+#: nscd/connections.c:1560
 #, c-format
 msgid "re-exec failed: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1532
+#: nscd/connections.c:1569
 #, c-format
 msgid "cannot change current working directory to \"/\": %s"
 msgstr ""
 
-#: nscd/connections.c:1725
+#: nscd/connections.c:1762
 #, c-format
 msgid "short read while reading request: %s"
 msgstr "avkortet lesing ved lesing av forespørsel: %s"
 
-#: nscd/connections.c:1758
+#: nscd/connections.c:1795
 #, fuzzy, c-format
 msgid "key length in request too long: %d"
 msgstr "nøkkellengde i forespørsel for lang: %Zd"
 
-#: nscd/connections.c:1771
+#: nscd/connections.c:1808
 #, fuzzy, c-format
 msgid "short read while reading request key: %s"
 msgstr "avkortet lesing under lesing av forespørsel-nøkkel: %s"
 
-#: nscd/connections.c:1781
+#: nscd/connections.c:1818
 #, fuzzy, c-format
 #| msgid "handle_request: request received (Version = %d)"
 msgid "handle_request: request received (Version = %d) from PID %ld"
 msgstr "handle_request: forespørsel mottatt (versjon = %d)"
 
-#: nscd/connections.c:1786
+#: nscd/connections.c:1823
 #, c-format
 msgid "handle_request: request received (Version = %d)"
 msgstr "handle_request: forespørsel mottatt (versjon = %d)"
 
-#: nscd/connections.c:2050 nscd/connections.c:2252
+#: nscd/connections.c:1963
+#, c-format
+msgid "ignored inotify event for `%s` (file exists)"
+msgstr ""
+
+#: nscd/connections.c:1968
 #, c-format
-msgid "disabled inotify after read error %d"
+msgid "monitored file `%s` was %s, removing watch"
 msgstr ""
 
-#: nscd/connections.c:2375
+#: nscd/connections.c:1976 nscd/connections.c:2018
+#, c-format
+msgid "failed to remove file watch `%s`: %s"
+msgstr ""
+
+#: nscd/connections.c:1991
+#, c-format
+msgid "monitored file `%s` was written to"
+msgstr ""
+
+#: nscd/connections.c:2015
+#, c-format
+msgid "monitored parent directory `%s` was %s, removing watch on `%s`"
+msgstr ""
+
+#: nscd/connections.c:2041
+#, c-format
+msgid "monitored file `%s` was %s, adding watch"
+msgstr ""
+
+#: nscd/connections.c:2053
+#, fuzzy, c-format
+#| msgid "failed to load shared object `%s'"
+msgid "failed to add file watch `%s`: %s"
+msgstr "klarte ikke å laste delt objekt «%s»"
+
+#: nscd/connections.c:2247 nscd/connections.c:2428
+#, c-format
+msgid "disabled inotify-based monitoring after read error %d"
+msgstr ""
+
+#: nscd/connections.c:2543
 msgid "could not initialize conditional variable"
 msgstr ""
 
-#: nscd/connections.c:2383
+#: nscd/connections.c:2551
 msgid "could not start clean-up thread; terminating"
 msgstr ""
 
-#: nscd/connections.c:2397
+#: nscd/connections.c:2565
 msgid "could not start any worker thread; terminating"
 msgstr ""
 
-#: nscd/connections.c:2452 nscd/connections.c:2454 nscd/connections.c:2470
-#: nscd/connections.c:2480 nscd/connections.c:2498 nscd/connections.c:2509
-#: nscd/connections.c:2519
+#: nscd/connections.c:2620 nscd/connections.c:2622 nscd/connections.c:2638
+#: nscd/connections.c:2648 nscd/connections.c:2666 nscd/connections.c:2677
+#: nscd/connections.c:2687
 #, c-format
 msgid "Failed to run nscd as user '%s'"
 msgstr ""
 
-#: nscd/connections.c:2472
+#: nscd/connections.c:2640
 #, fuzzy
 msgid "initial getgrouplist failed"
 msgstr "lstat feilet"
 
-#: nscd/connections.c:2481
+#: nscd/connections.c:2649
 #, fuzzy
 msgid "getgrouplist failed"
 msgstr "lstat feilet"
 
-#: nscd/connections.c:2499
+#: nscd/connections.c:2667
 #, fuzzy
 msgid "setgroups failed"
 msgstr "fstat feilet"
 
-#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:410
+#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:411
 #: nscd/pwdcache.c:383 nscd/servicescache.c:338
 #, c-format
 msgid "short write in %s: %s"
 msgstr "avkortet skriving i %s: %s"
 
-#: nscd/grpcache.c:450 nscd/initgrcache.c:77
+#: nscd/grpcache.c:450 nscd/initgrcache.c:78
 #, c-format
 msgid "Haven't found \"%s\" in group cache!"
 msgstr "Har ikke funnet «%s» i gruppe-nærbuffer!"
 
-#: nscd/grpcache.c:452 nscd/initgrcache.c:79
+#: nscd/grpcache.c:452 nscd/initgrcache.c:80
 #, fuzzy, c-format
 #| msgid "Haven't found \"%s\" in group cache!"
 msgid "Reloading \"%s\" in group cache!"
@@ -4261,7 +4319,7 @@ msgstr ""
 msgid "Name Service Cache Daemon."
 msgstr "Demon for buffring av navnetjeneste"
 
-#: nscd/nscd.c:155 nss/getent.c:1003 nss/makedb.c:206
+#: nscd/nscd.c:155 nss/getent.c:1007 nss/makedb.c:206
 #, c-format
 msgid "wrong number of arguments"
 msgstr "feil antall argumenter"
@@ -4298,7 +4356,7 @@ msgstr ""
 msgid "Could not create log file"
 msgstr "Kunne ikke opprette loggfil «%s»"
 
-#: nscd/nscd.c:355 nscd/nscd_stat.c:192
+#: nscd/nscd.c:355 nscd/nscd_stat.c:194
 #, c-format
 msgid "write incomplete"
 msgstr "skriving ufullstendig"
@@ -4314,7 +4372,7 @@ msgstr "kan ikke laste inn profileringsdata"
 msgid "invalidation failed"
 msgstr "Endring feilet"
 
-#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:173
+#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:175
 #, c-format
 msgid "Only root is allowed to use this option!"
 msgstr "Bare root har lov til å bruke dette flagget!"
@@ -4397,36 +4455,36 @@ msgstr ""
 msgid "maximum file size for %s database too small"
 msgstr ""
 
-#: nscd/nscd_stat.c:142
+#: nscd/nscd_stat.c:144
 #, c-format
 msgid "cannot write statistics: %s"
 msgstr "kan ikke skrive ut statistikk: «%s»"
 
-#: nscd/nscd_stat.c:157
+#: nscd/nscd_stat.c:159
 msgid "yes"
 msgstr ""
 
-#: nscd/nscd_stat.c:158
+#: nscd/nscd_stat.c:160
 msgid "no"
 msgstr ""
 
-#: nscd/nscd_stat.c:169
+#: nscd/nscd_stat.c:171
 #, fuzzy, c-format
 #| msgid "Only root is allowed to use this option!"
 msgid "Only root or %s is allowed to use this option!"
 msgstr "Bare root har lov til å bruke dette flagget!"
 
-#: nscd/nscd_stat.c:180
+#: nscd/nscd_stat.c:182
 #, c-format
 msgid "nscd not running!\n"
 msgstr "nscd kjører ikke!\n"
 
-#: nscd/nscd_stat.c:204
+#: nscd/nscd_stat.c:206
 #, c-format
 msgid "cannot read statistics data"
 msgstr "kan ikke lese statisitkkdata"
 
-#: nscd/nscd_stat.c:207
+#: nscd/nscd_stat.c:209
 #, c-format
 msgid ""
 "nscd configuration:\n"
@@ -4437,27 +4495,27 @@ msgstr ""
 "\n"
 "%15d  debugnivå for tjener\n"
 
-#: nscd/nscd_stat.c:231
+#: nscd/nscd_stat.c:233
 #, c-format
 msgid "%3ud %2uh %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:234
+#: nscd/nscd_stat.c:236
 #, c-format
 msgid "    %2uh %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:236
+#: nscd/nscd_stat.c:238
 #, c-format
 msgid "        %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:238
+#: nscd/nscd_stat.c:240
 #, c-format
 msgid "            %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:240
+#: nscd/nscd_stat.c:242
 #, c-format
 msgid ""
 "%15d  current number of threads\n"
@@ -4468,7 +4526,7 @@ msgid ""
 "%15u  reload count\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:275
+#: nscd/nscd_stat.c:277
 #, fuzzy, c-format
 #| msgid ""
 #| "\n"
@@ -4539,91 +4597,91 @@ msgstr "Har ikke funnet «%s» i passord-nærbuffer!"
 msgid "Invalid numeric uid \"%s\"!"
 msgstr ""
 
-#: nscd/selinux.c:155
+#: nscd/selinux.c:154
 #, c-format
 msgid "Failed opening connection to the audit subsystem: %m"
 msgstr ""
 
-#: nscd/selinux.c:176
+#: nscd/selinux.c:175
 msgid "Failed to set keep-capabilities"
 msgstr ""
 
-#: nscd/selinux.c:177 nscd/selinux.c:240
+#: nscd/selinux.c:176 nscd/selinux.c:239
 msgid "prctl(KEEPCAPS) failed"
 msgstr ""
 
-#: nscd/selinux.c:191
+#: nscd/selinux.c:190
 msgid "Failed to initialize drop of capabilities"
 msgstr ""
 
-#: nscd/selinux.c:192
+#: nscd/selinux.c:191
 #, fuzzy
 #| msgid "lstat failed"
 msgid "cap_init failed"
 msgstr "lstat feilet"
 
-#: nscd/selinux.c:213 nscd/selinux.c:230
+#: nscd/selinux.c:212 nscd/selinux.c:229
 msgid "Failed to drop capabilities"
 msgstr ""
 
-#: nscd/selinux.c:214 nscd/selinux.c:231
+#: nscd/selinux.c:213 nscd/selinux.c:230
 #, fuzzy
 msgid "cap_set_proc failed"
 msgstr "fstat feilet"
 
-#: nscd/selinux.c:239
+#: nscd/selinux.c:238
 msgid "Failed to unset keep-capabilities"
 msgstr ""
 
-#: nscd/selinux.c:255
+#: nscd/selinux.c:254
 msgid "Failed to determine if kernel supports SELinux"
 msgstr ""
 
-#: nscd/selinux.c:270
+#: nscd/selinux.c:269
 msgid "Failed to start AVC thread"
 msgstr ""
 
-#: nscd/selinux.c:292
+#: nscd/selinux.c:291
 #, fuzzy
 #| msgid "Unable to create callback"
 msgid "Failed to create AVC lock"
 msgstr "Ikke i stand til å lage tilbakekall"
 
-#: nscd/selinux.c:332
+#: nscd/selinux.c:331
 msgid "Failed to start AVC"
 msgstr ""
 
-#: nscd/selinux.c:334
+#: nscd/selinux.c:333
 msgid "Access Vector Cache (AVC) started"
 msgstr ""
 
-#: nscd/selinux.c:369
+#: nscd/selinux.c:368
 msgid "Error querying policy for undefined object classes or permissions."
 msgstr ""
 
-#: nscd/selinux.c:376
+#: nscd/selinux.c:375
 msgid "Error getting security class for nscd."
 msgstr ""
 
-#: nscd/selinux.c:381
+#: nscd/selinux.c:380
 #, c-format
 msgid "Error translating permission name \"%s\" to access vector bit."
 msgstr ""
 
-#: nscd/selinux.c:391
+#: nscd/selinux.c:390
 msgid "Error getting context of socket peer"
 msgstr ""
 
-#: nscd/selinux.c:396
+#: nscd/selinux.c:395
 msgid "Error getting context of nscd"
 msgstr ""
 
-#: nscd/selinux.c:402
+#: nscd/selinux.c:401
 #, fuzzy
 msgid "Error getting sid from context"
 msgstr "%s: Feil ved skriving til standard ut "
 
-#: nscd/selinux.c:440
+#: nscd/selinux.c:439
 #, c-format
 msgid ""
 "\n"
@@ -4679,17 +4737,17 @@ msgstr "getent - hent innslag fra administrativ database."
 msgid "Enumeration not supported on %s\n"
 msgstr "Operasjonen er ikke støttet"
 
-#: nss/getent.c:917
+#: nss/getent.c:921
 #, fuzzy, c-format
 #| msgid "Unknown database: %s\n"
 msgid "Unknown database name"
 msgstr "Ukjent database: %s\n"
 
-#: nss/getent.c:947
+#: nss/getent.c:951
 msgid "Supported databases:\n"
 msgstr ""
 
-#: nss/getent.c:1013
+#: nss/getent.c:1017
 #, c-format
 msgid "Unknown database: %s\n"
 msgstr "Ukjent database: %s\n"
@@ -4981,7 +5039,7 @@ msgstr "Ubalansert ) eller \\)"
 msgid "No previous regular expression"
 msgstr "Intet foregående regulært uttrykk"
 
-#: posix/wordexp.c:1844
+#: posix/wordexp.c:1851
 msgid "parameter null or not set"
 msgstr ""
 
@@ -7798,6 +7856,9 @@ msgstr "%s: Kan ikke opprette filkatalog %s: %s\n"
 #~ msgid "while allocating hash table entry"
 #~ msgstr "under allokering av hashtabell-innslag"
 
+#~ msgid "cannot stat() file `%s': %s"
+#~ msgstr "kan ikke utføre stat() på fil «%s»: %s"
+
 #, fuzzy
 #~ msgid "while allocating cache: %s"
 #~ msgstr "under allokering av nærbuffer-innslag"
diff --git a/po/nl.po b/po/nl.po
index 619a612..0a7d4a8 100644
--- a/po/nl.po
+++ b/po/nl.po
@@ -1,19 +1,21 @@
 # Dutch translations for GNU libc.
-# Copyright (C) 2014 Free Software Foundation, Inc.
+# Copyright (C) 2015 Free Software Foundation, Inc.
 # This file is distributed under the same license as the glibc package.
 #
-# "Full persoon kaputt."
+# «Finfine mondo estis ie por vivi,
+# por sin promeni, por trinki teon,
+# kaj estis mi neniam tiel karesema.»
 #
 # Elros Cyriatan <cyriatan@fastmail.fm>, 2004.
 # Erwin Poeze <erwin.poeze@gmail.com>, 2009.
 # Benno Schulenberg <benno@vertaalt.nl>, 2006, 2007, 2008, 2010.
-# Benno Schulenberg <benno@vertaalt.nl>, 2011, 2012, 2013, 2014.
+# Benno Schulenberg <benno@vertaalt.nl>, 2011, 2012, 2013, 2014, 2015.
 msgid ""
 msgstr ""
-"Project-Id-Version: libc-2.19.90\n"
+"Project-Id-Version: libc-2.22-pre1\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2015-01-20 22:14-0500\n"
-"PO-Revision-Date: 2014-08-25 12:10+0200\n"
+"POT-Creation-Date: 2015-07-31 00:10-0400\n"
+"PO-Revision-Date: 2015-08-05 20:03+0200\n"
 "Last-Translator: Benno Schulenberg <benno@vertaalt.nl>\n"
 "Language-Team: Dutch <vertaling@vrijschrift.org>\n"
 "Language: nl\n"
@@ -155,10 +157,10 @@ msgstr ""
 "[UITVOERBESTAND [INVOERBESTAND...]]"
 
 #: catgets/gencat.c:229 debug/pcprofiledump.c:209 elf/ldconfig.c:307
-#: elf/pldd.c:244 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
+#: elf/pldd.c:252 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
 #: iconv/iconvconfig.c:379 locale/programs/locale.c:277
 #: locale/programs/localedef.c:376 login/programs/pt_chown.c:88
-#: malloc/memusagestat.c:563 nss/getent.c:969 nss/makedb.c:369
+#: malloc/memusagestat.c:563 nss/getent.c:973 nss/makedb.c:369
 #: posix/getconf.c:486 sunrpc/rpcinfo.c:691
 #: sysdeps/unix/sysv/linux/lddlibc4.c:61
 #, c-format
@@ -170,7 +172,7 @@ msgstr ""
 "  %s.\n"
 
 #: catgets/gencat.c:245 debug/pcprofiledump.c:225 debug/xtrace.sh:64
-#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:260 elf/sotruss.sh:75
+#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:268 elf/sotruss.sh:75
 #: elf/sprof.c:389 iconv/iconv_prog.c:425 iconv/iconvconfig.c:396
 #: locale/programs/locale.c:294 locale/programs/localedef.c:402
 #: login/programs/pt_chown.c:62 malloc/memusage.sh:71
@@ -188,7 +190,7 @@ msgstr ""
 "VOOR EEN BEPAALD DOEL.\n"
 
 #: catgets/gencat.c:250 debug/pcprofiledump.c:230 debug/xtrace.sh:68
-#: elf/ldconfig.c:328 elf/pldd.c:265 elf/sprof.c:395 iconv/iconv_prog.c:430
+#: elf/ldconfig.c:328 elf/pldd.c:273 elf/sprof.c:395 iconv/iconv_prog.c:430
 #: iconv/iconvconfig.c:401 locale/programs/locale.c:299
 #: locale/programs/localedef.c:407 malloc/memusage.sh:75
 #: malloc/memusagestat.c:586 nscd/nscd.c:514 nss/getent.c:91 nss/makedb.c:390
@@ -443,11 +445,11 @@ msgstr "Wijzigen van toegangsrechten van %s naar %#o is mislukt"
 msgid "Renaming of %s to %s failed"
 msgstr "Naamswijziging van %s naar %s is mislukt"
 
-#: elf/dl-close.c:385 elf/dl-open.c:470
+#: elf/dl-close.c:396 elf/dl-open.c:478
 msgid "cannot create scope list"
 msgstr "kan lijst voor geldigheidsbereik niet aanmaken"
 
-#: elf/dl-close.c:770
+#: elf/dl-close.c:816
 msgid "shared object not open"
 msgstr "gedeeld object is niet open"
 
@@ -520,127 +522,127 @@ msgstr "kan zoekpad-array niet aanmaken"
 msgid "cannot stat shared object"
 msgstr "kan gedeeld object niet vinden"
 
-#: elf/dl-load.c:963
+#: elf/dl-load.c:962
 msgid "cannot open zero fill device"
 msgstr "kan nullenapparaat niet openen"
 
-#: elf/dl-load.c:1010 elf/dl-load.c:2165
+#: elf/dl-load.c:1009 elf/dl-load.c:2159
 msgid "cannot create shared object descriptor"
 msgstr "kan descriptor voor gedeeld object niet aanmaken"
 
-#: elf/dl-load.c:1029 elf/dl-load.c:1570 elf/dl-load.c:1682
+#: elf/dl-load.c:1028 elf/dl-load.c:1568 elf/dl-load.c:1680
 msgid "cannot read file data"
 msgstr "kan bestandsgegevens niet lezen"
 
-#: elf/dl-load.c:1069
+#: elf/dl-load.c:1068
 msgid "ELF load command alignment not page-aligned"
 msgstr "uitlijning in ELF-laadopdracht ligt niet op een paginagrens"
 
-#: elf/dl-load.c:1076
+#: elf/dl-load.c:1075
 msgid "ELF load command address/offset not properly aligned"
 msgstr "adres/positie in ELF-laadopdracht is niet correct uitgelijnd"
 
-#: elf/dl-load.c:1160
+#: elf/dl-load.c:1159
 msgid "cannot allocate TLS data structures for initial thread"
 msgstr "kan geen geheugen reserveren voor TLS-gegevensstructuren van initiële thread"
 
-#: elf/dl-load.c:1183
+#: elf/dl-load.c:1182
 msgid "cannot handle TLS data"
 msgstr "kan TLS-gegevens niet verwerken"
 
-#: elf/dl-load.c:1202
+#: elf/dl-load.c:1201
 msgid "object file has no loadable segments"
 msgstr "objectbestand heeft geen laadbare segmenten"
 
-#: elf/dl-load.c:1211 elf/dl-load.c:1662
+#: elf/dl-load.c:1210 elf/dl-load.c:1660
 msgid "cannot dynamically load executable"
 msgstr "kan uitvoerbaar bestand niet dynamisch laden"
 
-#: elf/dl-load.c:1232
+#: elf/dl-load.c:1231
 msgid "object file has no dynamic section"
 msgstr "objectbestand heeft geen dynamische sectie"
 
-#: elf/dl-load.c:1255
+#: elf/dl-load.c:1254
 msgid "shared object cannot be dlopen()ed"
 msgstr "gedeeld object kan niet met dlopen() geopend worden -- heeft DF_1_NOOPEN-vlag"
 
-#: elf/dl-load.c:1268
+#: elf/dl-load.c:1267
 msgid "cannot allocate memory for program header"
 msgstr "kan geen geheugen reserveren voor programmakop"
 
-#: elf/dl-load.c:1284 elf/dl-open.c:195
+#: elf/dl-load.c:1283 elf/dl-open.c:195
 msgid "invalid caller"
 msgstr "ongeldige aanroeper"
 
-#: elf/dl-load.c:1307 elf/dl-load.h:130
+#: elf/dl-load.c:1306 elf/dl-load.h:130
 msgid "cannot change memory protections"
 msgstr "kan geheugenbeschermingen niet veranderen"
 
-#: elf/dl-load.c:1327
+#: elf/dl-load.c:1326
 msgid "cannot enable executable stack as shared object requires"
 msgstr "kan uitvoerbare stack niet aanzetten zoals gedeeld object vereist"
 
-#: elf/dl-load.c:1340
+#: elf/dl-load.c:1339
 msgid "cannot close file descriptor"
 msgstr "kan bestandsdescriptor niet sluiten"
 
-#: elf/dl-load.c:1570
+#: elf/dl-load.c:1568
 msgid "file too short"
 msgstr "bestand is te kort"
 
-#: elf/dl-load.c:1605
+#: elf/dl-load.c:1603
 msgid "invalid ELF header"
 msgstr "ongeldige ELF-header"
 
-#: elf/dl-load.c:1617
+#: elf/dl-load.c:1615
 msgid "ELF file data encoding not big-endian"
 msgstr "gegevenscodering van ELF-bestand is niet big-endian"
 
-#: elf/dl-load.c:1619
+#: elf/dl-load.c:1617
 msgid "ELF file data encoding not little-endian"
 msgstr "gegevenscodering van ELF-bestand is niet little-endian"
 
-#: elf/dl-load.c:1623
+#: elf/dl-load.c:1621
 msgid "ELF file version ident does not match current one"
 msgstr "ELF-bestands-identversie komt niet overeen met huidige"
 
-#: elf/dl-load.c:1627
+#: elf/dl-load.c:1625
 msgid "ELF file OS ABI invalid"
 msgstr "OS-ABI van ELF-bestand is ongeldig"
 
-#: elf/dl-load.c:1630
+#: elf/dl-load.c:1628
 msgid "ELF file ABI version invalid"
 msgstr "ABI-versie van ELF-bestand is ongeldig"
 
-#: elf/dl-load.c:1633
+#: elf/dl-load.c:1631
 msgid "nonzero padding in e_ident"
 msgstr "opvulling met niet-nullen in e_ident()"
 
-#: elf/dl-load.c:1636
+#: elf/dl-load.c:1634
 msgid "internal error"
 msgstr "**interne fout**"
 
-#: elf/dl-load.c:1643
+#: elf/dl-load.c:1641
 msgid "ELF file version does not match current one"
 msgstr "ELF-bestandsversie komt niet overeen met huidige"
 
-#: elf/dl-load.c:1651
+#: elf/dl-load.c:1649
 msgid "only ET_DYN and ET_EXEC can be loaded"
 msgstr "alleen ET_DYN en ET_EXEC kunnen worden geladen"
 
-#: elf/dl-load.c:1667
+#: elf/dl-load.c:1665
 msgid "ELF file's phentsize not the expected size"
 msgstr "'phentsize' van ELF-bestand heeft niet de verwachte grootte"
 
-#: elf/dl-load.c:2184
+#: elf/dl-load.c:2178
 msgid "wrong ELF class: ELFCLASS64"
 msgstr "verkeerde ELF-klasse: ELFCLASS64"
 
-#: elf/dl-load.c:2185
+#: elf/dl-load.c:2179
 msgid "wrong ELF class: ELFCLASS32"
 msgstr "verkeerde ELF-klasse: ELFCLASS32"
 
-#: elf/dl-load.c:2188
+#: elf/dl-load.c:2182
 msgid "cannot open shared object file"
 msgstr "kan gedeeld objectbestand niet openen"
 
@@ -652,11 +654,11 @@ msgstr "kan segment van gedeeld object niet in het geheugen plaatsen"
 msgid "cannot map zero-fill pages"
 msgstr "kan nul-gevulde pagina's niet in het geheugen plaatsen"
 
-#: elf/dl-lookup.c:791
+#: elf/dl-lookup.c:845
 msgid "relocation error"
 msgstr "verplaatsingsfout"
 
-#: elf/dl-lookup.c:818
+#: elf/dl-lookup.c:872
 msgid "symbol lookup error"
 msgstr "opzoekfout voor symbool"
 
@@ -664,51 +666,42 @@ msgstr "opzoekfout voor symbool"
 msgid "cannot extend global scope"
 msgstr "kan globaal geldigheidsbereik niet uitbreiden"
 
-#: elf/dl-open.c:520
+#: elf/dl-open.c:528
 msgid "TLS generation counter wrapped!  Please report this."
 msgstr ""
 "De TLS-generatieteller is opnieuw bij nul begonnen!\n"
 "Dit is een **programmafout**.  Graag rapporteren."
 
-#: elf/dl-open.c:542
-msgid "cannot load any more object with static TLS"
-msgstr "kan geen objecten meer laden met statische TLS"
-
-#: elf/dl-open.c:599
+#: elf/dl-open.c:592
 msgid "invalid mode for dlopen()"
 msgstr "ongeldige modus voor dlopen()"
 
-#: elf/dl-open.c:616
+#: elf/dl-open.c:609
 msgid "no more namespaces available for dlmopen()"
 msgstr "geen naamsruimten meer beschikbaar voor dlmopen()"
 
-#: elf/dl-open.c:634
+#: elf/dl-open.c:633
 msgid "invalid target namespace in dlmopen()"
 msgstr "ongeldige doelnaamsruimte in dlmopen()"
 
-#: elf/dl-reloc.c:120
+#: elf/dl-reloc.c:121
 msgid "cannot allocate memory in static TLS block"
 msgstr "kan geen geheugen reserveren binnen statisch TLS-blok"
 
-#: elf/dl-reloc.c:212
+#: elf/dl-reloc.c:206
 msgid "cannot make segment writable for relocation"
 msgstr "kan segment niet schrijfbaar maken voor verplaatsing"
 
-#: elf/dl-reloc.c:275
-#, c-format
-msgid "%s: no PLTREL found in object %s\n"
-msgstr "%s: geen PLTREL in object %s gevonden\n"
-
-#: elf/dl-reloc.c:290
+#: elf/dl-reloc.c:276
 #, c-format
 msgid "%s: out of memory to store relocation results for %s\n"
 msgstr "%s: onvoldoende geheugen om verplaatsingsresultaten van %s op te slaan\n"
 
-#: elf/dl-reloc.c:306
+#: elf/dl-reloc.c:292
 msgid "cannot restore segment prot after reloc"
 msgstr "kan segmentbescherming niet herstellen na verplaatsing"
 
-#: elf/dl-reloc.c:335
+#: elf/dl-reloc.c:323
 msgid "cannot apply additional memory protection after relocation"
 msgstr "kan extra geheugenbescherming niet toepassen na verplaatsing"
 
@@ -716,7 +709,7 @@ msgstr "kan extra geheugenbescherming niet toepassen na verplaatsing"
 msgid "RTLD_NEXT used in code not dynamically loaded"
 msgstr "RTLD_NEXT is gebruikt in code die niet dynamisch geladen is"
 
-#: elf/dl-tls.c:933
+#: elf/dl-tls.c:934
 msgid "cannot create TLS data structures"
 msgstr "kan TLS-gegevensstructuren niet aanmaken"
 
@@ -864,7 +857,7 @@ msgstr ""
 msgid "Can't open directory %s"
 msgstr "Kan map %s niet openen"
 
-#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:90
+#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:97
 #, c-format
 msgid "Input file %s not found.\n"
 msgstr "Kan invoerbestand %s niet vinden\n"
@@ -998,7 +991,7 @@ msgstr "ontbrekende bestandsargumenten"
 msgid "No such file or directory"
 msgstr "Bestand of map bestaat niet"
 
-#: elf/ldd.bash.in:150 inet/rcmd.c:488
+#: elf/ldd.bash.in:150 inet/rcmd.c:492
 msgid "not regular file"
 msgstr "niet een normaal bestand"
 
@@ -1043,65 +1036,70 @@ msgstr "kan 'r_debug' niet lezen"
 msgid "cannot read program interpreter"
 msgstr "kan programma-interpreter niet lezen"
 
-#: elf/pldd-xx.c:196
+#: elf/pldd-xx.c:197
 #, c-format
 msgid "cannot read link map"
 msgstr "kan link-kaart niet lezen"
 
-#: elf/pldd-xx.c:207
+#: elf/pldd-xx.c:209
 #, c-format
 msgid "cannot read object name"
 msgstr "kan objectnaam niet lezen"
 
-#: elf/pldd.c:63
+#: elf/pldd-xx.c:219
+#, c-format
+msgid "cannot allocate buffer for object name"
+msgstr "kan geen geheugen reserveren voor objectnaambuffer"
+
+#: elf/pldd.c:64
 msgid "List dynamic shared objects loaded into process."
 msgstr "Dynamische gedeelde objecten tonen die in proces geladen zijn."
 
-#: elf/pldd.c:67
+#: elf/pldd.c:68
 msgid "PID"
 msgstr "PID"
 
-#: elf/pldd.c:99
+#: elf/pldd.c:100
 #, c-format
 msgid "Exactly one parameter with process ID required.\n"
 msgstr "Precies één argument met proces-ID is vereist.\n"
 
-#: elf/pldd.c:111
+#: elf/pldd.c:112
 #, c-format
 msgid "invalid process ID '%s'"
 msgstr "ongeldig proces-ID: '%s'"
 
-#: elf/pldd.c:119
+#: elf/pldd.c:120
 #, c-format
 msgid "cannot open %s"
 msgstr "kan '%s' niet openen"
 
-#: elf/pldd.c:144
+#: elf/pldd.c:152
 #, c-format
 msgid "cannot open %s/task"
 msgstr "kan '%s/task' niet openen"
 
-#: elf/pldd.c:147
+#: elf/pldd.c:155
 #, c-format
 msgid "cannot prepare reading %s/task"
 msgstr "kan lezen van '%s/task' niet voorbereiden"
 
-#: elf/pldd.c:160
+#: elf/pldd.c:168
 #, c-format
 msgid "invalid thread ID '%s'"
 msgstr "ongeldig thread-ID: '%s'"
 
-#: elf/pldd.c:171
+#: elf/pldd.c:179
 #, c-format
 msgid "cannot attach to process %lu"
 msgstr "kan niet aanhechten aan proces %lu"
 
-#: elf/pldd.c:286
+#: elf/pldd.c:294
 #, c-format
 msgid "cannot get information about process %lu"
 msgstr "kan geen informatie verkrijgen over proces %lu"
 
-#: elf/pldd.c:299
+#: elf/pldd.c:307
 #, c-format
 msgid "process %lu is no ELF program"
 msgstr "proces %lu is geen ELF-programma"
@@ -1136,27 +1134,27 @@ msgstr "%s is niet een gedeeld objectbestand (type = %d)\n"
 msgid "more than one dynamic segment\n"
 msgstr "meer dan één dynamisch segment\n"
 
-#: elf/readlib.c:96
+#: elf/readlib.c:103
 #, c-format
 msgid "Cannot fstat file %s.\n"
 msgstr "Kan status van %s niet opvragen\n"
 
-#: elf/readlib.c:107
+#: elf/readlib.c:114
 #, c-format
 msgid "File %s is empty, not checked."
 msgstr "Bestand %s is leeg; niet gecontroleerd"
 
-#: elf/readlib.c:113
+#: elf/readlib.c:120
 #, c-format
 msgid "File %s is too small, not checked."
 msgstr "Bestand %s is te klein; niet gecontroleerd"
 
-#: elf/readlib.c:123
+#: elf/readlib.c:130
 #, c-format
 msgid "Cannot mmap file %s.\n"
 msgstr "Kan bestand %s niet geheel in het geheugen plaatsen\n"
 
-#: elf/readlib.c:161
+#: elf/readlib.c:169
 #, c-format
 msgid "%s is not an ELF file - it has the wrong magic bytes at the start.\n"
 msgstr "%s is geen ELF-bestand -- het heeft de verkeerde magische bytes aan het begin\n"
@@ -1291,11 +1289,11 @@ msgstr "GEDEELD_OBJECT [ANALYSEGEGEVENS]"
 msgid "failed to load shared object `%s'"
 msgstr "laden van gedeeld object '%s' is mislukt"
 
-# FIXME: doublure (see below)
-#: elf/sprof.c:442
+# FIXME: doublure (see above)
+#: elf/sprof.c:442 elf/sprof.c:825 elf/sprof.c:923
 #, c-format
-msgid "cannot create internal descriptors"
-msgstr "kan geen interne descriptors aanmaken"
+msgid "cannot create internal descriptor"
+msgstr "kan interne descriptor niet aanmaken"
 
 #: elf/sprof.c:554
 #, c-format
@@ -1362,12 +1360,6 @@ msgstr "kan analysegegevensbestand niet geheel in het geheugen plaatsen"
 msgid "error while closing the profiling data file"
 msgstr "fout bij sluiten van analysegegevensbestand"
 
-# FIXME: doublure (see above)
-#: elf/sprof.c:825 elf/sprof.c:923
-#, c-format
-msgid "cannot create internal descriptor"
-msgstr "kan interne descriptor niet aanmaken"
-
 #: elf/sprof.c:899
 #, c-format
 msgid "`%s' is no correct profile data file for `%s'"
@@ -1617,27 +1609,27 @@ msgstr "socket: protocolfout bij opzetten van circuit\n"
 msgid "rcmd: %s: short read"
 msgstr "rcmd: %s: te weinig gelezen"
 
-#: inet/rcmd.c:486
+#: inet/rcmd.c:490
 msgid "lstat failed"
 msgstr "lstat() is mislukt"
 
-#: inet/rcmd.c:493
+#: inet/rcmd.c:497
 msgid "cannot open"
 msgstr "kan niet openen"
 
-#: inet/rcmd.c:495
+#: inet/rcmd.c:499
 msgid "fstat failed"
 msgstr "fstat() is mislukt"
 
-#: inet/rcmd.c:497
+#: inet/rcmd.c:501
 msgid "bad owner"
 msgstr "verkeerde eigenaar"
 
-#: inet/rcmd.c:499
+#: inet/rcmd.c:503
 msgid "writeable by other than owner"
 msgstr "schrijfbaar door anderen dan eigenaar"
 
-#: inet/rcmd.c:501
+#: inet/rcmd.c:505
 msgid "hard linked somewhere"
 msgstr "ergens hard gekoppeld"
 
@@ -1759,8 +1751,8 @@ msgid "no symbolic name given for end of range"
 msgstr "geen symbolische naam gegeven voor einde-van-bereik"
 
 #: locale/programs/charmap.c:610 locale/programs/ld-address.c:528
-#: locale/programs/ld-collate.c:2626 locale/programs/ld-collate.c:3784
-#: locale/programs/ld-ctype.c:2162 locale/programs/ld-ctype.c:2913
+#: locale/programs/ld-collate.c:2635 locale/programs/ld-collate.c:3793
+#: locale/programs/ld-ctype.c:2128 locale/programs/ld-ctype.c:2840
 #: locale/programs/ld-identification.c:368
 #: locale/programs/ld-measurement.c:215 locale/programs/ld-messages.c:298
 #: locale/programs/ld-monetary.c:740 locale/programs/ld-name.c:264
@@ -1786,8 +1778,8 @@ msgid "%s: error in state machine"
 msgstr "%s: **interne fout** in toestandsmachine"
 
 #: locale/programs/charmap.c:850 locale/programs/ld-address.c:544
-#: locale/programs/ld-collate.c:2623 locale/programs/ld-collate.c:3977
-#: locale/programs/ld-ctype.c:2159 locale/programs/ld-ctype.c:2930
+#: locale/programs/ld-collate.c:2632 locale/programs/ld-collate.c:3986
+#: locale/programs/ld-ctype.c:2125 locale/programs/ld-ctype.c:2857
 #: locale/programs/ld-identification.c:384
 #: locale/programs/ld-measurement.c:231 locale/programs/ld-messages.c:314
 #: locale/programs/ld-monetary.c:756 locale/programs/ld-name.c:280
@@ -1808,7 +1800,7 @@ msgstr "onbekend teken '%s'"
 msgid "number of bytes for byte sequence of beginning and end of range not the same: %d vs %d"
 msgstr "het aantal bytes in de bytereeks is voor begin en einde van het bereik niet hetzelfde: %d tegenover %d"
 
-#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2903
+#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2912
 #: locale/programs/repertoire.c:419
 msgid "invalid names for character range"
 msgstr "ongeldige namen voor tekenbereik"
@@ -1830,8 +1822,8 @@ msgstr "bovengrens in bereik is kleiner dan ondergrens"
 msgid "resulting bytes for range not representable."
 msgstr "resulterende bytes voor bereik zijn niet te representeren"
 
-#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1565
-#: locale/programs/ld-ctype.c:465 locale/programs/ld-identification.c:133
+#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1566
+#: locale/programs/ld-ctype.c:431 locale/programs/ld-identification.c:133
 #: locale/programs/ld-measurement.c:94 locale/programs/ld-messages.c:97
 #: locale/programs/ld-monetary.c:193 locale/programs/ld-name.c:94
 #: locale/programs/ld-numeric.c:98 locale/programs/ld-paper.c:91
@@ -1895,7 +1887,7 @@ msgid "%s: numeric country code `%d' not valid"
 msgstr "%s: numerieke landcode '%d' is ongeldig"
 
 #: locale/programs/ld-address.c:436 locale/programs/ld-address.c:473
-#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2537
+#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2489
 #: locale/programs/ld-identification.c:280
 #: locale/programs/ld-measurement.c:198 locale/programs/ld-messages.c:267
 #: locale/programs/ld-monetary.c:495 locale/programs/ld-monetary.c:530
@@ -1917,8 +1909,8 @@ msgstr "%s: het veld '%s' is meerdere keren gedeclareerd"
 msgid "%s: unknown character in field `%s'"
 msgstr "%s: onbekend teken in het veld '%s'"
 
-#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3782
-#: locale/programs/ld-ctype.c:2910 locale/programs/ld-identification.c:365
+#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3791
+#: locale/programs/ld-ctype.c:2837 locale/programs/ld-identification.c:365
 #: locale/programs/ld-measurement.c:212 locale/programs/ld-messages.c:296
 #: locale/programs/ld-monetary.c:738 locale/programs/ld-name.c:262
 #: locale/programs/ld-numeric.c:324 locale/programs/ld-paper.c:212
@@ -1927,12 +1919,12 @@ msgstr "%s: onbekend teken in het veld '%s'"
 msgid "%s: incomplete `END' line"
 msgstr "%s: onvolledige 'END'-regel"
 
-#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:551
-#: locale/programs/ld-collate.c:603 locale/programs/ld-collate.c:899
-#: locale/programs/ld-collate.c:912 locale/programs/ld-collate.c:2592
-#: locale/programs/ld-collate.c:2613 locale/programs/ld-collate.c:3967
-#: locale/programs/ld-ctype.c:1891 locale/programs/ld-ctype.c:2149
-#: locale/programs/ld-ctype.c:2735 locale/programs/ld-ctype.c:2921
+#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:552
+#: locale/programs/ld-collate.c:604 locale/programs/ld-collate.c:900
+#: locale/programs/ld-collate.c:913 locale/programs/ld-collate.c:2601
+#: locale/programs/ld-collate.c:2622 locale/programs/ld-collate.c:3976
+#: locale/programs/ld-ctype.c:1857 locale/programs/ld-ctype.c:2115
+#: locale/programs/ld-ctype.c:2687 locale/programs/ld-ctype.c:2848
 #: locale/programs/ld-identification.c:375
 #: locale/programs/ld-measurement.c:222 locale/programs/ld-messages.c:305
 #: locale/programs/ld-monetary.c:747 locale/programs/ld-name.c:271
@@ -1942,479 +1934,479 @@ msgstr "%s: onvolledige 'END'-regel"
 msgid "%s: syntax error"
 msgstr "%s: syntaxfout"
 
-#: locale/programs/ld-collate.c:426
+#: locale/programs/ld-collate.c:427
 #, c-format
 msgid "`%.*s' already defined in charmap"
 msgstr "'%.*s' is al gedefinieerd in tekensetdefinitie"
 
-#: locale/programs/ld-collate.c:435
+#: locale/programs/ld-collate.c:436
 #, c-format
 msgid "`%.*s' already defined in repertoire"
 msgstr "'%.*s' is al gedefinieerd in repertoire"
 
-#: locale/programs/ld-collate.c:442
+#: locale/programs/ld-collate.c:443
 #, c-format
 msgid "`%.*s' already defined as collating symbol"
 msgstr "'%.*s' is al gedefinieerd als sorteringssymbool"
 
-#: locale/programs/ld-collate.c:449
+#: locale/programs/ld-collate.c:450
 #, c-format
 msgid "`%.*s' already defined as collating element"
 msgstr "'%.*s' is al gedefinieerd als sorteringselement"
 
-#: locale/programs/ld-collate.c:480 locale/programs/ld-collate.c:506
+#: locale/programs/ld-collate.c:481 locale/programs/ld-collate.c:507
 #, c-format
 msgid "%s: `forward' and `backward' are mutually excluding each other"
 msgstr "%s: 'forward' en 'backward' sluiten elkaar uit"
 
-#: locale/programs/ld-collate.c:490 locale/programs/ld-collate.c:516
-#: locale/programs/ld-collate.c:532
+#: locale/programs/ld-collate.c:491 locale/programs/ld-collate.c:517
+#: locale/programs/ld-collate.c:533
 #, c-format
 msgid "%s: `%s' mentioned more than once in definition of weight %d"
 msgstr "%s: '%s' wordt meerdere keren genoemd in definitie van gewicht %d"
 
-#: locale/programs/ld-collate.c:588
+#: locale/programs/ld-collate.c:589
 #, c-format
 msgid "%s: too many rules; first entry only had %d"
 msgstr "%s: te veel voorschriften; het eerste item had er slechts %d"
 
-#: locale/programs/ld-collate.c:624
+#: locale/programs/ld-collate.c:625
 #, c-format
 msgid "%s: not enough sorting rules"
 msgstr "%s: niet genoeg sorteervoorschriften"
 
-#: locale/programs/ld-collate.c:789
+#: locale/programs/ld-collate.c:790
 #, c-format
 msgid "%s: empty weight string not allowed"
 msgstr "%s: lege gewichtstekenreeks is niet toegestaan"
 
-#: locale/programs/ld-collate.c:884
+#: locale/programs/ld-collate.c:885
 #, c-format
 msgid "%s: weights must use the same ellipsis symbol as the name"
 msgstr "%s: gewichten moeten hetzelfde beletselteken gebruiken als de naam"
 
-#: locale/programs/ld-collate.c:940
+#: locale/programs/ld-collate.c:941
 #, c-format
 msgid "%s: too many values"
 msgstr "%s: te veel waarden"
 
-#: locale/programs/ld-collate.c:1060 locale/programs/ld-collate.c:1235
+#: locale/programs/ld-collate.c:1061 locale/programs/ld-collate.c:1236
 #, c-format
 msgid "order for `%.*s' already defined at %s:%Zu"
 msgstr "sorteervolgorde voor '%.*s' is al gedefinieerd in %s:%Zu"
 
-#: locale/programs/ld-collate.c:1110
+#: locale/programs/ld-collate.c:1111
 #, c-format
 msgid "%s: the start and the end symbol of a range must stand for characters"
 msgstr "%s: het begin- en eindsymbool van een bereik moeten enkele tekens aanduiden"
 
-#: locale/programs/ld-collate.c:1137
+#: locale/programs/ld-collate.c:1138
 #, c-format
 msgid "%s: byte sequences of first and last character must have the same length"
 msgstr "%s: de bytereeksen van het eerste en laatste bereikteken moeten dezelfde lengte hebben"
 
-#: locale/programs/ld-collate.c:1179
+#: locale/programs/ld-collate.c:1180
 #, c-format
 msgid "%s: byte sequence of first character of range is not lower than that of the last character"
 msgstr "%s: de bytereeks van het eerste bereikteken is niet kleiner dan die van het laatste"
 
-#: locale/programs/ld-collate.c:1304
+#: locale/programs/ld-collate.c:1305
 #, c-format
 msgid "%s: symbolic range ellipsis must not directly follow `order_start'"
 msgstr "%s: beletselteken van symbolenbereik mag niet direct na 'order_start' staan"
 
-#: locale/programs/ld-collate.c:1308
+#: locale/programs/ld-collate.c:1309
 #, c-format
 msgid "%s: symbolic range ellipsis must not be directly followed by `order_end'"
 msgstr "%s: beletselteken van symbolenbereik mag niet direct voor 'order_end' staan"
 
-#: locale/programs/ld-collate.c:1328 locale/programs/ld-ctype.c:1408
+#: locale/programs/ld-collate.c:1329 locale/programs/ld-ctype.c:1374
 #, c-format
 msgid "`%s' and `%.*s' are not valid names for symbolic range"
 msgstr "'%s' en '%.*s' zijn geen geldige namen voor een symbolenbereik"
 
-#: locale/programs/ld-collate.c:1378 locale/programs/ld-collate.c:3718
+#: locale/programs/ld-collate.c:1379 locale/programs/ld-collate.c:3727
 #, c-format
 msgid "%s: order for `%.*s' already defined at %s:%Zu"
 msgstr "%s: sorteervolgorde van '%.*s' is al gedefinieerd in %s:%Zu"
 
-#: locale/programs/ld-collate.c:1387
+#: locale/programs/ld-collate.c:1388
 #, c-format
 msgid "%s: `%s' must be a character"
 msgstr "%s: '%s' moet een teken zijn"
 
-#: locale/programs/ld-collate.c:1582
+#: locale/programs/ld-collate.c:1583
 #, c-format
 msgid "%s: `position' must be used for a specific level in all sections or none"
 msgstr "%s: 'position' moet voor een specifiek niveau gebruikt worden ofwel in alle secties ofwel in geen"
 
-#: locale/programs/ld-collate.c:1607
+#: locale/programs/ld-collate.c:1608
 #, c-format
 msgid "symbol `%s' not defined"
 msgstr "symbool '%s' is niet gedefinieerd"
 
-#: locale/programs/ld-collate.c:1683 locale/programs/ld-collate.c:1789
+#: locale/programs/ld-collate.c:1684 locale/programs/ld-collate.c:1790
 #, c-format
 msgid "symbol `%s' has the same encoding as"
 msgstr "symbool '%s' heeft dezelfde codering als"
 
-#: locale/programs/ld-collate.c:1687 locale/programs/ld-collate.c:1793
+#: locale/programs/ld-collate.c:1688 locale/programs/ld-collate.c:1794
 #, c-format
 msgid "symbol `%s'"
 msgstr "symbool '%s'"
 
-#: locale/programs/ld-collate.c:1833
+#: locale/programs/ld-collate.c:1834
 #, c-format
 msgid "no definition of `UNDEFINED'"
 msgstr "geen definitie van 'UNDEFINED'"
 
-#: locale/programs/ld-collate.c:1862
+#: locale/programs/ld-collate.c:1863
 #, c-format
 msgid "too many errors; giving up"
 msgstr "te veel fouten -- gestopt"
 
-#: locale/programs/ld-collate.c:2518 locale/programs/ld-collate.c:3906
+#: locale/programs/ld-collate.c:2527 locale/programs/ld-collate.c:3915
 #, c-format
 msgid "%s: nested conditionals not supported"
 msgstr "%s: geneste voorwaardelijke constructies worden niet ondersteund"
 
-#: locale/programs/ld-collate.c:2536
+#: locale/programs/ld-collate.c:2545
 #, c-format
 msgid "%s: more than one 'else'"
 msgstr "%s: meer dan één 'else'"
 
-#: locale/programs/ld-collate.c:2711
+#: locale/programs/ld-collate.c:2720
 #, c-format
 msgid "%s: duplicate definition of `%s'"
 msgstr "%s: dubbele definitie van '%s'"
 
-#: locale/programs/ld-collate.c:2747
+#: locale/programs/ld-collate.c:2756
 #, c-format
 msgid "%s: duplicate declaration of section `%s'"
 msgstr "%s: dubbele declaratie van sectie '%s'"
 
-#: locale/programs/ld-collate.c:2883
+#: locale/programs/ld-collate.c:2892
 #, c-format
 msgid "%s: unknown character in collating symbol name"
 msgstr "%s: onbekend teken in naam van sorteringssymbool"
 
-#: locale/programs/ld-collate.c:3012
+#: locale/programs/ld-collate.c:3021
 #, c-format
 msgid "%s: unknown character in equivalent definition name"
 msgstr "%s: onbekend teken in naam van equivalentiedefinitie"
 
-#: locale/programs/ld-collate.c:3023
+#: locale/programs/ld-collate.c:3032
 #, c-format
 msgid "%s: unknown character in equivalent definition value"
 msgstr "%s: onbekend teken in waarde van equivalentiedefinitie"
 
-#: locale/programs/ld-collate.c:3033
+#: locale/programs/ld-collate.c:3042
 #, c-format
 msgid "%s: unknown symbol `%s' in equivalent definition"
 msgstr "%s: onbekend symbool '%s' in equivalentiedefinitie"
 
-#: locale/programs/ld-collate.c:3042
+#: locale/programs/ld-collate.c:3051
 msgid "error while adding equivalent collating symbol"
 msgstr "fout bij toevoegen van equivalent sorteringssymbool"
 
-#: locale/programs/ld-collate.c:3080
+#: locale/programs/ld-collate.c:3089
 #, c-format
 msgid "duplicate definition of script `%s'"
 msgstr "dubbele definitie van script '%s'"
 
-#: locale/programs/ld-collate.c:3128
+#: locale/programs/ld-collate.c:3137
 #, c-format
 msgid "%s: unknown section name `%.*s'"
 msgstr "%s: onbekende sectienaam '%.*s'"
 
-#: locale/programs/ld-collate.c:3157
+#: locale/programs/ld-collate.c:3166
 #, c-format
 msgid "%s: multiple order definitions for section `%s'"
 msgstr "%s: meerdere sorteervolgorde-definities voor sectie '%s'"
 
-#: locale/programs/ld-collate.c:3185
+#: locale/programs/ld-collate.c:3194
 #, c-format
 msgid "%s: invalid number of sorting rules"
 msgstr "%s: ongeldig aantal sorteervoorschriften"
 
-#: locale/programs/ld-collate.c:3212
+#: locale/programs/ld-collate.c:3221
 #, c-format
 msgid "%s: multiple order definitions for unnamed section"
 msgstr "%s: meerdere sorteervolgorde-definities voor naamloze sectie"
 
-#: locale/programs/ld-collate.c:3267 locale/programs/ld-collate.c:3397
-#: locale/programs/ld-collate.c:3760
+#: locale/programs/ld-collate.c:3276 locale/programs/ld-collate.c:3406
+#: locale/programs/ld-collate.c:3769
 #, c-format
 msgid "%s: missing `order_end' keyword"
 msgstr "%s: ontbrekend sleutelwoord 'order_end'"
 
-#: locale/programs/ld-collate.c:3330
+#: locale/programs/ld-collate.c:3339
 #, c-format
 msgid "%s: order for collating symbol %.*s not yet defined"
 msgstr "%s: sorteervolgorde voor symbool '%.*s' is nog niet gedefinieerd"
 
-#: locale/programs/ld-collate.c:3348
+#: locale/programs/ld-collate.c:3357
 #, c-format
 msgid "%s: order for collating element %.*s not yet defined"
 msgstr "%s: sorteervolgorde voor element '%.*s' is nog niet gedefinieerd"
 
-#: locale/programs/ld-collate.c:3359
+#: locale/programs/ld-collate.c:3368
 #, c-format
 msgid "%s: cannot reorder after %.*s: symbol not known"
 msgstr "%s: kan niet herordenen na '%.*s': dit symbool is onbekend"
 
-#: locale/programs/ld-collate.c:3411 locale/programs/ld-collate.c:3772
+#: locale/programs/ld-collate.c:3420 locale/programs/ld-collate.c:3781
 #, c-format
 msgid "%s: missing `reorder-end' keyword"
 msgstr "%s: ontbrekend sleutelwoord 'reorder-end'"
 
-#: locale/programs/ld-collate.c:3445 locale/programs/ld-collate.c:3643
+#: locale/programs/ld-collate.c:3454 locale/programs/ld-collate.c:3652
 #, c-format
 msgid "%s: section `%.*s' not known"
 msgstr "%s: sectie '%.*s' is onbekend"
 
-#: locale/programs/ld-collate.c:3510
+#: locale/programs/ld-collate.c:3519
 #, c-format
 msgid "%s: bad symbol <%.*s>"
 msgstr "%s: onjuist symbool <%.*s>"
 
-#: locale/programs/ld-collate.c:3706
+#: locale/programs/ld-collate.c:3715
 #, c-format
 msgid "%s: cannot have `%s' as end of ellipsis range"
 msgstr "%s: '%s' kan geen einde van bereik zijn"
 
-#: locale/programs/ld-collate.c:3756
+#: locale/programs/ld-collate.c:3765
 #, c-format
 msgid "%s: empty category description not allowed"
 msgstr "%s: lege categoriebeschrijving is niet toegestaan"
 
-#: locale/programs/ld-collate.c:3775
+#: locale/programs/ld-collate.c:3784
 #, c-format
 msgid "%s: missing `reorder-sections-end' keyword"
 msgstr "%s: ontbrekend sleutelwoord 'reorder-sections-end'"
 
-#: locale/programs/ld-collate.c:3939
+#: locale/programs/ld-collate.c:3948
 #, c-format
 msgid "%s: '%s' without matching 'ifdef' or 'ifndef'"
 msgstr "%s: '%s' zonder bijpassende 'ifdef' of 'ifndef'"
 
-#: locale/programs/ld-collate.c:3957
+#: locale/programs/ld-collate.c:3966
 #, c-format
 msgid "%s: 'endif' without matching 'ifdef' or 'ifndef'"
 msgstr "%s: 'endif' zonder bijpassende 'ifdef' of 'ifndef'"
 
-#: locale/programs/ld-ctype.c:484
+#: locale/programs/ld-ctype.c:450
 #, c-format
 msgid "No character set name specified in charmap"
 msgstr "Geen tekensetnaam aangegeven in tekensetdefinitie"
 
-#: locale/programs/ld-ctype.c:513
+#: locale/programs/ld-ctype.c:479
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must be in class `%s'"
 msgstr "teken L'\\u%0*x' in klasse '%s' moet in klasse '%s' zitten"
 
-#: locale/programs/ld-ctype.c:528
+#: locale/programs/ld-ctype.c:494
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must not be in class `%s'"
 msgstr "teken L'\\u%0*x' in klasse '%s' mag niet in klasse '%s' zitten"
 
-#: locale/programs/ld-ctype.c:542 locale/programs/ld-ctype.c:600
+#: locale/programs/ld-ctype.c:508 locale/programs/ld-ctype.c:566
 #, c-format
 msgid "internal error in %s, line %u"
 msgstr "**interne fout** in %s, regel %u"
 
-#: locale/programs/ld-ctype.c:571
+#: locale/programs/ld-ctype.c:537
 #, c-format
 msgid "character '%s' in class `%s' must be in class `%s'"
 msgstr "teken '%s' in klasse '%s' moet in klasse '%s' zitten"
 
-#: locale/programs/ld-ctype.c:587
+#: locale/programs/ld-ctype.c:553
 #, c-format
 msgid "character '%s' in class `%s' must not be in class `%s'"
 msgstr "teken '%s' in klasse '%s' mag niet in klasse '%s' zitten"
 
-#: locale/programs/ld-ctype.c:617 locale/programs/ld-ctype.c:655
+#: locale/programs/ld-ctype.c:583 locale/programs/ld-ctype.c:621
 #, c-format
 msgid "<SP> character not in class `%s'"
 msgstr "<SP>-teken zit niet in klasse '%s'"
 
-#: locale/programs/ld-ctype.c:629 locale/programs/ld-ctype.c:666
+#: locale/programs/ld-ctype.c:595 locale/programs/ld-ctype.c:632
 #, c-format
 msgid "<SP> character must not be in class `%s'"
 msgstr "<SP>-teken mag niet in klasse '%s' zitten"
 
-#: locale/programs/ld-ctype.c:644
+#: locale/programs/ld-ctype.c:610
 #, c-format
 msgid "character <SP> not defined in character map"
 msgstr "<SP>-teken is niet gedefinieerd in tekensetdefinitie"
 
-#: locale/programs/ld-ctype.c:780
+#: locale/programs/ld-ctype.c:746
 #, c-format
 msgid "`digit' category has not entries in groups of ten"
 msgstr "het aantal items in de cijferscategorie is geen veelvoud van tien"
 
-#: locale/programs/ld-ctype.c:829
+#: locale/programs/ld-ctype.c:795
 #, c-format
 msgid "no input digits defined and none of the standard names in the charmap"
 msgstr "er zijn geen invoercijfers gedefinieerd en geen van de standaardnamen zit in de tekensetdefinitie"
 
-#: locale/programs/ld-ctype.c:894
+#: locale/programs/ld-ctype.c:860
 #, c-format
 msgid "not all characters used in `outdigit' are available in the charmap"
 msgstr "niet alle tekens in 'outdigit' zijn beschikbaar in de tekensetdefinitie"
 
-#: locale/programs/ld-ctype.c:911
+#: locale/programs/ld-ctype.c:877
 #, c-format
 msgid "not all characters used in `outdigit' are available in the repertoire"
 msgstr "niet alle tekens gebruikt in 'outdigit' zijn beschikbaar in het repertoire"
 
-#: locale/programs/ld-ctype.c:1176
+#: locale/programs/ld-ctype.c:1142
 #, c-format
 msgid "character class `%s' already defined"
 msgstr "tekenklasse '%s' is al gedefinieerd"
 
-#: locale/programs/ld-ctype.c:1182
+#: locale/programs/ld-ctype.c:1148
 #, c-format
 msgid "implementation limit: no more than %Zd character classes allowed"
 msgstr "implementatiegrens: er zijn niet meer dan %Zd tekenklassen toegestaan"
 
-#: locale/programs/ld-ctype.c:1208
+#: locale/programs/ld-ctype.c:1174
 #, c-format
 msgid "character map `%s' already defined"
 msgstr "tekensetdefinitie '%s' is al gedefinieerd"
 
-#: locale/programs/ld-ctype.c:1214
+#: locale/programs/ld-ctype.c:1180
 #, c-format
 msgid "implementation limit: no more than %d character maps allowed"
 msgstr "implementatiegrens: er zijn niet meer dan %d tekensetdefinities toegestaan"
 
-#: locale/programs/ld-ctype.c:1479 locale/programs/ld-ctype.c:1604
-#: locale/programs/ld-ctype.c:1710 locale/programs/ld-ctype.c:2400
-#: locale/programs/ld-ctype.c:3397
+#: locale/programs/ld-ctype.c:1445 locale/programs/ld-ctype.c:1570
+#: locale/programs/ld-ctype.c:1676 locale/programs/ld-ctype.c:2352
+#: locale/programs/ld-ctype.c:3324
 #, c-format
 msgid "%s: field `%s' does not contain exactly ten entries"
 msgstr "%s: het veld '%s' bevat niet precies tien items"
 
-#: locale/programs/ld-ctype.c:1507 locale/programs/ld-ctype.c:2081
+#: locale/programs/ld-ctype.c:1473 locale/programs/ld-ctype.c:2047
 #, c-format
 msgid "to-value <U%0*X> of range is smaller than from-value <U%0*X>"
 msgstr "eindwaarde <U%0*X> van bereik is kleiner dan beginwaarde <U%0*X>"
 
-#: locale/programs/ld-ctype.c:1634
+#: locale/programs/ld-ctype.c:1600
 msgid "start and end character sequence of range must have the same length"
 msgstr "begin- en eindbytereeks van bereik moeten dezelfde lengte hebben"
 
-#: locale/programs/ld-ctype.c:1641
+#: locale/programs/ld-ctype.c:1607
 msgid "to-value character sequence is smaller than from-value sequence"
 msgstr "eindwaarde is kleiner dan beginwaarde"
 
-#: locale/programs/ld-ctype.c:2001 locale/programs/ld-ctype.c:2052
+#: locale/programs/ld-ctype.c:1967 locale/programs/ld-ctype.c:2018
 msgid "premature end of `translit_ignore' definition"
 msgstr "voortijdig einde van definitie van 'translit_ignore'"
 
 #
 # This error message is issued when yacc finds an error at parse time.
 #
-#: locale/programs/ld-ctype.c:2007 locale/programs/ld-ctype.c:2058
-#: locale/programs/ld-ctype.c:2100
+#: locale/programs/ld-ctype.c:1973 locale/programs/ld-ctype.c:2024
+#: locale/programs/ld-ctype.c:2066
 msgid "syntax error"
 msgstr "syntaxfout"
 
-#: locale/programs/ld-ctype.c:2233
+#: locale/programs/ld-ctype.c:2199
 #, c-format
 msgid "%s: syntax error in definition of new character class"
 msgstr "%s: syntaxfout in definitie van nieuwe tekenklasse"
 
-#: locale/programs/ld-ctype.c:2248
+#: locale/programs/ld-ctype.c:2214
 #, c-format
 msgid "%s: syntax error in definition of new character map"
 msgstr "%s: syntaxfout in nieuwe tekensetdefinitie"
 
-#: locale/programs/ld-ctype.c:2422
+#: locale/programs/ld-ctype.c:2374
 msgid "ellipsis range must be marked by two operands of same type"
 msgstr "een bereik met een beletselteken moet twee parameters van dezelfde soort bevatten"
 
-#: locale/programs/ld-ctype.c:2431
+#: locale/programs/ld-ctype.c:2383
 msgid "with symbolic name range values the absolute ellipsis `...' must not be used"
 msgstr "in een bereik met symbolische namen mag het absolute beletselteken '...' niet gebruikt worden"
 
-#: locale/programs/ld-ctype.c:2446
+#: locale/programs/ld-ctype.c:2398
 msgid "with UCS range values one must use the hexadecimal symbolic ellipsis `..'"
 msgstr "in een bereik met UCS-waarden moet het hexadecimale symbolische beletselsteken '..' gebruikt worden"
 
-#: locale/programs/ld-ctype.c:2460
+#: locale/programs/ld-ctype.c:2412
 msgid "with character code range values one must use the absolute ellipsis `...'"
 msgstr "in een bereik met tekencodes moet het absolute beletselteken '...' gebruikt worden"
 
-#: locale/programs/ld-ctype.c:2611
+#: locale/programs/ld-ctype.c:2563
 #, c-format
 msgid "duplicated definition for mapping `%s'"
 msgstr "dubbele definitie van afbeelding '%s'"
 
-#: locale/programs/ld-ctype.c:2697 locale/programs/ld-ctype.c:2841
+#: locale/programs/ld-ctype.c:2649 locale/programs/ld-ctype.c:2793
 #, c-format
 msgid "%s: `translit_start' section does not end with `translit_end'"
 msgstr "%s: sectie 'translit_start' eindigt niet met 'translit_end'"
 
-#: locale/programs/ld-ctype.c:2792
+#: locale/programs/ld-ctype.c:2744
 #, c-format
 msgid "%s: duplicate `default_missing' definition"
 msgstr "%s: dubbele definitie van 'default_missing'"
 
-#: locale/programs/ld-ctype.c:2797
+#: locale/programs/ld-ctype.c:2749
 msgid "previous definition was here"
 msgstr "de vorige definitie was hier"
 
-#: locale/programs/ld-ctype.c:2819
+#: locale/programs/ld-ctype.c:2771
 #, c-format
 msgid "%s: no representable `default_missing' definition found"
 msgstr "%s: geen representeerbare definitie van 'default_missing' gevonden"
 
-#: locale/programs/ld-ctype.c:2962 locale/programs/ld-ctype.c:3059
-#: locale/programs/ld-ctype.c:3079 locale/programs/ld-ctype.c:3100
-#: locale/programs/ld-ctype.c:3121 locale/programs/ld-ctype.c:3142
-#: locale/programs/ld-ctype.c:3163 locale/programs/ld-ctype.c:3203
-#: locale/programs/ld-ctype.c:3224 locale/programs/ld-ctype.c:3289
-#: locale/programs/ld-ctype.c:3331 locale/programs/ld-ctype.c:3356
+#: locale/programs/ld-ctype.c:2889 locale/programs/ld-ctype.c:2986
+#: locale/programs/ld-ctype.c:3006 locale/programs/ld-ctype.c:3027
+#: locale/programs/ld-ctype.c:3048 locale/programs/ld-ctype.c:3069
+#: locale/programs/ld-ctype.c:3090 locale/programs/ld-ctype.c:3130
+#: locale/programs/ld-ctype.c:3151 locale/programs/ld-ctype.c:3216
+#: locale/programs/ld-ctype.c:3258 locale/programs/ld-ctype.c:3283
 #, c-format
 msgid "%s: character `%s' not defined while needed as default value"
 msgstr "%s: teken '%s' is niet gedefinieerd maar is nodig als standaardwaarde"
 
-#: locale/programs/ld-ctype.c:2967 locale/programs/ld-ctype.c:3064
-#: locale/programs/ld-ctype.c:3084 locale/programs/ld-ctype.c:3105
-#: locale/programs/ld-ctype.c:3126 locale/programs/ld-ctype.c:3147
-#: locale/programs/ld-ctype.c:3168 locale/programs/ld-ctype.c:3208
-#: locale/programs/ld-ctype.c:3229 locale/programs/ld-ctype.c:3294
+#: locale/programs/ld-ctype.c:2894 locale/programs/ld-ctype.c:2991
+#: locale/programs/ld-ctype.c:3011 locale/programs/ld-ctype.c:3032
+#: locale/programs/ld-ctype.c:3053 locale/programs/ld-ctype.c:3074
+#: locale/programs/ld-ctype.c:3095 locale/programs/ld-ctype.c:3135
+#: locale/programs/ld-ctype.c:3156 locale/programs/ld-ctype.c:3221
 #, c-format
 msgid "%s: character `%s' in charmap not representable with one byte"
 msgstr "%s: teken '%s' in de tekensetdefinitie is niet te representeren met één byte"
 
-#: locale/programs/ld-ctype.c:3338 locale/programs/ld-ctype.c:3363
+#: locale/programs/ld-ctype.c:3265 locale/programs/ld-ctype.c:3290
 #, c-format
 msgid "%s: character `%s' needed as default value not representable with one byte"
 msgstr "%s: teken '%s' is nodig als standaardwaarde maar niet te representeren met één byte"
 
-#: locale/programs/ld-ctype.c:3419
+#: locale/programs/ld-ctype.c:3346
 #, c-format
 msgid "no output digits defined and none of the standard names in the charmap"
 msgstr "er zijn geen uitvoercijfers gedefinieerd en geen van de standaardnamen zit in de tekensetdefinitie"
 
-#: locale/programs/ld-ctype.c:3668
+#: locale/programs/ld-ctype.c:3595
 #, c-format
 msgid "%s: transliteration data from locale `%s' not available"
 msgstr "%s: transliteratiegegevens van taalregio '%s' zijn niet beschikbaar"
 
-#: locale/programs/ld-ctype.c:3768
+#: locale/programs/ld-ctype.c:3695
 #, c-format
 msgid "%s: table for class \"%s\": %lu bytes\n"
 msgstr "%s: tabel voor klasse \"%s\": %lu bytes\n"
 
-#: locale/programs/ld-ctype.c:3833
+#: locale/programs/ld-ctype.c:3760
 #, c-format
 msgid "%s: table for map \"%s\": %lu bytes\n"
 msgstr "%s: tabel voor kaart \"%s\": %lu bytes\n"
 
-#: locale/programs/ld-ctype.c:3958
+#: locale/programs/ld-ctype.c:3885
 #, c-format
 msgid "%s: table for width: %lu bytes\n"
 msgstr "%s: tabel voor breedte: %lu bytes\n"
@@ -3844,17 +3836,22 @@ msgstr "toevoegen van nieuw item \"%s\" van type %s voor %s aan cache%s"
 msgid " (first)"
 msgstr " (eerste)"
 
-#: nscd/cache.c:285 nscd/connections.c:1000
+#: nscd/cache.c:288
 #, c-format
-msgid "cannot stat() file `%s': %s"
-msgstr "kan status van bestand '%s' niet opvragen: %s"
+msgid "checking for monitored file `%s': %s"
+msgstr "controleren van gemonitord bestand '%s': %s"
 
-#: nscd/cache.c:331
+#: nscd/cache.c:298
+#, c-format
+msgid "monitored file `%s` changed (mtime)"
+msgstr "gemonitord bestand '%s' is gewijzigd (mtime)"
+
+#: nscd/cache.c:341
 #, c-format
 msgid "pruning %s cache; time %ld"
 msgstr "snoeien van cache %s; tijd %ld"
 
-#: nscd/cache.c:360
+#: nscd/cache.c:370
 #, c-format
 msgid "considering %s entry \"%s\", timeout %<PRIu64>"
 msgstr "overwegen van %s-item \"%s\", tijdslimiet %<PRIu64>"
@@ -3942,153 +3939,216 @@ msgstr "kan socket niet op sluiten-bij-exec instellen: %s"
 msgid "cannot enable socket to accept connections: %s"
 msgstr "kan socket geen verbindingen laten accepteren: %s"
 
-#: nscd/connections.c:984
+#: nscd/connections.c:973
+#, c-format
+msgid "disabled inotify-based monitoring for file `%s': %s"
+msgstr "'inotify'-monitoring van bestand '%s' is uitgeschakeld: %s"
+
+#: nscd/connections.c:977
+#, c-format
+msgid "monitoring file `%s` (%d)"
+msgstr "bestand '%s' wordt gemonitord (%d)"
+
+#: nscd/connections.c:990
+#, c-format
+msgid "disabled inotify-based monitoring for directory `%s': %s"
+msgstr "'inotify'-monitoring van map '%s' is uitgeschakeld: %s"
+
+#: nscd/connections.c:994
 #, c-format
-msgid "register trace file %s for database %s"
-msgstr "trace-bestand '%s' registreren voor gegevensbank '%s'"
+msgid "monitoring directory `%s` (%d)"
+msgstr "map '%s' wordt gemonitord (%d)"
 
-#: nscd/connections.c:1114
+#: nscd/connections.c:1022
+#, c-format
+msgid "monitoring file %s for database %s"
+msgstr "bestand '%s' wordt gemonitord voor gegevensbank '%s'"
+
+#: nscd/connections.c:1032
+#, c-format
+msgid "stat failed for file `%s'; will try again later: %s"
+msgstr "opvragen van status van bestand '%s' is mislukt; zal het later opnieuw proberen: %s"
+
+#: nscd/connections.c:1151
 #, c-format
 msgid "provide access to FD %d, for %s"
 msgstr "toegang verleend aan bestandsdescriptor %d, voor %s"
 
-#: nscd/connections.c:1126
+#: nscd/connections.c:1163
 #, c-format
 msgid "cannot handle old request version %d; current version is %d"
 msgstr "kan verzoek voor oude versie %d niet behandelen; huidige versie is %d"
 
-#: nscd/connections.c:1148
+#: nscd/connections.c:1185
 #, c-format
 msgid "request from %ld not handled due to missing permission"
 msgstr "verzoek van %ld is niet behandeld omdat er rechten ontbreken"
 
-#: nscd/connections.c:1153
+#: nscd/connections.c:1190
 #, c-format
 msgid "request from '%s' [%ld] not handled due to missing permission"
 msgstr "verzoek van '%s' [%ld] is niet behandeld omdat er rechten ontbreken"
 
-#: nscd/connections.c:1158
+#: nscd/connections.c:1195
 msgid "request not handled due to missing permission"
 msgstr "verzoek is niet behandeld omdat er rechten ontbreken"
 
-#: nscd/connections.c:1196 nscd/connections.c:1249
+#: nscd/connections.c:1233 nscd/connections.c:1286
 #, c-format
 msgid "cannot write result: %s"
 msgstr "kan resultaat niet schrijven: %s"
 
-#: nscd/connections.c:1340
+#: nscd/connections.c:1377
 #, c-format
 msgid "error getting caller's id: %s"
 msgstr "fout bij opvragen van ID van aanroeper: %s"
 
-#: nscd/connections.c:1400
+#: nscd/connections.c:1437
 #, c-format
 msgid "cannot open /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr "kan '/proc/self/cmdline' niet openen: %s -- paranoia-modus is uitgeschakeld"
 
-#: nscd/connections.c:1414
+#: nscd/connections.c:1451
 #, c-format
 msgid "cannot read /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr "kan '/proc/self/cmdline' niet openen: %s -- paranoia-modus wordt uitgeschakeld"
 
-#: nscd/connections.c:1454
+#: nscd/connections.c:1491
 #, c-format
 msgid "cannot change to old UID: %s; disabling paranoia mode"
 msgstr "kan niet overschakelen naar oude UID: %s -- paranoia-modus is uitgeschakeld"
 
-#: nscd/connections.c:1464
+#: nscd/connections.c:1501
 #, c-format
 msgid "cannot change to old GID: %s; disabling paranoia mode"
 msgstr "kan niet overschakelen naar oude GID: %s -- paranoia-modus is uitgeschakeld"
 
-#: nscd/connections.c:1477
+#: nscd/connections.c:1514
 #, c-format
 msgid "cannot change to old working directory: %s; disabling paranoia mode"
 msgstr "kan niet overschakelen naar oude werkmap: %s -- paranoia-modus is uitgeschakeld"
 
-#: nscd/connections.c:1523
+#: nscd/connections.c:1560
 #, c-format
 msgid "re-exec failed: %s; disabling paranoia mode"
 msgstr "her-exec() is mislukt: %s -- paranoia-modus is uitgeschakeld"
 
-#: nscd/connections.c:1532
+#: nscd/connections.c:1569
 #, c-format
 msgid "cannot change current working directory to \"/\": %s"
 msgstr "kan huidige werkmap niet overschakelen naar '/': %s"
 
-#: nscd/connections.c:1725
+#: nscd/connections.c:1762
 #, c-format
 msgid "short read while reading request: %s"
 msgstr "te weinig gelezen bij lezen van verzoek: %s"
 
-#: nscd/connections.c:1758
+#: nscd/connections.c:1795
 #, c-format
 msgid "key length in request too long: %d"
 msgstr "sleutellengte in verzoek is te lang: %d"
 
-#: nscd/connections.c:1771
+#: nscd/connections.c:1808
 #, c-format
 msgid "short read while reading request key: %s"
 msgstr "te weinig gelezen bij lezen van verzoeksleutel: %s"
 
-#: nscd/connections.c:1781
+#: nscd/connections.c:1818
 #, c-format
 msgid "handle_request: request received (Version = %d) from PID %ld"
 msgstr "handle_request(): verzoek ontvangen (versie = %d) van PID %ld"
 
-#: nscd/connections.c:1786
+#: nscd/connections.c:1823
 #, c-format
 msgid "handle_request: request received (Version = %d)"
 msgstr "handle_request(): verzoek ontvangen (versie = %d)"
 
-#: nscd/connections.c:2050 nscd/connections.c:2252
+#: nscd/connections.c:1963
+#, c-format
+msgid "ignored inotify event for `%s` (file exists)"
+msgstr "'inotify'-gebeurtenis voor '%s' is genegeerd (bestand bestaat al)"
+
+# FIXME: missing translatable word in second %s
+#: nscd/connections.c:1968
+#, c-format
+msgid "monitored file `%s` was %s, removing watch"
+msgstr "gemonitord bestand '%s' werd «%s»; wachter wordt verwijderd"
+
+#: nscd/connections.c:1976 nscd/connections.c:2018
+#, c-format
+msgid "failed to remove file watch `%s`: %s"
+msgstr "verwijderen van bestandswachter '%s' is mislukt: %s"
+
+#: nscd/connections.c:1991
+#, c-format
+msgid "monitored file `%s` was written to"
+msgstr "er is geschreven naar gemonitord bestand '%s'"
+
+# FIXME: untranslatable second %s
+#: nscd/connections.c:2015
+#, c-format
+msgid "monitored parent directory `%s` was %s, removing watch on `%s`"
+msgstr "gemonitorde oudermap '%s' werd «%s»; wachter op '%s' wordt verwijderd`"
+
+# FIXME: untranslatable second %s
+#: nscd/connections.c:2041
+#, c-format
+msgid "monitored file `%s` was %s, adding watch"
+msgstr "gemonitord bestand '%s' werd «%s»; wachter wordt toegevoegd"
+
+#: nscd/connections.c:2053
+#, c-format
+msgid "failed to add file watch `%s`: %s"
+msgstr "toevoegen van bestandswachter '%s' is mislukt: %s"
+
+#: nscd/connections.c:2247 nscd/connections.c:2428
 #, c-format
-msgid "disabled inotify after read error %d"
-msgstr "'inotify' is  uitgeschakeld na leesfout %d"
+msgid "disabled inotify-based monitoring after read error %d"
+msgstr "'inotify'-monitoring is uitgeschakeld na leesfout %d"
 
-#: nscd/connections.c:2375
+#: nscd/connections.c:2543
 msgid "could not initialize conditional variable"
 msgstr "kan conditionele variabele niet initialiseren"
 
-#: nscd/connections.c:2383
+#: nscd/connections.c:2551
 msgid "could not start clean-up thread; terminating"
 msgstr "kan opschoon-thread niet starten -- gestopt"
 
-#: nscd/connections.c:2397
+#: nscd/connections.c:2565
 msgid "could not start any worker thread; terminating"
 msgstr "kan geen enkele werk-thread starten -- gestopt"
 
-#: nscd/connections.c:2452 nscd/connections.c:2454 nscd/connections.c:2470
-#: nscd/connections.c:2480 nscd/connections.c:2498 nscd/connections.c:2509
-#: nscd/connections.c:2519
+#: nscd/connections.c:2620 nscd/connections.c:2622 nscd/connections.c:2638
+#: nscd/connections.c:2648 nscd/connections.c:2666 nscd/connections.c:2677
+#: nscd/connections.c:2687
 #, c-format
 msgid "Failed to run nscd as user '%s'"
 msgstr "uitvoeren van nscd als gebruiker '%s' is mislukt"
 
-#: nscd/connections.c:2472
+#: nscd/connections.c:2640
 msgid "initial getgrouplist failed"
 msgstr "eerste getgrouplist() is mislukt"
 
-#: nscd/connections.c:2481
+#: nscd/connections.c:2649
 msgid "getgrouplist failed"
 msgstr "getgrouplist() is mislukt"
 
-#: nscd/connections.c:2499
+#: nscd/connections.c:2667
 msgid "setgroups failed"
 msgstr "setgroups() is mislukt"
 
-#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:410
+#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:411
 #: nscd/pwdcache.c:383 nscd/servicescache.c:338
 #, c-format
 msgid "short write in %s: %s"
 msgstr "te weinig geschreven in %s: %s"
 
-#: nscd/grpcache.c:450 nscd/initgrcache.c:77
+#: nscd/grpcache.c:450 nscd/initgrcache.c:78
 #, c-format
 msgid "Haven't found \"%s\" in group cache!"
 msgstr "Item \"%s\" niet gevonden in groeps-cache!"
 
-#: nscd/grpcache.c:452 nscd/initgrcache.c:79
+#: nscd/grpcache.c:452 nscd/initgrcache.c:80
 #, c-format
 msgid "Reloading \"%s\" in group cache!"
 msgstr "Herladen van \"%s\" in groeps-cache!"
@@ -4178,7 +4238,7 @@ msgstr ""
 "  \n"
 "Daemon voor namen-cache."
 
-#: nscd/nscd.c:155 nss/getent.c:1003 nss/makedb.c:206
+#: nscd/nscd.c:155 nss/getent.c:1007 nss/makedb.c:206
 #, c-format
 msgid "wrong number of arguments"
 msgstr "Verkeerd aantal argumenten"
@@ -4211,7 +4271,7 @@ msgstr "kan '/' niet de huidige werkmap maken"
 msgid "Could not create log file"
 msgstr "Kan geen logbestand aanmaken"
 
-#: nscd/nscd.c:355 nscd/nscd_stat.c:192
+#: nscd/nscd.c:355 nscd/nscd_stat.c:194
 #, c-format
 msgid "write incomplete"
 msgstr "ongeldigmakingsopdracht is onvolledig geschreven"
@@ -4226,7 +4286,7 @@ msgstr "geen ongeldigheidsbevestiging ontvangen"
 msgid "invalidation failed"
 msgstr "het ongeldigmaken is mislukt"
 
-#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:173
+#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:175
 #, c-format
 msgid "Only root is allowed to use this option!"
 msgstr "Alleen root mag deze optie gebruiken!"
@@ -4311,35 +4371,35 @@ msgstr "Kan huidige werkmap niet bepalen: %s -- paranoia-modus is uitgeschakeld"
 msgid "maximum file size for %s database too small"
 msgstr "Maximum bestandsgrootte voor %s-gegevensbank is te klein"
 
-#: nscd/nscd_stat.c:142
+#: nscd/nscd_stat.c:144
 #, c-format
 msgid "cannot write statistics: %s"
 msgstr "Kan statistieken niet schrijven: %s"
 
-#: nscd/nscd_stat.c:157
+#: nscd/nscd_stat.c:159
 msgid "yes"
 msgstr "ja"
 
-#: nscd/nscd_stat.c:158
+#: nscd/nscd_stat.c:160
 msgid "no"
 msgstr "nee"
 
-#: nscd/nscd_stat.c:169
+#: nscd/nscd_stat.c:171
 #, c-format
 msgid "Only root or %s is allowed to use this option!"
 msgstr "Alleen root of %s mag deze optie gebruiken!"
 
-#: nscd/nscd_stat.c:180
+#: nscd/nscd_stat.c:182
 #, c-format
 msgid "nscd not running!\n"
 msgstr "Er is geen nscd-proces actief!\n"
 
-#: nscd/nscd_stat.c:204
+#: nscd/nscd_stat.c:206
 #, c-format
 msgid "cannot read statistics data"
 msgstr "Kan statistieken niet lezen"
 
-#: nscd/nscd_stat.c:207
+#: nscd/nscd_stat.c:209
 #, c-format
 msgid ""
 "nscd configuration:\n"
@@ -4350,27 +4410,27 @@ msgstr ""
 "\n"
 "%15d  debugniveau van server\n"
 
-#: nscd/nscd_stat.c:231
+#: nscd/nscd_stat.c:233
 #, c-format
 msgid "%3ud %2uh %2um %2lus  server runtime\n"
 msgstr "%3ud %2uh %2um %2lus  looptijd van server\n"
 
-#: nscd/nscd_stat.c:234
+#: nscd/nscd_stat.c:236
 #, c-format
 msgid "    %2uh %2um %2lus  server runtime\n"
 msgstr "    %2uh %2um %2lus  looptijd van server\n"
 
-#: nscd/nscd_stat.c:236
+#: nscd/nscd_stat.c:238
 #, c-format
 msgid "        %2um %2lus  server runtime\n"
 msgstr "        %2um %2lus  looptijd van server\n"
 
-#: nscd/nscd_stat.c:238
+#: nscd/nscd_stat.c:240
 #, c-format
 msgid "            %2lus  server runtime\n"
 msgstr "            %2lus  looptijd van server\n"
 
-#: nscd/nscd_stat.c:240
+#: nscd/nscd_stat.c:242
 #, c-format
 msgid ""
 "%15d  current number of threads\n"
@@ -4387,7 +4447,7 @@ msgstr ""
 "%15lu  interne herstarts\n"
 "%15u  aantal herladingen\n"
 
-#: nscd/nscd_stat.c:275
+#: nscd/nscd_stat.c:277
 #, c-format
 msgid ""
 "\n"
@@ -4453,85 +4513,85 @@ msgstr "Herladen van \"%s\" in wachtwoorden-cache!"
 msgid "Invalid numeric uid \"%s\"!"
 msgstr "Ongeldig numeriek UID '%s'!"
 
-#: nscd/selinux.c:155
+#: nscd/selinux.c:154
 #, c-format
 msgid "Failed opening connection to the audit subsystem: %m"
 msgstr "Kan geen verbinding maken met audit-subsysteem: %m"
 
-#: nscd/selinux.c:176
+#: nscd/selinux.c:175
 msgid "Failed to set keep-capabilities"
 msgstr "Kan 'keep-capabilities' (privilegesbehoud) niet inschakelen"
 
-#: nscd/selinux.c:177 nscd/selinux.c:240
+#: nscd/selinux.c:176 nscd/selinux.c:239
 msgid "prctl(KEEPCAPS) failed"
 msgstr "prctl(KEEPCAPS) is mislukt"
 
-#: nscd/selinux.c:191
+#: nscd/selinux.c:190
 msgid "Failed to initialize drop of capabilities"
 msgstr "Privilegesvermindering werkt niet"
 
-#: nscd/selinux.c:192
+#: nscd/selinux.c:191
 msgid "cap_init failed"
 msgstr "cap_init() is mislukt"
 
-#: nscd/selinux.c:213 nscd/selinux.c:230
+#: nscd/selinux.c:212 nscd/selinux.c:229
 msgid "Failed to drop capabilities"
 msgstr "Verminderen van privileges is mislukt"
 
-#: nscd/selinux.c:214 nscd/selinux.c:231
+#: nscd/selinux.c:213 nscd/selinux.c:230
 msgid "cap_set_proc failed"
 msgstr "cap_set_proc() is mislukt"
 
-#: nscd/selinux.c:239
+#: nscd/selinux.c:238
 msgid "Failed to unset keep-capabilities"
 msgstr "Kan 'keep-capabilities' (privilegesbehoud) niet uitschakelen"
 
-#: nscd/selinux.c:255
+#: nscd/selinux.c:254
 msgid "Failed to determine if kernel supports SELinux"
 msgstr "Kan niet bepalen of de kernel SELinux ondersteunt"
 
-#: nscd/selinux.c:270
+#: nscd/selinux.c:269
 msgid "Failed to start AVC thread"
 msgstr "Kan geen AVC-thread starten"
 
-#: nscd/selinux.c:292
+#: nscd/selinux.c:291
 msgid "Failed to create AVC lock"
 msgstr "Kan geen AVC-grendel aanmaken"
 
-#: nscd/selinux.c:332
+#: nscd/selinux.c:331
 msgid "Failed to start AVC"
 msgstr "Kan AVC niet starten"
 
-#: nscd/selinux.c:334
+#: nscd/selinux.c:333
 msgid "Access Vector Cache (AVC) started"
 msgstr "AVC (Access Vector Cache) is gestart"
 
-#: nscd/selinux.c:369
+#: nscd/selinux.c:368
 msgid "Error querying policy for undefined object classes or permissions."
 msgstr "Fout bij opvragen van beleid voor ongedefinieerde objectklassen of toegangsrechten."
 
-#: nscd/selinux.c:376
+#: nscd/selinux.c:375
 msgid "Error getting security class for nscd."
 msgstr "Fout bij verkrijgen van veiligheidsklasse voor nscd."
 
-#: nscd/selinux.c:381
+#: nscd/selinux.c:380
 #, c-format
 msgid "Error translating permission name \"%s\" to access vector bit."
 msgstr "Fout bij vertalen van toegangsrechtennaam \"%s\" naar een toegangsvectorbit."
 
-#: nscd/selinux.c:391
+#: nscd/selinux.c:390
 msgid "Error getting context of socket peer"
 msgstr "Kan geen context voor partnersocket verkrijgen"
 
-#: nscd/selinux.c:396
+#: nscd/selinux.c:395
 msgid "Error getting context of nscd"
 msgstr "Kan geen context voor nscd verkrijgen"
 
-#: nscd/selinux.c:402
+#: nscd/selinux.c:401
 msgid "Error getting sid from context"
 msgstr "Kan uit de context geen SID verkrijgen"
 
-#: nscd/selinux.c:440
+#: nscd/selinux.c:439
 #, c-format
 msgid ""
 "\n"
@@ -4593,16 +4653,16 @@ msgstr "Haalt items op uit een administratieve gegevensbank."
 msgid "Enumeration not supported on %s\n"
 msgstr "Opsomming wordt niet ondersteund op %s\n"
 
-#: nss/getent.c:917
+#: nss/getent.c:921
 #, c-format
 msgid "Unknown database name"
 msgstr "Onbekende gegevensbanknaam"
 
-#: nss/getent.c:947
+#: nss/getent.c:951
 msgid "Supported databases:\n"
 msgstr "Ondersteunde gegevensbanken:\n"
 
-#: nss/getent.c:1013
+#: nss/getent.c:1017
 #, c-format
 msgid "Unknown database: %s\n"
 msgstr "Onbekende gegevensbank: %s\n"
@@ -4885,7 +4945,7 @@ msgstr "Ongepaarde ) of \\)"
 msgid "No previous regular expression"
 msgstr "Geen eerdere reguliere expressie"
 
-#: posix/wordexp.c:1844
+#: posix/wordexp.c:1851
 msgid "parameter null or not set"
 msgstr "parameter is null of niet ingesteld"
 
@@ -7141,7 +7201,7 @@ msgstr "ongeldig 'Rolling'/'Stationary'-veld op 'Leap'-regel"
 
 #: timezone/zic.c:1246
 msgid "leap second precedes Big Bang"
-msgstr "schrikkelseconde valt voor de Big Bang"
+msgstr "schrikkelseconde valt voor de oerknal"
 
 #: timezone/zic.c:1259
 msgid "wrong number of fields on Link line"
@@ -7273,6 +7333,12 @@ msgstr "te veel of te lange tijdzone-afkortingen"
 msgid "%s: Can't create directory %s: %s\n"
 msgstr "%s: Kan map %s niet aanmaken: %s\n"
 
+#~ msgid "cannot load any more object with static TLS"
+#~ msgstr "kan geen objecten meer laden met statische TLS"
+
+#~ msgid "%s: no PLTREL found in object %s\n"
+#~ msgstr "%s: geen PLTREL in object %s gevonden\n"
+
 #~ msgid "compile-time support for database policy missing"
 #~ msgstr "ondersteuning voor gegevensbankbeleid is niet meegecompileerd"
 
diff --git a/po/pt_BR.po b/po/pt_BR.po
index 10b53b0..14288d3 100644
--- a/po/pt_BR.po
+++ b/po/pt_BR.po
@@ -9,7 +9,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: libc 2.1\n"
-"POT-Creation-Date: 2015-01-20 22:14-0500\n"
+"POT-Creation-Date: 2015-07-31 00:10-0400\n"
 "PO-Revision-Date: 1999-06-29 18:07-0300\n"
 "Last-Translator: Rodrigo Parra Novo <rodarvus@conectiva.com.br>\n"
 "Language-Team: Brazilian Portuguese <ldp-br@bazar.conectiva.com.br>\n"
@@ -148,10 +148,10 @@ msgstr ""
 "[ARQUIVO-SAÍDA [ARQUIVO-ENTRADA...]"
 
 #: catgets/gencat.c:229 debug/pcprofiledump.c:209 elf/ldconfig.c:307
-#: elf/pldd.c:244 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
+#: elf/pldd.c:252 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
 #: iconv/iconvconfig.c:379 locale/programs/locale.c:277
 #: locale/programs/localedef.c:376 login/programs/pt_chown.c:88
-#: malloc/memusagestat.c:563 nss/getent.c:969 nss/makedb.c:369
+#: malloc/memusagestat.c:563 nss/getent.c:973 nss/makedb.c:369
 #: posix/getconf.c:486 sunrpc/rpcinfo.c:691
 #: sysdeps/unix/sysv/linux/lddlibc4.c:61
 #, c-format
@@ -161,7 +161,7 @@ msgid ""
 msgstr ""
 
 #: catgets/gencat.c:245 debug/pcprofiledump.c:225 debug/xtrace.sh:64
-#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:260 elf/sotruss.sh:75
+#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:268 elf/sotruss.sh:75
 #: elf/sprof.c:389 iconv/iconv_prog.c:425 iconv/iconvconfig.c:396
 #: locale/programs/locale.c:294 locale/programs/localedef.c:402
 #: login/programs/pt_chown.c:62 malloc/memusage.sh:71
@@ -178,7 +178,7 @@ msgstr ""
 "garantia; nem para comércio ou adequacão para propóstios particulares.\n"
 
 #: catgets/gencat.c:250 debug/pcprofiledump.c:230 debug/xtrace.sh:68
-#: elf/ldconfig.c:328 elf/pldd.c:265 elf/sprof.c:395 iconv/iconv_prog.c:430
+#: elf/ldconfig.c:328 elf/pldd.c:273 elf/sprof.c:395 iconv/iconv_prog.c:430
 #: iconv/iconvconfig.c:401 locale/programs/locale.c:299
 #: locale/programs/localedef.c:407 malloc/memusage.sh:75
 #: malloc/memusagestat.c:586 nscd/nscd.c:514 nss/getent.c:91 nss/makedb.c:390
@@ -466,13 +466,13 @@ msgstr ""
 msgid "Renaming of %s to %s failed"
 msgstr "mapeamento dos cabeçalhos da seção falhou"
 
-#: elf/dl-close.c:385 elf/dl-open.c:470
+#: elf/dl-close.c:396 elf/dl-open.c:478
 #, fuzzy
 #| msgid "cannot write to client"
 msgid "cannot create scope list"
 msgstr "não é possível escrever para o cliente"
 
-#: elf/dl-close.c:770
+#: elf/dl-close.c:816
 #, fuzzy
 #| msgid "Named object is not searchable"
 msgid "shared object not open"
@@ -565,149 +565,149 @@ msgstr "não é possível criar descritor interno"
 msgid "cannot stat shared object"
 msgstr "falha no carregamento do objeto compartilhado `%s'"
 
-#: elf/dl-load.c:963
+#: elf/dl-load.c:962
 #, fuzzy
 #| msgid "cannot open output file"
 msgid "cannot open zero fill device"
 msgstr "não é possível abrir arquivo de saída"
 
-#: elf/dl-load.c:1010 elf/dl-load.c:2165
+#: elf/dl-load.c:1009 elf/dl-load.c:2159
 #, fuzzy
 #| msgid "cannot create internal descriptor"
 msgid "cannot create shared object descriptor"
 msgstr "não é possível criar descritor interno"
 
-#: elf/dl-load.c:1029 elf/dl-load.c:1570 elf/dl-load.c:1682
+#: elf/dl-load.c:1028 elf/dl-load.c:1568 elf/dl-load.c:1680
 #, fuzzy
 #| msgid "cannot load profiling data"
 msgid "cannot read file data"
 msgstr "impossível carregar perfis de dados"
 
-#: elf/dl-load.c:1069
+#: elf/dl-load.c:1068
 msgid "ELF load command alignment not page-aligned"
 msgstr ""
 
-#: elf/dl-load.c:1076
+#: elf/dl-load.c:1075
 msgid "ELF load command address/offset not properly aligned"
 msgstr ""
 
-#: elf/dl-load.c:1160
+#: elf/dl-load.c:1159
 msgid "cannot allocate TLS data structures for initial thread"
 msgstr ""
 
-#: elf/dl-load.c:1183
+#: elf/dl-load.c:1182
 #, fuzzy
 #| msgid "cannot allocate symbol data"
 msgid "cannot handle TLS data"
 msgstr "Não foi possível alocar memória"
 
-#: elf/dl-load.c:1202
+#: elf/dl-load.c:1201
 msgid "object file has no loadable segments"
 msgstr ""
 
-#: elf/dl-load.c:1211 elf/dl-load.c:1662
+#: elf/dl-load.c:1210 elf/dl-load.c:1660
 msgid "cannot dynamically load executable"
 msgstr ""
 
-#: elf/dl-load.c:1232
+#: elf/dl-load.c:1231
 msgid "object file has no dynamic section"
 msgstr ""
 
-#: elf/dl-load.c:1255
+#: elf/dl-load.c:1254
 msgid "shared object cannot be dlopen()ed"
 msgstr ""
 
-#: elf/dl-load.c:1268
+#: elf/dl-load.c:1267
 #, fuzzy
 #| msgid "Cannot allocate memory"
 msgid "cannot allocate memory for program header"
 msgstr "Não foi possível alocar memória"
 
-#: elf/dl-load.c:1284 elf/dl-open.c:195
+#: elf/dl-load.c:1283 elf/dl-open.c:195
 #, fuzzy
 #| msgid "Invalid exchange"
 msgid "invalid caller"
 msgstr "Troca inválida"
 
-#: elf/dl-load.c:1307 elf/dl-load.h:130
+#: elf/dl-load.c:1306 elf/dl-load.h:130
 #, fuzzy
 #| msgid "cannot process order specification"
 msgid "cannot change memory protections"
 msgstr "não é possível processar specificação de ordem"
 
-#: elf/dl-load.c:1327
+#: elf/dl-load.c:1326
 msgid "cannot enable executable stack as shared object requires"
 msgstr ""
 
-#: elf/dl-load.c:1340
+#: elf/dl-load.c:1339
 #, fuzzy
 #| msgid "cannot create internal descriptor"
 msgid "cannot close file descriptor"
 msgstr "não é possível criar descritor interno"
 
-#: elf/dl-load.c:1570
+#: elf/dl-load.c:1568
 #, fuzzy
 #| msgid "File too large"
 msgid "file too short"
 msgstr "Arquivo muito grande"
 
-#: elf/dl-load.c:1605
+#: elf/dl-load.c:1603
 #, fuzzy
 #| msgid "invalid ending year"
 msgid "invalid ELF header"
 msgstr "ano final inválido"
 
-#: elf/dl-load.c:1617
+#: elf/dl-load.c:1615
 msgid "ELF file data encoding not big-endian"
 msgstr ""
 
-#: elf/dl-load.c:1619
+#: elf/dl-load.c:1617
 msgid "ELF file data encoding not little-endian"
 msgstr ""
 
-#: elf/dl-load.c:1623
+#: elf/dl-load.c:1621
 msgid "ELF file version ident does not match current one"
 msgstr ""
 
-#: elf/dl-load.c:1627
+#: elf/dl-load.c:1625
 msgid "ELF file OS ABI invalid"
 msgstr ""
 
-#: elf/dl-load.c:1630
+#: elf/dl-load.c:1628
 msgid "ELF file ABI version invalid"
 msgstr ""
 
-#: elf/dl-load.c:1633
+#: elf/dl-load.c:1631
 msgid "nonzero padding in e_ident"
 msgstr ""
 
-#: elf/dl-load.c:1636
+#: elf/dl-load.c:1634
 #, fuzzy
 #| msgid "Internal NIS error"
 msgid "internal error"
 msgstr "Erro NIS interno"
 
-#: elf/dl-load.c:1643
+#: elf/dl-load.c:1641
 msgid "ELF file version does not match current one"
 msgstr ""
 
-#: elf/dl-load.c:1651
+#: elf/dl-load.c:1649
 msgid "only ET_DYN and ET_EXEC can be loaded"
 msgstr ""
 
-#: elf/dl-load.c:1667
+#: elf/dl-load.c:1665
 msgid "ELF file's phentsize not the expected size"
 msgstr ""
 
-#: elf/dl-load.c:2184
+#: elf/dl-load.c:2178
 msgid "wrong ELF class: ELFCLASS64"
 msgstr ""
 
-#: elf/dl-load.c:2185
+#: elf/dl-load.c:2179
 msgid "wrong ELF class: ELFCLASS32"
 msgstr ""
 
-#: elf/dl-load.c:2188
+#: elf/dl-load.c:2182
 #, fuzzy
 #| msgid "cannot open output file"
 msgid "cannot open shared object file"
@@ -725,13 +725,13 @@ msgstr "falha no carregamento do objeto compartilhado `%s'"
 msgid "cannot map zero-fill pages"
 msgstr "impossível carregar perfis de dados"
 
-#: elf/dl-lookup.c:791
+#: elf/dl-lookup.c:845
 #, fuzzy
 #| msgid "Authentication error"
 msgid "relocation error"
 msgstr "Erro de autenticação"
 
-#: elf/dl-lookup.c:818
+#: elf/dl-lookup.c:872
 msgid "symbol lookup error"
 msgstr ""
 
@@ -739,53 +739,44 @@ msgstr ""
 msgid "cannot extend global scope"
 msgstr ""
 
-#: elf/dl-open.c:520
+#: elf/dl-open.c:528
 msgid "TLS generation counter wrapped!  Please report this."
 msgstr ""
 
-#: elf/dl-open.c:542
-msgid "cannot load any more object with static TLS"
-msgstr ""
-
-#: elf/dl-open.c:599
+#: elf/dl-open.c:592
 msgid "invalid mode for dlopen()"
 msgstr "modo inválido para dlopen()"
 
-#: elf/dl-open.c:616
+#: elf/dl-open.c:609
 msgid "no more namespaces available for dlmopen()"
 msgstr ""
 
-#: elf/dl-open.c:634
+#: elf/dl-open.c:633
 #, fuzzy
 #| msgid "invalid mode for dlopen()"
 msgid "invalid target namespace in dlmopen()"
 msgstr "modo inválido para dlopen()"
 
-#: elf/dl-reloc.c:120
+#: elf/dl-reloc.c:121
 #, fuzzy
 #| msgid "Cannot allocate memory"
 msgid "cannot allocate memory in static TLS block"
 msgstr "Não foi possível alocar memória"
 
-#: elf/dl-reloc.c:212
+#: elf/dl-reloc.c:206
 msgid "cannot make segment writable for relocation"
 msgstr ""
 
-#: elf/dl-reloc.c:275
-#, c-format
-msgid "%s: no PLTREL found in object %s\n"
-msgstr ""
-
-#: elf/dl-reloc.c:290
+#: elf/dl-reloc.c:276
 #, c-format
 msgid "%s: out of memory to store relocation results for %s\n"
 msgstr ""
 
-#: elf/dl-reloc.c:306
+#: elf/dl-reloc.c:292
 msgid "cannot restore segment prot after reloc"
 msgstr ""
 
-#: elf/dl-reloc.c:335
+#: elf/dl-reloc.c:323
 msgid "cannot apply additional memory protection after relocation"
 msgstr ""
 
@@ -793,7 +784,7 @@ msgstr ""
 msgid "RTLD_NEXT used in code not dynamically loaded"
 msgstr "RTLD_NEXT usado em código não dinamicamente carregado"
 
-#: elf/dl-tls.c:933
+#: elf/dl-tls.c:934
 #, fuzzy
 #| msgid "cannot create internal descriptors"
 msgid "cannot create TLS data structures"
@@ -952,7 +943,7 @@ msgstr ""
 msgid "Can't open directory %s"
 msgstr "%s: Não é possível criar o diretório %s: %s\n"
 
-#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:90
+#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:97
 #, fuzzy, c-format
 #| msgid "repertoire map file `%s' not found"
 msgid "Input file %s not found.\n"
@@ -1090,7 +1081,7 @@ msgstr "não consegui liberar parâmetros"
 msgid "No such file or directory"
 msgstr "Arquivo ou diretório não encontrado"
 
-#: elf/ldd.bash.in:150 inet/rcmd.c:488
+#: elf/ldd.bash.in:150 inet/rcmd.c:492
 msgid "not regular file"
 msgstr "não é arquivo normal"
 
@@ -1140,70 +1131,76 @@ msgstr "não é possível ler do cliente"
 msgid "cannot read program interpreter"
 msgstr "não é possível ler do cliente"
 
-#: elf/pldd-xx.c:196
+#: elf/pldd-xx.c:197
 #, fuzzy, c-format
 #| msgid "cannot read from client"
 msgid "cannot read link map"
 msgstr "não é possível ler do cliente"
 
-#: elf/pldd-xx.c:207
+#: elf/pldd-xx.c:209
 #, fuzzy, c-format
 #| msgid "cannot read from client"
 msgid "cannot read object name"
 msgstr "não é possível ler do cliente"
 
-#: elf/pldd.c:63
+#: elf/pldd-xx.c:219
+#, fuzzy, c-format
+#| msgid "unable to allocate buffer for input"
+msgid "cannot allocate buffer for object name"
+msgstr "incapaz de alocar espaço para entrada"
+
+#: elf/pldd.c:64
 msgid "List dynamic shared objects loaded into process."
 msgstr ""
 
-#: elf/pldd.c:67
+#: elf/pldd.c:68
 msgid "PID"
 msgstr ""
 
-#: elf/pldd.c:99
+#: elf/pldd.c:100
 #, c-format
 msgid "Exactly one parameter with process ID required.\n"
 msgstr ""
 
-#: elf/pldd.c:111
+#: elf/pldd.c:112
 #, c-format
 msgid "invalid process ID '%s'"
 msgstr ""
 
-#: elf/pldd.c:119
+#: elf/pldd.c:120
 #, fuzzy, c-format
 #| msgid "cannot open `%s'"
 msgid "cannot open %s"
 msgstr "não é possível abrir `%s'"
 
-#: elf/pldd.c:144
+#: elf/pldd.c:152
 #, fuzzy, c-format
 #| msgid "cannot open `%s'"
 msgid "cannot open %s/task"
 msgstr "não é possível abrir `%s'"
 
-#: elf/pldd.c:147
+#: elf/pldd.c:155
 #, c-format
 msgid "cannot prepare reading %s/task"
 msgstr ""
 
-#: elf/pldd.c:160
+#: elf/pldd.c:168
 #, c-format
 msgid "invalid thread ID '%s'"
 msgstr ""
 
-#: elf/pldd.c:171
+#: elf/pldd.c:179
 #, fuzzy, c-format
 #| msgid "cannot find C preprocessor: %s \n"
 msgid "cannot attach to process %lu"
 msgstr "impossível encontrar pré-processador C: %s\n"
 
-#: elf/pldd.c:286
+#: elf/pldd.c:294
 #, c-format
 msgid "cannot get information about process %lu"
 msgstr ""
 
-#: elf/pldd.c:299
+#: elf/pldd.c:307
 #, c-format
 msgid "process %lu is no ELF program"
 msgstr ""
@@ -1238,29 +1235,29 @@ msgstr ""
 msgid "more than one dynamic segment\n"
 msgstr ""
 
-#: elf/readlib.c:96
+#: elf/readlib.c:103
 #, fuzzy, c-format
 #| msgid "cannot stat() file `%s': %s"
 msgid "Cannot fstat file %s.\n"
 msgstr "não é possível ler atributos do arquivo `%s': %s"
 
-#: elf/readlib.c:107
+#: elf/readlib.c:114
 #, c-format
 msgid "File %s is empty, not checked."
 msgstr ""
 
-#: elf/readlib.c:113
+#: elf/readlib.c:120
 #, c-format
 msgid "File %s is too small, not checked."
 msgstr ""
 
-#: elf/readlib.c:123
+#: elf/readlib.c:130
 #, fuzzy, c-format
 #| msgid "cannot open input file `%s'"
 msgid "Cannot mmap file %s.\n"
 msgstr "não é possível abrir arquivo de entrada `%s'"
 
-#: elf/readlib.c:161
+#: elf/readlib.c:169
 #, c-format
 msgid "%s is not an ELF file - it has the wrong magic bytes at the start.\n"
 msgstr ""
@@ -1392,10 +1389,10 @@ msgstr "SHOBJ [PROFDATA]"
 msgid "failed to load shared object `%s'"
 msgstr "falha no carregamento do objeto compartilhado `%s'"
 
-#: elf/sprof.c:442
+#: elf/sprof.c:442 elf/sprof.c:825 elf/sprof.c:923
 #, c-format
-msgid "cannot create internal descriptors"
-msgstr "não é possivel criar descritores internos"
+msgid "cannot create internal descriptor"
+msgstr "não é possível criar descritor interno"
 
 #: elf/sprof.c:554
 #, c-format
@@ -1466,11 +1463,6 @@ msgstr "falha para mapear (mmap) o arquivo de dados do perfil"
 msgid "error while closing the profiling data file"
 msgstr "erro fechando arquivo de dados de perfil"
 
-#: elf/sprof.c:825 elf/sprof.c:923
-#, c-format
-msgid "cannot create internal descriptor"
-msgstr "não é possível criar descritor interno"
-
 #: elf/sprof.c:899
 #, c-format
 msgid "`%s' is no correct profile data file for `%s'"
@@ -1747,27 +1739,27 @@ msgstr "socket: falha de protocolo na configuração do circuito\n"
 msgid "rcmd: %s: short read"
 msgstr ""
 
-#: inet/rcmd.c:486
+#: inet/rcmd.c:490
 msgid "lstat failed"
 msgstr "falha em lstat"
 
-#: inet/rcmd.c:493
+#: inet/rcmd.c:497
 msgid "cannot open"
 msgstr "impossível abrir"
 
-#: inet/rcmd.c:495
+#: inet/rcmd.c:499
 msgid "fstat failed"
 msgstr "falha em fstat"
 
-#: inet/rcmd.c:497
+#: inet/rcmd.c:501
 msgid "bad owner"
 msgstr "dono inválido"
 
-#: inet/rcmd.c:499
+#: inet/rcmd.c:503
 msgid "writeable by other than owner"
 msgstr "permissão de escrita para outros"
 
-#: inet/rcmd.c:501
+#: inet/rcmd.c:505
 msgid "hard linked somewhere"
 msgstr "vinculo (hard linked)  em algúm lugar"
 
@@ -1898,8 +1890,8 @@ msgid "no symbolic name given for end of range"
 msgstr "nenhum nome simbólico dado para fim do intervalo"
 
 #: locale/programs/charmap.c:610 locale/programs/ld-address.c:528
-#: locale/programs/ld-collate.c:2626 locale/programs/ld-collate.c:3784
-#: locale/programs/ld-ctype.c:2162 locale/programs/ld-ctype.c:2913
+#: locale/programs/ld-collate.c:2635 locale/programs/ld-collate.c:3793
+#: locale/programs/ld-ctype.c:2128 locale/programs/ld-ctype.c:2840
 #: locale/programs/ld-identification.c:368
 #: locale/programs/ld-measurement.c:215 locale/programs/ld-messages.c:298
 #: locale/programs/ld-monetary.c:740 locale/programs/ld-name.c:264
@@ -1926,8 +1918,8 @@ msgid "%s: error in state machine"
 msgstr "%s: erro na máquina de estados"
 
 #: locale/programs/charmap.c:850 locale/programs/ld-address.c:544
-#: locale/programs/ld-collate.c:2623 locale/programs/ld-collate.c:3977
-#: locale/programs/ld-ctype.c:2159 locale/programs/ld-ctype.c:2930
+#: locale/programs/ld-collate.c:2632 locale/programs/ld-collate.c:3986
+#: locale/programs/ld-ctype.c:2125 locale/programs/ld-ctype.c:2857
 #: locale/programs/ld-identification.c:384
 #: locale/programs/ld-measurement.c:231 locale/programs/ld-messages.c:314
 #: locale/programs/ld-monetary.c:756 locale/programs/ld-name.c:280
@@ -1948,7 +1940,7 @@ msgstr "caracter desconhecido `%s'"
 msgid "number of bytes for byte sequence of beginning and end of range not the same: %d vs %d"
 msgstr ""
 
-#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2903
+#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2912
 #: locale/programs/repertoire.c:419
 #, fuzzy
 #| msgid "illegal names for character range"
@@ -1975,8 +1967,8 @@ msgstr "o limite inferior do intervalo é maior que o limite superior"
 msgid "resulting bytes for range not representable."
 msgstr ""
 
-#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1565
-#: locale/programs/ld-ctype.c:465 locale/programs/ld-identification.c:133
+#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1566
+#: locale/programs/ld-ctype.c:431 locale/programs/ld-identification.c:133
 #: locale/programs/ld-measurement.c:94 locale/programs/ld-messages.c:97
 #: locale/programs/ld-monetary.c:193 locale/programs/ld-name.c:94
 #: locale/programs/ld-numeric.c:98 locale/programs/ld-paper.c:91
@@ -2045,7 +2037,7 @@ msgid "%s: numeric country code `%d' not valid"
 msgstr ""
 
 #: locale/programs/ld-address.c:436 locale/programs/ld-address.c:473
-#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2537
+#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2489
 #: locale/programs/ld-identification.c:280
 #: locale/programs/ld-measurement.c:198 locale/programs/ld-messages.c:267
 #: locale/programs/ld-monetary.c:495 locale/programs/ld-monetary.c:530
@@ -2068,8 +2060,8 @@ msgstr ""
 msgid "%s: unknown character in field `%s'"
 msgstr "caracter desconhecido `%s'"
 
-#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3782
-#: locale/programs/ld-ctype.c:2910 locale/programs/ld-identification.c:365
+#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3791
+#: locale/programs/ld-ctype.c:2837 locale/programs/ld-identification.c:365
 #: locale/programs/ld-measurement.c:212 locale/programs/ld-messages.c:296
 #: locale/programs/ld-monetary.c:738 locale/programs/ld-name.c:262
 #: locale/programs/ld-numeric.c:324 locale/programs/ld-paper.c:212
@@ -2078,12 +2070,12 @@ msgstr "caracter desconhecido `%s'"
 msgid "%s: incomplete `END' line"
 msgstr ""
 
-#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:551
-#: locale/programs/ld-collate.c:603 locale/programs/ld-collate.c:899
-#: locale/programs/ld-collate.c:912 locale/programs/ld-collate.c:2592
-#: locale/programs/ld-collate.c:2613 locale/programs/ld-collate.c:3967
-#: locale/programs/ld-ctype.c:1891 locale/programs/ld-ctype.c:2149
-#: locale/programs/ld-ctype.c:2735 locale/programs/ld-ctype.c:2921
+#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:552
+#: locale/programs/ld-collate.c:604 locale/programs/ld-collate.c:900
+#: locale/programs/ld-collate.c:913 locale/programs/ld-collate.c:2601
+#: locale/programs/ld-collate.c:2622 locale/programs/ld-collate.c:3976
+#: locale/programs/ld-ctype.c:1857 locale/programs/ld-ctype.c:2115
+#: locale/programs/ld-ctype.c:2687 locale/programs/ld-ctype.c:2848
 #: locale/programs/ld-identification.c:375
 #: locale/programs/ld-measurement.c:222 locale/programs/ld-messages.c:305
 #: locale/programs/ld-monetary.c:747 locale/programs/ld-name.c:271
@@ -2093,511 +2085,511 @@ msgstr ""
 msgid "%s: syntax error"
 msgstr ""
 
-#: locale/programs/ld-collate.c:426
+#: locale/programs/ld-collate.c:427
 #, c-format
 msgid "`%.*s' already defined in charmap"
 msgstr ""
 
-#: locale/programs/ld-collate.c:435
+#: locale/programs/ld-collate.c:436
 #, c-format
 msgid "`%.*s' already defined in repertoire"
 msgstr ""
 
-#: locale/programs/ld-collate.c:442
+#: locale/programs/ld-collate.c:443
 #, c-format
 msgid "`%.*s' already defined as collating symbol"
 msgstr ""
 
-#: locale/programs/ld-collate.c:449
+#: locale/programs/ld-collate.c:450
 #, c-format
 msgid "`%.*s' already defined as collating element"
 msgstr ""
 
-#: locale/programs/ld-collate.c:480 locale/programs/ld-collate.c:506
+#: locale/programs/ld-collate.c:481 locale/programs/ld-collate.c:507
 #, fuzzy, c-format
 #| msgid "sorting order `forward' and `backward' are mutually exclusive"
 msgid "%s: `forward' and `backward' are mutually excluding each other"
 msgstr "as ordens de classificação `forward' e `backward' são mutuamente exclusivas"
 
-#: locale/programs/ld-collate.c:490 locale/programs/ld-collate.c:516
-#: locale/programs/ld-collate.c:532
+#: locale/programs/ld-collate.c:491 locale/programs/ld-collate.c:517
+#: locale/programs/ld-collate.c:533
 #, c-format
 msgid "%s: `%s' mentioned more than once in definition of weight %d"
 msgstr ""
 
-#: locale/programs/ld-collate.c:588
+#: locale/programs/ld-collate.c:589
 #, c-format
 msgid "%s: too many rules; first entry only had %d"
 msgstr ""
 
-#: locale/programs/ld-collate.c:624
+#: locale/programs/ld-collate.c:625
 #, c-format
 msgid "%s: not enough sorting rules"
 msgstr ""
 
-#: locale/programs/ld-collate.c:789
+#: locale/programs/ld-collate.c:790
 #, fuzzy, c-format
 #| msgid "empty weight name: line ignored"
 msgid "%s: empty weight string not allowed"
 msgstr "nome do peso vazio: linha ignorada"
 
-#: locale/programs/ld-collate.c:884
+#: locale/programs/ld-collate.c:885
 #, c-format
 msgid "%s: weights must use the same ellipsis symbol as the name"
 msgstr ""
 
-#: locale/programs/ld-collate.c:940
+#: locale/programs/ld-collate.c:941
 #, fuzzy, c-format
 #| msgid "%s: Too many arguments\n"
 msgid "%s: too many values"
 msgstr "%s: Muitos parâmetros\n"
 
-#: locale/programs/ld-collate.c:1060 locale/programs/ld-collate.c:1235
+#: locale/programs/ld-collate.c:1061 locale/programs/ld-collate.c:1236
 #, fuzzy, c-format
 #| msgid "character map `%s' already defined"
 msgid "order for `%.*s' already defined at %s:%Zu"
 msgstr "mapa de caracteres `%s' já definido"
 
-#: locale/programs/ld-collate.c:1110
+#: locale/programs/ld-collate.c:1111
 #, c-format
 msgid "%s: the start and the end symbol of a range must stand for characters"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1137
+#: locale/programs/ld-collate.c:1138
 #, c-format
 msgid "%s: byte sequences of first and last character must have the same length"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1179
+#: locale/programs/ld-collate.c:1180
 #, c-format
 msgid "%s: byte sequence of first character of range is not lower than that of the last character"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1304
+#: locale/programs/ld-collate.c:1305
 #, c-format
 msgid "%s: symbolic range ellipsis must not directly follow `order_start'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1308
+#: locale/programs/ld-collate.c:1309
 #, c-format
 msgid "%s: symbolic range ellipsis must not be directly followed by `order_end'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1328 locale/programs/ld-ctype.c:1408
+#: locale/programs/ld-collate.c:1329 locale/programs/ld-ctype.c:1374
 #, fuzzy, c-format
 #| msgid "<%s> and <%s> are illegal names for range"
 msgid "`%s' and `%.*s' are not valid names for symbolic range"
 msgstr "<%s> e <%s> são nomes ilegais para faixa de caracteres"
 
-#: locale/programs/ld-collate.c:1378 locale/programs/ld-collate.c:3718
+#: locale/programs/ld-collate.c:1379 locale/programs/ld-collate.c:3727
 #, fuzzy, c-format
 #| msgid "character map `%s' already defined"
 msgid "%s: order for `%.*s' already defined at %s:%Zu"
 msgstr "mapa de caracteres `%s' já definido"
 
-#: locale/programs/ld-collate.c:1387
+#: locale/programs/ld-collate.c:1388
 #, fuzzy, c-format
 #| msgid "argument to `%s' must be a single character"
 msgid "%s: `%s' must be a character"
 msgstr "argumento para `%s' deve ser um caracter simples"
 
-#: locale/programs/ld-collate.c:1582
+#: locale/programs/ld-collate.c:1583
 #, c-format
 msgid "%s: `position' must be used for a specific level in all sections or none"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1607
+#: locale/programs/ld-collate.c:1608
 #, fuzzy, c-format
 #| msgid "unknown symbol `%.*s': line ignored"
 msgid "symbol `%s' not defined"
 msgstr "símbolo desconhecido `%.*s': linha ignorada"
 
-#: locale/programs/ld-collate.c:1683 locale/programs/ld-collate.c:1789
+#: locale/programs/ld-collate.c:1684 locale/programs/ld-collate.c:1790
 #, c-format
 msgid "symbol `%s' has the same encoding as"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1687 locale/programs/ld-collate.c:1793
+#: locale/programs/ld-collate.c:1688 locale/programs/ld-collate.c:1794
 #, c-format
 msgid "symbol `%s'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1833
+#: locale/programs/ld-collate.c:1834
 #, c-format
 msgid "no definition of `UNDEFINED'"
 msgstr "não há definição de `UNDEFINED'"
 
-#: locale/programs/ld-collate.c:1862
+#: locale/programs/ld-collate.c:1863
 #, c-format
 msgid "too many errors; giving up"
 msgstr ""
 
-#: locale/programs/ld-collate.c:2518 locale/programs/ld-collate.c:3906
+#: locale/programs/ld-collate.c:2527 locale/programs/ld-collate.c:3915
 #, fuzzy, c-format
 #| msgid "Operation not supported"
 msgid "%s: nested conditionals not supported"
 msgstr "Operação não suportada "
 
-#: locale/programs/ld-collate.c:2536
+#: locale/programs/ld-collate.c:2545
 #, fuzzy, c-format
 #| msgid "%s: More than one -l option specified\n"
 msgid "%s: more than one 'else'"
 msgstr "%s: Mais que uma opção -l especificada\n"
 
-#: locale/programs/ld-collate.c:2711
+#: locale/programs/ld-collate.c:2720
 #, fuzzy, c-format
 #| msgid "duplicate definition for character `%.*s'"
 msgid "%s: duplicate definition of `%s'"
 msgstr "definição para caracter duplicada `%.*s'"
 
-#: locale/programs/ld-collate.c:2747
+#: locale/programs/ld-collate.c:2756
 #, fuzzy, c-format
 #| msgid "duplicate definition for character `%.*s'"
 msgid "%s: duplicate declaration of section `%s'"
 msgstr "definição para caracter duplicada `%.*s'"
 
-#: locale/programs/ld-collate.c:2883
+#: locale/programs/ld-collate.c:2892
 #, c-format
 msgid "%s: unknown character in collating symbol name"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3012
+#: locale/programs/ld-collate.c:3021
 #, fuzzy, c-format
 #| msgid "syntax error in character conversion definition"
 msgid "%s: unknown character in equivalent definition name"
 msgstr "erro de sintaxe na definição de conversão de caracteres"
 
-#: locale/programs/ld-collate.c:3023
+#: locale/programs/ld-collate.c:3032
 #, fuzzy, c-format
 #| msgid "syntax error in character conversion definition"
 msgid "%s: unknown character in equivalent definition value"
 msgstr "erro de sintaxe na definição de conversão de caracteres"
 
-#: locale/programs/ld-collate.c:3033
+#: locale/programs/ld-collate.c:3042
 #, fuzzy, c-format
 #| msgid "unknown symbol `%.*s': line ignored"
 msgid "%s: unknown symbol `%s' in equivalent definition"
 msgstr "símbolo desconhecido `%.*s': linha ignorada"
 
-#: locale/programs/ld-collate.c:3042
+#: locale/programs/ld-collate.c:3051
 msgid "error while adding equivalent collating symbol"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3080
+#: locale/programs/ld-collate.c:3089
 #, fuzzy, c-format
 #| msgid "duplicate definition for character `%.*s'"
 msgid "duplicate definition of script `%s'"
 msgstr "definição para caracter duplicada `%.*s'"
 
-#: locale/programs/ld-collate.c:3128
+#: locale/programs/ld-collate.c:3137
 #, fuzzy, c-format
 #| msgid "unknown set `%s'"
 msgid "%s: unknown section name `%.*s'"
 msgstr "conjunto desconhecido `%s'"
 
-#: locale/programs/ld-collate.c:3157
+#: locale/programs/ld-collate.c:3166
 #, fuzzy, c-format
 #| msgid "duplicate definition for character `%.*s'"
 msgid "%s: multiple order definitions for section `%s'"
 msgstr "definição para caracter duplicada `%.*s'"
 
-#: locale/programs/ld-collate.c:3185
+#: locale/programs/ld-collate.c:3194
 #, c-format
 msgid "%s: invalid number of sorting rules"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3212
+#: locale/programs/ld-collate.c:3221
 #, c-format
 msgid "%s: multiple order definitions for unnamed section"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3267 locale/programs/ld-collate.c:3397
-#: locale/programs/ld-collate.c:3760
+#: locale/programs/ld-collate.c:3276 locale/programs/ld-collate.c:3406
+#: locale/programs/ld-collate.c:3769
 #, c-format
 msgid "%s: missing `order_end' keyword"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3330
+#: locale/programs/ld-collate.c:3339
 #, fuzzy, c-format
 #| msgid "specification of sorting weight for collation symbol does not make sense"
 msgid "%s: order for collating symbol %.*s not yet defined"
 msgstr "especificação de peso para símbolo de comparação não faz sentido"
 
-#: locale/programs/ld-collate.c:3348
+#: locale/programs/ld-collate.c:3357
 #, fuzzy, c-format
 #| msgid "symbol for multicharacter collating element `%.*s' duplicates element definition"
 msgid "%s: order for collating element %.*s not yet defined"
 msgstr "símbolo para elemento de comparação multicaracter `%.*s' duplica a definição do elemento"
 
-#: locale/programs/ld-collate.c:3359
+#: locale/programs/ld-collate.c:3368
 #, c-format
 msgid "%s: cannot reorder after %.*s: symbol not known"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3411 locale/programs/ld-collate.c:3772
+#: locale/programs/ld-collate.c:3420 locale/programs/ld-collate.c:3781
 #, c-format
 msgid "%s: missing `reorder-end' keyword"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3445 locale/programs/ld-collate.c:3643
+#: locale/programs/ld-collate.c:3454 locale/programs/ld-collate.c:3652
 #, c-format
 msgid "%s: section `%.*s' not known"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3510
+#: locale/programs/ld-collate.c:3519
 #, c-format
 msgid "%s: bad symbol <%.*s>"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3706
+#: locale/programs/ld-collate.c:3715
 #, c-format
 msgid "%s: cannot have `%s' as end of ellipsis range"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3756
+#: locale/programs/ld-collate.c:3765
 #, c-format
 msgid "%s: empty category description not allowed"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3775
+#: locale/programs/ld-collate.c:3784
 #, c-format
 msgid "%s: missing `reorder-sections-end' keyword"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3939
+#: locale/programs/ld-collate.c:3948
 #, c-format
 msgid "%s: '%s' without matching 'ifdef' or 'ifndef'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3957
+#: locale/programs/ld-collate.c:3966
 #, c-format
 msgid "%s: 'endif' without matching 'ifdef' or 'ifndef'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:484
+#: locale/programs/ld-ctype.c:450
 #, fuzzy, c-format
 #| msgid "character <SP> not defined in character map"
 msgid "No character set name specified in charmap"
 msgstr "caracter <SP> não definido no mapa de caracteres"
 
-#: locale/programs/ld-ctype.c:513
+#: locale/programs/ld-ctype.c:479
 #, fuzzy, c-format
 #| msgid "character %s'%s' in class `%s' must be in class `%s'"
 msgid "character L'\\u%0*x' in class `%s' must be in class `%s'"
 msgstr "caracter %s'%s' na classe `%s' deve estar na classe `%s'"
 
-#: locale/programs/ld-ctype.c:528
+#: locale/programs/ld-ctype.c:494
 #, fuzzy, c-format
 #| msgid "character %s'%s' in class `%s' must not be in class `%s'"
 msgid "character L'\\u%0*x' in class `%s' must not be in class `%s'"
 msgstr "caracter %s'%s' na classe `%s' não deve estar na classe `%s'"
 
-#: locale/programs/ld-ctype.c:542 locale/programs/ld-ctype.c:600
+#: locale/programs/ld-ctype.c:508 locale/programs/ld-ctype.c:566
 #, c-format
 msgid "internal error in %s, line %u"
 msgstr "erro interno em %s, linha %u"
 
-#: locale/programs/ld-ctype.c:571
+#: locale/programs/ld-ctype.c:537
 #, fuzzy, c-format
 #| msgid "character %s'%s' in class `%s' must be in class `%s'"
 msgid "character '%s' in class `%s' must be in class `%s'"
 msgstr "caracter %s'%s' na classe `%s' deve estar na classe `%s'"
 
-#: locale/programs/ld-ctype.c:587
+#: locale/programs/ld-ctype.c:553
 #, fuzzy, c-format
 #| msgid "character %s'%s' in class `%s' must not be in class `%s'"
 msgid "character '%s' in class `%s' must not be in class `%s'"
 msgstr "caracter %s'%s' na classe `%s' não deve estar na classe `%s'"
 
-#: locale/programs/ld-ctype.c:617 locale/programs/ld-ctype.c:655
+#: locale/programs/ld-ctype.c:583 locale/programs/ld-ctype.c:621
 #, c-format
 msgid "<SP> character not in class `%s'"
 msgstr "<SP> caracter não está na classe `%s'"
 
-#: locale/programs/ld-ctype.c:629 locale/programs/ld-ctype.c:666
+#: locale/programs/ld-ctype.c:595 locale/programs/ld-ctype.c:632
 #, c-format
 msgid "<SP> character must not be in class `%s'"
 msgstr "<SP> caracter não deve estar na classe `%s'"
 
-#: locale/programs/ld-ctype.c:644
+#: locale/programs/ld-ctype.c:610
 #, c-format
 msgid "character <SP> not defined in character map"
 msgstr "caracter <SP> não definido no mapa de caracteres"
 
-#: locale/programs/ld-ctype.c:780
+#: locale/programs/ld-ctype.c:746
 #, c-format
 msgid "`digit' category has not entries in groups of ten"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:829
+#: locale/programs/ld-ctype.c:795
 #, c-format
 msgid "no input digits defined and none of the standard names in the charmap"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:894
+#: locale/programs/ld-ctype.c:860
 #, c-format
 msgid "not all characters used in `outdigit' are available in the charmap"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:911
+#: locale/programs/ld-ctype.c:877
 #, c-format
 msgid "not all characters used in `outdigit' are available in the repertoire"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1176
+#: locale/programs/ld-ctype.c:1142
 #, c-format
 msgid "character class `%s' already defined"
 msgstr "classe de caracter `%s' já definida"
 
-#: locale/programs/ld-ctype.c:1182
+#: locale/programs/ld-ctype.c:1148
 #, fuzzy, c-format
 #| msgid "implementation limit: no more than %d character classes allowed"
 msgid "implementation limit: no more than %Zd character classes allowed"
 msgstr "limite de implementacão: não são permitidas mais que %d classes de caracter"
 
-#: locale/programs/ld-ctype.c:1208
+#: locale/programs/ld-ctype.c:1174
 #, c-format
 msgid "character map `%s' already defined"
 msgstr "mapa de caracteres `%s' já definido"
 
-#: locale/programs/ld-ctype.c:1214
+#: locale/programs/ld-ctype.c:1180
 #, c-format
 msgid "implementation limit: no more than %d character maps allowed"
 msgstr "limite de implementacão: não são permitidos mais que %d mapas de caracter"
 
-#: locale/programs/ld-ctype.c:1479 locale/programs/ld-ctype.c:1604
-#: locale/programs/ld-ctype.c:1710 locale/programs/ld-ctype.c:2400
-#: locale/programs/ld-ctype.c:3397
+#: locale/programs/ld-ctype.c:1445 locale/programs/ld-ctype.c:1570
+#: locale/programs/ld-ctype.c:1676 locale/programs/ld-ctype.c:2352
+#: locale/programs/ld-ctype.c:3324
 #, c-format
 msgid "%s: field `%s' does not contain exactly ten entries"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1507 locale/programs/ld-ctype.c:2081
+#: locale/programs/ld-ctype.c:1473 locale/programs/ld-ctype.c:2047
 #, c-format
 msgid "to-value <U%0*X> of range is smaller than from-value <U%0*X>"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1634
+#: locale/programs/ld-ctype.c:1600
 msgid "start and end character sequence of range must have the same length"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1641
+#: locale/programs/ld-ctype.c:1607
 msgid "to-value character sequence is smaller than from-value sequence"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2001 locale/programs/ld-ctype.c:2052
+#: locale/programs/ld-ctype.c:1967 locale/programs/ld-ctype.c:2018
 #, fuzzy
 #| msgid "Premature end of regular expression"
 msgid "premature end of `translit_ignore' definition"
 msgstr "Fim prematuro da expressão regular"
 
-#: locale/programs/ld-ctype.c:2007 locale/programs/ld-ctype.c:2058
-#: locale/programs/ld-ctype.c:2100
+#: locale/programs/ld-ctype.c:1973 locale/programs/ld-ctype.c:2024
+#: locale/programs/ld-ctype.c:2066
 #, fuzzy
 #| msgid "Bus error"
 msgid "syntax error"
 msgstr "Erro no barramento"
 
-#: locale/programs/ld-ctype.c:2233
+#: locale/programs/ld-ctype.c:2199
 #, fuzzy, c-format
 #| msgid "syntax error in definition of new character class"
 msgid "%s: syntax error in definition of new character class"
 msgstr "erro de sintaxe na definição de uma nova classe de caracteres"
 
-#: locale/programs/ld-ctype.c:2248
+#: locale/programs/ld-ctype.c:2214
 #, fuzzy, c-format
 #| msgid "syntax error in definition of new character map"
 msgid "%s: syntax error in definition of new character map"
 msgstr "erro de sintaxe na definição de um novo mapa de caracteres"
 
-#: locale/programs/ld-ctype.c:2422
+#: locale/programs/ld-ctype.c:2374
 msgid "ellipsis range must be marked by two operands of same type"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2431
+#: locale/programs/ld-ctype.c:2383
 msgid "with symbolic name range values the absolute ellipsis `...' must not be used"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2446
+#: locale/programs/ld-ctype.c:2398
 msgid "with UCS range values one must use the hexadecimal symbolic ellipsis `..'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2460
+#: locale/programs/ld-ctype.c:2412
 msgid "with character code range values one must use the absolute ellipsis `...'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2611
+#: locale/programs/ld-ctype.c:2563
 #, fuzzy, c-format
 #| msgid "duplicate definition for character `%.*s'"
 msgid "duplicated definition for mapping `%s'"
 msgstr "definição para caracter duplicada `%.*s'"
 
-#: locale/programs/ld-ctype.c:2697 locale/programs/ld-ctype.c:2841
+#: locale/programs/ld-ctype.c:2649 locale/programs/ld-ctype.c:2793
 #, c-format
 msgid "%s: `translit_start' section does not end with `translit_end'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2792
+#: locale/programs/ld-ctype.c:2744
 #, fuzzy, c-format
 #| msgid "duplicate set definition"
 msgid "%s: duplicate `default_missing' definition"
 msgstr "definição de conjunto duplicada"
 
-#: locale/programs/ld-ctype.c:2797
+#: locale/programs/ld-ctype.c:2749
 msgid "previous definition was here"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2819
+#: locale/programs/ld-ctype.c:2771
 #, c-format
 msgid "%s: no representable `default_missing' definition found"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2962 locale/programs/ld-ctype.c:3059
-#: locale/programs/ld-ctype.c:3079 locale/programs/ld-ctype.c:3100
-#: locale/programs/ld-ctype.c:3121 locale/programs/ld-ctype.c:3142
-#: locale/programs/ld-ctype.c:3163 locale/programs/ld-ctype.c:3203
-#: locale/programs/ld-ctype.c:3224 locale/programs/ld-ctype.c:3289
-#: locale/programs/ld-ctype.c:3331 locale/programs/ld-ctype.c:3356
+#: locale/programs/ld-ctype.c:2889 locale/programs/ld-ctype.c:2986
+#: locale/programs/ld-ctype.c:3006 locale/programs/ld-ctype.c:3027
+#: locale/programs/ld-ctype.c:3048 locale/programs/ld-ctype.c:3069
+#: locale/programs/ld-ctype.c:3090 locale/programs/ld-ctype.c:3130
+#: locale/programs/ld-ctype.c:3151 locale/programs/ld-ctype.c:3216
+#: locale/programs/ld-ctype.c:3258 locale/programs/ld-ctype.c:3283
 #, fuzzy, c-format
 #| msgid "character `%s' not defined while needed as default value"
 msgid "%s: character `%s' not defined while needed as default value"
 msgstr "caracter `%s' não definido enquanto necessário como valor default"
 
-#: locale/programs/ld-ctype.c:2967 locale/programs/ld-ctype.c:3064
-#: locale/programs/ld-ctype.c:3084 locale/programs/ld-ctype.c:3105
-#: locale/programs/ld-ctype.c:3126 locale/programs/ld-ctype.c:3147
-#: locale/programs/ld-ctype.c:3168 locale/programs/ld-ctype.c:3208
-#: locale/programs/ld-ctype.c:3229 locale/programs/ld-ctype.c:3294
+#: locale/programs/ld-ctype.c:2894 locale/programs/ld-ctype.c:2991
+#: locale/programs/ld-ctype.c:3011 locale/programs/ld-ctype.c:3032
+#: locale/programs/ld-ctype.c:3053 locale/programs/ld-ctype.c:3074
+#: locale/programs/ld-ctype.c:3095 locale/programs/ld-ctype.c:3135
+#: locale/programs/ld-ctype.c:3156 locale/programs/ld-ctype.c:3221
 #, c-format
 msgid "%s: character `%s' in charmap not representable with one byte"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3338 locale/programs/ld-ctype.c:3363
+#: locale/programs/ld-ctype.c:3265 locale/programs/ld-ctype.c:3290
 #, c-format
 msgid "%s: character `%s' needed as default value not representable with one byte"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3419
+#: locale/programs/ld-ctype.c:3346
 #, c-format
 msgid "no output digits defined and none of the standard names in the charmap"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3668
+#: locale/programs/ld-ctype.c:3595
 #, c-format
 msgid "%s: transliteration data from locale `%s' not available"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3768
+#: locale/programs/ld-ctype.c:3695
 #, c-format
 msgid "%s: table for class \"%s\": %lu bytes\n"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3833
+#: locale/programs/ld-ctype.c:3760
 #, c-format
 msgid "%s: table for map \"%s\": %lu bytes\n"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3958
+#: locale/programs/ld-ctype.c:3885
 #, c-format
 msgid "%s: table for width: %lu bytes\n"
 msgstr ""
@@ -4083,17 +4075,23 @@ msgstr ""
 msgid " (first)"
 msgstr ""
 
-#: nscd/cache.c:285 nscd/connections.c:1000
+#: nscd/cache.c:288
+#, fuzzy, c-format
+#| msgid "cannot open database file `%s': %s"
+msgid "checking for monitored file `%s': %s"
+msgstr "não é possível abrir arquivo de banco de dados `%s': %s"
+
+#: nscd/cache.c:298
 #, c-format
-msgid "cannot stat() file `%s': %s"
-msgstr "não é possível ler atributos do arquivo `%s': %s"
+msgid "monitored file `%s` changed (mtime)"
+msgstr ""
 
-#: nscd/cache.c:331
+#: nscd/cache.c:341
 #, c-format
 msgid "pruning %s cache; time %ld"
 msgstr ""
 
-#: nscd/cache.c:360
+#: nscd/cache.c:370
 #, c-format
 msgid "considering %s entry \"%s\", timeout %<PRIu64>"
 msgstr ""
@@ -4188,159 +4186,220 @@ msgstr "impossível habilitar soquete para aceitar conecções: %s"
 msgid "cannot enable socket to accept connections: %s"
 msgstr "impossível habilitar soquete para aceitar conecções: %s"
 
-#: nscd/connections.c:984
+#: nscd/connections.c:973
+#, c-format
+msgid "disabled inotify-based monitoring for file `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:977
+#, c-format
+msgid "monitoring file `%s` (%d)"
+msgstr ""
+
+#: nscd/connections.c:990
+#, c-format
+msgid "disabled inotify-based monitoring for directory `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:994
+#, c-format
+msgid "monitoring directory `%s` (%d)"
+msgstr ""
+
+#: nscd/connections.c:1022
+#, c-format
+msgid "monitoring file %s for database %s"
+msgstr ""
+
+#: nscd/connections.c:1032
 #, c-format
-msgid "register trace file %s for database %s"
+msgid "stat failed for file `%s'; will try again later: %s"
 msgstr ""
 
-#: nscd/connections.c:1114
+#: nscd/connections.c:1151
 #, c-format
 msgid "provide access to FD %d, for %s"
 msgstr ""
 
-#: nscd/connections.c:1126
+#: nscd/connections.c:1163
 #, c-format
 msgid "cannot handle old request version %d; current version is %d"
 msgstr "impossível lidar com requisições de versões antigas %d; a versão atual é %d"
 
-#: nscd/connections.c:1148
+#: nscd/connections.c:1185
 #, c-format
 msgid "request from %ld not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1153
+#: nscd/connections.c:1190
 #, c-format
 msgid "request from '%s' [%ld] not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1158
+#: nscd/connections.c:1195
 msgid "request not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1196 nscd/connections.c:1249
+#: nscd/connections.c:1233 nscd/connections.c:1286
 #, c-format
 msgid "cannot write result: %s"
 msgstr "não é possível escrever resultado: %s"
 
-#: nscd/connections.c:1340
+#: nscd/connections.c:1377
 #, c-format
 msgid "error getting caller's id: %s"
 msgstr ""
 
-#: nscd/connections.c:1400
+#: nscd/connections.c:1437
 #, c-format
 msgid "cannot open /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1414
+#: nscd/connections.c:1451
 #, c-format
 msgid "cannot read /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1454
+#: nscd/connections.c:1491
 #, c-format
 msgid "cannot change to old UID: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1464
+#: nscd/connections.c:1501
 #, c-format
 msgid "cannot change to old GID: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1477
+#: nscd/connections.c:1514
 #, c-format
 msgid "cannot change to old working directory: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1523
+#: nscd/connections.c:1560
 #, c-format
 msgid "re-exec failed: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1532
+#: nscd/connections.c:1569
 #, c-format
 msgid "cannot change current working directory to \"/\": %s"
 msgstr ""
 
-#: nscd/connections.c:1725
+#: nscd/connections.c:1762
 #, c-format
 msgid "short read while reading request: %s"
 msgstr "problems lendo `%s'"
 
-#: nscd/connections.c:1758
+#: nscd/connections.c:1795
 #, fuzzy, c-format
 #| msgid "key length in request too long: %Zd"
 msgid "key length in request too long: %d"
 msgstr "tamanho de chave na requisição muito longa: %Zd"
 
-#: nscd/connections.c:1771
+#: nscd/connections.c:1808
 #, c-format
 msgid "short read while reading request key: %s"
 msgstr "falha na leitura lendo chave de requisição: %s"
 
-#: nscd/connections.c:1781
+#: nscd/connections.c:1818
 #, fuzzy, c-format
 #| msgid "handle_request: request received (Version = %d)"
 msgid "handle_request: request received (Version = %d) from PID %ld"
 msgstr "handle_request: requisição recebida (Versão = %d)"
 
-#: nscd/connections.c:1786
+#: nscd/connections.c:1823
 #, c-format
 msgid "handle_request: request received (Version = %d)"
 msgstr "handle_request: requisição recebida (Versão = %d)"
 
-#: nscd/connections.c:2050 nscd/connections.c:2252
+#: nscd/connections.c:1963
+#, c-format
+msgid "ignored inotify event for `%s` (file exists)"
+msgstr ""
+
+#: nscd/connections.c:1968
 #, c-format
-msgid "disabled inotify after read error %d"
+msgid "monitored file `%s` was %s, removing watch"
 msgstr ""
 
-#: nscd/connections.c:2375
+#: nscd/connections.c:1976 nscd/connections.c:2018
+#, c-format
+msgid "failed to remove file watch `%s`: %s"
+msgstr ""
+
+#: nscd/connections.c:1991
+#, c-format
+msgid "monitored file `%s` was written to"
+msgstr ""
+
+#: nscd/connections.c:2015
+#, c-format
+msgid "monitored parent directory `%s` was %s, removing watch on `%s`"
+msgstr ""
+
+#: nscd/connections.c:2041
+#, c-format
+msgid "monitored file `%s` was %s, adding watch"
+msgstr ""
+
+#: nscd/connections.c:2053
+#, fuzzy, c-format
+#| msgid "failed to load shared object `%s'"
+msgid "failed to add file watch `%s`: %s"
+msgstr "falha no carregamento do objeto compartilhado `%s'"
+
+#: nscd/connections.c:2247 nscd/connections.c:2428
+#, c-format
+msgid "disabled inotify-based monitoring after read error %d"
+msgstr ""
+
+#: nscd/connections.c:2543
 msgid "could not initialize conditional variable"
 msgstr ""
 
-#: nscd/connections.c:2383
+#: nscd/connections.c:2551
 msgid "could not start clean-up thread; terminating"
 msgstr ""
 
-#: nscd/connections.c:2397
+#: nscd/connections.c:2565
 msgid "could not start any worker thread; terminating"
 msgstr ""
 
-#: nscd/connections.c:2452 nscd/connections.c:2454 nscd/connections.c:2470
-#: nscd/connections.c:2480 nscd/connections.c:2498 nscd/connections.c:2509
-#: nscd/connections.c:2519
+#: nscd/connections.c:2620 nscd/connections.c:2622 nscd/connections.c:2638
+#: nscd/connections.c:2648 nscd/connections.c:2666 nscd/connections.c:2677
+#: nscd/connections.c:2687
 #, c-format
 msgid "Failed to run nscd as user '%s'"
 msgstr ""
 
-#: nscd/connections.c:2472
+#: nscd/connections.c:2640
 msgid "initial getgrouplist failed"
 msgstr ""
 
-#: nscd/connections.c:2481
+#: nscd/connections.c:2649
 #, fuzzy
 #| msgid "lstat failed"
 msgid "getgrouplist failed"
 msgstr "falha em lstat"
 
-#: nscd/connections.c:2499
+#: nscd/connections.c:2667
 #, fuzzy
 #| msgid "fstat failed"
 msgid "setgroups failed"
 msgstr "falha em fstat"
 
-#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:410
+#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:411
 #: nscd/pwdcache.c:383 nscd/servicescache.c:338
 #, c-format
 msgid "short write in %s: %s"
 msgstr "Erro escrevendo em %s: %s"
 
-#: nscd/grpcache.c:450 nscd/initgrcache.c:77
+#: nscd/grpcache.c:450 nscd/initgrcache.c:78
 #, c-format
 msgid "Haven't found \"%s\" in group cache!"
 msgstr "Não encontrado \"%s\" no cache de grupo!"
 
-#: nscd/grpcache.c:452 nscd/initgrcache.c:79
+#: nscd/grpcache.c:452 nscd/initgrcache.c:80
 #, fuzzy, c-format
 #| msgid "Haven't found \"%s\" in group cache!"
 msgid "Reloading \"%s\" in group cache!"
@@ -4440,7 +4499,7 @@ msgstr ""
 msgid "Name Service Cache Daemon."
 msgstr "Servidor de Cache de Nomes."
 
-#: nscd/nscd.c:155 nss/getent.c:1003 nss/makedb.c:206
+#: nscd/nscd.c:155 nss/getent.c:1007 nss/makedb.c:206
 #, c-format
 msgid "wrong number of arguments"
 msgstr "número incorreto de argumentos"
@@ -4477,7 +4536,7 @@ msgstr ""
 msgid "Could not create log file"
 msgstr "não é possível ler arquivo de registro \"%s\""
 
-#: nscd/nscd.c:355 nscd/nscd_stat.c:192
+#: nscd/nscd.c:355 nscd/nscd_stat.c:194
 #, c-format
 msgid "write incomplete"
 msgstr "escrita incompleta"
@@ -4494,7 +4553,7 @@ msgstr "impossível ler dados de estatística"
 msgid "invalidation failed"
 msgstr "Modificação falhou"
 
-#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:173
+#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:175
 #, c-format
 msgid "Only root is allowed to use this option!"
 msgstr "Somente o superusuário pode usar esta opção!"
@@ -4577,36 +4636,36 @@ msgstr ""
 msgid "maximum file size for %s database too small"
 msgstr ""
 
-#: nscd/nscd_stat.c:142
+#: nscd/nscd_stat.c:144
 #, c-format
 msgid "cannot write statistics: %s"
 msgstr "não é possível escrever estatisticas: %s"
 
-#: nscd/nscd_stat.c:157
+#: nscd/nscd_stat.c:159
 msgid "yes"
 msgstr ""
 
-#: nscd/nscd_stat.c:158
+#: nscd/nscd_stat.c:160
 msgid "no"
 msgstr ""
 
-#: nscd/nscd_stat.c:169
+#: nscd/nscd_stat.c:171
 #, fuzzy, c-format
 #| msgid "Only root is allowed to use this option!"
 msgid "Only root or %s is allowed to use this option!"
 msgstr "Somente o superusuário pode usar esta opção!"
 
-#: nscd/nscd_stat.c:180
+#: nscd/nscd_stat.c:182
 #, c-format
 msgid "nscd not running!\n"
 msgstr "nscd não está rodando!\n"
 
-#: nscd/nscd_stat.c:204
+#: nscd/nscd_stat.c:206
 #, c-format
 msgid "cannot read statistics data"
 msgstr "impossível ler dados de estatística"
 
-#: nscd/nscd_stat.c:207
+#: nscd/nscd_stat.c:209
 #, c-format
 msgid ""
 "nscd configuration:\n"
@@ -4617,27 +4676,27 @@ msgstr ""
 "\n"
 "%15d nível de debug do servidor\n"
 
-#: nscd/nscd_stat.c:231
+#: nscd/nscd_stat.c:233
 #, c-format
 msgid "%3ud %2uh %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:234
+#: nscd/nscd_stat.c:236
 #, c-format
 msgid "    %2uh %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:236
+#: nscd/nscd_stat.c:238
 #, c-format
 msgid "        %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:238
+#: nscd/nscd_stat.c:240
 #, c-format
 msgid "            %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:240
+#: nscd/nscd_stat.c:242
 #, c-format
 msgid ""
 "%15d  current number of threads\n"
@@ -4648,7 +4707,7 @@ msgid ""
 "%15u  reload count\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:275
+#: nscd/nscd_stat.c:277
 #, fuzzy, c-format
 #| msgid ""
 #| "\n"
@@ -4716,91 +4775,91 @@ msgstr "Não encontrado \"%s\" no cache de senhas! "
 msgid "Invalid numeric uid \"%s\"!"
 msgstr ""
 
-#: nscd/selinux.c:155
+#: nscd/selinux.c:154
 #, c-format
 msgid "Failed opening connection to the audit subsystem: %m"
 msgstr ""
 
-#: nscd/selinux.c:176
+#: nscd/selinux.c:175
 msgid "Failed to set keep-capabilities"
 msgstr ""
 
-#: nscd/selinux.c:177 nscd/selinux.c:240
+#: nscd/selinux.c:176 nscd/selinux.c:239
 msgid "prctl(KEEPCAPS) failed"
 msgstr ""
 
-#: nscd/selinux.c:191
+#: nscd/selinux.c:190
 msgid "Failed to initialize drop of capabilities"
 msgstr ""
 
-#: nscd/selinux.c:192
+#: nscd/selinux.c:191
 #, fuzzy
 #| msgid "fstat failed"
 msgid "cap_init failed"
 msgstr "falha em fstat"
 
-#: nscd/selinux.c:213 nscd/selinux.c:230
+#: nscd/selinux.c:212 nscd/selinux.c:229
 msgid "Failed to drop capabilities"
 msgstr ""
 
-#: nscd/selinux.c:214 nscd/selinux.c:231
+#: nscd/selinux.c:213 nscd/selinux.c:230
 #, fuzzy
 #| msgid "cache_set: victim alloc failed"
 msgid "cap_set_proc failed"
 msgstr "cache_set: alocação de vítima falhou"
 
-#: nscd/selinux.c:239
+#: nscd/selinux.c:238
 msgid "Failed to unset keep-capabilities"
 msgstr ""
 
-#: nscd/selinux.c:255
+#: nscd/selinux.c:254
 msgid "Failed to determine if kernel supports SELinux"
 msgstr ""
 
-#: nscd/selinux.c:270
+#: nscd/selinux.c:269
 msgid "Failed to start AVC thread"
 msgstr ""
 
-#: nscd/selinux.c:292
+#: nscd/selinux.c:291
 #, fuzzy
 #| msgid "Unable to create callback"
 msgid "Failed to create AVC lock"
 msgstr "Impossível criar chamador"
 
-#: nscd/selinux.c:332
+#: nscd/selinux.c:331
 msgid "Failed to start AVC"
 msgstr ""
 
-#: nscd/selinux.c:334
+#: nscd/selinux.c:333
 msgid "Access Vector Cache (AVC) started"
 msgstr ""
 
-#: nscd/selinux.c:369
+#: nscd/selinux.c:368
 msgid "Error querying policy for undefined object classes or permissions."
 msgstr ""
 
-#: nscd/selinux.c:376
+#: nscd/selinux.c:375
 msgid "Error getting security class for nscd."
 msgstr ""
 
-#: nscd/selinux.c:381
+#: nscd/selinux.c:380
 #, c-format
 msgid "Error translating permission name \"%s\" to access vector bit."
 msgstr ""
 
-#: nscd/selinux.c:391
+#: nscd/selinux.c:390
 msgid "Error getting context of socket peer"
 msgstr ""
 
-#: nscd/selinux.c:396
+#: nscd/selinux.c:395
 msgid "Error getting context of nscd"
 msgstr ""
 
-#: nscd/selinux.c:402
+#: nscd/selinux.c:401
 msgid "Error getting sid from context"
 msgstr ""
 
-#: nscd/selinux.c:440
+#: nscd/selinux.c:439
 #, c-format
 msgid ""
 "\n"
@@ -4858,17 +4917,17 @@ msgstr "getent - pega entrada da base de dados administrativa."
 msgid "Enumeration not supported on %s\n"
 msgstr "Operação não suportada "
 
-#: nss/getent.c:917
+#: nss/getent.c:921
 #, fuzzy, c-format
 #| msgid "Unknown database: %s\n"
 msgid "Unknown database name"
 msgstr "Base de dados desconhecida: %s\n"
 
-#: nss/getent.c:947
+#: nss/getent.c:951
 msgid "Supported databases:\n"
 msgstr ""
 
-#: nss/getent.c:1013
+#: nss/getent.c:1017
 #, c-format
 msgid "Unknown database: %s\n"
 msgstr "Base de dados desconhecida: %s\n"
@@ -5167,7 +5226,7 @@ msgstr ") ou \\) descasados"
 msgid "No previous regular expression"
 msgstr "Não há expressão regular anterior"
 
-#: posix/wordexp.c:1844
+#: posix/wordexp.c:1851
 msgid "parameter null or not set"
 msgstr ""
 
diff --git a/po/rw.po b/po/rw.po
index edded8c..f9f166c 100644
--- a/po/rw.po
+++ b/po/rw.po
@@ -14,7 +14,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: libc 2.3\n"
-"POT-Creation-Date: 2015-01-20 22:14-0500\n"
+"POT-Creation-Date: 2015-07-31 00:10-0400\n"
 "PO-Revision-Date: 2005-04-04 10:55-0700\n"
 "Last-Translator: Steven Michael Murphy <murf@e-tools.com>\n"
 "Language-Team: Kinyarwanda <translation-team-rw@lists.sourceforge.net>\n"
@@ -175,10 +175,10 @@ msgid ""
 msgstr "-o"
 
 #: catgets/gencat.c:229 debug/pcprofiledump.c:209 elf/ldconfig.c:307
-#: elf/pldd.c:244 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
+#: elf/pldd.c:252 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
 #: iconv/iconvconfig.c:379 locale/programs/locale.c:277
 #: locale/programs/localedef.c:376 login/programs/pt_chown.c:88
-#: malloc/memusagestat.c:563 nss/getent.c:969 nss/makedb.c:369
+#: malloc/memusagestat.c:563 nss/getent.c:973 nss/makedb.c:369
 #: posix/getconf.c:486 sunrpc/rpcinfo.c:691
 #: sysdeps/unix/sysv/linux/lddlibc4.c:61
 #, c-format
@@ -188,7 +188,7 @@ msgid ""
 msgstr ""
 
 #: catgets/gencat.c:245 debug/pcprofiledump.c:225 debug/xtrace.sh:64
-#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:260 elf/sotruss.sh:75
+#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:268 elf/sotruss.sh:75
 #: elf/sprof.c:389 iconv/iconv_prog.c:425 iconv/iconvconfig.c:396
 #: locale/programs/locale.c:294 locale/programs/localedef.c:402
 #: login/programs/pt_chown.c:62 malloc/memusage.sh:71
@@ -202,7 +202,7 @@ msgid ""
 msgstr "C ni Kigenga i Inkomoko kugirango ni OYA ATARIIGIHARWE kugirango Cyangwa A"
 
 #: catgets/gencat.c:250 debug/pcprofiledump.c:230 debug/xtrace.sh:68
-#: elf/ldconfig.c:328 elf/pldd.c:265 elf/sprof.c:395 iconv/iconv_prog.c:430
+#: elf/ldconfig.c:328 elf/pldd.c:273 elf/sprof.c:395 iconv/iconv_prog.c:430
 #: iconv/iconvconfig.c:401 locale/programs/locale.c:299
 #: locale/programs/localedef.c:407 malloc/memusage.sh:75
 #: malloc/memusagestat.c:586 nscd/nscd.c:514 nss/getent.c:91 nss/makedb.c:390
@@ -478,12 +478,12 @@ msgstr "Bya Kuri Byanze"
 msgid "Renaming of %s to %s failed"
 msgstr "Bya Kuri Byanze"
 
-#: elf/dl-close.c:385 elf/dl-open.c:470
+#: elf/dl-close.c:396 elf/dl-open.c:478
 #, fuzzy
 msgid "cannot create scope list"
 msgstr "Kurema Ingano: Urutonde"
 
-#: elf/dl-close.c:770
+#: elf/dl-close.c:816
 #, fuzzy
 msgid "shared object not open"
 msgstr "Igikoresho OYA Gufungura"
@@ -571,154 +571,154 @@ msgstr "Kurema Gushaka Inzira Imbonerahamwe"
 msgid "cannot stat shared object"
 msgstr "Igikoresho"
 
-#: elf/dl-load.c:963
+#: elf/dl-load.c:962
 #, fuzzy
 msgid "cannot open zero fill device"
 msgstr "Gufungura Zeru Kuzuza APAREYE"
 
-#: elf/dl-load.c:1010 elf/dl-load.c:2165
+#: elf/dl-load.c:1009 elf/dl-load.c:2159
 #, fuzzy
 msgid "cannot create shared object descriptor"
 msgstr "Kurema Igikoresho"
 
-#: elf/dl-load.c:1029 elf/dl-load.c:1570 elf/dl-load.c:1682
+#: elf/dl-load.c:1028 elf/dl-load.c:1568 elf/dl-load.c:1680
 #, fuzzy
 msgid "cannot read file data"
 msgstr "Gusoma IDOSIYE Ibyatanzwe"
 
-#: elf/dl-load.c:1069
+#: elf/dl-load.c:1068
 #, fuzzy
 msgid "ELF load command alignment not page-aligned"
 msgstr "Ibirimo Komandi: Itunganya OYA Ipaji"
 
-#: elf/dl-load.c:1076
+#: elf/dl-load.c:1075
 #, fuzzy
 msgid "ELF load command address/offset not properly aligned"
 msgstr "Ibirimo Komandi: Aderesi Nta- boneza OYA"
 
-#: elf/dl-load.c:1160
+#: elf/dl-load.c:1159
 #, fuzzy
 msgid "cannot allocate TLS data structures for initial thread"
 msgstr "Kurema Ibyatanzwe"
 
-#: elf/dl-load.c:1183
+#: elf/dl-load.c:1182
 #, fuzzy
 msgid "cannot handle TLS data"
 msgstr "Gusoma IDOSIYE Ibyatanzwe"
 
-#: elf/dl-load.c:1202
+#: elf/dl-load.c:1201
 #, fuzzy
 msgid "object file has no loadable segments"
 msgstr "Igikoresho IDOSIYE Oya Icyiciro"
 
-#: elf/dl-load.c:1211 elf/dl-load.c:1662
+#: elf/dl-load.c:1210 elf/dl-load.c:1660
 #, fuzzy
 msgid "cannot dynamically load executable"
 msgstr "Ibirimo"
 
-#: elf/dl-load.c:1232
+#: elf/dl-load.c:1231
 #, fuzzy
 msgid "object file has no dynamic section"
 msgstr "Igikoresho IDOSIYE Oya Icyiciro"
 
-#: elf/dl-load.c:1255
+#: elf/dl-load.c:1254
 #, fuzzy
 msgid "shared object cannot be dlopen()ed"
 msgstr "Igikoresho"
 
-#: elf/dl-load.c:1268
+#: elf/dl-load.c:1267
 #, fuzzy
 msgid "cannot allocate memory for program header"
 msgstr "Ububiko kugirango Porogaramu Umutwempangano"
 
-#: elf/dl-load.c:1284 elf/dl-open.c:195
+#: elf/dl-load.c:1283 elf/dl-open.c:195
 #, fuzzy
 msgid "invalid caller"
 msgstr "Sibyo Umurongo"
 
-#: elf/dl-load.c:1307 elf/dl-load.h:130
+#: elf/dl-load.c:1306 elf/dl-load.h:130
 #, fuzzy
 msgid "cannot change memory protections"
 msgstr "Guhindura>> Ububiko"
 
-#: elf/dl-load.c:1327
+#: elf/dl-load.c:1326
 #, fuzzy
 msgid "cannot enable executable stack as shared object requires"
 msgstr "Kurema Igikoresho"
 
-#: elf/dl-load.c:1340
+#: elf/dl-load.c:1339
 #, fuzzy
 msgid "cannot close file descriptor"
 msgstr "Kurema By'imbere"
 
-#: elf/dl-load.c:1570
+#: elf/dl-load.c:1568
 #, fuzzy
 msgid "file too short"
 msgstr "IDOSIYE"
 
-#: elf/dl-load.c:1605
+#: elf/dl-load.c:1603
 #, fuzzy
 msgid "invalid ELF header"
 msgstr "Sibyo Umutwempangano"
 
-#: elf/dl-load.c:1617
+#: elf/dl-load.c:1615
 #, fuzzy
 msgid "ELF file data encoding not big-endian"
 msgstr "IDOSIYE Ibyatanzwe Imisobekere: OYA"
 
-#: elf/dl-load.c:1619
+#: elf/dl-load.c:1617
 #, fuzzy
 msgid "ELF file data encoding not little-endian"
 msgstr "IDOSIYE Ibyatanzwe Imisobekere: OYA"
 
-#: elf/dl-load.c:1623
+#: elf/dl-load.c:1621
 #, fuzzy
 msgid "ELF file version ident does not match current one"
 msgstr "IDOSIYE Verisiyo OYA BIHUYE KIGEZWEHO"
 
-#: elf/dl-load.c:1627
+#: elf/dl-load.c:1625
 #, fuzzy
 msgid "ELF file OS ABI invalid"
 msgstr "IDOSIYE Sibyo"
 
-#: elf/dl-load.c:1630
+#: elf/dl-load.c:1628
 #, fuzzy
 msgid "ELF file ABI version invalid"
 msgstr "IDOSIYE Verisiyo Sibyo"
 
-#: elf/dl-load.c:1633
+#: elf/dl-load.c:1631
 msgid "nonzero padding in e_ident"
 msgstr ""
 
-#: elf/dl-load.c:1636
+#: elf/dl-load.c:1634
 #, fuzzy
 msgid "internal error"
 msgstr "Ikosa ry'imbere"
 
-#: elf/dl-load.c:1643
+#: elf/dl-load.c:1641
 #, fuzzy
 msgid "ELF file version does not match current one"
 msgstr "IDOSIYE Verisiyo OYA BIHUYE KIGEZWEHO"
 
-#: elf/dl-load.c:1651
+#: elf/dl-load.c:1649
 #, fuzzy
 msgid "only ET_DYN and ET_EXEC can be loaded"
 msgstr "Na"
 
-#: elf/dl-load.c:1667
+#: elf/dl-load.c:1665
 #, fuzzy
 msgid "ELF file's phentsize not the expected size"
 msgstr "OYA i Ikitezwe: Ingano"
 
-#: elf/dl-load.c:2184
+#: elf/dl-load.c:2178
 msgid "wrong ELF class: ELFCLASS64"
 msgstr ""
 
-#: elf/dl-load.c:2185
+#: elf/dl-load.c:2179
 msgid "wrong ELF class: ELFCLASS32"
 msgstr ""
 
-#: elf/dl-load.c:2188
+#: elf/dl-load.c:2182
 #, fuzzy
 msgid "cannot open shared object file"
 msgstr "Gufungura Igikoresho IDOSIYE"
@@ -733,12 +733,12 @@ msgstr "Byanze Kuri Bivuye Igikoresho"
 msgid "cannot map zero-fill pages"
 msgstr "Zeru Kuzuza Amapaji"
 
-#: elf/dl-lookup.c:791
+#: elf/dl-lookup.c:845
 #, fuzzy
 msgid "relocation error"
 msgstr "Ikosa"
 
-#: elf/dl-lookup.c:818
+#: elf/dl-lookup.c:872
 msgid "symbol lookup error"
 msgstr ""
 
@@ -747,55 +747,46 @@ msgstr ""
 msgid "cannot extend global scope"
 msgstr "Ingano:"
 
-#: elf/dl-open.c:520
+#: elf/dl-open.c:528
 #, fuzzy
 msgid "TLS generation counter wrapped!  Please report this."
 msgstr "Kohereza Icyegeranyo Na: i IYANDIKA"
 
-#: elf/dl-open.c:542
-msgid "cannot load any more object with static TLS"
-msgstr ""
-
-#: elf/dl-open.c:599
+#: elf/dl-open.c:592
 #, fuzzy
 msgid "invalid mode for dlopen()"
 msgstr "Sibyo Ubwoko kugirango"
 
-#: elf/dl-open.c:616
+#: elf/dl-open.c:609
 msgid "no more namespaces available for dlmopen()"
 msgstr ""
 
-#: elf/dl-open.c:634
+#: elf/dl-open.c:633
 #, fuzzy
 msgid "invalid target namespace in dlmopen()"
 msgstr "Sibyo Ubwoko kugirango"
 
-#: elf/dl-reloc.c:120
+#: elf/dl-reloc.c:121
 #, fuzzy
 msgid "cannot allocate memory in static TLS block"
 msgstr "Ububiko"
 
-#: elf/dl-reloc.c:212
+#: elf/dl-reloc.c:206
 #, fuzzy
 msgid "cannot make segment writable for relocation"
 msgstr "Ubwoko kugirango"
 
-#: elf/dl-reloc.c:275
-#, fuzzy, c-format
-msgid "%s: no PLTREL found in object %s\n"
-msgstr "%s:Byabonetse Oya in Igikoresho"
-
-#: elf/dl-reloc.c:290
+#: elf/dl-reloc.c:276
 #, c-format
 msgid "%s: out of memory to store relocation results for %s\n"
 msgstr ""
 
-#: elf/dl-reloc.c:306
+#: elf/dl-reloc.c:292
 #, fuzzy
 msgid "cannot restore segment prot after reloc"
 msgstr "Kugarura Nyuma"
 
-#: elf/dl-reloc.c:335
+#: elf/dl-reloc.c:323
 #, fuzzy
 msgid "cannot apply additional memory protection after relocation"
 msgstr "Guhindura>> Ububiko"
@@ -805,7 +796,7 @@ msgstr "Guhindura>> Ububiko"
 msgid "RTLD_NEXT used in code not dynamically loaded"
 msgstr "in ITEGEKONGENGA OYA"
 
-#: elf/dl-tls.c:933
+#: elf/dl-tls.c:934
 #, fuzzy
 msgid "cannot create TLS data structures"
 msgstr "Kurema Ibyatanzwe"
@@ -964,7 +955,7 @@ msgstr "Ihuza Byaremwe guhera OYA Byabonetse kugirango"
 msgid "Can't open directory %s"
 msgstr "Gufungura ububiko ntibishoboka"
 
-#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:90
+#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:97
 #, fuzzy, c-format
 msgid "Input file %s not found.\n"
 msgstr "IDOSIYE OYA Byabonetse"
@@ -1094,7 +1085,7 @@ msgstr "Kuri Kigenga ingingo"
 msgid "No such file or directory"
 msgstr "IDOSIYE Cyangwa bushyinguro"
 
-#: elf/ldd.bash.in:150 inet/rcmd.c:488
+#: elf/ldd.bash.in:150 inet/rcmd.c:492
 #, fuzzy
 msgid "not regular file"
 msgstr "OYA Ibisanzwe IDOSIYE"
@@ -1141,65 +1132,70 @@ msgstr "Gusoma Umutwempangano"
 msgid "cannot read program interpreter"
 msgstr "Gusoma Umutwempangano"
 
-#: elf/pldd-xx.c:196
+#: elf/pldd-xx.c:197
 #, fuzzy, c-format
 msgid "cannot read link map"
 msgstr "Gusoma IDOSIYE Ibyatanzwe"
 
-#: elf/pldd-xx.c:207
+#: elf/pldd-xx.c:209
 #, fuzzy, c-format
 msgid "cannot read object name"
 msgstr "Gusoma Umutwempangano"
 
-#: elf/pldd.c:63
+#: elf/pldd-xx.c:219
+#, fuzzy, c-format
+msgid "cannot allocate buffer for object name"
+msgstr "Ububiko kugirango Porogaramu Umutwempangano"
+
+#: elf/pldd.c:64
 msgid "List dynamic shared objects loaded into process."
 msgstr ""
 
-#: elf/pldd.c:67
+#: elf/pldd.c:68
 msgid "PID"
 msgstr ""
 
-#: elf/pldd.c:99
+#: elf/pldd.c:100
 #, c-format
 msgid "Exactly one parameter with process ID required.\n"
 msgstr ""
 
-#: elf/pldd.c:111
+#: elf/pldd.c:112
 #, fuzzy, c-format
 msgid "invalid process ID '%s'"
 msgstr "Sibyo Mweretsi Ingano"
 
-#: elf/pldd.c:119
+#: elf/pldd.c:120
 #, fuzzy, c-format
 msgid "cannot open %s"
 msgstr "Gufungura"
 
-#: elf/pldd.c:144
+#: elf/pldd.c:152
 #, fuzzy, c-format
 msgid "cannot open %s/task"
 msgstr "Gufungura"
 
-#: elf/pldd.c:147
+#: elf/pldd.c:155
 #, fuzzy, c-format
 msgid "cannot prepare reading %s/task"
 msgstr "Kurema"
 
-#: elf/pldd.c:160
+#: elf/pldd.c:168
 #, fuzzy, c-format
 msgid "invalid thread ID '%s'"
 msgstr "Sibyo Umutwempangano"
 
-#: elf/pldd.c:171
+#: elf/pldd.c:179
 #, fuzzy, c-format
 msgid "cannot attach to process %lu"
 msgstr "Gushaka C"
 
-#: elf/pldd.c:286
+#: elf/pldd.c:294
 #, c-format
 msgid "cannot get information about process %lu"
 msgstr ""
 
-#: elf/pldd.c:299
+#: elf/pldd.c:307
 #, c-format
 msgid "process %lu is no ELF program"
 msgstr ""
@@ -1234,27 +1230,27 @@ msgstr "%sni OYA a Igikoresho IDOSIYE"
 msgid "more than one dynamic segment\n"
 msgstr "Birenzeho"
 
-#: elf/readlib.c:96
+#: elf/readlib.c:103
 #, fuzzy, c-format
 msgid "Cannot fstat file %s.\n"
 msgstr "IDOSIYE"
 
-#: elf/readlib.c:107
+#: elf/readlib.c:114
 #, fuzzy, c-format
 msgid "File %s is empty, not checked."
 msgstr "Idosiye ni Gitoya OYA Ivivuwe"
 
-#: elf/readlib.c:113
+#: elf/readlib.c:120
 #, fuzzy, c-format
 msgid "File %s is too small, not checked."
 msgstr "Idosiye ni Gitoya OYA Ivivuwe"
 
-#: elf/readlib.c:123
+#: elf/readlib.c:130
 #, fuzzy, c-format
 msgid "Cannot mmap file %s.\n"
 msgstr "IDOSIYE"
 
-#: elf/readlib.c:161
+#: elf/readlib.c:169
 #, fuzzy, c-format
 msgid "%s is not an ELF file - it has the wrong magic bytes at the start.\n"
 msgstr "%sni OYA IDOSIYE i Bayite ku i Gutangira"
@@ -1379,9 +1375,9 @@ msgstr ""
 msgid "failed to load shared object `%s'"
 msgstr "Byanze Kuri Ibirimo Igikoresho"
 
-#: elf/sprof.c:442
+#: elf/sprof.c:442 elf/sprof.c:825 elf/sprof.c:923
 #, fuzzy, c-format
-msgid "cannot create internal descriptors"
+msgid "cannot create internal descriptor"
 msgstr "Kurema By'imbere"
 
 #: elf/sprof.c:554
@@ -1449,11 +1445,6 @@ msgstr "Byanze Kuri i Ibyatanzwe IDOSIYE"
 msgid "error while closing the profiling data file"
 msgstr "Ikosa i Ibyatanzwe IDOSIYE"
 
-#: elf/sprof.c:825 elf/sprof.c:923
-#, fuzzy, c-format
-msgid "cannot create internal descriptor"
-msgstr "Kurema By'imbere"
-
 #: elf/sprof.c:899
 #, fuzzy, c-format
 msgid "`%s' is no correct profile data file for `%s'"
@@ -1714,31 +1705,31 @@ msgstr "Porotokole in"
 msgid "rcmd: %s: short read"
 msgstr "Gusoma"
 
-#: inet/rcmd.c:486
+#: inet/rcmd.c:490
 #, fuzzy
 msgid "lstat failed"
 msgstr "Byanze"
 
-#: inet/rcmd.c:493
+#: inet/rcmd.c:497
 #, fuzzy
 msgid "cannot open"
 msgstr "Gufungura"
 
-#: inet/rcmd.c:495
+#: inet/rcmd.c:499
 #, fuzzy
 msgid "fstat failed"
 msgstr "Byanze"
 
-#: inet/rcmd.c:497
+#: inet/rcmd.c:501
 msgid "bad owner"
 msgstr ""
 
-#: inet/rcmd.c:499
+#: inet/rcmd.c:503
 #, fuzzy
 msgid "writeable by other than owner"
 msgstr "ku Ikindi"
 
-#: inet/rcmd.c:501
+#: inet/rcmd.c:505
 #, fuzzy
 msgid "hard linked somewhere"
 msgstr "Ikomeye"
@@ -1869,8 +1860,8 @@ msgid "no symbolic name given for end of range"
 msgstr "Oya Izina: kugirango Impera Bya Urutonde"
 
 #: locale/programs/charmap.c:610 locale/programs/ld-address.c:528
-#: locale/programs/ld-collate.c:2626 locale/programs/ld-collate.c:3784
-#: locale/programs/ld-ctype.c:2162 locale/programs/ld-ctype.c:2913
+#: locale/programs/ld-collate.c:2635 locale/programs/ld-collate.c:3793
+#: locale/programs/ld-ctype.c:2128 locale/programs/ld-ctype.c:2840
 #: locale/programs/ld-identification.c:368
 #: locale/programs/ld-measurement.c:215 locale/programs/ld-messages.c:298
 #: locale/programs/ld-monetary.c:740 locale/programs/ld-name.c:264
@@ -1897,8 +1888,8 @@ msgid "%s: error in state machine"
 msgstr "%s:Ikosa in Leta"
 
 #: locale/programs/charmap.c:850 locale/programs/ld-address.c:544
-#: locale/programs/ld-collate.c:2623 locale/programs/ld-collate.c:3977
-#: locale/programs/ld-ctype.c:2159 locale/programs/ld-ctype.c:2930
+#: locale/programs/ld-collate.c:2632 locale/programs/ld-collate.c:3986
+#: locale/programs/ld-ctype.c:2125 locale/programs/ld-ctype.c:2857
 #: locale/programs/ld-identification.c:384
 #: locale/programs/ld-measurement.c:231 locale/programs/ld-messages.c:314
 #: locale/programs/ld-monetary.c:756 locale/programs/ld-name.c:280
@@ -1919,7 +1910,7 @@ msgstr "Kitazwi Inyuguti"
 msgid "number of bytes for byte sequence of beginning and end of range not the same: %d vs %d"
 msgstr "Umubare Bya Bayite kugirango Bayite Bya Itangiriro Na Impera Bya Urutonde OYA i"
 
-#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2903
+#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2912
 #: locale/programs/repertoire.c:419
 #, fuzzy
 msgid "invalid names for character range"
@@ -1945,8 +1936,8 @@ msgstr "Nkuru in Urutonde ni OYA Gitoya Hanyuma Ntoya"
 msgid "resulting bytes for range not representable."
 msgstr "Bayite kugirango Urutonde OYA"
 
-#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1565
-#: locale/programs/ld-ctype.c:465 locale/programs/ld-identification.c:133
+#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1566
+#: locale/programs/ld-ctype.c:431 locale/programs/ld-identification.c:133
 #: locale/programs/ld-measurement.c:94 locale/programs/ld-messages.c:97
 #: locale/programs/ld-monetary.c:193 locale/programs/ld-name.c:94
 #: locale/programs/ld-numeric.c:98 locale/programs/ld-paper.c:91
@@ -2010,7 +2001,7 @@ msgid "%s: numeric country code `%d' not valid"
 msgstr "%s:Bikurikije umubare Igihugu ITEGEKONGENGA OYA Byemewe"
 
 #: locale/programs/ld-address.c:436 locale/programs/ld-address.c:473
-#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2537
+#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2489
 #: locale/programs/ld-identification.c:280
 #: locale/programs/ld-measurement.c:198 locale/programs/ld-messages.c:267
 #: locale/programs/ld-monetary.c:495 locale/programs/ld-monetary.c:530
@@ -2032,8 +2023,8 @@ msgstr "%s:Umwanya Birenzeho Rimwe"
 msgid "%s: unknown character in field `%s'"
 msgstr "%s:Kitazwi Inyuguti in Umwanya"
 
-#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3782
-#: locale/programs/ld-ctype.c:2910 locale/programs/ld-identification.c:365
+#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3791
+#: locale/programs/ld-ctype.c:2837 locale/programs/ld-identification.c:365
 #: locale/programs/ld-measurement.c:212 locale/programs/ld-messages.c:296
 #: locale/programs/ld-monetary.c:738 locale/programs/ld-name.c:262
 #: locale/programs/ld-numeric.c:324 locale/programs/ld-paper.c:212
@@ -2043,12 +2034,12 @@ msgid "%s: incomplete `END' line"
 msgstr "%s:Umurongo"
 
 # sw/source\ui\utlui\initui.src:RID_SW_SHELLRES.STR_CALC_SYNTAX.text
-#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:551
-#: locale/programs/ld-collate.c:603 locale/programs/ld-collate.c:899
-#: locale/programs/ld-collate.c:912 locale/programs/ld-collate.c:2592
-#: locale/programs/ld-collate.c:2613 locale/programs/ld-collate.c:3967
-#: locale/programs/ld-ctype.c:1891 locale/programs/ld-ctype.c:2149
-#: locale/programs/ld-ctype.c:2735 locale/programs/ld-ctype.c:2921
+#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:552
+#: locale/programs/ld-collate.c:604 locale/programs/ld-collate.c:900
+#: locale/programs/ld-collate.c:913 locale/programs/ld-collate.c:2601
+#: locale/programs/ld-collate.c:2622 locale/programs/ld-collate.c:3976
+#: locale/programs/ld-ctype.c:1857 locale/programs/ld-ctype.c:2115
+#: locale/programs/ld-ctype.c:2687 locale/programs/ld-ctype.c:2848
 #: locale/programs/ld-identification.c:375
 #: locale/programs/ld-measurement.c:222 locale/programs/ld-messages.c:305
 #: locale/programs/ld-monetary.c:747 locale/programs/ld-name.c:271
@@ -2058,7 +2049,7 @@ msgstr "%s:Umurongo"
 msgid "%s: syntax error"
 msgstr "%s:Ikosa ry'iyandikanteruro**"
 
-#: locale/programs/ld-collate.c:426
+#: locale/programs/ld-collate.c:427
 #, fuzzy, c-format
 msgid "`%.*s' already defined in charmap"
 msgstr ""
@@ -2071,7 +2062,7 @@ msgstr ""
 "X- Generator: KBabel 1. 0\n"
 "."
 
-#: locale/programs/ld-collate.c:435
+#: locale/programs/ld-collate.c:436
 #, fuzzy, c-format
 msgid "`%.*s' already defined in repertoire"
 msgstr ""
@@ -2084,7 +2075,7 @@ msgstr ""
 "X- Generator: KBabel 1. 0\n"
 "."
 
-#: locale/programs/ld-collate.c:442
+#: locale/programs/ld-collate.c:443
 #, fuzzy, c-format
 msgid "`%.*s' already defined as collating symbol"
 msgstr ""
@@ -2097,7 +2088,7 @@ msgstr ""
 "X- Generator: KBabel 1. 0\n"
 "."
 
-#: locale/programs/ld-collate.c:449
+#: locale/programs/ld-collate.c:450
 #, fuzzy, c-format
 msgid "`%.*s' already defined as collating element"
 msgstr ""
@@ -2110,387 +2101,387 @@ msgstr ""
 "X- Generator: KBabel 1. 0\n"
 "."
 
-#: locale/programs/ld-collate.c:480 locale/programs/ld-collate.c:506
+#: locale/programs/ld-collate.c:481 locale/programs/ld-collate.c:507
 #, fuzzy, c-format
 msgid "%s: `forward' and `backward' are mutually excluding each other"
 msgstr "%s:`Na Ikindi"
 
-#: locale/programs/ld-collate.c:490 locale/programs/ld-collate.c:516
-#: locale/programs/ld-collate.c:532
+#: locale/programs/ld-collate.c:491 locale/programs/ld-collate.c:517
+#: locale/programs/ld-collate.c:533
 #, fuzzy, c-format
 msgid "%s: `%s' mentioned more than once in definition of weight %d"
 msgstr "%s:`%s'Birenzeho Rimwe in Insobanuro Bya Uburemere"
 
-#: locale/programs/ld-collate.c:588
+#: locale/programs/ld-collate.c:589
 #, fuzzy, c-format
 msgid "%s: too many rules; first entry only had %d"
 msgstr "%s:Itangira Icyinjijwe"
 
-#: locale/programs/ld-collate.c:624
+#: locale/programs/ld-collate.c:625
 #, fuzzy, c-format
 msgid "%s: not enough sorting rules"
 msgstr "%s:OYA Ishungura"
 
-#: locale/programs/ld-collate.c:789
+#: locale/programs/ld-collate.c:790
 #, fuzzy, c-format
 msgid "%s: empty weight string not allowed"
 msgstr "%s:ubusa Uburemere Ikurikiranyanyuguti OYA"
 
-#: locale/programs/ld-collate.c:884
+#: locale/programs/ld-collate.c:885
 #, fuzzy, c-format
 msgid "%s: weights must use the same ellipsis symbol as the name"
 msgstr "%s:Gukoresha i IKIMENYETSO Nka i Izina:"
 
-#: locale/programs/ld-collate.c:940
+#: locale/programs/ld-collate.c:941
 #, fuzzy, c-format
 msgid "%s: too many values"
 msgstr "%s:Uduciro"
 
-#: locale/programs/ld-collate.c:1060 locale/programs/ld-collate.c:1235
+#: locale/programs/ld-collate.c:1061 locale/programs/ld-collate.c:1236
 #, fuzzy, c-format
 msgid "order for `%.*s' already defined at %s:%Zu"
 msgstr "Itondekanya kugirango ku"
 
-#: locale/programs/ld-collate.c:1110
+#: locale/programs/ld-collate.c:1111
 #, fuzzy, c-format
 msgid "%s: the start and the end symbol of a range must stand for characters"
 msgstr "%s:i Gutangira Na i Impera IKIMENYETSO Bya a Urutonde kugirango Inyuguti"
 
-#: locale/programs/ld-collate.c:1137
+#: locale/programs/ld-collate.c:1138
 #, fuzzy, c-format
 msgid "%s: byte sequences of first and last character must have the same length"
 msgstr "%s:Bayite Bya Itangira Na Iheruka Inyuguti i Uburebure"
 
-#: locale/programs/ld-collate.c:1179
+#: locale/programs/ld-collate.c:1180
 #, fuzzy, c-format
 msgid "%s: byte sequence of first character of range is not lower than that of the last character"
 msgstr "%s:Bayite Bya Itangira Inyuguti Bya ni OYA Ntoya Bya i Iheruka Inyuguti"
 
-#: locale/programs/ld-collate.c:1304
+#: locale/programs/ld-collate.c:1305
 #, fuzzy, c-format
 msgid "%s: symbolic range ellipsis must not directly follow `order_start'"
 msgstr "%s:Urutonde OYA"
 
-#: locale/programs/ld-collate.c:1308
+#: locale/programs/ld-collate.c:1309
 #, fuzzy, c-format
 msgid "%s: symbolic range ellipsis must not be directly followed by `order_end'"
 msgstr "%s:Urutonde OYA ku"
 
-#: locale/programs/ld-collate.c:1328 locale/programs/ld-ctype.c:1408
+#: locale/programs/ld-collate.c:1329 locale/programs/ld-ctype.c:1374
 #, fuzzy, c-format
 msgid "`%s' and `%.*s' are not valid names for symbolic range"
 msgstr "`%s'Na."
 
-#: locale/programs/ld-collate.c:1378 locale/programs/ld-collate.c:3718
+#: locale/programs/ld-collate.c:1379 locale/programs/ld-collate.c:3727
 #, fuzzy, c-format
 msgid "%s: order for `%.*s' already defined at %s:%Zu"
 msgstr "%s:Itondekanya kugirango ku"
 
-#: locale/programs/ld-collate.c:1387
+#: locale/programs/ld-collate.c:1388
 #, fuzzy, c-format
 msgid "%s: `%s' must be a character"
 msgstr "%s:`%s'a Inyuguti"
 
-#: locale/programs/ld-collate.c:1582
+#: locale/programs/ld-collate.c:1583
 #, fuzzy, c-format
 msgid "%s: `position' must be used for a specific level in all sections or none"
 msgstr "%s:`kugirango a urwego in Byose Ibyatoranyijwe Cyangwa Ntacyo"
 
-#: locale/programs/ld-collate.c:1607
+#: locale/programs/ld-collate.c:1608
 #, fuzzy, c-format
 msgid "symbol `%s' not defined"
 msgstr "IKIMENYETSO OYA"
 
-#: locale/programs/ld-collate.c:1683 locale/programs/ld-collate.c:1789
+#: locale/programs/ld-collate.c:1684 locale/programs/ld-collate.c:1790
 #, fuzzy, c-format
 msgid "symbol `%s' has the same encoding as"
 msgstr "IKIMENYETSO i Imisobekere: Nka"
 
 # officecfg/registry\schema\org\openoffice\Office\Common.xcs:....Font.CharSet..10.text
-#: locale/programs/ld-collate.c:1687 locale/programs/ld-collate.c:1793
+#: locale/programs/ld-collate.c:1688 locale/programs/ld-collate.c:1794
 #, fuzzy, c-format
 msgid "symbol `%s'"
 msgstr "IKIMENYETSO"
 
-#: locale/programs/ld-collate.c:1833
+#: locale/programs/ld-collate.c:1834
 #, fuzzy, c-format
 msgid "no definition of `UNDEFINED'"
 msgstr "Oya Insobanuro Bya"
 
-#: locale/programs/ld-collate.c:1862
+#: locale/programs/ld-collate.c:1863
 #, fuzzy, c-format
 msgid "too many errors; giving up"
 msgstr "Amakosa Hejuru"
 
-#: locale/programs/ld-collate.c:2518 locale/programs/ld-collate.c:3906
+#: locale/programs/ld-collate.c:2527 locale/programs/ld-collate.c:3915
 #, fuzzy, c-format
 msgid "%s: nested conditionals not supported"
 msgstr "OYA"
 
-#: locale/programs/ld-collate.c:2536
+#: locale/programs/ld-collate.c:2545
 #, fuzzy, c-format
 msgid "%s: more than one 'else'"
 msgstr "%s:L Ihitamo"
 
-#: locale/programs/ld-collate.c:2711
+#: locale/programs/ld-collate.c:2720
 #, fuzzy, c-format
 msgid "%s: duplicate definition of `%s'"
 msgstr "%s:Gusubiramo Insobanuro Bya"
 
-#: locale/programs/ld-collate.c:2747
+#: locale/programs/ld-collate.c:2756
 #, fuzzy, c-format
 msgid "%s: duplicate declaration of section `%s'"
 msgstr "%s:Gusubiramo Bya Icyiciro"
 
-#: locale/programs/ld-collate.c:2883
+#: locale/programs/ld-collate.c:2892
 #, fuzzy, c-format
 msgid "%s: unknown character in collating symbol name"
 msgstr "%s:Kitazwi Inyuguti in IKIMENYETSO Izina:"
 
-#: locale/programs/ld-collate.c:3012
+#: locale/programs/ld-collate.c:3021
 #, fuzzy, c-format
 msgid "%s: unknown character in equivalent definition name"
 msgstr "%s:Kitazwi Inyuguti in Insobanuro Izina:"
 
-#: locale/programs/ld-collate.c:3023
+#: locale/programs/ld-collate.c:3032
 #, fuzzy, c-format
 msgid "%s: unknown character in equivalent definition value"
 msgstr "%s:Kitazwi Inyuguti in Insobanuro Agaciro"
 
-#: locale/programs/ld-collate.c:3033
+#: locale/programs/ld-collate.c:3042
 #, fuzzy, c-format
 msgid "%s: unknown symbol `%s' in equivalent definition"
 msgstr "%s:Kitazwi IKIMENYETSO in Insobanuro"
 
-#: locale/programs/ld-collate.c:3042
+#: locale/programs/ld-collate.c:3051
 #, fuzzy
 msgid "error while adding equivalent collating symbol"
 msgstr "Ikosa Wongera IKIMENYETSO"
 
-#: locale/programs/ld-collate.c:3080
+#: locale/programs/ld-collate.c:3089
 #, fuzzy, c-format
 msgid "duplicate definition of script `%s'"
 msgstr "Gusubiramo Insobanuro Bya IYANDIKA"
 
-#: locale/programs/ld-collate.c:3128
+#: locale/programs/ld-collate.c:3137
 #, fuzzy, c-format
 msgid "%s: unknown section name `%.*s'"
 msgstr "%s:Kitazwi Icyiciro Izina:"
 
-#: locale/programs/ld-collate.c:3157
+#: locale/programs/ld-collate.c:3166
 #, fuzzy, c-format
 msgid "%s: multiple order definitions for section `%s'"
 msgstr "%s:Igikubo Itondekanya kugirango Icyiciro"
 
-#: locale/programs/ld-collate.c:3185
+#: locale/programs/ld-collate.c:3194
 #, fuzzy, c-format
 msgid "%s: invalid number of sorting rules"
 msgstr "%s:Sibyo Umubare Bya Ishungura"
 
-#: locale/programs/ld-collate.c:3212
+#: locale/programs/ld-collate.c:3221
 #, fuzzy, c-format
 msgid "%s: multiple order definitions for unnamed section"
 msgstr "%s:Igikubo Itondekanya kugirango Kitiswe Icyiciro"
 
-#: locale/programs/ld-collate.c:3267 locale/programs/ld-collate.c:3397
-#: locale/programs/ld-collate.c:3760
+#: locale/programs/ld-collate.c:3276 locale/programs/ld-collate.c:3406
+#: locale/programs/ld-collate.c:3769
 #, fuzzy, c-format
 msgid "%s: missing `order_end' keyword"
 msgstr "%s:Ibuze Ijambo- banze"
 
-#: locale/programs/ld-collate.c:3330
+#: locale/programs/ld-collate.c:3339
 #, fuzzy, c-format
 msgid "%s: order for collating symbol %.*s not yet defined"
 msgstr "%s:Itondekanya kugirango IKIMENYETSO S OYA"
 
-#: locale/programs/ld-collate.c:3348
+#: locale/programs/ld-collate.c:3357
 #, fuzzy, c-format
 msgid "%s: order for collating element %.*s not yet defined"
 msgstr "%s:Itondekanya kugirango Ikigize: S OYA"
 
-#: locale/programs/ld-collate.c:3359
+#: locale/programs/ld-collate.c:3368
 #, fuzzy, c-format
 msgid "%s: cannot reorder after %.*s: symbol not known"
 msgstr "%s:Kwongera gupanga Nyuma S IKIMENYETSO OYA"
 
-#: locale/programs/ld-collate.c:3411 locale/programs/ld-collate.c:3772
+#: locale/programs/ld-collate.c:3420 locale/programs/ld-collate.c:3781
 #, fuzzy, c-format
 msgid "%s: missing `reorder-end' keyword"
 msgstr "%s:Ibuze Kwongera gupanga Ijambo- banze"
 
-#: locale/programs/ld-collate.c:3445 locale/programs/ld-collate.c:3643
+#: locale/programs/ld-collate.c:3454 locale/programs/ld-collate.c:3652
 #, fuzzy, c-format
 msgid "%s: section `%.*s' not known"
 msgstr "%s:Icyiciro."
 
-#: locale/programs/ld-collate.c:3510
+#: locale/programs/ld-collate.c:3519
 #, fuzzy, c-format
 msgid "%s: bad symbol <%.*s>"
 msgstr "%s:IKIMENYETSO S"
 
-#: locale/programs/ld-collate.c:3706
+#: locale/programs/ld-collate.c:3715
 #, fuzzy, c-format
 msgid "%s: cannot have `%s' as end of ellipsis range"
 msgstr "%s:Nka Impera Bya Urutonde"
 
-#: locale/programs/ld-collate.c:3756
+#: locale/programs/ld-collate.c:3765
 #, fuzzy, c-format
 msgid "%s: empty category description not allowed"
 msgstr "%s:ubusa Icyiciro Isobanuramiterere OYA"
 
-#: locale/programs/ld-collate.c:3775
+#: locale/programs/ld-collate.c:3784
 #, fuzzy, c-format
 msgid "%s: missing `reorder-sections-end' keyword"
 msgstr "%s:Ibuze Kwongera gupanga Ibyatoranyijwe Ijambo- banze"
 
-#: locale/programs/ld-collate.c:3939
+#: locale/programs/ld-collate.c:3948
 #, c-format
 msgid "%s: '%s' without matching 'ifdef' or 'ifndef'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3957
+#: locale/programs/ld-collate.c:3966
 #, c-format
 msgid "%s: 'endif' without matching 'ifdef' or 'ifndef'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:484
+#: locale/programs/ld-ctype.c:450
 #, fuzzy, c-format
 msgid "No character set name specified in charmap"
 msgstr "Inyuguti Gushyiraho Izina: in"
 
-#: locale/programs/ld-ctype.c:513
+#: locale/programs/ld-ctype.c:479
 #, fuzzy, c-format
 msgid "character L'\\u%0*x' in class `%s' must be in class `%s'"
 msgstr "Inyuguti in ishuri in ishuri"
 
-#: locale/programs/ld-ctype.c:528
+#: locale/programs/ld-ctype.c:494
 #, fuzzy, c-format
 msgid "character L'\\u%0*x' in class `%s' must not be in class `%s'"
 msgstr "Inyuguti in ishuri OYA in ishuri"
 
-#: locale/programs/ld-ctype.c:542 locale/programs/ld-ctype.c:600
+#: locale/programs/ld-ctype.c:508 locale/programs/ld-ctype.c:566
 #, fuzzy, c-format
 msgid "internal error in %s, line %u"
 msgstr "By'imbere Ikosa in Umurongo"
 
-#: locale/programs/ld-ctype.c:571
+#: locale/programs/ld-ctype.c:537
 #, fuzzy, c-format
 msgid "character '%s' in class `%s' must be in class `%s'"
 msgstr "Inyuguti in ishuri in ishuri"
 
-#: locale/programs/ld-ctype.c:587
+#: locale/programs/ld-ctype.c:553
 #, fuzzy, c-format
 msgid "character '%s' in class `%s' must not be in class `%s'"
 msgstr "Inyuguti in ishuri OYA in ishuri"
 
-#: locale/programs/ld-ctype.c:617 locale/programs/ld-ctype.c:655
+#: locale/programs/ld-ctype.c:583 locale/programs/ld-ctype.c:621
 #, fuzzy, c-format
 msgid "<SP> character not in class `%s'"
 msgstr "<Inyuguti OYA in ishuri"
 
-#: locale/programs/ld-ctype.c:629 locale/programs/ld-ctype.c:666
+#: locale/programs/ld-ctype.c:595 locale/programs/ld-ctype.c:632
 #, fuzzy, c-format
 msgid "<SP> character must not be in class `%s'"
 msgstr "<Inyuguti OYA in ishuri"
 
-#: locale/programs/ld-ctype.c:644
+#: locale/programs/ld-ctype.c:610
 #, fuzzy, c-format
 msgid "character <SP> not defined in character map"
 msgstr "Inyuguti OYA in Inyuguti"
 
-#: locale/programs/ld-ctype.c:780
+#: locale/programs/ld-ctype.c:746
 #, fuzzy, c-format
 msgid "`digit' category has not entries in groups of ten"
 msgstr "`Icyiciro OYA Ibyinjijwe in Amatsinda Bya"
 
-#: locale/programs/ld-ctype.c:829
+#: locale/programs/ld-ctype.c:795
 #, fuzzy, c-format
 msgid "no input digits defined and none of the standard names in the charmap"
 msgstr "Oya Iyinjiza Na Ntacyo Bya i Bisanzwe Amazina in i"
 
-#: locale/programs/ld-ctype.c:894
+#: locale/programs/ld-ctype.c:860
 #, fuzzy, c-format
 msgid "not all characters used in `outdigit' are available in the charmap"
 msgstr "OYA Byose Inyuguti in Bihari in i"
 
-#: locale/programs/ld-ctype.c:911
+#: locale/programs/ld-ctype.c:877
 #, fuzzy, c-format
 msgid "not all characters used in `outdigit' are available in the repertoire"
 msgstr "OYA Byose Inyuguti in Bihari in i"
 
-#: locale/programs/ld-ctype.c:1176
+#: locale/programs/ld-ctype.c:1142
 #, fuzzy, c-format
 msgid "character class `%s' already defined"
 msgstr "Inyuguti ishuri"
 
-#: locale/programs/ld-ctype.c:1182
+#: locale/programs/ld-ctype.c:1148
 #, fuzzy, c-format
 msgid "implementation limit: no more than %Zd character classes allowed"
 msgstr "Oya Birenzeho Inyuguti Inzego"
 
-#: locale/programs/ld-ctype.c:1208
+#: locale/programs/ld-ctype.c:1174
 #, fuzzy, c-format
 msgid "character map `%s' already defined"
 msgstr "Inyuguti"
 
-#: locale/programs/ld-ctype.c:1214
+#: locale/programs/ld-ctype.c:1180
 #, fuzzy, c-format
 msgid "implementation limit: no more than %d character maps allowed"
 msgstr "Oya Birenzeho Inyuguti Amakarita"
 
-#: locale/programs/ld-ctype.c:1479 locale/programs/ld-ctype.c:1604
-#: locale/programs/ld-ctype.c:1710 locale/programs/ld-ctype.c:2400
-#: locale/programs/ld-ctype.c:3397
+#: locale/programs/ld-ctype.c:1445 locale/programs/ld-ctype.c:1570
+#: locale/programs/ld-ctype.c:1676 locale/programs/ld-ctype.c:2352
+#: locale/programs/ld-ctype.c:3324
 #, fuzzy, c-format
 msgid "%s: field `%s' does not contain exactly ten entries"
 msgstr "%s:Umwanya OYA Ibyinjijwe"
 
-#: locale/programs/ld-ctype.c:1507 locale/programs/ld-ctype.c:2081
+#: locale/programs/ld-ctype.c:1473 locale/programs/ld-ctype.c:2047
 #, fuzzy, c-format
 msgid "to-value <U%0*X> of range is smaller than from-value <U%0*X>"
 msgstr "Kuri Agaciro U Bya Urutonde ni Gitoya Bivuye Agaciro U"
 
-#: locale/programs/ld-ctype.c:1634
+#: locale/programs/ld-ctype.c:1600
 #, fuzzy
 msgid "start and end character sequence of range must have the same length"
 msgstr "Gutangira Na Impera Inyuguti Bya Urutonde i Uburebure"
 
-#: locale/programs/ld-ctype.c:1641
+#: locale/programs/ld-ctype.c:1607
 #, fuzzy
 msgid "to-value character sequence is smaller than from-value sequence"
 msgstr "Kuri Agaciro Inyuguti ni Gitoya Bivuye Agaciro"
 
-#: locale/programs/ld-ctype.c:2001 locale/programs/ld-ctype.c:2052
+#: locale/programs/ld-ctype.c:1967 locale/programs/ld-ctype.c:2018
 #, fuzzy
 msgid "premature end of `translit_ignore' definition"
 msgstr "Impera Bya Insobanuro"
 
-#: locale/programs/ld-ctype.c:2007 locale/programs/ld-ctype.c:2058
-#: locale/programs/ld-ctype.c:2100
+#: locale/programs/ld-ctype.c:1973 locale/programs/ld-ctype.c:2024
+#: locale/programs/ld-ctype.c:2066
 msgid "syntax error"
 msgstr "Ikosa mu myandikire"
 
-#: locale/programs/ld-ctype.c:2233
+#: locale/programs/ld-ctype.c:2199
 #, fuzzy, c-format
 msgid "%s: syntax error in definition of new character class"
 msgstr "%s:Ikosa in Insobanuro Bya Gishya Inyuguti ishuri"
 
-#: locale/programs/ld-ctype.c:2248
+#: locale/programs/ld-ctype.c:2214
 #, fuzzy, c-format
 msgid "%s: syntax error in definition of new character map"
 msgstr "%s:Ikosa in Insobanuro Bya Gishya Inyuguti"
 
-#: locale/programs/ld-ctype.c:2422
+#: locale/programs/ld-ctype.c:2374
 #, fuzzy
 msgid "ellipsis range must be marked by two operands of same type"
 msgstr "Urutonde cy/ byagarajwe ku Bya Ubwoko"
 
-#: locale/programs/ld-ctype.c:2431
+#: locale/programs/ld-ctype.c:2383
 #, fuzzy
 msgid "with symbolic name range values the absolute ellipsis `...' must not be used"
 msgstr "Na: Izina: Urutonde Uduciro i OYA"
 
-#: locale/programs/ld-ctype.c:2446
+#: locale/programs/ld-ctype.c:2398
 #, fuzzy
 msgid "with UCS range values one must use the hexadecimal symbolic ellipsis `..'"
 msgstr ""
@@ -2503,81 +2494,81 @@ msgstr ""
 "X- Generator: KBabel 1. 0\n"
 "."
 
-#: locale/programs/ld-ctype.c:2460
+#: locale/programs/ld-ctype.c:2412
 #, fuzzy
 msgid "with character code range values one must use the absolute ellipsis `...'"
 msgstr "Na: Inyuguti ITEGEKONGENGA Urutonde Uduciro Gukoresha i"
 
-#: locale/programs/ld-ctype.c:2611
+#: locale/programs/ld-ctype.c:2563
 #, fuzzy, c-format
 msgid "duplicated definition for mapping `%s'"
 msgstr "Insobanuro kugirango Igereranya"
 
-#: locale/programs/ld-ctype.c:2697 locale/programs/ld-ctype.c:2841
+#: locale/programs/ld-ctype.c:2649 locale/programs/ld-ctype.c:2793
 #, fuzzy, c-format
 msgid "%s: `translit_start' section does not end with `translit_end'"
 msgstr "%s:`Icyiciro OYA Impera Na:"
 
-#: locale/programs/ld-ctype.c:2792
+#: locale/programs/ld-ctype.c:2744
 #, fuzzy, c-format
 msgid "%s: duplicate `default_missing' definition"
 msgstr "%s:Gusubiramo Insobanuro"
 
-#: locale/programs/ld-ctype.c:2797
+#: locale/programs/ld-ctype.c:2749
 #, fuzzy
 msgid "previous definition was here"
 msgstr "Ibanjirije Insobanuro"
 
-#: locale/programs/ld-ctype.c:2819
+#: locale/programs/ld-ctype.c:2771
 #, fuzzy, c-format
 msgid "%s: no representable `default_missing' definition found"
 msgstr "%s:Oya Insobanuro Byabonetse"
 
-#: locale/programs/ld-ctype.c:2962 locale/programs/ld-ctype.c:3059
-#: locale/programs/ld-ctype.c:3079 locale/programs/ld-ctype.c:3100
-#: locale/programs/ld-ctype.c:3121 locale/programs/ld-ctype.c:3142
-#: locale/programs/ld-ctype.c:3163 locale/programs/ld-ctype.c:3203
-#: locale/programs/ld-ctype.c:3224 locale/programs/ld-ctype.c:3289
-#: locale/programs/ld-ctype.c:3331 locale/programs/ld-ctype.c:3356
+#: locale/programs/ld-ctype.c:2889 locale/programs/ld-ctype.c:2986
+#: locale/programs/ld-ctype.c:3006 locale/programs/ld-ctype.c:3027
+#: locale/programs/ld-ctype.c:3048 locale/programs/ld-ctype.c:3069
+#: locale/programs/ld-ctype.c:3090 locale/programs/ld-ctype.c:3130
+#: locale/programs/ld-ctype.c:3151 locale/programs/ld-ctype.c:3216
+#: locale/programs/ld-ctype.c:3258 locale/programs/ld-ctype.c:3283
 #, fuzzy, c-format
 msgid "%s: character `%s' not defined while needed as default value"
 msgstr "%s:Inyuguti OYA Nka Mburabuzi Agaciro"
 
-#: locale/programs/ld-ctype.c:2967 locale/programs/ld-ctype.c:3064
-#: locale/programs/ld-ctype.c:3084 locale/programs/ld-ctype.c:3105
-#: locale/programs/ld-ctype.c:3126 locale/programs/ld-ctype.c:3147
-#: locale/programs/ld-ctype.c:3168 locale/programs/ld-ctype.c:3208
-#: locale/programs/ld-ctype.c:3229 locale/programs/ld-ctype.c:3294
+#: locale/programs/ld-ctype.c:2894 locale/programs/ld-ctype.c:2991
+#: locale/programs/ld-ctype.c:3011 locale/programs/ld-ctype.c:3032
+#: locale/programs/ld-ctype.c:3053 locale/programs/ld-ctype.c:3074
+#: locale/programs/ld-ctype.c:3095 locale/programs/ld-ctype.c:3135
+#: locale/programs/ld-ctype.c:3156 locale/programs/ld-ctype.c:3221
 #, fuzzy, c-format
 msgid "%s: character `%s' in charmap not representable with one byte"
 msgstr "%s:Inyuguti in OYA Na: Bayite"
 
-#: locale/programs/ld-ctype.c:3338 locale/programs/ld-ctype.c:3363
+#: locale/programs/ld-ctype.c:3265 locale/programs/ld-ctype.c:3290
 #, fuzzy, c-format
 msgid "%s: character `%s' needed as default value not representable with one byte"
 msgstr "%s:Inyuguti Nka Mburabuzi Agaciro OYA Na: Bayite"
 
-#: locale/programs/ld-ctype.c:3419
+#: locale/programs/ld-ctype.c:3346
 #, fuzzy, c-format
 msgid "no output digits defined and none of the standard names in the charmap"
 msgstr "Oya Ibisohoka Na Ntacyo Bya i Bisanzwe Amazina in i"
 
-#: locale/programs/ld-ctype.c:3668
+#: locale/programs/ld-ctype.c:3595
 #, fuzzy, c-format
 msgid "%s: transliteration data from locale `%s' not available"
 msgstr "%s:Ibyatanzwe Bivuye Umwanya OYA Bihari"
 
-#: locale/programs/ld-ctype.c:3768
+#: locale/programs/ld-ctype.c:3695
 #, fuzzy, c-format
 msgid "%s: table for class \"%s\": %lu bytes\n"
 msgstr "%s:imbonerahamwe# kugirango ishuri"
 
-#: locale/programs/ld-ctype.c:3833
+#: locale/programs/ld-ctype.c:3760
 #, fuzzy, c-format
 msgid "%s: table for map \"%s\": %lu bytes\n"
 msgstr "%s:imbonerahamwe# kugirango"
 
-#: locale/programs/ld-ctype.c:3958
+#: locale/programs/ld-ctype.c:3885
 #, fuzzy, c-format
 msgid "%s: table for width: %lu bytes\n"
 msgstr "%s:imbonerahamwe# kugirango Ubugari"
@@ -4111,17 +4102,22 @@ msgstr ""
 msgid " (first)"
 msgstr ""
 
-#: nscd/cache.c:285 nscd/connections.c:1000
+#: nscd/cache.c:288
 #, fuzzy, c-format
-msgid "cannot stat() file `%s': %s"
+msgid "checking for monitored file `%s': %s"
 msgstr "IDOSIYE"
 
-#: nscd/cache.c:331
+#: nscd/cache.c:298
+#, c-format
+msgid "monitored file `%s` changed (mtime)"
+msgstr ""
+
+#: nscd/cache.c:341
 #, c-format
 msgid "pruning %s cache; time %ld"
 msgstr ""
 
-#: nscd/cache.c:360
+#: nscd/cache.c:370
 #, c-format
 msgid "considering %s entry \"%s\", timeout %<PRIu64>"
 msgstr ""
@@ -4210,157 +4206,218 @@ msgstr "Gushoboza Kuri Kwemera Ukwihuza"
 msgid "cannot enable socket to accept connections: %s"
 msgstr "Gushoboza Kuri Kwemera Ukwihuza"
 
-#: nscd/connections.c:984
+#: nscd/connections.c:973
+#, c-format
+msgid "disabled inotify-based monitoring for file `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:977
+#, c-format
+msgid "monitoring file `%s` (%d)"
+msgstr ""
+
+#: nscd/connections.c:990
+#, c-format
+msgid "disabled inotify-based monitoring for directory `%s': %s"
+msgstr ""
+
+# svtools/source\dialogs\filedlg2.src:STR_FILEDLG_CANTOPENDIR.text
+#: nscd/connections.c:994
+#, fuzzy, c-format
+msgid "monitoring directory `%s` (%d)"
+msgstr "Gufungura ububiko ntibishoboka"
+
+#: nscd/connections.c:1022
 #, c-format
-msgid "register trace file %s for database %s"
+msgid "monitoring file %s for database %s"
 msgstr ""
 
-#: nscd/connections.c:1114
+#: nscd/connections.c:1032
+#, c-format
+msgid "stat failed for file `%s'; will try again later: %s"
+msgstr ""
+
+#: nscd/connections.c:1151
 #, c-format
 msgid "provide access to FD %d, for %s"
 msgstr ""
 
-#: nscd/connections.c:1126
+#: nscd/connections.c:1163
 #, fuzzy, c-format
 msgid "cannot handle old request version %d; current version is %d"
 msgstr "ki/ bishaje Kubaza... Verisiyo KIGEZWEHO Verisiyo ni"
 
-#: nscd/connections.c:1148
+#: nscd/connections.c:1185
 #, c-format
 msgid "request from %ld not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1153
+#: nscd/connections.c:1190
 #, c-format
 msgid "request from '%s' [%ld] not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1158
+#: nscd/connections.c:1195
 msgid "request not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1196 nscd/connections.c:1249
+#: nscd/connections.c:1233 nscd/connections.c:1286
 #, fuzzy, c-format
 msgid "cannot write result: %s"
 msgstr "Kwandika Igisubizo"
 
-#: nscd/connections.c:1340
+#: nscd/connections.c:1377
 #, fuzzy, c-format
 msgid "error getting caller's id: %s"
 msgstr "Ikosa ID"
 
-#: nscd/connections.c:1400
+#: nscd/connections.c:1437
 #, c-format
 msgid "cannot open /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1414
+#: nscd/connections.c:1451
 #, c-format
 msgid "cannot read /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1454
+#: nscd/connections.c:1491
 #, c-format
 msgid "cannot change to old UID: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1464
+#: nscd/connections.c:1501
 #, c-format
 msgid "cannot change to old GID: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1477
+#: nscd/connections.c:1514
 #, c-format
 msgid "cannot change to old working directory: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1523
+#: nscd/connections.c:1560
 #, c-format
 msgid "re-exec failed: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1532
+#: nscd/connections.c:1569
 #, c-format
 msgid "cannot change current working directory to \"/\": %s"
 msgstr ""
 
-#: nscd/connections.c:1725
+#: nscd/connections.c:1762
 #, fuzzy, c-format
 msgid "short read while reading request: %s"
 msgstr "Gusoma Kubaza..."
 
-#: nscd/connections.c:1758
+#: nscd/connections.c:1795
 #, fuzzy, c-format
 msgid "key length in request too long: %d"
 msgstr "Urufunguzo Uburebure in Kubaza..."
 
-#: nscd/connections.c:1771
+#: nscd/connections.c:1808
 #, fuzzy, c-format
 msgid "short read while reading request key: %s"
 msgstr "Gusoma Kubaza... Urufunguzo"
 
-#: nscd/connections.c:1781
+#: nscd/connections.c:1818
 #, fuzzy, c-format
 msgid "handle_request: request received (Version = %d) from PID %ld"
 msgstr "Kubaza... BYAKIRIWE"
 
-#: nscd/connections.c:1786
+#: nscd/connections.c:1823
 #, fuzzy, c-format
 msgid "handle_request: request received (Version = %d)"
 msgstr "Kubaza... BYAKIRIWE"
 
-#: nscd/connections.c:2050 nscd/connections.c:2252
+#: nscd/connections.c:1963
+#, c-format
+msgid "ignored inotify event for `%s` (file exists)"
+msgstr ""
+
+#: nscd/connections.c:1968
+#, c-format
+msgid "monitored file `%s` was %s, removing watch"
+msgstr ""
+
+#: nscd/connections.c:1976 nscd/connections.c:2018
+#, c-format
+msgid "failed to remove file watch `%s`: %s"
+msgstr ""
+
+#: nscd/connections.c:1991
+#, c-format
+msgid "monitored file `%s` was written to"
+msgstr ""
+
+#: nscd/connections.c:2015
+#, c-format
+msgid "monitored parent directory `%s` was %s, removing watch on `%s`"
+msgstr ""
+
+#: nscd/connections.c:2041
 #, c-format
-msgid "disabled inotify after read error %d"
+msgid "monitored file `%s` was %s, adding watch"
 msgstr ""
 
-#: nscd/connections.c:2375
+#: nscd/connections.c:2053
+#, fuzzy, c-format
+msgid "failed to add file watch `%s`: %s"
+msgstr "Byanze Kuri Ibirimo Igikoresho"
+
+#: nscd/connections.c:2247 nscd/connections.c:2428
+#, c-format
+msgid "disabled inotify-based monitoring after read error %d"
+msgstr ""
+
+#: nscd/connections.c:2543
 #, fuzzy
 msgid "could not initialize conditional variable"
 msgstr "gutangiza IDOSIYE"
 
-#: nscd/connections.c:2383
+#: nscd/connections.c:2551
 msgid "could not start clean-up thread; terminating"
 msgstr ""
 
-#: nscd/connections.c:2397
+#: nscd/connections.c:2565
 msgid "could not start any worker thread; terminating"
 msgstr ""
 
-#: nscd/connections.c:2452 nscd/connections.c:2454 nscd/connections.c:2470
-#: nscd/connections.c:2480 nscd/connections.c:2498 nscd/connections.c:2509
-#: nscd/connections.c:2519
+#: nscd/connections.c:2620 nscd/connections.c:2622 nscd/connections.c:2638
+#: nscd/connections.c:2648 nscd/connections.c:2666 nscd/connections.c:2677
+#: nscd/connections.c:2687
 #, fuzzy, c-format
 msgid "Failed to run nscd as user '%s'"
 msgstr "Kuri Gukoresha Nka Ukoresha:"
 
-#: nscd/connections.c:2472
+#: nscd/connections.c:2640
 #, fuzzy
 msgid "initial getgrouplist failed"
 msgstr "Byanze"
 
-#: nscd/connections.c:2481
+#: nscd/connections.c:2649
 #, fuzzy
 msgid "getgrouplist failed"
 msgstr "Byanze"
 
-#: nscd/connections.c:2499
+#: nscd/connections.c:2667
 #, fuzzy
 msgid "setgroups failed"
 msgstr "Byanze"
 
-#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:410
+#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:411
 #: nscd/pwdcache.c:383 nscd/servicescache.c:338
 #, fuzzy, c-format
 msgid "short write in %s: %s"
 msgstr "Kwandika in"
 
-#: nscd/grpcache.c:450 nscd/initgrcache.c:77
+#: nscd/grpcache.c:450 nscd/initgrcache.c:78
 #, fuzzy, c-format
 msgid "Haven't found \"%s\" in group cache!"
 msgstr "Byabonetse in Itsinda Ubwihisho"
 
-#: nscd/grpcache.c:452 nscd/initgrcache.c:79
+#: nscd/grpcache.c:452 nscd/initgrcache.c:80
 #, fuzzy, c-format
 msgid "Reloading \"%s\" in group cache!"
 msgstr "Byabonetse in Itsinda Ubwihisho"
@@ -4458,7 +4515,7 @@ msgstr "Ubwihisho kugirango Ukoresha:"
 msgid "Name Service Cache Daemon."
 msgstr ""
 
-#: nscd/nscd.c:155 nss/getent.c:1003 nss/makedb.c:206
+#: nscd/nscd.c:155 nss/getent.c:1007 nss/makedb.c:206
 #, fuzzy, c-format
 msgid "wrong number of arguments"
 msgstr "Umubare Bya ingingo"
@@ -4492,7 +4549,7 @@ msgstr ""
 msgid "Could not create log file"
 msgstr "OYA Kurema LOG IDOSIYE"
 
-#: nscd/nscd.c:355 nscd/nscd_stat.c:192
+#: nscd/nscd.c:355 nscd/nscd_stat.c:194
 #, fuzzy, c-format
 msgid "write incomplete"
 msgstr "Kwandika"
@@ -4507,7 +4564,7 @@ msgstr "Gusoma IDOSIYE Ibyatanzwe"
 msgid "invalidation failed"
 msgstr "Byanze"
 
-#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:173
+#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:175
 #, fuzzy, c-format
 msgid "Only root is allowed to use this option!"
 msgstr "Imizi ni Kuri Gukoresha iyi Ihitamo"
@@ -4587,35 +4644,35 @@ msgstr ""
 msgid "maximum file size for %s database too small"
 msgstr ""
 
-#: nscd/nscd_stat.c:142
+#: nscd/nscd_stat.c:144
 #, fuzzy, c-format
 msgid "cannot write statistics: %s"
 msgstr "Kwandika Sitatisitiki"
 
-#: nscd/nscd_stat.c:157
+#: nscd/nscd_stat.c:159
 msgid "yes"
 msgstr ""
 
-#: nscd/nscd_stat.c:158
+#: nscd/nscd_stat.c:160
 msgid "no"
 msgstr ""
 
-#: nscd/nscd_stat.c:169
+#: nscd/nscd_stat.c:171
 #, fuzzy, c-format
 msgid "Only root or %s is allowed to use this option!"
 msgstr "Imizi ni Kuri Gukoresha iyi Ihitamo"
 
-#: nscd/nscd_stat.c:180
+#: nscd/nscd_stat.c:182
 #, fuzzy, c-format
 msgid "nscd not running!\n"
 msgstr "OYA"
 
-#: nscd/nscd_stat.c:204
+#: nscd/nscd_stat.c:206
 #, fuzzy, c-format
 msgid "cannot read statistics data"
 msgstr "Gusoma Sitatisitiki Ibyatanzwe"
 
-#: nscd/nscd_stat.c:207
+#: nscd/nscd_stat.c:209
 #, fuzzy, c-format
 msgid ""
 "nscd configuration:\n"
@@ -4623,27 +4680,27 @@ msgid ""
 "%15d  server debug level\n"
 msgstr "Iboneza Seriveri Kosora amakosa"
 
-#: nscd/nscd_stat.c:231
+#: nscd/nscd_stat.c:233
 #, c-format
 msgid "%3ud %2uh %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:234
+#: nscd/nscd_stat.c:236
 #, c-format
 msgid "    %2uh %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:236
+#: nscd/nscd_stat.c:238
 #, c-format
 msgid "        %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:238
+#: nscd/nscd_stat.c:240
 #, c-format
 msgid "            %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:240
+#: nscd/nscd_stat.c:242
 #, c-format
 msgid ""
 "%15d  current number of threads\n"
@@ -4654,7 +4711,7 @@ msgid ""
 "%15u  reload count\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:275
+#: nscd/nscd_stat.c:277
 #, fuzzy, c-format
 msgid ""
 "\n"
@@ -4697,90 +4754,90 @@ msgstr "Byabonetse in Ijambobanga... Ubwihisho"
 msgid "Invalid numeric uid \"%s\"!"
 msgstr "Bikurikije umubare UID"
 
-#: nscd/selinux.c:155
+#: nscd/selinux.c:154
 #, c-format
 msgid "Failed opening connection to the audit subsystem: %m"
 msgstr ""
 
-#: nscd/selinux.c:176
+#: nscd/selinux.c:175
 msgid "Failed to set keep-capabilities"
 msgstr ""
 
-#: nscd/selinux.c:177 nscd/selinux.c:240
+#: nscd/selinux.c:176 nscd/selinux.c:239
 msgid "prctl(KEEPCAPS) failed"
 msgstr ""
 
-#: nscd/selinux.c:191
+#: nscd/selinux.c:190
 msgid "Failed to initialize drop of capabilities"
 msgstr ""
 
-#: nscd/selinux.c:192
+#: nscd/selinux.c:191
 #, fuzzy
 msgid "cap_init failed"
 msgstr "Byanze"
 
-#: nscd/selinux.c:213 nscd/selinux.c:230
+#: nscd/selinux.c:212 nscd/selinux.c:229
 msgid "Failed to drop capabilities"
 msgstr ""
 
-#: nscd/selinux.c:214 nscd/selinux.c:231
+#: nscd/selinux.c:213 nscd/selinux.c:230
 #, fuzzy
 msgid "cap_set_proc failed"
 msgstr "Byanze"
 
-#: nscd/selinux.c:239
+#: nscd/selinux.c:238
 msgid "Failed to unset keep-capabilities"
 msgstr ""
 
-#: nscd/selinux.c:255
+#: nscd/selinux.c:254
 msgid "Failed to determine if kernel supports SELinux"
 msgstr ""
 
-#: nscd/selinux.c:270
+#: nscd/selinux.c:269
 msgid "Failed to start AVC thread"
 msgstr ""
 
-#: nscd/selinux.c:292
+#: nscd/selinux.c:291
 #, fuzzy
 msgid "Failed to create AVC lock"
 msgstr "Kuri Kurema"
 
-#: nscd/selinux.c:332
+#: nscd/selinux.c:331
 msgid "Failed to start AVC"
 msgstr ""
 
-#: nscd/selinux.c:334
+#: nscd/selinux.c:333
 msgid "Access Vector Cache (AVC) started"
 msgstr ""
 
-#: nscd/selinux.c:369
+#: nscd/selinux.c:368
 msgid "Error querying policy for undefined object classes or permissions."
 msgstr ""
 
-#: nscd/selinux.c:376
+#: nscd/selinux.c:375
 msgid "Error getting security class for nscd."
 msgstr ""
 
-#: nscd/selinux.c:381
+#: nscd/selinux.c:380
 #, c-format
 msgid "Error translating permission name \"%s\" to access vector bit."
 msgstr ""
 
-#: nscd/selinux.c:391
+#: nscd/selinux.c:390
 msgid "Error getting context of socket peer"
 msgstr ""
 
-#: nscd/selinux.c:396
+#: nscd/selinux.c:395
 #, fuzzy
 msgid "Error getting context of nscd"
 msgstr "Ikosa ID"
 
-#: nscd/selinux.c:402
+#: nscd/selinux.c:401
 #, fuzzy
 msgid "Error getting sid from context"
 msgstr "Bisanzwe Ibisohoka"
 
-#: nscd/selinux.c:440
+#: nscd/selinux.c:439
 #, c-format
 msgid ""
 "\n"
@@ -4834,17 +4891,17 @@ msgstr "Kubona Ibyinjijwe Bivuye Ububikoshingiro"
 msgid "Enumeration not supported on %s\n"
 msgstr "OYA ku"
 
-#: nss/getent.c:917
+#: nss/getent.c:921
 #, fuzzy, c-format
 msgid "Unknown database name"
 msgstr "Ububikoshingiro"
 
-#: nss/getent.c:947
+#: nss/getent.c:951
 #, fuzzy
 msgid "Supported databases:\n"
 msgstr "Ububikoshingiro"
 
-#: nss/getent.c:1013
+#: nss/getent.c:1017
 #, fuzzy, c-format
 msgid "Unknown database: %s\n"
 msgstr "Ububikoshingiro"
@@ -5129,7 +5186,7 @@ msgstr "Cyangwa"
 msgid "No previous regular expression"
 msgstr "Ibanjirije Ibisanzwe imvugo"
 
-#: posix/wordexp.c:1844
+#: posix/wordexp.c:1851
 #, fuzzy
 msgid "parameter null or not set"
 msgstr "NTAGIHARI Cyangwa OYA Gushyiraho"
@@ -8115,6 +8172,10 @@ msgstr "%s:Kurema bushyinguro"
 #~ msgstr "ubusa Ikurikiranyanyuguti"
 
 #, fuzzy
+#~ msgid "%s: profiler found no PLTREL in object %s\n"
+#~ msgstr "%s:Byabonetse Oya in Igikoresho"
+
+#, fuzzy
 #~ msgid "%s: profiler out of memory shadowing PLTREL of %s\n"
 #~ msgstr "%s:Inyuma Bya Ububiko Ishyiraho ry'igicucu Bya"
 
diff --git a/po/sk.po b/po/sk.po
index b7f0c57..81ed197 100644
--- a/po/sk.po
+++ b/po/sk.po
@@ -6,7 +6,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: libc 2.3.3\n"
-"POT-Creation-Date: 2015-01-20 22:14-0500\n"
+"POT-Creation-Date: 2015-07-31 00:10-0400\n"
 "PO-Revision-Date: 2004-08-05 22:19+0200\n"
 "Last-Translator: Marcel Telka <marcel@telka.sk>\n"
 "Language-Team: Slovak <sk-i18n@lists.linux.sk>\n"
@@ -141,10 +141,10 @@ msgstr ""
 "[VÝSTUPNÝ_SÚBOR [VSTUPNÝ_SÚBOR]...]"
 
 #: catgets/gencat.c:229 debug/pcprofiledump.c:209 elf/ldconfig.c:307
-#: elf/pldd.c:244 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
+#: elf/pldd.c:252 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
 #: iconv/iconvconfig.c:379 locale/programs/locale.c:277
 #: locale/programs/localedef.c:376 login/programs/pt_chown.c:88
-#: malloc/memusagestat.c:563 nss/getent.c:969 nss/makedb.c:369
+#: malloc/memusagestat.c:563 nss/getent.c:973 nss/makedb.c:369
 #: posix/getconf.c:486 sunrpc/rpcinfo.c:691
 #: sysdeps/unix/sysv/linux/lddlibc4.c:61
 #, c-format
@@ -154,7 +154,7 @@ msgid ""
 msgstr ""
 
 #: catgets/gencat.c:245 debug/pcprofiledump.c:225 debug/xtrace.sh:64
-#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:260 elf/sotruss.sh:75
+#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:268 elf/sotruss.sh:75
 #: elf/sprof.c:389 iconv/iconv_prog.c:425 iconv/iconvconfig.c:396
 #: locale/programs/locale.c:294 locale/programs/localedef.c:402
 #: login/programs/pt_chown.c:62 malloc/memusage.sh:71
@@ -172,7 +172,7 @@ msgstr ""
 "NA KONKRÉTNY ÚČEL.\n"
 
 #: catgets/gencat.c:250 debug/pcprofiledump.c:230 debug/xtrace.sh:68
-#: elf/ldconfig.c:328 elf/pldd.c:265 elf/sprof.c:395 iconv/iconv_prog.c:430
+#: elf/ldconfig.c:328 elf/pldd.c:273 elf/sprof.c:395 iconv/iconv_prog.c:430
 #: iconv/iconvconfig.c:401 locale/programs/locale.c:299
 #: locale/programs/localedef.c:407 malloc/memusage.sh:75
 #: malloc/memusagestat.c:586 nscd/nscd.c:514 nss/getent.c:91 nss/makedb.c:390
@@ -431,11 +431,11 @@ msgstr "Zmena prístupových práv %s na %#o zlyhala"
 msgid "Renaming of %s to %s failed"
 msgstr "Premenovanie %s na %s zlyhalo"
 
-#: elf/dl-close.c:385 elf/dl-open.c:470
+#: elf/dl-close.c:396 elf/dl-open.c:478
 msgid "cannot create scope list"
 msgstr "nie je možné vytvoriť zoznam pôsobnosti"
 
-#: elf/dl-close.c:770
+#: elf/dl-close.c:816
 msgid "shared object not open"
 msgstr "zdieľaný objekt nie je otvorený"
 
@@ -512,131 +512,131 @@ msgstr "nie je možné vytvoriť pole ciest"
 msgid "cannot stat shared object"
 msgstr "nepodarilo sa zistiť stav zdieľaného objektu"
 
-#: elf/dl-load.c:963
+#: elf/dl-load.c:962
 msgid "cannot open zero fill device"
 msgstr "nie je možné otvoriť zariadenie pre naplnenie nulami"
 
-#: elf/dl-load.c:1010 elf/dl-load.c:2165
+#: elf/dl-load.c:1009 elf/dl-load.c:2159
 msgid "cannot create shared object descriptor"
 msgstr "nie je možné vytvoriť deskriptor zdieľaného objektu"
 
-#: elf/dl-load.c:1029 elf/dl-load.c:1570 elf/dl-load.c:1682
+#: elf/dl-load.c:1028 elf/dl-load.c:1568 elf/dl-load.c:1680
 msgid "cannot read file data"
 msgstr "nie je možné načítať údaje súboru"
 
-#: elf/dl-load.c:1069
+#: elf/dl-load.c:1068
 msgid "ELF load command alignment not page-aligned"
 msgstr "ELF zarovnanie príkazu nie je zarovnané na stránku"
 
-#: elf/dl-load.c:1076
+#: elf/dl-load.c:1075
 msgid "ELF load command address/offset not properly aligned"
 msgstr "ELF zavádzacia adresa/posunutie nie je správne zarovnaná"
 
-#: elf/dl-load.c:1160
+#: elf/dl-load.c:1159
 msgid "cannot allocate TLS data structures for initial thread"
 msgstr "nie je možné prideliť dátové štruktúry TLS pre počiatočné vlákno"
 
-#: elf/dl-load.c:1183
+#: elf/dl-load.c:1182
 msgid "cannot handle TLS data"
 msgstr "nie je možné spracovať TLS dáta"
 
-#: elf/dl-load.c:1202
+#: elf/dl-load.c:1201
 msgid "object file has no loadable segments"
 msgstr "objektový súbor neobsahuje žiadny nahrateľný segment"
 
-#: elf/dl-load.c:1211 elf/dl-load.c:1662
+#: elf/dl-load.c:1210 elf/dl-load.c:1660
 msgid "cannot dynamically load executable"
 msgstr "nie je možné dynamicky načítať spustiteľný súbor"
 
-#: elf/dl-load.c:1232
+#: elf/dl-load.c:1231
 msgid "object file has no dynamic section"
 msgstr "objektový súbor neobsahuje žiadnu dynamickú sekciu"
 
-#: elf/dl-load.c:1255
+#: elf/dl-load.c:1254
 msgid "shared object cannot be dlopen()ed"
 msgstr "zdieľaný objekt nemôže byť otvorený pomocou dlopen()"
 
-#: elf/dl-load.c:1268
+#: elf/dl-load.c:1267
 msgid "cannot allocate memory for program header"
 msgstr "nie je možné prideliť pamäť pre hlavičku programu"
 
-#: elf/dl-load.c:1284 elf/dl-open.c:195
+#: elf/dl-load.c:1283 elf/dl-open.c:195
 #, fuzzy
 #| msgid "invalid line"
 msgid "invalid caller"
 msgstr "neprípustný riadok"
 
-#: elf/dl-load.c:1307 elf/dl-load.h:130
+#: elf/dl-load.c:1306 elf/dl-load.h:130
 msgid "cannot change memory protections"
 msgstr "nie je možné zmeniť ochranu pamäti"
 
-#: elf/dl-load.c:1327
+#: elf/dl-load.c:1326
 msgid "cannot enable executable stack as shared object requires"
 msgstr "nie je možné povoliť spustiteľný zásobník ako vyžaduje zdieľaný objekt"
 
-#: elf/dl-load.c:1340
+#: elf/dl-load.c:1339
 #, fuzzy
 #| msgid "cannot create internal descriptor"
 msgid "cannot close file descriptor"
 msgstr "nie je možné vytvoriť interný deskriptor"
 
-#: elf/dl-load.c:1570
+#: elf/dl-load.c:1568
 msgid "file too short"
 msgstr "súbor je príliš krátky"
 
-#: elf/dl-load.c:1605
+#: elf/dl-load.c:1603
 msgid "invalid ELF header"
 msgstr "neprípustná ELF hlavička"
 
-#: elf/dl-load.c:1617
+#: elf/dl-load.c:1615
 msgid "ELF file data encoding not big-endian"
 msgstr "Kódovanie dát v ELF súbore nie je big-endian"
 
-#: elf/dl-load.c:1619
+#: elf/dl-load.c:1617
 msgid "ELF file data encoding not little-endian"
 msgstr "Kódovanie dát v ELF súbore nie je little-endian"
 
-#: elf/dl-load.c:1623
+#: elf/dl-load.c:1621
 msgid "ELF file version ident does not match current one"
 msgstr "Identifikácia verzie ELF súboru sa nezhoduje s aktuálnou"
 
-#: elf/dl-load.c:1627
+#: elf/dl-load.c:1625
 msgid "ELF file OS ABI invalid"
 msgstr "Neplatný OS ABI ELF súboru"
 
-#: elf/dl-load.c:1630
+#: elf/dl-load.c:1628
 msgid "ELF file ABI version invalid"
 msgstr "Neplatná verzia ABI ELF súboru"
 
-#: elf/dl-load.c:1633
+#: elf/dl-load.c:1631
 msgid "nonzero padding in e_ident"
 msgstr ""
 
-#: elf/dl-load.c:1636
+#: elf/dl-load.c:1634
 msgid "internal error"
 msgstr "interná chyba"
 
-#: elf/dl-load.c:1643
+#: elf/dl-load.c:1641
 msgid "ELF file version does not match current one"
 msgstr "Verzia súboru ELF sa nezhoduje s aktuálnou"
 
-#: elf/dl-load.c:1651
+#: elf/dl-load.c:1649
 msgid "only ET_DYN and ET_EXEC can be loaded"
 msgstr "iba ET_DYN a ET_EXEC môžu byť načítané"
 
-#: elf/dl-load.c:1667
+#: elf/dl-load.c:1665
 msgid "ELF file's phentsize not the expected size"
 msgstr "phentsize ELF súboru nie je očakávaná"
 
-#: elf/dl-load.c:2184
+#: elf/dl-load.c:2178
 msgid "wrong ELF class: ELFCLASS64"
 msgstr ""
 
-#: elf/dl-load.c:2185
+#: elf/dl-load.c:2179
 msgid "wrong ELF class: ELFCLASS32"
 msgstr ""
 
-#: elf/dl-load.c:2188
+#: elf/dl-load.c:2182
 msgid "cannot open shared object file"
 msgstr "nie je možné otvoriť súbor zdieľaného objektu"
 
@@ -648,11 +648,11 @@ msgstr "nepodarilo sa namapovať segment zo zdieľaného objektu"
 msgid "cannot map zero-fill pages"
 msgstr "nie je možné namapovať stránky vyplnené nulami"
 
-#: elf/dl-lookup.c:791
+#: elf/dl-lookup.c:845
 msgid "relocation error"
 msgstr "chyba relokácie"
 
-#: elf/dl-lookup.c:818
+#: elf/dl-lookup.c:872
 msgid "symbol lookup error"
 msgstr ""
 
@@ -660,56 +660,44 @@ msgstr ""
 msgid "cannot extend global scope"
 msgstr "nie je možné rozšíriť globálny rozsah"
 
-#: elf/dl-open.c:520
+#: elf/dl-open.c:528
 #, fuzzy
 #| msgid "TLS generation counter wrapped!  Please send report with the 'glibcbug' script."
 msgid "TLS generation counter wrapped!  Please report this."
 msgstr "Počítadlo generovania TLS pretieklo!  Prosím pošlite správu pomocou skriptu 'glibcbug'."
 
-#: elf/dl-open.c:542
-#, fuzzy
-#| msgid "cannot allocate memory in static TLS block"
-msgid "cannot load any more object with static TLS"
-msgstr "nie je možné prideliť pamäť v statickom bloku TLS"
-
-#: elf/dl-open.c:599
+#: elf/dl-open.c:592
 msgid "invalid mode for dlopen()"
 msgstr "neprípustný mód pre dlopen()"
 
-#: elf/dl-open.c:616
+#: elf/dl-open.c:609
 msgid "no more namespaces available for dlmopen()"
 msgstr ""
 
-#: elf/dl-open.c:634
+#: elf/dl-open.c:633
 #, fuzzy
 #| msgid "invalid mode for dlopen()"
 msgid "invalid target namespace in dlmopen()"
 msgstr "neprípustný mód pre dlopen()"
 
-#: elf/dl-reloc.c:120
+#: elf/dl-reloc.c:121
 msgid "cannot allocate memory in static TLS block"
 msgstr "nie je možné prideliť pamäť v statickom bloku TLS"
 
-#: elf/dl-reloc.c:212
+#: elf/dl-reloc.c:206
 msgid "cannot make segment writable for relocation"
 msgstr "nie je možné zmeniť segment na zapisovateľný pre relokáciu"
 
-#: elf/dl-reloc.c:275
-#, fuzzy, c-format
-#| msgid "%s: profiler found no PLTREL in object %s\n"
-msgid "%s: no PLTREL found in object %s\n"
-msgstr "%s: profiler nenašiel PLTREL v objekte %s\n"
-
-#: elf/dl-reloc.c:290
+#: elf/dl-reloc.c:276
 #, c-format
 msgid "%s: out of memory to store relocation results for %s\n"
 msgstr ""
 
-#: elf/dl-reloc.c:306
+#: elf/dl-reloc.c:292
 msgid "cannot restore segment prot after reloc"
 msgstr "nie je možné obnoviť segment prot po reloc"
 
-#: elf/dl-reloc.c:335
+#: elf/dl-reloc.c:323
 #, fuzzy
 #| msgid "cannot change memory protections"
 msgid "cannot apply additional memory protection after relocation"
@@ -719,7 +707,7 @@ msgstr "nie je možné zmeniť ochranu pamäti"
 msgid "RTLD_NEXT used in code not dynamically loaded"
 msgstr "RTLD_NEXT je použité pre kód, ktorý nie je dynamicky zavedený"
 
-#: elf/dl-tls.c:933
+#: elf/dl-tls.c:934
 msgid "cannot create TLS data structures"
 msgstr "nie je možné dátové štruktúry TLS"
 
@@ -865,7 +853,7 @@ msgstr "Odkaz nebol vytvorený, keďže pre %s nebolo možné nájsť soname"
 msgid "Can't open directory %s"
 msgstr "Nie je možné otvoriť adresár %s"
 
-#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:90
+#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:97
 #, c-format
 msgid "Input file %s not found.\n"
 msgstr "Vstupný súbor %s nebol nájdený.\n"
@@ -1001,7 +989,7 @@ msgstr "nie je možné uvoľniť argumenty"
 msgid "No such file or directory"
 msgstr "Adresár alebo súbor neexistuje"
 
-#: elf/ldd.bash.in:150 inet/rcmd.c:488
+#: elf/ldd.bash.in:150 inet/rcmd.c:492
 msgid "not regular file"
 msgstr "nie je regulérny súbor"
 
@@ -1053,73 +1041,79 @@ msgstr "nie je možné prečítať hlavičku"
 msgid "cannot read program interpreter"
 msgstr "nie je možné prečítať hlavičku archívu"
 
-#: elf/pldd-xx.c:196
+#: elf/pldd-xx.c:197
 #, fuzzy, c-format
 #| msgid "cannot read file data"
 msgid "cannot read link map"
 msgstr "nie je možné načítať údaje súboru"
 
-#: elf/pldd-xx.c:207
+#: elf/pldd-xx.c:209
 #, fuzzy, c-format
 #| msgid "cannot read header"
 msgid "cannot read object name"
 msgstr "nie je možné prečítať hlavičku"
 
-#: elf/pldd.c:63
+#: elf/pldd-xx.c:219
+#, fuzzy, c-format
+#| msgid "cannot allocate memory for program header"
+msgid "cannot allocate buffer for object name"
+msgstr "nie je možné prideliť pamäť pre hlavičku programu"
+
+#: elf/pldd.c:64
 msgid "List dynamic shared objects loaded into process."
 msgstr ""
 
-#: elf/pldd.c:67
+#: elf/pldd.c:68
 msgid "PID"
 msgstr ""
 
-#: elf/pldd.c:99
+#: elf/pldd.c:100
 #, c-format
 msgid "Exactly one parameter with process ID required.\n"
 msgstr ""
 
-#: elf/pldd.c:111
+#: elf/pldd.c:112
 #, fuzzy, c-format
 #| msgid "invalid pointer size"
 msgid "invalid process ID '%s'"
 msgstr "neprípustná veľkostť ukazovateľa"
 
-#: elf/pldd.c:119
+#: elf/pldd.c:120
 #, fuzzy, c-format
 #| msgid "cannot open `%s'"
 msgid "cannot open %s"
 msgstr "nie je možné otvoriť `%s'"
 
-#: elf/pldd.c:144
+#: elf/pldd.c:152
 #, fuzzy, c-format
 #| msgid "cannot open `%s'"
 msgid "cannot open %s/task"
 msgstr "nie je možné otvoriť `%s'"
 
-#: elf/pldd.c:147
+#: elf/pldd.c:155
 #, fuzzy, c-format
 #| msgid "cannot create searchlist"
 msgid "cannot prepare reading %s/task"
 msgstr "nie je možné vytvoriť vyhľadávací zoznam"
 
-#: elf/pldd.c:160
+#: elf/pldd.c:168
 #, fuzzy, c-format
 #| msgid "invalid ELF header"
 msgid "invalid thread ID '%s'"
 msgstr "neprípustná ELF hlavička"
 
-#: elf/pldd.c:171
+#: elf/pldd.c:179
 #, fuzzy, c-format
 #| msgid "cannot find C preprocessor: %s \n"
 msgid "cannot attach to process %lu"
 msgstr "nie je možné nájsť preprocesor: %s \n"
 
-#: elf/pldd.c:286
+#: elf/pldd.c:294
 #, c-format
 msgid "cannot get information about process %lu"
 msgstr ""
 
-#: elf/pldd.c:299
+#: elf/pldd.c:307
 #, c-format
 msgid "process %lu is no ELF program"
 msgstr ""
@@ -1154,28 +1148,28 @@ msgstr "%s nie je zdieľaný objektový súbor (Typ: %d).\n"
 msgid "more than one dynamic segment\n"
 msgstr "viac ako jeden dynamický segment\n"
 
-#: elf/readlib.c:96
+#: elf/readlib.c:103
 #, c-format
 msgid "Cannot fstat file %s.\n"
 msgstr "Nie je možné vykonať fstat() súboru %s.\n"
 
-#: elf/readlib.c:107
+#: elf/readlib.c:114
 #, fuzzy, c-format
 #| msgid "File %s is too small, not checked."
 msgid "File %s is empty, not checked."
 msgstr "Súbor %s je príliš krátky, neskontrolovaný."
 
-#: elf/readlib.c:113
+#: elf/readlib.c:120
 #, c-format
 msgid "File %s is too small, not checked."
 msgstr "Súbor %s je príliš krátky, neskontrolovaný."
 
-#: elf/readlib.c:123
+#: elf/readlib.c:130
 #, c-format
 msgid "Cannot mmap file %s.\n"
 msgstr "Nie je možné mmap-ovať súbor %s.\n"
 
-#: elf/readlib.c:161
+#: elf/readlib.c:169
 #, c-format
 msgid "%s is not an ELF file - it has the wrong magic bytes at the start.\n"
 msgstr "%s nie je ELF súbor - na začiatku obsahujé chybné magické bajty.\n"
@@ -1308,10 +1302,10 @@ msgstr "ZDIEĽ_OBJEKT [PROF_ÚDAJE]"
 msgid "failed to load shared object `%s'"
 msgstr "nepodarilo sa načítať zdieľaný objekt `%s'"
 
-#: elf/sprof.c:442
+#: elf/sprof.c:442 elf/sprof.c:825 elf/sprof.c:923
 #, c-format
-msgid "cannot create internal descriptors"
-msgstr "nie je možné vytvoriť interné deskriptory"
+msgid "cannot create internal descriptor"
+msgstr "nie je možné vytvoriť interný deskriptor"
 
 #: elf/sprof.c:554
 #, c-format
@@ -1382,11 +1376,6 @@ msgstr "nepodarilo sa mmap-ovať súbor profilovacích údajov"
 msgid "error while closing the profiling data file"
 msgstr "chyba počas zatvárania súboru profilovacích údajov"
 
-#: elf/sprof.c:825 elf/sprof.c:923
-#, c-format
-msgid "cannot create internal descriptor"
-msgstr "nie je možné vytvoriť interný deskriptor"
-
 #: elf/sprof.c:899
 #, c-format
 msgid "`%s' is no correct profile data file for `%s'"
@@ -1645,27 +1634,27 @@ msgstr "socket: chyba protokolu pri príprave okruhu\n"
 msgid "rcmd: %s: short read"
 msgstr "rcmd: %s: krátke čítanie"
 
-#: inet/rcmd.c:486
+#: inet/rcmd.c:490
 msgid "lstat failed"
 msgstr "lstat zlyhal"
 
-#: inet/rcmd.c:493
+#: inet/rcmd.c:497
 msgid "cannot open"
 msgstr "nie je možné otvoriť"
 
-#: inet/rcmd.c:495
+#: inet/rcmd.c:499
 msgid "fstat failed"
 msgstr "fstat sa nepodaril"
 
-#: inet/rcmd.c:497
+#: inet/rcmd.c:501
 msgid "bad owner"
 msgstr "chybný vlastník"
 
-#: inet/rcmd.c:499
+#: inet/rcmd.c:503
 msgid "writeable by other than owner"
 msgstr "zapisovateľný nielen pre vlastníka"
 
-#: inet/rcmd.c:501
+#: inet/rcmd.c:505
 msgid "hard linked somewhere"
 msgstr "niekde existuje pevný odkaz"
 
@@ -1787,8 +1776,8 @@ msgid "no symbolic name given for end of range"
 msgstr "nebolo zadané žiadne symbolické meno pre koniec rozsahu"
 
 #: locale/programs/charmap.c:610 locale/programs/ld-address.c:528
-#: locale/programs/ld-collate.c:2626 locale/programs/ld-collate.c:3784
-#: locale/programs/ld-ctype.c:2162 locale/programs/ld-ctype.c:2913
+#: locale/programs/ld-collate.c:2635 locale/programs/ld-collate.c:3793
+#: locale/programs/ld-ctype.c:2128 locale/programs/ld-ctype.c:2840
 #: locale/programs/ld-identification.c:368
 #: locale/programs/ld-measurement.c:215 locale/programs/ld-messages.c:298
 #: locale/programs/ld-monetary.c:740 locale/programs/ld-name.c:264
@@ -1814,8 +1803,8 @@ msgid "%s: error in state machine"
 msgstr "%s: chyba v stavovom automate"
 
 #: locale/programs/charmap.c:850 locale/programs/ld-address.c:544
-#: locale/programs/ld-collate.c:2623 locale/programs/ld-collate.c:3977
-#: locale/programs/ld-ctype.c:2159 locale/programs/ld-ctype.c:2930
+#: locale/programs/ld-collate.c:2632 locale/programs/ld-collate.c:3986
+#: locale/programs/ld-ctype.c:2125 locale/programs/ld-ctype.c:2857
 #: locale/programs/ld-identification.c:384
 #: locale/programs/ld-measurement.c:231 locale/programs/ld-messages.c:314
 #: locale/programs/ld-monetary.c:756 locale/programs/ld-name.c:280
@@ -1836,7 +1825,7 @@ msgstr "neznámy znak `%s'"
 msgid "number of bytes for byte sequence of beginning and end of range not the same: %d vs %d"
 msgstr "počet bajtov pre postupnosť bajtov začiatku a konca rozsahu nie sú rovnaké: %d a %d"
 
-#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2903
+#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2912
 #: locale/programs/repertoire.c:419
 msgid "invalid names for character range"
 msgstr "neprípustné mená pre rozsah znakov"
@@ -1860,8 +1849,8 @@ msgstr "horný limit rozsahu je menší ako dolný"
 msgid "resulting bytes for range not representable."
 msgstr "výsledné bajty rozsahu nie sú zobraziteľné"
 
-#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1565
-#: locale/programs/ld-ctype.c:465 locale/programs/ld-identification.c:133
+#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1566
+#: locale/programs/ld-ctype.c:431 locale/programs/ld-identification.c:133
 #: locale/programs/ld-measurement.c:94 locale/programs/ld-messages.c:97
 #: locale/programs/ld-monetary.c:193 locale/programs/ld-name.c:94
 #: locale/programs/ld-numeric.c:98 locale/programs/ld-paper.c:91
@@ -1926,7 +1915,7 @@ msgid "%s: numeric country code `%d' not valid"
 msgstr "%s: číselný kód krajiny `%d' nie je platný"
 
 #: locale/programs/ld-address.c:436 locale/programs/ld-address.c:473
-#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2537
+#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2489
 #: locale/programs/ld-identification.c:280
 #: locale/programs/ld-measurement.c:198 locale/programs/ld-messages.c:267
 #: locale/programs/ld-monetary.c:495 locale/programs/ld-monetary.c:530
@@ -1948,8 +1937,8 @@ msgstr "%s: pole `%s' deklarované viac ako raz"
 msgid "%s: unknown character in field `%s'"
 msgstr "%s: neznámy znak v poli `%s'"
 
-#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3782
-#: locale/programs/ld-ctype.c:2910 locale/programs/ld-identification.c:365
+#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3791
+#: locale/programs/ld-ctype.c:2837 locale/programs/ld-identification.c:365
 #: locale/programs/ld-measurement.c:212 locale/programs/ld-messages.c:296
 #: locale/programs/ld-monetary.c:738 locale/programs/ld-name.c:262
 #: locale/programs/ld-numeric.c:324 locale/programs/ld-paper.c:212
@@ -1958,12 +1947,12 @@ msgstr "%s: neznámy znak v poli `%s'"
 msgid "%s: incomplete `END' line"
 msgstr "%s: nekompletný riadok `END'"
 
-#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:551
-#: locale/programs/ld-collate.c:603 locale/programs/ld-collate.c:899
-#: locale/programs/ld-collate.c:912 locale/programs/ld-collate.c:2592
-#: locale/programs/ld-collate.c:2613 locale/programs/ld-collate.c:3967
-#: locale/programs/ld-ctype.c:1891 locale/programs/ld-ctype.c:2149
-#: locale/programs/ld-ctype.c:2735 locale/programs/ld-ctype.c:2921
+#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:552
+#: locale/programs/ld-collate.c:604 locale/programs/ld-collate.c:900
+#: locale/programs/ld-collate.c:913 locale/programs/ld-collate.c:2601
+#: locale/programs/ld-collate.c:2622 locale/programs/ld-collate.c:3976
+#: locale/programs/ld-ctype.c:1857 locale/programs/ld-ctype.c:2115
+#: locale/programs/ld-ctype.c:2687 locale/programs/ld-ctype.c:2848
 #: locale/programs/ld-identification.c:375
 #: locale/programs/ld-measurement.c:222 locale/programs/ld-messages.c:305
 #: locale/programs/ld-monetary.c:747 locale/programs/ld-name.c:271
@@ -1973,481 +1962,481 @@ msgstr "%s: nekompletný riadok `END'"
 msgid "%s: syntax error"
 msgstr "%s: chyba syntaxe"
 
-#: locale/programs/ld-collate.c:426
+#: locale/programs/ld-collate.c:427
 #, c-format
 msgid "`%.*s' already defined in charmap"
 msgstr "`%.*s' bol už definovaný v znakovej mape"
 
-#: locale/programs/ld-collate.c:435
+#: locale/programs/ld-collate.c:436
 #, c-format
 msgid "`%.*s' already defined in repertoire"
 msgstr "`%.*s' bol už definovaný v repertoári"
 
-#: locale/programs/ld-collate.c:442
+#: locale/programs/ld-collate.c:443
 #, c-format
 msgid "`%.*s' already defined as collating symbol"
 msgstr "`%.*s' bol už definovaný ako symbol triedenia"
 
-#: locale/programs/ld-collate.c:449
+#: locale/programs/ld-collate.c:450
 #, c-format
 msgid "`%.*s' already defined as collating element"
 msgstr "`%.*s' bol už definovaný ako element triedenia"
 
-#: locale/programs/ld-collate.c:480 locale/programs/ld-collate.c:506
+#: locale/programs/ld-collate.c:481 locale/programs/ld-collate.c:507
 #, c-format
 msgid "%s: `forward' and `backward' are mutually excluding each other"
 msgstr "%s: `forward' a `backward' sa navzájom vylučujú"
 
-#: locale/programs/ld-collate.c:490 locale/programs/ld-collate.c:516
-#: locale/programs/ld-collate.c:532
+#: locale/programs/ld-collate.c:491 locale/programs/ld-collate.c:517
+#: locale/programs/ld-collate.c:533
 #, c-format
 msgid "%s: `%s' mentioned more than once in definition of weight %d"
 msgstr "%s: `%s' spomenuté viac ako raz v definícii váhy %d"
 
-#: locale/programs/ld-collate.c:588
+#: locale/programs/ld-collate.c:589
 #, c-format
 msgid "%s: too many rules; first entry only had %d"
 msgstr "%s: priveľa pravidiel; prvý záznam mal iba %d"
 
-#: locale/programs/ld-collate.c:624
+#: locale/programs/ld-collate.c:625
 #, c-format
 msgid "%s: not enough sorting rules"
 msgstr "%s: nedostatočný počet pravidiel triedenia"
 
-#: locale/programs/ld-collate.c:789
+#: locale/programs/ld-collate.c:790
 #, c-format
 msgid "%s: empty weight string not allowed"
 msgstr "%s: prázdny reťazec váhy nie je povolený"
 
-#: locale/programs/ld-collate.c:884
+#: locale/programs/ld-collate.c:885
 #, c-format
 msgid "%s: weights must use the same ellipsis symbol as the name"
 msgstr "%s: váhy musia ako názov použiť rovnaký symbol pokračovania"
 
-#: locale/programs/ld-collate.c:940
+#: locale/programs/ld-collate.c:941
 #, c-format
 msgid "%s: too many values"
 msgstr "%s: priveľa hodnôt"
 
-#: locale/programs/ld-collate.c:1060 locale/programs/ld-collate.c:1235
+#: locale/programs/ld-collate.c:1061 locale/programs/ld-collate.c:1236
 #, c-format
 msgid "order for `%.*s' already defined at %s:%Zu"
 msgstr "poradie pre `%.*s' je už definované na %s:%Zu"
 
-#: locale/programs/ld-collate.c:1110
+#: locale/programs/ld-collate.c:1111
 #, c-format
 msgid "%s: the start and the end symbol of a range must stand for characters"
 msgstr "%s: počiatočný a koncový symbol rozsahu musia zastupovať znaky"
 
-#: locale/programs/ld-collate.c:1137
+#: locale/programs/ld-collate.c:1138
 #, c-format
 msgid "%s: byte sequences of first and last character must have the same length"
 msgstr "%s: bajtové sekvencie prvého a posledného znaku musia mať rovnakú dĺžku"
 
-#: locale/programs/ld-collate.c:1179
+#: locale/programs/ld-collate.c:1180
 #, fuzzy, c-format
 #| msgid "%s: byte sequence of first character of sequence is not lower than that of the last character"
 msgid "%s: byte sequence of first character of range is not lower than that of the last character"
 msgstr "%s: poradie bajtu prvého znaku sekvencie nie je menšie ako posledného"
 
-#: locale/programs/ld-collate.c:1304
+#: locale/programs/ld-collate.c:1305
 #, c-format
 msgid "%s: symbolic range ellipsis must not directly follow `order_start'"
 msgstr "%s: pokračovanie symbolického rozsahu nesmie priamo nasledoť `order_start'"
 
-#: locale/programs/ld-collate.c:1308
+#: locale/programs/ld-collate.c:1309
 #, c-format
 msgid "%s: symbolic range ellipsis must not be directly followed by `order_end'"
 msgstr "%s: pokračovanie symbolického rozsahu nesmie byť priamo nasledované `order_end'"
 
-#: locale/programs/ld-collate.c:1328 locale/programs/ld-ctype.c:1408
+#: locale/programs/ld-collate.c:1329 locale/programs/ld-ctype.c:1374
 #, fuzzy, c-format
 #| msgid "`%s' and `%.*s' are no valid names for symbolic range"
 msgid "`%s' and `%.*s' are not valid names for symbolic range"
 msgstr "`%s' a `%.*s' sú neprípustné názvy pre symbolický rozsah"
 
-#: locale/programs/ld-collate.c:1378 locale/programs/ld-collate.c:3718
+#: locale/programs/ld-collate.c:1379 locale/programs/ld-collate.c:3727
 #, c-format
 msgid "%s: order for `%.*s' already defined at %s:%Zu"
 msgstr "%s: poradie pre `%.*s' je už definované na %s:%Zu"
 
-#: locale/programs/ld-collate.c:1387
+#: locale/programs/ld-collate.c:1388
 #, c-format
 msgid "%s: `%s' must be a character"
 msgstr "%s: `%s' musí byť znak"
 
-#: locale/programs/ld-collate.c:1582
+#: locale/programs/ld-collate.c:1583
 #, c-format
 msgid "%s: `position' must be used for a specific level in all sections or none"
 msgstr "%s: `position' musí byť pre danú úroveň použitá vo všetkých sekciách, alebo v žiadnej"
 
-#: locale/programs/ld-collate.c:1607
+#: locale/programs/ld-collate.c:1608
 #, c-format
 msgid "symbol `%s' not defined"
 msgstr "symbol `%s' nie je definovaný"
 
-#: locale/programs/ld-collate.c:1683 locale/programs/ld-collate.c:1789
+#: locale/programs/ld-collate.c:1684 locale/programs/ld-collate.c:1790
 #, c-format
 msgid "symbol `%s' has the same encoding as"
 msgstr "symbol `%s' má rovnaké kódovanie ako"
 
-#: locale/programs/ld-collate.c:1687 locale/programs/ld-collate.c:1793
+#: locale/programs/ld-collate.c:1688 locale/programs/ld-collate.c:1794
 #, c-format
 msgid "symbol `%s'"
 msgstr "symbol `%s'"
 
-#: locale/programs/ld-collate.c:1833
+#: locale/programs/ld-collate.c:1834
 #, c-format
 msgid "no definition of `UNDEFINED'"
 msgstr "neexistuje definícia pre `UNDEFINED'"
 
-#: locale/programs/ld-collate.c:1862
+#: locale/programs/ld-collate.c:1863
 #, c-format
 msgid "too many errors; giving up"
 msgstr "príliš veľa chýb; vzdávam to"
 
-#: locale/programs/ld-collate.c:2518 locale/programs/ld-collate.c:3906
+#: locale/programs/ld-collate.c:2527 locale/programs/ld-collate.c:3915
 #, fuzzy, c-format
 #| msgid "Operation not supported"
 msgid "%s: nested conditionals not supported"
 msgstr "Operácia nie je podporovaná"
 
-#: locale/programs/ld-collate.c:2536
+#: locale/programs/ld-collate.c:2545
 #, fuzzy, c-format
 #| msgid "%s: More than one -l option specified\n"
 msgid "%s: more than one 'else'"
 msgstr "%s: Voľba -l zadaná viac ako raz\n"
 
-#: locale/programs/ld-collate.c:2711
+#: locale/programs/ld-collate.c:2720
 #, c-format
 msgid "%s: duplicate definition of `%s'"
 msgstr "%s: duplicitná definícia `%s'"
 
-#: locale/programs/ld-collate.c:2747
+#: locale/programs/ld-collate.c:2756
 #, c-format
 msgid "%s: duplicate declaration of section `%s'"
 msgstr "%s: duplicitná deklarácia sekcie `%s'"
 
-#: locale/programs/ld-collate.c:2883
+#: locale/programs/ld-collate.c:2892
 #, c-format
 msgid "%s: unknown character in collating symbol name"
 msgstr "%s: neznámy znak v názve symbolu triedenia"
 
-#: locale/programs/ld-collate.c:3012
+#: locale/programs/ld-collate.c:3021
 #, c-format
 msgid "%s: unknown character in equivalent definition name"
 msgstr "%s: neznámy znak v názve ekvivalentnej definície"
 
-#: locale/programs/ld-collate.c:3023
+#: locale/programs/ld-collate.c:3032
 #, c-format
 msgid "%s: unknown character in equivalent definition value"
 msgstr "%s: neznámy znak v hodnote ekvivalentnej definície"
 
-#: locale/programs/ld-collate.c:3033
+#: locale/programs/ld-collate.c:3042
 #, c-format
 msgid "%s: unknown symbol `%s' in equivalent definition"
 msgstr "%s: neznámy symbol `%s' v ekvivalentnej definícii"
 
-#: locale/programs/ld-collate.c:3042
+#: locale/programs/ld-collate.c:3051
 msgid "error while adding equivalent collating symbol"
 msgstr "chyba pri pridávaní ekvivalentného symbolu triedenia"
 
-#: locale/programs/ld-collate.c:3080
+#: locale/programs/ld-collate.c:3089
 #, c-format
 msgid "duplicate definition of script `%s'"
 msgstr "duplicitná definícia skriptu `%s'"
 
-#: locale/programs/ld-collate.c:3128
+#: locale/programs/ld-collate.c:3137
 #, fuzzy, c-format
 #| msgid "%s: unknown section name `%s'"
 msgid "%s: unknown section name `%.*s'"
 msgstr "%s: neznámy názov sekcie `%s'"
 
-#: locale/programs/ld-collate.c:3157
+#: locale/programs/ld-collate.c:3166
 #, c-format
 msgid "%s: multiple order definitions for section `%s'"
 msgstr "%s: viacnásobná definícia poradia pre sekciu `%s'"
 
-#: locale/programs/ld-collate.c:3185
+#: locale/programs/ld-collate.c:3194
 #, c-format
 msgid "%s: invalid number of sorting rules"
 msgstr "%s: chybný počet pravidiel triedenia"
 
-#: locale/programs/ld-collate.c:3212
+#: locale/programs/ld-collate.c:3221
 #, c-format
 msgid "%s: multiple order definitions for unnamed section"
 msgstr "%s: viacnásobná definícia poradia pre sekciu bez mena"
 
-#: locale/programs/ld-collate.c:3267 locale/programs/ld-collate.c:3397
-#: locale/programs/ld-collate.c:3760
+#: locale/programs/ld-collate.c:3276 locale/programs/ld-collate.c:3406
+#: locale/programs/ld-collate.c:3769
 #, c-format
 msgid "%s: missing `order_end' keyword"
 msgstr "%s: chýbajúce kľúčové slovo `order_end'"
 
-#: locale/programs/ld-collate.c:3330
+#: locale/programs/ld-collate.c:3339
 #, c-format
 msgid "%s: order for collating symbol %.*s not yet defined"
 msgstr "%s: poradie pre symbol triedenia `%.*s' ešte nebolo definované"
 
-#: locale/programs/ld-collate.c:3348
+#: locale/programs/ld-collate.c:3357
 #, c-format
 msgid "%s: order for collating element %.*s not yet defined"
 msgstr "%s: poradie pre element triedenia `%.*s' ešte nebolo definované"
 
-#: locale/programs/ld-collate.c:3359
+#: locale/programs/ld-collate.c:3368
 #, c-format
 msgid "%s: cannot reorder after %.*s: symbol not known"
 msgstr "%s: nie je možné preradiť za %.*s: neznámy symbol"
 
-#: locale/programs/ld-collate.c:3411 locale/programs/ld-collate.c:3772
+#: locale/programs/ld-collate.c:3420 locale/programs/ld-collate.c:3781
 #, c-format
 msgid "%s: missing `reorder-end' keyword"
 msgstr "%s: chýbajúce kľúčové slovo `reorder-end'"
 
-#: locale/programs/ld-collate.c:3445 locale/programs/ld-collate.c:3643
+#: locale/programs/ld-collate.c:3454 locale/programs/ld-collate.c:3652
 #, c-format
 msgid "%s: section `%.*s' not known"
 msgstr "%s: neznáma sekcia `%.*s'"
 
-#: locale/programs/ld-collate.c:3510
+#: locale/programs/ld-collate.c:3519
 #, c-format
 msgid "%s: bad symbol <%.*s>"
 msgstr "%s: zlý symbol <%.*s>"
 
-#: locale/programs/ld-collate.c:3706
+#: locale/programs/ld-collate.c:3715
 #, c-format
 msgid "%s: cannot have `%s' as end of ellipsis range"
 msgstr "%s: `%s' nemôže byť koncovým znakom rozsahu pokračovania"
 
-#: locale/programs/ld-collate.c:3756
+#: locale/programs/ld-collate.c:3765
 #, c-format
 msgid "%s: empty category description not allowed"
 msgstr "%s: prázdny popis kategórie nie je povolený"
 
-#: locale/programs/ld-collate.c:3775
+#: locale/programs/ld-collate.c:3784
 #, c-format
 msgid "%s: missing `reorder-sections-end' keyword"
 msgstr "%s: chýbajúce kľúčové slovo `reorder-sections-end'"
 
-#: locale/programs/ld-collate.c:3939
+#: locale/programs/ld-collate.c:3948
 #, c-format
 msgid "%s: '%s' without matching 'ifdef' or 'ifndef'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3957
+#: locale/programs/ld-collate.c:3966
 #, c-format
 msgid "%s: 'endif' without matching 'ifdef' or 'ifndef'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:484
+#: locale/programs/ld-ctype.c:450
 #, c-format
 msgid "No character set name specified in charmap"
 msgstr "V znakovej mape nie je zadaný názov znakovej sady"
 
-#: locale/programs/ld-ctype.c:513
+#: locale/programs/ld-ctype.c:479
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must be in class `%s'"
 msgstr "znak L'\\u%0*x' v triede `%s' musí byť v triede `%s'"
 
-#: locale/programs/ld-ctype.c:528
+#: locale/programs/ld-ctype.c:494
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must not be in class `%s'"
 msgstr "znak L'\\u%0*x' v triede `%s' nesmie byť v triede `%s'"
 
-#: locale/programs/ld-ctype.c:542 locale/programs/ld-ctype.c:600
+#: locale/programs/ld-ctype.c:508 locale/programs/ld-ctype.c:566
 #, c-format
 msgid "internal error in %s, line %u"
 msgstr "vnútorná chyba %s na riadku %u"
 
-#: locale/programs/ld-ctype.c:571
+#: locale/programs/ld-ctype.c:537
 #, c-format
 msgid "character '%s' in class `%s' must be in class `%s'"
 msgstr "znak '%s' v triede `%s' musí byť v triede `%s'"
 
-#: locale/programs/ld-ctype.c:587
+#: locale/programs/ld-ctype.c:553
 #, c-format
 msgid "character '%s' in class `%s' must not be in class `%s'"
 msgstr "znak '%s' v triede `%s' nesmie byť v triede `%s'"
 
-#: locale/programs/ld-ctype.c:617 locale/programs/ld-ctype.c:655
+#: locale/programs/ld-ctype.c:583 locale/programs/ld-ctype.c:621
 #, c-format
 msgid "<SP> character not in class `%s'"
 msgstr "<SP> znak nie je v triede `%s'"
 
-#: locale/programs/ld-ctype.c:629 locale/programs/ld-ctype.c:666
+#: locale/programs/ld-ctype.c:595 locale/programs/ld-ctype.c:632
 #, c-format
 msgid "<SP> character must not be in class `%s'"
 msgstr "<SP> znak nesmie byť v triede `%s'"
 
-#: locale/programs/ld-ctype.c:644
+#: locale/programs/ld-ctype.c:610
 #, c-format
 msgid "character <SP> not defined in character map"
 msgstr "znak <SP> nie je definovaný v znakovej sade"
 
-#: locale/programs/ld-ctype.c:780
+#: locale/programs/ld-ctype.c:746
 #, c-format
 msgid "`digit' category has not entries in groups of ten"
 msgstr "kategória `digit' neobsahuje záznamy v skupinách po desiatich"
 
-#: locale/programs/ld-ctype.c:829
+#: locale/programs/ld-ctype.c:795
 #, c-format
 msgid "no input digits defined and none of the standard names in the charmap"
 msgstr "neboli definované žiadne vstupné číslice a v znakovej mape nie je žiadne zo štandardných mien"
 
-#: locale/programs/ld-ctype.c:894
+#: locale/programs/ld-ctype.c:860
 #, c-format
 msgid "not all characters used in `outdigit' are available in the charmap"
 msgstr "nie všetky znaky použité v `outdigit' sú dostupné v znakovej mape"
 
-#: locale/programs/ld-ctype.c:911
+#: locale/programs/ld-ctype.c:877
 #, c-format
 msgid "not all characters used in `outdigit' are available in the repertoire"
 msgstr "nie všetky znaky použité v `outdigit' sú dostupné v repertoári"
 
-#: locale/programs/ld-ctype.c:1176
+#: locale/programs/ld-ctype.c:1142
 #, c-format
 msgid "character class `%s' already defined"
 msgstr "trieda znakov `%s' je už definovaná"
 
-#: locale/programs/ld-ctype.c:1182
+#: locale/programs/ld-ctype.c:1148
 #, c-format
 msgid "implementation limit: no more than %Zd character classes allowed"
 msgstr "limit implementácie: maximálne množstvo tried znakov je %Zd"
 
-#: locale/programs/ld-ctype.c:1208
+#: locale/programs/ld-ctype.c:1174
 #, c-format
 msgid "character map `%s' already defined"
 msgstr "znaková sada `%s' je už definovaná"
 
-#: locale/programs/ld-ctype.c:1214
+#: locale/programs/ld-ctype.c:1180
 #, c-format
 msgid "implementation limit: no more than %d character maps allowed"
 msgstr "limit implementácie: maximálne množstvo sád znakov je %d"
 
-#: locale/programs/ld-ctype.c:1479 locale/programs/ld-ctype.c:1604
-#: locale/programs/ld-ctype.c:1710 locale/programs/ld-ctype.c:2400
-#: locale/programs/ld-ctype.c:3397
+#: locale/programs/ld-ctype.c:1445 locale/programs/ld-ctype.c:1570
+#: locale/programs/ld-ctype.c:1676 locale/programs/ld-ctype.c:2352
+#: locale/programs/ld-ctype.c:3324
 #, c-format
 msgid "%s: field `%s' does not contain exactly ten entries"
 msgstr "%s: pole `%s' neobsahuje presne desať položiek"
 
-#: locale/programs/ld-ctype.c:1507 locale/programs/ld-ctype.c:2081
+#: locale/programs/ld-ctype.c:1473 locale/programs/ld-ctype.c:2047
 #, c-format
 msgid "to-value <U%0*X> of range is smaller than from-value <U%0*X>"
 msgstr "to-value <U%0*X> rozsahu je menšia ako from-value <U%0*X>"
 
-#: locale/programs/ld-ctype.c:1634
+#: locale/programs/ld-ctype.c:1600
 msgid "start and end character sequence of range must have the same length"
 msgstr "úvodná a koncová znaková sekvencia rozsahu musia mať rovnakú dĺžku"
 
-#: locale/programs/ld-ctype.c:1641
+#: locale/programs/ld-ctype.c:1607
 msgid "to-value character sequence is smaller than from-value sequence"
 msgstr "to-value sekvencia znakov je menšia ako sekvencia from-value"
 
-#: locale/programs/ld-ctype.c:2001 locale/programs/ld-ctype.c:2052
+#: locale/programs/ld-ctype.c:1967 locale/programs/ld-ctype.c:2018
 msgid "premature end of `translit_ignore' definition"
 msgstr "predčasný koniec definície `translit_ignore'"
 
-#: locale/programs/ld-ctype.c:2007 locale/programs/ld-ctype.c:2058
-#: locale/programs/ld-ctype.c:2100
+#: locale/programs/ld-ctype.c:1973 locale/programs/ld-ctype.c:2024
+#: locale/programs/ld-ctype.c:2066
 msgid "syntax error"
 msgstr "chyba syntaxe"
 
-#: locale/programs/ld-ctype.c:2233
+#: locale/programs/ld-ctype.c:2199
 #, c-format
 msgid "%s: syntax error in definition of new character class"
 msgstr "%s: chyba syntaxe v definícii novej triedy znakov"
 
-#: locale/programs/ld-ctype.c:2248
+#: locale/programs/ld-ctype.c:2214
 #, c-format
 msgid "%s: syntax error in definition of new character map"
 msgstr "%s: chyba syntaxe v definícii novej znakovej mapy"
 
-#: locale/programs/ld-ctype.c:2422
+#: locale/programs/ld-ctype.c:2374
 msgid "ellipsis range must be marked by two operands of same type"
 msgstr "rozsah pokračovania musí byť označený dvomi operandami rovnakého typu"
 
-#: locale/programs/ld-ctype.c:2431
+#: locale/programs/ld-ctype.c:2383
 msgid "with symbolic name range values the absolute ellipsis `...' must not be used"
 msgstr "v symbolickom rozsahu hodnôt nesmie byť použité absolútne pokračovanie `...'"
 
-#: locale/programs/ld-ctype.c:2446
+#: locale/programs/ld-ctype.c:2398
 msgid "with UCS range values one must use the hexadecimal symbolic ellipsis `..'"
 msgstr "v rozsahu hodnôt UCS treba použiť hexadecimálne symbolické pokračovanie `..'"
 
-#: locale/programs/ld-ctype.c:2460
+#: locale/programs/ld-ctype.c:2412
 msgid "with character code range values one must use the absolute ellipsis `...'"
 msgstr "v rozsahu hodnôt kódov znakov treba použiť absolútne pokračovanie `...'"
 
-#: locale/programs/ld-ctype.c:2611
+#: locale/programs/ld-ctype.c:2563
 #, c-format
 msgid "duplicated definition for mapping `%s'"
 msgstr "duplicitná definícia mapovania `%s'"
 
-#: locale/programs/ld-ctype.c:2697 locale/programs/ld-ctype.c:2841
+#: locale/programs/ld-ctype.c:2649 locale/programs/ld-ctype.c:2793
 #, c-format
 msgid "%s: `translit_start' section does not end with `translit_end'"
 msgstr "%s: sekcia `translit_start' nekončí `translit_end'"
 
-#: locale/programs/ld-ctype.c:2792
+#: locale/programs/ld-ctype.c:2744
 #, c-format
 msgid "%s: duplicate `default_missing' definition"
 msgstr "%s: duplicitná definícia `default_missing'"
 
-#: locale/programs/ld-ctype.c:2797
+#: locale/programs/ld-ctype.c:2749
 msgid "previous definition was here"
 msgstr "predchádzajúca definícia bola tu"
 
-#: locale/programs/ld-ctype.c:2819
+#: locale/programs/ld-ctype.c:2771
 #, c-format
 msgid "%s: no representable `default_missing' definition found"
 msgstr "%s: nenájdená zobraziteľná definícia `default_missing'"
 
-#: locale/programs/ld-ctype.c:2962 locale/programs/ld-ctype.c:3059
-#: locale/programs/ld-ctype.c:3079 locale/programs/ld-ctype.c:3100
-#: locale/programs/ld-ctype.c:3121 locale/programs/ld-ctype.c:3142
-#: locale/programs/ld-ctype.c:3163 locale/programs/ld-ctype.c:3203
-#: locale/programs/ld-ctype.c:3224 locale/programs/ld-ctype.c:3289
-#: locale/programs/ld-ctype.c:3331 locale/programs/ld-ctype.c:3356
+#: locale/programs/ld-ctype.c:2889 locale/programs/ld-ctype.c:2986
+#: locale/programs/ld-ctype.c:3006 locale/programs/ld-ctype.c:3027
+#: locale/programs/ld-ctype.c:3048 locale/programs/ld-ctype.c:3069
+#: locale/programs/ld-ctype.c:3090 locale/programs/ld-ctype.c:3130
+#: locale/programs/ld-ctype.c:3151 locale/programs/ld-ctype.c:3216
+#: locale/programs/ld-ctype.c:3258 locale/programs/ld-ctype.c:3283
 #, c-format
 msgid "%s: character `%s' not defined while needed as default value"
 msgstr "%s: znak `%s' nie je definovaný a je potrebný ako implicitná hodnota"
 
-#: locale/programs/ld-ctype.c:2967 locale/programs/ld-ctype.c:3064
-#: locale/programs/ld-ctype.c:3084 locale/programs/ld-ctype.c:3105
-#: locale/programs/ld-ctype.c:3126 locale/programs/ld-ctype.c:3147
-#: locale/programs/ld-ctype.c:3168 locale/programs/ld-ctype.c:3208
-#: locale/programs/ld-ctype.c:3229 locale/programs/ld-ctype.c:3294
+#: locale/programs/ld-ctype.c:2894 locale/programs/ld-ctype.c:2991
+#: locale/programs/ld-ctype.c:3011 locale/programs/ld-ctype.c:3032
+#: locale/programs/ld-ctype.c:3053 locale/programs/ld-ctype.c:3074
+#: locale/programs/ld-ctype.c:3095 locale/programs/ld-ctype.c:3135
+#: locale/programs/ld-ctype.c:3156 locale/programs/ld-ctype.c:3221
 #, c-format
 msgid "%s: character `%s' in charmap not representable with one byte"
 msgstr "%s: znak `%s' v znakovej mape nie je vyjadriteľný jedným bajtom"
 
-#: locale/programs/ld-ctype.c:3338 locale/programs/ld-ctype.c:3363
+#: locale/programs/ld-ctype.c:3265 locale/programs/ld-ctype.c:3290
 #, c-format
 msgid "%s: character `%s' needed as default value not representable with one byte"
 msgstr "%s: znak `%s' je potrebný ako prednastavená hodnota nevyjadriteľná jedným bajtom"
 
-#: locale/programs/ld-ctype.c:3419
+#: locale/programs/ld-ctype.c:3346
 #, c-format
 msgid "no output digits defined and none of the standard names in the charmap"
 msgstr "neboli definované žiadne výstupné číslice a v znakovej mape nie je žiadne zo štandardných mien"
 
-#: locale/programs/ld-ctype.c:3668
+#: locale/programs/ld-ctype.c:3595
 #, c-format
 msgid "%s: transliteration data from locale `%s' not available"
 msgstr "%s: transliteračné údaje prostredia `%s' nie sú dostupné"
 
-#: locale/programs/ld-ctype.c:3768
+#: locale/programs/ld-ctype.c:3695
 #, c-format
 msgid "%s: table for class \"%s\": %lu bytes\n"
 msgstr "%s: tabuľka triedy \"%s\": %lu bajtov\n"
 
-#: locale/programs/ld-ctype.c:3833
+#: locale/programs/ld-ctype.c:3760
 #, c-format
 msgid "%s: table for map \"%s\": %lu bytes\n"
 msgstr "%s: tabuľka mapy \"%s\": %lu bajtov\n"
 
-#: locale/programs/ld-ctype.c:3958
+#: locale/programs/ld-ctype.c:3885
 #, c-format
 msgid "%s: table for width: %lu bytes\n"
 msgstr "%s: tabuľka šírky: %lu bajtov\n"
@@ -3865,17 +3854,23 @@ msgstr ""
 msgid " (first)"
 msgstr ""
 
-#: nscd/cache.c:285 nscd/connections.c:1000
-#, c-format
-msgid "cannot stat() file `%s': %s"
+#: nscd/cache.c:288
+#, fuzzy, c-format
+#| msgid "cannot stat() file `%s': %s"
+msgid "checking for monitored file `%s': %s"
 msgstr "nie je možné vykonať stat() súboru `%s': %s"
 
-#: nscd/cache.c:331
+#: nscd/cache.c:298
+#, c-format
+msgid "monitored file `%s` changed (mtime)"
+msgstr ""
+
+#: nscd/cache.c:341
 #, c-format
 msgid "pruning %s cache; time %ld"
 msgstr ""
 
-#: nscd/cache.c:360
+#: nscd/cache.c:370
 #, c-format
 msgid "considering %s entry \"%s\", timeout %<PRIu64>"
 msgstr ""
@@ -3974,158 +3969,220 @@ msgstr "nie je možné povoliť socketu prijímať spojenia: %s"
 msgid "cannot enable socket to accept connections: %s"
 msgstr "nie je možné povoliť socketu prijímať spojenia: %s"
 
-#: nscd/connections.c:984
+#: nscd/connections.c:973
 #, c-format
-msgid "register trace file %s for database %s"
+msgid "disabled inotify-based monitoring for file `%s': %s"
 msgstr ""
 
-#: nscd/connections.c:1114
+#: nscd/connections.c:977
+#, c-format
+msgid "monitoring file `%s` (%d)"
+msgstr ""
+
+#: nscd/connections.c:990
+#, c-format
+msgid "disabled inotify-based monitoring for directory `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:994
+#, fuzzy, c-format
+#| msgid "Can't open directory %s"
+msgid "monitoring directory `%s` (%d)"
+msgstr "Nie je možné otvoriť adresár %s"
+
+#: nscd/connections.c:1022
+#, c-format
+msgid "monitoring file %s for database %s"
+msgstr ""
+
+#: nscd/connections.c:1032
+#, c-format
+msgid "stat failed for file `%s'; will try again later: %s"
+msgstr ""
+
+#: nscd/connections.c:1151
 #, c-format
 msgid "provide access to FD %d, for %s"
 msgstr ""
 
-#: nscd/connections.c:1126
+#: nscd/connections.c:1163
 #, c-format
 msgid "cannot handle old request version %d; current version is %d"
 msgstr "nie je možné spracovať starú verziu žiadosti %d; aktuálna verzia je %d"
 
-#: nscd/connections.c:1148
+#: nscd/connections.c:1185
 #, c-format
 msgid "request from %ld not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1153
+#: nscd/connections.c:1190
 #, c-format
 msgid "request from '%s' [%ld] not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1158
+#: nscd/connections.c:1195
 msgid "request not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1196 nscd/connections.c:1249
+#: nscd/connections.c:1233 nscd/connections.c:1286
 #, c-format
 msgid "cannot write result: %s"
 msgstr "nie je možné zapísať výsledok: %s"
 
-#: nscd/connections.c:1340
+#: nscd/connections.c:1377
 #, fuzzy, c-format
 #| msgid "error getting callers id: %s"
 msgid "error getting caller's id: %s"
 msgstr "chyba pri získaní id volajúceho: %s"
 
-#: nscd/connections.c:1400
+#: nscd/connections.c:1437
 #, c-format
 msgid "cannot open /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1414
+#: nscd/connections.c:1451
 #, c-format
 msgid "cannot read /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1454
+#: nscd/connections.c:1491
 #, c-format
 msgid "cannot change to old UID: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1464
+#: nscd/connections.c:1501
 #, c-format
 msgid "cannot change to old GID: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1477
+#: nscd/connections.c:1514
 #, c-format
 msgid "cannot change to old working directory: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1523
+#: nscd/connections.c:1560
 #, c-format
 msgid "re-exec failed: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1532
+#: nscd/connections.c:1569
 #, c-format
 msgid "cannot change current working directory to \"/\": %s"
 msgstr ""
 
-#: nscd/connections.c:1725
+#: nscd/connections.c:1762
 #, c-format
 msgid "short read while reading request: %s"
 msgstr "neúplné čítanie žiadosti: `%s'"
 
-#: nscd/connections.c:1758
+#: nscd/connections.c:1795
 #, c-format
 msgid "key length in request too long: %d"
 msgstr "dĺžka kľúča v žiadosti príliš dlhá: %d"
 
-#: nscd/connections.c:1771
+#: nscd/connections.c:1808
 #, c-format
 msgid "short read while reading request key: %s"
 msgstr "neúplné čítanie kľúča žiadosti: %s"
 
-#: nscd/connections.c:1781
+#: nscd/connections.c:1818
 #, c-format
 msgid "handle_request: request received (Version = %d) from PID %ld"
 msgstr "handle_request: žiadosť prijatá (verzia = %d) z PID %ld"
 
-#: nscd/connections.c:1786
+#: nscd/connections.c:1823
 #, c-format
 msgid "handle_request: request received (Version = %d)"
 msgstr "handle_request: žiadosť prijatá (verzia = %d)"
 
-#: nscd/connections.c:2050 nscd/connections.c:2252
+#: nscd/connections.c:1963
+#, c-format
+msgid "ignored inotify event for `%s` (file exists)"
+msgstr ""
+
+#: nscd/connections.c:1968
+#, c-format
+msgid "monitored file `%s` was %s, removing watch"
+msgstr ""
+
+#: nscd/connections.c:1976 nscd/connections.c:2018
+#, c-format
+msgid "failed to remove file watch `%s`: %s"
+msgstr ""
+
+#: nscd/connections.c:1991
+#, c-format
+msgid "monitored file `%s` was written to"
+msgstr ""
+
+#: nscd/connections.c:2015
+#, c-format
+msgid "monitored parent directory `%s` was %s, removing watch on `%s`"
+msgstr ""
+
+#: nscd/connections.c:2041
+#, c-format
+msgid "monitored file `%s` was %s, adding watch"
+msgstr ""
+
+#: nscd/connections.c:2053
+#, fuzzy, c-format
+#| msgid "failed to load shared object `%s'"
+msgid "failed to add file watch `%s`: %s"
+msgstr "nepodarilo sa načítať zdieľaný objekt `%s'"
+
+#: nscd/connections.c:2247 nscd/connections.c:2428
 #, c-format
-msgid "disabled inotify after read error %d"
+msgid "disabled inotify-based monitoring after read error %d"
 msgstr ""
 
-#: nscd/connections.c:2375
+#: nscd/connections.c:2543
 #, fuzzy
 #| msgid "cannot initialize archive file"
 msgid "could not initialize conditional variable"
 msgstr "nie je možné inicializovať archívny súbor"
 
-#: nscd/connections.c:2383
+#: nscd/connections.c:2551
 msgid "could not start clean-up thread; terminating"
 msgstr ""
 
-#: nscd/connections.c:2397
+#: nscd/connections.c:2565
 msgid "could not start any worker thread; terminating"
 msgstr ""
 
-#: nscd/connections.c:2452 nscd/connections.c:2454 nscd/connections.c:2470
-#: nscd/connections.c:2480 nscd/connections.c:2498 nscd/connections.c:2509
-#: nscd/connections.c:2519
+#: nscd/connections.c:2620 nscd/connections.c:2622 nscd/connections.c:2638
+#: nscd/connections.c:2648 nscd/connections.c:2666 nscd/connections.c:2677
+#: nscd/connections.c:2687
 #, c-format
 msgid "Failed to run nscd as user '%s'"
 msgstr "Zlyhalo spustenie nscd ako používateľ '%s'"
 
-#: nscd/connections.c:2472
+#: nscd/connections.c:2640
 #, fuzzy
 #| msgid "getgrouplist failed"
 msgid "initial getgrouplist failed"
 msgstr "getgrouplist zlyhalo"
 
-#: nscd/connections.c:2481
+#: nscd/connections.c:2649
 msgid "getgrouplist failed"
 msgstr "getgrouplist zlyhalo"
 
-#: nscd/connections.c:2499
+#: nscd/connections.c:2667
 msgid "setgroups failed"
 msgstr "setgroups zlyhalo"
 
-#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:410
+#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:411
 #: nscd/pwdcache.c:383 nscd/servicescache.c:338
 #, c-format
 msgid "short write in %s: %s"
 msgstr "neúplný zápis v %s: %s"
 
-#: nscd/grpcache.c:450 nscd/initgrcache.c:77
+#: nscd/grpcache.c:450 nscd/initgrcache.c:78
 #, c-format
 msgid "Haven't found \"%s\" in group cache!"
 msgstr "Nenájdené \"%s\" v cache skupín!"
 
-#: nscd/grpcache.c:452 nscd/initgrcache.c:79
+#: nscd/grpcache.c:452 nscd/initgrcache.c:80
 #, fuzzy, c-format
 #| msgid "Haven't found \"%s\" in group cache!"
 msgid "Reloading \"%s\" in group cache!"
@@ -4221,7 +4278,7 @@ msgstr "Použiť samostatnú cache pre každého používateľa"
 msgid "Name Service Cache Daemon."
 msgstr "Démon cache služby názvov."
 
-#: nscd/nscd.c:155 nss/getent.c:1003 nss/makedb.c:206
+#: nscd/nscd.c:155 nss/getent.c:1007 nss/makedb.c:206
 #, c-format
 msgid "wrong number of arguments"
 msgstr "chybný počet argumentov"
@@ -4259,7 +4316,7 @@ msgstr ""
 msgid "Could not create log file"
 msgstr "Nie je možné vytvoriť žurnálový súbor \"%s\""
 
-#: nscd/nscd.c:355 nscd/nscd_stat.c:192
+#: nscd/nscd.c:355 nscd/nscd_stat.c:194
 #, c-format
 msgid "write incomplete"
 msgstr "neúplný zápis"
@@ -4276,7 +4333,7 @@ msgstr "nie je možné načítať údaje súboru"
 msgid "invalidation failed"
 msgstr "Modifikácia zlyhala"
 
-#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:173
+#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:175
 #, c-format
 msgid "Only root is allowed to use this option!"
 msgstr "Táto voľba je dostupná iba superužívateľovi!"
@@ -4361,35 +4418,35 @@ msgstr ""
 msgid "maximum file size for %s database too small"
 msgstr ""
 
-#: nscd/nscd_stat.c:142
+#: nscd/nscd_stat.c:144
 #, c-format
 msgid "cannot write statistics: %s"
 msgstr "nie je možné zapísať štatistiku: `%s'"
 
-#: nscd/nscd_stat.c:157
+#: nscd/nscd_stat.c:159
 msgid "yes"
 msgstr ""
 
-#: nscd/nscd_stat.c:158
+#: nscd/nscd_stat.c:160
 msgid "no"
 msgstr ""
 
-#: nscd/nscd_stat.c:169
+#: nscd/nscd_stat.c:171
 #, c-format
 msgid "Only root or %s is allowed to use this option!"
 msgstr "Len správca alebo %s má dostupnú túto voľbu!"
 
-#: nscd/nscd_stat.c:180
+#: nscd/nscd_stat.c:182
 #, c-format
 msgid "nscd not running!\n"
 msgstr "nscd nebeží!\n"
 
-#: nscd/nscd_stat.c:204
+#: nscd/nscd_stat.c:206
 #, c-format
 msgid "cannot read statistics data"
 msgstr "nie je možné načítať štatistické údaje"
 
-#: nscd/nscd_stat.c:207
+#: nscd/nscd_stat.c:209
 #, c-format
 msgid ""
 "nscd configuration:\n"
@@ -4400,27 +4457,27 @@ msgstr ""
 "\n"
 "%15d  ladiaca úroveň servera\n"
 
-#: nscd/nscd_stat.c:231
+#: nscd/nscd_stat.c:233
 #, c-format
 msgid "%3ud %2uh %2um %2lus  server runtime\n"
 msgstr "%3ud %2uh %2um %2lus  doba behu servera\n"
 
-#: nscd/nscd_stat.c:234
+#: nscd/nscd_stat.c:236
 #, c-format
 msgid "    %2uh %2um %2lus  server runtime\n"
 msgstr "    %2uh %2um %2lus  doba behu servera\n"
 
-#: nscd/nscd_stat.c:236
+#: nscd/nscd_stat.c:238
 #, c-format
 msgid "        %2um %2lus  server runtime\n"
 msgstr "        %2um %2lus  doba behu servera\n"
 
-#: nscd/nscd_stat.c:238
+#: nscd/nscd_stat.c:240
 #, c-format
 msgid "            %2lus  server runtime\n"
 msgstr "            %2lus  doba behu servera\n"
 
-#: nscd/nscd_stat.c:240
+#: nscd/nscd_stat.c:242
 #, c-format
 msgid ""
 "%15d  current number of threads\n"
@@ -4431,7 +4488,7 @@ msgid ""
 "%15u  reload count\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:275
+#: nscd/nscd_stat.c:277
 #, fuzzy, c-format
 #| msgid ""
 #| "\n"
@@ -4512,95 +4569,95 @@ msgstr "Nenájdené \"%s\" v cache hesiel!"
 msgid "Invalid numeric uid \"%s\"!"
 msgstr "Neplatné číselné uid \"%s\"!"
 
-#: nscd/selinux.c:155
+#: nscd/selinux.c:154
 #, c-format
 msgid "Failed opening connection to the audit subsystem: %m"
 msgstr ""
 
-#: nscd/selinux.c:176
+#: nscd/selinux.c:175
 msgid "Failed to set keep-capabilities"
 msgstr ""
 
-#: nscd/selinux.c:177 nscd/selinux.c:240
+#: nscd/selinux.c:176 nscd/selinux.c:239
 msgid "prctl(KEEPCAPS) failed"
 msgstr ""
 
-#: nscd/selinux.c:191
+#: nscd/selinux.c:190
 msgid "Failed to initialize drop of capabilities"
 msgstr ""
 
-#: nscd/selinux.c:192
+#: nscd/selinux.c:191
 #, fuzzy
 #| msgid "lstat failed"
 msgid "cap_init failed"
 msgstr "lstat zlyhal"
 
-#: nscd/selinux.c:213 nscd/selinux.c:230
+#: nscd/selinux.c:212 nscd/selinux.c:229
 msgid "Failed to drop capabilities"
 msgstr ""
 
-#: nscd/selinux.c:214 nscd/selinux.c:231
+#: nscd/selinux.c:213 nscd/selinux.c:230
 #, fuzzy
 #| msgid "setgroups failed"
 msgid "cap_set_proc failed"
 msgstr "setgroups zlyhalo"
 
-#: nscd/selinux.c:239
+#: nscd/selinux.c:238
 msgid "Failed to unset keep-capabilities"
 msgstr ""
 
-#: nscd/selinux.c:255
+#: nscd/selinux.c:254
 msgid "Failed to determine if kernel supports SELinux"
 msgstr ""
 
-#: nscd/selinux.c:270
+#: nscd/selinux.c:269
 msgid "Failed to start AVC thread"
 msgstr ""
 
-#: nscd/selinux.c:292
+#: nscd/selinux.c:291
 #, fuzzy
 #| msgid "Unable to create callback"
 msgid "Failed to create AVC lock"
 msgstr "Nie je možné vytvoriť spätné volanie"
 
-#: nscd/selinux.c:332
+#: nscd/selinux.c:331
 msgid "Failed to start AVC"
 msgstr ""
 
-#: nscd/selinux.c:334
+#: nscd/selinux.c:333
 msgid "Access Vector Cache (AVC) started"
 msgstr ""
 
-#: nscd/selinux.c:369
+#: nscd/selinux.c:368
 msgid "Error querying policy for undefined object classes or permissions."
 msgstr ""
 
-#: nscd/selinux.c:376
+#: nscd/selinux.c:375
 msgid "Error getting security class for nscd."
 msgstr ""
 
-#: nscd/selinux.c:381
+#: nscd/selinux.c:380
 #, c-format
 msgid "Error translating permission name \"%s\" to access vector bit."
 msgstr ""
 
-#: nscd/selinux.c:391
+#: nscd/selinux.c:390
 msgid "Error getting context of socket peer"
 msgstr ""
 
-#: nscd/selinux.c:396
+#: nscd/selinux.c:395
 #, fuzzy
 #| msgid "error getting callers id: %s"
 msgid "Error getting context of nscd"
 msgstr "chyba pri získaní id volajúceho: %s"
 
-#: nscd/selinux.c:402
+#: nscd/selinux.c:401
 #, fuzzy
 #| msgid "Error writing standard output"
 msgid "Error getting sid from context"
 msgstr "Chyba pri zápise na štandardný výstup"
 
-#: nscd/selinux.c:440
+#: nscd/selinux.c:439
 #, c-format
 msgid ""
 "\n"
@@ -4655,19 +4712,19 @@ msgstr "getent - získať záznamy z administratívnej databázy."
 msgid "Enumeration not supported on %s\n"
 msgstr "Enumerácia %s nie je podporované\n"
 
-#: nss/getent.c:917
+#: nss/getent.c:921
 #, fuzzy, c-format
 #| msgid "Unknown database: %s\n"
 msgid "Unknown database name"
 msgstr "Neznáma databáza %s\n"
 
-#: nss/getent.c:947
+#: nss/getent.c:951
 #, fuzzy
 #| msgid "Supported databases:"
 msgid "Supported databases:\n"
 msgstr "Podporované databázy:"
 
-#: nss/getent.c:1013
+#: nss/getent.c:1017
 #, c-format
 msgid "Unknown database: %s\n"
 msgstr "Neznáma databáza %s\n"
@@ -4967,7 +5024,7 @@ msgstr "Nepárová ) or \\)"
 msgid "No previous regular expression"
 msgstr "Žiadny predchádzajúci regulérny výraz"
 
-#: posix/wordexp.c:1844
+#: posix/wordexp.c:1851
 msgid "parameter null or not set"
 msgstr "prázdny alebo nenastavený parameter"
 
@@ -7785,6 +7842,9 @@ msgstr "%s: Nie je možné vytvoriť adresár %s: %s\n"
 #~ msgid "empty dynamics string token substitution"
 #~ msgstr "prázdna substitúcia tokenu reťazca dynamiky"
 
+#~ msgid "%s: profiler found no PLTREL in object %s\n"
+#~ msgstr "%s: profiler nenašiel PLTREL v objekte %s\n"
+
 #~ msgid "%s: profiler out of memory shadowing PLTREL of %s\n"
 #~ msgstr "%s: profiler vyčerpal pamäť pri vytváraní kópie PLTREL z %s\n"
 
diff --git a/po/sl.po b/po/sl.po
index ca96a20..5d4fc52 100644
--- a/po/sl.po
+++ b/po/sl.po
@@ -1,14 +1,14 @@
 # -*- mode: po; coding: utf-8; -*- Slovenian message catalog for GNU libc.
-# Copyright (C)  2013, 2014 Free Software Foundation, Inc.
+# Copyright (C)  2013, 2014, 2015, 2016 Free Software Foundation, Inc.
 # This file is distributed under the same license as the glibc package.
-# Primož Peterlin <primozz.peterlin@gmail.com>, 2013, 2014.
-# $Id: libc-2.18.90.20140105.sl.po,v 1.1 2014/02/02 15:58:03 peterlin Exp $
+# Primož Peterlin <primozz.peterlin@gmail.com>, 2013, 2014, 2015, 2016.
+# $Id: libc-2.22-pre1.sl.po,v 1.5 2016/01/04 22:59:34 peterlin Exp $
 msgid ""
 msgstr ""
-"Project-Id-Version: libc 2.18.90.20140105\n"
+"Project-Id-Version: libc 2.22-pre1\n"
 "Report-Msgid-Bugs-To: bug-coreutils@gnu.org\n"
-"POT-Creation-Date: 2015-01-20 22:14-0500\n"
-"PO-Revision-Date: 2014-02-02 16:58+0100\n"
+"POT-Creation-Date: 2015-07-31 00:10-0400\n"
+"PO-Revision-Date: 2016-01-04 23:59+0100\n"
 "Last-Translator: Primož Peterlin <primozz.peterlin@gmail.com>\n"
 "Language-Team: Slovenian <translation-team-sl@lists.sourceforge.net>\n"
 "Language: sl\n"
@@ -142,10 +142,10 @@ msgstr ""
 "[IZHODNA_DATOTEKA [VHODNA_DATOTEKA]...]"
 
 #: catgets/gencat.c:229 debug/pcprofiledump.c:209 elf/ldconfig.c:307
-#: elf/pldd.c:244 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
+#: elf/pldd.c:252 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
 #: iconv/iconvconfig.c:379 locale/programs/locale.c:277
 #: locale/programs/localedef.c:376 login/programs/pt_chown.c:88
-#: malloc/memusagestat.c:563 nss/getent.c:969 nss/makedb.c:369
+#: malloc/memusagestat.c:563 nss/getent.c:973 nss/makedb.c:369
 #: posix/getconf.c:486 sunrpc/rpcinfo.c:691
 #: sysdeps/unix/sysv/linux/lddlibc4.c:61
 #, c-format
@@ -157,7 +157,7 @@ msgstr ""
 "%s.\n"
 
 #: catgets/gencat.c:245 debug/pcprofiledump.c:225 debug/xtrace.sh:64
-#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:260 elf/sotruss.sh:75
+#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:268 elf/sotruss.sh:75
 #: elf/sprof.c:389 iconv/iconv_prog.c:425 iconv/iconvconfig.c:396
 #: locale/programs/locale.c:294 locale/programs/localedef.c:402
 #: login/programs/pt_chown.c:62 malloc/memusage.sh:71
@@ -175,7 +175,7 @@ msgstr ""
 "niti jamstev USTREZNOSTI ZA PRODAJO ali PRIMERNOSTI ZA RABO.\n"
 
 #: catgets/gencat.c:250 debug/pcprofiledump.c:230 debug/xtrace.sh:68
-#: elf/ldconfig.c:328 elf/pldd.c:265 elf/sprof.c:395 iconv/iconv_prog.c:430
+#: elf/ldconfig.c:328 elf/pldd.c:273 elf/sprof.c:395 iconv/iconv_prog.c:430
 #: iconv/iconvconfig.c:401 locale/programs/locale.c:299
 #: locale/programs/localedef.c:407 malloc/memusage.sh:75
 #: malloc/memusagestat.c:586 nscd/nscd.c:514 nss/getent.c:91 nss/makedb.c:390
@@ -428,11 +428,11 @@ msgstr "Sprememba pravic dostopa za %s na %#o ni uspela"
 msgid "Renaming of %s to %s failed"
 msgstr "Preimenovanje %s v %s ni uspelo"
 
-#: elf/dl-close.c:385 elf/dl-open.c:470
+#: elf/dl-close.c:396 elf/dl-open.c:478
 msgid "cannot create scope list"
 msgstr "seznama področja ni mogoče ustvariti"
 
-#: elf/dl-close.c:770
+#: elf/dl-close.c:816
 msgid "shared object not open"
 msgstr "deljeni predmet ni odprt"
 
@@ -505,127 +505,127 @@ msgstr "polja iskalnih poti ni mogoče ustvariti"
 msgid "cannot stat shared object"
 msgstr "statusa deljenega predmeta ni mogoče ugotoviti"
 
-#: elf/dl-load.c:963
+#: elf/dl-load.c:962
 msgid "cannot open zero fill device"
 msgstr "ni mogoče odpreti naprave /dev/zero"
 
-#: elf/dl-load.c:1010 elf/dl-load.c:2165
+#: elf/dl-load.c:1009 elf/dl-load.c:2159
 msgid "cannot create shared object descriptor"
 msgstr "deljenega predmetnega deskriptorja ni mogoče ustvariti"
 
-#: elf/dl-load.c:1029 elf/dl-load.c:1570 elf/dl-load.c:1682
+#: elf/dl-load.c:1028 elf/dl-load.c:1568 elf/dl-load.c:1680
 msgid "cannot read file data"
 msgstr "podatkov datoteke ni mogoče prebrati"
 
-#: elf/dl-load.c:1069
+#: elf/dl-load.c:1068
 msgid "ELF load command alignment not page-aligned"
 msgstr "poravnava ukaza ELF za nalaganje ni poravnana s stranjo"
 
-#: elf/dl-load.c:1076
+#: elf/dl-load.c:1075
 msgid "ELF load command address/offset not properly aligned"
 msgstr "naslov/odmik ukaza ELF za nalaganje ni primerno poravnan"
 
-#: elf/dl-load.c:1160
+#: elf/dl-load.c:1159
 msgid "cannot allocate TLS data structures for initial thread"
 msgstr "podatkovnih struktur TLS za začetno nit ni mogoče dodeliti"
 
-#: elf/dl-load.c:1183
+#: elf/dl-load.c:1182
 msgid "cannot handle TLS data"
 msgstr "rokovanje s podatki TLS ni mogoče"
 
-#: elf/dl-load.c:1202
+#: elf/dl-load.c:1201
 msgid "object file has no loadable segments"
 msgstr "predmetna datoteka nima včitljivega segmenta"
 
-#: elf/dl-load.c:1211 elf/dl-load.c:1662
+#: elf/dl-load.c:1210 elf/dl-load.c:1660
 msgid "cannot dynamically load executable"
 msgstr "dinamično nalaganje izvedljive datoteke ni mogoče"
 
-#: elf/dl-load.c:1232
+#: elf/dl-load.c:1231
 msgid "object file has no dynamic section"
 msgstr "predmetna datoteka nima dinamične sekcije"
 
-#: elf/dl-load.c:1255
+#: elf/dl-load.c:1254
 msgid "shared object cannot be dlopen()ed"
 msgstr "dlopen() na deljenih predmetih ni mogoč"
 
-#: elf/dl-load.c:1268
+#: elf/dl-load.c:1267
 msgid "cannot allocate memory for program header"
 msgstr "dodelitev pomnilnika za glavo programa ni mogoča"
 
-#: elf/dl-load.c:1284 elf/dl-open.c:195
+#: elf/dl-load.c:1283 elf/dl-open.c:195
 msgid "invalid caller"
 msgstr "neveljaven klicatelj"
 
-#: elf/dl-load.c:1307 elf/dl-load.h:130
+#: elf/dl-load.c:1306 elf/dl-load.h:130
 msgid "cannot change memory protections"
 msgstr "sprememba zaščite pomnilnika ni mogoča"
 
-#: elf/dl-load.c:1327
+#: elf/dl-load.c:1326
 msgid "cannot enable executable stack as shared object requires"
 msgstr "izvedljivega sklada ni mogoče omogočiti, kot to zahteva deljeni predmet"
 
-#: elf/dl-load.c:1340
+#: elf/dl-load.c:1339
 msgid "cannot close file descriptor"
 msgstr "datotečnega deskriptorja ni mogoče zapreti"
 
-#: elf/dl-load.c:1570
+#: elf/dl-load.c:1568
 msgid "file too short"
 msgstr "datoteka je prekratka"
 
-#: elf/dl-load.c:1605
+#: elf/dl-load.c:1603
 msgid "invalid ELF header"
 msgstr "neveljavna glava ELF"
 
-#: elf/dl-load.c:1617
+#: elf/dl-load.c:1615
 msgid "ELF file data encoding not big-endian"
 msgstr "kodiranje podatkov datoteke ELF ni »big-endian«"
 
-#: elf/dl-load.c:1619
+#: elf/dl-load.c:1617
 msgid "ELF file data encoding not little-endian"
 msgstr "kodiranje podatkov datoteke ELF ni »little-endian«"
 
-#: elf/dl-load.c:1623
+#: elf/dl-load.c:1621
 msgid "ELF file version ident does not match current one"
 msgstr "identifikator različice datoteke ELF se ne ujema s trenutnim"
 
-#: elf/dl-load.c:1627
+#: elf/dl-load.c:1625
 msgid "ELF file OS ABI invalid"
 msgstr "OS ABI datoteke ELF ni veljaven"
 
-#: elf/dl-load.c:1630
+#: elf/dl-load.c:1628
 msgid "ELF file ABI version invalid"
 msgstr "različica ABI datoteke ELF ni veljavna"
 
-#: elf/dl-load.c:1633
+#: elf/dl-load.c:1631
 msgid "nonzero padding in e_ident"
 msgstr "neničelno zapolnjenje pri e_ident"
 
-#: elf/dl-load.c:1636
+#: elf/dl-load.c:1634
 msgid "internal error"
 msgstr "interna napaka"
 
-#: elf/dl-load.c:1643
+#: elf/dl-load.c:1641
 msgid "ELF file version does not match current one"
 msgstr "različica datoteke ELF se ne ujema s trenutno"
 
-#: elf/dl-load.c:1651
+#: elf/dl-load.c:1649
 msgid "only ET_DYN and ET_EXEC can be loaded"
 msgstr "samo ET_DYN in ET_EXEC je mogoče naložiti"
 
-#: elf/dl-load.c:1667
+#: elf/dl-load.c:1665
 msgid "ELF file's phentsize not the expected size"
 msgstr "phentsize datoteke ELF ni pričakovane velikosti"
 
-#: elf/dl-load.c:2184
+#: elf/dl-load.c:2178
 msgid "wrong ELF class: ELFCLASS64"
 msgstr "napačen razred ELF: ELFCLASS64"
 
-#: elf/dl-load.c:2185
+#: elf/dl-load.c:2179
 msgid "wrong ELF class: ELFCLASS32"
 msgstr "napačen razred ELF: ELFCLASS32"
 
-#: elf/dl-load.c:2188
+#: elf/dl-load.c:2182
 msgid "cannot open shared object file"
 msgstr "deljene predmetne datoteke ni mogoče odpreti"
 
@@ -637,11 +637,11 @@ msgstr "preslikava segmenta iz deljenega predmeta ni uspela"
 msgid "cannot map zero-fill pages"
 msgstr "ničelnih strani ni mogoče preslikati"
 
-#: elf/dl-lookup.c:791
+#: elf/dl-lookup.c:845
 msgid "relocation error"
 msgstr "napaka pri premikanju"
 
-#: elf/dl-lookup.c:818
+#: elf/dl-lookup.c:872
 msgid "symbol lookup error"
 msgstr "napaka pri iskanju simbola"
 
@@ -649,49 +649,40 @@ msgstr "napaka pri iskanju simbola"
 msgid "cannot extend global scope"
 msgstr "ni mogoče razširiti globalnega področja"
 
-#: elf/dl-open.c:520
+#: elf/dl-open.c:528
 msgid "TLS generation counter wrapped!  Please report this."
 msgstr "Zapletanje števca generacij TLS! Prosim, javite to napako."
 
-#: elf/dl-open.c:542
-msgid "cannot load any more object with static TLS"
-msgstr "nobenega predmeta s statičnim TLS ni več mogoče naložiti"
-
-#: elf/dl-open.c:599
+#: elf/dl-open.c:592
 msgid "invalid mode for dlopen()"
 msgstr "neveljavni način za dlopen()"
 
-#: elf/dl-open.c:616
+#: elf/dl-open.c:609
 msgid "no more namespaces available for dlmopen()"
 msgstr "nobenega imenskega prostora za dlmopen() ni več na voljo"
 
-#: elf/dl-open.c:634
+#: elf/dl-open.c:633
 msgid "invalid target namespace in dlmopen()"
 msgstr "neveljavni ciljni imenski prostor pri dlmopen()"
 
-#: elf/dl-reloc.c:120
+#: elf/dl-reloc.c:121
 msgid "cannot allocate memory in static TLS block"
 msgstr "ni mogoče dodeliti pomnilnika v statičnem bloku TLS"
 
-#: elf/dl-reloc.c:212
+#: elf/dl-reloc.c:206
 msgid "cannot make segment writable for relocation"
 msgstr "segmenta se ne da odščititi za pisanje pred premikom"
 
-#: elf/dl-reloc.c:275
-#, c-format
-msgid "%s: no PLTREL found in object %s\n"
-msgstr "%s: v predmetu %s ni najti PLTREL\n"
-
-#: elf/dl-reloc.c:290
+#: elf/dl-reloc.c:276
 #, c-format
 msgid "%s: out of memory to store relocation results for %s\n"
 msgstr "%s: pomnilnika ni dovolj za shranjevanje rezultatov premikanja %s\n"
 
-#: elf/dl-reloc.c:306
+#: elf/dl-reloc.c:292
 msgid "cannot restore segment prot after reloc"
 msgstr "zaščite segmenta po premiku ni mogoče povrniti"
 
-#: elf/dl-reloc.c:335
+#: elf/dl-reloc.c:323
 msgid "cannot apply additional memory protection after relocation"
 msgstr "dodatne zaščite pomnilnika po premiku ni mogoče uporabiti"
 
@@ -699,7 +690,7 @@ msgstr "dodatne zaščite pomnilnika po premiku ni mogoče uporabiti"
 msgid "RTLD_NEXT used in code not dynamically loaded"
 msgstr "RTLD_NEXT uporabljen v kodi se ni dinamično naložil"
 
-#: elf/dl-tls.c:933
+#: elf/dl-tls.c:934
 msgid "cannot create TLS data structures"
 msgstr "podatkovnih struktur TLS ni mogoče ustvariti"
 
@@ -843,7 +834,7 @@ msgstr "Povezava ni bila ustvarjena, ker ni bilo moč najti soname za %s"
 msgid "Can't open directory %s"
 msgstr "Ni mogoče odpreti imenika %s"
 
-#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:90
+#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:97
 #, c-format
 msgid "Input file %s not found.\n"
 msgstr "Vhodne datoteke %s ni moč najti.\n"
@@ -980,7 +971,7 @@ msgstr "manjkajoči argumenti datoteke"
 msgid "No such file or directory"
 msgstr "Datoteka ali imenik s tem imenom ne obstaja"
 
-#: elf/ldd.bash.in:150 inet/rcmd.c:488
+#: elf/ldd.bash.in:150 inet/rcmd.c:492
 msgid "not regular file"
 msgstr "ni navadna datoteka"
 
@@ -1025,65 +1016,70 @@ msgstr "branje r_debug ni mogoče"
 msgid "cannot read program interpreter"
 msgstr "programskega tolmača ni mogoče prebrati"
 
-#: elf/pldd-xx.c:196
+#: elf/pldd-xx.c:197
 #, c-format
 msgid "cannot read link map"
 msgstr "preslikave povezav ni mogoče prebrati"
 
-#: elf/pldd-xx.c:207
+#: elf/pldd-xx.c:209
 #, c-format
 msgid "cannot read object name"
 msgstr "imena predmeta ni mogoče prebrati"
 
-#: elf/pldd.c:63
+#: elf/pldd-xx.c:219
+#, c-format
+msgid "cannot allocate buffer for object name"
+msgstr "dodelitev medpomnilnika za ime predmeta ni mogoča"
+
+#: elf/pldd.c:64
 msgid "List dynamic shared objects loaded into process."
 msgstr "Izpiši seznam dinamičnih deljenih predmetov, naloženih v proces."
 
-#: elf/pldd.c:67
+#: elf/pldd.c:68
 msgid "PID"
 msgstr "PID"
 
-#: elf/pldd.c:99
+#: elf/pldd.c:100
 #, c-format
 msgid "Exactly one parameter with process ID required.\n"
 msgstr "Zahtevan je natančno en parameter z ID procesa.\n"
 
-#: elf/pldd.c:111
+#: elf/pldd.c:112
 #, c-format
 msgid "invalid process ID '%s'"
 msgstr "neveljavna identifikacijska številka procesa »%s«"
 
-#: elf/pldd.c:119
+#: elf/pldd.c:120
 #, c-format
 msgid "cannot open %s"
 msgstr "ni mogoče odpreti %s"
 
-#: elf/pldd.c:144
+#: elf/pldd.c:152
 #, c-format
 msgid "cannot open %s/task"
 msgstr "ni mogoče odpreti %s/task"
 
-#: elf/pldd.c:147
+#: elf/pldd.c:155
 #, c-format
 msgid "cannot prepare reading %s/task"
 msgstr "ni mogoče pripraviti %s/task za branje"
 
-#: elf/pldd.c:160
+#: elf/pldd.c:168
 #, c-format
 msgid "invalid thread ID '%s'"
 msgstr "neveljavna identifikacijska številka niti »%s«"
 
-#: elf/pldd.c:171
+#: elf/pldd.c:179
 #, c-format
 msgid "cannot attach to process %lu"
 msgstr "pripenjanje k procesu %lu ni mogoče"
 
-#: elf/pldd.c:286
+#: elf/pldd.c:294
 #, c-format
 msgid "cannot get information about process %lu"
 msgstr "informacije o procesu %lu niso na voljo"
 
-#: elf/pldd.c:299
+#: elf/pldd.c:307
 #, c-format
 msgid "process %lu is no ELF program"
 msgstr "proces %lu ni program ELF"
@@ -1118,27 +1114,27 @@ msgstr "%s ni deljena predmetna datoteka (tip: %d).\n"
 msgid "more than one dynamic segment\n"
 msgstr "več kot en dinamični segment\n"
 
-#: elf/readlib.c:96
+#: elf/readlib.c:103
 #, c-format
 msgid "Cannot fstat file %s.\n"
 msgstr "fstat() na datoteki %s ni mogoče izvesti.\n"
 
-#: elf/readlib.c:107
+#: elf/readlib.c:114
 #, c-format
 msgid "File %s is empty, not checked."
 msgstr "Datoteka %s je prazna, brez preverjanja."
 
-#: elf/readlib.c:113
+#: elf/readlib.c:120
 #, c-format
 msgid "File %s is too small, not checked."
 msgstr "Datoteka %s je premajhna, brez preverjanja."
 
-#: elf/readlib.c:123
+#: elf/readlib.c:130
 #, c-format
 msgid "Cannot mmap file %s.\n"
 msgstr "mmap() na datoteki %s ni mogoče izvesti.\n"
 
-#: elf/readlib.c:161
+#: elf/readlib.c:169
 #, c-format
 msgid "%s is not an ELF file - it has the wrong magic bytes at the start.\n"
 msgstr "%s ni datoteka ELF - magično zaporedje bajtov na začetku je napačno.\n"
@@ -1149,6 +1145,8 @@ msgid ""
 "Usage: sln src dest|file\n"
 "\n"
 msgstr ""
+"Uporaba: sln IZVOR CILJ|DATOTEKA\n"
+"\n"
 
 #: elf/sln.c:109
 #, c-format
@@ -1178,7 +1176,7 @@ msgstr "%s: neveljaven cilj: %s\n"
 #: elf/sln.c:207 elf/sln.c:216
 #, c-format
 msgid "Invalid link from \"%s\" to \"%s\": %s\n"
-msgstr ""
+msgstr "Neveljavna povezava z »%s« na »%s«: %s\n"
 
 #: elf/sotruss.sh:32
 #, sh-format
@@ -1196,6 +1194,18 @@ msgid ""
 "      --usage             Give a short usage message\n"
 "      --version           Print program version"
 msgstr ""
+"Usage: sotruss [IZBIRA...] [--] PROGRAM [IZBIRA_PROGRAMA...]\n"
+"  -F, --from SEZNAM       Sledi klicem predmetov s SEZNAMA\n"
+"  -T, --to SEZNAM         Sledi klicem predmetom s SEZNAMA\n"
+"\n"
+"  -e, --exit              Prikaži tudi izhode klicev funkcij\n"
+"  -f, --follow            Sledi procesom naslednikom\n"
+"  -o, --output DATOTEKA   Zapiši izhod na DATOTEKO (ali DATOTEKO.$PID, če\n"
+"                          je uporabljena izbira -f) namesto na standardni izhod\n"
+"\n"
+"  -?, --help              Prikaži ta seznam pomoči\n"
+"      --usage             Prikaži kratko sporočilo o rabi\n"
+"      --version           Izpiši različico programa"
 
 #: elf/sotruss.sh:46
 msgid "Mandatory arguments to long options are also mandatory for any corresponding\\nshort options.\\n"
@@ -1220,6 +1230,10 @@ msgid ""
 "\t    [--help] [--usage] [--version] [--]\n"
 "\t    EXECUTABLE [EXECUTABLE-OPTION...]\\n"
 msgstr ""
+"Usage: %s [-ef] [-F SEZNAM] [-o DATOTEKA] [-T SEZNAM] [--exit]\n"
+"       [--follow] [--from SEZNAM] [--output DATOTEKA] [--to SEZNAM]\n"
+"       [-help] [--usage] [--version] [--]\n"
+"       PROGRAM [IZBIRA_PROGRAMA...]"
 
 #: elf/sotruss.sh:134
 msgid "%s: unrecognized option '%c%s'\\n"
@@ -1231,33 +1245,33 @@ msgstr "Izbira izhoda:"
 
 #: elf/sprof.c:79
 msgid "print list of count paths and their number of use"
-msgstr ""
+msgstr "izpiši seznam štetih poti in število njihovih rab"
 
 #: elf/sprof.c:81
 msgid "generate flat profile with counts and ticks"
-msgstr ""
+msgstr "ustvari enostavni profil s števili in takti"
 
 #: elf/sprof.c:82
 msgid "generate call graph"
-msgstr ""
+msgstr "ustvari graf klicev"
 
 #: elf/sprof.c:89
 msgid "Read and display shared object profiling data."
-msgstr ""
+msgstr "Preberi in prikaži profilne podatke za deljeni predmet."
 
 #: elf/sprof.c:94
 msgid "SHOBJ [PROFDATA]"
-msgstr ""
+msgstr "SHOBJ [PROFDATA]"
 
 #: elf/sprof.c:433
 #, c-format
 msgid "failed to load shared object `%s'"
 msgstr "nalaganje deljenega predmeta »%s« ni uspelo"
 
-#: elf/sprof.c:442
+#: elf/sprof.c:442 elf/sprof.c:825 elf/sprof.c:923
 #, c-format
-msgid "cannot create internal descriptors"
-msgstr "internih deskriptorjev ni mogoče ustvariti"
+msgid "cannot create internal descriptor"
+msgstr "internega deskriptorja ni mogoče ustvariti"
 
 #: elf/sprof.c:554
 #, c-format
@@ -1294,7 +1308,7 @@ msgstr "branje zaglavja ELF ni uspelo"
 #: elf/sprof.c:685
 #, c-format
 msgid "*** The file `%s' is stripped: no detailed analysis possible\n"
-msgstr ""
+msgstr "*** Datoteka »%s« je posneta; podrobna analiza ni mogoča\n"
 
 #: elf/sprof.c:715
 #, c-format
@@ -1304,37 +1318,32 @@ msgstr "nalaganje simbolnih podatkov ni uspelo"
 #: elf/sprof.c:780
 #, c-format
 msgid "cannot load profiling data"
-msgstr ""
+msgstr "profilnih podatkov ni mogoče naložiti"
 
 #: elf/sprof.c:789
 #, c-format
 msgid "while stat'ing profiling data file"
-msgstr ""
+msgstr "ob branju statistike datoteke s profilnimi podatki"
 
 #: elf/sprof.c:797
 #, c-format
 msgid "profiling data file `%s' does not match shared object `%s'"
-msgstr ""
+msgstr "datoteka s profilimi podatki »%s« ne ustreza deljenemu predmetu »%s«"
 
 #: elf/sprof.c:808
 #, c-format
 msgid "failed to mmap the profiling data file"
-msgstr ""
+msgstr "klic mmap() na datoteki s profilnimi podatki ni uspel"
 
 #: elf/sprof.c:816
 #, c-format
 msgid "error while closing the profiling data file"
 msgstr "napaka pri zapiranju datoteke s podatki za profiliranje"
 
-#: elf/sprof.c:825 elf/sprof.c:923
-#, c-format
-msgid "cannot create internal descriptor"
-msgstr "internega deskriptorja ni mogoče ustvariti"
-
 #: elf/sprof.c:899
 #, c-format
 msgid "`%s' is no correct profile data file for `%s'"
-msgstr ""
+msgstr "»%s« ni prava datoteka s profilnimi podatki za »%s«"
 
 #: elf/sprof.c:1080 elf/sprof.c:1138
 #, c-format
@@ -1354,7 +1363,7 @@ msgstr "napaka pri zapiranju vhoda »%s«"
 #: iconv/iconv_charmap.c:435
 #, c-format
 msgid "illegal input sequence at position %Zd"
-msgstr ""
+msgstr "neveljavno vhodno zaporedje na poziciji %Zd"
 
 #: iconv/iconv_charmap.c:454 iconv/iconv_prog.c:539
 #, c-format
@@ -1465,7 +1474,7 @@ msgstr "pretvorba ustavljena zaradi težav pri pisanju na izhod"
 #: iconv/iconv_prog.c:535
 #, c-format
 msgid "illegal input sequence at position %ld"
-msgstr ""
+msgstr "neveljavno vhodno zaporedje na poziciji %ld"
 
 #: iconv/iconv_prog.c:543
 #, c-format
@@ -1486,10 +1495,16 @@ msgid ""
 "\n"
 "  "
 msgstr ""
+"Sledeči seznam vsebuje vse poznane kodirane nabore znakov. To ne pomeni nujno,\n"
+"da je mogoče katerokoli kombinacijo uporabiti za izbiro vhodnega in izhodnega\n"
+"kodiranja v ukazni vrstici. Posamezni kodirani nabor znakov je lahko naštet\n"
+"pod več sinonimi.\n"
+"\n"
+" "
 
 #: iconv/iconvconfig.c:109
 msgid "Create fastloading iconv module configuration file."
-msgstr ""
+msgstr "Ustvarjam konfiguracijsko datoteko za hitro-naložljiv modul iconv."
 
 #: iconv/iconvconfig.c:113
 msgid "[DIR...]"
@@ -1501,30 +1516,30 @@ msgstr "POT"
 
 #: iconv/iconvconfig.c:127
 msgid "Prefix used for all file accesses"
-msgstr ""
+msgstr "Predpona za vse dostope do datotek"
 
 #: iconv/iconvconfig.c:128
 msgid "Put output in FILE instead of installed location (--prefix does not apply to FILE)"
-msgstr ""
+msgstr "Zapiši izhod v DATOTEKO namesto na običajno mesto (--prefix se ne nanaša na DATOTEKO)"
 
 #: iconv/iconvconfig.c:132
 msgid "Do not search standard directories, only those on the command line"
-msgstr ""
+msgstr "Ne preiskuj standardnih imenikov, ampak le tiste, navedene v ukazni vrstici"
 
 #: iconv/iconvconfig.c:299
 #, c-format
 msgid "Directory arguments required when using --nostdlib"
-msgstr ""
+msgstr "Pri izbiri --nostdlib mora biti podan imenik"
 
 #: iconv/iconvconfig.c:341 locale/programs/localedef.c:294
 #, c-format
 msgid "no output file produced because warnings were issued"
-msgstr ""
+msgstr "zaradi opozoril med potekom izhodna datoteka ni bila ustvarjena"
 
 #: iconv/iconvconfig.c:430
 #, c-format
 msgid "while inserting in search tree"
-msgstr ""
+msgstr "med vrivanjem v iskalno drevo"
 
 #: iconv/iconvconfig.c:1239
 #, c-format
@@ -1537,12 +1552,12 @@ msgstr "rcmd: Pomnilnika ni mogoče rezervirati\n"
 
 #: inet/rcmd.c:178
 msgid "rcmd: socket: All ports in use\n"
-msgstr "rcmd: vtičnica: Vsa vrata so v rabi\n"
+msgstr "rcmd: socket: Vsa vrata so v rabi\n"
 
 #: inet/rcmd.c:206
 #, c-format
 msgid "connect to address %s: "
-msgstr "priklapljanje na naslov %s: "
+msgstr "priklop na naslov %s: "
 
 #: inet/rcmd.c:219
 #, c-format
@@ -1552,49 +1567,49 @@ msgstr "Poskuša se %s...\n"
 #: inet/rcmd.c:255
 #, c-format
 msgid "rcmd: write (setting up stderr): %m\n"
-msgstr ""
+msgstr "rcmd: write (nastavljanje stderr): %m\n"
 
 #: inet/rcmd.c:271
 #, c-format
 msgid "rcmd: poll (setting up stderr): %m\n"
-msgstr ""
+msgstr "rcmd: poll (nastavljanje stderr): %m\n"
 
 #: inet/rcmd.c:274
 msgid "poll: protocol failure in circuit setup\n"
-msgstr ""
+msgstr "poll: napaka v protokolu pri nastavljanju vezja\n"
 
 #: inet/rcmd.c:306
 msgid "socket: protocol failure in circuit setup\n"
-msgstr ""
+msgstr "socket: napaka v protokolu pri nastavljanju vezja\n"
 
 #: inet/rcmd.c:330
 #, c-format
 msgid "rcmd: %s: short read"
-msgstr ""
+msgstr "rcmd: %s: manjkajoči podatki pri branju"
 
-#: inet/rcmd.c:486
+#: inet/rcmd.c:490
 msgid "lstat failed"
 msgstr "lstat ni uspel"
 
-#: inet/rcmd.c:493
+#: inet/rcmd.c:497
 msgid "cannot open"
 msgstr "ni mogoče odpreti"
 
-#: inet/rcmd.c:495
+#: inet/rcmd.c:499
 msgid "fstat failed"
 msgstr "fstat ni uspel"
 
-#: inet/rcmd.c:497
+#: inet/rcmd.c:501
 msgid "bad owner"
-msgstr ""
+msgstr "nepravi lastnik"
 
-#: inet/rcmd.c:499
+#: inet/rcmd.c:503
 msgid "writeable by other than owner"
-msgstr ""
+msgstr "dovoljenje za pisanje ima ne-lastnik"
 
-#: inet/rcmd.c:501
+#: inet/rcmd.c:505
 msgid "hard linked somewhere"
-msgstr ""
+msgstr "obstaja trda povezava"
 
 #: inet/ruserpass.c:170 inet/ruserpass.c:193
 msgid "out of memory"
@@ -1602,11 +1617,11 @@ msgstr "zmanjkalo pomnilnika"
 
 #: inet/ruserpass.c:184
 msgid "Error: .netrc file is readable by others."
-msgstr ""
+msgstr "Napaka: datoteko .netrc lahko berejo drugi."
 
 #: inet/ruserpass.c:185
 msgid "Remove password or make file unreadable by others."
-msgstr ""
+msgstr "Odstranite geslo ali napravite datoteke neberljivo za druge."
 
 #: inet/ruserpass.c:277
 #, c-format
@@ -1618,108 +1633,102 @@ msgid "Character out of range for UTF-8"
 msgstr "Znak izven obsega UTF-8"
 
 #: locale/programs/charmap-dir.c:57
-#, fuzzy, c-format
+#, c-format
 msgid "cannot read character map directory `%s'"
-msgstr "imenika %s ni mogoče ustvariti"
+msgstr "imenika »%s« s preslikavami znakov ni mogoče prebrati"
 
 #: locale/programs/charmap.c:138
-#, fuzzy, c-format
+#, c-format
 msgid "character map file `%s' not found"
-msgstr "Datoteke z vzorcem datuma ni najti"
+msgstr "datoteke »%s« s preslikavami znakov ni najti"
 
 #: locale/programs/charmap.c:195
-#, fuzzy, c-format
+#, c-format
 msgid "default character map file `%s' not found"
-msgstr "znakovne enote niso podprte"
+msgstr "privzete datoteke »%s« s preslikavami znakov ni najti"
 
 #: locale/programs/charmap.c:258
 #, c-format
 msgid "character map `%s' is not ASCII compatible, locale not ISO C compliant\n"
-msgstr ""
+msgstr "preslikava znakov »%s« ni združljiva z ASCII, okolje ne ustreza ISO C\n"
 
 #: locale/programs/charmap.c:337
-#, fuzzy, c-format
+#, c-format
 msgid "%s: <mb_cur_max> must be greater than <mb_cur_min>\n"
-msgstr "%s: število vrstice mora biti pozitivno"
+msgstr "%s: <mb_cur_max> mora biti večje od <mb_cur_min>\n"
 
 #: locale/programs/charmap.c:357 locale/programs/charmap.c:374
 #: locale/programs/repertoire.c:174
-#, fuzzy, c-format
+#, c-format
 msgid "syntax error in prolog: %s"
-msgstr "napaka v %s: %s"
+msgstr "skladenjska napaka v preambuli: %s"
 
 #: locale/programs/charmap.c:358
-#, fuzzy
 msgid "invalid definition"
-msgstr "%s:%d: neveljavna definicija niza"
+msgstr "neveljavna definicija"
 
 #: locale/programs/charmap.c:375 locale/programs/locfile.c:131
 #: locale/programs/locfile.c:158 locale/programs/repertoire.c:175
-#, fuzzy
 msgid "bad argument"
-msgstr "neveljavni argument %s"
+msgstr "neveljavni argument"
 
 #: locale/programs/charmap.c:403
-#, fuzzy, c-format
+#, c-format
 msgid "duplicate definition of <%s>"
-msgstr "podvojena definicija sporočila"
+msgstr "podvojena definicija <%s>"
 
 #: locale/programs/charmap.c:410
 #, c-format
 msgid "value for <%s> must be 1 or greater"
-msgstr ""
+msgstr "vrednost <%s> mora biti 1 ali več"
 
 #: locale/programs/charmap.c:422
 #, c-format
 msgid "value of <%s> must be greater or equal than the value of <%s>"
-msgstr ""
+msgstr "vrednost <%s> mora biti večja ali enaka od vrednosti <%s>"
 
 #: locale/programs/charmap.c:445 locale/programs/repertoire.c:183
-#, fuzzy, c-format
+#, c-format
 msgid "argument to <%s> must be a single character"
-msgstr "argument %s mora biti eno samo ločilo"
+msgstr "argument <%s> mora biti en sam znak"
 
 #: locale/programs/charmap.c:471
-#, fuzzy
 msgid "character sets with locking states are not supported"
-msgstr "znakovne enote niso podprte"
+msgstr "nabori znakov z zaklepnimi stanji niso podprti"
 
 #: locale/programs/charmap.c:498 locale/programs/charmap.c:552
 #: locale/programs/charmap.c:584 locale/programs/charmap.c:678
 #: locale/programs/charmap.c:733 locale/programs/charmap.c:774
 #: locale/programs/charmap.c:815
-#, fuzzy, c-format
+#, c-format
 msgid "syntax error in %s definition: %s"
-msgstr "napaka v %s: %s"
+msgstr "skladenjska napaka v definiciji %s: %s"
 
 #: locale/programs/charmap.c:499 locale/programs/charmap.c:679
 #: locale/programs/charmap.c:775 locale/programs/repertoire.c:230
-#, fuzzy
 msgid "no symbolic name given"
-msgstr "Ime arhiva ni podano"
+msgstr "simbolno ime ni podano"
 
 #: locale/programs/charmap.c:553
-#, fuzzy
 msgid "invalid encoding given"
-msgstr "neveljavni padajoči razpon"
+msgstr "podano je neveljavno kodiranje"
 
 #: locale/programs/charmap.c:562
 msgid "too few bytes in character encoding"
-msgstr ""
+msgstr "premalo bajtov v kodiranju znakov"
 
 #: locale/programs/charmap.c:564
-#, fuzzy
 msgid "too many bytes in character encoding"
-msgstr "preveč znakov v množici"
+msgstr "preveč bajtov v kodiranju znakov"
 
 #: locale/programs/charmap.c:586 locale/programs/charmap.c:734
 #: locale/programs/charmap.c:817 locale/programs/repertoire.c:296
 msgid "no symbolic name given for end of range"
-msgstr ""
+msgstr "simbolno ime za konec razpona ni podano"
 
 #: locale/programs/charmap.c:610 locale/programs/ld-address.c:528
-#: locale/programs/ld-collate.c:2626 locale/programs/ld-collate.c:3784
-#: locale/programs/ld-ctype.c:2162 locale/programs/ld-ctype.c:2913
+#: locale/programs/ld-collate.c:2635 locale/programs/ld-collate.c:3793
+#: locale/programs/ld-ctype.c:2128 locale/programs/ld-ctype.c:2840
 #: locale/programs/ld-identification.c:368
 #: locale/programs/ld-measurement.c:215 locale/programs/ld-messages.c:298
 #: locale/programs/ld-monetary.c:740 locale/programs/ld-name.c:264
@@ -1728,78 +1737,77 @@ msgstr ""
 #: locale/programs/repertoire.c:313
 #, c-format
 msgid "%1$s: definition does not end with `END %1$s'"
-msgstr ""
+msgstr "%1$s: definicija se ne zaključi z »END %1$s«"
 
 #: locale/programs/charmap.c:643
 msgid "only WIDTH definitions are allowed to follow the CHARMAP definition"
-msgstr ""
+msgstr "definiciji CHARMAP smejo slediti le definicije WIDTH"
 
 #: locale/programs/charmap.c:651 locale/programs/charmap.c:714
 #, c-format
 msgid "value for %s must be an integer"
-msgstr ""
+msgstr "vrednost %s mora biti celo število"
 
 #: locale/programs/charmap.c:842
-#, fuzzy, c-format
+#, c-format
 msgid "%s: error in state machine"
-msgstr "%s: napaka pri krajšanju"
+msgstr "%s: napaka v stroju stanj"
 
 #: locale/programs/charmap.c:850 locale/programs/ld-address.c:544
-#: locale/programs/ld-collate.c:2623 locale/programs/ld-collate.c:3977
-#: locale/programs/ld-ctype.c:2159 locale/programs/ld-ctype.c:2930
+#: locale/programs/ld-collate.c:2632 locale/programs/ld-collate.c:3986
+#: locale/programs/ld-ctype.c:2125 locale/programs/ld-ctype.c:2857
 #: locale/programs/ld-identification.c:384
 #: locale/programs/ld-measurement.c:231 locale/programs/ld-messages.c:314
 #: locale/programs/ld-monetary.c:756 locale/programs/ld-name.c:280
 #: locale/programs/ld-numeric.c:342 locale/programs/ld-paper.c:230
 #: locale/programs/ld-telephone.c:294 locale/programs/ld-time.c:959
 #: locale/programs/locfile.c:1000 locale/programs/repertoire.c:324
-#, fuzzy, c-format
+#, c-format
 msgid "%s: premature end of file"
-msgstr "Predčasen znak za konec datoteke"
+msgstr "%s: predčasen konec datoteke"
 
 #: locale/programs/charmap.c:869 locale/programs/charmap.c:880
 #, c-format
 msgid "unknown character `%s'"
-msgstr ""
+msgstr "neznani znak »%s«"
 
 #: locale/programs/charmap.c:888
 #, c-format
 msgid "number of bytes for byte sequence of beginning and end of range not the same: %d vs %d"
-msgstr ""
+msgstr "število bajtov v zaporedju bajtov za začetek in konec razpona ni enako: %d proti %d"
 
-#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2903
+#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2912
 #: locale/programs/repertoire.c:419
-#, fuzzy
 msgid "invalid names for character range"
-msgstr "neveljavno ime razreda znakov"
+msgstr "neveljavna imena za razpon znakov"
 
 #: locale/programs/charmap.c:1005 locale/programs/repertoire.c:431
 msgid "hexadecimal range format should use only capital characters"
-msgstr ""
+msgstr "v šestnajstiškem zapisu razpona so dovoljene le velike črke"
 
 #: locale/programs/charmap.c:1023 locale/programs/repertoire.c:449
 #, c-format
 msgid "<%s> and <%s> are invalid names for range"
-msgstr ""
+msgstr "<%s> in <%s> sta neveljavni imeni za razpon"
 
 #: locale/programs/charmap.c:1029 locale/programs/repertoire.c:456
 msgid "upper limit in range is smaller than lower limit"
-msgstr ""
+msgstr "zgornja meja v razponu je manjša od spodnje meje"
 
 #: locale/programs/charmap.c:1087
 #, fuzzy
 msgid "resulting bytes for range not representable."
 msgstr "vrednost %s je tolikšna, da ni strojno predstavljiva"
 
-#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1565
-#: locale/programs/ld-ctype.c:465 locale/programs/ld-identification.c:133
+#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1566
+#: locale/programs/ld-ctype.c:431 locale/programs/ld-identification.c:133
 #: locale/programs/ld-measurement.c:94 locale/programs/ld-messages.c:97
 #: locale/programs/ld-monetary.c:193 locale/programs/ld-name.c:94
 #: locale/programs/ld-numeric.c:98 locale/programs/ld-paper.c:91
 #: locale/programs/ld-telephone.c:94 locale/programs/ld-time.c:159
 #, c-format
 msgid "No definition for %s category found"
-msgstr ""
+msgstr "Za kategorijo %s ni mogoče najti definicije"
 
 #: locale/programs/ld-address.c:146 locale/programs/ld-address.c:184
 #: locale/programs/ld-address.c:202 locale/programs/ld-address.c:231
@@ -1813,50 +1821,50 @@ msgstr ""
 #: locale/programs/ld-paper.c:111 locale/programs/ld-telephone.c:105
 #: locale/programs/ld-telephone.c:162 locale/programs/ld-time.c:175
 #: locale/programs/ld-time.c:196
-#, fuzzy, c-format
+#, c-format
 msgid "%s: field `%s' not defined"
-msgstr "tip terminala »%s« ni določen"
+msgstr "%s: polje »%s« ni določeno"
 
 #: locale/programs/ld-address.c:158 locale/programs/ld-address.c:210
 #: locale/programs/ld-address.c:240 locale/programs/ld-address.c:278
 #: locale/programs/ld-name.c:117 locale/programs/ld-telephone.c:117
 #, c-format
 msgid "%s: field `%s' must not be empty"
-msgstr ""
+msgstr "%s: polje »%s« ne sme biti prazno"
 
 #: locale/programs/ld-address.c:170
 #, c-format
 msgid "%s: invalid escape `%%%c' sequence in field `%s'"
-msgstr ""
+msgstr "%s: neveljavno ubežno zaporedje »%%%c« v polju »%s«"
 
 #: locale/programs/ld-address.c:221
-#, fuzzy, c-format
+#, c-format
 msgid "%s: terminology language code `%s' not defined"
-msgstr "tip terminala »%s« ni določen"
+msgstr "%s: terminološka koda jezika »%s« ni določena"
 
 #: locale/programs/ld-address.c:246
-#, fuzzy, c-format
+#, c-format
 msgid "%s: field `%s' must not be defined"
-msgstr "tip terminala »%s« ni določen"
+msgstr "%s: polje »%s« ne sme biti določeno"
 
 #: locale/programs/ld-address.c:260 locale/programs/ld-address.c:289
 #, c-format
 msgid "%s: language abbreviation `%s' not defined"
-msgstr ""
+msgstr "%s: okrajšava jezika »%s« ni določena"
 
 #: locale/programs/ld-address.c:267 locale/programs/ld-address.c:295
 #: locale/programs/ld-address.c:329 locale/programs/ld-address.c:341
-#, fuzzy, c-format
+#, c-format
 msgid "%s: `%s' value does not match `%s' value"
-msgstr "Del %s ne ustreza %s"
+msgstr "%s: vrednost »%s« ne ustreza vrednosti »%s«"
 
 #: locale/programs/ld-address.c:314
 #, c-format
 msgid "%s: numeric country code `%d' not valid"
-msgstr ""
+msgstr "%s: številčna koda države »%d« ni določena"
 
 #: locale/programs/ld-address.c:436 locale/programs/ld-address.c:473
-#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2537
+#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2489
 #: locale/programs/ld-identification.c:280
 #: locale/programs/ld-measurement.c:198 locale/programs/ld-messages.c:267
 #: locale/programs/ld-monetary.c:495 locale/programs/ld-monetary.c:530
@@ -1864,9 +1872,9 @@ msgstr ""
 #: locale/programs/ld-numeric.c:218 locale/programs/ld-paper.c:197
 #: locale/programs/ld-telephone.c:253 locale/programs/ld-time.c:848
 #: locale/programs/ld-time.c:890
-#, fuzzy, c-format
+#, c-format
 msgid "%s: field `%s' declared more than once"
-msgstr "izbira --output: polje %s je uporabljeno več kot enkrat"
+msgstr "%s: polje »%s« je deklarirano več kot enkrat"
 
 #: locale/programs/ld-address.c:440 locale/programs/ld-address.c:478
 #: locale/programs/ld-identification.c:284 locale/programs/ld-messages.c:277
@@ -1874,507 +1882,507 @@ msgstr "izbira --output: polje %s je uporabljeno več kot enkrat"
 #: locale/programs/ld-name.c:241 locale/programs/ld-numeric.c:222
 #: locale/programs/ld-telephone.c:257 locale/programs/ld-time.c:742
 #: locale/programs/ld-time.c:811 locale/programs/ld-time.c:853
-#, fuzzy, c-format
+#, c-format
 msgid "%s: unknown character in field `%s'"
-msgstr "zablodeli znak v določilu polja"
+msgstr "%s: neznani znak v polju »%s«"
 
-#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3782
-#: locale/programs/ld-ctype.c:2910 locale/programs/ld-identification.c:365
+#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3791
+#: locale/programs/ld-ctype.c:2837 locale/programs/ld-identification.c:365
 #: locale/programs/ld-measurement.c:212 locale/programs/ld-messages.c:296
 #: locale/programs/ld-monetary.c:738 locale/programs/ld-name.c:262
 #: locale/programs/ld-numeric.c:324 locale/programs/ld-paper.c:212
 #: locale/programs/ld-telephone.c:276 locale/programs/ld-time.c:941
 #, c-format
 msgid "%s: incomplete `END' line"
-msgstr ""
-
-#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:551
-#: locale/programs/ld-collate.c:603 locale/programs/ld-collate.c:899
-#: locale/programs/ld-collate.c:912 locale/programs/ld-collate.c:2592
-#: locale/programs/ld-collate.c:2613 locale/programs/ld-collate.c:3967
-#: locale/programs/ld-ctype.c:1891 locale/programs/ld-ctype.c:2149
-#: locale/programs/ld-ctype.c:2735 locale/programs/ld-ctype.c:2921
+msgstr "%s: nepopolna vrstica »END«"
+
+#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:552
+#: locale/programs/ld-collate.c:604 locale/programs/ld-collate.c:900
+#: locale/programs/ld-collate.c:913 locale/programs/ld-collate.c:2601
+#: locale/programs/ld-collate.c:2622 locale/programs/ld-collate.c:3976
+#: locale/programs/ld-ctype.c:1857 locale/programs/ld-ctype.c:2115
+#: locale/programs/ld-ctype.c:2687 locale/programs/ld-ctype.c:2848
 #: locale/programs/ld-identification.c:375
 #: locale/programs/ld-measurement.c:222 locale/programs/ld-messages.c:305
 #: locale/programs/ld-monetary.c:747 locale/programs/ld-name.c:271
 #: locale/programs/ld-numeric.c:333 locale/programs/ld-paper.c:221
 #: locale/programs/ld-telephone.c:285 locale/programs/ld-time.c:950
-#, fuzzy, c-format
+#, c-format
 msgid "%s: syntax error"
-msgstr "napaka v skladnji"
+msgstr "%s: napaka v skladnji"
 
-#: locale/programs/ld-collate.c:426
+#: locale/programs/ld-collate.c:427
 #, c-format
 msgid "`%.*s' already defined in charmap"
-msgstr ""
+msgstr "»%.*s« je že definiran v kodni preslikavi"
 
-#: locale/programs/ld-collate.c:435
+#: locale/programs/ld-collate.c:436
 #, c-format
 msgid "`%.*s' already defined in repertoire"
-msgstr ""
+msgstr "»%.*s« je že definiran v naboru"
 
-#: locale/programs/ld-collate.c:442
+#: locale/programs/ld-collate.c:443
 #, c-format
 msgid "`%.*s' already defined as collating symbol"
-msgstr ""
+msgstr "»%.*s« je že definiran kot sortirni simbol"
 
-#: locale/programs/ld-collate.c:449
+#: locale/programs/ld-collate.c:450
 #, c-format
 msgid "`%.*s' already defined as collating element"
-msgstr ""
+msgstr "»%.*s« je že definiran kot sortirni element"
 
-#: locale/programs/ld-collate.c:480 locale/programs/ld-collate.c:506
+#: locale/programs/ld-collate.c:481 locale/programs/ld-collate.c:507
 #, c-format
 msgid "%s: `forward' and `backward' are mutually excluding each other"
-msgstr ""
+msgstr "%s: »forward« in »backward« se vzajemno izključujeta"
 
-#: locale/programs/ld-collate.c:490 locale/programs/ld-collate.c:516
-#: locale/programs/ld-collate.c:532
+#: locale/programs/ld-collate.c:491 locale/programs/ld-collate.c:517
+#: locale/programs/ld-collate.c:533
 #, c-format
 msgid "%s: `%s' mentioned more than once in definition of weight %d"
-msgstr ""
+msgstr "%s: »%s« je omenjeno več kot enkrat v definiciji uteži %d"
 
-#: locale/programs/ld-collate.c:588
+#: locale/programs/ld-collate.c:589
 #, c-format
 msgid "%s: too many rules; first entry only had %d"
-msgstr ""
+msgstr "%s: preveč pravil; prvi vnos jih je imel %d"
 
-#: locale/programs/ld-collate.c:624
-#, fuzzy, c-format
+#: locale/programs/ld-collate.c:625
+#, c-format
 msgid "%s: not enough sorting rules"
-msgstr "z uporabo %s pravil za urejanje"
+msgstr "%s: pravil za urejanje ni dovolj"
 
-#: locale/programs/ld-collate.c:789
-#, fuzzy, c-format
+#: locale/programs/ld-collate.c:790
+#, c-format
 msgid "%s: empty weight string not allowed"
-msgstr "prazen %s ni dovoljen"
+msgstr "%s: prazen utežni niz ni dovoljen"
 
-#: locale/programs/ld-collate.c:884
+#: locale/programs/ld-collate.c:885
 #, c-format
 msgid "%s: weights must use the same ellipsis symbol as the name"
-msgstr ""
+msgstr "%s: uteži morajo uporabljati isti simbol za tripičje kot ime"
 
-#: locale/programs/ld-collate.c:940
-#, fuzzy, c-format
+#: locale/programs/ld-collate.c:941
+#, c-format
 msgid "%s: too many values"
-msgstr "%s: Preveč argumentov\n"
+msgstr "%s: preveč vrednosti"
 
-#: locale/programs/ld-collate.c:1060 locale/programs/ld-collate.c:1235
+#: locale/programs/ld-collate.c:1061 locale/programs/ld-collate.c:1236
 #, c-format
 msgid "order for `%.*s' already defined at %s:%Zu"
-msgstr ""
+msgstr "red za »%.*s« je že definiran pri %s:%Zu"
 
-#: locale/programs/ld-collate.c:1110
+#: locale/programs/ld-collate.c:1111
 #, c-format
 msgid "%s: the start and the end symbol of a range must stand for characters"
-msgstr ""
+msgstr "%s: simbola za začetek in konec razpona morata označevati znaka"
 
-#: locale/programs/ld-collate.c:1137
+#: locale/programs/ld-collate.c:1138
 #, c-format
 msgid "%s: byte sequences of first and last character must have the same length"
-msgstr ""
+msgstr "%s: zaporedji bajtov za prvi in zadnji znak morata imeti isto dolžino"
 
-#: locale/programs/ld-collate.c:1179
+#: locale/programs/ld-collate.c:1180
 #, c-format
 msgid "%s: byte sequence of first character of range is not lower than that of the last character"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1304
+#: locale/programs/ld-collate.c:1305
 #, c-format
 msgid "%s: symbolic range ellipsis must not directly follow `order_start'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1308
+#: locale/programs/ld-collate.c:1309
 #, c-format
 msgid "%s: symbolic range ellipsis must not be directly followed by `order_end'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1328 locale/programs/ld-ctype.c:1408
+#: locale/programs/ld-collate.c:1329 locale/programs/ld-ctype.c:1374
 #, c-format
 msgid "`%s' and `%.*s' are not valid names for symbolic range"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1378 locale/programs/ld-collate.c:3718
+#: locale/programs/ld-collate.c:1379 locale/programs/ld-collate.c:3727
 #, c-format
 msgid "%s: order for `%.*s' already defined at %s:%Zu"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1387
-#, fuzzy, c-format
+#: locale/programs/ld-collate.c:1388
+#, c-format
 msgid "%s: `%s' must be a character"
-msgstr "razmejilnik mora biti en sam znak"
+msgstr "%s: »%s« mora biti znak"
 
-#: locale/programs/ld-collate.c:1582
+#: locale/programs/ld-collate.c:1583
 #, c-format
 msgid "%s: `position' must be used for a specific level in all sections or none"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1607
-#, fuzzy, c-format
+#: locale/programs/ld-collate.c:1608
+#, c-format
 msgid "symbol `%s' not defined"
-msgstr "tip terminala »%s« ni določen"
+msgstr "simbol »%s« ni določen"
 
-#: locale/programs/ld-collate.c:1683 locale/programs/ld-collate.c:1789
+#: locale/programs/ld-collate.c:1684 locale/programs/ld-collate.c:1790
 #, c-format
 msgid "symbol `%s' has the same encoding as"
-msgstr ""
+msgstr "simbol »%s« ima isto kodiranje kot"
 
-#: locale/programs/ld-collate.c:1687 locale/programs/ld-collate.c:1793
+#: locale/programs/ld-collate.c:1688 locale/programs/ld-collate.c:1794
 #, c-format
 msgid "symbol `%s'"
-msgstr ""
+msgstr "simbol »%s«"
 
-#: locale/programs/ld-collate.c:1833
+#: locale/programs/ld-collate.c:1834
 #, c-format
 msgid "no definition of `UNDEFINED'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:1862
+#: locale/programs/ld-collate.c:1863
 #, fuzzy, c-format
 msgid "too many errors; giving up"
 msgstr "preveč napak, nadaljevanje ni možno"
 
-#: locale/programs/ld-collate.c:2518 locale/programs/ld-collate.c:3906
+#: locale/programs/ld-collate.c:2527 locale/programs/ld-collate.c:3915
 #, fuzzy, c-format
 msgid "%s: nested conditionals not supported"
 msgstr "ukaz »e« ni podprt"
 
-#: locale/programs/ld-collate.c:2536
+#: locale/programs/ld-collate.c:2545
 #, fuzzy, c-format
 msgid "%s: more than one 'else'"
 msgstr "nobena izbira za pretvorbo ni podana"
 
-#: locale/programs/ld-collate.c:2711
+#: locale/programs/ld-collate.c:2720
 #, fuzzy, c-format
 msgid "%s: duplicate definition of `%s'"
 msgstr "podvojena definicija sporočila"
 
-#: locale/programs/ld-collate.c:2747
+#: locale/programs/ld-collate.c:2756
 #, c-format
 msgid "%s: duplicate declaration of section `%s'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:2883
+#: locale/programs/ld-collate.c:2892
 #, fuzzy, c-format
 msgid "%s: unknown character in collating symbol name"
 msgstr "%s: neznano dejanje za kontrolno točko"
 
-#: locale/programs/ld-collate.c:3012
+#: locale/programs/ld-collate.c:3021
 #, c-format
 msgid "%s: unknown character in equivalent definition name"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3023
+#: locale/programs/ld-collate.c:3032
 #, c-format
 msgid "%s: unknown character in equivalent definition value"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3033
+#: locale/programs/ld-collate.c:3042
 #, c-format
 msgid "%s: unknown symbol `%s' in equivalent definition"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3042
+#: locale/programs/ld-collate.c:3051
 #, fuzzy
 msgid "error while adding equivalent collating symbol"
 msgstr "Napaka pri brisanju %s"
 
-#: locale/programs/ld-collate.c:3080
+#: locale/programs/ld-collate.c:3089
 #, fuzzy, c-format
 msgid "duplicate definition of script `%s'"
 msgstr "podvojena definicija sporočila"
 
-#: locale/programs/ld-collate.c:3128
+#: locale/programs/ld-collate.c:3137
 #, fuzzy, c-format
 msgid "%s: unknown section name `%.*s'"
 msgstr "Neznano ime signala: %s"
 
-#: locale/programs/ld-collate.c:3157
+#: locale/programs/ld-collate.c:3166
 #, c-format
 msgid "%s: multiple order definitions for section `%s'"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3185
+#: locale/programs/ld-collate.c:3194
 #, fuzzy, c-format
 msgid "%s: invalid number of sorting rules"
 msgstr "%s: neveljavno število vrstic"
 
-#: locale/programs/ld-collate.c:3212
+#: locale/programs/ld-collate.c:3221
 #, c-format
 msgid "%s: multiple order definitions for unnamed section"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3267 locale/programs/ld-collate.c:3397
-#: locale/programs/ld-collate.c:3760
+#: locale/programs/ld-collate.c:3276 locale/programs/ld-collate.c:3406
+#: locale/programs/ld-collate.c:3769
 #, c-format
 msgid "%s: missing `order_end' keyword"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3330
+#: locale/programs/ld-collate.c:3339
 #, c-format
 msgid "%s: order for collating symbol %.*s not yet defined"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3348
+#: locale/programs/ld-collate.c:3357
 #, c-format
 msgid "%s: order for collating element %.*s not yet defined"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3359
+#: locale/programs/ld-collate.c:3368
 #, c-format
 msgid "%s: cannot reorder after %.*s: symbol not known"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3411 locale/programs/ld-collate.c:3772
+#: locale/programs/ld-collate.c:3420 locale/programs/ld-collate.c:3781
 #, c-format
 msgid "%s: missing `reorder-end' keyword"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3445 locale/programs/ld-collate.c:3643
+#: locale/programs/ld-collate.c:3454 locale/programs/ld-collate.c:3652
 #, c-format
 msgid "%s: section `%.*s' not known"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3510
+#: locale/programs/ld-collate.c:3519
 #, c-format
 msgid "%s: bad symbol <%.*s>"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3706
+#: locale/programs/ld-collate.c:3715
 #, c-format
 msgid "%s: cannot have `%s' as end of ellipsis range"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3756
+#: locale/programs/ld-collate.c:3765
 #, fuzzy, c-format
 msgid "%s: empty category description not allowed"
 msgstr "prazen %s ni dovoljen"
 
-#: locale/programs/ld-collate.c:3775
+#: locale/programs/ld-collate.c:3784
 #, c-format
 msgid "%s: missing `reorder-sections-end' keyword"
 msgstr ""
 
-#: locale/programs/ld-collate.c:3939
+#: locale/programs/ld-collate.c:3948
 #, fuzzy, c-format
 msgid "%s: '%s' without matching 'ifdef' or 'ifndef'"
 msgstr "Najdeno »~%c« brez ujemajočega »~%c«."
 
-#: locale/programs/ld-collate.c:3957
+#: locale/programs/ld-collate.c:3966
 #, c-format
 msgid "%s: 'endif' without matching 'ifdef' or 'ifndef'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:484
+#: locale/programs/ld-ctype.c:450
 #, c-format
 msgid "No character set name specified in charmap"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:513
+#: locale/programs/ld-ctype.c:479
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must be in class `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:528
+#: locale/programs/ld-ctype.c:494
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must not be in class `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:542 locale/programs/ld-ctype.c:600
+#: locale/programs/ld-ctype.c:508 locale/programs/ld-ctype.c:566
 #, fuzzy, c-format
 msgid "internal error in %s, line %u"
 msgstr "interna napaka"
 
-#: locale/programs/ld-ctype.c:571
+#: locale/programs/ld-ctype.c:537
 #, c-format
 msgid "character '%s' in class `%s' must be in class `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:587
+#: locale/programs/ld-ctype.c:553
 #, c-format
 msgid "character '%s' in class `%s' must not be in class `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:617 locale/programs/ld-ctype.c:655
+#: locale/programs/ld-ctype.c:583 locale/programs/ld-ctype.c:621
 #, fuzzy, c-format
 msgid "<SP> character not in class `%s'"
 msgstr "neveljavni razred znakov %s"
 
-#: locale/programs/ld-ctype.c:629 locale/programs/ld-ctype.c:666
+#: locale/programs/ld-ctype.c:595 locale/programs/ld-ctype.c:632
 #, c-format
 msgid "<SP> character must not be in class `%s'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:644
+#: locale/programs/ld-ctype.c:610
 #, fuzzy, c-format
 msgid "character <SP> not defined in character map"
 msgstr "razmejilni znak je dolg več kot en bajt"
 
-#: locale/programs/ld-ctype.c:780
+#: locale/programs/ld-ctype.c:746
 #, c-format
 msgid "`digit' category has not entries in groups of ten"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:829
+#: locale/programs/ld-ctype.c:795
 #, c-format
 msgid "no input digits defined and none of the standard names in the charmap"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:894
+#: locale/programs/ld-ctype.c:860
 #, c-format
 msgid "not all characters used in `outdigit' are available in the charmap"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:911
+#: locale/programs/ld-ctype.c:877
 #, c-format
 msgid "not all characters used in `outdigit' are available in the repertoire"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1176
+#: locale/programs/ld-ctype.c:1142
 #, c-format
 msgid "character class `%s' already defined"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1182
+#: locale/programs/ld-ctype.c:1148
 #, c-format
 msgid "implementation limit: no more than %Zd character classes allowed"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1208
+#: locale/programs/ld-ctype.c:1174
 #, fuzzy, c-format
 msgid "character map `%s' already defined"
 msgstr "znakovna enota"
 
-#: locale/programs/ld-ctype.c:1214
+#: locale/programs/ld-ctype.c:1180
 #, c-format
 msgid "implementation limit: no more than %d character maps allowed"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1479 locale/programs/ld-ctype.c:1604
-#: locale/programs/ld-ctype.c:1710 locale/programs/ld-ctype.c:2400
-#: locale/programs/ld-ctype.c:3397
+#: locale/programs/ld-ctype.c:1445 locale/programs/ld-ctype.c:1570
+#: locale/programs/ld-ctype.c:1676 locale/programs/ld-ctype.c:2352
+#: locale/programs/ld-ctype.c:3324
 #, c-format
 msgid "%s: field `%s' does not contain exactly ten entries"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1507 locale/programs/ld-ctype.c:2081
+#: locale/programs/ld-ctype.c:1473 locale/programs/ld-ctype.c:2047
 #, c-format
 msgid "to-value <U%0*X> of range is smaller than from-value <U%0*X>"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1634
+#: locale/programs/ld-ctype.c:1600
 msgid "start and end character sequence of range must have the same length"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:1641
+#: locale/programs/ld-ctype.c:1607
 msgid "to-value character sequence is smaller than from-value sequence"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2001 locale/programs/ld-ctype.c:2052
+#: locale/programs/ld-ctype.c:1967 locale/programs/ld-ctype.c:2018
 #, fuzzy
 msgid "premature end of `translit_ignore' definition"
 msgstr "Predčasen zaključek regularnega izraza"
 
-#: locale/programs/ld-ctype.c:2007 locale/programs/ld-ctype.c:2058
-#: locale/programs/ld-ctype.c:2100
+#: locale/programs/ld-ctype.c:1973 locale/programs/ld-ctype.c:2024
+#: locale/programs/ld-ctype.c:2066
 msgid "syntax error"
 msgstr "napaka v skladnji"
 
-#: locale/programs/ld-ctype.c:2233
+#: locale/programs/ld-ctype.c:2199
 #, c-format
 msgid "%s: syntax error in definition of new character class"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2248
+#: locale/programs/ld-ctype.c:2214
 #, c-format
 msgid "%s: syntax error in definition of new character map"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2422
+#: locale/programs/ld-ctype.c:2374
 msgid "ellipsis range must be marked by two operands of same type"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2431
+#: locale/programs/ld-ctype.c:2383
 msgid "with symbolic name range values the absolute ellipsis `...' must not be used"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2446
+#: locale/programs/ld-ctype.c:2398
 msgid "with UCS range values one must use the hexadecimal symbolic ellipsis `..'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2460
+#: locale/programs/ld-ctype.c:2412
 msgid "with character code range values one must use the absolute ellipsis `...'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2611
+#: locale/programs/ld-ctype.c:2563
 #, fuzzy, c-format
 msgid "duplicated definition for mapping `%s'"
 msgstr "podvojena definicija sporočila"
 
-#: locale/programs/ld-ctype.c:2697 locale/programs/ld-ctype.c:2841
+#: locale/programs/ld-ctype.c:2649 locale/programs/ld-ctype.c:2793
 #, c-format
 msgid "%s: `translit_start' section does not end with `translit_end'"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2792
+#: locale/programs/ld-ctype.c:2744
 #, fuzzy, c-format
 msgid "%s: duplicate `default_missing' definition"
 msgstr "podvojena definicija sporočila"
 
-#: locale/programs/ld-ctype.c:2797
+#: locale/programs/ld-ctype.c:2749
 msgid "previous definition was here"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2819
+#: locale/programs/ld-ctype.c:2771
 #, c-format
 msgid "%s: no representable `default_missing' definition found"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2962 locale/programs/ld-ctype.c:3059
-#: locale/programs/ld-ctype.c:3079 locale/programs/ld-ctype.c:3100
-#: locale/programs/ld-ctype.c:3121 locale/programs/ld-ctype.c:3142
-#: locale/programs/ld-ctype.c:3163 locale/programs/ld-ctype.c:3203
-#: locale/programs/ld-ctype.c:3224 locale/programs/ld-ctype.c:3289
-#: locale/programs/ld-ctype.c:3331 locale/programs/ld-ctype.c:3356
+#: locale/programs/ld-ctype.c:2889 locale/programs/ld-ctype.c:2986
+#: locale/programs/ld-ctype.c:3006 locale/programs/ld-ctype.c:3027
+#: locale/programs/ld-ctype.c:3048 locale/programs/ld-ctype.c:3069
+#: locale/programs/ld-ctype.c:3090 locale/programs/ld-ctype.c:3130
+#: locale/programs/ld-ctype.c:3151 locale/programs/ld-ctype.c:3216
+#: locale/programs/ld-ctype.c:3258 locale/programs/ld-ctype.c:3283
 #, c-format
 msgid "%s: character `%s' not defined while needed as default value"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:2967 locale/programs/ld-ctype.c:3064
-#: locale/programs/ld-ctype.c:3084 locale/programs/ld-ctype.c:3105
-#: locale/programs/ld-ctype.c:3126 locale/programs/ld-ctype.c:3147
-#: locale/programs/ld-ctype.c:3168 locale/programs/ld-ctype.c:3208
-#: locale/programs/ld-ctype.c:3229 locale/programs/ld-ctype.c:3294
+#: locale/programs/ld-ctype.c:2894 locale/programs/ld-ctype.c:2991
+#: locale/programs/ld-ctype.c:3011 locale/programs/ld-ctype.c:3032
+#: locale/programs/ld-ctype.c:3053 locale/programs/ld-ctype.c:3074
+#: locale/programs/ld-ctype.c:3095 locale/programs/ld-ctype.c:3135
+#: locale/programs/ld-ctype.c:3156 locale/programs/ld-ctype.c:3221
 #, c-format
 msgid "%s: character `%s' in charmap not representable with one byte"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3338 locale/programs/ld-ctype.c:3363
+#: locale/programs/ld-ctype.c:3265 locale/programs/ld-ctype.c:3290
 #, c-format
 msgid "%s: character `%s' needed as default value not representable with one byte"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3419
+#: locale/programs/ld-ctype.c:3346
 #, c-format
 msgid "no output digits defined and none of the standard names in the charmap"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3668
+#: locale/programs/ld-ctype.c:3595
 #, c-format
 msgid "%s: transliteration data from locale `%s' not available"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3768
+#: locale/programs/ld-ctype.c:3695
 #, fuzzy, c-format
 msgid "%s: table for class \"%s\": %lu bytes\n"
 msgstr "%s: Zapisanih samo %lu od skupno %lu bajtov"
 
-#: locale/programs/ld-ctype.c:3833
+#: locale/programs/ld-ctype.c:3760
 #, c-format
 msgid "%s: table for map \"%s\": %lu bytes\n"
 msgstr ""
 
-#: locale/programs/ld-ctype.c:3958
+#: locale/programs/ld-ctype.c:3885
 #, c-format
 msgid "%s: table for width: %lu bytes\n"
 msgstr ""
@@ -3805,17 +3813,22 @@ msgstr ""
 msgid " (first)"
 msgstr ""
 
-#: nscd/cache.c:285 nscd/connections.c:1000
+#: nscd/cache.c:288
 #, fuzzy, c-format
-msgid "cannot stat() file `%s': %s"
+msgid "checking for monitored file `%s': %s"
 msgstr "ni mogoče ugotoviti statistike %s: %s"
 
-#: nscd/cache.c:331
+#: nscd/cache.c:298
+#, c-format
+msgid "monitored file `%s` changed (mtime)"
+msgstr ""
+
+#: nscd/cache.c:341
 #, c-format
 msgid "pruning %s cache; time %ld"
 msgstr ""
 
-#: nscd/cache.c:360
+#: nscd/cache.c:370
 #, c-format
 msgid "considering %s entry \"%s\", timeout %<PRIu64>"
 msgstr ""
@@ -3905,156 +3918,218 @@ msgstr "ni mogoče nastaviti časa za »%s«"
 msgid "cannot enable socket to accept connections: %s"
 msgstr ""
 
-#: nscd/connections.c:984
+#: nscd/connections.c:973
+#, c-format
+msgid "disabled inotify-based monitoring for file `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:977
+#, c-format
+msgid "monitoring file `%s` (%d)"
+msgstr ""
+
+#: nscd/connections.c:990
+#, c-format
+msgid "disabled inotify-based monitoring for directory `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:994
+#, fuzzy, c-format
+#| msgid "Can't open directory %s"
+msgid "monitoring directory `%s` (%d)"
+msgstr "Ni mogoče odpreti imenika %s"
+
+#: nscd/connections.c:1022
+#, c-format
+msgid "monitoring file %s for database %s"
+msgstr ""
+
+#: nscd/connections.c:1032
 #, c-format
-msgid "register trace file %s for database %s"
+msgid "stat failed for file `%s'; will try again later: %s"
 msgstr ""
 
-#: nscd/connections.c:1114
+#: nscd/connections.c:1151
 #, c-format
 msgid "provide access to FD %d, for %s"
 msgstr ""
 
-#: nscd/connections.c:1126
+#: nscd/connections.c:1163
 #, c-format
 msgid "cannot handle old request version %d; current version is %d"
 msgstr ""
 
-#: nscd/connections.c:1148
+#: nscd/connections.c:1185
 #, c-format
 msgid "request from %ld not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1153
+#: nscd/connections.c:1190
 #, c-format
 msgid "request from '%s' [%ld] not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1158
+#: nscd/connections.c:1195
 msgid "request not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1196 nscd/connections.c:1249
+#: nscd/connections.c:1233 nscd/connections.c:1286
 #, fuzzy, c-format
 msgid "cannot write result: %s"
 msgstr "Pisanje na %s ni možno"
 
-#: nscd/connections.c:1340
+#: nscd/connections.c:1377
 #, fuzzy, c-format
 msgid "error getting caller's id: %s"
 msgstr "napaka pri čakanju na %s"
 
-#: nscd/connections.c:1400
+#: nscd/connections.c:1437
 #, c-format
 msgid "cannot open /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1414
+#: nscd/connections.c:1451
 #, c-format
 msgid "cannot read /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1454
+#: nscd/connections.c:1491
 #, c-format
 msgid "cannot change to old UID: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1464
+#: nscd/connections.c:1501
 #, c-format
 msgid "cannot change to old GID: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1477
+#: nscd/connections.c:1514
 #, fuzzy, c-format
 msgid "cannot change to old working directory: %s; disabling paranoia mode"
 msgstr "imenik %s ni dosegljiv"
 
-#: nscd/connections.c:1523
+#: nscd/connections.c:1560
 #, c-format
 msgid "re-exec failed: %s; disabling paranoia mode"
 msgstr ""
 
-#: nscd/connections.c:1532
+#: nscd/connections.c:1569
 #, fuzzy, c-format
 msgid "cannot change current working directory to \"/\": %s"
 msgstr "korenskega imenika ni mogoče prestaviti na %s"
 
-#: nscd/connections.c:1725
+#: nscd/connections.c:1762
 #, fuzzy, c-format
 msgid "short read while reading request: %s"
 msgstr "napaka pri branju \"%s\""
 
-#: nscd/connections.c:1758
+#: nscd/connections.c:1795
 #, c-format
 msgid "key length in request too long: %d"
 msgstr ""
 
-#: nscd/connections.c:1771
+#: nscd/connections.c:1808
 #, c-format
 msgid "short read while reading request key: %s"
 msgstr ""
 
-#: nscd/connections.c:1781
+#: nscd/connections.c:1818
 #, c-format
 msgid "handle_request: request received (Version = %d) from PID %ld"
 msgstr ""
 
-#: nscd/connections.c:1786
+#: nscd/connections.c:1823
 #, c-format
 msgid "handle_request: request received (Version = %d)"
 msgstr ""
 
-#: nscd/connections.c:2050 nscd/connections.c:2252
+#: nscd/connections.c:1963
+#, c-format
+msgid "ignored inotify event for `%s` (file exists)"
+msgstr ""
+
+#: nscd/connections.c:1968
+#, c-format
+msgid "monitored file `%s` was %s, removing watch"
+msgstr ""
+
+#: nscd/connections.c:1976 nscd/connections.c:2018
+#, c-format
+msgid "failed to remove file watch `%s`: %s"
+msgstr ""
+
+#: nscd/connections.c:1991
 #, c-format
-msgid "disabled inotify after read error %d"
+msgid "monitored file `%s` was written to"
 msgstr ""
 
-#: nscd/connections.c:2375
+#: nscd/connections.c:2015
+#, c-format
+msgid "monitored parent directory `%s` was %s, removing watch on `%s`"
+msgstr ""
+
+#: nscd/connections.c:2041
+#, c-format
+msgid "monitored file `%s` was %s, adding watch"
+msgstr ""
+
+#: nscd/connections.c:2053
+#, fuzzy, c-format
+#| msgid "failed to load shared object `%s'"
+msgid "failed to add file watch `%s`: %s"
+msgstr "nalaganje deljenega predmeta »%s« ni uspelo"
+
+#: nscd/connections.c:2247 nscd/connections.c:2428
+#, c-format
+msgid "disabled inotify-based monitoring after read error %d"
+msgstr ""
+
+#: nscd/connections.c:2543
 msgid "could not initialize conditional variable"
 msgstr ""
 
-#: nscd/connections.c:2383
+#: nscd/connections.c:2551
 msgid "could not start clean-up thread; terminating"
 msgstr ""
 
-#: nscd/connections.c:2397
+#: nscd/connections.c:2565
 msgid "could not start any worker thread; terminating"
 msgstr ""
 
-#: nscd/connections.c:2452 nscd/connections.c:2454 nscd/connections.c:2470
-#: nscd/connections.c:2480 nscd/connections.c:2498 nscd/connections.c:2509
-#: nscd/connections.c:2519
+#: nscd/connections.c:2620 nscd/connections.c:2622 nscd/connections.c:2638
+#: nscd/connections.c:2648 nscd/connections.c:2666 nscd/connections.c:2677
+#: nscd/connections.c:2687
 #, fuzzy, c-format
 msgid "Failed to run nscd as user '%s'"
 msgstr "nastavitev novega uporabnika %s ni uspela"
 
-#: nscd/connections.c:2472
+#: nscd/connections.c:2640
 #, fuzzy
 msgid "initial getgrouplist failed"
 msgstr "neveljaven seznam skupin %s"
 
-#: nscd/connections.c:2481
+#: nscd/connections.c:2649
 #, fuzzy
 msgid "getgrouplist failed"
 msgstr "pisanje ni uspelo"
 
-#: nscd/connections.c:2499
+#: nscd/connections.c:2667
 #, fuzzy
 msgid "setgroups failed"
 msgstr "odpiranje ni uspelo"
 
-#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:410
+#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:411
 #: nscd/pwdcache.c:383 nscd/servicescache.c:338
 #, fuzzy, c-format
 msgid "short write in %s: %s"
 msgstr "napaka v %s: %s"
 
-#: nscd/grpcache.c:450 nscd/initgrcache.c:77
+#: nscd/grpcache.c:450 nscd/initgrcache.c:78
 #, c-format
 msgid "Haven't found \"%s\" in group cache!"
 msgstr ""
 
-#: nscd/grpcache.c:452 nscd/initgrcache.c:79
+#: nscd/grpcache.c:452 nscd/initgrcache.c:80
 #, c-format
 msgid "Reloading \"%s\" in group cache!"
 msgstr ""
@@ -4142,7 +4217,7 @@ msgstr ""
 msgid "Name Service Cache Daemon."
 msgstr ""
 
-#: nscd/nscd.c:155 nss/getent.c:1003 nss/makedb.c:206
+#: nscd/nscd.c:155 nss/getent.c:1007 nss/makedb.c:206
 #, c-format
 msgid "wrong number of arguments"
 msgstr "napačno število argumentov"
@@ -4177,7 +4252,7 @@ msgstr "trenutnega imenika ni mogoče povrniti"
 msgid "Could not create log file"
 msgstr "%s: Ni mogoče ustvariti datoteke"
 
-#: nscd/nscd.c:355 nscd/nscd_stat.c:192
+#: nscd/nscd.c:355 nscd/nscd_stat.c:194
 #, fuzzy, c-format
 msgid "write incomplete"
 msgstr "POZOR: Arhiv nepopoln"
@@ -4192,7 +4267,7 @@ msgstr "ure s stvarnim časom ni moč prebrati"
 msgid "invalidation failed"
 msgstr "pretvorba niza ni uspela"
 
-#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:173
+#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:175
 #, c-format
 msgid "Only root is allowed to use this option!"
 msgstr ""
@@ -4276,35 +4351,35 @@ msgstr "trenutnega imenika ni mogoče povrniti"
 msgid "maximum file size for %s database too small"
 msgstr ""
 
-#: nscd/nscd_stat.c:142
+#: nscd/nscd_stat.c:144
 #, fuzzy, c-format
 msgid "cannot write statistics: %s"
 msgstr "Pisanje na %s ni možno"
 
-#: nscd/nscd_stat.c:157
+#: nscd/nscd_stat.c:159
 msgid "yes"
 msgstr ""
 
-#: nscd/nscd_stat.c:158
+#: nscd/nscd_stat.c:160
 msgid "no"
 msgstr ""
 
-#: nscd/nscd_stat.c:169
+#: nscd/nscd_stat.c:171
 #, c-format
 msgid "Only root or %s is allowed to use this option!"
 msgstr ""
 
-#: nscd/nscd_stat.c:180
+#: nscd/nscd_stat.c:182
 #, c-format
 msgid "nscd not running!\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:204
+#: nscd/nscd_stat.c:206
 #, fuzzy, c-format
 msgid "cannot read statistics data"
 msgstr "ure s stvarnim časom ni moč prebrati"
 
-#: nscd/nscd_stat.c:207
+#: nscd/nscd_stat.c:209
 #, c-format
 msgid ""
 "nscd configuration:\n"
@@ -4312,27 +4387,27 @@ msgid ""
 "%15d  server debug level\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:231
+#: nscd/nscd_stat.c:233
 #, c-format
 msgid "%3ud %2uh %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:234
+#: nscd/nscd_stat.c:236
 #, c-format
 msgid "    %2uh %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:236
+#: nscd/nscd_stat.c:238
 #, c-format
 msgid "        %2um %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:238
+#: nscd/nscd_stat.c:240
 #, c-format
 msgid "            %2lus  server runtime\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:240
+#: nscd/nscd_stat.c:242
 #, c-format
 msgid ""
 "%15d  current number of threads\n"
@@ -4343,7 +4418,7 @@ msgid ""
 "%15u  reload count\n"
 msgstr ""
 
-#: nscd/nscd_stat.c:275
+#: nscd/nscd_stat.c:277
 #, c-format
 msgid ""
 "\n"
@@ -4386,94 +4461,94 @@ msgstr ""
 msgid "Invalid numeric uid \"%s\"!"
 msgstr "neveljavno število %s"
 
-#: nscd/selinux.c:155
+#: nscd/selinux.c:154
 #, c-format
 msgid "Failed opening connection to the audit subsystem: %m"
 msgstr ""
 
-#: nscd/selinux.c:176
+#: nscd/selinux.c:175
 #, fuzzy
 msgid "Failed to set keep-capabilities"
 msgstr "nastavitev spremenljivke okolja %s ni uspela"
 
-#: nscd/selinux.c:177 nscd/selinux.c:240
+#: nscd/selinux.c:176 nscd/selinux.c:239
 msgid "prctl(KEEPCAPS) failed"
 msgstr ""
 
-#: nscd/selinux.c:191
+#: nscd/selinux.c:190
 #, fuzzy
 msgid "Failed to initialize drop of capabilities"
 msgstr "Inicializacija porazdeljene zgoščevalne tabele ni uspela"
 
-#: nscd/selinux.c:192
+#: nscd/selinux.c:191
 #, fuzzy
 msgid "cap_init failed"
 msgstr "poizvedba po statusu ni uspela"
 
-#: nscd/selinux.c:213 nscd/selinux.c:230
+#: nscd/selinux.c:212 nscd/selinux.c:229
 #, fuzzy
 msgid "Failed to drop capabilities"
 msgstr "Celotna ovržba privilegijev ni uspela"
 
-#: nscd/selinux.c:214 nscd/selinux.c:231
+#: nscd/selinux.c:213 nscd/selinux.c:230
 #, fuzzy
 msgid "cap_set_proc failed"
 msgstr "zapiranje ni uspelo"
 
-#: nscd/selinux.c:239
+#: nscd/selinux.c:238
 #, fuzzy
 msgid "Failed to unset keep-capabilities"
 msgstr "ni mogoče odnastaviti spremenljivke %s"
 
-#: nscd/selinux.c:255
+#: nscd/selinux.c:254
 msgid "Failed to determine if kernel supports SELinux"
 msgstr ""
 
-#: nscd/selinux.c:270
+#: nscd/selinux.c:269
 #, fuzzy
 msgid "Failed to start AVC thread"
 msgstr "branje statistike %s ni uspelo"
 
-#: nscd/selinux.c:292
+#: nscd/selinux.c:291
 #, fuzzy
 msgid "Failed to create AVC lock"
 msgstr "ni mogoče ustvariti trde povezave %s"
 
-#: nscd/selinux.c:332
+#: nscd/selinux.c:331
 #, fuzzy
 msgid "Failed to start AVC"
 msgstr "branje statistike %s ni uspelo"
 
-#: nscd/selinux.c:334
+#: nscd/selinux.c:333
 msgid "Access Vector Cache (AVC) started"
 msgstr ""
 
-#: nscd/selinux.c:369
+#: nscd/selinux.c:368
 msgid "Error querying policy for undefined object classes or permissions."
 msgstr ""
 
-#: nscd/selinux.c:376
+#: nscd/selinux.c:375
 msgid "Error getting security class for nscd."
 msgstr ""
 
-#: nscd/selinux.c:381
+#: nscd/selinux.c:380
 #, c-format
 msgid "Error translating permission name \"%s\" to access vector bit."
 msgstr ""
 
-#: nscd/selinux.c:391
+#: nscd/selinux.c:390
 msgid "Error getting context of socket peer"
 msgstr ""
 
-#: nscd/selinux.c:396
+#: nscd/selinux.c:395
 msgid "Error getting context of nscd"
 msgstr ""
 
-#: nscd/selinux.c:402
+#: nscd/selinux.c:401
 msgid "Error getting sid from context"
 msgstr ""
 
-#: nscd/selinux.c:440
+#: nscd/selinux.c:439
 #, c-format
 msgid ""
 "\n"
@@ -4524,16 +4599,16 @@ msgstr ""
 msgid "Enumeration not supported on %s\n"
 msgstr "Operacija ni podprta"
 
-#: nss/getent.c:917
+#: nss/getent.c:921
 #, fuzzy, c-format
 msgid "Unknown database name"
 msgstr "Neznana format datuma"
 
-#: nss/getent.c:947
+#: nss/getent.c:951
 msgid "Supported databases:\n"
 msgstr ""
 
-#: nss/getent.c:1013
+#: nss/getent.c:1017
 #, fuzzy, c-format
 msgid "Unknown database: %s\n"
 msgstr "Neznano ime signala: %s"
@@ -4808,7 +4883,7 @@ msgstr "Zaklepaj ) ali \\) brez para"
 msgid "No previous regular expression"
 msgstr "Manjkajoč prejšnji regularni izraz"
 
-#: posix/wordexp.c:1844
+#: posix/wordexp.c:1851
 msgid "parameter null or not set"
 msgstr ""
 
@@ -7294,6 +7369,15 @@ msgstr ""
 msgid "%s: Can't create directory %s: %s\n"
 msgstr "imenika %s ni mogoče ustvariti"
 
+#~ msgid "cannot load any more object with static TLS"
+#~ msgstr "nobenega predmeta s statičnim TLS ni več mogoče naložiti"
+
+#~ msgid "%s: no PLTREL found in object %s\n"
+#~ msgstr "%s: v predmetu %s ni najti PLTREL\n"
+
+#~ msgid "cannot create internal descriptors"
+#~ msgstr "internih deskriptorjev ni mogoče ustvariti"
+
 #, fuzzy
 #~ msgid "time before zero"
 #~ msgstr "pred -le"
diff --git a/po/sv.po b/po/sv.po
index 73046eb..49d1f23 100644
--- a/po/sv.po
+++ b/po/sv.po
@@ -5,7 +5,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: libc 2.21-pre1\n"
-"POT-Creation-Date: 2015-01-20 22:14-0500\n"
+"POT-Creation-Date: 2015-07-31 00:10-0400\n"
 "PO-Revision-Date: 2015-01-24 10:35+0100\n"
 "Last-Translator: Jan Djärv <jan.h.d@swipnet.se>\n"
 "Language-Team: Swedish <tp-sv@listor.tp-sv.se>\n"
@@ -143,10 +143,10 @@ msgstr ""
 "[UTFIL [INFIL]...]"
 
 #: catgets/gencat.c:229 debug/pcprofiledump.c:209 elf/ldconfig.c:307
-#: elf/pldd.c:244 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
+#: elf/pldd.c:252 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
 #: iconv/iconvconfig.c:379 locale/programs/locale.c:277
 #: locale/programs/localedef.c:376 login/programs/pt_chown.c:88
-#: malloc/memusagestat.c:563 nss/getent.c:969 nss/makedb.c:369
+#: malloc/memusagestat.c:563 nss/getent.c:973 nss/makedb.c:369
 #: posix/getconf.c:486 sunrpc/rpcinfo.c:691
 #: sysdeps/unix/sysv/linux/lddlibc4.c:61
 #, c-format
@@ -159,7 +159,7 @@ msgstr ""
 "Rapportera fel eller synpunkter på översättningen till <tp-sv@listor.tp-sv.se>.\n"
 
 #: catgets/gencat.c:245 debug/pcprofiledump.c:225 debug/xtrace.sh:64
-#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:260 elf/sotruss.sh:75
+#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:268 elf/sotruss.sh:75
 #: elf/sprof.c:389 iconv/iconv_prog.c:425 iconv/iconvconfig.c:396
 #: locale/programs/locale.c:294 locale/programs/localedef.c:402
 #: login/programs/pt_chown.c:62 malloc/memusage.sh:71
@@ -177,7 +177,7 @@ msgstr ""
 "ÄNDAMÅL.\n"
 
 #: catgets/gencat.c:250 debug/pcprofiledump.c:230 debug/xtrace.sh:68
-#: elf/ldconfig.c:328 elf/pldd.c:265 elf/sprof.c:395 iconv/iconv_prog.c:430
+#: elf/ldconfig.c:328 elf/pldd.c:273 elf/sprof.c:395 iconv/iconv_prog.c:430
 #: iconv/iconvconfig.c:401 locale/programs/locale.c:299
 #: locale/programs/localedef.c:407 malloc/memusage.sh:75
 #: malloc/memusagestat.c:586 nscd/nscd.c:514 nss/getent.c:91 nss/makedb.c:390
@@ -433,11 +433,11 @@ msgstr "Misslyckades med att byta åtkomsträttigheter för %s till %#o"
 msgid "Renaming of %s to %s failed"
 msgstr "Namnbyte på %s till %s misslyckades"
 
-#: elf/dl-close.c:385 elf/dl-open.c:470
+#: elf/dl-close.c:396 elf/dl-open.c:478
 msgid "cannot create scope list"
 msgstr "kan inte skapa omfångslista"
 
-#: elf/dl-close.c:770
+#: elf/dl-close.c:816
 msgid "shared object not open"
 msgstr "delat objekt är inte öppnat"
 
@@ -512,127 +512,127 @@ msgstr "kan inte skapa sökvägslista"
 msgid "cannot stat shared object"
 msgstr "kan inte ta status på delat objekt"
 
-#: elf/dl-load.c:963
+#: elf/dl-load.c:962
 msgid "cannot open zero fill device"
 msgstr "kan inte öppna nollfyllnadsenhet"
 
-#: elf/dl-load.c:1010 elf/dl-load.c:2165
+#: elf/dl-load.c:1009 elf/dl-load.c:2159
 msgid "cannot create shared object descriptor"
 msgstr "kan inte skapa delad objektdeskriptor"
 
-#: elf/dl-load.c:1029 elf/dl-load.c:1570 elf/dl-load.c:1682
+#: elf/dl-load.c:1028 elf/dl-load.c:1568 elf/dl-load.c:1680
 msgid "cannot read file data"
 msgstr "kan inte läsa fildata"
 
-#: elf/dl-load.c:1069
+#: elf/dl-load.c:1068
 msgid "ELF load command alignment not page-aligned"
 msgstr "ELF-laddkommando är inte på sidgräns"
 
-#: elf/dl-load.c:1076
+#: elf/dl-load.c:1075
 msgid "ELF load command address/offset not properly aligned"
 msgstr "Adress/position för ELF-laddkommando är inte på rätt bytegräns"
 
-#: elf/dl-load.c:1160
+#: elf/dl-load.c:1159
 msgid "cannot allocate TLS data structures for initial thread"
 msgstr "kan inte skapa TLS-datastrukturer för första tråden"
 
-#: elf/dl-load.c:1183
+#: elf/dl-load.c:1182
 msgid "cannot handle TLS data"
 msgstr "kan inte hantera TLS-data"
 
-#: elf/dl-load.c:1202
+#: elf/dl-load.c:1201
 msgid "object file has no loadable segments"
 msgstr "objektfilen har inga laddbara segment"
 
-#: elf/dl-load.c:1211 elf/dl-load.c:1662
+#: elf/dl-load.c:1210 elf/dl-load.c:1660
 msgid "cannot dynamically load executable"
 msgstr "kan inte ladda exekverbar fil dynamiskt"
 
-#: elf/dl-load.c:1232
+#: elf/dl-load.c:1231
 msgid "object file has no dynamic section"
 msgstr "objektfilen har ingen dynamisk sektion"
 
-#: elf/dl-load.c:1255
+#: elf/dl-load.c:1254
 msgid "shared object cannot be dlopen()ed"
 msgstr "delat objekt kan inte göras dlopen() på"
 
-#: elf/dl-load.c:1268
+#: elf/dl-load.c:1267
 msgid "cannot allocate memory for program header"
 msgstr "kan inte allokera minne för programhuvud"
 
-#: elf/dl-load.c:1284 elf/dl-open.c:195
+#: elf/dl-load.c:1283 elf/dl-open.c:195
 msgid "invalid caller"
 msgstr "ogiltig anropare"
 
-#: elf/dl-load.c:1307 elf/dl-load.h:130
+#: elf/dl-load.c:1306 elf/dl-load.h:130
 msgid "cannot change memory protections"
 msgstr "kan inte ändra minnesskydd"
 
-#: elf/dl-load.c:1327
+#: elf/dl-load.c:1326
 msgid "cannot enable executable stack as shared object requires"
 msgstr "kan inte skapa exekverbar stack som delat objekt kräver"
 
-#: elf/dl-load.c:1340
+#: elf/dl-load.c:1339
 msgid "cannot close file descriptor"
 msgstr "kan inte stänga filidentifierare"
 
-#: elf/dl-load.c:1570
+#: elf/dl-load.c:1568
 msgid "file too short"
 msgstr "fil för kort"
 
-#: elf/dl-load.c:1605
+#: elf/dl-load.c:1603
 msgid "invalid ELF header"
 msgstr "ogiltigt ELF-huvud"
 
-#: elf/dl-load.c:1617
+#: elf/dl-load.c:1615
 msgid "ELF file data encoding not big-endian"
 msgstr "Kodning för ELF-fildata är inte rak byteordning"
 
-#: elf/dl-load.c:1619
+#: elf/dl-load.c:1617
 msgid "ELF file data encoding not little-endian"
 msgstr "Kodning för ELF-fildata är inte omvänd byteordning"
 
-#: elf/dl-load.c:1623
+#: elf/dl-load.c:1621
 msgid "ELF file version ident does not match current one"
 msgstr "ELF-filens versionsidentitet stämmer inte med nuvarande"
 
-#: elf/dl-load.c:1627
+#: elf/dl-load.c:1625
 msgid "ELF file OS ABI invalid"
 msgstr "ELF-fil har felaktig version på OS-ABI"
 
-#: elf/dl-load.c:1630
+#: elf/dl-load.c:1628
 msgid "ELF file ABI version invalid"
 msgstr "ELF-fil har felaktig version på ABI"
 
-#: elf/dl-load.c:1633
+#: elf/dl-load.c:1631
 msgid "nonzero padding in e_ident"
 msgstr "utfyllnad med annat än nolltecken i e_ident"
 
-#: elf/dl-load.c:1636
+#: elf/dl-load.c:1634
 msgid "internal error"
 msgstr "internt fel"
 
-#: elf/dl-load.c:1643
+#: elf/dl-load.c:1641
 msgid "ELF file version does not match current one"
 msgstr "ELF-filens version stämmer inte med nuvarande"
 
-#: elf/dl-load.c:1651
+#: elf/dl-load.c:1649
 msgid "only ET_DYN and ET_EXEC can be loaded"
 msgstr "bara ET_DYN och ET_EXEC kan laddas"
 
-#: elf/dl-load.c:1667
+#: elf/dl-load.c:1665
 msgid "ELF file's phentsize not the expected size"
 msgstr "ELF-filens värde på \"phentsize\" är inte den förväntade"
 
-#: elf/dl-load.c:2184
+#: elf/dl-load.c:2178
 msgid "wrong ELF class: ELFCLASS64"
 msgstr "fel ELF-klass: ELFCLASS64"
 
-#: elf/dl-load.c:2185
+#: elf/dl-load.c:2179
 msgid "wrong ELF class: ELFCLASS32"
 msgstr "fel ELF-klass: ELFCLASS32"
 
-#: elf/dl-load.c:2188
+#: elf/dl-load.c:2182
 msgid "cannot open shared object file"
 msgstr "kan inte öppna delad objektfil"
 
@@ -644,11 +644,11 @@ msgstr "misslyckades att mappa segment från delat objekt"
 msgid "cannot map zero-fill pages"
 msgstr "kan inte mappa nollfyllda sidor"
 
-#: elf/dl-lookup.c:791
+#: elf/dl-lookup.c:845
 msgid "relocation error"
 msgstr "fel vid relokering"
 
-#: elf/dl-lookup.c:818
+#: elf/dl-lookup.c:872
 msgid "symbol lookup error"
 msgstr "fel vid symboluppslagning"
 
@@ -656,49 +656,40 @@ msgstr "fel vid symboluppslagning"
 msgid "cannot extend global scope"
 msgstr "kan inte utöka globalt område"
 
-#: elf/dl-open.c:520
+#: elf/dl-open.c:528
 msgid "TLS generation counter wrapped!  Please report this."
 msgstr "Generationsräknare för TLS slog runt!  Var snäll och rapportera detta."
 
-#: elf/dl-open.c:542
-msgid "cannot load any more object with static TLS"
-msgstr "kan inte ladda fler objekt med statiskt TLS"
-
-#: elf/dl-open.c:599
+#: elf/dl-open.c:592
 msgid "invalid mode for dlopen()"
 msgstr "ogiltiga flaggor för dlopen()"
 
-#: elf/dl-open.c:616
+#: elf/dl-open.c:609
 msgid "no more namespaces available for dlmopen()"
 msgstr "inga fler namnrymder tillgängliga för dlmopen()"
 
-#: elf/dl-open.c:634
+#: elf/dl-open.c:633
 msgid "invalid target namespace in dlmopen()"
 msgstr "ogiltig målnamnrymd för dlmopen()"
 
-#: elf/dl-reloc.c:120
+#: elf/dl-reloc.c:121
 msgid "cannot allocate memory in static TLS block"
 msgstr "kan inte allokera minne i statiskt TLS-block"
 
-#: elf/dl-reloc.c:212
+#: elf/dl-reloc.c:206
 msgid "cannot make segment writable for relocation"
 msgstr "kan inte göra segment skrivbart för relokering"
 
-#: elf/dl-reloc.c:275
-#, c-format
-msgid "%s: no PLTREL found in object %s\n"
-msgstr "%s: hittade inga PLTREL i objekt %s\n"
-
-#: elf/dl-reloc.c:290
+#: elf/dl-reloc.c:276
 #, c-format
 msgid "%s: out of memory to store relocation results for %s\n"
 msgstr "%s: slut på minne för att lagra relokeringsresultat för %s\n"
 
-#: elf/dl-reloc.c:306
+#: elf/dl-reloc.c:292
 msgid "cannot restore segment prot after reloc"
 msgstr "kan inte återställa segmenträttigheter efter relokering"
 
-#: elf/dl-reloc.c:335
+#: elf/dl-reloc.c:323
 msgid "cannot apply additional memory protection after relocation"
 msgstr "kan inte applicera extra minnesskydd efter relokering"
 
@@ -706,7 +697,7 @@ msgstr "kan inte applicera extra minnesskydd efter relokering"
 msgid "RTLD_NEXT used in code not dynamically loaded"
 msgstr "RTLD_NEXT används i kod som inte är dynamiskt laddad"
 
-#: elf/dl-tls.c:933
+#: elf/dl-tls.c:934
 msgid "cannot create TLS data structures"
 msgstr "kan inte skapa datastrukturer för TLS"
 
@@ -850,7 +841,7 @@ msgstr "Ingen länk skapad eftersom \"soname\" inte hittades för %s"
 msgid "Can't open directory %s"
 msgstr "Kan inte öppna katalog %s"
 
-#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:90
+#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:97
 #, c-format
 msgid "Input file %s not found.\n"
 msgstr "Hittar inte infil %s.\n"
@@ -981,7 +972,7 @@ msgstr "filargument saknas"
 msgid "No such file or directory"
 msgstr "Filen eller katalogen finns inte"
 
-#: elf/ldd.bash.in:150 inet/rcmd.c:488
+#: elf/ldd.bash.in:150 inet/rcmd.c:492
 msgid "not regular file"
 msgstr "inte en normal fil"
 
@@ -1026,65 +1017,71 @@ msgstr "kan inte läsa r_debug"
 msgid "cannot read program interpreter"
 msgstr "kan inte läsa programtolk"
 
-#: elf/pldd-xx.c:196
+#: elf/pldd-xx.c:197
 #, c-format
 msgid "cannot read link map"
 msgstr "kan inte läsa länkmappning"
 
-#: elf/pldd-xx.c:207
+#: elf/pldd-xx.c:209
 #, c-format
 msgid "cannot read object name"
 msgstr "kan inte läsa objektnamn"
 
-#: elf/pldd.c:63
+#: elf/pldd-xx.c:219
+#, fuzzy, c-format
+#| msgid "cannot allocate memory for program header"
+msgid "cannot allocate buffer for object name"
+msgstr "kan inte allokera minne för programhuvud"
+
+#: elf/pldd.c:64
 msgid "List dynamic shared objects loaded into process."
 msgstr "Visa dynamiska bibliotek som laddats i processen."
 
-#: elf/pldd.c:67
+#: elf/pldd.c:68
 msgid "PID"
 msgstr "PID"
 
-#: elf/pldd.c:99
+#: elf/pldd.c:100
 #, c-format
 msgid "Exactly one parameter with process ID required.\n"
 msgstr "Exakt en parameter med process-ID krävs.\n"
 
-#: elf/pldd.c:111
+#: elf/pldd.c:112
 #, c-format
 msgid "invalid process ID '%s'"
 msgstr "ogiltig process-ID \"%s\""
 
-#: elf/pldd.c:119
+#: elf/pldd.c:120
 #, c-format
 msgid "cannot open %s"
 msgstr "kan inte öppna %s"
 
-#: elf/pldd.c:144
+#: elf/pldd.c:152
 #, c-format
 msgid "cannot open %s/task"
 msgstr "kan inte öppna %s/task"
 
-#: elf/pldd.c:147
+#: elf/pldd.c:155
 #, c-format
 msgid "cannot prepare reading %s/task"
 msgstr "kan inte förbereda läsning av %s/task"
 
-#: elf/pldd.c:160
+#: elf/pldd.c:168
 #, c-format
 msgid "invalid thread ID '%s'"
 msgstr "ogiltig tråd-ID \"%s\""
 
-#: elf/pldd.c:171
+#: elf/pldd.c:179
 #, c-format
 msgid "cannot attach to process %lu"
 msgstr "kan inte binda till process %lu"
 
-#: elf/pldd.c:286
+#: elf/pldd.c:294
 #, c-format
 msgid "cannot get information about process %lu"
 msgstr "kan inte hämta information om process %lu"
 
-#: elf/pldd.c:299
+#: elf/pldd.c:307
 #, c-format
 msgid "process %lu is no ELF program"
 msgstr "process %lu är inte ett ELF-program"
@@ -1119,27 +1116,27 @@ msgstr "%s är inte en delad objektfil (typ: %d).\n"
 msgid "more than one dynamic segment\n"
 msgstr "fler än ett dynamiskt segment\n"
 
-#: elf/readlib.c:96
+#: elf/readlib.c:103
 #, c-format
 msgid "Cannot fstat file %s.\n"
 msgstr "Kan inte ta status (fstat) på fil %s.\n"
 
-#: elf/readlib.c:107
+#: elf/readlib.c:114
 #, c-format
 msgid "File %s is empty, not checked."
 msgstr "Fil %s är tom, inte kontrollerad."
 
-#: elf/readlib.c:113
+#: elf/readlib.c:120
 #, c-format
 msgid "File %s is too small, not checked."
 msgstr "Fil %s är för liten, inte kontrollerad."
 
-#: elf/readlib.c:123
+#: elf/readlib.c:130
 #, c-format
 msgid "Cannot mmap file %s.\n"
 msgstr "Kan inte minnesmappa (mmap) fil %s.\n"
 
-#: elf/readlib.c:161
+#: elf/readlib.c:169
 #, c-format
 msgid "%s is not an ELF file - it has the wrong magic bytes at the start.\n"
 msgstr "%s är inte en ELF-fil, den har inte rätt magiskt tal i början.\n"
@@ -1274,10 +1271,10 @@ msgstr "SHOBJ [PROFDATA]"
 msgid "failed to load shared object `%s'"
 msgstr "misslyckades med att ladda delat objekt \"%s\""
 
-#: elf/sprof.c:442
+#: elf/sprof.c:442 elf/sprof.c:825 elf/sprof.c:923
 #, c-format
-msgid "cannot create internal descriptors"
-msgstr "kan inte skapa interna deskriptorer"
+msgid "cannot create internal descriptor"
+msgstr "kan inte skapa intern deskriptor"
 
 #: elf/sprof.c:554
 #, c-format
@@ -1344,11 +1341,6 @@ msgstr "misslyckades att mappa (mmap) profildatafilen"
 msgid "error while closing the profiling data file"
 msgstr "fel vid stängning av profildatafilen"
 
-#: elf/sprof.c:825 elf/sprof.c:923
-#, c-format
-msgid "cannot create internal descriptor"
-msgstr "kan inte skapa intern deskriptor"
-
 #: elf/sprof.c:899
 #, c-format
 msgid "`%s' is no correct profile data file for `%s'"
@@ -1596,27 +1588,27 @@ msgstr "uttag (socket): protokollfel i förbindelseuppsättning\n"
 msgid "rcmd: %s: short read"
 msgstr "rcmd: %s: läsning gav för lite data"
 
-#: inet/rcmd.c:486
+#: inet/rcmd.c:490
 msgid "lstat failed"
 msgstr "misslyckades ta status (lstat)"
 
-#: inet/rcmd.c:493
+#: inet/rcmd.c:497
 msgid "cannot open"
 msgstr "kan inte öppna"
 
-#: inet/rcmd.c:495
+#: inet/rcmd.c:499
 msgid "fstat failed"
 msgstr "misslyckades ta status (fstat)"
 
-#: inet/rcmd.c:497
+#: inet/rcmd.c:501
 msgid "bad owner"
 msgstr "felaktig ägare"
 
-#: inet/rcmd.c:499
+#: inet/rcmd.c:503
 msgid "writeable by other than owner"
 msgstr "skrivbar för andra än ägaren"
 
-#: inet/rcmd.c:501
+#: inet/rcmd.c:505
 msgid "hard linked somewhere"
 msgstr "hårdlänkad någonstans"
 
@@ -1736,8 +1728,8 @@ msgid "no symbolic name given for end of range"
 msgstr "inget symboliskt namn givet för slutet av intervallet"
 
 #: locale/programs/charmap.c:610 locale/programs/ld-address.c:528
-#: locale/programs/ld-collate.c:2626 locale/programs/ld-collate.c:3784
-#: locale/programs/ld-ctype.c:2162 locale/programs/ld-ctype.c:2913
+#: locale/programs/ld-collate.c:2635 locale/programs/ld-collate.c:3793
+#: locale/programs/ld-ctype.c:2128 locale/programs/ld-ctype.c:2840
 #: locale/programs/ld-identification.c:368
 #: locale/programs/ld-measurement.c:215 locale/programs/ld-messages.c:298
 #: locale/programs/ld-monetary.c:740 locale/programs/ld-name.c:264
@@ -1763,8 +1755,8 @@ msgid "%s: error in state machine"
 msgstr "%s: fel i tillståndsmaskin"
 
 #: locale/programs/charmap.c:850 locale/programs/ld-address.c:544
-#: locale/programs/ld-collate.c:2623 locale/programs/ld-collate.c:3977
-#: locale/programs/ld-ctype.c:2159 locale/programs/ld-ctype.c:2930
+#: locale/programs/ld-collate.c:2632 locale/programs/ld-collate.c:3986
+#: locale/programs/ld-ctype.c:2125 locale/programs/ld-ctype.c:2857
 #: locale/programs/ld-identification.c:384
 #: locale/programs/ld-measurement.c:231 locale/programs/ld-messages.c:314
 #: locale/programs/ld-monetary.c:756 locale/programs/ld-name.c:280
@@ -1787,7 +1779,7 @@ msgstr ""
 "antal byte för bytesekvens angivet i början respektive slutet av intervallet\n"
 "skiljer sig: %d respektive %d"
 
-#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2903
+#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2912
 #: locale/programs/repertoire.c:419
 msgid "invalid names for character range"
 msgstr "ogiltiga namn för teckenintervall"
@@ -1809,8 +1801,8 @@ msgstr "övre gräns i intervall är mindre än undre gräns"
 msgid "resulting bytes for range not representable."
 msgstr "resulterande byte för intervall är inte representerbara."
 
-#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1565
-#: locale/programs/ld-ctype.c:465 locale/programs/ld-identification.c:133
+#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1566
+#: locale/programs/ld-ctype.c:431 locale/programs/ld-identification.c:133
 #: locale/programs/ld-measurement.c:94 locale/programs/ld-messages.c:97
 #: locale/programs/ld-monetary.c:193 locale/programs/ld-name.c:94
 #: locale/programs/ld-numeric.c:98 locale/programs/ld-paper.c:91
@@ -1874,7 +1866,7 @@ msgid "%s: numeric country code `%d' not valid"
 msgstr "%s: numerisk landkod \"%d\" är inte giltig"
 
 #: locale/programs/ld-address.c:436 locale/programs/ld-address.c:473
-#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2537
+#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2489
 #: locale/programs/ld-identification.c:280
 #: locale/programs/ld-measurement.c:198 locale/programs/ld-messages.c:267
 #: locale/programs/ld-monetary.c:495 locale/programs/ld-monetary.c:530
@@ -1896,8 +1888,8 @@ msgstr "%s: fält \"%s\" är deklarerad mer än en gång"
 msgid "%s: unknown character in field `%s'"
 msgstr "%s: okänt tecken i fält \"%s\""
 
-#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3782
-#: locale/programs/ld-ctype.c:2910 locale/programs/ld-identification.c:365
+#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3791
+#: locale/programs/ld-ctype.c:2837 locale/programs/ld-identification.c:365
 #: locale/programs/ld-measurement.c:212 locale/programs/ld-messages.c:296
 #: locale/programs/ld-monetary.c:738 locale/programs/ld-name.c:262
 #: locale/programs/ld-numeric.c:324 locale/programs/ld-paper.c:212
@@ -1906,12 +1898,12 @@ msgstr "%s: okänt tecken i fält \"%s\""
 msgid "%s: incomplete `END' line"
 msgstr "%s: ofullständig \"END\"-rad"
 
-#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:551
-#: locale/programs/ld-collate.c:603 locale/programs/ld-collate.c:899
-#: locale/programs/ld-collate.c:912 locale/programs/ld-collate.c:2592
-#: locale/programs/ld-collate.c:2613 locale/programs/ld-collate.c:3967
-#: locale/programs/ld-ctype.c:1891 locale/programs/ld-ctype.c:2149
-#: locale/programs/ld-ctype.c:2735 locale/programs/ld-ctype.c:2921
+#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:552
+#: locale/programs/ld-collate.c:604 locale/programs/ld-collate.c:900
+#: locale/programs/ld-collate.c:913 locale/programs/ld-collate.c:2601
+#: locale/programs/ld-collate.c:2622 locale/programs/ld-collate.c:3976
+#: locale/programs/ld-ctype.c:1857 locale/programs/ld-ctype.c:2115
+#: locale/programs/ld-ctype.c:2687 locale/programs/ld-ctype.c:2848
 #: locale/programs/ld-identification.c:375
 #: locale/programs/ld-measurement.c:222 locale/programs/ld-messages.c:305
 #: locale/programs/ld-monetary.c:747 locale/programs/ld-name.c:271
@@ -1921,476 +1913,476 @@ msgstr "%s: ofullständig \"END\"-rad"
 msgid "%s: syntax error"
 msgstr "%s: syntaxfel"
 
-#: locale/programs/ld-collate.c:426
+#: locale/programs/ld-collate.c:427
 #, c-format
 msgid "`%.*s' already defined in charmap"
 msgstr "\"%.*s\" redan definierad i teckenuppsättning"
 
-#: locale/programs/ld-collate.c:435
+#: locale/programs/ld-collate.c:436
 #, c-format
 msgid "`%.*s' already defined in repertoire"
 msgstr "\"%.*s\" redan definierad i repertoar"
 
-#: locale/programs/ld-collate.c:442
+#: locale/programs/ld-collate.c:443
 #, c-format
 msgid "`%.*s' already defined as collating symbol"
 msgstr "\"%.*s\" redan definierad som ett kollationssymbol"
 
-#: locale/programs/ld-collate.c:449
+#: locale/programs/ld-collate.c:450
 #, c-format
 msgid "`%.*s' already defined as collating element"
 msgstr "\"%.*s\" redan definierad som ett kollationselement"
 
-#: locale/programs/ld-collate.c:480 locale/programs/ld-collate.c:506
+#: locale/programs/ld-collate.c:481 locale/programs/ld-collate.c:507
 #, c-format
 msgid "%s: `forward' and `backward' are mutually excluding each other"
 msgstr "%s: sorteringsordning \"forward\" och \"backward\" är ömsesidigt uteslutande"
 
-#: locale/programs/ld-collate.c:490 locale/programs/ld-collate.c:516
-#: locale/programs/ld-collate.c:532
+#: locale/programs/ld-collate.c:491 locale/programs/ld-collate.c:517
+#: locale/programs/ld-collate.c:533
 #, c-format
 msgid "%s: `%s' mentioned more than once in definition of weight %d"
 msgstr "%s: \"%s\" är nämnd fler än en gång i definitionen av vikt %d"
 
-#: locale/programs/ld-collate.c:588
+#: locale/programs/ld-collate.c:589
 #, c-format
 msgid "%s: too many rules; first entry only had %d"
 msgstr "%s: för många regler, första delen hade bara %d"
 
-#: locale/programs/ld-collate.c:624
+#: locale/programs/ld-collate.c:625
 #, c-format
 msgid "%s: not enough sorting rules"
 msgstr "%s: inte tillräckligt med sorteringsregler"
 
-#: locale/programs/ld-collate.c:789
+#: locale/programs/ld-collate.c:790
 #, c-format
 msgid "%s: empty weight string not allowed"
 msgstr "%s: tomt viktnamn är inte tillåtet"
 
-#: locale/programs/ld-collate.c:884
+#: locale/programs/ld-collate.c:885
 #, c-format
 msgid "%s: weights must use the same ellipsis symbol as the name"
 msgstr "%s: vikter måste använda samma intervallsymbol som namn"
 
-#: locale/programs/ld-collate.c:940
+#: locale/programs/ld-collate.c:941
 #, c-format
 msgid "%s: too many values"
 msgstr "%s: för många värden"
 
-#: locale/programs/ld-collate.c:1060 locale/programs/ld-collate.c:1235
+#: locale/programs/ld-collate.c:1061 locale/programs/ld-collate.c:1236
 #, c-format
 msgid "order for `%.*s' already defined at %s:%Zu"
 msgstr "ordningsföljd för \"%.*s\" redan definierad vid %s:%Zu"
 
-#: locale/programs/ld-collate.c:1110
+#: locale/programs/ld-collate.c:1111
 #, c-format
 msgid "%s: the start and the end symbol of a range must stand for characters"
 msgstr "%s: start- och slut-symbol i ett intervall måste representera tecken"
 
-#: locale/programs/ld-collate.c:1137
+#: locale/programs/ld-collate.c:1138
 #, c-format
 msgid "%s: byte sequences of first and last character must have the same length"
 msgstr "%s: bytesekvens för första och sista tecknet måste ha samma längd"
 
-#: locale/programs/ld-collate.c:1179
+#: locale/programs/ld-collate.c:1180
 #, c-format
 msgid "%s: byte sequence of first character of range is not lower than that of the last character"
 msgstr "%s: bytesekvens för första tecknet i intervallet är inte mindre än den för sista tecknet"
 
-#: locale/programs/ld-collate.c:1304
+#: locale/programs/ld-collate.c:1305
 #, c-format
 msgid "%s: symbolic range ellipsis must not directly follow `order_start'"
 msgstr "%s: symboliskt intervall får inte vara omedelbart efter \"order_start\""
 
-#: locale/programs/ld-collate.c:1308
+#: locale/programs/ld-collate.c:1309
 #, c-format
 msgid "%s: symbolic range ellipsis must not be directly followed by `order_end'"
 msgstr "%s: symboliskt intervall får inte omedelbart följas av \"order_end\""
 
-#: locale/programs/ld-collate.c:1328 locale/programs/ld-ctype.c:1408
+#: locale/programs/ld-collate.c:1329 locale/programs/ld-ctype.c:1374
 #, c-format
 msgid "`%s' and `%.*s' are not valid names for symbolic range"
 msgstr "\"%s\" och \"%.*s\" är otillåtna namn för symboliskt intervall"
 
-#: locale/programs/ld-collate.c:1378 locale/programs/ld-collate.c:3718
+#: locale/programs/ld-collate.c:1379 locale/programs/ld-collate.c:3727
 #, c-format
 msgid "%s: order for `%.*s' already defined at %s:%Zu"
 msgstr "%s: ordningsföljd för \"%.*s\" redan definierad i %s:%Zu"
 
-#: locale/programs/ld-collate.c:1387
+#: locale/programs/ld-collate.c:1388
 #, c-format
 msgid "%s: `%s' must be a character"
 msgstr "%s: \"%s\" måste vara ett enskilt tecken"
 
-#: locale/programs/ld-collate.c:1582
+#: locale/programs/ld-collate.c:1583
 #, c-format
 msgid "%s: `position' must be used for a specific level in all sections or none"
 msgstr "%s: \"position\" måste användas för en given nivå i alla sektioner eller inte alls"
 
-#: locale/programs/ld-collate.c:1607
+#: locale/programs/ld-collate.c:1608
 #, c-format
 msgid "symbol `%s' not defined"
 msgstr "symbol \"%s\" inte definierad"
 
-#: locale/programs/ld-collate.c:1683 locale/programs/ld-collate.c:1789
+#: locale/programs/ld-collate.c:1684 locale/programs/ld-collate.c:1790
 #, c-format
 msgid "symbol `%s' has the same encoding as"
 msgstr "symbol \"%s\" har samma värde som"
 
-#: locale/programs/ld-collate.c:1687 locale/programs/ld-collate.c:1793
+#: locale/programs/ld-collate.c:1688 locale/programs/ld-collate.c:1794
 #, c-format
 msgid "symbol `%s'"
 msgstr "symbol \"%s\""
 
-#: locale/programs/ld-collate.c:1833
+#: locale/programs/ld-collate.c:1834
 #, c-format
 msgid "no definition of `UNDEFINED'"
 msgstr "ingen definition av \"UNDEFINED\""
 
-#: locale/programs/ld-collate.c:1862
+#: locale/programs/ld-collate.c:1863
 #, c-format
 msgid "too many errors; giving up"
 msgstr "för många fel, ger upp"
 
-#: locale/programs/ld-collate.c:2518 locale/programs/ld-collate.c:3906
+#: locale/programs/ld-collate.c:2527 locale/programs/ld-collate.c:3915
 #, c-format
 msgid "%s: nested conditionals not supported"
 msgstr "%s: nästlade villkor stöds inte"
 
-#: locale/programs/ld-collate.c:2536
+#: locale/programs/ld-collate.c:2545
 #, c-format
 msgid "%s: more than one 'else'"
 msgstr "%s: mer än en \"else\""
 
-#: locale/programs/ld-collate.c:2711
+#: locale/programs/ld-collate.c:2720
 #, c-format
 msgid "%s: duplicate definition of `%s'"
 msgstr "%s: dubbla definitioner av \"%s\""
 
-#: locale/programs/ld-collate.c:2747
+#: locale/programs/ld-collate.c:2756
 #, c-format
 msgid "%s: duplicate declaration of section `%s'"
 msgstr "%s: dubbla deklarationer för sektion \"%s\""
 
-#: locale/programs/ld-collate.c:2883
+#: locale/programs/ld-collate.c:2892
 #, c-format
 msgid "%s: unknown character in collating symbol name"
 msgstr "%s: okänt tecken i namn för kollationssymbol"
 
-#: locale/programs/ld-collate.c:3012
+#: locale/programs/ld-collate.c:3021
 #, c-format
 msgid "%s: unknown character in equivalent definition name"
 msgstr "%s: okänt tecken i namnet i ekvivalensdefinitionen"
 
-#: locale/programs/ld-collate.c:3023
+#: locale/programs/ld-collate.c:3032
 #, c-format
 msgid "%s: unknown character in equivalent definition value"
 msgstr "%s: okänt tecken i värdet i ekvivalensdefinitionen"
 
-#: locale/programs/ld-collate.c:3033
+#: locale/programs/ld-collate.c:3042
 #, c-format
 msgid "%s: unknown symbol `%s' in equivalent definition"
 msgstr "%s: okänd symbol \"%s\" i ekvivalensdefinition"
 
-#: locale/programs/ld-collate.c:3042
+#: locale/programs/ld-collate.c:3051
 msgid "error while adding equivalent collating symbol"
 msgstr "fel när ekvivalent kollationssymbol lades till"
 
-#: locale/programs/ld-collate.c:3080
+#: locale/programs/ld-collate.c:3089
 #, c-format
 msgid "duplicate definition of script `%s'"
 msgstr "dubblerad definition för skript \"%s\""
 
-#: locale/programs/ld-collate.c:3128
+#: locale/programs/ld-collate.c:3137
 #, c-format
 msgid "%s: unknown section name `%.*s'"
 msgstr "%s: okänt sektionsnamn \"%.*s\""
 
-#: locale/programs/ld-collate.c:3157
+#: locale/programs/ld-collate.c:3166
 #, c-format
 msgid "%s: multiple order definitions for section `%s'"
 msgstr "%s: dubbla definitioner av ordningsföljd i sektion \"%s\""
 
-#: locale/programs/ld-collate.c:3185
+#: locale/programs/ld-collate.c:3194
 #, c-format
 msgid "%s: invalid number of sorting rules"
 msgstr "%s: ogiltigt antal sorteringsregler"
 
-#: locale/programs/ld-collate.c:3212
+#: locale/programs/ld-collate.c:3221
 #, c-format
 msgid "%s: multiple order definitions for unnamed section"
 msgstr "%s: flera definitioner av ordningsföljd i namnlös sektion"
 
-#: locale/programs/ld-collate.c:3267 locale/programs/ld-collate.c:3397
-#: locale/programs/ld-collate.c:3760
+#: locale/programs/ld-collate.c:3276 locale/programs/ld-collate.c:3406
+#: locale/programs/ld-collate.c:3769
 #, c-format
 msgid "%s: missing `order_end' keyword"
 msgstr "%s: nyckelord \"order_end\" saknas"
 
-#: locale/programs/ld-collate.c:3330
+#: locale/programs/ld-collate.c:3339
 #, c-format
 msgid "%s: order for collating symbol %.*s not yet defined"
 msgstr "%s: ordningsföljd för kollationssymbol %.*s är inte definierad ännu"
 
-#: locale/programs/ld-collate.c:3348
+#: locale/programs/ld-collate.c:3357
 #, c-format
 msgid "%s: order for collating element %.*s not yet defined"
 msgstr "%s: ordningsföljd för kollationselement %.*s är inte definierad ännu"
 
-#: locale/programs/ld-collate.c:3359
+#: locale/programs/ld-collate.c:3368
 #, c-format
 msgid "%s: cannot reorder after %.*s: symbol not known"
 msgstr "%s: kan inte byta ordning efter %.*s: okänd symbol"
 
-#: locale/programs/ld-collate.c:3411 locale/programs/ld-collate.c:3772
+#: locale/programs/ld-collate.c:3420 locale/programs/ld-collate.c:3781
 #, c-format
 msgid "%s: missing `reorder-end' keyword"
 msgstr "%s: nyckelord \"reorder-end\" saknas"
 
-#: locale/programs/ld-collate.c:3445 locale/programs/ld-collate.c:3643
+#: locale/programs/ld-collate.c:3454 locale/programs/ld-collate.c:3652
 #, c-format
 msgid "%s: section `%.*s' not known"
 msgstr "%s: sektion \"%.*s\" okänd"
 
-#: locale/programs/ld-collate.c:3510
+#: locale/programs/ld-collate.c:3519
 #, c-format
 msgid "%s: bad symbol <%.*s>"
 msgstr "%s: ogiltig symbol: <%.*s>"
 
-#: locale/programs/ld-collate.c:3706
+#: locale/programs/ld-collate.c:3715
 #, c-format
 msgid "%s: cannot have `%s' as end of ellipsis range"
 msgstr "%s: kan inte ha \"%s\" som ändpunkt på ellips"
 
-#: locale/programs/ld-collate.c:3756
+#: locale/programs/ld-collate.c:3765
 #, c-format
 msgid "%s: empty category description not allowed"
 msgstr "%s: tom kategoribeskrivning är inte tillåtet"
 
-#: locale/programs/ld-collate.c:3775
+#: locale/programs/ld-collate.c:3784
 #, c-format
 msgid "%s: missing `reorder-sections-end' keyword"
 msgstr "%s: nyckelord \"reorder-sections-end\" saknas"
 
-#: locale/programs/ld-collate.c:3939
+#: locale/programs/ld-collate.c:3948
 #, c-format
 msgid "%s: '%s' without matching 'ifdef' or 'ifndef'"
 msgstr "%s: \"%s\" utan matchande \"ifdef\" eller \"ifndef\""
 
-#: locale/programs/ld-collate.c:3957
+#: locale/programs/ld-collate.c:3966
 #, c-format
 msgid "%s: 'endif' without matching 'ifdef' or 'ifndef'"
 msgstr "%s: \"endif\" utan matchande \"ifdef\" eller \"ifndef\""
 
-#: locale/programs/ld-ctype.c:484
+#: locale/programs/ld-ctype.c:450
 #, c-format
 msgid "No character set name specified in charmap"
 msgstr "Inget namn definierat i teckenuppsättning"
 
-#: locale/programs/ld-ctype.c:513
+#: locale/programs/ld-ctype.c:479
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must be in class `%s'"
 msgstr "tecken L\"\\u%0*x\" i klass \"%s\" måste vara i klass \"%s\""
 
-#: locale/programs/ld-ctype.c:528
+#: locale/programs/ld-ctype.c:494
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must not be in class `%s'"
 msgstr "tecken L\"\\u%0*x\" i klass \"%s\" får inte vara i klass \"%s\""
 
-#: locale/programs/ld-ctype.c:542 locale/programs/ld-ctype.c:600
+#: locale/programs/ld-ctype.c:508 locale/programs/ld-ctype.c:566
 #, c-format
 msgid "internal error in %s, line %u"
 msgstr "internt fel i %s, rad %u"
 
-#: locale/programs/ld-ctype.c:571
+#: locale/programs/ld-ctype.c:537
 #, c-format
 msgid "character '%s' in class `%s' must be in class `%s'"
 msgstr "tecken \"%s\" i klass \"%s\" måste vara i klass \"%s\""
 
-#: locale/programs/ld-ctype.c:587
+#: locale/programs/ld-ctype.c:553
 #, c-format
 msgid "character '%s' in class `%s' must not be in class `%s'"
 msgstr "tecken \"%s\" i klass \"%s\" får inte vara i klass \"%s\""
 
-#: locale/programs/ld-ctype.c:617 locale/programs/ld-ctype.c:655
+#: locale/programs/ld-ctype.c:583 locale/programs/ld-ctype.c:621
 #, c-format
 msgid "<SP> character not in class `%s'"
 msgstr "<SP>-tecknet är inte i klass \"%s\""
 
-#: locale/programs/ld-ctype.c:629 locale/programs/ld-ctype.c:666
+#: locale/programs/ld-ctype.c:595 locale/programs/ld-ctype.c:632
 #, c-format
 msgid "<SP> character must not be in class `%s'"
 msgstr "<SP>-tecknet får inte vara i klass \"%s\""
 
-#: locale/programs/ld-ctype.c:644
+#: locale/programs/ld-ctype.c:610
 #, c-format
 msgid "character <SP> not defined in character map"
 msgstr "tecken <SP> inte definierat i teckenuppsättning"
 
-#: locale/programs/ld-ctype.c:780
+#: locale/programs/ld-ctype.c:746
 #, c-format
 msgid "`digit' category has not entries in groups of ten"
 msgstr "\"digit\"-kategori har inte poster i grupper av tio"
 
-#: locale/programs/ld-ctype.c:829
+#: locale/programs/ld-ctype.c:795
 #, c-format
 msgid "no input digits defined and none of the standard names in the charmap"
 msgstr "inga siffror för indata definierade och inga standardnamn finns i teckenuppsättningen"
 
-#: locale/programs/ld-ctype.c:894
+#: locale/programs/ld-ctype.c:860
 #, c-format
 msgid "not all characters used in `outdigit' are available in the charmap"
 msgstr "alla tecken i \"outdigit\" är inte tillgängliga i teckenuppsättningen"
 
-#: locale/programs/ld-ctype.c:911
+#: locale/programs/ld-ctype.c:877
 #, c-format
 msgid "not all characters used in `outdigit' are available in the repertoire"
 msgstr "alla tecken i \"outdigit\" är inte tillgängliga i repertoaren"
 
-#: locale/programs/ld-ctype.c:1176
+#: locale/programs/ld-ctype.c:1142
 #, c-format
 msgid "character class `%s' already defined"
 msgstr "teckenklass \"%s\" redan definierad"
 
-#: locale/programs/ld-ctype.c:1182
+#: locale/programs/ld-ctype.c:1148
 #, c-format
 msgid "implementation limit: no more than %Zd character classes allowed"
 msgstr "implementationsbegränsning: inte fler än %Zd teckenklasser tillåtna"
 
-#: locale/programs/ld-ctype.c:1208
+#: locale/programs/ld-ctype.c:1174
 #, c-format
 msgid "character map `%s' already defined"
 msgstr "teckenuppsättning \"%s\" redan definierad"
 
-#: locale/programs/ld-ctype.c:1214
+#: locale/programs/ld-ctype.c:1180
 #, c-format
 msgid "implementation limit: no more than %d character maps allowed"
 msgstr "implementationsbegränsning: inte fler än %d teckenuppsättningar tillåtet"
 
-#: locale/programs/ld-ctype.c:1479 locale/programs/ld-ctype.c:1604
-#: locale/programs/ld-ctype.c:1710 locale/programs/ld-ctype.c:2400
-#: locale/programs/ld-ctype.c:3397
+#: locale/programs/ld-ctype.c:1445 locale/programs/ld-ctype.c:1570
+#: locale/programs/ld-ctype.c:1676 locale/programs/ld-ctype.c:2352
+#: locale/programs/ld-ctype.c:3324
 #, c-format
 msgid "%s: field `%s' does not contain exactly ten entries"
 msgstr "%s: fält \"%s\" innehåller inte exakt tio poster"
 
-#: locale/programs/ld-ctype.c:1507 locale/programs/ld-ctype.c:2081
+#: locale/programs/ld-ctype.c:1473 locale/programs/ld-ctype.c:2047
 #, c-format
 msgid "to-value <U%0*X> of range is smaller than from-value <U%0*X>"
 msgstr "tillvärdet <U%0*X> i intervallet är mindre än frånvärdet <U%0*X>"
 
-#: locale/programs/ld-ctype.c:1634
+#: locale/programs/ld-ctype.c:1600
 msgid "start and end character sequence of range must have the same length"
 msgstr "start- och slutteckensekvens för intervall måste ha samma längd"
 
-#: locale/programs/ld-ctype.c:1641
+#: locale/programs/ld-ctype.c:1607
 msgid "to-value character sequence is smaller than from-value sequence"
 msgstr "tillvärdets teckensekvens är mindre än frånvärdets sekvens"
 
-#: locale/programs/ld-ctype.c:2001 locale/programs/ld-ctype.c:2052
+#: locale/programs/ld-ctype.c:1967 locale/programs/ld-ctype.c:2018
 msgid "premature end of `translit_ignore' definition"
 msgstr "för tidigt slut på definition för \"translit_ignore\""
 
-#: locale/programs/ld-ctype.c:2007 locale/programs/ld-ctype.c:2058
-#: locale/programs/ld-ctype.c:2100
+#: locale/programs/ld-ctype.c:1973 locale/programs/ld-ctype.c:2024
+#: locale/programs/ld-ctype.c:2066
 msgid "syntax error"
 msgstr "syntaxfel"
 
-#: locale/programs/ld-ctype.c:2233
+#: locale/programs/ld-ctype.c:2199
 #, c-format
 msgid "%s: syntax error in definition of new character class"
 msgstr "%s: syntaxfel i definition av ny teckenklass"
 
-#: locale/programs/ld-ctype.c:2248
+#: locale/programs/ld-ctype.c:2214
 #, c-format
 msgid "%s: syntax error in definition of new character map"
 msgstr "%s: syntaxfel i definition av ny teckenuppsättning"
 
-#: locale/programs/ld-ctype.c:2422
+#: locale/programs/ld-ctype.c:2374
 msgid "ellipsis range must be marked by two operands of same type"
 msgstr "intervall måste markeras med två operander av samma typ"
 
-#: locale/programs/ld-ctype.c:2431
+#: locale/programs/ld-ctype.c:2383
 msgid "with symbolic name range values the absolute ellipsis `...' must not be used"
 msgstr "med symboliska namn som intervallvärden kan inte absoluta intervallet \"...\" användas"
 
-#: locale/programs/ld-ctype.c:2446
+#: locale/programs/ld-ctype.c:2398
 msgid "with UCS range values one must use the hexadecimal symbolic ellipsis `..'"
 msgstr "med UCS som intervallvärden måste man använda symboliska hexadecimala intervallet \"..\""
 
-#: locale/programs/ld-ctype.c:2460
+#: locale/programs/ld-ctype.c:2412
 msgid "with character code range values one must use the absolute ellipsis `...'"
 msgstr "med teckenkoder som intervallvärden måste man använda absoluta intervallet \"...\""
 
-#: locale/programs/ld-ctype.c:2611
+#: locale/programs/ld-ctype.c:2563
 #, c-format
 msgid "duplicated definition for mapping `%s'"
 msgstr "dubblerad definition för mappning \"%s\""
 
-#: locale/programs/ld-ctype.c:2697 locale/programs/ld-ctype.c:2841
+#: locale/programs/ld-ctype.c:2649 locale/programs/ld-ctype.c:2793
 #, c-format
 msgid "%s: `translit_start' section does not end with `translit_end'"
 msgstr "%s: sektion \"translit_start\" avslutas inte med \"translit_end\""
 
-#: locale/programs/ld-ctype.c:2792
+#: locale/programs/ld-ctype.c:2744
 #, c-format
 msgid "%s: duplicate `default_missing' definition"
 msgstr "%s: dubbla definitioner av \"default_missing\""
 
-#: locale/programs/ld-ctype.c:2797
+#: locale/programs/ld-ctype.c:2749
 msgid "previous definition was here"
 msgstr "här var föregående definition"
 
-#: locale/programs/ld-ctype.c:2819
+#: locale/programs/ld-ctype.c:2771
 #, c-format
 msgid "%s: no representable `default_missing' definition found"
 msgstr "%s: ingen representerbar definition av \"default_missing\" hittades"
 
-#: locale/programs/ld-ctype.c:2962 locale/programs/ld-ctype.c:3059
-#: locale/programs/ld-ctype.c:3079 locale/programs/ld-ctype.c:3100
-#: locale/programs/ld-ctype.c:3121 locale/programs/ld-ctype.c:3142
-#: locale/programs/ld-ctype.c:3163 locale/programs/ld-ctype.c:3203
-#: locale/programs/ld-ctype.c:3224 locale/programs/ld-ctype.c:3289
-#: locale/programs/ld-ctype.c:3331 locale/programs/ld-ctype.c:3356
+#: locale/programs/ld-ctype.c:2889 locale/programs/ld-ctype.c:2986
+#: locale/programs/ld-ctype.c:3006 locale/programs/ld-ctype.c:3027
+#: locale/programs/ld-ctype.c:3048 locale/programs/ld-ctype.c:3069
+#: locale/programs/ld-ctype.c:3090 locale/programs/ld-ctype.c:3130
+#: locale/programs/ld-ctype.c:3151 locale/programs/ld-ctype.c:3216
+#: locale/programs/ld-ctype.c:3258 locale/programs/ld-ctype.c:3283
 #, c-format
 msgid "%s: character `%s' not defined while needed as default value"
 msgstr "%s: tecken \"%s\" inte definierat men behövs som standardvärde"
 
-#: locale/programs/ld-ctype.c:2967 locale/programs/ld-ctype.c:3064
-#: locale/programs/ld-ctype.c:3084 locale/programs/ld-ctype.c:3105
-#: locale/programs/ld-ctype.c:3126 locale/programs/ld-ctype.c:3147
-#: locale/programs/ld-ctype.c:3168 locale/programs/ld-ctype.c:3208
-#: locale/programs/ld-ctype.c:3229 locale/programs/ld-ctype.c:3294
+#: locale/programs/ld-ctype.c:2894 locale/programs/ld-ctype.c:2991
+#: locale/programs/ld-ctype.c:3011 locale/programs/ld-ctype.c:3032
+#: locale/programs/ld-ctype.c:3053 locale/programs/ld-ctype.c:3074
+#: locale/programs/ld-ctype.c:3095 locale/programs/ld-ctype.c:3135
+#: locale/programs/ld-ctype.c:3156 locale/programs/ld-ctype.c:3221
 #, c-format
 msgid "%s: character `%s' in charmap not representable with one byte"
 msgstr "%s: tecken \"%s\" i teckenuppsättning kan inte representeras med en byte"
 
-#: locale/programs/ld-ctype.c:3338 locale/programs/ld-ctype.c:3363
+#: locale/programs/ld-ctype.c:3265 locale/programs/ld-ctype.c:3290
 #, c-format
 msgid "%s: character `%s' needed as default value not representable with one byte"
 msgstr "%s: tecken \"%s\" som behövs som standardvärde kan inte representeras med en byte"
 
-#: locale/programs/ld-ctype.c:3419
+#: locale/programs/ld-ctype.c:3346
 #, c-format
 msgid "no output digits defined and none of the standard names in the charmap"
 msgstr "inga siffror för utdata definierade och inga standardnamn finns i teckenuppsättningen"
 
-#: locale/programs/ld-ctype.c:3668
+#: locale/programs/ld-ctype.c:3595
 #, c-format
 msgid "%s: transliteration data from locale `%s' not available"
 msgstr "%s: transkriberingsdata för lokal \"%s\" är inte tillgänglig"
 
-#: locale/programs/ld-ctype.c:3768
+#: locale/programs/ld-ctype.c:3695
 #, c-format
 msgid "%s: table for class \"%s\": %lu bytes\n"
 msgstr "%s: tabell för klass \"%s\": %lu byte\n"
 
-#: locale/programs/ld-ctype.c:3833
+#: locale/programs/ld-ctype.c:3760
 #, c-format
 msgid "%s: table for map \"%s\": %lu bytes\n"
 msgstr "%s: tabell för \"%s\": %lu byte\n"
 
-#: locale/programs/ld-ctype.c:3958
+#: locale/programs/ld-ctype.c:3885
 #, c-format
 msgid "%s: table for width: %lu bytes\n"
 msgstr "%s: tabell för teckenstorlek: %lu byte\n"
@@ -3809,17 +3801,23 @@ msgstr "lägg till ny post \"%s\" av typen %s för %s till cache%s"
 msgid " (first)"
 msgstr " (första)"
 
-#: nscd/cache.c:285 nscd/connections.c:1000
-#, c-format
-msgid "cannot stat() file `%s': %s"
+#: nscd/cache.c:288
+#, fuzzy, c-format
+#| msgid "cannot stat() file `%s': %s"
+msgid "checking for monitored file `%s': %s"
 msgstr "kan inte ta status på fil \"%s\": %s"
 
-#: nscd/cache.c:331
+#: nscd/cache.c:298
+#, c-format
+msgid "monitored file `%s` changed (mtime)"
+msgstr ""
+
+#: nscd/cache.c:341
 #, c-format
 msgid "pruning %s cache; time %ld"
 msgstr "beskär %s cache; tid %ld"
 
-#: nscd/cache.c:360
+#: nscd/cache.c:370
 #, c-format
 msgid "considering %s entry \"%s\", timeout %<PRIu64>"
 msgstr "överväger %s-post \"%s\", tidsgräns %<PRIu64>"
@@ -3905,153 +3903,217 @@ msgstr "kan inte sätta uttag (socket) att stängas vid programstart: %s"
 msgid "cannot enable socket to accept connections: %s"
 msgstr "kan inte få uttag (socket) att acceptera förbindelser: %s"
 
-#: nscd/connections.c:984
+#: nscd/connections.c:973
 #, c-format
-msgid "register trace file %s for database %s"
+msgid "disabled inotify-based monitoring for file `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:977
+#, c-format
+msgid "monitoring file `%s` (%d)"
+msgstr ""
+
+#: nscd/connections.c:990
+#, c-format
+msgid "disabled inotify-based monitoring for directory `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:994
+#, fuzzy, c-format
+#| msgid "Can't open directory %s"
+msgid "monitoring directory `%s` (%d)"
+msgstr "Kan inte öppna katalog %s"
+
+#: nscd/connections.c:1022
+#, fuzzy, c-format
+#| msgid "register trace file %s for database %s"
+msgid "monitoring file %s for database %s"
 msgstr "registrera spårningsfil %s för databas %s"
 
-#: nscd/connections.c:1114
+#: nscd/connections.c:1032
+#, c-format
+msgid "stat failed for file `%s'; will try again later: %s"
+msgstr ""
+
+#: nscd/connections.c:1151
 #, c-format
 msgid "provide access to FD %d, for %s"
 msgstr "ge åtkomst till FD %d, för %s"
 
-#: nscd/connections.c:1126
+#: nscd/connections.c:1163
 #, c-format
 msgid "cannot handle old request version %d; current version is %d"
 msgstr "kan inte hantera äldre förfrågansversion %d, nuvarande version är %d"
 
-#: nscd/connections.c:1148
+#: nscd/connections.c:1185
 #, c-format
 msgid "request from %ld not handled due to missing permission"
 msgstr "begäran från %ld inte hanterad för att rättigheter saknas"
 
-#: nscd/connections.c:1153
+#: nscd/connections.c:1190
 #, c-format
 msgid "request from '%s' [%ld] not handled due to missing permission"
 msgstr "begäran från \"%s\" [%ld] inte hanterad för att rättigheter saknas"
 
-#: nscd/connections.c:1158
+#: nscd/connections.c:1195
 msgid "request not handled due to missing permission"
 msgstr "begäran inte hanterad för att rättigheter saknas"
 
-#: nscd/connections.c:1196 nscd/connections.c:1249
+#: nscd/connections.c:1233 nscd/connections.c:1286
 #, c-format
 msgid "cannot write result: %s"
 msgstr "kan inte skriva resultat: %s"
 
-#: nscd/connections.c:1340
+#: nscd/connections.c:1377
 #, c-format
 msgid "error getting caller's id: %s"
 msgstr "kunde inte hämta anropandes identitet: %s"
 
-#: nscd/connections.c:1400
+#: nscd/connections.c:1437
 #, c-format
 msgid "cannot open /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr "kan inte öppna /proc/slef/cmdline: %s, kopplar ur paranoialäge"
 
-#: nscd/connections.c:1414
+#: nscd/connections.c:1451
 #, c-format
 msgid "cannot read /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr "kan inte läsa /proc/self/cmdline: %s, kopplar ur paranoialäge"
 
-#: nscd/connections.c:1454
+#: nscd/connections.c:1491
 #, c-format
 msgid "cannot change to old UID: %s; disabling paranoia mode"
 msgstr "kan inte byta till föregående UID: %s; kopplar ur paranoialäge"
 
-#: nscd/connections.c:1464
+#: nscd/connections.c:1501
 #, c-format
 msgid "cannot change to old GID: %s; disabling paranoia mode"
 msgstr "kan inte byta till föregående GID: %s; kopplar ur paranoialäge"
 
-#: nscd/connections.c:1477
+#: nscd/connections.c:1514
 #, c-format
 msgid "cannot change to old working directory: %s; disabling paranoia mode"
 msgstr "kan inte byta till föregående arbetskatalog: %s; kopplar ur paranoialäge"
 
-#: nscd/connections.c:1523
+#: nscd/connections.c:1560
 #, c-format
 msgid "re-exec failed: %s; disabling paranoia mode"
 msgstr "återstart misslyckades: %s; kopplar ur paranoialäge"
 
-#: nscd/connections.c:1532
+#: nscd/connections.c:1569
 #, c-format
 msgid "cannot change current working directory to \"/\": %s"
 msgstr "kan inte byta aktuell katalog till \"/\": %s"
 
-#: nscd/connections.c:1725
+#: nscd/connections.c:1762
 #, c-format
 msgid "short read while reading request: %s"
 msgstr "fattas data vid läsning av begäran: %s"
 
-#: nscd/connections.c:1758
+#: nscd/connections.c:1795
 #, c-format
 msgid "key length in request too long: %d"
 msgstr "nyckellängd i begäran för lång: %d"
 
-#: nscd/connections.c:1771
+#: nscd/connections.c:1808
 #, c-format
 msgid "short read while reading request key: %s"
 msgstr "fattas data vid läsning av begäransnyckel: %s"
 
-#: nscd/connections.c:1781
+#: nscd/connections.c:1818
 #, c-format
 msgid "handle_request: request received (Version = %d) from PID %ld"
 msgstr "handle_request: begäran mottagen (Version = %d) från PID %ld"
 
-#: nscd/connections.c:1786
+#: nscd/connections.c:1823
 #, c-format
 msgid "handle_request: request received (Version = %d)"
 msgstr "handle_request: begäran mottagen (Version = %d)"
 
-#: nscd/connections.c:2050 nscd/connections.c:2252
+#: nscd/connections.c:1963
+#, c-format
+msgid "ignored inotify event for `%s` (file exists)"
+msgstr ""
+
+#: nscd/connections.c:1968
+#, c-format
+msgid "monitored file `%s` was %s, removing watch"
+msgstr ""
+
+#: nscd/connections.c:1976 nscd/connections.c:2018
+#, c-format
+msgid "failed to remove file watch `%s`: %s"
+msgstr ""
+
+#: nscd/connections.c:1991
+#, c-format
+msgid "monitored file `%s` was written to"
+msgstr ""
+
+#: nscd/connections.c:2015
+#, c-format
+msgid "monitored parent directory `%s` was %s, removing watch on `%s`"
+msgstr ""
+
+#: nscd/connections.c:2041
 #, c-format
-msgid "disabled inotify after read error %d"
+msgid "monitored file `%s` was %s, adding watch"
+msgstr ""
+
+#: nscd/connections.c:2053
+#, fuzzy, c-format
+#| msgid "failed to load shared object `%s'"
+msgid "failed to add file watch `%s`: %s"
+msgstr "misslyckades med att ladda delat objekt \"%s\""
+
+#: nscd/connections.c:2247 nscd/connections.c:2428
+#, fuzzy, c-format
+#| msgid "disabled inotify after read error %d"
+msgid "disabled inotify-based monitoring after read error %d"
 msgstr "inaktiverade inotify efter läsfel %d"
 
-#: nscd/connections.c:2375
+#: nscd/connections.c:2543
 msgid "could not initialize conditional variable"
 msgstr "kan inte initiera villkorsvariabel"
 
-#: nscd/connections.c:2383
+#: nscd/connections.c:2551
 msgid "could not start clean-up thread; terminating"
 msgstr "kunde inte starta städtråd; avslutar"
 
-#: nscd/connections.c:2397
+#: nscd/connections.c:2565
 msgid "could not start any worker thread; terminating"
 msgstr "kunde inte starta någon arbetstråd; avslutar"
 
-#: nscd/connections.c:2452 nscd/connections.c:2454 nscd/connections.c:2470
-#: nscd/connections.c:2480 nscd/connections.c:2498 nscd/connections.c:2509
-#: nscd/connections.c:2519
+#: nscd/connections.c:2620 nscd/connections.c:2622 nscd/connections.c:2638
+#: nscd/connections.c:2648 nscd/connections.c:2666 nscd/connections.c:2677
+#: nscd/connections.c:2687
 #, c-format
 msgid "Failed to run nscd as user '%s'"
 msgstr "Misslyckades att köra nscd som användare \"%s\""
 
-#: nscd/connections.c:2472
+#: nscd/connections.c:2640
 msgid "initial getgrouplist failed"
 msgstr "första getgrouplist misslyckades"
 
-#: nscd/connections.c:2481
+#: nscd/connections.c:2649
 msgid "getgrouplist failed"
 msgstr "getgrouplist misslyckades"
 
-#: nscd/connections.c:2499
+#: nscd/connections.c:2667
 msgid "setgroups failed"
 msgstr "setgroups misslyckades"
 
-#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:410
+#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:411
 #: nscd/pwdcache.c:383 nscd/servicescache.c:338
 #, c-format
 msgid "short write in %s: %s"
 msgstr "ofullständig skrivning i %s: %s"
 
-#: nscd/grpcache.c:450 nscd/initgrcache.c:77
+#: nscd/grpcache.c:450 nscd/initgrcache.c:78
 #, c-format
 msgid "Haven't found \"%s\" in group cache!"
 msgstr "Hittar inte \"%s\" i gruppcache!"
 
-#: nscd/grpcache.c:452 nscd/initgrcache.c:79
+#: nscd/grpcache.c:452 nscd/initgrcache.c:80
 #, c-format
 msgid "Reloading \"%s\" in group cache!"
 msgstr "Omladdar \"%s\" i gruppcache!"
@@ -4139,7 +4201,7 @@ msgstr "Använd separat cache för varje användare"
 msgid "Name Service Cache Daemon."
 msgstr "Namntjänst cache-demon"
 
-#: nscd/nscd.c:155 nss/getent.c:1003 nss/makedb.c:206
+#: nscd/nscd.c:155 nss/getent.c:1007 nss/makedb.c:206
 #, c-format
 msgid "wrong number of arguments"
 msgstr "fel antal argument"
@@ -4172,7 +4234,7 @@ msgstr "kan inte byta aktuell katalog till \"/\""
 msgid "Could not create log file"
 msgstr "Kunde inte skapa loggfil"
 
-#: nscd/nscd.c:355 nscd/nscd_stat.c:192
+#: nscd/nscd.c:355 nscd/nscd_stat.c:194
 #, c-format
 msgid "write incomplete"
 msgstr "ofullständig skrivning"
@@ -4187,7 +4249,7 @@ msgstr "kan inte läsa ogiltigförklarings-ACK"
 msgid "invalidation failed"
 msgstr "ogiltigförklaring misslyckades"
 
-#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:173
+#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:175
 #, c-format
 msgid "Only root is allowed to use this option!"
 msgstr "Bara root har tillåtelse att använda denna operation!"
@@ -4272,35 +4334,35 @@ msgstr "kan inte hämta aktuell katalog: %s; kopplar ut paranoialäge"
 msgid "maximum file size for %s database too small"
 msgstr "maximal filstorlek för \"%s\"-databasen är för liten"
 
-#: nscd/nscd_stat.c:142
+#: nscd/nscd_stat.c:144
 #, c-format
 msgid "cannot write statistics: %s"
 msgstr "kan inte skriva statistik: %s"
 
-#: nscd/nscd_stat.c:157
+#: nscd/nscd_stat.c:159
 msgid "yes"
 msgstr "ja"
 
-#: nscd/nscd_stat.c:158
+#: nscd/nscd_stat.c:160
 msgid "no"
 msgstr "nej"
 
-#: nscd/nscd_stat.c:169
+#: nscd/nscd_stat.c:171
 #, c-format
 msgid "Only root or %s is allowed to use this option!"
 msgstr "Bara root eller %s har tillåtelse att använda denna operation!"
 
-#: nscd/nscd_stat.c:180
+#: nscd/nscd_stat.c:182
 #, c-format
 msgid "nscd not running!\n"
 msgstr "nscd kör inte!\n"
 
-#: nscd/nscd_stat.c:204
+#: nscd/nscd_stat.c:206
 #, c-format
 msgid "cannot read statistics data"
 msgstr "kan inte läsa statistikdata"
 
-#: nscd/nscd_stat.c:207
+#: nscd/nscd_stat.c:209
 #, c-format
 msgid ""
 "nscd configuration:\n"
@@ -4311,27 +4373,27 @@ msgstr ""
 "\n"
 "%15d  servers felsökningsläge\n"
 
-#: nscd/nscd_stat.c:231
+#: nscd/nscd_stat.c:233
 #, c-format
 msgid "%3ud %2uh %2um %2lus  server runtime\n"
 msgstr "%3ud %2uh %2um %2lus  servers körtid\n"
 
-#: nscd/nscd_stat.c:234
+#: nscd/nscd_stat.c:236
 #, c-format
 msgid "    %2uh %2um %2lus  server runtime\n"
 msgstr "    %2uh %2um %2lus  servers körtid\n"
 
-#: nscd/nscd_stat.c:236
+#: nscd/nscd_stat.c:238
 #, c-format
 msgid "        %2um %2lus  server runtime\n"
 msgstr "        %2um %2lus  servers körtid\n"
 
-#: nscd/nscd_stat.c:238
+#: nscd/nscd_stat.c:240
 #, c-format
 msgid "            %2lus  server runtime\n"
 msgstr "            %2lus  servers körtid\n"
 
-#: nscd/nscd_stat.c:240
+#: nscd/nscd_stat.c:242
 #, c-format
 msgid ""
 "%15d  current number of threads\n"
@@ -4348,7 +4410,7 @@ msgstr ""
 "%15lu  omstart internt\n"
 "%15u  antal omläsningar\n"
 
-#: nscd/nscd_stat.c:275
+#: nscd/nscd_stat.c:277
 #, c-format
 msgid ""
 "\n"
@@ -4414,85 +4476,85 @@ msgstr "Omladdar \"%s\" i lösenordscache!"
 msgid "Invalid numeric uid \"%s\"!"
 msgstr "Ogiltigt numeriskt användarid (uid) \"%s\"!"
 
-#: nscd/selinux.c:155
+#: nscd/selinux.c:154
 #, c-format
 msgid "Failed opening connection to the audit subsystem: %m"
 msgstr "Misslyckades med att öppna en förbindelse till undersystemet för granskning (audit): %m"
 
-#: nscd/selinux.c:176
+#: nscd/selinux.c:175
 msgid "Failed to set keep-capabilities"
 msgstr "Misslyckades med att sätta \"keep\"-kapabiliteter"
 
-#: nscd/selinux.c:177 nscd/selinux.c:240
+#: nscd/selinux.c:176 nscd/selinux.c:239
 msgid "prctl(KEEPCAPS) failed"
 msgstr "prctl(KEEPCAPS) misslyckades"
 
-#: nscd/selinux.c:191
+#: nscd/selinux.c:190
 msgid "Failed to initialize drop of capabilities"
 msgstr "Misslyckades med att initiera borttagning av kapabiliteter"
 
-#: nscd/selinux.c:192
+#: nscd/selinux.c:191
 msgid "cap_init failed"
 msgstr "cap_init misslyckades"
 
-#: nscd/selinux.c:213 nscd/selinux.c:230
+#: nscd/selinux.c:212 nscd/selinux.c:229
 msgid "Failed to drop capabilities"
 msgstr "Misslyckades med att ta bort kapabiliteter"
 
-#: nscd/selinux.c:214 nscd/selinux.c:231
+#: nscd/selinux.c:213 nscd/selinux.c:230
 msgid "cap_set_proc failed"
 msgstr "cap_set_proc misslyckades"
 
-#: nscd/selinux.c:239
+#: nscd/selinux.c:238
 msgid "Failed to unset keep-capabilities"
 msgstr "Misslyckades med att ta bort \"keep\"-kapabiliteter"
 
-#: nscd/selinux.c:255
+#: nscd/selinux.c:254
 msgid "Failed to determine if kernel supports SELinux"
 msgstr "Misslyckades med att ta reda på om kärnan stödjer SELinux"
 
-#: nscd/selinux.c:270
+#: nscd/selinux.c:269
 msgid "Failed to start AVC thread"
 msgstr "Misslyckades med att starta AVC-tråd"
 
-#: nscd/selinux.c:292
+#: nscd/selinux.c:291
 msgid "Failed to create AVC lock"
 msgstr "Misslyckade med att skapa AVC-lås"
 
-#: nscd/selinux.c:332
+#: nscd/selinux.c:331
 msgid "Failed to start AVC"
 msgstr "Misslyckades med att starta AVC"
 
-#: nscd/selinux.c:334
+#: nscd/selinux.c:333
 msgid "Access Vector Cache (AVC) started"
 msgstr "Access Vector Cache (AVC) startad"
 
-#: nscd/selinux.c:369
+#: nscd/selinux.c:368
 msgid "Error querying policy for undefined object classes or permissions."
 msgstr "Fel när policy för odefinierade objektklasser eller rättigheter hämtades"
 
-#: nscd/selinux.c:376
+#: nscd/selinux.c:375
 msgid "Error getting security class for nscd."
 msgstr "Fel när säkerhetsklass för nscd hämtades"
 
-#: nscd/selinux.c:381
+#: nscd/selinux.c:380
 #, c-format
 msgid "Error translating permission name \"%s\" to access vector bit."
 msgstr "Fel vid översättning av rättighetsnamn \"%s\" till en accessvektorbit."
 
-#: nscd/selinux.c:391
+#: nscd/selinux.c:390
 msgid "Error getting context of socket peer"
 msgstr "Kunde inte hämta kontext för uttagsparter (socket peer)"
 
-#: nscd/selinux.c:396
+#: nscd/selinux.c:395
 msgid "Error getting context of nscd"
 msgstr "Kunde inte hämta kontext för nscd"
 
-#: nscd/selinux.c:402
+#: nscd/selinux.c:401
 msgid "Error getting sid from context"
 msgstr "Kunde inte hämta \"sid\" från kontext"
 
-#: nscd/selinux.c:440
+#: nscd/selinux.c:439
 #, c-format
 msgid ""
 "\n"
@@ -4554,16 +4616,16 @@ msgstr "Hämta poster från den administrativa databasen"
 msgid "Enumeration not supported on %s\n"
 msgstr "Uppräkning stöds inte på %s\n"
 
-#: nss/getent.c:917
+#: nss/getent.c:921
 #, c-format
 msgid "Unknown database name"
 msgstr "Okänt databasnamn"
 
-#: nss/getent.c:947
+#: nss/getent.c:951
 msgid "Supported databases:\n"
 msgstr "Databaser som stöds:\n"
 
-#: nss/getent.c:1013
+#: nss/getent.c:1017
 #, c-format
 msgid "Unknown database: %s\n"
 msgstr "Okänd databas: %s\n"
@@ -4843,7 +4905,7 @@ msgstr "Obalanserade ) eller \\)"
 msgid "No previous regular expression"
 msgstr "Inget föregående reguljärt uttryck"
 
-#: posix/wordexp.c:1844
+#: posix/wordexp.c:1851
 msgid "parameter null or not set"
 msgstr "parameter är tom eller inte satt"
 
@@ -7214,3 +7276,12 @@ msgstr "för många eller för långa tidszonförkortningar"
 #, c-format
 msgid "%s: Can't create directory %s: %s\n"
 msgstr "%s: Kan inte skapa katalog %s: %s\n"
+
+#~ msgid "cannot load any more object with static TLS"
+#~ msgstr "kan inte ladda fler objekt med statiskt TLS"
+
+#~ msgid "%s: no PLTREL found in object %s\n"
+#~ msgstr "%s: hittade inga PLTREL i objekt %s\n"
+
+#~ msgid "cannot create internal descriptors"
+#~ msgstr "kan inte skapa interna deskriptorer"
diff --git a/po/tr.po b/po/tr.po
index 6ac1314..6019cdb 100644
--- a/po/tr.po
+++ b/po/tr.po
@@ -6,7 +6,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: libc 2.7\n"
-"POT-Creation-Date: 2015-01-20 22:14-0500\n"
+"POT-Creation-Date: 2015-07-31 00:10-0400\n"
 "PO-Revision-Date: 2007-11-19 11:17+0200\n"
 "Last-Translator: Nilgün Belma Bugüner <nilgun@buguner.name.tr>\n"
 "Language-Team: Turkish <gnu-tr-u12a@lists.sourceforge.net>\n"
@@ -145,10 +145,10 @@ msgstr ""
 "[ÇIKTI-DOSYASI [GİRDİ-DOSYASI]...]"
 
 #: catgets/gencat.c:229 debug/pcprofiledump.c:209 elf/ldconfig.c:307
-#: elf/pldd.c:244 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
+#: elf/pldd.c:252 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
 #: iconv/iconvconfig.c:379 locale/programs/locale.c:277
 #: locale/programs/localedef.c:376 login/programs/pt_chown.c:88
-#: malloc/memusagestat.c:563 nss/getent.c:969 nss/makedb.c:369
+#: malloc/memusagestat.c:563 nss/getent.c:973 nss/makedb.c:369
 #: posix/getconf.c:486 sunrpc/rpcinfo.c:691
 #: sysdeps/unix/sysv/linux/lddlibc4.c:61
 #, fuzzy, c-format
@@ -164,7 +164,7 @@ msgstr ""
 "Çeviri hatalarını <nilgun (at) buguner.name.tr> adresine bildiriniz.\n"
 
 #: catgets/gencat.c:245 debug/pcprofiledump.c:225 debug/xtrace.sh:64
-#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:260 elf/sotruss.sh:75
+#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:268 elf/sotruss.sh:75
 #: elf/sprof.c:389 iconv/iconv_prog.c:425 iconv/iconvconfig.c:396
 #: locale/programs/locale.c:294 locale/programs/localedef.c:402
 #: login/programs/pt_chown.c:62 malloc/memusage.sh:71
@@ -182,7 +182,7 @@ msgstr ""
 "UYGUNLUĞU için bile garanti verilmez.\n"
 
 #: catgets/gencat.c:250 debug/pcprofiledump.c:230 debug/xtrace.sh:68
-#: elf/ldconfig.c:328 elf/pldd.c:265 elf/sprof.c:395 iconv/iconv_prog.c:430
+#: elf/ldconfig.c:328 elf/pldd.c:273 elf/sprof.c:395 iconv/iconv_prog.c:430
 #: iconv/iconvconfig.c:401 locale/programs/locale.c:299
 #: locale/programs/localedef.c:407 malloc/memusage.sh:75
 #: malloc/memusagestat.c:586 nscd/nscd.c:514 nss/getent.c:91 nss/makedb.c:390
@@ -465,11 +465,11 @@ msgstr "%s erişim hakları %#o olarak değiştirilemedi"
 msgid "Renaming of %s to %s failed"
 msgstr "%s'in ismi %s olarak değiştirilemedi"
 
-#: elf/dl-close.c:385 elf/dl-open.c:470
+#: elf/dl-close.c:396 elf/dl-open.c:478
 msgid "cannot create scope list"
 msgstr "etki alanı listesi oluşturulamıyor"
 
-#: elf/dl-close.c:770
+#: elf/dl-close.c:816
 msgid "shared object not open"
 msgstr "paylaşımlı nesne açık değil"
 
@@ -542,127 +542,127 @@ msgstr "dosya arama yolu dizisi oluşturulamıyor"
 msgid "cannot stat shared object"
 msgstr "paylaşımlı nesne durumlanamıyor"
 
-#: elf/dl-load.c:963
+#: elf/dl-load.c:962
 msgid "cannot open zero fill device"
 msgstr "sıfırlar içeren aygıt açılamaz"
 
-#: elf/dl-load.c:1010 elf/dl-load.c:2165
+#: elf/dl-load.c:1009 elf/dl-load.c:2159
 msgid "cannot create shared object descriptor"
 msgstr "paylaşımlı nesne tanımlayıcı oluşturulamıyor"
 
-#: elf/dl-load.c:1029 elf/dl-load.c:1570 elf/dl-load.c:1682
+#: elf/dl-load.c:1028 elf/dl-load.c:1568 elf/dl-load.c:1680
 msgid "cannot read file data"
 msgstr "dosya verisi okunamıyor"
 
-#: elf/dl-load.c:1069
+#: elf/dl-load.c:1068
 msgid "ELF load command alignment not page-aligned"
 msgstr "ELF yükleme komutu hizalaması sayfa-hizalamalı değil"
 
-#: elf/dl-load.c:1076
+#: elf/dl-load.c:1075
 msgid "ELF load command address/offset not properly aligned"
 msgstr "ELF yükleme komutu adresi/başvurusu gereği gibi hizalanamıyor"
 
-#: elf/dl-load.c:1160
+#: elf/dl-load.c:1159
 msgid "cannot allocate TLS data structures for initial thread"
 msgstr "ilk kanak için TLS veri yapıları oluşturulamıyor"
 
-#: elf/dl-load.c:1183
+#: elf/dl-load.c:1182
 msgid "cannot handle TLS data"
 msgstr "TLS verisi alınamıyor"
 
-#: elf/dl-load.c:1202
+#: elf/dl-load.c:1201
 msgid "object file has no loadable segments"
 msgstr "nesne dosyasının yüklenebilir segmanı yok"
 
-#: elf/dl-load.c:1211 elf/dl-load.c:1662
+#: elf/dl-load.c:1210 elf/dl-load.c:1660
 msgid "cannot dynamically load executable"
 msgstr "çalıştırılabilir dosya dinamik olarak yüklenemiyor"
 
-#: elf/dl-load.c:1232
+#: elf/dl-load.c:1231
 msgid "object file has no dynamic section"
 msgstr "nesne dosyasının dinamik bölümü yok"
 
-#: elf/dl-load.c:1255
+#: elf/dl-load.c:1254
 msgid "shared object cannot be dlopen()ed"
 msgstr "paylaşımlı nesne dlopen()'lanamıyor"
 
-#: elf/dl-load.c:1268
+#: elf/dl-load.c:1267
 msgid "cannot allocate memory for program header"
 msgstr "uygulama başlığı için bellek ayrılamadı"
 
-#: elf/dl-load.c:1284 elf/dl-open.c:195
+#: elf/dl-load.c:1283 elf/dl-open.c:195
 msgid "invalid caller"
 msgstr "çağrıcı geçersiz"
 
-#: elf/dl-load.c:1307 elf/dl-load.h:130
+#: elf/dl-load.c:1306 elf/dl-load.h:130
 msgid "cannot change memory protections"
 msgstr "bellek korumaları değiştirilemiyor"
 
-#: elf/dl-load.c:1327
+#: elf/dl-load.c:1326
 msgid "cannot enable executable stack as shared object requires"
 msgstr "paylaşımlı nesnenin gerektirdiği çalıştırılabilir yığıt etkinleştirilemiyor"
 
-#: elf/dl-load.c:1340
+#: elf/dl-load.c:1339
 msgid "cannot close file descriptor"
 msgstr "dosya tanıtıcı kapatılamıyor"
 
-#: elf/dl-load.c:1570
+#: elf/dl-load.c:1568
 msgid "file too short"
 msgstr "dosya çok küçük"
 
-#: elf/dl-load.c:1605
+#: elf/dl-load.c:1603
 msgid "invalid ELF header"
 msgstr "ELF başlığı geçersiz"
 
-#: elf/dl-load.c:1617
+#: elf/dl-load.c:1615
 msgid "ELF file data encoding not big-endian"
 msgstr "ELF dosyası verisinin kodlaması en-kıymetli-bayt-ilk (big-endian) değil"
 
-#: elf/dl-load.c:1619
+#: elf/dl-load.c:1617
 msgid "ELF file data encoding not little-endian"
 msgstr "ELF dosyası verisinin kodlaması en-kıymetli-bayt-son (little-endian) değil"
 
-#: elf/dl-load.c:1623
+#: elf/dl-load.c:1621
 msgid "ELF file version ident does not match current one"
 msgstr "ELF dosyası sürüm kimliği mevcut biriyle eşleşmiyor"
 
-#: elf/dl-load.c:1627
+#: elf/dl-load.c:1625
 msgid "ELF file OS ABI invalid"
 msgstr "ELF dosyası OS ABI geçersiz"
 
-#: elf/dl-load.c:1630
+#: elf/dl-load.c:1628
 msgid "ELF file ABI version invalid"
 msgstr "ELF dosyası ABI sürümü geçersiz"
 
-#: elf/dl-load.c:1633
+#: elf/dl-load.c:1631
 msgid "nonzero padding in e_ident"
 msgstr ""
 
-#: elf/dl-load.c:1636
+#: elf/dl-load.c:1634
 msgid "internal error"
 msgstr "iç hata"
 
-#: elf/dl-load.c:1643
+#: elf/dl-load.c:1641
 msgid "ELF file version does not match current one"
 msgstr "ELF dosyası sürümü mevcut biriyle eşleşmiyor"
 
-#: elf/dl-load.c:1651
+#: elf/dl-load.c:1649
 msgid "only ET_DYN and ET_EXEC can be loaded"
 msgstr "sadece ET_DYN ve ET_EXEC yüklü olabilir"
 
-#: elf/dl-load.c:1667
+#: elf/dl-load.c:1665
 msgid "ELF file's phentsize not the expected size"
 msgstr "ELF dosyasının phent uzunluğu beklenen uzunlukta değil"
 
-#: elf/dl-load.c:2184
+#: elf/dl-load.c:2178
 msgid "wrong ELF class: ELFCLASS64"
 msgstr "yanlış ELF sınıfı: ELFCLASS64"
 
-#: elf/dl-load.c:2185
+#: elf/dl-load.c:2179
 msgid "wrong ELF class: ELFCLASS32"
 msgstr "yanlış ELF sınıfı: ELFCLASS32"
 
-#: elf/dl-load.c:2188
+#: elf/dl-load.c:2182
 msgid "cannot open shared object file"
 msgstr "paylaşımlı nesne dosyası açılamıyor"
 
@@ -674,11 +674,11 @@ msgstr "parça paylaşımlı nesneden eşleştirilemedi"
 msgid "cannot map zero-fill pages"
 msgstr "sıfırlar içeren sayfalar eşleştirilemez"
 
-#: elf/dl-lookup.c:791
+#: elf/dl-lookup.c:845
 msgid "relocation error"
 msgstr "yeniden konumlama hatası"
 
-#: elf/dl-lookup.c:818
+#: elf/dl-lookup.c:872
 msgid "symbol lookup error"
 msgstr "simge arama hatası"
 
@@ -686,51 +686,40 @@ msgstr "simge arama hatası"
 msgid "cannot extend global scope"
 msgstr "genel kapsam genişletilemiyor"
 
-#: elf/dl-open.c:520
+#: elf/dl-open.c:528
 msgid "TLS generation counter wrapped!  Please report this."
 msgstr "TLS üretecinin sayacı başa döndü! Bunu lütfen bildirin."
 
-#: elf/dl-open.c:542
-#, fuzzy
-#| msgid "cannot allocate memory in static TLS block"
-msgid "cannot load any more object with static TLS"
-msgstr "durağan TLS bloğunda bellek ayrılamıyor"
-
-#: elf/dl-open.c:599
+#: elf/dl-open.c:592
 msgid "invalid mode for dlopen()"
 msgstr "dlopen() için kip geçersiz"
 
-#: elf/dl-open.c:616
+#: elf/dl-open.c:609
 msgid "no more namespaces available for dlmopen()"
 msgstr "dlmopen() için artık isim alanı kalmadı"
 
-#: elf/dl-open.c:634
+#: elf/dl-open.c:633
 msgid "invalid target namespace in dlmopen()"
 msgstr "dlmopen() için hedef isim alanı geçersiz"
 
-#: elf/dl-reloc.c:120
+#: elf/dl-reloc.c:121
 msgid "cannot allocate memory in static TLS block"
 msgstr "durağan TLS bloğunda bellek ayrılamıyor"
 
-#: elf/dl-reloc.c:212
+#: elf/dl-reloc.c:206
 msgid "cannot make segment writable for relocation"
 msgstr "yeniden konumlama için parça yazılabilir yapılamıyor"
 
-#: elf/dl-reloc.c:275
-#, c-format
-msgid "%s: no PLTREL found in object %s\n"
-msgstr "%s: %s nesnesinde PLTREL yok\n"
-
-#: elf/dl-reloc.c:290
+#: elf/dl-reloc.c:276
 #, c-format
 msgid "%s: out of memory to store relocation results for %s\n"
 msgstr "%s: %s için yeniden ayırma işleminin sonuçlarını saklamak için bellek yetersiz\n"
 
-#: elf/dl-reloc.c:306
+#: elf/dl-reloc.c:292
 msgid "cannot restore segment prot after reloc"
 msgstr "reloc işleminden sonra prot segmanı eski haline getirilemedi"
 
-#: elf/dl-reloc.c:335
+#: elf/dl-reloc.c:323
 msgid "cannot apply additional memory protection after relocation"
 msgstr "yeniden ayırma işleminden sonra ek bellek koruması uygulanamaz"
 
@@ -738,7 +727,7 @@ msgstr "yeniden ayırma işleminden sonra ek bellek koruması uygulanamaz"
 msgid "RTLD_NEXT used in code not dynamically loaded"
 msgstr "RTLD_NEXT kullanılan kod dinamik olarak yüklenmedi"
 
-#: elf/dl-tls.c:933
+#: elf/dl-tls.c:934
 msgid "cannot create TLS data structures"
 msgstr "TLS veri yapıları oluşturulamıyor"
 
@@ -884,7 +873,7 @@ msgstr "%s için kitaplık ismi bulunamadığından bağ oluşturulmadı"
 msgid "Can't open directory %s"
 msgstr "%s dizini açılamıyor"
 
-#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:90
+#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:97
 #, c-format
 msgid "Input file %s not found.\n"
 msgstr "Girdi dosyası %s bulunamadı.\n"
@@ -1029,7 +1018,7 @@ msgstr "dosya nitelikleri eksik"
 msgid "No such file or directory"
 msgstr "Böyle bir dosya ya da dizin yok"
 
-#: elf/ldd.bash.in:150 inet/rcmd.c:488
+#: elf/ldd.bash.in:150 inet/rcmd.c:492
 msgid "not regular file"
 msgstr "düzenli dosya değil"
 
@@ -1079,73 +1068,79 @@ msgstr "başlık okunamıyor"
 msgid "cannot read program interpreter"
 msgstr "arşiv başlığı okunamıyor"
 
-#: elf/pldd-xx.c:196
+#: elf/pldd-xx.c:197
 #, fuzzy, c-format
 #| msgid "cannot read file data"
 msgid "cannot read link map"
 msgstr "dosya verisi okunamıyor"
 
-#: elf/pldd-xx.c:207
+#: elf/pldd-xx.c:209
 #, fuzzy, c-format
 #| msgid "cannot read header"
 msgid "cannot read object name"
 msgstr "başlık okunamıyor"
 
-#: elf/pldd.c:63
+#: elf/pldd-xx.c:219
+#, fuzzy, c-format
+#| msgid "cannot allocate memory for program header"
+msgid "cannot allocate buffer for object name"
+msgstr "uygulama başlığı için bellek ayrılamadı"
+
+#: elf/pldd.c:64
 msgid "List dynamic shared objects loaded into process."
 msgstr ""
 
-#: elf/pldd.c:67
+#: elf/pldd.c:68
 msgid "PID"
 msgstr ""
 
-#: elf/pldd.c:99
+#: elf/pldd.c:100
 #, c-format
 msgid "Exactly one parameter with process ID required.\n"
 msgstr ""
 
-#: elf/pldd.c:111
+#: elf/pldd.c:112
 #, fuzzy, c-format
 #| msgid "invalid pointer size"
 msgid "invalid process ID '%s'"
 msgstr "imleyici uzunluğu geçersiz"
 
-#: elf/pldd.c:119
+#: elf/pldd.c:120
 #, fuzzy, c-format
 #| msgid "cannot open `%s'"
 msgid "cannot open %s"
 msgstr "`%s' açılamıyor"
 
-#: elf/pldd.c:144
+#: elf/pldd.c:152
 #, fuzzy, c-format
 #| msgid "cannot open `%s'"
 msgid "cannot open %s/task"
 msgstr "`%s' açılamıyor"
 
-#: elf/pldd.c:147
+#: elf/pldd.c:155
 #, fuzzy, c-format
 #| msgid "cannot create searchlist"
 msgid "cannot prepare reading %s/task"
 msgstr "arama listesi oluşturulamıyor"
 
-#: elf/pldd.c:160
+#: elf/pldd.c:168
 #, fuzzy, c-format
 #| msgid "invalid ELF header"
 msgid "invalid thread ID '%s'"
 msgstr "ELF başlığı geçersiz"
 
-#: elf/pldd.c:171
+#: elf/pldd.c:179
 #, fuzzy, c-format
 #| msgid "cannot find C preprocessor: %s \n"
 msgid "cannot attach to process %lu"
 msgstr "C ön işlemci bulunamıyor: %s \n"
 
-#: elf/pldd.c:286
+#: elf/pldd.c:294
 #, c-format
 msgid "cannot get information about process %lu"
 msgstr ""
 
-#: elf/pldd.c:299
+#: elf/pldd.c:307
 #, c-format
 msgid "process %lu is no ELF program"
 msgstr ""
@@ -1180,27 +1175,27 @@ msgstr "%s paylaşımlı nesne dosyası değil (Tür: %d).\n"
 msgid "more than one dynamic segment\n"
 msgstr "bir dinamik parçadan fazla\n"
 
-#: elf/readlib.c:96
+#: elf/readlib.c:103
 #, c-format
 msgid "Cannot fstat file %s.\n"
 msgstr "%s dosyası fstat yapılamıyor.\n"
 
-#: elf/readlib.c:107
+#: elf/readlib.c:114
 #, c-format
 msgid "File %s is empty, not checked."
 msgstr "%s dosyası boş olduğundan denetlenemiyor."
 
-#: elf/readlib.c:113
+#: elf/readlib.c:120
 #, c-format
 msgid "File %s is too small, not checked."
 msgstr "%s dosyası çok küçük, kontrol edilemedi."
 
-#: elf/readlib.c:123
+#: elf/readlib.c:130
 #, c-format
 msgid "Cannot mmap file %s.\n"
 msgstr "%s dosyası mmap yapılamıyor.\n"
 
-#: elf/readlib.c:161
+#: elf/readlib.c:169
 #, c-format
 msgid "%s is not an ELF file - it has the wrong magic bytes at the start.\n"
 msgstr "%s bir ELF dosyası değil - Başlangıcındaki dosya tanımı hatalı.\n"
@@ -1331,10 +1326,10 @@ msgstr "SHOBJ [PROFDATA]"
 msgid "failed to load shared object `%s'"
 msgstr "paylaşımlı nesne `%s' yüklenemedi"
 
-#: elf/sprof.c:442
+#: elf/sprof.c:442 elf/sprof.c:825 elf/sprof.c:923
 #, c-format
-msgid "cannot create internal descriptors"
-msgstr "iç tanıtıcılar oluşturulamıyor"
+msgid "cannot create internal descriptor"
+msgstr "iç tanıtıcı oluşturulamıyor"
 
 #: elf/sprof.c:554
 #, c-format
@@ -1401,11 +1396,6 @@ msgstr "şekillendirme verisi dosyası mmap olamadı"
 msgid "error while closing the profiling data file"
 msgstr "şekillendirici verisi dosyası kapatılırken hata"
 
-#: elf/sprof.c:825 elf/sprof.c:923
-#, c-format
-msgid "cannot create internal descriptor"
-msgstr "iç tanıtıcı oluşturulamıyor"
-
 #: elf/sprof.c:899
 #, c-format
 msgid "`%s' is no correct profile data file for `%s'"
@@ -1663,27 +1653,27 @@ msgstr "soket: devre ayarında protokol hatası\n"
 msgid "rcmd: %s: short read"
 msgstr "rcmd: %s: kısa okuma"
 
-#: inet/rcmd.c:486
+#: inet/rcmd.c:490
 msgid "lstat failed"
 msgstr "lstat başarısız"
 
-#: inet/rcmd.c:493
+#: inet/rcmd.c:497
 msgid "cannot open"
 msgstr "açılamıyor"
 
-#: inet/rcmd.c:495
+#: inet/rcmd.c:499
 msgid "fstat failed"
 msgstr "fstat başarısız"
 
-#: inet/rcmd.c:497
+#: inet/rcmd.c:501
 msgid "bad owner"
 msgstr "Sahip hatalı"
 
-#: inet/rcmd.c:499
+#: inet/rcmd.c:503
 msgid "writeable by other than owner"
 msgstr "sahibinden başkası yazabilir"
 
-#: inet/rcmd.c:501
+#: inet/rcmd.c:505
 msgid "hard linked somewhere"
 msgstr "bir yere sabit bağlı"
 
@@ -1803,8 +1793,8 @@ msgid "no symbolic name given for end of range"
 msgstr "kapsam sonu için sembolik isim verilmemiş"
 
 #: locale/programs/charmap.c:610 locale/programs/ld-address.c:528
-#: locale/programs/ld-collate.c:2626 locale/programs/ld-collate.c:3784
-#: locale/programs/ld-ctype.c:2162 locale/programs/ld-ctype.c:2913
+#: locale/programs/ld-collate.c:2635 locale/programs/ld-collate.c:3793
+#: locale/programs/ld-ctype.c:2128 locale/programs/ld-ctype.c:2840
 #: locale/programs/ld-identification.c:368
 #: locale/programs/ld-measurement.c:215 locale/programs/ld-messages.c:298
 #: locale/programs/ld-monetary.c:740 locale/programs/ld-name.c:264
@@ -1830,8 +1820,8 @@ msgid "%s: error in state machine"
 msgstr "%s: durum motorunda hata"
 
 #: locale/programs/charmap.c:850 locale/programs/ld-address.c:544
-#: locale/programs/ld-collate.c:2623 locale/programs/ld-collate.c:3977
-#: locale/programs/ld-ctype.c:2159 locale/programs/ld-ctype.c:2930
+#: locale/programs/ld-collate.c:2632 locale/programs/ld-collate.c:3986
+#: locale/programs/ld-ctype.c:2125 locale/programs/ld-ctype.c:2857
 #: locale/programs/ld-identification.c:384
 #: locale/programs/ld-measurement.c:231 locale/programs/ld-messages.c:314
 #: locale/programs/ld-monetary.c:756 locale/programs/ld-name.c:280
@@ -1852,7 +1842,7 @@ msgstr "`%s' karakteri bilinmiyor"
 msgid "number of bytes for byte sequence of beginning and end of range not the same: %d vs %d"
 msgstr "aralığın başındaki ve sonundaki bayt dizilerideki baytların sayısı aynı değil: %d ve %d"
 
-#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2903
+#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2912
 #: locale/programs/repertoire.c:419
 msgid "invalid names for character range"
 msgstr "karakter kapsamı için geçersiz isimler"
@@ -1874,8 +1864,8 @@ msgstr "aralığın üst sınırı alt sınırdan küçük"
 msgid "resulting bytes for range not representable."
 msgstr "sonuçlanan baytlar kapsam için gösterilebilir değil."
 
-#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1565
-#: locale/programs/ld-ctype.c:465 locale/programs/ld-identification.c:133
+#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1566
+#: locale/programs/ld-ctype.c:431 locale/programs/ld-identification.c:133
 #: locale/programs/ld-measurement.c:94 locale/programs/ld-messages.c:97
 #: locale/programs/ld-monetary.c:193 locale/programs/ld-name.c:94
 #: locale/programs/ld-numeric.c:98 locale/programs/ld-paper.c:91
@@ -1939,7 +1929,7 @@ msgid "%s: numeric country code `%d' not valid"
 msgstr "%s: sayısal ülke kodu `%d' geçersiz"
 
 #: locale/programs/ld-address.c:436 locale/programs/ld-address.c:473
-#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2537
+#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2489
 #: locale/programs/ld-identification.c:280
 #: locale/programs/ld-measurement.c:198 locale/programs/ld-messages.c:267
 #: locale/programs/ld-monetary.c:495 locale/programs/ld-monetary.c:530
@@ -1961,8 +1951,8 @@ msgstr "%s: `%s' alanı bir kereden fazla bildirilmiş"
 msgid "%s: unknown character in field `%s'"
 msgstr "%s: `%s' alanında bilinmeyen karakter"
 
-#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3782
-#: locale/programs/ld-ctype.c:2910 locale/programs/ld-identification.c:365
+#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3791
+#: locale/programs/ld-ctype.c:2837 locale/programs/ld-identification.c:365
 #: locale/programs/ld-measurement.c:212 locale/programs/ld-messages.c:296
 #: locale/programs/ld-monetary.c:738 locale/programs/ld-name.c:262
 #: locale/programs/ld-numeric.c:324 locale/programs/ld-paper.c:212
@@ -1971,12 +1961,12 @@ msgstr "%s: `%s' alanında bilinmeyen karakter"
 msgid "%s: incomplete `END' line"
 msgstr "%s: tamamlanmamış `END' satırı"
 
-#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:551
-#: locale/programs/ld-collate.c:603 locale/programs/ld-collate.c:899
-#: locale/programs/ld-collate.c:912 locale/programs/ld-collate.c:2592
-#: locale/programs/ld-collate.c:2613 locale/programs/ld-collate.c:3967
-#: locale/programs/ld-ctype.c:1891 locale/programs/ld-ctype.c:2149
-#: locale/programs/ld-ctype.c:2735 locale/programs/ld-ctype.c:2921
+#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:552
+#: locale/programs/ld-collate.c:604 locale/programs/ld-collate.c:900
+#: locale/programs/ld-collate.c:913 locale/programs/ld-collate.c:2601
+#: locale/programs/ld-collate.c:2622 locale/programs/ld-collate.c:3976
+#: locale/programs/ld-ctype.c:1857 locale/programs/ld-ctype.c:2115
+#: locale/programs/ld-ctype.c:2687 locale/programs/ld-ctype.c:2848
 #: locale/programs/ld-identification.c:375
 #: locale/programs/ld-measurement.c:222 locale/programs/ld-messages.c:305
 #: locale/programs/ld-monetary.c:747 locale/programs/ld-name.c:271
@@ -1986,477 +1976,477 @@ msgstr "%s: tamamlanmamış `END' satırı"
 msgid "%s: syntax error"
 msgstr "%s: sözdizimi hatası"
 
-#: locale/programs/ld-collate.c:426
+#: locale/programs/ld-collate.c:427
 #, c-format
 msgid "`%.*s' already defined in charmap"
 msgstr "`%.*s' karakter eşlem olarak zaten atanmış"
 
-#: locale/programs/ld-collate.c:435
+#: locale/programs/ld-collate.c:436
 #, c-format
 msgid "`%.*s' already defined in repertoire"
 msgstr "`%.*s' repertuvar olarak zaten atanmış"
 
-#: locale/programs/ld-collate.c:442
+#: locale/programs/ld-collate.c:443
 #, c-format
 msgid "`%.*s' already defined as collating symbol"
 msgstr "`%.*s' karşılaştırma sembolü olarak zaten atanmış"
 
-#: locale/programs/ld-collate.c:449
+#: locale/programs/ld-collate.c:450
 #, c-format
 msgid "`%.*s' already defined as collating element"
 msgstr "`%.*s' karşılaştırma elemanı olarak zaten atanmış"
 
-#: locale/programs/ld-collate.c:480 locale/programs/ld-collate.c:506
+#: locale/programs/ld-collate.c:481 locale/programs/ld-collate.c:507
 #, c-format
 msgid "%s: `forward' and `backward' are mutually excluding each other"
 msgstr "%s: `forward' ve `backward' karşılıklı olarak bir diğerini dışlar"
 
-#: locale/programs/ld-collate.c:490 locale/programs/ld-collate.c:516
-#: locale/programs/ld-collate.c:532
+#: locale/programs/ld-collate.c:491 locale/programs/ld-collate.c:517
+#: locale/programs/ld-collate.c:533
 #, c-format
 msgid "%s: `%s' mentioned more than once in definition of weight %d"
 msgstr "%s:`%s' %d ağırlıklı tanımda bir kereden fazla anıldı"
 
-#: locale/programs/ld-collate.c:588
+#: locale/programs/ld-collate.c:589
 #, c-format
 msgid "%s: too many rules; first entry only had %d"
 msgstr "%s: çok fazla kural var; sadece ilk girdide kural sayısı %d"
 
-#: locale/programs/ld-collate.c:624
+#: locale/programs/ld-collate.c:625
 #, c-format
 msgid "%s: not enough sorting rules"
 msgstr "%s: sıralama kuralları yetersiz"
 
-#: locale/programs/ld-collate.c:789
+#: locale/programs/ld-collate.c:790
 #, c-format
 msgid "%s: empty weight string not allowed"
 msgstr "%s: boş ağırlık dizgesine izin verilmez"
 
-#: locale/programs/ld-collate.c:884
+#: locale/programs/ld-collate.c:885
 #, c-format
 msgid "%s: weights must use the same ellipsis symbol as the name"
 msgstr "%s: ağırlıklar isim olarak aynı elips sembolünü kullanmalıdır"
 
-#: locale/programs/ld-collate.c:940
+#: locale/programs/ld-collate.c:941
 #, c-format
 msgid "%s: too many values"
 msgstr "%s: çok fazla değer var"
 
-#: locale/programs/ld-collate.c:1060 locale/programs/ld-collate.c:1235
+#: locale/programs/ld-collate.c:1061 locale/programs/ld-collate.c:1236
 #, c-format
 msgid "order for `%.*s' already defined at %s:%Zu"
 msgstr "`%.*s' için sıralama zaten %s:%Zu içinde atanmış"
 
-#: locale/programs/ld-collate.c:1110
+#: locale/programs/ld-collate.c:1111
 #, c-format
 msgid "%s: the start and the end symbol of a range must stand for characters"
 msgstr "%s: bir kapsamın başlangıç ve bitiş sembolleri, karakterleri temsil etmelidir"
 
-#: locale/programs/ld-collate.c:1137
+#: locale/programs/ld-collate.c:1138
 #, c-format
 msgid "%s: byte sequences of first and last character must have the same length"
 msgstr "%s: ilk ve son karakterin bayt serisi aynı uzunlukta olmalı"
 
-#: locale/programs/ld-collate.c:1179
+#: locale/programs/ld-collate.c:1180
 #, c-format
 msgid "%s: byte sequence of first character of range is not lower than that of the last character"
 msgstr "%s: aralığın ilk karakterinin bayt dizisi son karakterininkinden daha düşük değil"
 
-#: locale/programs/ld-collate.c:1304
+#: locale/programs/ld-collate.c:1305
 #, c-format
 msgid "%s: symbolic range ellipsis must not directly follow `order_start'"
 msgstr "%s: sembolik kapsam elipsleri  `order_start' ın hemen ardından gelmemelidir"
 
-#: locale/programs/ld-collate.c:1308
+#: locale/programs/ld-collate.c:1309
 #, c-format
 msgid "%s: symbolic range ellipsis must not be directly followed by `order_end'"
 msgstr "%s: sembolik kapsam elipslerinin hemen ardından `order_end' gelmemelidir"
 
-#: locale/programs/ld-collate.c:1328 locale/programs/ld-ctype.c:1408
+#: locale/programs/ld-collate.c:1329 locale/programs/ld-ctype.c:1374
 #, c-format
 msgid "`%s' and `%.*s' are not valid names for symbolic range"
 msgstr "`%s' ve `%.*s' simgesel aralık için geçerli isimler değil"
 
-#: locale/programs/ld-collate.c:1378 locale/programs/ld-collate.c:3718
+#: locale/programs/ld-collate.c:1379 locale/programs/ld-collate.c:3727
 #, c-format
 msgid "%s: order for `%.*s' already defined at %s:%Zu"
 msgstr "%s: `%.*s' için abecesel sıra zaten %s:%Zu içinde atanmış"
 
-#: locale/programs/ld-collate.c:1387
+#: locale/programs/ld-collate.c:1388
 #, c-format
 msgid "%s: `%s' must be a character"
 msgstr "%s: `%s' bir karakter olmalı"
 
-#: locale/programs/ld-collate.c:1582
+#: locale/programs/ld-collate.c:1583
 #, c-format
 msgid "%s: `position' must be used for a specific level in all sections or none"
 msgstr "%s: `position' tüm alt bölümlerde özel bir düzey için kullanılmış olmalı ya da hiç bulunmamalı"
 
-#: locale/programs/ld-collate.c:1607
+#: locale/programs/ld-collate.c:1608
 #, c-format
 msgid "symbol `%s' not defined"
 msgstr "`%s' sembolü atanmamış"
 
-#: locale/programs/ld-collate.c:1683 locale/programs/ld-collate.c:1789
+#: locale/programs/ld-collate.c:1684 locale/programs/ld-collate.c:1790
 #, c-format
 msgid "symbol `%s' has the same encoding as"
 msgstr "`%s' sembolü bununla aynı kodlamaya sahip:"
 
-#: locale/programs/ld-collate.c:1687 locale/programs/ld-collate.c:1793
+#: locale/programs/ld-collate.c:1688 locale/programs/ld-collate.c:1794
 #, c-format
 msgid "symbol `%s'"
 msgstr "`%s' sembolü"
 
-#: locale/programs/ld-collate.c:1833
+#: locale/programs/ld-collate.c:1834
 #, c-format
 msgid "no definition of `UNDEFINED'"
 msgstr "`UNDEFINED' tanımı yok"
 
-#: locale/programs/ld-collate.c:1862
+#: locale/programs/ld-collate.c:1863
 #, c-format
 msgid "too many errors; giving up"
 msgstr "çok fazla hata: bırakılıyor"
 
-#: locale/programs/ld-collate.c:2518 locale/programs/ld-collate.c:3906
+#: locale/programs/ld-collate.c:2527 locale/programs/ld-collate.c:3915
 #, c-format
 msgid "%s: nested conditionals not supported"
 msgstr "%s:  iç içe koşullu ifadeler desteklenmiyor"
 
-#: locale/programs/ld-collate.c:2536
+#: locale/programs/ld-collate.c:2545
 #, fuzzy, c-format
 #| msgid "%s: more then one 'else'"
 msgid "%s: more than one 'else'"
 msgstr "%s: birden fazla 'else' belirtilmiş"
 
-#: locale/programs/ld-collate.c:2711
+#: locale/programs/ld-collate.c:2720
 #, c-format
 msgid "%s: duplicate definition of `%s'"
 msgstr "%s: `%s' tanımı tekrarlanmış"
 
-#: locale/programs/ld-collate.c:2747
+#: locale/programs/ld-collate.c:2756
 #, c-format
 msgid "%s: duplicate declaration of section `%s'"
 msgstr "%s: `%s' bölüm bildirimi tekrarlanmış"
 
-#: locale/programs/ld-collate.c:2883
+#: locale/programs/ld-collate.c:2892
 #, c-format
 msgid "%s: unknown character in collating symbol name"
 msgstr "%s: karşılaştırma sembolü isminde bilinmeyen karakter"
 
-#: locale/programs/ld-collate.c:3012
+#: locale/programs/ld-collate.c:3021
 #, c-format
 msgid "%s: unknown character in equivalent definition name"
 msgstr "%s: eşdeğer tanımlama isminde bilinmeyen karakter"
 
-#: locale/programs/ld-collate.c:3023
+#: locale/programs/ld-collate.c:3032
 #, c-format
 msgid "%s: unknown character in equivalent definition value"
 msgstr "%s: eşdeğer tanımlama değerinde bilinmeyen karakter"
 
-#: locale/programs/ld-collate.c:3033
+#: locale/programs/ld-collate.c:3042
 #, c-format
 msgid "%s: unknown symbol `%s' in equivalent definition"
 msgstr "%s: eşdeğer tanımlamada bilinmeyen sembol: `%s'"
 
-#: locale/programs/ld-collate.c:3042
+#: locale/programs/ld-collate.c:3051
 msgid "error while adding equivalent collating symbol"
 msgstr "eşdeğer karşılaştırma sembolünü eklerken hata"
 
-#: locale/programs/ld-collate.c:3080
+#: locale/programs/ld-collate.c:3089
 #, c-format
 msgid "duplicate definition of script `%s'"
 msgstr "`%s' betiğinin ataması tekrarlanmış"
 
-#: locale/programs/ld-collate.c:3128
+#: locale/programs/ld-collate.c:3137
 #, c-format
 msgid "%s: unknown section name `%.*s'"
 msgstr "%s: bölüm ismi `%.*s' bilinmiyor"
 
-#: locale/programs/ld-collate.c:3157
+#: locale/programs/ld-collate.c:3166
 #, c-format
 msgid "%s: multiple order definitions for section `%s'"
 msgstr "%s: `%s' alt bölümünde çok sayıda sıralama tanımı"
 
-#: locale/programs/ld-collate.c:3185
+#: locale/programs/ld-collate.c:3194
 #, c-format
 msgid "%s: invalid number of sorting rules"
 msgstr "%s: sıralama kurallarının sayısı geçersiz"
 
-#: locale/programs/ld-collate.c:3212
+#: locale/programs/ld-collate.c:3221
 #, c-format
 msgid "%s: multiple order definitions for unnamed section"
 msgstr "%s: isimsiz alt bölümde çok sayıda sıralama tanımı"
 
-#: locale/programs/ld-collate.c:3267 locale/programs/ld-collate.c:3397
-#: locale/programs/ld-collate.c:3760
+#: locale/programs/ld-collate.c:3276 locale/programs/ld-collate.c:3406
+#: locale/programs/ld-collate.c:3769
 #, c-format
 msgid "%s: missing `order_end' keyword"
 msgstr "%s: `order_end' anahtar-sözcüğü kayıp"
 
-#: locale/programs/ld-collate.c:3330
+#: locale/programs/ld-collate.c:3339
 #, c-format
 msgid "%s: order for collating symbol %.*s not yet defined"
 msgstr "%s: karşılaştırma sembolü %.*s için abecesel sıra henüz atanmamış"
 
-#: locale/programs/ld-collate.c:3348
+#: locale/programs/ld-collate.c:3357
 #, c-format
 msgid "%s: order for collating element %.*s not yet defined"
 msgstr "%s: karşılaştırma elemanı %.*s için abecesel sıra henüz atanmamış"
 
-#: locale/programs/ld-collate.c:3359
+#: locale/programs/ld-collate.c:3368
 #, c-format
 msgid "%s: cannot reorder after %.*s: symbol not known"
 msgstr "%s: %.*s sembolünden sonra tekrar sıralanamıyor: sembol bilinmiyor"
 
-#: locale/programs/ld-collate.c:3411 locale/programs/ld-collate.c:3772
+#: locale/programs/ld-collate.c:3420 locale/programs/ld-collate.c:3781
 #, c-format
 msgid "%s: missing `reorder-end' keyword"
 msgstr "%s: `reorder_end' anahtar-sözcüğü kayıp"
 
-#: locale/programs/ld-collate.c:3445 locale/programs/ld-collate.c:3643
+#: locale/programs/ld-collate.c:3454 locale/programs/ld-collate.c:3652
 #, c-format
 msgid "%s: section `%.*s' not known"
 msgstr "%s: `%.*s' alt bölümü bilinmiyor"
 
-#: locale/programs/ld-collate.c:3510
+#: locale/programs/ld-collate.c:3519
 #, c-format
 msgid "%s: bad symbol <%.*s>"
 msgstr "%s: hatalı sembol <%.*s>"
 
-#: locale/programs/ld-collate.c:3706
+#: locale/programs/ld-collate.c:3715
 #, c-format
 msgid "%s: cannot have `%s' as end of ellipsis range"
 msgstr "%s: `%s' elips kapsamının sonu olamıyor"
 
-#: locale/programs/ld-collate.c:3756
+#: locale/programs/ld-collate.c:3765
 #, c-format
 msgid "%s: empty category description not allowed"
 msgstr "%s: boş kategori açıklamasına izin verilmez"
 
-#: locale/programs/ld-collate.c:3775
+#: locale/programs/ld-collate.c:3784
 #, c-format
 msgid "%s: missing `reorder-sections-end' keyword"
 msgstr "%s: `reorder_section_end' anahtar-sözcüğü kayıp"
 
-#: locale/programs/ld-collate.c:3939
+#: locale/programs/ld-collate.c:3948
 #, c-format
 msgid "%s: '%s' without matching 'ifdef' or 'ifndef'"
 msgstr "%s: 'ifdef' veya 'ifndef' ile eşleşmeyen '%s'"
 
-#: locale/programs/ld-collate.c:3957
+#: locale/programs/ld-collate.c:3966
 #, c-format
 msgid "%s: 'endif' without matching 'ifdef' or 'ifndef'"
 msgstr "%s: 'ifdef' veya 'ifndef' ile eşleşmeyen 'endif'"
 
-#: locale/programs/ld-ctype.c:484
+#: locale/programs/ld-ctype.c:450
 #, c-format
 msgid "No character set name specified in charmap"
 msgstr "Karakter eşleşme listesinde karakter kümesi ismi belirtilmemiş"
 
-#: locale/programs/ld-ctype.c:513
+#: locale/programs/ld-ctype.c:479
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must be in class `%s'"
 msgstr "L'\\u%0*x' karakteri `%s' sınıfında, `%s' sınıfında olmalı"
 
-#: locale/programs/ld-ctype.c:528
+#: locale/programs/ld-ctype.c:494
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must not be in class `%s'"
 msgstr "L'\\u%0*x' karakteri `%s' sınıfında, `%s' sınıfında olmamalı"
 
-#: locale/programs/ld-ctype.c:542 locale/programs/ld-ctype.c:600
+#: locale/programs/ld-ctype.c:508 locale/programs/ld-ctype.c:566
 #, c-format
 msgid "internal error in %s, line %u"
 msgstr "%s, %u satırında içsel hata"
 
-#: locale/programs/ld-ctype.c:571
+#: locale/programs/ld-ctype.c:537
 #, c-format
 msgid "character '%s' in class `%s' must be in class `%s'"
 msgstr "`%s' karakteri `%s' sınıfı yerine `%s' sınıfında olmalı"
 
-#: locale/programs/ld-ctype.c:587
+#: locale/programs/ld-ctype.c:553
 #, c-format
 msgid "character '%s' in class `%s' must not be in class `%s'"
 msgstr "`%s' karakteri `%s' sınıfında ama `%s' sınıfında olmamalı"
 
-#: locale/programs/ld-ctype.c:617 locale/programs/ld-ctype.c:655
+#: locale/programs/ld-ctype.c:583 locale/programs/ld-ctype.c:621
 #, c-format
 msgid "<SP> character not in class `%s'"
 msgstr "<SP> karakteri `%s' sınıfında değil"
 
-#: locale/programs/ld-ctype.c:629 locale/programs/ld-ctype.c:666
+#: locale/programs/ld-ctype.c:595 locale/programs/ld-ctype.c:632
 #, c-format
 msgid "<SP> character must not be in class `%s'"
 msgstr "<SP> karakteri `%s' sınıfında olmamalı"
 
-#: locale/programs/ld-ctype.c:644
+#: locale/programs/ld-ctype.c:610
 #, c-format
 msgid "character <SP> not defined in character map"
 msgstr "<SP> karakteri karakter eşlemde atanmamış"
 
-#: locale/programs/ld-ctype.c:780
+#: locale/programs/ld-ctype.c:746
 #, c-format
 msgid "`digit' category has not entries in groups of ten"
 msgstr "`digit' kategorisi 10 gruptan hiç birinde girdiye sahip değil"
 
-#: locale/programs/ld-ctype.c:829
+#: locale/programs/ld-ctype.c:795
 #, c-format
 msgid "no input digits defined and none of the standard names in the charmap"
 msgstr "karakter eşleşme listesinde standart isimlerin hiç biri ve atanmış girdi rakamları yok"
 
-#: locale/programs/ld-ctype.c:894
+#: locale/programs/ld-ctype.c:860
 #, c-format
 msgid "not all characters used in `outdigit' are available in the charmap"
 msgstr "`outdigit' içinde kullanılan karakterlerin bir kısmı karakter eşleşme listesinde mevcut"
 
-#: locale/programs/ld-ctype.c:911
+#: locale/programs/ld-ctype.c:877
 #, c-format
 msgid "not all characters used in `outdigit' are available in the repertoire"
 msgstr "`outdigit' içinde kullanılan karakterlerin bir kısmı repertuvarda mevcut"
 
-#: locale/programs/ld-ctype.c:1176
+#: locale/programs/ld-ctype.c:1142
 #, c-format
 msgid "character class `%s' already defined"
 msgstr "`%s' karakter sınıfı zaten atanmış"
 
-#: locale/programs/ld-ctype.c:1182
+#: locale/programs/ld-ctype.c:1148
 #, c-format
 msgid "implementation limit: no more than %Zd character classes allowed"
 msgstr "tamamlama sınırı: %Zd karakterden fazla olmayan sınıflara izin verilmedi"
 
-#: locale/programs/ld-ctype.c:1208
+#: locale/programs/ld-ctype.c:1174
 #, c-format
 msgid "character map `%s' already defined"
 msgstr "`%s' karakter eşlem zaten atanmış"
 
-#: locale/programs/ld-ctype.c:1214
+#: locale/programs/ld-ctype.c:1180
 #, c-format
 msgid "implementation limit: no more than %d character maps allowed"
 msgstr "tamamlama sınırı: %d karakterden fazla olmayan karakter eşleşme listesine izin verilmedi"
 
-#: locale/programs/ld-ctype.c:1479 locale/programs/ld-ctype.c:1604
-#: locale/programs/ld-ctype.c:1710 locale/programs/ld-ctype.c:2400
-#: locale/programs/ld-ctype.c:3397
+#: locale/programs/ld-ctype.c:1445 locale/programs/ld-ctype.c:1570
+#: locale/programs/ld-ctype.c:1676 locale/programs/ld-ctype.c:2352
+#: locale/programs/ld-ctype.c:3324
 #, c-format
 msgid "%s: field `%s' does not contain exactly ten entries"
 msgstr "%s: `%s' alanı tamı tamına 10 girdi içeremez"
 
-#: locale/programs/ld-ctype.c:1507 locale/programs/ld-ctype.c:2081
+#: locale/programs/ld-ctype.c:1473 locale/programs/ld-ctype.c:2047
 #, c-format
 msgid "to-value <U%0*X> of range is smaller than from-value <U%0*X>"
 msgstr "kapsamdaki <U%0*X> `to' değeri <U%0*X> `from' değerinden daha küçük"
 
-#: locale/programs/ld-ctype.c:1634
+#: locale/programs/ld-ctype.c:1600
 msgid "start and end character sequence of range must have the same length"
 msgstr "kapsamın başlangıç ve bitiş karakter zincirleri aynı uzunlukta olmalı"
 
-#: locale/programs/ld-ctype.c:1641
+#: locale/programs/ld-ctype.c:1607
 msgid "to-value character sequence is smaller than from-value sequence"
 msgstr "karakter dizisindeki `to' değeri `from' değerinden daha küçük"
 
-#: locale/programs/ld-ctype.c:2001 locale/programs/ld-ctype.c:2052
+#: locale/programs/ld-ctype.c:1967 locale/programs/ld-ctype.c:2018
 msgid "premature end of `translit_ignore' definition"
 msgstr "`translit_ignore' tanımının sonu eksik"
 
-#: locale/programs/ld-ctype.c:2007 locale/programs/ld-ctype.c:2058
-#: locale/programs/ld-ctype.c:2100
+#: locale/programs/ld-ctype.c:1973 locale/programs/ld-ctype.c:2024
+#: locale/programs/ld-ctype.c:2066
 msgid "syntax error"
 msgstr "sözdizimi hatası"
 
-#: locale/programs/ld-ctype.c:2233
+#: locale/programs/ld-ctype.c:2199
 #, c-format
 msgid "%s: syntax error in definition of new character class"
 msgstr "%s: yeni karakter sınıfının tanımında sözdizimi hatası"
 
-#: locale/programs/ld-ctype.c:2248
+#: locale/programs/ld-ctype.c:2214
 #, c-format
 msgid "%s: syntax error in definition of new character map"
 msgstr "%s: yeni karakter eşlemleri tanımında sözdizimi hatası"
 
-#: locale/programs/ld-ctype.c:2422
+#: locale/programs/ld-ctype.c:2374
 msgid "ellipsis range must be marked by two operands of same type"
 msgstr "elips kapsamı aynı türde iki veri öğesi ile sınırlanmış olmalıdır"
 
-#: locale/programs/ld-ctype.c:2431
+#: locale/programs/ld-ctype.c:2383
 msgid "with symbolic name range values the absolute ellipsis `...' must not be used"
 msgstr "mutlak elips `...' sembolik isim kapsamındaki değerlerle kullanılmamalı"
 
-#: locale/programs/ld-ctype.c:2446
+#: locale/programs/ld-ctype.c:2398
 msgid "with UCS range values one must use the hexadecimal symbolic ellipsis `..'"
 msgstr "onaltılık sembolik elips `..' UCS kapsam değerlerinden biriyle kullanılmalı"
 
-#: locale/programs/ld-ctype.c:2460
+#: locale/programs/ld-ctype.c:2412
 msgid "with character code range values one must use the absolute ellipsis `...'"
 msgstr "mutlak elips `...' karakter kod değerlerinden biriyle kullanılmalı"
 
-#: locale/programs/ld-ctype.c:2611
+#: locale/programs/ld-ctype.c:2563
 #, c-format
 msgid "duplicated definition for mapping `%s'"
 msgstr "`%s' eşlemi için atama tekrarlanmış"
 
-#: locale/programs/ld-ctype.c:2697 locale/programs/ld-ctype.c:2841
+#: locale/programs/ld-ctype.c:2649 locale/programs/ld-ctype.c:2793
 #, c-format
 msgid "%s: `translit_start' section does not end with `translit_end'"
 msgstr "%s: `translit_start' bölümü `translit_end' ile bitmiyor"
 
-#: locale/programs/ld-ctype.c:2792
+#: locale/programs/ld-ctype.c:2744
 #, c-format
 msgid "%s: duplicate `default_missing' definition"
 msgstr "%s: `default_missing' tanımı tekrarlanmış"
 
-#: locale/programs/ld-ctype.c:2797
+#: locale/programs/ld-ctype.c:2749
 msgid "previous definition was here"
 msgstr "önceki tanım burasıydı"
 
-#: locale/programs/ld-ctype.c:2819
+#: locale/programs/ld-ctype.c:2771
 #, c-format
 msgid "%s: no representable `default_missing' definition found"
 msgstr "%s: temsil edilebilir `default_missing' ataması bulunamadı"
 
-#: locale/programs/ld-ctype.c:2962 locale/programs/ld-ctype.c:3059
-#: locale/programs/ld-ctype.c:3079 locale/programs/ld-ctype.c:3100
-#: locale/programs/ld-ctype.c:3121 locale/programs/ld-ctype.c:3142
-#: locale/programs/ld-ctype.c:3163 locale/programs/ld-ctype.c:3203
-#: locale/programs/ld-ctype.c:3224 locale/programs/ld-ctype.c:3289
-#: locale/programs/ld-ctype.c:3331 locale/programs/ld-ctype.c:3356
+#: locale/programs/ld-ctype.c:2889 locale/programs/ld-ctype.c:2986
+#: locale/programs/ld-ctype.c:3006 locale/programs/ld-ctype.c:3027
+#: locale/programs/ld-ctype.c:3048 locale/programs/ld-ctype.c:3069
+#: locale/programs/ld-ctype.c:3090 locale/programs/ld-ctype.c:3130
+#: locale/programs/ld-ctype.c:3151 locale/programs/ld-ctype.c:3216
+#: locale/programs/ld-ctype.c:3258 locale/programs/ld-ctype.c:3283
 #, c-format
 msgid "%s: character `%s' not defined while needed as default value"
 msgstr "%s: öntanımlı değer olarak gerekli olmasına rağmen `%s' karakteri atanmamış"
 
-#: locale/programs/ld-ctype.c:2967 locale/programs/ld-ctype.c:3064
-#: locale/programs/ld-ctype.c:3084 locale/programs/ld-ctype.c:3105
-#: locale/programs/ld-ctype.c:3126 locale/programs/ld-ctype.c:3147
-#: locale/programs/ld-ctype.c:3168 locale/programs/ld-ctype.c:3208
-#: locale/programs/ld-ctype.c:3229 locale/programs/ld-ctype.c:3294
+#: locale/programs/ld-ctype.c:2894 locale/programs/ld-ctype.c:2991
+#: locale/programs/ld-ctype.c:3011 locale/programs/ld-ctype.c:3032
+#: locale/programs/ld-ctype.c:3053 locale/programs/ld-ctype.c:3074
+#: locale/programs/ld-ctype.c:3095 locale/programs/ld-ctype.c:3135
+#: locale/programs/ld-ctype.c:3156 locale/programs/ld-ctype.c:3221
 #, c-format
 msgid "%s: character `%s' in charmap not representable with one byte"
 msgstr "%s: karakter eşlem listesinde `%s' karakteri bir bayt ile temsil edilemez"
 
-#: locale/programs/ld-ctype.c:3338 locale/programs/ld-ctype.c:3363
+#: locale/programs/ld-ctype.c:3265 locale/programs/ld-ctype.c:3290
 #, c-format
 msgid "%s: character `%s' needed as default value not representable with one byte"
 msgstr "%s: öntanımlı değer olarak gerekli olan `%s' karakteri tek bayt ile temsil edilemez"
 
-#: locale/programs/ld-ctype.c:3419
+#: locale/programs/ld-ctype.c:3346
 #, c-format
 msgid "no output digits defined and none of the standard names in the charmap"
 msgstr "karakter eşleşme listesinde standart isimlerin hiç biri ve atanmış çıktı rakamları yok"
 
-#: locale/programs/ld-ctype.c:3668
+#: locale/programs/ld-ctype.c:3595
 #, c-format
 msgid "%s: transliteration data from locale `%s' not available"
 msgstr "%s: `%s' yerelinden başka bir dilin alfabesinde yazma verisi yok"
 
-#: locale/programs/ld-ctype.c:3768
+#: locale/programs/ld-ctype.c:3695
 #, c-format
 msgid "%s: table for class \"%s\": %lu bytes\n"
 msgstr "%s: \"%s\" sınıfının tablosu: %lu bayt\n"
 
-#: locale/programs/ld-ctype.c:3833
+#: locale/programs/ld-ctype.c:3760
 #, c-format
 msgid "%s: table for map \"%s\": %lu bytes\n"
 msgstr "%s: \"%s\" eşlemlerinin tablosu: %lu bayt\n"
 
-#: locale/programs/ld-ctype.c:3958
+#: locale/programs/ld-ctype.c:3885
 #, c-format
 msgid "%s: table for width: %lu bytes\n"
 msgstr "%s: genişlik için tablo: %lu bayt\n"
@@ -3932,17 +3922,23 @@ msgstr "%3$s için %2$s türündeki yeni girdi \"%1$s\" %4$s arabelleğine eklen
 msgid " (first)"
 msgstr " (ilk)"
 
-#: nscd/cache.c:285 nscd/connections.c:1000
+#: nscd/cache.c:288
+#, fuzzy, c-format
+#| msgid "cannot open database file `%s': %s"
+msgid "checking for monitored file `%s': %s"
+msgstr "`%s' veritabanı dosyası açılamıyor: %s"
+
+#: nscd/cache.c:298
 #, c-format
-msgid "cannot stat() file `%s': %s"
-msgstr "`%s' dosyası stat() olamıyor: %s"
+msgid "monitored file `%s` changed (mtime)"
+msgstr ""
 
-#: nscd/cache.c:331
+#: nscd/cache.c:341
 #, c-format
 msgid "pruning %s cache; time %ld"
 msgstr "%s arabelleği budanıyor; süre %ld"
 
-#: nscd/cache.c:360
+#: nscd/cache.c:370
 #, c-format
 msgid "considering %s entry \"%s\", timeout %<PRIu64>"
 msgstr "girdi \"%2$s\" %1$s olarak ele elınıyor, zamanaşımı %3$<PRIu64>"
@@ -4031,160 +4027,222 @@ msgstr "exec üzerinde kapatılacak soket atanamadı: %s"
 msgid "cannot enable socket to accept connections: %s"
 msgstr "bağlantıları kabul etmek üzere soket etkinleştirilemiyor: %s"
 
-#: nscd/connections.c:984
+#: nscd/connections.c:973
+#, c-format
+msgid "disabled inotify-based monitoring for file `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:977
+#, c-format
+msgid "monitoring file `%s` (%d)"
+msgstr ""
+
+#: nscd/connections.c:990
+#, c-format
+msgid "disabled inotify-based monitoring for directory `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:994
+#, fuzzy, c-format
+#| msgid "Can't open directory %s"
+msgid "monitoring directory `%s` (%d)"
+msgstr "%s dizini açılamıyor"
+
+#: nscd/connections.c:1022
 #, fuzzy, c-format
 #| msgid "no more memory for database '%s'"
-msgid "register trace file %s for database %s"
+msgid "monitoring file %s for database %s"
 msgstr "veritabanı '%s' için bellek kalmadı"
 
-#: nscd/connections.c:1114
+#: nscd/connections.c:1032
+#, c-format
+msgid "stat failed for file `%s'; will try again later: %s"
+msgstr ""
+
+#: nscd/connections.c:1151
 #, c-format
 msgid "provide access to FD %d, for %s"
 msgstr "%2$s için dosya tanıtıcı %1$d'ye erişim sağlar"
 
-#: nscd/connections.c:1126
+#: nscd/connections.c:1163
 #, c-format
 msgid "cannot handle old request version %d; current version is %d"
 msgstr "eski istem sürümü %d elde edilemedi; mevcut sürüm %d"
 
-#: nscd/connections.c:1148
+#: nscd/connections.c:1185
 #, c-format
 msgid "request from %ld not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1153
+#: nscd/connections.c:1190
 #, c-format
 msgid "request from '%s' [%ld] not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1158
+#: nscd/connections.c:1195
 msgid "request not handled due to missing permission"
 msgstr ""
 
-#: nscd/connections.c:1196 nscd/connections.c:1249
+#: nscd/connections.c:1233 nscd/connections.c:1286
 #, c-format
 msgid "cannot write result: %s"
 msgstr "sonuç yazılamıyor: %s"
 
-#: nscd/connections.c:1340
+#: nscd/connections.c:1377
 #, c-format
 msgid "error getting caller's id: %s"
 msgstr "çağrıcı kimliği alınırken hata: %s"
 
-#: nscd/connections.c:1400
+#: nscd/connections.c:1437
 #, c-format
 msgid "cannot open /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr "/proc/self/cmdline açılamadı: %s; paranoya kipi iptal ediliyor"
 
-#: nscd/connections.c:1414
+#: nscd/connections.c:1451
 #, c-format
 msgid "cannot read /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr "/proc/self/cmdline okunamadı: %s; paranoya kipi iptal ediliyor"
 
-#: nscd/connections.c:1454
+#: nscd/connections.c:1491
 #, c-format
 msgid "cannot change to old UID: %s; disabling paranoia mode"
 msgstr "eski UID'e dönülemedi: %s; paranoya kipi iptal ediliyor"
 
-#: nscd/connections.c:1464
+#: nscd/connections.c:1501
 #, c-format
 msgid "cannot change to old GID: %s; disabling paranoia mode"
 msgstr "eski GID'e dönülemedi: %s; paranoya kipi iptal ediliyor"
 
-#: nscd/connections.c:1477
+#: nscd/connections.c:1514
 #, c-format
 msgid "cannot change to old working directory: %s; disabling paranoia mode"
 msgstr "eski çalışma dizinine dönülemiyor: %s; paranoya kipi iptal ediliyor"
 
-#: nscd/connections.c:1523
+#: nscd/connections.c:1560
 #, c-format
 msgid "re-exec failed: %s; disabling paranoia mode"
 msgstr "re-exec başarısız: %s; paranoya kipi iptal ediliyor"
 
-#: nscd/connections.c:1532
+#: nscd/connections.c:1569
 #, c-format
 msgid "cannot change current working directory to \"/\": %s"
 msgstr "çalışma dizini \"/\" yapılamadı: %s"
 
-#: nscd/connections.c:1725
+#: nscd/connections.c:1762
 #, c-format
 msgid "short read while reading request: %s"
 msgstr "istenen okuma kısa: %s"
 
-#: nscd/connections.c:1758
+#: nscd/connections.c:1795
 #, c-format
 msgid "key length in request too long: %d"
 msgstr "istenen anahtar/tuş uzunluğu fazla: %d"
 
-#: nscd/connections.c:1771
+#: nscd/connections.c:1808
 #, c-format
 msgid "short read while reading request key: %s"
 msgstr "istenen anahtar/tuş okunurken kısa okuma: %s"
 
-#: nscd/connections.c:1781
+#: nscd/connections.c:1818
 #, c-format
 msgid "handle_request: request received (Version = %d) from PID %ld"
 msgstr "handle_request: %2$ld numaralı süreçden istek alındı (Sürüm = %1$d)"
 
-#: nscd/connections.c:1786
+#: nscd/connections.c:1823
 #, c-format
 msgid "handle_request: request received (Version = %d)"
 msgstr "handle_request: istek alındı (Sürüm = %d)"
 
-#: nscd/connections.c:2050 nscd/connections.c:2252
+#: nscd/connections.c:1963
+#, c-format
+msgid "ignored inotify event for `%s` (file exists)"
+msgstr ""
+
+#: nscd/connections.c:1968
+#, c-format
+msgid "monitored file `%s` was %s, removing watch"
+msgstr ""
+
+#: nscd/connections.c:1976 nscd/connections.c:2018
+#, c-format
+msgid "failed to remove file watch `%s`: %s"
+msgstr ""
+
+#: nscd/connections.c:1991
+#, c-format
+msgid "monitored file `%s` was written to"
+msgstr ""
+
+#: nscd/connections.c:2015
+#, c-format
+msgid "monitored parent directory `%s` was %s, removing watch on `%s`"
+msgstr ""
+
+#: nscd/connections.c:2041
 #, c-format
-msgid "disabled inotify after read error %d"
+msgid "monitored file `%s` was %s, adding watch"
 msgstr ""
 
-#: nscd/connections.c:2375
+#: nscd/connections.c:2053
+#, fuzzy, c-format
+#| msgid "failed to load shared object `%s'"
+msgid "failed to add file watch `%s`: %s"
+msgstr "paylaşımlı nesne `%s' yüklenemedi"
+
+#: nscd/connections.c:2247 nscd/connections.c:2428
+#, c-format
+msgid "disabled inotify-based monitoring after read error %d"
+msgstr ""
+
+#: nscd/connections.c:2543
 #, fuzzy
 #| msgid "cannot initialize archive file"
 msgid "could not initialize conditional variable"
 msgstr "arşiv dosyası ilklendirilemiyor"
 
-#: nscd/connections.c:2383
+#: nscd/connections.c:2551
 #, fuzzy
 #| msgid "could only start %d threads; terminating"
 msgid "could not start clean-up thread; terminating"
 msgstr "sadece %d evre başlatılabilir; sonlanıyor"
 
-#: nscd/connections.c:2397
+#: nscd/connections.c:2565
 #, fuzzy
 #| msgid "could only start %d threads; terminating"
 msgid "could not start any worker thread; terminating"
 msgstr "sadece %d evre başlatılabilir; sonlanıyor"
 
-#: nscd/connections.c:2452 nscd/connections.c:2454 nscd/connections.c:2470
-#: nscd/connections.c:2480 nscd/connections.c:2498 nscd/connections.c:2509
-#: nscd/connections.c:2519
+#: nscd/connections.c:2620 nscd/connections.c:2622 nscd/connections.c:2638
+#: nscd/connections.c:2648 nscd/connections.c:2666 nscd/connections.c:2677
+#: nscd/connections.c:2687
 #, c-format
 msgid "Failed to run nscd as user '%s'"
 msgstr "nscd '%s' kullanıcısı olarak çalıştırılamadı"
 
-#: nscd/connections.c:2472
+#: nscd/connections.c:2640
 msgid "initial getgrouplist failed"
 msgstr "ilk getgrouplist başarısız"
 
-#: nscd/connections.c:2481
+#: nscd/connections.c:2649
 msgid "getgrouplist failed"
 msgstr "getgrouplist başarısız"
 
-#: nscd/connections.c:2499
+#: nscd/connections.c:2667
 msgid "setgroups failed"
 msgstr "setgroups başarısız"
 
-#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:410
+#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:411
 #: nscd/pwdcache.c:383 nscd/servicescache.c:338
 #, c-format
 msgid "short write in %s: %s"
 msgstr "%s içinde kısa yazma: %s"
 
-#: nscd/grpcache.c:450 nscd/initgrcache.c:77
+#: nscd/grpcache.c:450 nscd/initgrcache.c:78
 #, c-format
 msgid "Haven't found \"%s\" in group cache!"
 msgstr "\"%s\" grup arabelleğinde yok!"
 
-#: nscd/grpcache.c:452 nscd/initgrcache.c:79
+#: nscd/grpcache.c:452 nscd/initgrcache.c:80
 #, c-format
 msgid "Reloading \"%s\" in group cache!"
 msgstr "\"%s\" grup arabelleğine yeniden yükleniyor!"
@@ -4278,7 +4336,7 @@ msgstr "Her kullanıcı için ayrı arabellek kullanılır"
 msgid "Name Service Cache Daemon."
 msgstr "Name Service Cache Daemon."
 
-#: nscd/nscd.c:155 nss/getent.c:1003 nss/makedb.c:206
+#: nscd/nscd.c:155 nss/getent.c:1007 nss/makedb.c:206
 #, c-format
 msgid "wrong number of arguments"
 msgstr "argüman sayısı hatalı"
@@ -4312,7 +4370,7 @@ msgstr "çalışma dizini \"/\" yapılamaz"
 msgid "Could not create log file"
 msgstr "Günlük dosyası oluşturulamadı"
 
-#: nscd/nscd.c:355 nscd/nscd_stat.c:192
+#: nscd/nscd.c:355 nscd/nscd_stat.c:194
 #, c-format
 msgid "write incomplete"
 msgstr "yazma tamamlanamıyor"
@@ -4327,7 +4385,7 @@ msgstr "geçersizleştirme ACK'sı okunamıyor"
 msgid "invalidation failed"
 msgstr "geçersizleştirme başarısız"
 
-#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:173
+#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:175
 #, c-format
 msgid "Only root is allowed to use this option!"
 msgstr "Bu seçenek sadece root tarafından kullanılabilir!"
@@ -4410,35 +4468,35 @@ msgstr "çalışılmakta olan dizin alınamıyor: %s; paranoya kipi iptal ediliy
 msgid "maximum file size for %s database too small"
 msgstr "%s veritabanı için azami dosya boyu çok küçük"
 
-#: nscd/nscd_stat.c:142
+#: nscd/nscd_stat.c:144
 #, c-format
 msgid "cannot write statistics: %s"
 msgstr "istatistikler yazılamıyor: %s"
 
-#: nscd/nscd_stat.c:157
+#: nscd/nscd_stat.c:159
 msgid "yes"
 msgstr "evet"
 
-#: nscd/nscd_stat.c:158
+#: nscd/nscd_stat.c:160
 msgid "no"
 msgstr "hayır"
 
-#: nscd/nscd_stat.c:169
+#: nscd/nscd_stat.c:171
 #, c-format
 msgid "Only root or %s is allowed to use this option!"
 msgstr "Bu seçenek sadece root veya %s tarafından kullanılabilir!"
 
-#: nscd/nscd_stat.c:180
+#: nscd/nscd_stat.c:182
 #, c-format
 msgid "nscd not running!\n"
 msgstr "nscd çalışmıyor!\n"
 
-#: nscd/nscd_stat.c:204
+#: nscd/nscd_stat.c:206
 #, c-format
 msgid "cannot read statistics data"
 msgstr "istatistik verileri okunamıyor"
 
-#: nscd/nscd_stat.c:207
+#: nscd/nscd_stat.c:209
 #, c-format
 msgid ""
 "nscd configuration:\n"
@@ -4449,27 +4507,27 @@ msgstr ""
 "\n"
 "%15d  sunucu hata ayıklama seviyesi\n"
 
-#: nscd/nscd_stat.c:231
+#: nscd/nscd_stat.c:233
 #, c-format
 msgid "%3ud %2uh %2um %2lus  server runtime\n"
 msgstr "%3ud %2uh %2um %2lus  sunucu çalışma zamanı\n"
 
-#: nscd/nscd_stat.c:234
+#: nscd/nscd_stat.c:236
 #, c-format
 msgid "    %2uh %2um %2lus  server runtime\n"
 msgstr "    %2uh %2um %2lus  sunucu çalışma zamanı\n"
 
-#: nscd/nscd_stat.c:236
+#: nscd/nscd_stat.c:238
 #, c-format
 msgid "        %2um %2lus  server runtime\n"
 msgstr "        %2um %2lus  sunucu çalışma zamanı\n"
 
-#: nscd/nscd_stat.c:238
+#: nscd/nscd_stat.c:240
 #, c-format
 msgid "            %2lus  server runtime\n"
 msgstr "            %2lus  sunucu çalışma zamanı\n"
 
-#: nscd/nscd_stat.c:240
+#: nscd/nscd_stat.c:242
 #, fuzzy, c-format
 #| msgid ""
 #| "%15d  current number of threads\n"
@@ -4491,7 +4549,7 @@ msgstr ""
 "%15s  paranoya kipi etkin\n"
 "%15lu  dahili yeniden başlatma\n"
 
-#: nscd/nscd_stat.c:275
+#: nscd/nscd_stat.c:277
 #, c-format
 msgid ""
 "\n"
@@ -4557,87 +4615,87 @@ msgstr "\"%s\" parola arabelleğine yeriden yükleniyor!"
 msgid "Invalid numeric uid \"%s\"!"
 msgstr "\"%s\" kullanıcı numarası geçersiz!"
 
-#: nscd/selinux.c:155
+#: nscd/selinux.c:154
 #, c-format
 msgid "Failed opening connection to the audit subsystem: %m"
 msgstr "denetim altsistemine bağlantı kurulamadı: %m"
 
-#: nscd/selinux.c:176
+#: nscd/selinux.c:175
 msgid "Failed to set keep-capabilities"
 msgstr "Tutma yetenekleri ayarlanamadı"
 
-#: nscd/selinux.c:177 nscd/selinux.c:240
+#: nscd/selinux.c:176 nscd/selinux.c:239
 msgid "prctl(KEEPCAPS) failed"
 msgstr "prctl(KEEPCAPS) başarısız"
 
-#: nscd/selinux.c:191
+#: nscd/selinux.c:190
 msgid "Failed to initialize drop of capabilities"
 msgstr "yeteneklerin kaldırılması başlatılamadı"
 
-#: nscd/selinux.c:192
+#: nscd/selinux.c:191
 msgid "cap_init failed"
 msgstr "cap_init başarısız"
 
-#: nscd/selinux.c:213 nscd/selinux.c:230
+#: nscd/selinux.c:212 nscd/selinux.c:229
 msgid "Failed to drop capabilities"
 msgstr "Yetenekler kaldırılamadı"
 
-#: nscd/selinux.c:214 nscd/selinux.c:231
+#: nscd/selinux.c:213 nscd/selinux.c:230
 msgid "cap_set_proc failed"
 msgstr "cap_set_proc başarısız"
 
-#: nscd/selinux.c:239
+#: nscd/selinux.c:238
 msgid "Failed to unset keep-capabilities"
 msgstr "Tutma yetenekleri kaldırılamadı"
 
-#: nscd/selinux.c:255
+#: nscd/selinux.c:254
 msgid "Failed to determine if kernel supports SELinux"
 msgstr "Çekirdek SELinux'u destekliyor mu, saptanamadı."
 
-#: nscd/selinux.c:270
+#: nscd/selinux.c:269
 msgid "Failed to start AVC thread"
 msgstr "EVA evresi başlatılamadı"
 
-#: nscd/selinux.c:292
+#: nscd/selinux.c:291
 msgid "Failed to create AVC lock"
 msgstr "EVA kilidi oluşturulamadı"
 
-#: nscd/selinux.c:332
+#: nscd/selinux.c:331
 msgid "Failed to start AVC"
 msgstr "EVA başlatılamadı"
 
-#: nscd/selinux.c:334
+#: nscd/selinux.c:333
 msgid "Access Vector Cache (AVC) started"
 msgstr "Erişim Vektörleri Arabelleği (EVA) başlatıldı"
 
-#: nscd/selinux.c:369
+#: nscd/selinux.c:368
 msgid "Error querying policy for undefined object classes or permissions."
 msgstr ""
 
-#: nscd/selinux.c:376
+#: nscd/selinux.c:375
 #, fuzzy
 #| msgid "Error getting context of nscd"
 msgid "Error getting security class for nscd."
 msgstr "nscd bağlamı alınırken hata"
 
-#: nscd/selinux.c:381
+#: nscd/selinux.c:380
 #, c-format
 msgid "Error translating permission name \"%s\" to access vector bit."
 msgstr ""
 
-#: nscd/selinux.c:391
+#: nscd/selinux.c:390
 msgid "Error getting context of socket peer"
 msgstr "soket çifti bağlamı alınırken hata"
 
-#: nscd/selinux.c:396
+#: nscd/selinux.c:395
 msgid "Error getting context of nscd"
 msgstr "nscd bağlamı alınırken hata"
 
-#: nscd/selinux.c:402
+#: nscd/selinux.c:401
 msgid "Error getting sid from context"
 msgstr "Bağlamdan sid alınırken hata"
 
-#: nscd/selinux.c:440
+#: nscd/selinux.c:439
 #, c-format
 msgid ""
 "\n"
@@ -4701,16 +4759,16 @@ msgstr ""
 msgid "Enumeration not supported on %s\n"
 msgstr "Numaralama %s ile desteklenmiyor\n"
 
-#: nss/getent.c:917
+#: nss/getent.c:921
 #, c-format
 msgid "Unknown database name"
 msgstr "Bilinmeyen veritabanı ismi"
 
-#: nss/getent.c:947
+#: nss/getent.c:951
 msgid "Supported databases:\n"
 msgstr "Desteklenen veritabanları:\n"
 
-#: nss/getent.c:1013
+#: nss/getent.c:1017
 #, c-format
 msgid "Unknown database: %s\n"
 msgstr "Bilinmeyen veritabanı: %s\n"
@@ -5006,7 +5064,7 @@ msgstr ") ya da  \\) eşleşmiyor"
 msgid "No previous regular expression"
 msgstr "Önceki düzenli ifade yok"
 
-#: posix/wordexp.c:1844
+#: posix/wordexp.c:1851
 msgid "parameter null or not set"
 msgstr "parametre ya null ya da verilmemiş"
 
@@ -7454,6 +7512,9 @@ msgstr "%s: %s dizini oluşturulamıyor: %s\n"
 #~ msgid "xtrace: option \\`$1' requires an argument.\\n"
 #~ msgstr "xtrace: \\`$1' seçeneği bir argümanla kullanılır\\n"
 
+#~ msgid "%s: no PLTREL found in object %s\n"
+#~ msgstr "%s: %s nesnesinde PLTREL yok\n"
+
 #~ msgid "Can't open configuration file %s"
 #~ msgstr "Yapılandırma dosyası %s açılamıyor"
 
@@ -7466,6 +7527,9 @@ msgstr "%s: %s dizini oluşturulamıyor: %s\n"
 #~ "<http://www.gnu.org/software/libc/bugs.html> adresine bakınız.\n"
 #~ "Çeviri hatalarını <nilgun (at) buguner.name.tr> adresine bildiriniz.\n"
 
+#~ msgid "cannot create internal descriptors"
+#~ msgstr "iç tanıtıcılar oluşturulamıyor"
+
 #~ msgid "%s: stopping date is invalid in string %Zd in `era' field"
 #~ msgstr "%s: `era' alanındaki %Zd dizgesinde bitiş tarihi geçersiz"
 
@@ -7484,6 +7548,9 @@ msgstr "%s: %s dizini oluşturulamıyor: %s\n"
 #~ msgid "memusage: option \\`$1' requires an argument"
 #~ msgstr "memusage: \\`$1' seçeneği bir argümanla kullanılır"
 
+#~ msgid "cannot stat() file `%s': %s"
+#~ msgstr "`%s' dosyası stat() olamıyor: %s"
+
 #~ msgid "invalid value for 'reload-count': %u"
 #~ msgstr "'reload-count' için değer geçersiz: %u"
 
diff --git a/po/zh_CN.po b/po/zh_CN.po
index 1922ea3..58d1437 100644
--- a/po/zh_CN.po
+++ b/po/zh_CN.po
@@ -1,19 +1,26 @@
-# SOME DESCRIPTIVE TITLE.
-# Copyright (C) 2002, 2007 Free Software Foundation, Inc.
-# LI Daobing <lidaobing@gmail.com>, 2007.
+# zh_CN translation for GNU libc.
+# Copyright (C) 2000, 2002, 2005, 2007-2008, 2011 Free Software Foundation, Inc.
+# This file is distributed under the same license as the glibc package.
+# Tung-Han Hsieh <thhsieh@linux.org.tw>, 2000.
+# Yuan-Chung Cheng <platin@ch.ntu.edu.tw>, 2000.
 # Wang Li <charles@linux.net.cn>, 2002.
+# Wei-Lun Chao <william.chao@ossii.com.tw>, 2005, 2008, 2011.
+# LI Daobing <lidaobing@gmail.com>, 2007.
+# Wei-Lun Chao <bluebat@member.fsf.org>, 2012, 2013.
+# Mingye Wang <arthur200126@gmail.com>, 2015.
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: libc 2.7\n"
-"POT-Creation-Date: 2015-01-20 22:14-0500\n"
-"PO-Revision-Date: 2007-11-18 12:34+0800\n"
-"Last-Translator: LI Daobing <lidaobing@gmail.com>\n"
+"Project-Id-Version: libc 2.22-pre1\n"
+"POT-Creation-Date: 2015-07-31 00:10-0400\n"
+"PO-Revision-Date: 2015-09-19 19:13-0400\n"
+"Last-Translator: Mingye Wang <arthur200126@gmail.com>\n"
 "Language-Team: Chinese (simplified) <i18n-zh@googlegroups.com>\n"
 "Language: zh_CN\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"X-Generator: Poedit 1.8.4\n"
 
 #: argp/argp-help.c:227
 #, c-format
@@ -58,7 +65,7 @@ msgstr "将错误报告给 %s。\n"
 
 #: argp/argp-parse.c:101
 msgid "Give this help list"
-msgstr "给出该系统求助列表"
+msgstr "给出此帮助列表"
 
 #: argp/argp-parse.c:102
 msgid "Give a short usage message"
@@ -76,7 +83,7 @@ msgstr "设定程序名"
 
 #: argp/argp-parse.c:105
 msgid "SECS"
-msgstr ""
+msgstr "秒数"
 
 #: argp/argp-parse.c:106
 msgid "Hang for SECS seconds (default 3600)"
@@ -88,7 +95,7 @@ msgstr "打印程序版本号"
 
 #: argp/argp-parse.c:183
 msgid "(PROGRAM ERROR) No version known!?"
-msgstr "(程序错误) 不知道版本号！？"
+msgstr "(程序错误) 版本号未知！？"
 
 #: argp/argp-parse.c:623
 #, c-format
@@ -105,12 +112,13 @@ msgid "%s%s%s:%u: %s%sUnexpected error: %s.\n"
 msgstr "%s%s%s：%u：%s%s意外的错误：%s。\n"
 
 #: assert/assert.c:101
-#, fuzzy, c-format
-#| msgid "%s%s%s:%u: %s%sAssertion `%s' failed.\n"
+#, c-format
 msgid ""
 "%s%s%s:%u: %s%sAssertion `%s' failed.\n"
 "%n"
-msgstr "%s%s%s：%u：%s%s断言“%s”失败。\n"
+msgstr ""
+"%s%s%s:%u：%s%s假设 ‘%s’ 失败。\n"
+"%n"
 
 #: catgets/gencat.c:110
 msgid "Create C header file NAME containing symbol definitions"
@@ -129,6 +137,8 @@ msgid ""
 "Generate message catalog.\vIf INPUT-FILE is -, input is read from standard input.  If OUTPUT-FILE\n"
 "is -, output is written to standard output.\n"
 msgstr ""
+"产生消息 catelog。\\v如果输入文件名是 -, 将从标准输入读取输入。\n"
+"如果输出文件名是 -, 则输出将写到标准输出去。\n"
 
 #: catgets/gencat.c:123
 msgid ""
@@ -139,10 +149,10 @@ msgstr ""
 "[输出文件 [输入文件]...]"
 
 #: catgets/gencat.c:229 debug/pcprofiledump.c:209 elf/ldconfig.c:307
-#: elf/pldd.c:244 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
+#: elf/pldd.c:252 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
 #: iconv/iconvconfig.c:379 locale/programs/locale.c:277
 #: locale/programs/localedef.c:376 login/programs/pt_chown.c:88
-#: malloc/memusagestat.c:563 nss/getent.c:969 nss/makedb.c:369
+#: malloc/memusagestat.c:563 nss/getent.c:973 nss/makedb.c:369
 #: posix/getconf.c:486 sunrpc/rpcinfo.c:691
 #: sysdeps/unix/sysv/linux/lddlibc4.c:61
 #, c-format
@@ -150,9 +160,11 @@ msgid ""
 "For bug reporting instructions, please see:\n"
 "%s.\n"
 msgstr ""
+"要知道错误报告指令，请参看：\n"
+"%s。\n"
 
 #: catgets/gencat.c:245 debug/pcprofiledump.c:225 debug/xtrace.sh:64
-#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:260 elf/sotruss.sh:75
+#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:268 elf/sotruss.sh:75
 #: elf/sprof.c:389 iconv/iconv_prog.c:425 iconv/iconvconfig.c:396
 #: locale/programs/locale.c:294 locale/programs/localedef.c:402
 #: login/programs/pt_chown.c:62 malloc/memusage.sh:71
@@ -164,9 +176,12 @@ msgid ""
 "This is free software; see the source for copying conditions.  There is NO\n"
 "warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.\n"
 msgstr ""
+"Copyright (C) %s 自由软件基金会。\n"
+"这是一个自由软件；请见源代码的授权条款。本软件不含任何没有担保；甚至不保证适销性\n"
+"或者适合某些特殊目的。\n"
 
 #: catgets/gencat.c:250 debug/pcprofiledump.c:230 debug/xtrace.sh:68
-#: elf/ldconfig.c:328 elf/pldd.c:265 elf/sprof.c:395 iconv/iconv_prog.c:430
+#: elf/ldconfig.c:328 elf/pldd.c:273 elf/sprof.c:395 iconv/iconv_prog.c:430
 #: iconv/iconvconfig.c:401 locale/programs/locale.c:299
 #: locale/programs/localedef.c:407 malloc/memusage.sh:75
 #: malloc/memusagestat.c:586 nscd/nscd.c:514 nss/getent.c:91 nss/makedb.c:390
@@ -229,7 +244,7 @@ msgstr "无效的行"
 
 #: catgets/gencat.c:820
 msgid "malformed line ignored"
-msgstr ""
+msgstr "忽略格式错误的行"
 
 #: catgets/gencat.c:984 catgets/gencat.c:1025
 #, c-format
@@ -265,7 +280,7 @@ msgstr "不要对输出进行缓冲"
 
 #: debug/pcprofiledump.c:58
 msgid "Dump information generated by PC profiling."
-msgstr ""
+msgstr "将产生于 PC 测速评估的数据倾卸出来"
 
 #: debug/pcprofiledump.c:61
 msgid "[FILE]"
@@ -288,20 +303,16 @@ msgstr "无效的指针大小"
 
 #: debug/xtrace.sh:26 debug/xtrace.sh:44
 msgid "Usage: xtrace [OPTION]... PROGRAM [PROGRAMOPTION]...\\n"
-msgstr ""
+msgstr "用法：xtrace [选项]… 程序 [PROGRAMOPTION]…\\n"
 
 #: debug/xtrace.sh:32 elf/sotruss.sh:56 elf/sotruss.sh:67 elf/sotruss.sh:135
 #: malloc/memusage.sh:26
-#, fuzzy
-#| msgid "Try `%s --help' or `%s --usage' for more information.\n"
 msgid "Try \\`%s --help' or \\`%s --usage' for more information.\\n"
-msgstr "试用“%s --help”或“%s --usage”以获取更多信息。\n"
+msgstr "请尝试 \\ ‘%s --help’ 或\\ ‘%s --usage’ 以获得更多信息。\\n"
 
 #: debug/xtrace.sh:38
-#, fuzzy
-#| msgid "%s: option `%s' requires an argument\n"
 msgid "%s: option '%s' requires an argument.\\n"
-msgstr "%s：选项“%s”需要一个参数\n"
+msgstr "%s：选项 ‘%s’ 需要一个参数.\\n"
 
 #: debug/xtrace.sh:45
 msgid ""
@@ -317,11 +328,22 @@ msgid ""
 "short options.\n"
 "\n"
 msgstr ""
+"经由打印目前运行的函数来追踪程序的运行。\n"
+"\n"
+"     --data=文件          无法运进程序，仅从文件印出数据。\n"
+"\n"
+"   -?,--help              打印这份说明然后离开\n"
+"      --usage             给出简短用法消息\n"
+"   -V,--version           印出版本信息然后离开\n"
+"\n"
+"对于长选项必要的参数同样必要于任何相应的\n"
+"短选项。\n"
+"\n"
 
 #: debug/xtrace.sh:57 elf/ldd.bash.in:55 elf/sotruss.sh:49
 #: malloc/memusage.sh:64
 msgid "For bug reporting instructions, please see:\\\\n%s.\\\\n"
-msgstr ""
+msgstr "要知道错误报告指令，请参看:\\\\n%s.\\\\n"
 
 #: debug/xtrace.sh:125
 msgid "xtrace: unrecognized option \\`$1'\\n"
@@ -334,7 +356,7 @@ msgstr "未指定程序名"
 #: debug/xtrace.sh:146
 #, sh-format
 msgid "executable \\`$program' not found\\n"
-msgstr ""
+msgstr "可运行文件 “$program” 找不到\\n"
 
 #: debug/xtrace.sh:150
 #, sh-format
@@ -343,7 +365,7 @@ msgstr "“$program”不可执行\\n"
 
 #: dlfcn/dlinfo.c:63
 msgid "RTLD_SELF used in code not dynamically loaded"
-msgstr ""
+msgstr "代码所使用的 RTLD_SELF 没有动态加载"
 
 #: dlfcn/dlinfo.c:72
 msgid "unsupported dlinfo request"
@@ -414,11 +436,11 @@ msgstr "将 %s 的访问权限改变为 %#o 失败"
 msgid "Renaming of %s to %s failed"
 msgstr "将 %s 改名为 %s 失败"
 
-#: elf/dl-close.c:385 elf/dl-open.c:470
+#: elf/dl-close.c:396 elf/dl-open.c:478
 msgid "cannot create scope list"
 msgstr "无法创建范围列表"
 
-#: elf/dl-close.c:770
+#: elf/dl-close.c:816
 msgid "shared object not open"
 msgstr "共享库未打开"
 
@@ -433,7 +455,7 @@ msgstr "空动态字符串替换"
 #: elf/dl-deps.c:131
 #, c-format
 msgid "cannot load auxiliary `%s' because of empty dynamic string token substitution\n"
-msgstr ""
+msgstr "由于空的动态字串字组替换而无法加载外部的 `%s'\n"
 
 #: elf/dl-deps.c:467
 msgid "cannot allocate dependency list"
@@ -445,7 +467,7 @@ msgstr "无法分配符号搜索列表"
 
 #: elf/dl-deps.c:544
 msgid "Filters not supported with LD_TRACE_PRELINKING"
-msgstr ""
+msgstr "过滤程序不支持与 LD_TRACE_PRELINKING 共用"
 
 #: elf/dl-error.c:77
 msgid "DYNAMIC LINKER BUG!!!"
@@ -491,127 +513,127 @@ msgstr "无法创建搜索路径数组"
 msgid "cannot stat shared object"
 msgstr "无法对共享目标进行 stat 操作"
 
-#: elf/dl-load.c:963
+#: elf/dl-load.c:962
 msgid "cannot open zero fill device"
 msgstr "无法打开零填充设备"
 
-#: elf/dl-load.c:1010 elf/dl-load.c:2165
+#: elf/dl-load.c:1009 elf/dl-load.c:2159
 msgid "cannot create shared object descriptor"
 msgstr "无法创建共享对象描述符"
 
-#: elf/dl-load.c:1029 elf/dl-load.c:1570 elf/dl-load.c:1682
+#: elf/dl-load.c:1028 elf/dl-load.c:1568 elf/dl-load.c:1680
 msgid "cannot read file data"
 msgstr "无法读入文件数据"
 
-#: elf/dl-load.c:1069
+#: elf/dl-load.c:1068
 msgid "ELF load command alignment not page-aligned"
 msgstr "ELF 加载命令对齐不是按页对齐的"
 
-#: elf/dl-load.c:1076
+#: elf/dl-load.c:1075
 msgid "ELF load command address/offset not properly aligned"
 msgstr "ELF 装入命令的地址/偏移量没有正确地对齐"
 
-#: elf/dl-load.c:1160
+#: elf/dl-load.c:1159
 msgid "cannot allocate TLS data structures for initial thread"
-msgstr ""
+msgstr "无法配置 TLS 数据结构用以起始线程"
 
-#: elf/dl-load.c:1183
+#: elf/dl-load.c:1182
 msgid "cannot handle TLS data"
 msgstr "无法处理 TLS 数据"
 
-#: elf/dl-load.c:1202
+#: elf/dl-load.c:1201
 msgid "object file has no loadable segments"
 msgstr "目标文件没有可加载段"
 
-#: elf/dl-load.c:1211 elf/dl-load.c:1662
+#: elf/dl-load.c:1210 elf/dl-load.c:1660
 msgid "cannot dynamically load executable"
 msgstr "无法动态装入可执行文件"
 
-#: elf/dl-load.c:1232
+#: elf/dl-load.c:1231
 msgid "object file has no dynamic section"
 msgstr "目标文件没有动态节"
 
-#: elf/dl-load.c:1255
+#: elf/dl-load.c:1254
 msgid "shared object cannot be dlopen()ed"
 msgstr "无法用 dlopen() 打开共享库"
 
-#: elf/dl-load.c:1268
+#: elf/dl-load.c:1267
 msgid "cannot allocate memory for program header"
 msgstr "无法为程序头分配内存"
 
-#: elf/dl-load.c:1284 elf/dl-open.c:195
+#: elf/dl-load.c:1283 elf/dl-open.c:195
 msgid "invalid caller"
 msgstr "无效的调用者"
 
-#: elf/dl-load.c:1307 elf/dl-load.h:130
+#: elf/dl-load.c:1306 elf/dl-load.h:130
 msgid "cannot change memory protections"
 msgstr "无法改变内存保护"
 
-#: elf/dl-load.c:1327
+#: elf/dl-load.c:1326
 msgid "cannot enable executable stack as shared object requires"
 msgstr "无法启用共享目标需要的执行栈"
 
-#: elf/dl-load.c:1340
+#: elf/dl-load.c:1339
 msgid "cannot close file descriptor"
 msgstr "无法关闭文件描述符"
 
-#: elf/dl-load.c:1570
+#: elf/dl-load.c:1568
 msgid "file too short"
 msgstr "文件过短"
 
-#: elf/dl-load.c:1605
+#: elf/dl-load.c:1603
 msgid "invalid ELF header"
 msgstr "无效的 ELF 头"
 
-#: elf/dl-load.c:1617
+#: elf/dl-load.c:1615
 msgid "ELF file data encoding not big-endian"
 msgstr "ELF 文件数据编码不是 big-endian"
 
-#: elf/dl-load.c:1619
+#: elf/dl-load.c:1617
 msgid "ELF file data encoding not little-endian"
 msgstr "ELF 文件数据编码不是 little-endian"
 
-#: elf/dl-load.c:1623
+#: elf/dl-load.c:1621
 msgid "ELF file version ident does not match current one"
-msgstr ""
+msgstr "ELF 档版本 ident 不符合目前所使用的"
 
-#: elf/dl-load.c:1627
+#: elf/dl-load.c:1625
 msgid "ELF file OS ABI invalid"
 msgstr "ELF 文件 OS ABI 无效"
 
-#: elf/dl-load.c:1630
+#: elf/dl-load.c:1628
 msgid "ELF file ABI version invalid"
 msgstr "ELF 文件 ABI 版本无效"
 
-#: elf/dl-load.c:1633
+#: elf/dl-load.c:1631
 msgid "nonzero padding in e_ident"
-msgstr ""
+msgstr "在 e_ident 中填补非零值"
 
-#: elf/dl-load.c:1636
+#: elf/dl-load.c:1634
 msgid "internal error"
 msgstr "内部错误"
 
-#: elf/dl-load.c:1643
+#: elf/dl-load.c:1641
 msgid "ELF file version does not match current one"
 msgstr "ELF 文件版本与当前版本不匹配"
 
-#: elf/dl-load.c:1651
+#: elf/dl-load.c:1649
 msgid "only ET_DYN and ET_EXEC can be loaded"
-msgstr ""
+msgstr "只有 ET_DYN 以及 ET_EXEC 可以加载"
 
-#: elf/dl-load.c:1667
+#: elf/dl-load.c:1665
 msgid "ELF file's phentsize not the expected size"
-msgstr ""
+msgstr "ELF 档的 phentsize 并不是预期中的大小"
 
-#: elf/dl-load.c:2184
+#: elf/dl-load.c:2178
 msgid "wrong ELF class: ELFCLASS64"
 msgstr "错误 ELF 类: ELFCLASS64"
 
-#: elf/dl-load.c:2185
+#: elf/dl-load.c:2179
 msgid "wrong ELF class: ELFCLASS32"
 msgstr "错误 ELF 类: ELFCLASS32"
 
-#: elf/dl-load.c:2188
+#: elf/dl-load.c:2182
 msgid "cannot open shared object file"
 msgstr "无法打开共享对象文件"
 
@@ -623,11 +645,11 @@ msgstr "无法从共享目标中映射段"
 msgid "cannot map zero-fill pages"
 msgstr "无法映射用零填充的页"
 
-#: elf/dl-lookup.c:791
+#: elf/dl-lookup.c:845
 msgid "relocation error"
 msgstr "重定位错误"
 
-#: elf/dl-lookup.c:818
+#: elf/dl-lookup.c:872
 msgid "symbol lookup error"
 msgstr "符号查询错误"
 
@@ -635,67 +657,54 @@ msgstr "符号查询错误"
 msgid "cannot extend global scope"
 msgstr "无法扩展全局范围"
 
-#: elf/dl-open.c:520
+#: elf/dl-open.c:528
 msgid "TLS generation counter wrapped!  Please report this."
-msgstr ""
-
-#: elf/dl-open.c:542
-#, fuzzy
-#| msgid "cannot allocate memory in static TLS block"
-msgid "cannot load any more object with static TLS"
-msgstr "无法在静态 TLS 块中分配内存"
+msgstr "TLS 产生计数器被转换运行！ 请报告这个情况。"
 
-#: elf/dl-open.c:599
+#: elf/dl-open.c:592
 msgid "invalid mode for dlopen()"
 msgstr "无效的 dlopen() 模式"
 
-#: elf/dl-open.c:616
+#: elf/dl-open.c:609
 msgid "no more namespaces available for dlmopen()"
-msgstr ""
+msgstr "无更多命名空间可见于 dlmopen ()"
 
-#: elf/dl-open.c:634
+#: elf/dl-open.c:633
 msgid "invalid target namespace in dlmopen()"
 msgstr "dlmopen() 中无效的目标名字空间"
 
-#: elf/dl-reloc.c:120
+#: elf/dl-reloc.c:121
 msgid "cannot allocate memory in static TLS block"
 msgstr "无法在静态 TLS 块中分配内存"
 
-#: elf/dl-reloc.c:212
+#: elf/dl-reloc.c:206
 msgid "cannot make segment writable for relocation"
-msgstr ""
-
-#: elf/dl-reloc.c:275
-#, c-format
-msgid "%s: no PLTREL found in object %s\n"
-msgstr ""
+msgstr "在重新寻址以后无法将节设为可写入状态"
 
-#: elf/dl-reloc.c:290
+#: elf/dl-reloc.c:276
 #, c-format
 msgid "%s: out of memory to store relocation results for %s\n"
-msgstr ""
+msgstr "%s: 内存不足以保存重寻址结果用于 %s\n"
 
-#: elf/dl-reloc.c:306
+#: elf/dl-reloc.c:292
 msgid "cannot restore segment prot after reloc"
 msgstr "重定位后无法恢复段 prot"
 
-#: elf/dl-reloc.c:335
+#: elf/dl-reloc.c:323
 msgid "cannot apply additional memory protection after relocation"
 msgstr "无法在重定位后应用额外的内存保护"
 
 #: elf/dl-sym.c:153
 msgid "RTLD_NEXT used in code not dynamically loaded"
-msgstr ""
+msgstr "代码所使用的 RTLD_NEXT 没有动态加载"
 
-#: elf/dl-tls.c:933
+#: elf/dl-tls.c:934
 msgid "cannot create TLS data structures"
 msgstr "无法创建 TLS 数据结构"
 
 #: elf/dl-version.c:166
-#, fuzzy
-#| msgid "symbol lookup error"
 msgid "version lookup error"
-msgstr "符号查询错误"
+msgstr "版本查找错误"
 
 #: elf/dl-version.c:296
 msgid "cannot allocate version reference table"
@@ -763,7 +772,7 @@ msgstr "忽略辅助缓存文件"
 
 #: elf/ldconfig.c:159
 msgid "Configure Dynamic Linker Run Time Bindings."
-msgstr ""
+msgstr "设置运行时期动态连接"
 
 #: elf/ldconfig.c:346
 #, c-format
@@ -793,7 +802,7 @@ msgstr "%s 不是符号连接\n"
 #: elf/ldconfig.c:517
 #, c-format
 msgid "Can't unlink %s"
-msgstr ""
+msgstr "无法取消链接 %s"
 
 #: elf/ldconfig.c:523
 #, c-format
@@ -833,7 +842,7 @@ msgstr "未创建链接，因为 %s 无法找到 soname"
 msgid "Can't open directory %s"
 msgstr "无法打开目录 %s"
 
-#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:90
+#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:97
 #, c-format
 msgid "Input file %s not found.\n"
 msgstr "未找到输入文件 %s。\n"
@@ -866,32 +875,32 @@ msgstr "目录 %3$s 中的 %1$s 和 %2$s 的 so 名称相同但类型不同。"
 #: elf/ldconfig.c:1094
 #, c-format
 msgid "Warning: ignoring configuration file that cannot be opened: %s"
-msgstr ""
+msgstr "警告：正在忽略无法打开的组态文件：%s"
 
 #: elf/ldconfig.c:1160
 #, c-format
 msgid "%s:%u: bad syntax in hwcap line"
-msgstr ""
+msgstr "%s:%u: 在 hwcap 行中有不当的语法"
 
 #: elf/ldconfig.c:1166
 #, c-format
 msgid "%s:%u: hwcap index %lu above maximum %u"
-msgstr ""
+msgstr "%s:%u: hwcap 索引 %lu 以上的最大值 %u"
 
 #: elf/ldconfig.c:1173 elf/ldconfig.c:1181
 #, c-format
 msgid "%s:%u: hwcap index %lu already defined as %s"
-msgstr ""
+msgstr "%s:%u: hwcap 索引 %lu 已经被定义为 %s"
 
 #: elf/ldconfig.c:1184
 #, c-format
 msgid "%s:%u: duplicate hwcap %lu %s"
-msgstr ""
+msgstr "%s:%u: 重制 hwcap %lu %s"
 
 #: elf/ldconfig.c:1206
 #, c-format
 msgid "need absolute file name for configuration file when using -r"
-msgstr ""
+msgstr "需要绝对文件名称用于组态文件时正在使用 -r"
 
 #: elf/ldconfig.c:1213 locale/programs/xmalloc.c:64 malloc/obstack.c:416
 #: malloc/obstack.c:418 posix/getconf.c:441 posix/getconf.c:661
@@ -907,7 +916,7 @@ msgstr "%s：%u: 无法读取目录 %s"
 #: elf/ldconfig.c:1289
 #, c-format
 msgid "relative path `%s' used to build cache"
-msgstr ""
+msgstr "用来建置缓存的相对路径 `%s'"
 
 #: elf/ldconfig.c:1319
 #, c-format
@@ -933,6 +942,13 @@ msgid ""
 "  -u, --unused            print unused direct dependencies\n"
 "  -v, --verbose           print all information\n"
 msgstr ""
+"用法：ldd [选项]… 文件…\n"
+"      --help              印出这份说明然后离开\n"
+"      --version           印出版本信息然后离开\n"
+"  -d, --data-relocs       进程数据重寻址\n"
+"  -r, --function-relocs   进程数据和函数重寻址\n"
+"  -u, --unused            印出未使用的直接依赖关系\n"
+"  -v, --verbose           印出所有信息\n"
 
 #: elf/ldd.bash.in:80
 msgid "ldd: option \\`$1' is ambiguous"
@@ -957,7 +973,7 @@ msgstr "缺少文件参数"
 msgid "No such file or directory"
 msgstr "没有那个文件或目录"
 
-#: elf/ldd.bash.in:150 inet/rcmd.c:488
+#: elf/ldd.bash.in:150 inet/rcmd.c:492
 msgid "not regular file"
 msgstr "不是普通文件"
 
@@ -978,105 +994,97 @@ msgid "error: you do not have read permission for"
 msgstr "错误: 你没有读权限 "
 
 #: elf/pldd-xx.c:105
-#, fuzzy, c-format
-#| msgid "cannot read header from `%s'"
+#, c-format
 msgid "cannot find program header of process"
-msgstr "无法从“%s”中读入头"
+msgstr "找不到进程的程序标头"
 
 #: elf/pldd-xx.c:110
-#, fuzzy, c-format
-#| msgid "cannot read header"
+#, c-format
 msgid "cannot read program header"
-msgstr "无法读入头"
+msgstr "无法读取程序标头"
 
 #: elf/pldd-xx.c:135
-#, fuzzy, c-format
-#| msgid "object file has no dynamic section"
+#, c-format
 msgid "cannot read dynamic section"
-msgstr "目标文件没有动态节"
+msgstr "无法读取动态节"
 
 #: elf/pldd-xx.c:147
-#, fuzzy, c-format
-#| msgid "cannot read header"
+#, c-format
 msgid "cannot read r_debug"
-msgstr "无法读入头"
+msgstr "无法读取 r_debug"
 
 #: elf/pldd-xx.c:167
-#, fuzzy, c-format
-#| msgid "cannot read archive header"
+#, c-format
 msgid "cannot read program interpreter"
-msgstr "无法读入归档文件头"
+msgstr "无法读取程序解译器"
 
-#: elf/pldd-xx.c:196
-#, fuzzy, c-format
-#| msgid "cannot read file data"
+#: elf/pldd-xx.c:197
+#, c-format
 msgid "cannot read link map"
-msgstr "无法读入文件数据"
+msgstr "无法读取链结映射"
 
-#: elf/pldd-xx.c:207
-#, fuzzy, c-format
-#| msgid "cannot read header"
+#: elf/pldd-xx.c:209
+#, c-format
 msgid "cannot read object name"
-msgstr "无法读入头"
+msgstr "无法读取对象名称"
 
-#: elf/pldd.c:63
+#: elf/pldd-xx.c:219
+#, c-format
+msgid "cannot allocate buffer for object name"
+msgstr "无法为对象名称分配缓冲区"
+
+#: elf/pldd.c:64
 msgid "List dynamic shared objects loaded into process."
-msgstr ""
+msgstr "列出已加载进程中的动态共用对象。"
 
-#: elf/pldd.c:67
+#: elf/pldd.c:68
 msgid "PID"
-msgstr ""
+msgstr "进程识别号"
 
-#: elf/pldd.c:99
+#: elf/pldd.c:100
 #, c-format
 msgid "Exactly one parameter with process ID required.\n"
-msgstr ""
+msgstr "需要刚好一个附有进程识别号的参数。\n"
 
-#: elf/pldd.c:111
-#, fuzzy, c-format
-#| msgid "invalid pointer size"
+#: elf/pldd.c:112
+#, c-format
 msgid "invalid process ID '%s'"
-msgstr "无效的指针大小"
+msgstr "无效的进程识别号 %s"
 
-#: elf/pldd.c:119
-#, fuzzy, c-format
-#| msgid "cannot open `%s'"
+#: elf/pldd.c:120
+#, c-format
 msgid "cannot open %s"
-msgstr "无法打开“%s”"
+msgstr "无法打开 %s"
 
-#: elf/pldd.c:144
-#, fuzzy, c-format
-#| msgid "cannot open `%s'"
+#: elf/pldd.c:152
+#, c-format
 msgid "cannot open %s/task"
-msgstr "无法打开“%s”"
+msgstr "无法打开 %s/任务"
 
-#: elf/pldd.c:147
-#, fuzzy, c-format
-#| msgid "cannot create searchlist"
+#: elf/pldd.c:155
+#, c-format
 msgid "cannot prepare reading %s/task"
-msgstr "无法创建搜索列表"
+msgstr "无法准备读取 %s/任务"
 
-#: elf/pldd.c:160
-#, fuzzy, c-format
-#| msgid "invalid ELF header"
+#: elf/pldd.c:168
+#, c-format
 msgid "invalid thread ID '%s'"
-msgstr "无效的 ELF 头"
+msgstr "无效的线程识别号 %s"
 
-#: elf/pldd.c:171
-#, fuzzy, c-format
-#| msgid "cannot find C preprocessor: %s \n"
+#: elf/pldd.c:179
+#, c-format
 msgid "cannot attach to process %lu"
-msgstr "无法找到 C 预处理器：%s\n"
+msgstr "无法附加到进程 %lu"
 
-#: elf/pldd.c:286
+#: elf/pldd.c:294
 #, c-format
 msgid "cannot get information about process %lu"
-msgstr ""
+msgstr "无法获得进程 %lu 的相关信息"
 
-#: elf/pldd.c:299
+#: elf/pldd.c:307
 #, c-format
 msgid "process %lu is no ELF program"
-msgstr ""
+msgstr "进程 %lu 并非 ELF 程序"
 
 #: elf/readelflib.c:34
 #, c-format
@@ -1108,72 +1116,69 @@ msgstr "%s 不是共享目标文件 (类型：%d)。\n"
 msgid "more than one dynamic segment\n"
 msgstr "多于一个动态段\n"
 
-#: elf/readlib.c:96
+#: elf/readlib.c:103
 #, c-format
 msgid "Cannot fstat file %s.\n"
 msgstr "无法对文件 %s 进行 fstat 操作。\n"
 
-#: elf/readlib.c:107
+#: elf/readlib.c:114
 #, c-format
 msgid "File %s is empty, not checked."
 msgstr "文件 %s 为空，未检查。"
 
-#: elf/readlib.c:113
+#: elf/readlib.c:120
 #, c-format
 msgid "File %s is too small, not checked."
 msgstr "文件 %s 过小，未检查。"
 
-#: elf/readlib.c:123
+#: elf/readlib.c:130
 #, c-format
 msgid "Cannot mmap file %s.\n"
 msgstr "无法对文件 %s 进行 mmap 操作。\n"
 
-#: elf/readlib.c:161
+#: elf/readlib.c:169
 #, c-format
 msgid "%s is not an ELF file - it has the wrong magic bytes at the start.\n"
-msgstr "%s 不是 ELF 文件 - 它起始的魔数错误。\n"
+msgstr "%s 不是 ELF 文件 - 起始处的魔数有误。\n"
 
 #: elf/sln.c:84
-#, fuzzy, c-format
-#| msgid "usage: %s infile\n"
+#, c-format
 msgid ""
 "Usage: sln src dest|file\n"
 "\n"
-msgstr "用法：%s 输入文件\n"
+msgstr ""
+"用法：sln 源代码 目的|文件\n"
+"\n"
 
 #: elf/sln.c:109
-#, fuzzy, c-format
-#| msgid "%s: unable to open %s: %m\n"
+#, c-format
 msgid "%s: file open error: %m\n"
-msgstr "%s：无法打开 %s：%m\n"
+msgstr "%s：文件打开错误：%m\n"
 
 #: elf/sln.c:146
 #, c-format
 msgid "No target in line %d\n"
-msgstr ""
+msgstr "没有目标于第 %d 行\n"
 
 #: elf/sln.c:178
-#, fuzzy, c-format
-#| msgid "%s:%u: cannot read directory %s"
+#, c-format
 msgid "%s: destination must not be a directory\n"
-msgstr "%s：%u: 无法读取目录 %s"
+msgstr "%s：目的必须不是目录\n"
 
 #: elf/sln.c:184
 #, c-format
 msgid "%s: failed to remove the old destination\n"
-msgstr ""
+msgstr "%s：无法移除旧的目的\n"
 
 #: elf/sln.c:192
-#, fuzzy, c-format
-#| msgid "%s: invalid option -- %c\n"
+#, c-format
 msgid "%s: invalid destination: %s\n"
-msgstr "%s：无效选项 -- %c\n"
+msgstr "%s：无效的目的：%s\n"
 
 #: elf/sln.c:207 elf/sln.c:216
-#, fuzzy, c-format
-#| msgid "%s: Can't link from %s to %s: %s\n"
+#, c-format
 msgid "Invalid link from \"%s\" to \"%s\": %s\n"
-msgstr "%s：无法从 %s 连接到 %s：%s\n"
+msgstr "从 “%s” 到 “%s” 的链结无效：%s\n"
 
 #: elf/sotruss.sh:32
 #, sh-format
@@ -1191,30 +1196,34 @@ msgid ""
 "      --usage             Give a short usage message\n"
 "      --version           Print program version"
 msgstr ""
+"用法：sotruss [选项…] [--] 可运行文件 [EXECUTABLE-OPTION...]\n"
+"  -F, --from FROMLIST     追踪来自 FROMLIST 上对象的调用\n"
+"  -T, --to TOLIST         追踪来自 TOLIST 上对象的调用\n"
+"\n"
+"  -e, --exit              也显示来自函数的离开调用\n"
+"  -f, --follow            追踪子进程\n"
+"  -o, --output 文件名       将输出写入 FILENAME (当同时使用 -f 时\n"
+"\t\t\t  则使用 FILENAME.$PID) 以代替标准错误\n"
+"\n"
+"  -?, --help              给出这份说明清单\n"
+"      --usage             给出简短用法消息\n"
+"      --version           印出程序版本"
 
 #: elf/sotruss.sh:46
-#, fuzzy
-#| msgid "Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options."
 msgid "Mandatory arguments to long options are also mandatory for any corresponding\\nshort options.\\n"
-msgstr "长选项的强制或可选参数对对应的短选项也是强制或可选的。"
+msgstr "长选项的必要参数同样也是相对应短选项的必要参数。"
 
 #: elf/sotruss.sh:55
-#, fuzzy
-#| msgid "%s: option requires an argument -- %c\n"
 msgid "%s: option requires an argument -- '%s'\\n"
-msgstr "%s：选项需要一个参数 -- %c\n"
+msgstr "%s：选项需要一个参数 -- ‘%s’ \\n"
 
 #: elf/sotruss.sh:61
-#, fuzzy
-#| msgid "%s: option `%s' is ambiguous\n"
 msgid "%s: option is ambiguous; possibilities:"
-msgstr "%s：选项“%s”具有二义性\n"
+msgstr "%s：选项是模糊的；可能是："
 
 #: elf/sotruss.sh:79
-#, fuzzy
-#| msgid "Written by %s.\n"
 msgid "Written by %s.\\n"
-msgstr "由 %s 编写。\n"
+msgstr "作者 %s。\\n"
 
 #: elf/sotruss.sh:86
 msgid ""
@@ -1223,12 +1232,14 @@ msgid ""
 "\t    [--help] [--usage] [--version] [--]\n"
 "\t    EXECUTABLE [EXECUTABLE-OPTION...]\\n"
 msgstr ""
+"用法：%s [-ef] [-F FROMLIST] [-o FILENAME] [-T TOLIST] [--exit]\n"
+"\t    [--follow] [--from FROMLIST] [--output 文件名] [--to TOLIST]\n"
+"\t    [--help] [--usage] [--version] [--]\n"
+"\t    可运行文件 [EXECUTABLE-OPTION...]\\n"
 
 #: elf/sotruss.sh:134
-#, fuzzy
-#| msgid "%s: unrecognized option `%c%s'\n"
 msgid "%s: unrecognized option '%c%s'\\n"
-msgstr "%s：无法识别的选项“%c%s”\n"
+msgstr "%s：无法辨识的选项 ‘%c%s’ \\n"
 
 #: elf/sprof.c:77
 msgid "Output selection:"
@@ -1240,7 +1251,7 @@ msgstr "打印当前路径的列表和他们的使用次数"
 
 #: elf/sprof.c:81
 msgid "generate flat profile with counts and ticks"
-msgstr ""
+msgstr "从运行次数与经历时间的数据中产生直接的测速结果"
 
 #: elf/sprof.c:82
 msgid "generate call graph"
@@ -1248,7 +1259,7 @@ msgstr "生成调用图"
 
 #: elf/sprof.c:89
 msgid "Read and display shared object profiling data."
-msgstr ""
+msgstr "读取和显示共用对象规范数据。"
 
 #: elf/sprof.c:94
 msgid "SHOBJ [PROFDATA]"
@@ -1259,9 +1270,9 @@ msgstr "SHOBJ [PROFDATA]"
 msgid "failed to load shared object `%s'"
 msgstr "装入共享目标文件“%s”失败"
 
-#: elf/sprof.c:442
+#: elf/sprof.c:442 elf/sprof.c:825 elf/sprof.c:923
 #, c-format
-msgid "cannot create internal descriptors"
+msgid "cannot create internal descriptor"
 msgstr "无法创建内部描述符"
 
 #: elf/sprof.c:554
@@ -1317,27 +1328,22 @@ msgstr "当分析 profile 数据文件"
 #: elf/sprof.c:797
 #, c-format
 msgid "profiling data file `%s' does not match shared object `%s'"
-msgstr ""
+msgstr "测试数据档 `%s' 与共用目的档 `%s' 不符合"
 
 #: elf/sprof.c:808
 #, c-format
 msgid "failed to mmap the profiling data file"
-msgstr ""
+msgstr "测试数据文件 mmap 失败"
 
 #: elf/sprof.c:816
 #, c-format
 msgid "error while closing the profiling data file"
-msgstr ""
-
-#: elf/sprof.c:825 elf/sprof.c:923
-#, c-format
-msgid "cannot create internal descriptor"
-msgstr "无法创建内部描述符"
+msgstr "正在关闭测试数据文件时发生错误"
 
 #: elf/sprof.c:899
 #, c-format
 msgid "`%s' is no correct profile data file for `%s'"
-msgstr ""
+msgstr "`%s' 不是 `%s' 中正确的测速评估数据档"
 
 #: elf/sprof.c:1080 elf/sprof.c:1138
 #, c-format
@@ -1407,10 +1413,8 @@ msgstr "从输出中忽略无效的字符"
 #: locale/programs/localedef.c:122 locale/programs/localedef.c:124
 #: locale/programs/localedef.c:126 locale/programs/localedef.c:147
 #: malloc/memusagestat.c:56
-#, fuzzy
-#| msgid "[FILE]"
 msgid "FILE"
-msgstr "[文件]"
+msgstr "文件"
 
 #: iconv/iconv_prog.c:66
 msgid "output file"
@@ -1491,6 +1495,11 @@ msgid ""
 "\n"
 "  "
 msgstr ""
+"以下的列表包含所有已知的编码字符集，但这不代表所有的字符名称组合皆可用于\n"
+"命令行的 \"来源\" 以及 \"目的\" 参数。一个编码字符集可以用几个不同的名称\n"
+"来表示 (即 \"别名\")。\n"
+"\n"
+"  "
 
 #: iconv/iconvconfig.c:109
 msgid "Create fastloading iconv module configuration file."
@@ -1502,7 +1511,7 @@ msgstr "[目录...]"
 
 #: iconv/iconvconfig.c:126 locale/programs/localedef.c:133
 msgid "PATH"
-msgstr ""
+msgstr "路径"
 
 #: iconv/iconvconfig.c:127
 msgid "Prefix used for all file accesses"
@@ -1510,16 +1519,16 @@ msgstr "用于所有文件访问的前缀"
 
 #: iconv/iconvconfig.c:128
 msgid "Put output in FILE instead of installed location (--prefix does not apply to FILE)"
-msgstr ""
+msgstr "在 FILE 中置放输出以代替已安装的位置 (--prefix 不套用到 FILE)"
 
 #: iconv/iconvconfig.c:132
 msgid "Do not search standard directories, only those on the command line"
-msgstr ""
+msgstr "不搜索标准目录，只使用命令行指定的"
 
 #: iconv/iconvconfig.c:299
 #, c-format
 msgid "Directory arguments required when using --nostdlib"
-msgstr ""
+msgstr "目录参数必要项时正在使用 --nostdlib"
 
 #: iconv/iconvconfig.c:341 locale/programs/localedef.c:294
 #, c-format
@@ -1557,47 +1566,47 @@ msgstr "正在尝试 %s...\n"
 #: inet/rcmd.c:255
 #, c-format
 msgid "rcmd: write (setting up stderr): %m\n"
-msgstr ""
+msgstr "rcmd: write (正在设置标准错误输出): %m\n"
 
 #: inet/rcmd.c:271
 #, c-format
 msgid "rcmd: poll (setting up stderr): %m\n"
-msgstr ""
+msgstr "rcmd: poll (正在设置标准错误输出): %m\n"
 
 #: inet/rcmd.c:274
 msgid "poll: protocol failure in circuit setup\n"
-msgstr ""
+msgstr "poll: 通信协定在设置线路时失效\n"
 
 #: inet/rcmd.c:306
 msgid "socket: protocol failure in circuit setup\n"
-msgstr ""
+msgstr "socket: 通信协定在设置线路时失效\n"
 
 #: inet/rcmd.c:330
 #, c-format
 msgid "rcmd: %s: short read"
-msgstr ""
+msgstr "rcmd: %s: 读入数据过短"
 
-#: inet/rcmd.c:486
+#: inet/rcmd.c:490
 msgid "lstat failed"
 msgstr "lstat 操作失败"
 
-#: inet/rcmd.c:493
+#: inet/rcmd.c:497
 msgid "cannot open"
 msgstr "无法打开"
 
-#: inet/rcmd.c:495
+#: inet/rcmd.c:499
 msgid "fstat failed"
 msgstr "fstat 失败"
 
-#: inet/rcmd.c:497
+#: inet/rcmd.c:501
 msgid "bad owner"
 msgstr "错误的拥有者"
 
-#: inet/rcmd.c:499
+#: inet/rcmd.c:503
 msgid "writeable by other than owner"
 msgstr "可由除所有者之外的人写入"
 
-#: inet/rcmd.c:501
+#: inet/rcmd.c:505
 msgid "hard linked somewhere"
 msgstr "某处的硬连接"
 
@@ -1640,7 +1649,7 @@ msgstr "找不到默认字符映射文件“%s”"
 #: locale/programs/charmap.c:258
 #, c-format
 msgid "character map `%s' is not ASCII compatible, locale not ISO C compliant\n"
-msgstr ""
+msgstr "字符对应 `%s' 不是 ASCII 兼容码，区域化数据库不符合 ISO C\n"
 
 #: locale/programs/charmap.c:337
 #, c-format
@@ -1717,8 +1726,8 @@ msgid "no symbolic name given for end of range"
 msgstr "没有为范围的结束给出符号化的名称"
 
 #: locale/programs/charmap.c:610 locale/programs/ld-address.c:528
-#: locale/programs/ld-collate.c:2626 locale/programs/ld-collate.c:3784
-#: locale/programs/ld-ctype.c:2162 locale/programs/ld-ctype.c:2913
+#: locale/programs/ld-collate.c:2635 locale/programs/ld-collate.c:3793
+#: locale/programs/ld-ctype.c:2128 locale/programs/ld-ctype.c:2840
 #: locale/programs/ld-identification.c:368
 #: locale/programs/ld-measurement.c:215 locale/programs/ld-messages.c:298
 #: locale/programs/ld-monetary.c:740 locale/programs/ld-name.c:264
@@ -1731,7 +1740,7 @@ msgstr "%1$s：定义不以“END %1$s”结尾"
 
 #: locale/programs/charmap.c:643
 msgid "only WIDTH definitions are allowed to follow the CHARMAP definition"
-msgstr ""
+msgstr "只有 WIDTH 定义才能直接写在 CHARMAP 定义之后"
 
 #: locale/programs/charmap.c:651 locale/programs/charmap.c:714
 #, c-format
@@ -1744,8 +1753,8 @@ msgid "%s: error in state machine"
 msgstr "%s：状态机出错"
 
 #: locale/programs/charmap.c:850 locale/programs/ld-address.c:544
-#: locale/programs/ld-collate.c:2623 locale/programs/ld-collate.c:3977
-#: locale/programs/ld-ctype.c:2159 locale/programs/ld-ctype.c:2930
+#: locale/programs/ld-collate.c:2632 locale/programs/ld-collate.c:3986
+#: locale/programs/ld-ctype.c:2125 locale/programs/ld-ctype.c:2857
 #: locale/programs/ld-identification.c:384
 #: locale/programs/ld-measurement.c:231 locale/programs/ld-messages.c:314
 #: locale/programs/ld-monetary.c:756 locale/programs/ld-name.c:280
@@ -1764,16 +1773,16 @@ msgstr "未知的字符“%s”"
 #: locale/programs/charmap.c:888
 #, c-format
 msgid "number of bytes for byte sequence of beginning and end of range not the same: %d vs %d"
-msgstr ""
+msgstr "在范围起始与结束的字节序列中，字节的数目并不一致: %d vs %d"
 
-#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2903
+#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2912
 #: locale/programs/repertoire.c:419
 msgid "invalid names for character range"
-msgstr ""
+msgstr "无效的字符范围名称"
 
 #: locale/programs/charmap.c:1005 locale/programs/repertoire.c:431
 msgid "hexadecimal range format should use only capital characters"
-msgstr ""
+msgstr "在表示十六进制的范围时只能用大写的英文本母表示"
 
 #: locale/programs/charmap.c:1023 locale/programs/repertoire.c:449
 #, c-format
@@ -1786,17 +1795,17 @@ msgstr "范围的上限小于下限"
 
 #: locale/programs/charmap.c:1087
 msgid "resulting bytes for range not representable."
-msgstr ""
+msgstr "用来定义范围的字节无法被表述出来"
 
-#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1565
-#: locale/programs/ld-ctype.c:465 locale/programs/ld-identification.c:133
+#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1566
+#: locale/programs/ld-ctype.c:431 locale/programs/ld-identification.c:133
 #: locale/programs/ld-measurement.c:94 locale/programs/ld-messages.c:97
 #: locale/programs/ld-monetary.c:193 locale/programs/ld-name.c:94
 #: locale/programs/ld-numeric.c:98 locale/programs/ld-paper.c:91
 #: locale/programs/ld-telephone.c:94 locale/programs/ld-time.c:159
 #, c-format
 msgid "No definition for %s category found"
-msgstr ""
+msgstr "找不到 %s 类别的定义"
 
 #: locale/programs/ld-address.c:146 locale/programs/ld-address.c:184
 #: locale/programs/ld-address.c:202 locale/programs/ld-address.c:231
@@ -1829,7 +1838,7 @@ msgstr "%1$s：域“%3$s”中无效的转义“%%%2$c”序列"
 #: locale/programs/ld-address.c:221
 #, c-format
 msgid "%s: terminology language code `%s' not defined"
-msgstr ""
+msgstr "%s: 术语语言编码 `%s' 未定义"
 
 #: locale/programs/ld-address.c:246
 #, c-format
@@ -1853,7 +1862,7 @@ msgid "%s: numeric country code `%d' not valid"
 msgstr "%s：数值国家编码“%d”无效"
 
 #: locale/programs/ld-address.c:436 locale/programs/ld-address.c:473
-#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2537
+#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2489
 #: locale/programs/ld-identification.c:280
 #: locale/programs/ld-measurement.c:198 locale/programs/ld-messages.c:267
 #: locale/programs/ld-monetary.c:495 locale/programs/ld-monetary.c:530
@@ -1875,8 +1884,8 @@ msgstr "%s：多次声明域“%s”"
 msgid "%s: unknown character in field `%s'"
 msgstr "%s：域“%s”中含有未知字符"
 
-#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3782
-#: locale/programs/ld-ctype.c:2910 locale/programs/ld-identification.c:365
+#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3791
+#: locale/programs/ld-ctype.c:2837 locale/programs/ld-identification.c:365
 #: locale/programs/ld-measurement.c:212 locale/programs/ld-messages.c:296
 #: locale/programs/ld-monetary.c:738 locale/programs/ld-name.c:262
 #: locale/programs/ld-numeric.c:324 locale/programs/ld-paper.c:212
@@ -1885,12 +1894,12 @@ msgstr "%s：域“%s”中含有未知字符"
 msgid "%s: incomplete `END' line"
 msgstr "%s：不完整的“END”行"
 
-#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:551
-#: locale/programs/ld-collate.c:603 locale/programs/ld-collate.c:899
-#: locale/programs/ld-collate.c:912 locale/programs/ld-collate.c:2592
-#: locale/programs/ld-collate.c:2613 locale/programs/ld-collate.c:3967
-#: locale/programs/ld-ctype.c:1891 locale/programs/ld-ctype.c:2149
-#: locale/programs/ld-ctype.c:2735 locale/programs/ld-ctype.c:2921
+#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:552
+#: locale/programs/ld-collate.c:604 locale/programs/ld-collate.c:900
+#: locale/programs/ld-collate.c:913 locale/programs/ld-collate.c:2601
+#: locale/programs/ld-collate.c:2622 locale/programs/ld-collate.c:3976
+#: locale/programs/ld-ctype.c:1857 locale/programs/ld-ctype.c:2115
+#: locale/programs/ld-ctype.c:2687 locale/programs/ld-ctype.c:2848
 #: locale/programs/ld-identification.c:375
 #: locale/programs/ld-measurement.c:222 locale/programs/ld-messages.c:305
 #: locale/programs/ld-monetary.c:747 locale/programs/ld-name.c:271
@@ -1900,491 +1909,489 @@ msgstr "%s：不完整的“END”行"
 msgid "%s: syntax error"
 msgstr "%s：语法错误"
 
-#: locale/programs/ld-collate.c:426
+#: locale/programs/ld-collate.c:427
 #, c-format
 msgid "`%.*s' already defined in charmap"
 msgstr "已经在字符映射表中定义了“%.*s”"
 
-#: locale/programs/ld-collate.c:435
+#: locale/programs/ld-collate.c:436
 #, c-format
 msgid "`%.*s' already defined in repertoire"
 msgstr "已经在指令表中定义了“%.*s”"
 
-#: locale/programs/ld-collate.c:442
+#: locale/programs/ld-collate.c:443
 #, c-format
 msgid "`%.*s' already defined as collating symbol"
-msgstr ""
+msgstr "`%.*s' 已被定义为对照符号"
 
-#: locale/programs/ld-collate.c:449
+#: locale/programs/ld-collate.c:450
 #, c-format
 msgid "`%.*s' already defined as collating element"
-msgstr ""
+msgstr "`%.*s' 已被定义为对照元素"
 
-#: locale/programs/ld-collate.c:480 locale/programs/ld-collate.c:506
+#: locale/programs/ld-collate.c:481 locale/programs/ld-collate.c:507
 #, c-format
 msgid "%s: `forward' and `backward' are mutually excluding each other"
 msgstr "%s：“forward”和“backward”是互斥的"
 
-#: locale/programs/ld-collate.c:490 locale/programs/ld-collate.c:516
-#: locale/programs/ld-collate.c:532
+#: locale/programs/ld-collate.c:491 locale/programs/ld-collate.c:517
+#: locale/programs/ld-collate.c:533
 #, c-format
 msgid "%s: `%s' mentioned more than once in definition of weight %d"
-msgstr ""
+msgstr "%s: `%s' 不只一次地在权重 %d 中被提到"
 
-#: locale/programs/ld-collate.c:588
+#: locale/programs/ld-collate.c:589
 #, c-format
 msgid "%s: too many rules; first entry only had %d"
 msgstr "%s：规则过多；第一个条目只含有 %d"
 
-#: locale/programs/ld-collate.c:624
+#: locale/programs/ld-collate.c:625
 #, c-format
 msgid "%s: not enough sorting rules"
 msgstr "%s：排序规则不足"
 
-#: locale/programs/ld-collate.c:789
+#: locale/programs/ld-collate.c:790
 #, c-format
 msgid "%s: empty weight string not allowed"
 msgstr "%s：不允许空权字符串"
 
-#: locale/programs/ld-collate.c:884
+#: locale/programs/ld-collate.c:885
 #, c-format
 msgid "%s: weights must use the same ellipsis symbol as the name"
-msgstr ""
+msgstr "%s: 权重必须使用与名称相同的省略符号"
 
-#: locale/programs/ld-collate.c:940
+#: locale/programs/ld-collate.c:941
 #, c-format
 msgid "%s: too many values"
 msgstr "%s：值过多"
 
-#: locale/programs/ld-collate.c:1060 locale/programs/ld-collate.c:1235
+#: locale/programs/ld-collate.c:1061 locale/programs/ld-collate.c:1236
 #, c-format
 msgid "order for `%.*s' already defined at %s:%Zu"
-msgstr ""
+msgstr "`%.*s' 的顺序已经在 %s:%Zu 里面定义了"
 
-#: locale/programs/ld-collate.c:1110
+#: locale/programs/ld-collate.c:1111
 #, c-format
 msgid "%s: the start and the end symbol of a range must stand for characters"
-msgstr ""
+msgstr "%s: 启始与结束符号范围必须代表字符"
 
-#: locale/programs/ld-collate.c:1137
+#: locale/programs/ld-collate.c:1138
 #, c-format
 msgid "%s: byte sequences of first and last character must have the same length"
 msgstr "%s：字节序列的第一个和最后一个字符的长度必须相同"
 
-#: locale/programs/ld-collate.c:1179
+#: locale/programs/ld-collate.c:1180
 #, c-format
 msgid "%s: byte sequence of first character of range is not lower than that of the last character"
 msgstr "%s：范围的字节序列的第一个字符不小于最后一个字符"
 
-#: locale/programs/ld-collate.c:1304
+#: locale/programs/ld-collate.c:1305
 #, c-format
 msgid "%s: symbolic range ellipsis must not directly follow `order_start'"
-msgstr ""
+msgstr "%s: 符号范围的省略不可以直接在 `order_start' 之后"
 
-#: locale/programs/ld-collate.c:1308
+#: locale/programs/ld-collate.c:1309
 #, c-format
 msgid "%s: symbolic range ellipsis must not be directly followed by `order_end'"
-msgstr ""
+msgstr "%s: 符号范围的省略不可以直接在 `order_end' 之前"
 
-#: locale/programs/ld-collate.c:1328 locale/programs/ld-ctype.c:1408
+#: locale/programs/ld-collate.c:1329 locale/programs/ld-ctype.c:1374
 #, c-format
 msgid "`%s' and `%.*s' are not valid names for symbolic range"
 msgstr "“%s”和“%.*s”是无效的符号范围名"
 
-#: locale/programs/ld-collate.c:1378 locale/programs/ld-collate.c:3718
+#: locale/programs/ld-collate.c:1379 locale/programs/ld-collate.c:3727
 #, c-format
 msgid "%s: order for `%.*s' already defined at %s:%Zu"
-msgstr ""
+msgstr "%s: `%.*s' 的顺序已在 %s:%Zu 中定义"
 
-#: locale/programs/ld-collate.c:1387
+#: locale/programs/ld-collate.c:1388
 #, c-format
 msgid "%s: `%s' must be a character"
 msgstr "%s：“%s”必须是一个字符"
 
-#: locale/programs/ld-collate.c:1582
+#: locale/programs/ld-collate.c:1583
 #, c-format
 msgid "%s: `position' must be used for a specific level in all sections or none"
-msgstr ""
+msgstr "%s: `position' 必须在所有区块里特定的等级中使用，否则不能使用"
 
-#: locale/programs/ld-collate.c:1607
+#: locale/programs/ld-collate.c:1608
 #, c-format
 msgid "symbol `%s' not defined"
 msgstr "符号“%s”未定义"
 
-#: locale/programs/ld-collate.c:1683 locale/programs/ld-collate.c:1789
+#: locale/programs/ld-collate.c:1684 locale/programs/ld-collate.c:1790
 #, c-format
 msgid "symbol `%s' has the same encoding as"
-msgstr ""
+msgstr "跟符号 `%s' 有相同的编码: "
 
-#: locale/programs/ld-collate.c:1687 locale/programs/ld-collate.c:1793
+#: locale/programs/ld-collate.c:1688 locale/programs/ld-collate.c:1794
 #, c-format
 msgid "symbol `%s'"
 msgstr "符号“%s”"
 
-#: locale/programs/ld-collate.c:1833
+#: locale/programs/ld-collate.c:1834
 #, c-format
 msgid "no definition of `UNDEFINED'"
 msgstr "没有关于“UNDEFINIED”的定义"
 
-#: locale/programs/ld-collate.c:1862
+#: locale/programs/ld-collate.c:1863
 #, c-format
 msgid "too many errors; giving up"
 msgstr "错误过多；放弃"
 
-#: locale/programs/ld-collate.c:2518 locale/programs/ld-collate.c:3906
+#: locale/programs/ld-collate.c:2527 locale/programs/ld-collate.c:3915
 #, c-format
 msgid "%s: nested conditionals not supported"
 msgstr "%s: 不支持嵌套条件"
 
-#: locale/programs/ld-collate.c:2536
-#, fuzzy, c-format
-#| msgid "%s: more then one 'else'"
+#: locale/programs/ld-collate.c:2545
+#, c-format
 msgid "%s: more than one 'else'"
-msgstr "%s: 多于一个'else'"
+msgstr "%s: 使用多于一个 “else”"
 
-#: locale/programs/ld-collate.c:2711
+#: locale/programs/ld-collate.c:2720
 #, c-format
 msgid "%s: duplicate definition of `%s'"
 msgstr "%s：重复定义“%s”"
 
-#: locale/programs/ld-collate.c:2747
+#: locale/programs/ld-collate.c:2756
 #, c-format
 msgid "%s: duplicate declaration of section `%s'"
 msgstr "%s：重复声明节“%s”"
 
-#: locale/programs/ld-collate.c:2883
+#: locale/programs/ld-collate.c:2892
 #, c-format
 msgid "%s: unknown character in collating symbol name"
-msgstr ""
+msgstr "%s: 未知的字符在对照符号名称中"
 
-#: locale/programs/ld-collate.c:3012
+#: locale/programs/ld-collate.c:3021
 #, c-format
 msgid "%s: unknown character in equivalent definition name"
 msgstr "%s：等价定义名中未知的字符"
 
-#: locale/programs/ld-collate.c:3023
+#: locale/programs/ld-collate.c:3032
 #, c-format
 msgid "%s: unknown character in equivalent definition value"
 msgstr "%s：等价定义值中未知的字符"
 
-#: locale/programs/ld-collate.c:3033
+#: locale/programs/ld-collate.c:3042
 #, c-format
 msgid "%s: unknown symbol `%s' in equivalent definition"
 msgstr "%s：等价定义中未知的符号“%s”"
 
-#: locale/programs/ld-collate.c:3042
+#: locale/programs/ld-collate.c:3051
 msgid "error while adding equivalent collating symbol"
-msgstr ""
+msgstr "正在加入同义对照符号时发生错误"
 
-#: locale/programs/ld-collate.c:3080
+#: locale/programs/ld-collate.c:3089
 #, c-format
 msgid "duplicate definition of script `%s'"
 msgstr "重复定义脚本“%s”"
 
-#: locale/programs/ld-collate.c:3128
+#: locale/programs/ld-collate.c:3137
 #, c-format
 msgid "%s: unknown section name `%.*s'"
 msgstr "%s：未知的节名“%.*s”"
 
-#: locale/programs/ld-collate.c:3157
+#: locale/programs/ld-collate.c:3166
 #, c-format
 msgid "%s: multiple order definitions for section `%s'"
 msgstr "%s：关于“%s”节出现多个顺序定义"
 
-#: locale/programs/ld-collate.c:3185
+#: locale/programs/ld-collate.c:3194
 #, c-format
 msgid "%s: invalid number of sorting rules"
 msgstr "%s：排序规则的数量无效"
 
-#: locale/programs/ld-collate.c:3212
+#: locale/programs/ld-collate.c:3221
 #, c-format
 msgid "%s: multiple order definitions for unnamed section"
 msgstr "%s：关于未命名节出现多个顺序定义"
 
-#: locale/programs/ld-collate.c:3267 locale/programs/ld-collate.c:3397
-#: locale/programs/ld-collate.c:3760
+#: locale/programs/ld-collate.c:3276 locale/programs/ld-collate.c:3406
+#: locale/programs/ld-collate.c:3769
 #, c-format
 msgid "%s: missing `order_end' keyword"
 msgstr "%s：遗漏关键字“order_end”"
 
-#: locale/programs/ld-collate.c:3330
+#: locale/programs/ld-collate.c:3339
 #, c-format
 msgid "%s: order for collating symbol %.*s not yet defined"
-msgstr ""
+msgstr "%s: 对照符号 %.*s 的顺序尚未定义"
 
-#: locale/programs/ld-collate.c:3348
+#: locale/programs/ld-collate.c:3357
 #, c-format
 msgid "%s: order for collating element %.*s not yet defined"
-msgstr ""
+msgstr "%s: 对照元素 %.*s 的顺序尚未定义"
 
-#: locale/programs/ld-collate.c:3359
+#: locale/programs/ld-collate.c:3368
 #, c-format
 msgid "%s: cannot reorder after %.*s: symbol not known"
-msgstr ""
+msgstr "%s: 无法重新排列在 %.*s 之后: 未知的符号"
 
-#: locale/programs/ld-collate.c:3411 locale/programs/ld-collate.c:3772
+#: locale/programs/ld-collate.c:3420 locale/programs/ld-collate.c:3781
 #, c-format
 msgid "%s: missing `reorder-end' keyword"
 msgstr "%s：以后关键字“reorder-end”"
 
-#: locale/programs/ld-collate.c:3445 locale/programs/ld-collate.c:3643
+#: locale/programs/ld-collate.c:3454 locale/programs/ld-collate.c:3652
 #, c-format
 msgid "%s: section `%.*s' not known"
 msgstr "%s：未知的节“%.*s”"
 
-#: locale/programs/ld-collate.c:3510
+#: locale/programs/ld-collate.c:3519
 #, c-format
 msgid "%s: bad symbol <%.*s>"
-msgstr ""
+msgstr "%s: 不当的符号 <%.*s>"
 
-#: locale/programs/ld-collate.c:3706
+#: locale/programs/ld-collate.c:3715
 #, c-format
 msgid "%s: cannot have `%s' as end of ellipsis range"
-msgstr ""
+msgstr "%s: 无法用 `%s' 作为省略节的结尾"
 
-#: locale/programs/ld-collate.c:3756
+#: locale/programs/ld-collate.c:3765
 #, c-format
 msgid "%s: empty category description not allowed"
 msgstr "%s：不允许空范畴描述"
 
-#: locale/programs/ld-collate.c:3775
+#: locale/programs/ld-collate.c:3784
 #, c-format
 msgid "%s: missing `reorder-sections-end' keyword"
 msgstr "%s：遗漏关键字“reorder-sections-end”"
 
-#: locale/programs/ld-collate.c:3939
+#: locale/programs/ld-collate.c:3948
 #, c-format
 msgid "%s: '%s' without matching 'ifdef' or 'ifndef'"
-msgstr ""
+msgstr "%s: “%s” 而不需吻合中 “ifdef” 或 “ifndef” "
 
-#: locale/programs/ld-collate.c:3957
+#: locale/programs/ld-collate.c:3966
 #, c-format
 msgid "%s: 'endif' without matching 'ifdef' or 'ifndef'"
-msgstr ""
+msgstr "%s: “endif” 而不需吻合中 “ifdef” 或 “ifndef” "
 
-#: locale/programs/ld-ctype.c:484
+#: locale/programs/ld-ctype.c:450
 #, c-format
 msgid "No character set name specified in charmap"
 msgstr "字符映射表中未给出字符集名称"
 
-#: locale/programs/ld-ctype.c:513
+#: locale/programs/ld-ctype.c:479
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must be in class `%s'"
-msgstr ""
+msgstr "character L'\\u%0*x' (放在类别 `%s' 之中) 必须在类别 `%s' 里面"
 
-# msgstr "类“%2$s”中的字符 L'\\u%0*x' 必须属于类“%3$s”"
-#: locale/programs/ld-ctype.c:528
+#: locale/programs/ld-ctype.c:494
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must not be in class `%s'"
-msgstr ""
+msgstr "character L'\\u%0*x' (放在类别 `%s' 之中) 不能在类别 `%s' 里面"
 
-#: locale/programs/ld-ctype.c:542 locale/programs/ld-ctype.c:600
+#: locale/programs/ld-ctype.c:508 locale/programs/ld-ctype.c:566
 #, c-format
 msgid "internal error in %s, line %u"
 msgstr "在 %s 的第 %u 行出现内部错误"
 
-#: locale/programs/ld-ctype.c:571
+#: locale/programs/ld-ctype.c:537
 #, c-format
 msgid "character '%s' in class `%s' must be in class `%s'"
 msgstr "类“%2$s”中的字符“%1$s”必须属于类“%3$s”"
 
-#: locale/programs/ld-ctype.c:587
+#: locale/programs/ld-ctype.c:553
 #, c-format
 msgid "character '%s' in class `%s' must not be in class `%s'"
 msgstr "类“%2$s”中的字符“%1$s”不得属于类“%3$s”"
 
-#: locale/programs/ld-ctype.c:617 locale/programs/ld-ctype.c:655
+#: locale/programs/ld-ctype.c:583 locale/programs/ld-ctype.c:621
 #, c-format
 msgid "<SP> character not in class `%s'"
 msgstr "字符 <SP> 不在类“%s”中"
 
-#: locale/programs/ld-ctype.c:629 locale/programs/ld-ctype.c:666
+#: locale/programs/ld-ctype.c:595 locale/programs/ld-ctype.c:632
 #, c-format
 msgid "<SP> character must not be in class `%s'"
 msgstr "字符 <SP> 不能属于类“%s”"
 
-#: locale/programs/ld-ctype.c:644
+#: locale/programs/ld-ctype.c:610
 #, c-format
 msgid "character <SP> not defined in character map"
 msgstr "字符映射中未定义字符 <SP>"
 
-#: locale/programs/ld-ctype.c:780
+#: locale/programs/ld-ctype.c:746
 #, c-format
 msgid "`digit' category has not entries in groups of ten"
-msgstr ""
+msgstr "`digit' 类别在群组 \"十\" 中没有项目"
 
-#: locale/programs/ld-ctype.c:829
+#: locale/programs/ld-ctype.c:795
 #, c-format
 msgid "no input digits defined and none of the standard names in the charmap"
-msgstr ""
+msgstr "没有定义输入数字，在字集对照档中也找不到相符的标准名称"
 
-#: locale/programs/ld-ctype.c:894
+#: locale/programs/ld-ctype.c:860
 #, c-format
 msgid "not all characters used in `outdigit' are available in the charmap"
-msgstr ""
+msgstr "在字集对照表中无法找到某些在 `outdigit' 中用到的字符"
 
-#: locale/programs/ld-ctype.c:911
+#: locale/programs/ld-ctype.c:877
 #, c-format
 msgid "not all characters used in `outdigit' are available in the repertoire"
-msgstr ""
+msgstr "在编码映射档中无法找到某些在 `outdigit' 中用到的字符"
 
-#: locale/programs/ld-ctype.c:1176
+#: locale/programs/ld-ctype.c:1142
 #, c-format
 msgid "character class `%s' already defined"
 msgstr "字符类“%s”已定义"
 
-#: locale/programs/ld-ctype.c:1182
+#: locale/programs/ld-ctype.c:1148
 #, c-format
 msgid "implementation limit: no more than %Zd character classes allowed"
-msgstr ""
+msgstr "程序实现的限制: 不能使用超过 %Zd 个字集类别"
 
-#: locale/programs/ld-ctype.c:1208
+#: locale/programs/ld-ctype.c:1174
 #, c-format
 msgid "character map `%s' already defined"
-msgstr ""
+msgstr "字集对照档 `%s' 已经定义过了"
 
-#: locale/programs/ld-ctype.c:1214
+#: locale/programs/ld-ctype.c:1180
 #, c-format
 msgid "implementation limit: no more than %d character maps allowed"
 msgstr "实现限制：不得多于 %d 个字符映射表"
 
-#: locale/programs/ld-ctype.c:1479 locale/programs/ld-ctype.c:1604
-#: locale/programs/ld-ctype.c:1710 locale/programs/ld-ctype.c:2400
-#: locale/programs/ld-ctype.c:3397
+#: locale/programs/ld-ctype.c:1445 locale/programs/ld-ctype.c:1570
+#: locale/programs/ld-ctype.c:1676 locale/programs/ld-ctype.c:2352
+#: locale/programs/ld-ctype.c:3324
 #, c-format
 msgid "%s: field `%s' does not contain exactly ten entries"
 msgstr "%s：域“%s”含有条目的个数不是十个"
 
-#: locale/programs/ld-ctype.c:1507 locale/programs/ld-ctype.c:2081
+#: locale/programs/ld-ctype.c:1473 locale/programs/ld-ctype.c:2047
 #, c-format
 msgid "to-value <U%0*X> of range is smaller than from-value <U%0*X>"
-msgstr ""
+msgstr "区域定义的结尾值 <U%0*X> 比起始值 <U%0*X> 还要小"
 
-#: locale/programs/ld-ctype.c:1634
+#: locale/programs/ld-ctype.c:1600
 msgid "start and end character sequence of range must have the same length"
 msgstr "范围的起始和终止字符序列必须具有相同的长度"
 
-#: locale/programs/ld-ctype.c:1641
+#: locale/programs/ld-ctype.c:1607
 msgid "to-value character sequence is smaller than from-value sequence"
-msgstr ""
+msgstr "字符序列定义的结尾值比起始值还要小"
 
-#: locale/programs/ld-ctype.c:2001 locale/programs/ld-ctype.c:2052
+#: locale/programs/ld-ctype.c:1967 locale/programs/ld-ctype.c:2018
 msgid "premature end of `translit_ignore' definition"
-msgstr ""
+msgstr "`translit_ignore' 定义没有按时结束"
 
-#: locale/programs/ld-ctype.c:2007 locale/programs/ld-ctype.c:2058
-#: locale/programs/ld-ctype.c:2100
+#: locale/programs/ld-ctype.c:1973 locale/programs/ld-ctype.c:2024
+#: locale/programs/ld-ctype.c:2066
 msgid "syntax error"
 msgstr "语法错误"
 
-#: locale/programs/ld-ctype.c:2233
+#: locale/programs/ld-ctype.c:2199
 #, c-format
 msgid "%s: syntax error in definition of new character class"
 msgstr "%s：在定义新字符集合中出现语法错误"
 
-#: locale/programs/ld-ctype.c:2248
+#: locale/programs/ld-ctype.c:2214
 #, c-format
 msgid "%s: syntax error in definition of new character map"
 msgstr "%s：在新字符映射中出现语法错误"
 
-#: locale/programs/ld-ctype.c:2422
+#: locale/programs/ld-ctype.c:2374
 msgid "ellipsis range must be marked by two operands of same type"
-msgstr ""
+msgstr "省略区域必须用两个型别相同的算符标示出来"
 
-#: locale/programs/ld-ctype.c:2431
+#: locale/programs/ld-ctype.c:2383
 msgid "with symbolic name range values the absolute ellipsis `...' must not be used"
-msgstr ""
+msgstr "用符号名称来指定字符编码范围时不可以用绝对位置的省略符号 `…'"
 
-#: locale/programs/ld-ctype.c:2446
+#: locale/programs/ld-ctype.c:2398
 msgid "with UCS range values one must use the hexadecimal symbolic ellipsis `..'"
-msgstr ""
+msgstr "用来指定 UCS 值的范围时得用十六进制表示的省略符号 `..'"
 
-#: locale/programs/ld-ctype.c:2460
+#: locale/programs/ld-ctype.c:2412
 msgid "with character code range values one must use the absolute ellipsis `...'"
-msgstr ""
+msgstr "用来指定字符编码值的范围时得用绝对位置的省略符号 `…'"
 
-#: locale/programs/ld-ctype.c:2611
+#: locale/programs/ld-ctype.c:2563
 #, c-format
 msgid "duplicated definition for mapping `%s'"
 msgstr "重复定义映射“%s”"
 
-#: locale/programs/ld-ctype.c:2697 locale/programs/ld-ctype.c:2841
+#: locale/programs/ld-ctype.c:2649 locale/programs/ld-ctype.c:2793
 #, c-format
 msgid "%s: `translit_start' section does not end with `translit_end'"
 msgstr "%s：“translit_start”节不以“translit_end”结束"
 
-#: locale/programs/ld-ctype.c:2792
+#: locale/programs/ld-ctype.c:2744
 #, c-format
 msgid "%s: duplicate `default_missing' definition"
 msgstr "%s：重复定义“default_missing”"
 
-#: locale/programs/ld-ctype.c:2797
+#: locale/programs/ld-ctype.c:2749
 msgid "previous definition was here"
 msgstr "前一个定义在这里"
 
-#: locale/programs/ld-ctype.c:2819
+#: locale/programs/ld-ctype.c:2771
 #, c-format
 msgid "%s: no representable `default_missing' definition found"
-msgstr ""
+msgstr "%s: 找不到可表示为 `default_missing' 的定义"
 
-#: locale/programs/ld-ctype.c:2962 locale/programs/ld-ctype.c:3059
-#: locale/programs/ld-ctype.c:3079 locale/programs/ld-ctype.c:3100
-#: locale/programs/ld-ctype.c:3121 locale/programs/ld-ctype.c:3142
-#: locale/programs/ld-ctype.c:3163 locale/programs/ld-ctype.c:3203
-#: locale/programs/ld-ctype.c:3224 locale/programs/ld-ctype.c:3289
-#: locale/programs/ld-ctype.c:3331 locale/programs/ld-ctype.c:3356
+#: locale/programs/ld-ctype.c:2889 locale/programs/ld-ctype.c:2986
+#: locale/programs/ld-ctype.c:3006 locale/programs/ld-ctype.c:3027
+#: locale/programs/ld-ctype.c:3048 locale/programs/ld-ctype.c:3069
+#: locale/programs/ld-ctype.c:3090 locale/programs/ld-ctype.c:3130
+#: locale/programs/ld-ctype.c:3151 locale/programs/ld-ctype.c:3216
+#: locale/programs/ld-ctype.c:3258 locale/programs/ld-ctype.c:3283
 #, c-format
 msgid "%s: character `%s' not defined while needed as default value"
-msgstr ""
+msgstr "%s: 字符 `%s' 没有定义，但它是必需的默认值"
 
-#: locale/programs/ld-ctype.c:2967 locale/programs/ld-ctype.c:3064
-#: locale/programs/ld-ctype.c:3084 locale/programs/ld-ctype.c:3105
-#: locale/programs/ld-ctype.c:3126 locale/programs/ld-ctype.c:3147
-#: locale/programs/ld-ctype.c:3168 locale/programs/ld-ctype.c:3208
-#: locale/programs/ld-ctype.c:3229 locale/programs/ld-ctype.c:3294
+#: locale/programs/ld-ctype.c:2894 locale/programs/ld-ctype.c:2991
+#: locale/programs/ld-ctype.c:3011 locale/programs/ld-ctype.c:3032
+#: locale/programs/ld-ctype.c:3053 locale/programs/ld-ctype.c:3074
+#: locale/programs/ld-ctype.c:3095 locale/programs/ld-ctype.c:3135
+#: locale/programs/ld-ctype.c:3156 locale/programs/ld-ctype.c:3221
 #, c-format
 msgid "%s: character `%s' in charmap not representable with one byte"
-msgstr ""
+msgstr "%s: 字集对照表中的字符 `%s' 无法表示为单一字节"
 
-#: locale/programs/ld-ctype.c:3338 locale/programs/ld-ctype.c:3363
+#: locale/programs/ld-ctype.c:3265 locale/programs/ld-ctype.c:3290
 #, c-format
 msgid "%s: character `%s' needed as default value not representable with one byte"
 msgstr "%s：需要作为默认值的字符“%s”无法以单个字节来表示"
 
-#: locale/programs/ld-ctype.c:3419
+#: locale/programs/ld-ctype.c:3346
 #, c-format
 msgid "no output digits defined and none of the standard names in the charmap"
-msgstr ""
+msgstr "没有定义输出数字，在字集对照档中也找不到相符的标准名称"
 
-#: locale/programs/ld-ctype.c:3668
+#: locale/programs/ld-ctype.c:3595
 #, c-format
 msgid "%s: transliteration data from locale `%s' not available"
-msgstr ""
+msgstr "%s: 语区数据`%s' 的音译数据不存在"
 
-#: locale/programs/ld-ctype.c:3768
+#: locale/programs/ld-ctype.c:3695
 #, c-format
 msgid "%s: table for class \"%s\": %lu bytes\n"
-msgstr ""
+msgstr "%s: 类别 \"%s\" 表格: %lu 字节\n"
 
-#: locale/programs/ld-ctype.c:3833
+#: locale/programs/ld-ctype.c:3760
 #, c-format
 msgid "%s: table for map \"%s\": %lu bytes\n"
-msgstr ""
+msgstr "%s: 映射表 \"%s\" 表格: %lu 字节\n"
 
-#: locale/programs/ld-ctype.c:3958
+#: locale/programs/ld-ctype.c:3885
 #, c-format
 msgid "%s: table for width: %lu bytes\n"
-msgstr ""
+msgstr "%s: 宽度表格: %lu 字节\n"
 
 #: locale/programs/ld-identification.c:170
 #, c-format
 msgid "%s: no identification for category `%s'"
-msgstr ""
+msgstr "%s: 类别 `%s' 没有认证"
 
 #: locale/programs/ld-identification.c:351
 #, c-format
 msgid "%s: duplicate category version definition"
-msgstr ""
+msgstr "%s: 重复的类别版本定义"
 
 #: locale/programs/ld-measurement.c:113
 #, c-format
@@ -2450,62 +2457,62 @@ msgstr "%s：域“%s”中含有无效转义序列"
 #: locale/programs/ld-time.c:247
 #, c-format
 msgid "%s: direction flag in string %Zd in `era' field is not '+' nor '-'"
-msgstr ""
+msgstr "%s: 在 `era' 字段的字串 %Zd 中，方向旗标既不是 '+' 也不是 '-'"
 
 #: locale/programs/ld-time.c:258
 #, c-format
 msgid "%s: direction flag in string %Zd in `era' field is not a single character"
-msgstr ""
+msgstr "%s: 在 `era' 字段的字串 %Zd 中，方向旗标不是一个单一字符"
 
 #: locale/programs/ld-time.c:271
 #, c-format
 msgid "%s: invalid number for offset in string %Zd in `era' field"
-msgstr ""
+msgstr "%s: 在 `era' 字段、字串 %Zd 中的位移数字不适用"
 
 #: locale/programs/ld-time.c:279
 #, c-format
 msgid "%s: garbage at end of offset value in string %Zd in `era' field"
-msgstr ""
+msgstr "%s: 无用的数据，在 `era' 字段、字串 %Zd 中末尾的位移值"
 
 #: locale/programs/ld-time.c:330
 #, c-format
 msgid "%s: invalid starting date in string %Zd in `era' field"
-msgstr ""
+msgstr "%s: 在 `era' 字段、字串 %Zd 中的起始日期不适用"
 
 #: locale/programs/ld-time.c:339
 #, c-format
 msgid "%s: garbage at end of starting date in string %Zd in `era' field "
-msgstr ""
+msgstr "%s: 无用的数据，在 `era' 字段、字串 %Zd 中末尾的起始日期"
 
 #: locale/programs/ld-time.c:358
 #, c-format
 msgid "%s: starting date is invalid in string %Zd in `era' field"
-msgstr ""
+msgstr "%s: 在 `era' 区域的字串 %Zd 中的启始日期是不适用的"
 
 #: locale/programs/ld-time.c:407 locale/programs/ld-time.c:435
 #, c-format
 msgid "%s: invalid stopping date in string %Zd in `era' field"
-msgstr ""
+msgstr "%s: 在 `era' 字段、字串 %Zd 中的结束日期不适用"
 
 #: locale/programs/ld-time.c:416
 #, c-format
 msgid "%s: garbage at end of stopping date in string %Zd in `era' field"
-msgstr ""
+msgstr "%s: 无用的数据，在 `era' 区域、字串 %Zd 中末尾的结束日期"
 
 #: locale/programs/ld-time.c:444
 #, c-format
 msgid "%s: missing era name in string %Zd in `era' field"
-msgstr ""
+msgstr "%s: 缺少 era 名称，在 `era' 字段、字串 %Zd 中"
 
 #: locale/programs/ld-time.c:456
 #, c-format
 msgid "%s: missing era format in string %Zd in `era' field"
-msgstr ""
+msgstr "%s: 缺少 era 格式，在 `era' 字段、字串 %Zd 中"
 
 #: locale/programs/ld-time.c:497
 #, c-format
 msgid "%s: third operand for value of field `%s' must not be larger than %d"
-msgstr ""
+msgstr "%s: 字段 `%s' 值的第三个算符不可以比 %d 大"
 
 #: locale/programs/ld-time.c:505 locale/programs/ld-time.c:513
 #: locale/programs/ld-time.c:521
@@ -2529,15 +2536,15 @@ msgstr "%s：域“%s”的值过多"
 
 #: locale/programs/linereader.c:130
 msgid "trailing garbage at end of line"
-msgstr ""
+msgstr "行尾出现无用字符"
 
 #: locale/programs/linereader.c:298
 msgid "garbage at end of number"
-msgstr "数字末尾有垃圾"
+msgstr "数字末尾有无用字符"
 
 #: locale/programs/linereader.c:410
 msgid "garbage at end of character code specification"
-msgstr ""
+msgstr "字符编码设置结束位置的无用数据"
 
 #: locale/programs/linereader.c:496
 msgid "unterminated symbolic name"
@@ -2558,18 +2565,17 @@ msgstr "不应该使用非符号字符的值"
 #: locale/programs/linereader.c:816
 #, c-format
 msgid "symbol `%.*s' not in charmap"
-msgstr ""
+msgstr "符号 `%.*s' 并不在字集对照表中"
 
 #: locale/programs/linereader.c:837
 #, c-format
 msgid "symbol `%.*s' not in repertoire map"
-msgstr ""
+msgstr "符号 `%.*s' 并不在编码映射档中"
 
 #: locale/programs/locale-spec.c:130
-#, fuzzy, c-format
-#| msgid "unknown set `%s'"
+#, c-format
 msgid "unknown name \"%s\""
-msgstr "未知集合“%s”"
+msgstr "不明名称 “%s” "
 
 #: locale/programs/locale.c:72
 msgid "System information:"
@@ -2608,26 +2614,28 @@ msgid ""
 "NAME\n"
 "[-a|-m]"
 msgstr ""
+"名称\n"
+"[-a|-m]"
 
 #: locale/programs/locale.c:192
 #, c-format
 msgid "Cannot set LC_CTYPE to default locale"
-msgstr ""
+msgstr "无法将 LC_CTYPE 设置为缺省的语区"
 
 #: locale/programs/locale.c:194
 #, c-format
 msgid "Cannot set LC_MESSAGES to default locale"
-msgstr ""
+msgstr "无法将 LC_MESSAGES 设置为缺省的语区"
 
 #: locale/programs/locale.c:207
 #, c-format
 msgid "Cannot set LC_COLLATE to default locale"
-msgstr ""
+msgstr "无法将 LC_COLLATE 设置为缺省的语区"
 
 #: locale/programs/locale.c:223
 #, c-format
 msgid "Cannot set LC_ALL to default locale"
-msgstr ""
+msgstr "无法将 LC_ALL 设置为缺省的语区"
 
 #: locale/programs/locale.c:519
 #, c-format
@@ -2640,7 +2648,7 @@ msgstr "输入文件："
 
 #: locale/programs/localedef.c:123
 msgid "Symbolic character names defined in FILE"
-msgstr ""
+msgstr "符号字符的名称定义在文件 FILE 中"
 
 #: locale/programs/localedef.c:125
 msgid "Source definitions are found in FILE"
@@ -2648,7 +2656,7 @@ msgstr "在 FILE 中找到源定义"
 
 #: locale/programs/localedef.c:127
 msgid "FILE contains mapping from symbolic names to UCS4 values"
-msgstr ""
+msgstr "文件 FILE 内含符号名与 UCS4 编码之间的映射"
 
 #: locale/programs/localedef.c:131
 msgid "Create output even if warning messages were issued"
@@ -2663,10 +2671,8 @@ msgid "Optional output file prefix"
 msgstr "可选的输出文件前缀"
 
 #: locale/programs/localedef.c:134
-#, fuzzy
-#| msgid "Be strictly POSIX conform"
 msgid "Strictly conform to POSIX"
-msgstr "严格遵循 POSIX"
+msgstr "严格遵从 POSIX"
 
 #: locale/programs/localedef.c:136
 msgid "Suppress warnings and information messages"
@@ -2706,11 +2712,11 @@ msgstr "在制作归档文件时参考 locale.alias 文件"
 
 #: locale/programs/localedef.c:150
 msgid "Generate little-endian output"
-msgstr ""
+msgstr "生成小端序输出"
 
 #: locale/programs/localedef.c:152
 msgid "Generate big-endian output"
-msgstr ""
+msgstr "生成大端序输出"
 
 #: locale/programs/localedef.c:157
 msgid "Compile locale specification"
@@ -2755,6 +2761,10 @@ msgid ""
 "\t\t       locale path    : %s\n"
 "%s"
 msgstr ""
+"系统的字符对应目录：%s\n"
+"\t\t      编码对应：%s\n"
+"\t\t      语区路径   ：%s\n"
+"%s"
 
 #: locale/programs/localedef.c:582
 #, c-format
@@ -2767,10 +2777,9 @@ msgid "cannot add already read locale `%s' a second time"
 msgstr "无法再次添加已经读入的“%s”"
 
 #: locale/programs/locarchive.c:133 locale/programs/locarchive.c:380
-#, fuzzy, c-format
-#| msgid "cannot create temporary file"
+#, c-format
 msgid "cannot create temporary file: %s"
-msgstr "无法创建临时文件"
+msgstr "无法产生暂时档：%s"
 
 #: locale/programs/locarchive.c:167 locale/programs/locarchive.c:430
 #, c-format
@@ -2799,10 +2808,9 @@ msgid "cannot change mode of new locale archive"
 msgstr "无法改变新归档文件的模式"
 
 #: locale/programs/locarchive.c:324
-#, fuzzy, c-format
-#| msgid "cannot add to locale archive"
+#, c-format
 msgid "cannot read data from locale archive"
-msgstr "无法添加到区域归档文件"
+msgstr "无法从语区归档读取数据"
 
 #: locale/programs/locarchive.c:355
 #, c-format
@@ -2926,10 +2934,8 @@ msgid "cannot create output file `%s' for category `%s'"
 msgstr "无法为范畴“%2$s”创建输出文件“%1$s”"
 
 #: locale/programs/locfile.c:956
-#, fuzzy
-#| msgid "expect string argument for `copy'"
 msgid "expecting string argument for `copy'"
-msgstr "“copy”需要字符串参数"
+msgstr "`copy' 的参数应该是字串才对"
 
 #: locale/programs/locfile.c:960
 msgid "locale name should consist only of portable characters"
@@ -2948,7 +2954,7 @@ msgstr "对“%1$s”的定义并不以“END %1%s”结束"
 #: locale/programs/repertoire.c:295
 #, c-format
 msgid "syntax error in repertoire map definition: %s"
-msgstr ""
+msgstr "编码映射档中的定义有语法错误: %s"
 
 #: locale/programs/repertoire.c:271
 msgid "no <Uxxxx> or <Uxxxxxxxx> value given"
@@ -2962,12 +2968,12 @@ msgstr "无法保存新的指令表"
 #: locale/programs/repertoire.c:342
 #, c-format
 msgid "repertoire map file `%s' not found"
-msgstr ""
+msgstr "找不到编码映射档 `%s'"
 
 #: login/programs/pt_chown.c:78
 #, c-format
 msgid "Set the owner, group and access permission of the slave pseudo terminal corresponding to the master pseudo terminal passed on file descriptor `%d'.  This is the helper program for the `grantpt' function.  It is not intended to be run directly from the command line.\n"
-msgstr ""
+msgstr "设置与以文件描述符 %d 指定的主伪终端对应的从属伪终端的所有者、组和权限 。 此辅助程序用于 “grantpt” 函数，并未用于直接从命令行运行。\n"
 
 #: login/programs/pt_chown.c:92
 #, c-format
@@ -2976,6 +2982,9 @@ msgid ""
 "\n"
 "%s"
 msgstr ""
+"拥有者设置为目前用户，群组设置为 “%s” ，而权限设置为 “%o” 。\n"
+"\n"
+"%s"
 
 #: login/programs/pt_chown.c:198
 #, c-format
@@ -2985,7 +2994,7 @@ msgstr "选项过多"
 #: login/programs/pt_chown.c:206
 #, c-format
 msgid "needs to be installed setuid `root'"
-msgstr ""
+msgstr "需要是已安装的 setuid “root”"
 
 #: malloc/mcheck.c:346
 msgid "memory is consistent, library is buggy\n"
@@ -2993,11 +3002,11 @@ msgstr "内存不一致，库有错误\n"
 
 #: malloc/mcheck.c:349
 msgid "memory clobbered before allocated block\n"
-msgstr ""
+msgstr "内存在分配之前就被覆写了\n"
 
 #: malloc/mcheck.c:352
 msgid "memory clobbered past end of allocated block\n"
-msgstr ""
+msgstr "内存覆写超过了经过的已分配的区块尾部\n"
 
 #: malloc/mcheck.c:355
 msgid "block freed twice\n"
@@ -3005,13 +3014,11 @@ msgstr "块释放了两次\n"
 
 #: malloc/mcheck.c:358
 msgid "bogus mcheck_status, library is buggy\n"
-msgstr ""
+msgstr "内存检查状态 (mcheck_ststus) 有误，您所用的函数库有问题\n"
 
 #: malloc/memusage.sh:32
-#, fuzzy
-#| msgid "%s: option `%s' requires an argument\n"
 msgid "%s: option '%s' requires an argument\\n"
-msgstr "%s：选项“%s”需要一个参数\n"
+msgstr "%s：选项 ‘%s’ 需要一个参数\\n"
 
 #: malloc/memusage.sh:38
 msgid ""
@@ -3041,6 +3048,30 @@ msgid ""
 "short options.\n"
 "\n"
 msgstr ""
+"用法：memusage [选项]… 程序 [PROGRAMOPTION]…\n"
+"剖析程序的内存用量情况。\n"
+"\n"
+"   -n,--progname=名称     要被分析的的程序文件名称\n"
+"   -p,--png=文件          产生 PNG 图形并存为文件\n"
+"   -d,--data=文件         产生二进制数据并存为文件\n"
+"   -u,--unbuffered       不要将输出缓冲\n"
+"   -b,--buffer=大小       收集<大小>条项目后再输出\n"
+"      --no-timer          不通过计时器收集附加信息\n"
+"   -m,--mmap              同时追踪 mmap 和相关者\n"
+"\n"
+"   -?,--help              打印这个说明然后离开\n"
+"      --usage             给出简短用法消息\n"
+"   -V,--version           打印版本信息然后离开\n"
+"\n"
+"下列的选项只在产生图形输出时有效：\n"
+"   -t,--time-based        使图像在时间上是线性的\n"
+"   -T,--total             同时绘制总计内存使用量图形\n"
+"      --title=字串        使用字串作为图形的标题\n"
+"   -x,--x-size=大小       定制图形大小像素宽度\n"
+"   -y,--y-size=大小       定制图形大小像素高度\n"
+"\n"
+"长选项的必要参数同样也是相对应短选项的必要参数。\n"
+"\n"
 
 #: malloc/memusage.sh:99
 msgid ""
@@ -3049,6 +3080,10 @@ msgid ""
 "\t    [--title=STRING] [--x-size=SIZE] [--y-size=SIZE]\n"
 "\t    PROGRAM [PROGRAMOPTION]..."
 msgstr ""
+"语法：memusage [--data=文件] [--progname=名称] [--png=文件] [--unbuffered]\n"
+"\t   [--buffer=大小] [--no-timer] [--time-based] [--total]\n"
+"\t   [--title=字串] [--x-size=大小] [--y-size=大小]\n"
+"\t   程序 [PROGRAMOPTION]…"
 
 #: malloc/memusage.sh:191
 msgid "memusage: option \\`${1##*=}' is ambiguous"
@@ -3068,7 +3103,7 @@ msgstr "名输出文件"
 
 #: malloc/memusagestat.c:57
 msgid "STRING"
-msgstr ""
+msgstr "字串"
 
 #: malloc/memusagestat.c:57
 msgid "Title string used in output graphic"
@@ -3076,27 +3111,27 @@ msgstr "用于输出图形的标题字符串"
 
 #: malloc/memusagestat.c:58
 msgid "Generate output linear to time (default is linear to number of function calls)"
-msgstr ""
+msgstr "产生输出与时间呈线性关系 (缺省是与函数调用数目呈线性关系)"
 
 #: malloc/memusagestat.c:62
 msgid "Also draw graph for total memory consumption"
-msgstr ""
+msgstr "同时对总内存用量作图"
 
 #: malloc/memusagestat.c:63
 msgid "VALUE"
-msgstr ""
+msgstr "像素值"
 
 #: malloc/memusagestat.c:64
 msgid "Make output graphic VALUE pixels wide"
-msgstr ""
+msgstr "定制输出图形的宽度像素值"
 
 #: malloc/memusagestat.c:65
 msgid "Make output graphic VALUE pixels high"
-msgstr ""
+msgstr "定制输出图形的高度像素值"
 
 #: malloc/memusagestat.c:70
 msgid "Generate graphic from memory profiling data"
-msgstr ""
+msgstr "从内存性能测试数据产生图像"
 
 #: malloc/memusagestat.c:73
 msgid "DATAFILE [OUTFILE]"
@@ -3117,7 +3152,7 @@ msgstr "成功"
 
 #: nis/nis_error.h:2
 msgid "Probable success"
-msgstr ""
+msgstr "可能成功"
 
 #: nis/nis_error.h:3
 msgid "Not found"
@@ -3125,7 +3160,7 @@ msgstr "找不到"
 
 #: nis/nis_error.h:4
 msgid "Probably not found"
-msgstr ""
+msgstr "可能找不到"
 
 #: nis/nis_error.h:5
 msgid "Cache expired"
@@ -3145,11 +3180,11 @@ msgstr "服务器忙，重试"
 
 #: nis/nis_error.h:9
 msgid "Generic system error"
-msgstr "通用系统错误"
+msgstr "一般系统错误"
 
 #: nis/nis_error.h:10
 msgid "First/next chain broken"
-msgstr ""
+msgstr "第一个/下一个链坏掉了"
 
 #. TRANS Permission denied; the file permissions do not allow the attempted operation.
 #: nis/nis_error.h:11 nis/ypclnt.c:876 sysdeps/gnu/errlist.c:158
@@ -3162,7 +3197,7 @@ msgstr "不是所有者"
 
 #: nis/nis_error.h:13
 msgid "Name not served by this server"
-msgstr ""
+msgstr "域名服务不是由此服务器提供"
 
 #: nis/nis_error.h:14
 msgid "Server out of memory"
@@ -3182,7 +3217,7 @@ msgstr "操作无效的对象"
 
 #: nis/nis_error.h:18
 msgid "Malformed name, or illegal name"
-msgstr ""
+msgstr "奇怪的名字，或不合法的名字"
 
 #: nis/nis_error.h:19
 msgid "Unable to create callback"
@@ -3190,7 +3225,7 @@ msgstr "无法创建回调函数"
 
 #: nis/nis_error.h:20
 msgid "Results sent to callback proc"
-msgstr ""
+msgstr "结果发送给返回进程"
 
 #: nis/nis_error.h:21
 msgid "Not found, no such name"
@@ -3242,7 +3277,7 @@ msgstr "与回调函数交互时出错"
 
 #: nis/nis_error.h:33
 msgid "Non NIS+ namespace encountered"
-msgstr ""
+msgstr "遭遇违反 NIS+ 命名规则的名称"
 
 #: nis/nis_error.h:34
 msgid "Illegal object type for operation"
@@ -3250,7 +3285,7 @@ msgstr "操作的非法对象类型"
 
 #: nis/nis_error.h:35
 msgid "Passed object is not the same object on server"
-msgstr ""
+msgstr "经过的对象与服务器上的并不相同"
 
 #: nis/nis_error.h:36
 msgid "Modify operation failed"
@@ -3282,7 +3317,7 @@ msgstr "NIS+ 服务器不可用或未安装"
 
 #: nis/nis_error.h:43
 msgid "Yes, 42 is the meaning of life"
-msgstr ""
+msgstr "是的，42 就是存在的意义"
 
 #: nis/nis_error.h:44
 msgid "Unable to authenticate NIS+ server"
@@ -3302,12 +3337,12 @@ msgstr "无法在服务器上创建进程"
 
 #: nis/nis_error.h:48
 msgid "Master server busy, full dump rescheduled."
-msgstr ""
+msgstr "主要服务器忙中，完整数据转储已被重调度。"
 
 #: nis/nis_local_names.c:121
 #, c-format
 msgid "LOCAL entry for UID %d in directory %s not unique\n"
-msgstr ""
+msgstr "%2$s 目录中 UID 为 %1$d 的项目在 LOCAL 中不是唯一的\n"
 
 #: nis/nis_print.c:51
 msgid "UNKNOWN"
@@ -3315,7 +3350,7 @@ msgstr "未知"
 
 #: nis/nis_print.c:109
 msgid "BOGUS OBJECT\n"
-msgstr ""
+msgstr "假的对象\n"
 
 #: nis/nis_print.c:112
 msgid "NO OBJECT\n"
@@ -3352,25 +3387,25 @@ msgstr "(未知对象)\n"
 #: nis/nis_print.c:167
 #, c-format
 msgid "Name : `%s'\n"
-msgstr "名称 ：“%s”\n"
+msgstr "名称：“%s”\n"
 
 #: nis/nis_print.c:168
 #, c-format
 msgid "Type : %s\n"
-msgstr "类型 ： %s\n"
+msgstr "类型：%s\n"
 
 #: nis/nis_print.c:173
 msgid "Master Server :\n"
-msgstr "主服务器 ：\n"
+msgstr "主服务器：\n"
 
 #: nis/nis_print.c:175
 msgid "Replicate :\n"
-msgstr ""
+msgstr "复制：\n"
 
 #: nis/nis_print.c:176
 #, c-format
 msgid "\tName       : %s\n"
-msgstr "\t名称     ：%s\n"
+msgstr "\t名称      ：%s\n"
 
 #: nis/nis_print.c:177
 msgid "\tPublic Key : "
@@ -3383,7 +3418,7 @@ msgstr "无。\n"
 #: nis/nis_print.c:184
 #, c-format
 msgid "Diffie-Hellmann (%d bits)\n"
-msgstr ""
+msgstr "Diffie-Hellmann (%d 位)\n"
 
 #: nis/nis_print.c:189
 #, c-format
@@ -3392,7 +3427,7 @@ msgstr "RSA (%d 位)\n"
 
 #: nis/nis_print.c:192
 msgid "Kerberos.\n"
-msgstr ""
+msgstr "Kerberos.\n"
 
 #: nis/nis_print.c:195
 #, c-format
@@ -3402,7 +3437,7 @@ msgstr "未知 (类型 = %d，位 = %d)\n"
 #: nis/nis_print.c:206
 #, c-format
 msgid "\tUniversal addresses (%u)\n"
-msgstr ""
+msgstr "\t绝对地址 (%u)\n"
 
 #: nis/nis_print.c:228
 msgid "Time to live : "
@@ -3455,7 +3490,7 @@ msgstr "搜索路径  ：%s\n"
 
 #: nis/nis_print.c:273
 msgid "Columns             :\n"
-msgstr ""
+msgstr "列数                :\n"
 
 #: nis/nis_print.c:276
 #, c-format
@@ -3482,7 +3517,7 @@ msgstr "连接到 ：%s\n"
 #: nis/nis_print.c:302
 #, c-format
 msgid "\tEntry data of type %s\n"
-msgstr ""
+msgstr "\t型别为 %s 的项目数据\n"
 
 #: nis/nis_print.c:305
 #, c-format
@@ -3567,7 +3602,7 @@ msgstr "对象 #%d：\n"
 #: nis/nis_print_group_entry.c:116
 #, c-format
 msgid "Group entry for \"%s.%s\" group:\n"
-msgstr ""
+msgstr "群组 \"%s.%s\" 群组项目:\n"
 
 #: nis/nis_print_group_entry.c:124
 msgid "    Explicit members:\n"
@@ -3595,19 +3630,19 @@ msgstr "    无递归成员\n"
 
 #: nis/nis_print_group_entry.c:148
 msgid "    Explicit nonmembers:\n"
-msgstr ""
+msgstr "    明确的非成员:\n"
 
 #: nis/nis_print_group_entry.c:153
 msgid "    No explicit nonmembers\n"
-msgstr ""
+msgstr "    没有明确的非成员\n"
 
 #: nis/nis_print_group_entry.c:156
 msgid "    Implicit nonmembers:\n"
-msgstr ""
+msgstr "    不明确的非成员:\n"
 
 #: nis/nis_print_group_entry.c:161
 msgid "    No implicit nonmembers\n"
-msgstr ""
+msgstr "    没有不明确的非成员\n"
 
 #: nis/nis_print_group_entry.c:164
 msgid "    Recursive nonmembers:\n"
@@ -3615,18 +3650,18 @@ msgstr "    递归非成员：\n"
 
 #: nis/nis_print_group_entry.c:169
 msgid "    No recursive nonmembers\n"
-msgstr ""
+msgstr "    没有递归的非成员\n"
 
 #: nis/nss_nisplus/nisplus-publickey.c:100
 #: nis/nss_nisplus/nisplus-publickey.c:182
 #, c-format
 msgid "DES entry for netname %s not unique\n"
-msgstr ""
+msgstr "netname %s 的 DES 项目并不唯一\n"
 
 #: nis/nss_nisplus/nisplus-publickey.c:219
 #, c-format
 msgid "netname2user: missing group id list in `%s'"
-msgstr ""
+msgstr "netname2user：在 “%s” 中缺少群组识别号清单"
 
 #: nis/nss_nisplus/nisplus-publickey.c:301
 #: nis/nss_nisplus/nisplus-publickey.c:307
@@ -3634,12 +3669,12 @@ msgstr ""
 #: nis/nss_nisplus/nisplus-publickey.c:381
 #, c-format
 msgid "netname2user: (nis+ lookup): %s\n"
-msgstr ""
+msgstr "netname2user: (nis+ 搜索): %s\n"
 
 #: nis/nss_nisplus/nisplus-publickey.c:320
 #, c-format
 msgid "netname2user: DES entry for %s in directory %s not unique"
-msgstr ""
+msgstr "netname2user: %s 的 DES 项目在 %s 目录下并不是唯一的"
 
 #: nis/nss_nisplus/nisplus-publickey.c:338
 #, c-format
@@ -3649,7 +3684,7 @@ msgstr "netname2user：基本名称“%s”过长"
 #: nis/nss_nisplus/nisplus-publickey.c:394
 #, c-format
 msgid "netname2user: LOCAL entry for %s in directory %s not unique"
-msgstr ""
+msgstr "netname2user: %s 的本地端项目在 %s 目录下并不是唯一的"
 
 #: nis/nss_nisplus/nisplus-publickey.c:401
 msgid "netname2user: should not have uid 0"
@@ -3661,7 +3696,7 @@ msgstr "请求参数错误"
 
 #: nis/ypclnt.c:837
 msgid "RPC failure on NIS operation"
-msgstr ""
+msgstr "NIS 运作 RPC 失败"
 
 #: nis/ypclnt.c:840
 msgid "Can't bind to server which serves this domain"
@@ -3669,11 +3704,11 @@ msgstr "无法于为此域服务的服务器绑定"
 
 #: nis/ypclnt.c:843
 msgid "No such map in server's domain"
-msgstr ""
+msgstr "在服务器的领域数据中找不到此一映射表"
 
 #: nis/ypclnt.c:846
 msgid "No such key in map"
-msgstr ""
+msgstr "在映射表中没有此一键值"
 
 #: nis/ypclnt.c:849
 msgid "Internal NIS error"
@@ -3685,7 +3720,7 @@ msgstr "本地资源分配失败"
 
 #: nis/ypclnt.c:855
 msgid "No more records in map database"
-msgstr ""
+msgstr "在映射表数据库中没有其他纪录了"
 
 #: nis/ypclnt.c:858
 msgid "Can't communicate with portmapper"
@@ -3756,41 +3791,44 @@ msgstr "在主机缓冲区中重新加载“%s”！"
 #: nscd/cache.c:151
 #, c-format
 msgid "add new entry \"%s\" of type %s for %s to cache%s"
-msgstr ""
+msgstr "加入新的项目 “%s” 的型态 %s 用于 %s 到 cache%s"
 
 #: nscd/cache.c:153
 msgid " (first)"
-msgstr ""
+msgstr " (首先)"
+
+#: nscd/cache.c:288
+#, c-format
+msgid "checking for monitored file `%s': %s"
+msgstr "检查监视的文件 '%s': %s"
 
-#: nscd/cache.c:285 nscd/connections.c:1000
+#: nscd/cache.c:298
 #, c-format
-msgid "cannot stat() file `%s': %s"
-msgstr "无法对文件“%s”进行 stat() 操作：%s"
+msgid "monitored file `%s` changed (mtime)"
+msgstr "监视的文件 '%s' 变了 (mtime)"
 
-#: nscd/cache.c:331
+#: nscd/cache.c:341
 #, c-format
 msgid "pruning %s cache; time %ld"
-msgstr ""
+msgstr "pruning %s 缓存；时间 %ld"
 
-#: nscd/cache.c:360
+#: nscd/cache.c:370
 #, c-format
 msgid "considering %s entry \"%s\", timeout %<PRIu64>"
-msgstr ""
+msgstr "认为中 %s 项目 “%s” ，逾时 %<PRIu64>"
 
 #: nscd/connections.c:553
 #, c-format
 msgid "invalid persistent database file \"%s\": %s"
-msgstr ""
+msgstr "无效的永久性的数据库文件 “%s” ：%s"
 
 #: nscd/connections.c:561
-#, fuzzy
-#| msgid "invalid ELF header"
 msgid "uninitialized header"
-msgstr "无效的 ELF 头"
+msgstr "未起始的标头"
 
 #: nscd/connections.c:566
 msgid "header size does not match"
-msgstr ""
+msgstr "标头大小不吻合"
 
 #: nscd/connections.c:576
 msgid "file size does not match"
@@ -3803,7 +3841,7 @@ msgstr "验证失败"
 #: nscd/connections.c:607
 #, c-format
 msgid "suggested size of table for database %s larger than the persistent database's table"
-msgstr ""
+msgstr "用于数据库 %s 的建议表格大小大于永久性的数据库表格"
 
 #: nscd/connections.c:618 nscd/connections.c:702
 #, c-format
@@ -3811,15 +3849,14 @@ msgid "cannot create read-only descriptor for \"%s\"; no mmap"
 msgstr "无法为“%s”创建只读描述符；没有 mmap"
 
 #: nscd/connections.c:634
-#, fuzzy, c-format
-#| msgid "cannot open `%s'"
+#, c-format
 msgid "cannot access '%s'"
-msgstr "无法打开“%s”"
+msgstr "无法访问 ‘%s’"
 
 #: nscd/connections.c:682
 #, c-format
 msgid "database for %s corrupted or simultaneously used; remove %s manually if necessary and restart"
-msgstr ""
+msgstr "数据库用于 %s 已损坏或被同步地使用；若必要，手动移除 %s 并重启"
 
 #: nscd/connections.c:688
 #, c-format
@@ -3839,7 +3876,7 @@ msgstr "无法写入数据库文件 %s: %s"
 #: nscd/connections.c:801
 #, c-format
 msgid "cannot set socket to close on exec: %s; disabling paranoia mode"
-msgstr ""
+msgstr "无法设置通信端到关闭于 exec：%s; 停用 paranoia 模式"
 
 #: nscd/connections.c:850
 #, c-format
@@ -3861,155 +3898,213 @@ msgstr "无法设定套接字为 exec 时关闭: %s"
 msgid "cannot enable socket to accept connections: %s"
 msgstr "无法启用套接字以接受连接：%s"
 
-#: nscd/connections.c:984
+#: nscd/connections.c:973
 #, c-format
-msgid "register trace file %s for database %s"
-msgstr ""
+msgid "disabled inotify-based monitoring for file `%s': %s"
+msgstr "为 `%s' 禁用基于 inotify 的监控: %s"
+
+#: nscd/connections.c:977
+#, c-format
+msgid "monitoring file `%s` (%d)"
+msgstr "监控文件 `%s' (%d)"
+
+#: nscd/connections.c:990
+#, c-format
+msgid "disabled inotify-based monitoring for directory `%s': %s"
+msgstr "为目录 `%s' 禁用基于 inotify 的监控: %s"
 
-#: nscd/connections.c:1114
+#: nscd/connections.c:994
+#, c-format
+msgid "monitoring directory `%s` (%d)"
+msgstr "监视目录 `%s` (%d)"
+
+#: nscd/connections.c:1022
+#, c-format
+msgid "monitoring file %s for database %s"
+msgstr "监视文件 %s, 用于数据库 %s"
+
+#: nscd/connections.c:1032
+#, c-format
+msgid "stat failed for file `%s'; will try again later: %s"
+msgstr "stat 文件 `%s' 失败；将稍后再试: %s"
+
+#: nscd/connections.c:1151
 #, c-format
 msgid "provide access to FD %d, for %s"
-msgstr ""
+msgstr "提供访问到 FD %d, 用于 %s"
 
-#: nscd/connections.c:1126
+#: nscd/connections.c:1163
 #, c-format
 msgid "cannot handle old request version %d; current version is %d"
 msgstr "无法处理旧请求版本 %d；当前版本为 %d"
 
-#: nscd/connections.c:1148
+#: nscd/connections.c:1185
 #, c-format
 msgid "request from %ld not handled due to missing permission"
-msgstr ""
+msgstr "由于缺少权限而无法处理来自 %ld 的要求"
 
-#: nscd/connections.c:1153
+#: nscd/connections.c:1190
 #, c-format
 msgid "request from '%s' [%ld] not handled due to missing permission"
-msgstr ""
+msgstr "由于缺少权限而无法处理来自 '%s' [%ld] 的要求"
 
-#: nscd/connections.c:1158
+#: nscd/connections.c:1195
 msgid "request not handled due to missing permission"
-msgstr ""
+msgstr "要求无法控柄的由于缺少权限"
 
-#: nscd/connections.c:1196 nscd/connections.c:1249
+#: nscd/connections.c:1233 nscd/connections.c:1286
 #, c-format
 msgid "cannot write result: %s"
 msgstr "无法写入结果：“%s”"
 
-#: nscd/connections.c:1340
+#: nscd/connections.c:1377
 #, c-format
 msgid "error getting caller's id: %s"
-msgstr ""
+msgstr "取得调用程序识别码时发生错误: %s"
 
-#: nscd/connections.c:1400
+#: nscd/connections.c:1437
 #, c-format
 msgid "cannot open /proc/self/cmdline: %s; disabling paranoia mode"
-msgstr ""
+msgstr "无法打开/proc/self/cmdline：%s; 停用 paranoia 模式"
 
-#: nscd/connections.c:1414
+#: nscd/connections.c:1451
 #, c-format
 msgid "cannot read /proc/self/cmdline: %s; disabling paranoia mode"
-msgstr ""
+msgstr "无法读取/proc/self/cmdline：%s; 停用 paranoia 模式"
 
-#: nscd/connections.c:1454
+#: nscd/connections.c:1491
 #, c-format
 msgid "cannot change to old UID: %s; disabling paranoia mode"
-msgstr ""
+msgstr "无法变更为旧的 UID：%s; 停用 paranoia 模式"
 
-#: nscd/connections.c:1464
+#: nscd/connections.c:1501
 #, c-format
 msgid "cannot change to old GID: %s; disabling paranoia mode"
-msgstr ""
+msgstr "无法变更为旧的 GID：%s; 停用 paranoia 模式"
 
-#: nscd/connections.c:1477
+#: nscd/connections.c:1514
 #, c-format
 msgid "cannot change to old working directory: %s; disabling paranoia mode"
-msgstr ""
+msgstr "无法变更为旧的工作目录：%s; 停用 paranoia 模式"
 
-#: nscd/connections.c:1523
+#: nscd/connections.c:1560
 #, c-format
 msgid "re-exec failed: %s; disabling paranoia mode"
-msgstr ""
+msgstr "re-exec 失败：%s; 停用 paranoia 模式"
 
-#: nscd/connections.c:1532
+#: nscd/connections.c:1569
 #, c-format
 msgid "cannot change current working directory to \"/\": %s"
-msgstr ""
+msgstr "无法变更目前的工作目录到 “/” ：%s"
 
-#: nscd/connections.c:1725
+#: nscd/connections.c:1762
 #, c-format
 msgid "short read while reading request: %s"
 msgstr "读取请求时没有读入足够的数据：%s"
 
-#: nscd/connections.c:1758
+#: nscd/connections.c:1795
 #, c-format
 msgid "key length in request too long: %d"
 msgstr "请求中的键过长：%d"
 
-#: nscd/connections.c:1771
+#: nscd/connections.c:1808
 #, c-format
 msgid "short read while reading request key: %s"
 msgstr "读入请求键的时候没有读入足够的数据：%s"
 
-#: nscd/connections.c:1781
+#: nscd/connections.c:1818
 #, c-format
 msgid "handle_request: request received (Version = %d) from PID %ld"
 msgstr "处理请求：已从进程ID %2$ld 收到请求 (版本 = %1$d)"
 
-#: nscd/connections.c:1786
+#: nscd/connections.c:1823
 #, c-format
 msgid "handle_request: request received (Version = %d)"
 msgstr "处理请求：已收到请求 (版本 = %d)"
 
-#: nscd/connections.c:2050 nscd/connections.c:2252
+#: nscd/connections.c:1963
 #, c-format
-msgid "disabled inotify after read error %d"
-msgstr ""
+msgid "ignored inotify event for `%s` (file exists)"
+msgstr "为 `%s` 忽略 inotify 事件（文件存在）"
 
-#: nscd/connections.c:2375
-#, fuzzy
-#| msgid "cannot initialize archive file"
+#: nscd/connections.c:1968
+#, c-format
+msgid "monitored file `%s` was %s, removing watch"
+msgstr "监视文件 `%s' 原为 %s，移除监视"
+
+#: nscd/connections.c:1976 nscd/connections.c:2018
+#, c-format
+msgid "failed to remove file watch `%s`: %s"
+msgstr "移除文件监视 `%s' 失败: %s"
+
+#: nscd/connections.c:1991
+#, c-format
+msgid "monitored file `%s` was written to"
+msgstr "监视的文件 '%s' 被写入"
+
+#: nscd/connections.c:2015
+#, c-format
+msgid "monitored parent directory `%s` was %s, removing watch on `%s`"
+msgstr "监视父目录 `%s' 原为 %s，移除 `%s' 上的监视"
+
+#: nscd/connections.c:2041
+#, c-format
+msgid "monitored file `%s` was %s, adding watch"
+msgstr "监视文件 `%s' 原为 %s，添加监视"
+
+#: nscd/connections.c:2053
+#, c-format
+msgid "failed to add file watch `%s`: %s"
+msgstr "添加文件监视 `%s' 失败: %s"
+
+#: nscd/connections.c:2247 nscd/connections.c:2428
+#, c-format
+msgid "disabled inotify-based monitoring after read error %d"
+msgstr "停用基于 inotify 的监控，在读取错误 %d 发生后"
+
+#: nscd/connections.c:2543
 msgid "could not initialize conditional variable"
-msgstr "无法初始化归档文件"
+msgstr "无法初始化条件变量"
 
-#: nscd/connections.c:2383
+#: nscd/connections.c:2551
 msgid "could not start clean-up thread; terminating"
-msgstr ""
+msgstr "无法开始清理线程；终止中"
 
-#: nscd/connections.c:2397
+#: nscd/connections.c:2565
 msgid "could not start any worker thread; terminating"
-msgstr ""
+msgstr "无法开始任何背景工作线程；终止中"
 
-#: nscd/connections.c:2452 nscd/connections.c:2454 nscd/connections.c:2470
-#: nscd/connections.c:2480 nscd/connections.c:2498 nscd/connections.c:2509
-#: nscd/connections.c:2519
+#: nscd/connections.c:2620 nscd/connections.c:2622 nscd/connections.c:2638
+#: nscd/connections.c:2648 nscd/connections.c:2666 nscd/connections.c:2677
+#: nscd/connections.c:2687
 #, c-format
 msgid "Failed to run nscd as user '%s'"
-msgstr ""
+msgstr "以用户 '%s' 的身分运行 nscd 失败"
 
-#: nscd/connections.c:2472
+#: nscd/connections.c:2640
 msgid "initial getgrouplist failed"
 msgstr "初始化 getgrouplist 失败"
 
-#: nscd/connections.c:2481
+#: nscd/connections.c:2649
 msgid "getgrouplist failed"
 msgstr "getgrouplist 失败"
 
-#: nscd/connections.c:2499
+#: nscd/connections.c:2667
 msgid "setgroups failed"
 msgstr "setgroups 失败"
 
-#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:410
+#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:411
 #: nscd/pwdcache.c:383 nscd/servicescache.c:338
 #, c-format
 msgid "short write in %s: %s"
-msgstr ""
+msgstr "写入 %s 的数据过短: %s"
 
-#: nscd/grpcache.c:450 nscd/initgrcache.c:77
+#: nscd/grpcache.c:450 nscd/initgrcache.c:78
 #, c-format
 msgid "Haven't found \"%s\" in group cache!"
 msgstr "无法在组缓冲区中找到“%s”！"
 
-#: nscd/grpcache.c:452 nscd/initgrcache.c:79
+#: nscd/grpcache.c:452 nscd/initgrcache.c:80
 #, c-format
 msgid "Reloading \"%s\" in group cache!"
 msgstr "在组缓冲区中重新加载“%s”！"
@@ -4017,41 +4112,37 @@ msgstr "在组缓冲区中重新加载“%s”！"
 #: nscd/grpcache.c:531
 #, c-format
 msgid "Invalid numeric gid \"%s\"!"
-msgstr ""
+msgstr "无效的 gid 数值 \"%s\"!"
 
 #: nscd/mem.c:425
 #, c-format
 msgid "freed %zu bytes in %s cache"
-msgstr ""
+msgstr "在 %2$s 缓存中 %1$zu 字节可用"
 
 #: nscd/mem.c:568
 #, c-format
 msgid "no more memory for database '%s'"
-msgstr ""
+msgstr "无内存可用于数据库 “%s” "
 
 #: nscd/netgroupcache.c:121
-#, fuzzy, c-format
-#| msgid "Haven't found \"%s\" in group cache!"
+#, c-format
 msgid "Haven't found \"%s\" in netgroup cache!"
-msgstr "无法在组缓冲区中找到“%s”！"
+msgstr "尚未在网络群组缓存中找到 “%s” ！"
 
 #: nscd/netgroupcache.c:123
-#, fuzzy, c-format
-#| msgid "Reloading \"%s\" in group cache!"
+#, c-format
 msgid "Reloading \"%s\" in netgroup cache!"
-msgstr "在组缓冲区中重新加载“%s”！"
+msgstr "重新在网络群组缓存中加载 “%s” ！"
 
 #: nscd/netgroupcache.c:495
-#, fuzzy, c-format
-#| msgid "Haven't found \"%s\" in group cache!"
+#, c-format
 msgid "Haven't found \"%s (%s,%s,%s)\" in netgroup cache!"
-msgstr "无法在组缓冲区中找到“%s”！"
+msgstr "尚未在网络群组缓存中找到 “%s (%s,%s,%s)” ！"
 
 #: nscd/netgroupcache.c:498
-#, fuzzy, c-format
-#| msgid "Reloading \"%s\" in group cache!"
+#, c-format
 msgid "Reloading \"%s (%s,%s,%s)\" in netgroup cache!"
-msgstr "在组缓冲区中重新加载“%s”！"
+msgstr "重新在网络群组缓存中加载 “%s (%s,%s,%s)” ！"
 
 #: nscd/nscd.c:106
 msgid "Read configuration data from NAME"
@@ -4059,15 +4150,15 @@ msgstr "从 NAME 中读取配置数据"
 
 #: nscd/nscd.c:108
 msgid "Do not fork and display messages on the current tty"
-msgstr ""
+msgstr "不在目前的 tty 产生子进程 (fork) 以及显示消息"
 
 #: nscd/nscd.c:110
 msgid "Do not fork, but otherwise behave like a daemon"
-msgstr ""
+msgstr "不衍生，但是否则 behave 如同守护程序"
 
 #: nscd/nscd.c:111
 msgid "NUMBER"
-msgstr ""
+msgstr "号码"
 
 #: nscd/nscd.c:111
 msgid "Start NUMBER threads"
@@ -4078,22 +4169,20 @@ msgid "Shut the server down"
 msgstr "关闭服务器"
 
 #: nscd/nscd.c:113
-#, fuzzy
-#| msgid "Print current configuration statistic"
 msgid "Print current configuration statistics"
-msgstr "打印当前配置统计"
+msgstr "印出目前组态统计"
 
 #: nscd/nscd.c:114
 msgid "TABLE"
-msgstr ""
+msgstr "表格"
 
 #: nscd/nscd.c:115
 msgid "Invalidate the specified cache"
-msgstr ""
+msgstr "使选定的缓存无效"
 
 #: nscd/nscd.c:116
 msgid "TABLE,yes"
-msgstr ""
+msgstr "要制作表格"
 
 #: nscd/nscd.c:117
 msgid "Use separate cache for each user"
@@ -4101,9 +4190,9 @@ msgstr "为每个用户使用分离的缓冲区"
 
 #: nscd/nscd.c:122
 msgid "Name Service Cache Daemon."
-msgstr ""
+msgstr "网域名称缓存精灵"
 
-#: nscd/nscd.c:155 nss/getent.c:1003 nss/makedb.c:206
+#: nscd/nscd.c:155 nss/getent.c:1007 nss/makedb.c:206
 #, c-format
 msgid "wrong number of arguments"
 msgstr "参数个数错误"
@@ -4119,10 +4208,9 @@ msgid "already running"
 msgstr "已经在运行"
 
 #: nscd/nscd.c:194
-#, fuzzy, c-format
-#| msgid "cannot create directory for output files"
+#, c-format
 msgid "cannot create a pipe to talk to the child"
-msgstr "无法为输出文件创建目录"
+msgstr "无法为同子进程交流创建管道"
 
 #: nscd/nscd.c:198
 #, c-format
@@ -4131,13 +4219,13 @@ msgstr "无法 fork"
 
 #: nscd/nscd.c:268
 msgid "cannot change current working directory to \"/\""
-msgstr ""
+msgstr "无法变更目前的工作目录到 “/” "
 
 #: nscd/nscd.c:276
 msgid "Could not create log file"
 msgstr "无法创建日志文件"
 
-#: nscd/nscd.c:355 nscd/nscd_stat.c:192
+#: nscd/nscd.c:355 nscd/nscd_stat.c:194
 #, c-format
 msgid "write incomplete"
 msgstr "写入不完整"
@@ -4152,21 +4240,20 @@ msgstr "无法读入 invalidate ACK"
 msgid "invalidation failed"
 msgstr "无效化失败"
 
-#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:173
+#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:175
 #, c-format
 msgid "Only root is allowed to use this option!"
 msgstr "只有根用户允许使用本选项！"
 
 #: nscd/nscd.c:437
-#, fuzzy, c-format
-#| msgid "%s is not a known library type"
+#, c-format
 msgid "'%s' is not a known database"
-msgstr "%s 不是已知类型的库"
+msgstr " ‘%s’ 并非一已知数据库"
 
 #: nscd/nscd.c:452
 #, c-format
 msgid "secure services not implemented anymore"
-msgstr ""
+msgstr "安全服务不再实现"
 
 #: nscd/nscd.c:485
 #, c-format
@@ -4177,23 +4264,26 @@ msgid ""
 "For bug reporting instructions, please see:\n"
 "%s.\n"
 msgstr ""
+"支持的表：\n"
+"%s\n"
+"\n"
+"要获得 bug 报告指示，请见：\n"
+"%s。\n"
 
 #: nscd/nscd.c:635
-#, fuzzy, c-format
-#| msgid "lstat failed"
+#, c-format
 msgid "'wait' failed\n"
-msgstr "lstat 操作失败"
+msgstr "'wait' 失败\n"
 
 #: nscd/nscd.c:642
 #, c-format
 msgid "child exited with status %d\n"
-msgstr ""
+msgstr "子进程以状态 %d 退出\n"
 
 #: nscd/nscd.c:647
-#, fuzzy, c-format
-#| msgid "Interrupted by a signal"
+#, c-format
 msgid "child terminated by signal %d\n"
-msgstr "被信号中断"
+msgstr "子进程被信号 %d 中断\n"
 
 #: nscd/nscd_conf.c:54
 #, c-format
@@ -4208,17 +4298,17 @@ msgstr "解析错误：%s"
 #: nscd/nscd_conf.c:191
 #, c-format
 msgid "Must specify user name for server-user option"
-msgstr ""
+msgstr "必须为服务器用户选项指定用户名"
 
 #: nscd/nscd_conf.c:198
 #, c-format
 msgid "Must specify user name for stat-user option"
-msgstr ""
+msgstr "必须为 stat 用户选项指定用户名"
 
 #: nscd/nscd_conf.c:255
 #, c-format
 msgid "Must specify value for restart-interval option"
-msgstr ""
+msgstr "必须指定用于 restart-interval 选项的值"
 
 #: nscd/nscd_conf.c:269
 #, c-format
@@ -4228,42 +4318,42 @@ msgstr "未知的选项：%s %s %s"
 #: nscd/nscd_conf.c:282
 #, c-format
 msgid "cannot get current working directory: %s; disabling paranoia mode"
-msgstr ""
+msgstr "无法取得目前的工作目录：%s; 停用 paranoia 模式"
 
 #: nscd/nscd_conf.c:302
 #, c-format
 msgid "maximum file size for %s database too small"
-msgstr ""
+msgstr "最大值文件大小用于 %s 数据库太小"
 
-#: nscd/nscd_stat.c:142
+#: nscd/nscd_stat.c:144
 #, c-format
 msgid "cannot write statistics: %s"
 msgstr "无法写入统计：%s"
 
-#: nscd/nscd_stat.c:157
+#: nscd/nscd_stat.c:159
 msgid "yes"
-msgstr ""
+msgstr "是"
 
-#: nscd/nscd_stat.c:158
+#: nscd/nscd_stat.c:160
 msgid "no"
-msgstr ""
+msgstr "无"
 
-#: nscd/nscd_stat.c:169
+#: nscd/nscd_stat.c:171
 #, c-format
 msgid "Only root or %s is allowed to use this option!"
 msgstr "只有根用户或 %s 允许使用本选项！"
 
-#: nscd/nscd_stat.c:180
+#: nscd/nscd_stat.c:182
 #, c-format
 msgid "nscd not running!\n"
 msgstr "nscd 未运行！\n"
 
-#: nscd/nscd_stat.c:204
+#: nscd/nscd_stat.c:206
 #, c-format
 msgid "cannot read statistics data"
 msgstr "无法读入统计数据"
 
-#: nscd/nscd_stat.c:207
+#: nscd/nscd_stat.c:209
 #, c-format
 msgid ""
 "nscd configuration:\n"
@@ -4274,27 +4364,27 @@ msgstr ""
 "\n"
 "%15d  服务器调试级别\n"
 
-#: nscd/nscd_stat.c:231
-#, c-format
+#: nscd/nscd_stat.c:233
+#, fuzzy, c-format
 msgid "%3ud %2uh %2um %2lus  server runtime\n"
-msgstr ""
+msgstr "%3ud %2uh %2um %2lus  服务器 运行时\n"
 
-#: nscd/nscd_stat.c:234
-#, c-format
+#: nscd/nscd_stat.c:236
+#, fuzzy, c-format
 msgid "    %2uh %2um %2lus  server runtime\n"
-msgstr ""
+msgstr "    %2uh %2um %2lus  服务器 运行时\n"
 
-#: nscd/nscd_stat.c:236
-#, c-format
+#: nscd/nscd_stat.c:238
+#, fuzzy, c-format
 msgid "        %2um %2lus  server runtime\n"
-msgstr ""
+msgstr "        %2um %2lus  服务器 运行时期\n"
 
-#: nscd/nscd_stat.c:238
-#, c-format
+#: nscd/nscd_stat.c:240
+#, fuzzy, c-format
 msgid "            %2lus  server runtime\n"
-msgstr ""
+msgstr "            %2lus  服务器 运行时期\n"
 
-#: nscd/nscd_stat.c:240
+#: nscd/nscd_stat.c:242
 #, c-format
 msgid ""
 "%15d  current number of threads\n"
@@ -4304,8 +4394,14 @@ msgid ""
 "%15lu  restart internal\n"
 "%15u  reload count\n"
 msgstr ""
+"%15d  目前线程数量\n"
+"%15d  最大线程数量\n"
+"%15lu  客户端必须等待的次数\n"
+"%15s  paranoia 模式已启用\n"
+"%15lu  内部重新启动\n"
+"%15u  重新加载计数\n"
 
-#: nscd/nscd_stat.c:275
+#: nscd/nscd_stat.c:277
 #, c-format
 msgid ""
 "\n"
@@ -4332,6 +4428,29 @@ msgid ""
 "%15<PRIuMAX>  memory allocations failed\n"
 "%15s  check /etc/%s for changes\n"
 msgstr ""
+"\n"
+"%s 缓存：\n"
+"\n"
+"%15s  缓存已启用\n"
+"%15s  缓存为持续的\n"
+"%15s  缓存为共享\n"
+"%15zu  建议的大小\n"
+"%15zu  总计数据保存池大小\n"
+"%15zu  使用的数据保存池大小\n"
+"%15lu  正项目的存在时间(秒)\n"
+"%15lu  负项目的存在时间(秒)\n"
+"%15<PRIuMAX> 正项目中找到缓存数\n"
+"%15<PRIuMAX> 负项目中找到缓存数\n"
+"%15<PRIuMAX> 正项目中遗漏的缓存数\n"
+"%15<PRIuMAX> 负项目中遗漏的缓存数\n"
+"%15lu%% 缓存找到的比例\n"
+"%15zu  目前缓存的数量值\n"
+"%15zu  最大值缓存数量值\n"
+"%15zu  已搜索最大值链接长度\n"
+"%15<PRIuMAX> rdlock 延迟数量\n"
+"%15<PRIuMAX> wrlock 延迟数量\n"
+"%15<PRIuMAX> 内存配置失败\n"
+"%15s  检查 /etc/%s 的变更\n"
 
 #: nscd/pwdcache.c:428
 #, c-format
@@ -4346,89 +4465,87 @@ msgstr "在口令缓冲区中重新加载“%s”！"
 #: nscd/pwdcache.c:511
 #, c-format
 msgid "Invalid numeric uid \"%s\"!"
-msgstr ""
+msgstr "无效的 uid 数值 \"%s\"!"
 
-#: nscd/selinux.c:155
+#: nscd/selinux.c:154
 #, c-format
 msgid "Failed opening connection to the audit subsystem: %m"
-msgstr ""
+msgstr "失败的打开连接到审核子系统：%m"
 
-#: nscd/selinux.c:176
+#: nscd/selinux.c:175
 msgid "Failed to set keep-capabilities"
-msgstr ""
+msgstr "设置功能保持时失败"
 
-#: nscd/selinux.c:177 nscd/selinux.c:240
+#: nscd/selinux.c:176 nscd/selinux.c:239
 msgid "prctl(KEEPCAPS) failed"
-msgstr ""
+msgstr "prctl(KEEPCAPS) 失败"
 
-#: nscd/selinux.c:191
+#: nscd/selinux.c:190
 msgid "Failed to initialize drop of capabilities"
-msgstr ""
+msgstr "初始化功能放弃时失败"
 
-#: nscd/selinux.c:192
+#: nscd/selinux.c:191
 msgid "cap_init failed"
 msgstr "cap_init 失败"
 
-#: nscd/selinux.c:213 nscd/selinux.c:230
+#: nscd/selinux.c:212 nscd/selinux.c:229
 msgid "Failed to drop capabilities"
-msgstr ""
+msgstr "放弃功能时失败"
 
-#: nscd/selinux.c:214 nscd/selinux.c:231
+#: nscd/selinux.c:213 nscd/selinux.c:230
 msgid "cap_set_proc failed"
 msgstr "cap_set_proc 失败"
 
-#: nscd/selinux.c:239
+#: nscd/selinux.c:238
 msgid "Failed to unset keep-capabilities"
-msgstr ""
+msgstr "解除设置功能保持时失败"
 
-#: nscd/selinux.c:255
+#: nscd/selinux.c:254
 msgid "Failed to determine if kernel supports SELinux"
-msgstr ""
+msgstr "决定如果内核支持 SELinux 时失败"
 
-#: nscd/selinux.c:270
+#: nscd/selinux.c:269
 msgid "Failed to start AVC thread"
-msgstr ""
+msgstr "开始 AVC 线程时失败"
 
-#: nscd/selinux.c:292
+#: nscd/selinux.c:291
 msgid "Failed to create AVC lock"
 msgstr "无法创建 AVC 锁"
 
-#: nscd/selinux.c:332
+#: nscd/selinux.c:331
 msgid "Failed to start AVC"
 msgstr "无法启动 AVC"
 
-#: nscd/selinux.c:334
+#: nscd/selinux.c:333
 msgid "Access Vector Cache (AVC) started"
-msgstr ""
+msgstr "访问矢量缓存 (AVC) 开始"
 
-#: nscd/selinux.c:369
+#: nscd/selinux.c:368
 msgid "Error querying policy for undefined object classes or permissions."
-msgstr ""
+msgstr "为未定义的对象类型或权限请求策略时出错。"
 
-#: nscd/selinux.c:376
-#, fuzzy
-#| msgid "Error getting sid from context"
+#: nscd/selinux.c:375
 msgid "Error getting security class for nscd."
-msgstr "无法从上下文中获取 sid"
+msgstr "取得 nscd 的安全类时发生错误"
 
-#: nscd/selinux.c:381
+#: nscd/selinux.c:380
 #, c-format
 msgid "Error translating permission name \"%s\" to access vector bit."
-msgstr ""
+msgstr "将权限名 \"%s\" 翻译到访问矢量位时出错。"
 
-#: nscd/selinux.c:391
+#: nscd/selinux.c:390
 msgid "Error getting context of socket peer"
-msgstr ""
+msgstr "取得对等通信端的状态组合时发生错误"
 
-#: nscd/selinux.c:396
+#: nscd/selinux.c:395
 msgid "Error getting context of nscd"
-msgstr ""
+msgstr "取得 nscd 的状态组合时发生错误"
 
-#: nscd/selinux.c:402
+#: nscd/selinux.c:401
 msgid "Error getting sid from context"
 msgstr "无法从上下文中获取 sid"
 
-#: nscd/selinux.c:440
+#: nscd/selinux.c:439
 #, c-format
 msgid ""
 "\n"
@@ -4443,6 +4560,17 @@ msgid ""
 "%15u  CAV probes\n"
 "%15u  CAV misses\n"
 msgstr ""
+"\n"
+"SELinux AVC 统计：\n"
+"\n"
+"%15u  项目查找\n"
+"%15u  项目符合项目\n"
+"%15u  项目缺少\n"
+"%15u  项目舍弃\n"
+"%15u  CAV 查找\n"
+"%15u  CAV 符合项目\n"
+"%15u  CAV 探查\n"
+"%15u  CAV 缺少\n"
 
 #: nscd/servicescache.c:387
 #, c-format
@@ -4459,10 +4587,8 @@ msgid "database [key ...]"
 msgstr "数据库 [键 ...]"
 
 #: nss/getent.c:58
-#, fuzzy
-#| msgid "CONF"
 msgid "CONFIG"
-msgstr "CONF"
+msgstr "组态"
 
 #: nss/getent.c:58
 msgid "Service configuration to be used"
@@ -4470,56 +4596,54 @@ msgstr "要使用的服务配置"
 
 #: nss/getent.c:59
 msgid "disable IDN encoding"
-msgstr ""
+msgstr "停用 IDN 编码"
 
 #: nss/getent.c:64
-#, fuzzy
-#| msgid "getent - get entries from administrative database."
 msgid "Get entries from administrative database."
-msgstr "getent - 重管理数据库获取条目。"
+msgstr "从管理数据库取得条目。"
 
 #: nss/getent.c:148 nss/getent.c:477 nss/getent.c:522
 #, c-format
 msgid "Enumeration not supported on %s\n"
 msgstr "%s 不支持枚举\n"
 
-#: nss/getent.c:917
+#: nss/getent.c:921
 #, c-format
 msgid "Unknown database name"
 msgstr "未知的数据库名"
 
-#: nss/getent.c:947
+#: nss/getent.c:951
 msgid "Supported databases:\n"
 msgstr "支持的数据库：\n"
 
-#: nss/getent.c:1013
+#: nss/getent.c:1017
 #, c-format
 msgid "Unknown database: %s\n"
 msgstr "未知的数据库：%s\n"
 
 #: nss/makedb.c:119
 msgid "Convert key to lower case"
-msgstr ""
+msgstr "转换键转换为小写"
 
 #: nss/makedb.c:122
 msgid "Do not print messages while building database"
-msgstr ""
+msgstr "不印出消息当创建数据库"
 
 #: nss/makedb.c:124
 msgid "Print content of database file, one entry a line"
-msgstr ""
+msgstr "印出内容的数据库文件，每项一行"
 
 #: nss/makedb.c:125
 msgid "CHAR"
-msgstr ""
+msgstr "字符"
 
 #: nss/makedb.c:126
 msgid "Generated line not part of iteration"
-msgstr ""
+msgstr "产生的行不是迭代的一部分"
 
 #: nss/makedb.c:131
 msgid "Create simple database from textual input."
-msgstr ""
+msgstr "从文本输入创建简单的数据库。"
 
 #: nss/makedb.c:134
 msgid ""
@@ -4532,21 +4656,19 @@ msgstr ""
 "-u 输入文件"
 
 #: nss/makedb.c:227
-#, fuzzy, c-format
-#| msgid "cannot open database file `%s': %s"
+#, c-format
 msgid "cannot open database file `%s'"
-msgstr "无法打开数据库文件“%s”: %s"
+msgstr "无法打开数据库文件 %s"
 
 #: nss/makedb.c:272
 #, c-format
 msgid "no entries to be processed"
-msgstr ""
+msgstr "没有条目可供处理"
 
 #: nss/makedb.c:282
-#, fuzzy, c-format
-#| msgid "cannot create temporary file"
+#, c-format
 msgid "cannot create temporary file name"
-msgstr "无法创建临时文件"
+msgstr "无法创建暂存文件名称"
 
 #: nss/makedb.c:288
 #, c-format
@@ -4554,26 +4676,23 @@ msgid "cannot create temporary file"
 msgstr "无法创建临时文件"
 
 #: nss/makedb.c:304
-#, fuzzy, c-format
-#| msgid "cannot map locale archive file"
+#, c-format
 msgid "cannot stat newly created file"
-msgstr "无法映射区域归档文件"
+msgstr "无法取得新创建文件的状态"
 
 #: nss/makedb.c:315
-#, fuzzy, c-format
-#| msgid "cannot create temporary file"
+#, c-format
 msgid "cannot rename temporary file"
-msgstr "无法创建临时文件"
+msgstr "无法重命名暂存文件"
 
 #: nss/makedb.c:531 nss/makedb.c:554
-#, fuzzy, c-format
-#| msgid "cannot create searchlist"
+#, c-format
 msgid "cannot create search tree"
-msgstr "无法创建搜索列表"
+msgstr "无法创建搜索树"
 
 #: nss/makedb.c:560
 msgid "duplicate key"
-msgstr ""
+msgstr "重复键值"
 
 #: nss/makedb.c:572
 #, c-format
@@ -4581,34 +4700,29 @@ msgid "problems while reading `%s'"
 msgstr "读取“%s”时出错"
 
 #: nss/makedb.c:799
-#, fuzzy, c-format
-#| msgid "while writing database file"
+#, c-format
 msgid "failed to write new database file"
-msgstr "当写数据库文件"
+msgstr "写入新数据库文件时失败"
 
 #: nss/makedb.c:812
-#, fuzzy, c-format
-#| msgid "cannot write to database file %s: %s"
+#, c-format
 msgid "cannot stat database file"
-msgstr "无法写入数据库文件 %s: %s"
+msgstr "无法取得数据库文件的状态"
 
 #: nss/makedb.c:817
-#, fuzzy, c-format
-#| msgid "cannot open database file `%s': %s"
+#, c-format
 msgid "cannot map database file"
-msgstr "无法打开数据库文件“%s”: %s"
+msgstr "无法映射数据库文件"
 
 #: nss/makedb.c:820
-#, fuzzy, c-format
-#| msgid "while writing database file"
+#, c-format
 msgid "file not a database file"
-msgstr "当写数据库文件"
+msgstr "文件不是数据库文件"
 
 #: nss/makedb.c:871
-#, fuzzy, c-format
-#| msgid "cannot open output file `%s' for category `%s'"
+#, c-format
 msgid "cannot set file creation context for `%s'"
-msgstr "无法为范畴“%2$s”打开输出文件“%1$s”"
+msgstr "无法为 %s 设置文件创建语境"
 
 #: posix/getconf.c:400
 #, c-format
@@ -4618,7 +4732,7 @@ msgstr "用法：%s [-v 规范] 变量名 [路径名]\n"
 #: posix/getconf.c:403
 #, c-format
 msgid "       %s -a [pathname]\n"
-msgstr ""
+msgstr "       %s -a [路径名称]\n"
 
 #: posix/getconf.c:479
 #, c-format
@@ -4631,6 +4745,13 @@ msgid ""
 "environment SPEC.\n"
 "\n"
 msgstr ""
+"用法：getconf [-v SPEC] VAR\n"
+" 或： getconf [-v SPEC] PATH_VAR 路径\n"
+"\n"
+"取得变量 VAR 的组态值，或是变量 PATH_VAR\n"
+"用于路径 PATH。 如果已提供 SPEC，就给出用于编译的\n"
+"环境 SPEC 值。\n"
+"\n"
 
 #: posix/getconf.c:537
 #, c-format
@@ -4640,7 +4761,7 @@ msgstr "未知的规范“%s”"
 #: posix/getconf.c:589
 #, c-format
 msgid "Couldn't execute %s"
-msgstr ""
+msgstr "无法运行 %s"
 
 #: posix/getconf.c:633 posix/getconf.c:649
 msgid "undefined"
@@ -4652,71 +4773,60 @@ msgid "Unrecognized variable `%s'"
 msgstr "不可识别的变量“%s”"
 
 #: posix/getopt.c:592 posix/getopt.c:621
-#, fuzzy, c-format
-#| msgid "%s: option `%s' is ambiguous\n"
+#, c-format
 msgid "%s: option '%s' is ambiguous; possibilities:"
-msgstr "%s：选项“%s”具有二义性\n"
+msgstr "%s：选项 ‘%s’ 是模棱两可的；可能是："
 
 #: posix/getopt.c:662 posix/getopt.c:666
-#, fuzzy, c-format
-#| msgid "%s: option `--%s' doesn't allow an argument\n"
+#, c-format
 msgid "%s: option '--%s' doesn't allow an argument\n"
-msgstr "%s：选项“--%s”不接受任何参数\n"
+msgstr "%s: 选项 `--%s' 不允许附加参数\n"
 
 #: posix/getopt.c:675 posix/getopt.c:680
-#, fuzzy, c-format
-#| msgid "%s: option `%c%s' doesn't allow an argument\n"
+#, c-format
 msgid "%s: option '%c%s' doesn't allow an argument\n"
-msgstr "%s：选项“%c%s”不接受参数\n"
+msgstr "%s: 选项 `%c%s' 不允许附加参数\n"
 
 #: posix/getopt.c:723 posix/getopt.c:742
-#, fuzzy, c-format
-#| msgid "%s: option `%s' requires an argument\n"
+#, c-format
 msgid "%s: option '--%s' requires an argument\n"
-msgstr "%s：选项“%s”需要一个参数\n"
+msgstr "%s：选项 ‘--%s’ 需要一个参数\n"
 
 #: posix/getopt.c:780 posix/getopt.c:783
-#, fuzzy, c-format
-#| msgid "%s: unrecognized option `--%s'\n"
+#, c-format
 msgid "%s: unrecognized option '--%s'\n"
-msgstr "%s：无法识别的选项“--%s”\n"
+msgstr "%s: 未知的选项 `--%s'\n"
 
 #: posix/getopt.c:791 posix/getopt.c:794
-#, fuzzy, c-format
-#| msgid "%s: unrecognized option `%c%s'\n"
+#, c-format
 msgid "%s: unrecognized option '%c%s'\n"
-msgstr "%s：无法识别的选项“%c%s”\n"
+msgstr "%s: 未知的选项 `%c%s'\n"
 
 #: posix/getopt.c:843 posix/getopt.c:846
-#, fuzzy, c-format
-#| msgid "%s: invalid option -- %c\n"
+#, c-format
 msgid "%s: invalid option -- '%c'\n"
-msgstr "%s：无效选项 -- %c\n"
+msgstr "%s: 不适用的选项 -- %c\n"
 
 #: posix/getopt.c:899 posix/getopt.c:916 posix/getopt.c:1126
 #: posix/getopt.c:1144
-#, fuzzy, c-format
-#| msgid "%s: option requires an argument -- %c\n"
+#, c-format
 msgid "%s: option requires an argument -- '%c'\n"
-msgstr "%s：选项需要一个参数 -- %c\n"
+msgstr "%s: 选项需要一个参数 -- %c\n"
 
 #: posix/getopt.c:972 posix/getopt.c:988
-#, fuzzy, c-format
-#| msgid "%s: option `-W %s' is ambiguous\n"
+#, c-format
 msgid "%s: option '-W %s' is ambiguous\n"
-msgstr "%s：选项“-W %s”具有二义性\n"
+msgstr "%s: 选项 `-W %s' 含义不清\n"
 
 #: posix/getopt.c:1012 posix/getopt.c:1030
-#, fuzzy, c-format
-#| msgid "%s: option `-W %s' doesn't allow an argument\n"
+#, c-format
 msgid "%s: option '-W %s' doesn't allow an argument\n"
-msgstr "%s：选项“-W %s”不接受参数\n"
+msgstr "%s: 选项 `-W %s' 不允许附加参数\n"
 
 #: posix/getopt.c:1051 posix/getopt.c:1069
-#, fuzzy, c-format
-#| msgid "%s: option `%s' requires an argument\n"
+#, c-format
 msgid "%s: option '-W %s' requires an argument\n"
-msgstr "%s：选项“%s”需要一个参数\n"
+msgstr "%s：选项 ‘-W %s’ 需要一个参数\n"
 
 #: posix/regcomp.c:140
 msgid "No match"
@@ -4728,7 +4838,7 @@ msgstr "无效的常规表达式"
 
 #: posix/regcomp.c:146
 msgid "Invalid collation character"
-msgstr ""
+msgstr "不适用的对照字符"
 
 #: posix/regcomp.c:149
 msgid "Invalid character class name"
@@ -4736,7 +4846,7 @@ msgstr "无效的字符类名"
 
 #: posix/regcomp.c:152
 msgid "Trailing backslash"
-msgstr ""
+msgstr "尾端的反斜线"
 
 #: posix/regcomp.c:155
 msgid "Invalid back reference"
@@ -4760,7 +4870,7 @@ msgstr "无效的 \\{\\} 的内容"
 
 #: posix/regcomp.c:170
 msgid "Invalid range end"
-msgstr ""
+msgstr "不适用的范围结束"
 
 #: posix/regcomp.c:173
 msgid "Memory exhausted"
@@ -4786,7 +4896,7 @@ msgstr "不匹配的 ) 或 \\)"
 msgid "No previous regular expression"
 msgstr "没有前一个常规表达式"
 
-#: posix/wordexp.c:1844
+#: posix/wordexp.c:1851
 msgid "parameter null or not set"
 msgstr "参数为 null 或未设置"
 
@@ -4841,227 +4951,188 @@ msgstr "%s：行 %d：错误命令“%s”\n"
 #: resolv/res_hconf.c:283
 #, c-format
 msgid "%s: line %d: ignoring trailing garbage `%s'\n"
-msgstr ""
+msgstr "%s: 行 %d: 正在忽略尾端的无用数据 `%s'\n"
 
 #: stdio-common/psiginfo-data.h:2
-#, fuzzy
-#| msgid "Illegal seek"
 msgid "Illegal opcode"
-msgstr "非法 seek 操作"
+msgstr "不合法的 opcode"
 
 #: stdio-common/psiginfo-data.h:3
-#, fuzzy
-#| msgid "Illegal seek"
 msgid "Illegal operand"
-msgstr "非法 seek 操作"
+msgstr "不合法的算符"
 
 #: stdio-common/psiginfo-data.h:4
 msgid "Illegal addressing mode"
-msgstr ""
+msgstr "不合法的寻址模式"
 
 #: stdio-common/psiginfo-data.h:5
-#, fuzzy
-#| msgid "Illegal seek"
 msgid "Illegal trap"
-msgstr "非法 seek 操作"
+msgstr "不合法的陷阱"
 
 #: stdio-common/psiginfo-data.h:6
 msgid "Privileged opcode"
-msgstr ""
+msgstr "需要权限的 opcode"
 
 #: stdio-common/psiginfo-data.h:7
 msgid "Privileged register"
-msgstr ""
+msgstr "需要权限的暂存器"
 
 #: stdio-common/psiginfo-data.h:8
-#, fuzzy
-#| msgid "preprocessor error"
 msgid "Coprocessor error"
-msgstr "预处理错误"
+msgstr "辅助处理器错误"
 
 #: stdio-common/psiginfo-data.h:9
-#, fuzzy
-#| msgid "Internal NIS error"
 msgid "Internal stack error"
-msgstr "内部 NIS 错误"
+msgstr "内部堆栈错误"
 
 #: stdio-common/psiginfo-data.h:12
 msgid "Integer divide by zero"
-msgstr ""
+msgstr "整数被零除"
 
 #: stdio-common/psiginfo-data.h:13
-#, fuzzy
-#| msgid "time overflow"
 msgid "Integer overflow"
-msgstr "时间溢出"
+msgstr "整数溢出"
 
 #: stdio-common/psiginfo-data.h:14
-#, fuzzy
-#| msgid "Floating point exception"
 msgid "Floating-point divide by zero"
-msgstr "浮点数例外"
+msgstr "浮点数被零除"
 
 #: stdio-common/psiginfo-data.h:15
-#, fuzzy
-#| msgid "Floating point exception"
 msgid "Floating-point overflow"
-msgstr "浮点数例外"
+msgstr "浮点数溢出"
 
 #: stdio-common/psiginfo-data.h:16
-#, fuzzy
-#| msgid "Floating point exception"
 msgid "Floating-point underflow"
-msgstr "浮点数例外"
+msgstr "浮点数下限溢出"
 
 #: stdio-common/psiginfo-data.h:17
-#, fuzzy
-#| msgid "Floating point exception"
 msgid "Floating-poing inexact result"
-msgstr "浮点数例外"
+msgstr "不精确的浮点数结果"
 
 #: stdio-common/psiginfo-data.h:18
-#, fuzzy
-#| msgid "Invalid object for operation"
 msgid "Invalid floating-point operation"
-msgstr "操作无效的对象"
+msgstr "无效的浮点数操作"
 
 #: stdio-common/psiginfo-data.h:19
-#, fuzzy
-#| msgid "Link number out of range"
 msgid "Subscript out of range"
-msgstr "连接数超出范围"
+msgstr "注标超出范围"
 
 #: stdio-common/psiginfo-data.h:22
 msgid "Address not mapped to object"
-msgstr ""
+msgstr "地址没有映射到对象"
 
 #: stdio-common/psiginfo-data.h:23
 msgid "Invalid permissions for mapped object"
-msgstr ""
+msgstr "对于映射对象的权限无效"
 
 #: stdio-common/psiginfo-data.h:26
-#, fuzzy
-#| msgid "Invalid argument"
 msgid "Invalid address alignment"
-msgstr "无效的参数"
+msgstr "无效的地址对齐"
 
 #: stdio-common/psiginfo-data.h:27
 msgid "Nonexisting physical address"
-msgstr ""
+msgstr "不存在的实体地址"
 
 #: stdio-common/psiginfo-data.h:28
 msgid "Object-specific hardware error"
-msgstr ""
+msgstr "对象特定的硬件错误"
 
 #: stdio-common/psiginfo-data.h:31
 msgid "Process breakpoint"
-msgstr ""
+msgstr "进程中断点"
 
 #: stdio-common/psiginfo-data.h:32
 msgid "Process trace trap"
-msgstr ""
+msgstr "进程追踪陷阱"
 
 #: stdio-common/psiginfo-data.h:35
-#, fuzzy
-#| msgid "Child exited"
 msgid "Child has exited"
-msgstr "子进程已退出"
+msgstr "子进程已结束"
 
 #: stdio-common/psiginfo-data.h:36
 msgid "Child has terminated abnormally and did not create a core file"
-msgstr ""
+msgstr "子进程已异常终止且未创建内存文件"
 
 #: stdio-common/psiginfo-data.h:37
 msgid "Child has terminated abnormally and created a core file"
-msgstr ""
+msgstr "子进程异常终止，创建了内存转储文件"
 
 #: stdio-common/psiginfo-data.h:38
 msgid "Traced child has trapped"
-msgstr ""
+msgstr "追踪的子进程已落入陷阱"
 
 #: stdio-common/psiginfo-data.h:39
-#, fuzzy
-#| msgid "Child exited"
 msgid "Child has stopped"
-msgstr "子进程已退出"
+msgstr "子进程已停止"
 
 #: stdio-common/psiginfo-data.h:40
 msgid "Stopped child has continued"
-msgstr ""
+msgstr "停止的子进程已继续"
 
 #: stdio-common/psiginfo-data.h:43
-#, fuzzy
-#| msgid "No data available"
 msgid "Data input available"
-msgstr "没有可用的数据"
+msgstr "数据输入可用"
 
 #: stdio-common/psiginfo-data.h:44
-#, fuzzy
-#| msgid "No buffer space available"
 msgid "Output buffers available"
-msgstr "没有可用的缓冲区空间"
+msgstr "输出缓冲区可用"
 
 #: stdio-common/psiginfo-data.h:45
-#, fuzzy
-#| msgid "No buffer space available"
 msgid "Input message available"
-msgstr "没有可用的缓冲区空间"
+msgstr "输入消息可用"
 
 #: stdio-common/psiginfo-data.h:46
 msgid "I/O error"
 msgstr "I/O 错误"
 
 #: stdio-common/psiginfo-data.h:47
-#, fuzzy
-#| msgid "RPC program not available"
 msgid "High priority input available"
-msgstr "RPC 程序不可用"
+msgstr "高优先权输入可用"
 
 #: stdio-common/psiginfo-data.h:48
 msgid "Device disconnected"
-msgstr ""
+msgstr "设备已经结束连接"
 
 #: stdio-common/psiginfo.c:139
 msgid "Signal sent by kill()"
-msgstr ""
+msgstr "kill() 已发送信号"
 
 #: stdio-common/psiginfo.c:142
 msgid "Signal sent by sigqueue()"
-msgstr ""
+msgstr "sigqueue() 已发送信号"
 
 #: stdio-common/psiginfo.c:145
 msgid "Signal generated by the expiration of a timer"
-msgstr ""
+msgstr "计时器的逾期已产生信号"
 
 #: stdio-common/psiginfo.c:148
 msgid "Signal generated by the completion of an asynchronous I/O request"
-msgstr ""
+msgstr "异步 I/O 要求的完成已产生信号"
 
 #: stdio-common/psiginfo.c:152
 msgid "Signal generated by the arrival of a message on an empty message queue"
-msgstr ""
+msgstr "空消息队列中到达的消息已产生信号"
 
 #: stdio-common/psiginfo.c:157
 msgid "Signal sent by tkill()"
-msgstr ""
+msgstr "tkill() 已发送信号"
 
 #: stdio-common/psiginfo.c:162
 msgid "Signal generated by the completion of an asynchronous name lookup request"
-msgstr ""
+msgstr "异步名称查找要求的完成已产生信号"
 
 #: stdio-common/psiginfo.c:168
 msgid "Signal generated by the completion of an I/O request"
-msgstr ""
+msgstr "I/O 要求的完成已产生信号"
 
 #: stdio-common/psiginfo.c:174
 msgid "Signal sent by the kernel"
-msgstr ""
+msgstr "内核已发送信号"
 
 #: stdio-common/psiginfo.c:198
-#, fuzzy, c-format
-#| msgid "Unknown signal %d"
+#, c-format
 msgid "Unknown signal %d\n"
-msgstr "未知信号 %d"
+msgstr "不明信号 %d\n"
 
 #: stdio-common/psignal.c:43
 #, c-format
@@ -5095,30 +5166,27 @@ msgstr "未知信号 %d"
 #: sunrpc/svc_udp.c:162 sunrpc/svc_unix.c:188 sunrpc/svc_unix.c:229
 #: sunrpc/xdr.c:631 sunrpc/xdr.c:793 sunrpc/xdr_array.c:97
 #: sunrpc/xdr_rec.c:152 sunrpc/xdr_ref.c:76
-#, fuzzy
-#| msgid "out of memory"
 msgid "out of memory\n"
-msgstr "内存不足"
+msgstr "内存不足\n"
 
 #: sunrpc/auth_unix.c:349
 msgid "auth_unix.c: Fatal marshalling problem"
-msgstr ""
+msgstr "auth_unix.c: 严重的编组问题"
 
 #: sunrpc/clnt_perr.c:95 sunrpc/clnt_perr.c:111
 #, c-format
 msgid "%s: %s; low version = %lu, high version = %lu"
-msgstr ""
+msgstr "%s: %s; 低版本 = %lu，高版本 = %lu"
 
 #: sunrpc/clnt_perr.c:102
 #, c-format
 msgid "%s: %s; why = %s\n"
-msgstr ""
+msgstr "%s: %s; 原因 = %s\n"
 
 #: sunrpc/clnt_perr.c:104
-#, fuzzy, c-format
-#| msgid "(unknown authentication error - %d)"
+#, c-format
 msgid "%s: %s; why = (unknown authentication error - %d)\n"
-msgstr "(未知的认证错误 - %d)"
+msgstr "%s: %s; 原因 = (不明的认证错误 - %d)\n"
 
 #: sunrpc/clnt_perr.c:153
 msgid "RPC: Success"
@@ -5162,7 +5230,7 @@ msgstr "RPC：程序/版本不匹配"
 
 #: sunrpc/clnt_perr.c:192
 msgid "RPC: Procedure unavailable"
-msgstr ""
+msgstr "RPC: 无法取得进程"
 
 #: sunrpc/clnt_perr.c:196
 msgid "RPC: Server can't decode arguments"
@@ -5182,7 +5250,7 @@ msgstr "RPC：未知协议"
 
 #: sunrpc/clnt_perr.c:212
 msgid "RPC: Port mapper failure"
-msgstr ""
+msgstr "RPC: 通信阜映射错误"
 
 #: sunrpc/clnt_perr.c:216
 msgid "RPC: Program not registered"
@@ -5234,7 +5302,7 @@ msgstr "clnt_raw.c: 致命的头编序错误。"
 
 #: sunrpc/pm_getmaps.c:77
 msgid "pmap_getmaps.c: rpc problem"
-msgstr ""
+msgstr "pmap_getmaps.c: 远程进程调用问题"
 
 #: sunrpc/pmap_clnt.c:127
 msgid "Cannot register service"
@@ -5254,7 +5322,7 @@ msgstr "无法发送广播包"
 
 #: sunrpc/pmap_rmt.c:327
 msgid "Broadcast poll problem"
-msgstr ""
+msgstr "Broadcast 调查有问题"
 
 #: sunrpc/pmap_rmt.c:340
 msgid "Cannot receive reply to broadcast"
@@ -5276,10 +5344,9 @@ msgid "%s: while writing output %s: %m"
 msgstr "%s：写入输出 %s 时：%m"
 
 #: sunrpc/rpc_main.c:336 sunrpc/rpc_main.c:375
-#, fuzzy, c-format
-#| msgid "cannot find C preprocessor: %s \n"
+#, c-format
 msgid "cannot find C preprocessor: %s\n"
-msgstr "无法找到 C 预处理器：%s\n"
+msgstr "找不到 C 前置处理器：%s\n"
 
 #: sunrpc/rpc_main.c:411
 #, c-format
@@ -5304,7 +5371,7 @@ msgstr "rpcgen：定义过多\n"
 #: sunrpc/rpc_main.c:1101
 #, c-format
 msgid "rpcgen: arglist coding error\n"
-msgstr ""
+msgstr "rpcgen: arglist 编码错误\n"
 
 #. TRANS: the file will not be removed; this is an
 #. TRANS: informative message.
@@ -5321,7 +5388,7 @@ msgstr "无法指定多个输入文件！\n"
 #: sunrpc/rpc_main.c:1349
 #, c-format
 msgid "This implementation doesn't support newstyle or MT-safe code!\n"
-msgstr ""
+msgstr "此实现方式不支持新式 (newstyle) 或多线程安全 (MT-Safe) 的程序!\n"
 
 #: sunrpc/rpc_main.c:1358
 #, c-format
@@ -5336,7 +5403,7 @@ msgstr "无法在未使用 TIRPC 的时候使用 netid 标志！\n"
 #: sunrpc/rpc_main.c:1374
 #, c-format
 msgid "Cannot use table flags with newstyle!\n"
-msgstr "无法以新风格使用表格标志！\n"
+msgstr "无法以新风格 (newstyle) 使用表格标志！\n"
 
 #: sunrpc/rpc_main.c:1393
 #, c-format
@@ -5376,141 +5443,137 @@ msgstr "\t%s [-n 网络 id]* [-o 输出文件] [输入文件]\n"
 #: sunrpc/rpc_main.c:1421
 #, c-format
 msgid "options:\n"
-msgstr ""
+msgstr "选项：\n"
 
 #: sunrpc/rpc_main.c:1422
 #, c-format
 msgid "-a\t\tgenerate all files, including samples\n"
-msgstr ""
+msgstr "-a\t\t产生所有文件，包含样本\n"
 
 #: sunrpc/rpc_main.c:1423
 #, c-format
 msgid "-b\t\tbackward compatibility mode (generates code for SunOS 4.1)\n"
-msgstr ""
+msgstr "-b\t\t向后兼容模式 (产生用于 SunOS 4.1 的编码)\n"
 
 #: sunrpc/rpc_main.c:1424
 #, c-format
 msgid "-c\t\tgenerate XDR routines\n"
-msgstr ""
+msgstr "-c\t\t产生 XDR 例程\n"
 
 #: sunrpc/rpc_main.c:1425
 #, c-format
 msgid "-C\t\tANSI C mode\n"
-msgstr ""
+msgstr "-C\t\tANSI C 模式\n"
 
 #: sunrpc/rpc_main.c:1426
 #, c-format
 msgid "-Dname[=value]\tdefine a symbol (same as #define)\n"
-msgstr ""
+msgstr "-D名称[=值]\t定义一个符号 (如同 #define)\n"
 
 #: sunrpc/rpc_main.c:1427
 #, c-format
 msgid "-h\t\tgenerate header file\n"
-msgstr ""
+msgstr "-h\t\t产生标头档\n"
 
 #: sunrpc/rpc_main.c:1428
 #, c-format
 msgid "-i size\t\tsize at which to start generating inline code\n"
-msgstr ""
+msgstr "-i 大小\t\t启始产生内联编码的大小\n"
 
 #: sunrpc/rpc_main.c:1429
 #, c-format
 msgid "-I\t\tgenerate code for inetd support in server (for SunOS 4.1)\n"
-msgstr ""
+msgstr "-I\t\t产生在服务器中支持的 inetd 编码 (用于 SunOS 4.1)\n"
 
 #: sunrpc/rpc_main.c:1430
 #, c-format
 msgid "-K seconds\tserver exits after K seconds of inactivity\n"
-msgstr ""
+msgstr "-K 秒\t不作用 K 秒之后离开服务器\n"
 
 #: sunrpc/rpc_main.c:1431
 #, c-format
 msgid "-l\t\tgenerate client side stubs\n"
-msgstr ""
+msgstr "-l\t\t产生客户端残余\n"
 
 #: sunrpc/rpc_main.c:1432
 #, c-format
 msgid "-L\t\tserver errors will be printed to syslog\n"
-msgstr ""
+msgstr "-L\t\t服务器错误将被打印到 syslog\n"
 
 #: sunrpc/rpc_main.c:1433
 #, c-format
 msgid "-m\t\tgenerate server side stubs\n"
-msgstr ""
+msgstr "-m\t\t产生服务器端残余\n"
 
 #: sunrpc/rpc_main.c:1434
 #, c-format
 msgid "-M\t\tgenerate MT-safe code\n"
-msgstr ""
+msgstr "-M\t\t产生多线程安全代码\n"
 
 #: sunrpc/rpc_main.c:1435
 #, c-format
 msgid "-n netid\tgenerate server code that supports named netid\n"
-msgstr ""
+msgstr "-n netid\t产生支持具名 netid 的服务器编码\n"
 
 #: sunrpc/rpc_main.c:1436
 #, c-format
 msgid "-N\t\tsupports multiple arguments and call-by-value\n"
-msgstr ""
+msgstr "-N\t\t支持多重参数和传值调用\n"
 
 #: sunrpc/rpc_main.c:1437
-#, fuzzy, c-format
-#| msgid "cannot generate output file"
+#, c-format
 msgid "-o outfile\tname of the output file\n"
-msgstr "无法生成输出文件"
+msgstr "-o 输出档\t输出文件的名称\n"
 
 #: sunrpc/rpc_main.c:1438
 #, c-format
 msgid "-s nettype\tgenerate server code that supports named nettype\n"
-msgstr ""
+msgstr "-s nettype\t产生支持具名 nettype 的服务器编码\n"
 
 #: sunrpc/rpc_main.c:1439
 #, c-format
 msgid "-Sc\t\tgenerate sample client code that uses remote procedures\n"
-msgstr ""
+msgstr "-Sc\t\t产生使用远程进程的范例客户端编码\n"
 
 #: sunrpc/rpc_main.c:1440
 #, c-format
 msgid "-Ss\t\tgenerate sample server code that defines remote procedures\n"
-msgstr ""
+msgstr "-Ss\t\t产生定义远程进程的范例服务器编码\n"
 
 #: sunrpc/rpc_main.c:1441
 #, c-format
 msgid "-Sm \t\tgenerate makefile template \n"
-msgstr ""
+msgstr "-Sm\t\t产生 makefile 模板\n"
 
 #: sunrpc/rpc_main.c:1442
 #, c-format
 msgid "-t\t\tgenerate RPC dispatch table\n"
-msgstr ""
+msgstr "-t\t\t产生 RPC 派送表\n"
 
 #: sunrpc/rpc_main.c:1443
 #, c-format
 msgid "-T\t\tgenerate code to support RPC dispatch tables\n"
-msgstr ""
+msgstr "-T\t\t产生支持 RPC 派送表的编码\n"
 
 #: sunrpc/rpc_main.c:1444
-#, fuzzy, c-format
-#| msgid "cannot find any C preprocessor (cpp)\n"
+#, c-format
 msgid "-Y path\t\tdirectory name to find C preprocessor (cpp)\n"
-msgstr "无法找到任何 C 预处理器 (cpp)\n"
+msgstr "-Y 路径\t\t要寻找 C 前置处理器 (cpp) 的目录名称\n"
 
 #: sunrpc/rpc_main.c:1445
 #, c-format
 msgid "-5\t\tSysVr4 compatibility mode\n"
-msgstr ""
+msgstr "-5\t\tSysVr4 兼容模式\n"
 
 #: sunrpc/rpc_main.c:1446
-#, fuzzy, c-format
-#| msgid "Give this help list"
+#, c-format
 msgid "--help\t\tgive this help list\n"
-msgstr "给出该系统求助列表"
+msgstr "--help\t\t给出这个使用方式列表\n"
 
 #: sunrpc/rpc_main.c:1447
-#, fuzzy, c-format
-#| msgid "Print program version"
+#, c-format
 msgid "--version\tprint program version\n"
-msgstr "打印程序版本号"
+msgstr "--version\t打印程序版本\n"
 
 #: sunrpc/rpc_main.c:1449
 #, c-format
@@ -5519,6 +5582,9 @@ msgid ""
 "For bug reporting instructions, please see:\n"
 "%s.\n"
 msgstr ""
+"\n"
+"要知道错误报告指令，请参看：\n"
+"%s。\n"
 
 #: sunrpc/rpc_scan.c:112
 msgid "constant or identifier expected"
@@ -5534,7 +5600,7 @@ msgstr "未终止的字符串常量"
 
 #: sunrpc/rpc_scan.c:379
 msgid "empty char string"
-msgstr ""
+msgstr "空的字符字串"
 
 #: sunrpc/rpc_scan.c:521 sunrpc/rpc_scan.c:531
 msgid "preprocessor error"
@@ -5580,7 +5646,7 @@ msgstr "rpcinfo：广播失败：%s\n"
 
 #: sunrpc/rpcinfo.c:667
 msgid "Sorry. You are not root\n"
-msgstr "抱歉。您不是根用户\n"
+msgstr "抱歉。您不是 root 用户\n"
 
 #: sunrpc/rpcinfo.c:674
 #, c-format
@@ -5623,7 +5689,7 @@ msgstr "svc_run： - 内存不足"
 
 #: sunrpc/svc_run.c:91
 msgid "svc_run: - poll failed"
-msgstr ""
+msgstr "svc_run: - poll 失败"
 
 #: sunrpc/svc_simple.c:80
 #, c-format
@@ -5646,7 +5712,7 @@ msgstr "registerrpc：内存不足\n"
 #: sunrpc/svc_simple.c:169
 #, c-format
 msgid "trouble replying to prog %d\n"
-msgstr ""
+msgstr "回应程序 %d 时发生困难\n"
 
 #: sunrpc/svc_simple.c:178
 #, c-format
@@ -5687,7 +5753,7 @@ msgstr "enablecache：无法分配缓冲区数据"
 
 #: sunrpc/svc_udp.c:518
 msgid "enablecache: could not allocate cache fifo"
-msgstr ""
+msgstr "enablecache: 无法配置缓存 fifo 管线"
 
 #: sunrpc/svc_udp.c:554
 msgid "cache_set: victim not found"
@@ -5727,7 +5793,7 @@ msgstr "非法指令"
 
 #: sysdeps/generic/siglist.h:32
 msgid "Trace/breakpoint trap"
-msgstr ""
+msgstr "追踪与中断点陷阱"
 
 #: sysdeps/generic/siglist.h:33
 msgid "Aborted"
@@ -5768,7 +5834,7 @@ msgstr "已终止"
 
 #: sysdeps/generic/siglist.h:41
 msgid "Urgent I/O condition"
-msgstr ""
+msgstr "紧急的输出入状态"
 
 #: sysdeps/generic/siglist.h:42
 msgid "Stopped (signal)"
@@ -5796,7 +5862,7 @@ msgstr "停止 (tty 输出)"
 
 #: sysdeps/generic/siglist.h:48
 msgid "I/O possible"
-msgstr ""
+msgstr "I/O 可行"
 
 #: sysdeps/generic/siglist.h:49
 msgid "CPU time limit exceeded"
@@ -5812,7 +5878,7 @@ msgstr "虚拟计时器超时"
 
 #: sysdeps/generic/siglist.h:52
 msgid "Profiling timer expired"
-msgstr ""
+msgstr "测速评估用的计时器已过时取消了"
 
 #: sysdeps/generic/siglist.h:53
 msgid "User defined signal 1"
@@ -5824,7 +5890,7 @@ msgstr "用户定义信号 2"
 
 #: sysdeps/generic/siglist.h:58
 msgid "EMT trap"
-msgstr ""
+msgstr "EMT 陷阱"
 
 #: sysdeps/generic/siglist.h:61
 msgid "Bad system call"
@@ -5848,7 +5914,7 @@ msgstr "资源丢失"
 
 #: sysdeps/generic/siglist.h:75
 msgid "Window changed"
-msgstr ""
+msgstr "范围改变了"
 
 #. TRANS Operation not permitted; only the owner of the file (or other resource)
 #. TRANS or processes with special privileges can perform the operation.
@@ -6210,7 +6276,7 @@ msgstr "由软件导致的连接断开"
 #. TRANS protocol violation.
 #: sysdeps/gnu/errlist.c:615
 msgid "Connection reset by peer"
-msgstr ""
+msgstr "连接被对方重设"
 
 #. TRANS The kernel's buffers for I/O operations are all in use.  In GNU, this
 #. TRANS error is always synonymous with @code{ENOMEM}; you may get one or the
@@ -6316,7 +6382,7 @@ msgstr "超出磁盘限额"
 #. TRANS and remounting the file system.
 #: sysdeps/gnu/errlist.c:789
 msgid "Stale file handle"
-msgstr ""
+msgstr "过旧的文件控柄"
 
 #. TRANS An attempt was made to NFS-mount a remote file system with a file name that
 #. TRANS already specifies an NFS-mounted file.
@@ -6349,7 +6415,7 @@ msgstr "RPC 程序版本错误"
 #. TRANS ???
 #: sysdeps/gnu/errlist.c:846
 msgid "RPC bad procedure for program"
-msgstr ""
+msgstr "程序的 RPC 进程错误"
 
 #. TRANS No locks available.  This is used by the file locking facilities; see
 #. TRANS @ref{File Locks}.  This error is never generated by @gnuhurdsystems{}, but
@@ -6424,7 +6490,7 @@ msgstr "对后台进程的不适当操作"
 #. TRANS up, before it has connected to the file.
 #: sysdeps/gnu/errlist.c:957
 msgid "Translator died"
-msgstr ""
+msgstr "中介程序已经结束"
 
 #. TRANS The experienced user will know what is wrong.
 #. TRANS @c This error code is a joke.  Its perror text is part of the joke.
@@ -6436,17 +6502,49 @@ msgstr "？"
 #. TRANS You did @strong{what}?
 #: sysdeps/gnu/errlist.c:977
 msgid "You really blew it this time"
-msgstr ""
+msgstr "这次真的被您打败了"
 
+# This is error EIEIO, errno 104
+#
+# - Macro: int EIEIO
+#     Go home and have a glass of warm, dairy-fresh milk.
+#
+# The following messages were copied & pasted
+# from es.po by Santiago Vila Doncel <sanvila@unex.es>.
+#
+# <es.po>
+#  稣u diablos es esto?, esperemos a tener las fuentes
+#  estupendo, este error parece mostrarse en dos ocasiones
+# - Macro: int EIEIO
+#     Go home and have a glass of warm, dairy-fresh milk.
+#  Jochen tambien lo traduce as.  em
+#
+# Okay.  Since you are dying to know, I'll tell you.
+# This is a joke, obviously.  There is a children's song which begins,
+# "Old McDonald had a farm, e-i-e-i-o."  Every time I see the (real)
+# errno macro EIO, I think about that song.  Probably most of my
+# compatriots who program on Unix do, too.  One of them must have stayed
+# up a little too late one night and decided to add it to Hurd or Glibc.
+# Whoever did it should be castigated, but it made me laugh.
+#  --jtobey@channel1.com
+#
+# "bought the farm" means "died".  -jtobey
+#
+# Bueno, pues despu廥 de pensarlo mucho, he seguido el ejemplo de la
+# traducci鏮 francesa (traducci鏮 libre). sv
+# </es.po>
+#
+# 简单的说，儿歌 "唐老先生有块地..."，然后呢?? ;-p
+#
 #. TRANS Go home and have a glass of warm, dairy-fresh milk.
 #: sysdeps/gnu/errlist.c:986
 msgid "Computer bought the farm"
-msgstr ""
+msgstr "这台电脑买了一块地啰"
 
 #. TRANS This error code has no purpose.
 #: sysdeps/gnu/errlist.c:995
 msgid "Gratuitous error"
-msgstr ""
+msgstr "无故的错误"
 
 #: sysdeps/gnu/errlist.c:1003
 msgid "Bad message"
@@ -6458,7 +6556,7 @@ msgstr "标识符已删除"
 
 #: sysdeps/gnu/errlist.c:1019
 msgid "Multihop attempted"
-msgstr ""
+msgstr "尝试 Multihop"
 
 #: sysdeps/gnu/errlist.c:1027
 msgid "No data available"
@@ -6466,11 +6564,11 @@ msgstr "没有可用的数据"
 
 #: sysdeps/gnu/errlist.c:1035
 msgid "Link has been severed"
-msgstr ""
+msgstr "链接已有服务"
 
 #: sysdeps/gnu/errlist.c:1043
 msgid "No message of desired type"
-msgstr ""
+msgstr "没有符合需求格式的消息"
 
 #: sysdeps/gnu/errlist.c:1051
 msgid "Out of streams resources"
@@ -6558,7 +6656,7 @@ msgstr "无效的请求码"
 
 #: sysdeps/gnu/errlist.c:1215
 msgid "Invalid slot"
-msgstr ""
+msgstr "不适用的 slot"
 
 #: sysdeps/gnu/errlist.c:1223
 msgid "File locking deadlock error"
@@ -6578,11 +6676,11 @@ msgstr "包未安装"
 
 #: sysdeps/gnu/errlist.c:1255
 msgid "Advertise error"
-msgstr ""
+msgstr "通知错误"
 
 #: sysdeps/gnu/errlist.c:1263
 msgid "Srmount error"
-msgstr ""
+msgstr "Srmount 错误"
 
 #: sysdeps/gnu/errlist.c:1271
 msgid "Communication error on send"
@@ -6590,11 +6688,11 @@ msgstr "发送时出现通讯错误"
 
 #: sysdeps/gnu/errlist.c:1279
 msgid "RFS specific error"
-msgstr ""
+msgstr "RFS 特定错误"
 
 #: sysdeps/gnu/errlist.c:1287
 msgid "Name not unique on network"
-msgstr ""
+msgstr "网络上的名称不是唯一的"
 
 #: sysdeps/gnu/errlist.c:1295
 msgid "File descriptor in bad state"
@@ -6666,29 +6764,27 @@ msgstr "关键字已过期"
 
 #: sysdeps/gnu/errlist.c:1431
 msgid "Key has been revoked"
-msgstr ""
+msgstr "键值已取消"
 
 #: sysdeps/gnu/errlist.c:1439
 msgid "Key was rejected by service"
-msgstr ""
+msgstr "键值被服务所拒绝"
 
 #: sysdeps/gnu/errlist.c:1447
 msgid "Owner died"
-msgstr ""
+msgstr "拥有者已消逝"
 
 #: sysdeps/gnu/errlist.c:1455
 msgid "State not recoverable"
-msgstr ""
+msgstr "状态无法回复"
 
 #: sysdeps/gnu/errlist.c:1463
-#, fuzzy
-#| msgid "Operation not applicable"
 msgid "Operation not possible due to RF-kill"
-msgstr "不可应用的操作"
+msgstr "由于 RF-kill 而无法操作"
 
 #: sysdeps/gnu/errlist.c:1471
 msgid "Memory page has hardware error"
-msgstr ""
+msgstr "内存分页有硬件错误"
 
 #: sysdeps/mach/_strerror.c:56
 msgid "Error in unknown error system: "
@@ -6728,7 +6824,7 @@ msgstr "未知的名称或服务"
 
 #: sysdeps/posix/gai_strerror-strs.h:9
 msgid "Servname not supported for ai_socktype"
-msgstr ""
+msgstr "不支持 ai_socktype 的伺服名称"
 
 #: sysdeps/posix/gai_strerror-strs.h:10
 msgid "ai_socktype not supported"
@@ -6740,7 +6836,7 @@ msgstr "系统错误"
 
 #: sysdeps/posix/gai_strerror-strs.h:12
 msgid "Processing request in progress"
-msgstr ""
+msgstr "此项请求已经在处理当中"
 
 #: sysdeps/posix/gai_strerror-strs.h:13
 msgid "Request canceled"
@@ -6760,7 +6856,7 @@ msgstr "被信号中断"
 
 #: sysdeps/posix/gai_strerror-strs.h:17
 msgid "Parameter string not correctly encoded"
-msgstr ""
+msgstr "参数字串无法正确编码"
 
 #: sysdeps/unix/sysv/linux/i386/readelflib.c:65
 #, c-format
@@ -6778,6 +6874,8 @@ msgid ""
 "Usage: lddlibc4 FILE\n"
 "\n"
 msgstr ""
+"用法：lddlibc4 文件\n"
+"\n"
 
 #: sysdeps/unix/sysv/linux/lddlibc4.c:81
 #, c-format
@@ -6791,33 +6889,35 @@ msgstr "无法从“%s”中读入头"
 
 #: timezone/zdump.c:282
 msgid "lacks alphabetic at start"
-msgstr ""
+msgstr "lacks 字母顺序于开始"
 
 #: timezone/zdump.c:284
 msgid "has fewer than 3 alphabetics"
-msgstr ""
+msgstr "有更少的比 3 字母顺序"
 
 #: timezone/zdump.c:286
 msgid "has more than 6 alphabetics"
-msgstr ""
+msgstr "有超过 6 字母顺序"
 
 #: timezone/zdump.c:294
 msgid "differs from POSIX standard"
-msgstr ""
+msgstr "differs 从 POSIX 标准"
 
 #: timezone/zdump.c:300
 #, c-format
 msgid "%s: warning: zone \"%s\" abbreviation \"%s\" %s\n"
-msgstr ""
+msgstr "%s: 警告：区域 “%s” 缩写 “%s” %s\n"
 
 #: timezone/zdump.c:309
-#, fuzzy, c-format
-#| msgid "%s: usage is %s [ --version ] [ -v ] [ -c [loyear,]hiyear ] zonename ...\n"
+#, c-format
 msgid ""
 "%s: usage: %s [--version] [--help] [-{vV}] [-{ct} [lo,]hi] zonename ...\n"
 "\n"
 "Report bugs to %s.\n"
-msgstr "%s：用法为 %s [ --version ] [ -v ] [ -c [loyear,]hiyear ] 区域名 ...\n"
+msgstr ""
+"%s：用法： %s [--version] [--help] [-v] [-c [低年分,]高年分 ] 区域名称 ...\n"
+"\n"
+"将错误通报给 %s。\n"
 
 #: timezone/zdump.c:386
 #, c-format
@@ -6825,10 +6925,9 @@ msgid "%s: wild -c argument %s\n"
 msgstr "%s： 怪异的 -c 选项 %s\n"
 
 #: timezone/zdump.c:419
-#, fuzzy, c-format
-#| msgid "%s: wild -c argument %s\n"
+#, c-format
 msgid "%s: wild -t argument %s\n"
-msgstr "%s： 怪异的 -c 选项 %s\n"
+msgstr "%s: wild -c 参数 %s\n"
 
 #: timezone/zdump.c:508
 msgid "Error writing to standard output"
@@ -6840,15 +6939,14 @@ msgid "%s: Memory exhausted: %s\n"
 msgstr "%s：内存耗尽：%s\n"
 
 #: timezone/zic.c:438
-#, fuzzy, c-format
-#| msgid "\"%s\", line %d: %s"
+#, c-format
 msgid "\"%s\", line %d: "
-msgstr "“%s”，行 %d：%s"
+msgstr "\"%s\", 第 %d 行: "
 
 #: timezone/zic.c:441
 #, c-format
 msgid " (rule from \"%s\", line %d)"
-msgstr ""
+msgstr " (规则来自 \"%s\", 第 %d 行)"
 
 #: timezone/zic.c:460
 #, c-format
@@ -6856,22 +6954,21 @@ msgid "warning: "
 msgstr "警告："
 
 #: timezone/zic.c:470
-#, fuzzy, c-format
-#| msgid ""
-#| "%s: usage is %s [ --version ] [ -v ] [ -l localtime ] [ -p posixrules ] \\\n"
-#| "\t[ -d directory ] [ -L leapseconds ] [ -y yearistype ] [ filename ... ]\n"
+#, c-format
 msgid ""
 "%s: usage is %s [ --version ] [ --help ] [ -v ] [ -l localtime ] [ -p posixrules ] \\\n"
 "\t[ -d directory ] [ -L leapseconds ] [ -y yearistype ] [ filename ... ]\n"
 "\n"
 "Report bugs to %s.\n"
 msgstr ""
-"%s：用法为 %s [ --version ] [ -v ] [ -l 本地时间 ] [ -p posix 规则 ] \\\n"
-"\t[ -d 目录 ] [ -L leapseconds ] [ -y yearistype ] [ 文件名 ... ]\n"
+"%s：用法为 %s [ --version ] [ --help ] [ -v ] [ -l 本地时间 ] [ -p POSIX规则 ] \\\n"
+"\t[ -d 目录 ] [ -L 跳跃秒数 ] [ -y 年分类型 ] [ 文件名 ... ]\n"
+"\n"
+"将错误通报给 %s。\n"
 
 #: timezone/zic.c:505
 msgid "wild compilation-time specification of zic_t"
-msgstr ""
+msgstr "zic_t 的万用编译时间规格"
 
 #: timezone/zic.c:524
 #, c-format
@@ -6907,10 +7004,9 @@ msgid "hard link failed, symbolic link used"
 msgstr "硬连接失败，使用符号连接"
 
 #: timezone/zic.c:688
-#, fuzzy, c-format
-#| msgid "%s: Can't create %s: %s\n"
+#, c-format
 msgid "%s: Can't read %s: %s\n"
-msgstr "%s：无法创建 %s：%s\n"
+msgstr "%s: 无法读取 %s: %s\n"
 
 #: timezone/zic.c:696 timezone/zic.c:1595
 #, c-format
@@ -6928,10 +7024,8 @@ msgid "%s: Error writing %s\n"
 msgstr "%s：写 %s 错误\n"
 
 #: timezone/zic.c:714
-#, fuzzy
-#| msgid "hard link failed, symbolic link used"
 msgid "link failed, copy used"
-msgstr "硬连接失败，使用符号连接"
+msgstr "链接失败，使用复制代替"
 
 #: timezone/zic.c:802 timezone/zic.c:804
 msgid "same rule name in multiple files"
@@ -6939,12 +7033,12 @@ msgstr "多个文件中的相同规则名"
 
 #: timezone/zic.c:845
 msgid "unruly zone"
-msgstr ""
+msgstr "没有规则的时区"
 
 #: timezone/zic.c:852
 #, c-format
 msgid "%s in ruleless zone"
-msgstr ""
+msgstr "%s 在没有规则的节"
 
 #: timezone/zic.c:872
 msgid "standard input"
@@ -6966,12 +7060,12 @@ msgstr "未知类型的输入行"
 #: timezone/zic.c:924
 #, c-format
 msgid "%s: Leap line in non leap seconds file %s\n"
-msgstr ""
+msgstr "%s: 闰时设置行出现在不含闰秒的设置档 %s 中\n"
 
 #: timezone/zic.c:931 timezone/zic.c:1339 timezone/zic.c:1361
 #, c-format
 msgid "%s: panic: Invalid l_value %d\n"
-msgstr ""
+msgstr "%s: 严重错误: 错误的 l_value %d\n"
 
 #: timezone/zic.c:946
 #, c-format
@@ -6988,7 +7082,7 @@ msgstr "时间溢出"
 
 #: timezone/zic.c:997
 msgid "values over 24 hours not handled by pre-2007 versions of zic"
-msgstr ""
+msgstr "24 小时以上的值无法由早于 2007 的 zic 版本所处理"
 
 #: timezone/zic.c:1008
 msgid "wrong number of fields on Rule line"
@@ -6999,8 +7093,9 @@ msgid "nameless rule"
 msgstr "无名规则"
 
 #: timezone/zic.c:1017
+#, fuzzy
 msgid "invalid saved time"
-msgstr ""
+msgstr "无效的节约时间"
 
 #: timezone/zic.c:1034
 msgid "wrong number of fields on Zone line"
@@ -7009,12 +7104,12 @@ msgstr "区域行中域的个数错误"
 #: timezone/zic.c:1039
 #, c-format
 msgid "\"Zone %s\" line and -l option are mutually exclusive"
-msgstr ""
+msgstr "\"Zone %s\" 行和 -l 选项是互斥的"
 
 #: timezone/zic.c:1045
 #, c-format
 msgid "\"Zone %s\" line and -p option are mutually exclusive"
-msgstr ""
+msgstr "\"Zone %s\" 行和 -p 选项是互斥的"
 
 #: timezone/zic.c:1053
 #, c-format
@@ -7023,13 +7118,11 @@ msgstr "重复的区域名 %s (文件“%s”，行 %d)"
 
 #: timezone/zic.c:1066
 msgid "wrong number of fields on Zone continuation line"
-msgstr ""
+msgstr "时区接续行的字段数目不对"
 
 #: timezone/zic.c:1103
-#, fuzzy
-#| msgid "invalid UTC offset"
 msgid "invalid UT offset"
-msgstr "无效的 UTC 偏移量"
+msgstr "无效的 UT 偏移量"
 
 #: timezone/zic.c:1106
 msgid "invalid abbreviation format"
@@ -7037,11 +7130,11 @@ msgstr "无效的缩略格式"
 
 #: timezone/zic.c:1135
 msgid "Zone continuation line end time is not after end time of previous line"
-msgstr ""
+msgstr "时区接续行的结束时间不在上一行的结束时间之后"
 
 #: timezone/zic.c:1161
 msgid "wrong number of fields on Leap line"
-msgstr ""
+msgstr "闰时设置行的字段数目错误"
 
 #: timezone/zic.c:1170
 msgid "invalid leaping year"
@@ -7057,7 +7150,7 @@ msgstr "无效的日"
 
 #: timezone/zic.c:1208
 msgid "time too small"
-msgstr ""
+msgstr "时间太小"
 
 #: timezone/zic.c:1212
 msgid "time too large"
@@ -7069,15 +7162,15 @@ msgstr "无效的时间"
 
 #: timezone/zic.c:1235
 msgid "illegal CORRECTION field on Leap line"
-msgstr ""
+msgstr "在闰时设置行中有不合法的 CORRECTION 字段"
 
 #: timezone/zic.c:1240
 msgid "illegal Rolling/Stationary field on Leap line"
-msgstr ""
+msgstr "在闰时设置行中有不合法的 Rolling/Stationary 字段"
 
 #: timezone/zic.c:1246
 msgid "leap second precedes Big Bang"
-msgstr ""
+msgstr "闰秒出现在大爆炸之前"
 
 #: timezone/zic.c:1259
 msgid "wrong number of fields on Link line"
@@ -7105,7 +7198,7 @@ msgstr "起始年份大于终止年份"
 
 #: timezone/zic.c:1376
 msgid "typed single year"
-msgstr ""
+msgstr "输入的年分是同一年"
 
 #: timezone/zic.c:1411
 msgid "invalid weekday name"
@@ -7113,7 +7206,7 @@ msgstr "无效的星期名"
 
 #: timezone/zic.c:1530
 msgid "pre-2014 clients may mishandle more than 1200 transition times"
-msgstr ""
+msgstr "2014 之前的客户端可能会错误处理超过 1200 次的改变次数"
 
 #: timezone/zic.c:1585
 #, c-format
@@ -7122,16 +7215,16 @@ msgstr "%s：无法删除 %s：%s\n"
 
 #: timezone/zic.c:2143
 msgid "no POSIX environment variable for zone"
-msgstr ""
+msgstr "无 POSIX 环境变量用于区"
 
 #: timezone/zic.c:2149
 #, c-format
 msgid "%s: pre-%d clients may mishandle distant timestamps"
-msgstr ""
+msgstr "%s: %d 之前的客户端可能会错误处理久远的时间戳"
 
 #: timezone/zic.c:2329
 msgid "can't determine time zone abbreviation to use just after until time"
-msgstr ""
+msgstr "无法决定在结束时间以后该使用的时区简写"
 
 #: timezone/zic.c:2375 timezone/zic.c:2450
 msgid "too many local time types"
@@ -7150,22 +7243,20 @@ msgid "internal error - addtype called with bad ttisgmt"
 msgstr "内部错误 - 以错误的 ttisgmt 调用 addtype"
 
 #: timezone/zic.c:2454
-#, fuzzy
-#| msgid "UTC offset out of range"
 msgid "UT offset out of range"
-msgstr "UTC 偏移值超出范围"
+msgstr "UTC 偏移超出范围"
 
 #: timezone/zic.c:2478
 msgid "too many leap seconds"
-msgstr ""
+msgstr "太多闰秒"
 
 #: timezone/zic.c:2484
 msgid "repeated leap second moment"
-msgstr ""
+msgstr "重复的闰秒设置"
 
 #: timezone/zic.c:2534
 msgid "Wild result from command execution"
-msgstr ""
+msgstr "命令运行导致奇怪的结果"
 
 #: timezone/zic.c:2535
 #, c-format
@@ -7178,27 +7269,27 @@ msgstr "奇数个引号"
 
 #: timezone/zic.c:2703
 msgid "use of 2/29 in non leap-year"
-msgstr ""
+msgstr "在非闰年时用到 2/29 日"
 
 #: timezone/zic.c:2738
 msgid "rule goes past start/end of month--will not work with pre-2004 versions of zic"
-msgstr ""
+msgstr "规则超过开始/结束月分--将无法适用早于 2004 的 zic 版本"
 
 #: timezone/zic.c:2769
 msgid "time zone abbreviation lacks alphabetic at start"
-msgstr ""
+msgstr "时区缩写开头缺少字母"
 
 #: timezone/zic.c:2771
 msgid "time zone abbreviation has fewer than 3 alphabetics"
-msgstr ""
+msgstr "时间区缩写少于 3 个字母"
 
 #: timezone/zic.c:2773
 msgid "time zone abbreviation has too many alphabetics"
-msgstr ""
+msgstr "时区缩写太多字母"
 
 #: timezone/zic.c:2783
 msgid "time zone abbreviation differs from POSIX standard"
-msgstr ""
+msgstr "时区缩写与 POSIX 标准不同"
 
 #: timezone/zic.c:2789
 msgid "too many, or too long, time zone abbreviations"
@@ -7218,12 +7309,18 @@ msgstr "%s：无法创建目录 %s：%s\n"
 #~ msgid "Can't open configuration file %s"
 #~ msgstr "无法打开配置文件 %s"
 
+#~ msgid "cannot create internal descriptors"
+#~ msgstr "无法创建内部描述符"
+
 #~ msgid "Try \\`memusage --help' for more information."
 #~ msgstr "试用“memusage --help”以获取更多信息。"
 
 #~ msgid "memusage: option \\`$1' requires an argument"
 #~ msgstr "memusage：选项“$1”需要一个参数"
 
+#~ msgid "cannot stat() file `%s': %s"
+#~ msgstr "无法对文件“%s”进行 stat() 操作：%s"
+
 #~ msgid "invalid value for 'reload-count': %u"
 #~ msgstr "“reload-count”的值无效: %u"
 
diff --git a/po/zh_TW.po b/po/zh_TW.po
index 90c47e4..9ca8cb1 100644
--- a/po/zh_TW.po
+++ b/po/zh_TW.po
@@ -9,7 +9,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: libc 2.17.90.20130724\n"
-"POT-Creation-Date: 2015-01-20 22:14-0500\n"
+"POT-Creation-Date: 2015-07-31 00:10-0400\n"
 "PO-Revision-Date: 2013-09-03 13:39+0800\n"
 "Last-Translator: Wei-Lun Chao <bluebat@member.fsf.org>\n"
 "Language-Team: Chinese (traditional) <zh-l10n@linux.org.tw>\n"
@@ -146,10 +146,10 @@ msgstr ""
 "[輸出檔案名稱 [輸入檔案名稱]...]"
 
 #: catgets/gencat.c:229 debug/pcprofiledump.c:209 elf/ldconfig.c:307
-#: elf/pldd.c:244 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
+#: elf/pldd.c:252 elf/sln.c:85 elf/sprof.c:372 iconv/iconv_prog.c:408
 #: iconv/iconvconfig.c:379 locale/programs/locale.c:277
 #: locale/programs/localedef.c:376 login/programs/pt_chown.c:88
-#: malloc/memusagestat.c:563 nss/getent.c:969 nss/makedb.c:369
+#: malloc/memusagestat.c:563 nss/getent.c:973 nss/makedb.c:369
 #: posix/getconf.c:486 sunrpc/rpcinfo.c:691
 #: sysdeps/unix/sysv/linux/lddlibc4.c:61
 #, c-format
@@ -161,7 +161,7 @@ msgstr ""
 "%s。\n"
 
 #: catgets/gencat.c:245 debug/pcprofiledump.c:225 debug/xtrace.sh:64
-#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:260 elf/sotruss.sh:75
+#: elf/ldconfig.c:323 elf/ldd.bash.in:38 elf/pldd.c:268 elf/sotruss.sh:75
 #: elf/sprof.c:389 iconv/iconv_prog.c:425 iconv/iconvconfig.c:396
 #: locale/programs/locale.c:294 locale/programs/localedef.c:402
 #: login/programs/pt_chown.c:62 malloc/memusage.sh:71
@@ -178,7 +178,7 @@ msgstr ""
 "售或者適合某些特殊目的。\n"
 
 #: catgets/gencat.c:250 debug/pcprofiledump.c:230 debug/xtrace.sh:68
-#: elf/ldconfig.c:328 elf/pldd.c:265 elf/sprof.c:395 iconv/iconv_prog.c:430
+#: elf/ldconfig.c:328 elf/pldd.c:273 elf/sprof.c:395 iconv/iconv_prog.c:430
 #: iconv/iconvconfig.c:401 locale/programs/locale.c:299
 #: locale/programs/localedef.c:407 malloc/memusage.sh:75
 #: malloc/memusagestat.c:586 nscd/nscd.c:514 nss/getent.c:91 nss/makedb.c:390
@@ -433,11 +433,11 @@ msgstr "更改 %s 的存取權限為 %#o 失敗"
 msgid "Renaming of %s to %s failed"
 msgstr "將 %s 改名為 %s 失敗"
 
-#: elf/dl-close.c:385 elf/dl-open.c:470
+#: elf/dl-close.c:396 elf/dl-open.c:478
 msgid "cannot create scope list"
 msgstr "無法建立作用域列表"
 
-#: elf/dl-close.c:770
+#: elf/dl-close.c:816
 msgid "shared object not open"
 msgstr "共用目的檔案沒有開啟"
 
@@ -510,127 +510,127 @@ msgstr "無法建立搜尋路徑陣列"
 msgid "cannot stat shared object"
 msgstr "無法 stat 共用目的檔"
 
-#: elf/dl-load.c:963
+#: elf/dl-load.c:962
 msgid "cannot open zero fill device"
 msgstr "無法開啟以零填滿的裝置"
 
-#: elf/dl-load.c:1010 elf/dl-load.c:2165
+#: elf/dl-load.c:1009 elf/dl-load.c:2159
 msgid "cannot create shared object descriptor"
 msgstr "無法建立共用目的檔敘述項"
 
-#: elf/dl-load.c:1029 elf/dl-load.c:1570 elf/dl-load.c:1682
+#: elf/dl-load.c:1028 elf/dl-load.c:1568 elf/dl-load.c:1680
 msgid "cannot read file data"
 msgstr "無法讀取檔案資料"
 
-#: elf/dl-load.c:1069
+#: elf/dl-load.c:1068
 msgid "ELF load command alignment not page-aligned"
 msgstr "ELF 載入命令對齊並沒有按照記憶體分頁 (page) 對齊"
 
-#: elf/dl-load.c:1076
+#: elf/dl-load.c:1075
 msgid "ELF load command address/offset not properly aligned"
 msgstr "ELF 載入命令位址/位移並沒有適當地對齊"
 
-#: elf/dl-load.c:1160
+#: elf/dl-load.c:1159
 msgid "cannot allocate TLS data structures for initial thread"
 msgstr "無法配置 TLS 資料結構用以起始執行緒"
 
-#: elf/dl-load.c:1183
+#: elf/dl-load.c:1182
 msgid "cannot handle TLS data"
 msgstr "無法處理 TLS 資料"
 
-#: elf/dl-load.c:1202
+#: elf/dl-load.c:1201
 msgid "object file has no loadable segments"
 msgstr "目的檔中沒有可載入的區段"
 
-#: elf/dl-load.c:1211 elf/dl-load.c:1662
+#: elf/dl-load.c:1210 elf/dl-load.c:1660
 msgid "cannot dynamically load executable"
 msgstr "無法動態載入執行檔"
 
-#: elf/dl-load.c:1232
+#: elf/dl-load.c:1231
 msgid "object file has no dynamic section"
 msgstr "共用目的檔中沒有動態區段"
 
-#: elf/dl-load.c:1255
+#: elf/dl-load.c:1254
 msgid "shared object cannot be dlopen()ed"
 msgstr "共用目的檔無法被 dlopen()"
 
-#: elf/dl-load.c:1268
+#: elf/dl-load.c:1267
 msgid "cannot allocate memory for program header"
 msgstr "無法配置記憶體給程式標頭區使用"
 
-#: elf/dl-load.c:1284 elf/dl-open.c:195
+#: elf/dl-load.c:1283 elf/dl-open.c:195
 msgid "invalid caller"
 msgstr "無效的呼叫者"
 
-#: elf/dl-load.c:1307 elf/dl-load.h:130
+#: elf/dl-load.c:1306 elf/dl-load.h:130
 msgid "cannot change memory protections"
 msgstr "無法改變記憶體保護狀態"
 
-#: elf/dl-load.c:1327
+#: elf/dl-load.c:1326
 msgid "cannot enable executable stack as shared object requires"
 msgstr "無法開啟可執行堆疊做為共用目的檔"
 
-#: elf/dl-load.c:1340
+#: elf/dl-load.c:1339
 msgid "cannot close file descriptor"
 msgstr "無法關閉檔案描述符號"
 
-#: elf/dl-load.c:1570
+#: elf/dl-load.c:1568
 msgid "file too short"
 msgstr "檔案太小"
 
-#: elf/dl-load.c:1605
+#: elf/dl-load.c:1603
 msgid "invalid ELF header"
 msgstr "無效的 ELF 標頭"
 
-#: elf/dl-load.c:1617
+#: elf/dl-load.c:1615
 msgid "ELF file data encoding not big-endian"
 msgstr "ELF 檔資料編碼並非大尾序"
 
-#: elf/dl-load.c:1619
+#: elf/dl-load.c:1617
 msgid "ELF file data encoding not little-endian"
 msgstr "ELF 檔資料編碼並非小尾序"
 
-#: elf/dl-load.c:1623
+#: elf/dl-load.c:1621
 msgid "ELF file version ident does not match current one"
 msgstr "ELF 檔版本 ident 不符合目前所使用的"
 
-#: elf/dl-load.c:1627
+#: elf/dl-load.c:1625
 msgid "ELF file OS ABI invalid"
 msgstr "ELF 檔 OS ABI 版本不適用"
 
-#: elf/dl-load.c:1630
+#: elf/dl-load.c:1628
 msgid "ELF file ABI version invalid"
 msgstr "ELF 檔 ABI 版本不適用"
 
-#: elf/dl-load.c:1633
+#: elf/dl-load.c:1631
 msgid "nonzero padding in e_ident"
 msgstr "在 e_ident 中填補非零值"
 
-#: elf/dl-load.c:1636
+#: elf/dl-load.c:1634
 msgid "internal error"
 msgstr "內部錯誤"
 
-#: elf/dl-load.c:1643
+#: elf/dl-load.c:1641
 msgid "ELF file version does not match current one"
 msgstr "ELF 檔版本不符合目前的版本"
 
-#: elf/dl-load.c:1651
+#: elf/dl-load.c:1649
 msgid "only ET_DYN and ET_EXEC can be loaded"
 msgstr "只有 ET_DYN 以及 ET_EXEC 可以載入"
 
-#: elf/dl-load.c:1667
+#: elf/dl-load.c:1665
 msgid "ELF file's phentsize not the expected size"
 msgstr "ELF 檔的 phentsize 並不是預期中的大小"
 
-#: elf/dl-load.c:2184
+#: elf/dl-load.c:2178
 msgid "wrong ELF class: ELFCLASS64"
 msgstr "錯誤 ELF 類別：ELFCLASS64"
 
-#: elf/dl-load.c:2185
+#: elf/dl-load.c:2179
 msgid "wrong ELF class: ELFCLASS32"
 msgstr "錯誤 ELF 類別：ELFCLASS32"
 
-#: elf/dl-load.c:2188
+#: elf/dl-load.c:2182
 msgid "cannot open shared object file"
 msgstr "無法開啟共用目的檔"
 
@@ -642,11 +642,11 @@ msgstr "從共用目的檔中對映區段失敗"
 msgid "cannot map zero-fill pages"
 msgstr "無法對應以零填滿的分頁區"
 
-#: elf/dl-lookup.c:791
+#: elf/dl-lookup.c:845
 msgid "relocation error"
 msgstr "重定址錯誤"
 
-#: elf/dl-lookup.c:818
+#: elf/dl-lookup.c:872
 msgid "symbol lookup error"
 msgstr "符號查找錯誤"
 
@@ -654,49 +654,40 @@ msgstr "符號查找錯誤"
 msgid "cannot extend global scope"
 msgstr "無法延展全域變數的作用域"
 
-#: elf/dl-open.c:520
+#: elf/dl-open.c:528
 msgid "TLS generation counter wrapped!  Please report this."
 msgstr "TLS 產生計數器被轉換執行！ 請報告這個情況。"
 
-#: elf/dl-open.c:542
-msgid "cannot load any more object with static TLS"
-msgstr "無法以靜態 TLS 再載入任何物件"
-
-#: elf/dl-open.c:599
+#: elf/dl-open.c:592
 msgid "invalid mode for dlopen()"
 msgstr "無效的 dlopen() 模式"
 
-#: elf/dl-open.c:616
+#: elf/dl-open.c:609
 msgid "no more namespaces available for dlmopen()"
 msgstr "無更多命名空間可見於 dlmopen ()"
 
-#: elf/dl-open.c:634
+#: elf/dl-open.c:633
 msgid "invalid target namespace in dlmopen()"
 msgstr "dlmopen() 中的無效目標命名空間"
 
-#: elf/dl-reloc.c:120
+#: elf/dl-reloc.c:121
 msgid "cannot allocate memory in static TLS block"
 msgstr "無法在靜態 TLS 區塊中配置記憶體"
 
-#: elf/dl-reloc.c:212
+#: elf/dl-reloc.c:206
 msgid "cannot make segment writable for relocation"
 msgstr "在重新定址以後無法將區段設為可寫入狀態"
 
-#: elf/dl-reloc.c:275
-#, c-format
-msgid "%s: no PLTREL found in object %s\n"
-msgstr "%s: 在目的檔 %s 中沒有找到 PLTREL\n"
-
-#: elf/dl-reloc.c:290
+#: elf/dl-reloc.c:276
 #, c-format
 msgid "%s: out of memory to store relocation results for %s\n"
 msgstr "%s: 記憶體不足以儲存重定址結果用於 %s\n"
 
-#: elf/dl-reloc.c:306
+#: elf/dl-reloc.c:292
 msgid "cannot restore segment prot after reloc"
 msgstr "在 reloc 之後無法復原 segment prot"
 
-#: elf/dl-reloc.c:335
+#: elf/dl-reloc.c:323
 msgid "cannot apply additional memory protection after relocation"
 msgstr "重定址之後無法套用額外記憶體保護"
 
@@ -704,7 +695,7 @@ msgstr "重定址之後無法套用額外記憶體保護"
 msgid "RTLD_NEXT used in code not dynamically loaded"
 msgstr "程式碼所使用的 RTLD_NEXT 沒有動態載入"
 
-#: elf/dl-tls.c:933
+#: elf/dl-tls.c:934
 msgid "cannot create TLS data structures"
 msgstr "無法建立 TLS 資料結構"
 
@@ -848,7 +839,7 @@ msgstr "由於找不到 %s 的共用目的檔名稱，連結並未被建立"
 msgid "Can't open directory %s"
 msgstr "無法開啟目錄 %s"
 
-#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:90
+#: elf/ldconfig.c:793 elf/ldconfig.c:855 elf/readlib.c:97
 #, c-format
 msgid "Input file %s not found.\n"
 msgstr "輸入檔 %s 找不到。\n"
@@ -979,7 +970,7 @@ msgstr "缺少檔案引數"
 msgid "No such file or directory"
 msgstr "沒有此一檔案或目錄"
 
-#: elf/ldd.bash.in:150 inet/rcmd.c:488
+#: elf/ldd.bash.in:150 inet/rcmd.c:492
 msgid "not regular file"
 msgstr "並非正常的檔案"
 
@@ -1024,65 +1015,71 @@ msgstr "無法讀取 r_debug"
 msgid "cannot read program interpreter"
 msgstr "無法讀取程式解譯器"
 
-#: elf/pldd-xx.c:196
+#: elf/pldd-xx.c:197
 #, c-format
 msgid "cannot read link map"
 msgstr "無法讀取鏈結映射"
 
-#: elf/pldd-xx.c:207
+#: elf/pldd-xx.c:209
 #, c-format
 msgid "cannot read object name"
 msgstr "無法讀取物件名稱"
 
-#: elf/pldd.c:63
+#: elf/pldd-xx.c:219
+#, fuzzy, c-format
+#| msgid "cannot allocate memory for program header"
+msgid "cannot allocate buffer for object name"
+msgstr "無法配置記憶體給程式標頭區使用"
+
+#: elf/pldd.c:64
 msgid "List dynamic shared objects loaded into process."
 msgstr "列出已載入行程中的動態共用物件。"
 
-#: elf/pldd.c:67
+#: elf/pldd.c:68
 msgid "PID"
 msgstr "行程識別號"
 
-#: elf/pldd.c:99
+#: elf/pldd.c:100
 #, c-format
 msgid "Exactly one parameter with process ID required.\n"
 msgstr "需要剛好一個附有行程識別號的參數。\n"
 
-#: elf/pldd.c:111
+#: elf/pldd.c:112
 #, c-format
 msgid "invalid process ID '%s'"
 msgstr "無效的行程識別號 %s"
 
-#: elf/pldd.c:119
+#: elf/pldd.c:120
 #, c-format
 msgid "cannot open %s"
 msgstr "無法開啟 %s"
 
-#: elf/pldd.c:144
+#: elf/pldd.c:152
 #, c-format
 msgid "cannot open %s/task"
 msgstr "無法開啟 %s/任務"
 
-#: elf/pldd.c:147
+#: elf/pldd.c:155
 #, c-format
 msgid "cannot prepare reading %s/task"
 msgstr "無法準備讀取 %s/任務"
 
-#: elf/pldd.c:160
+#: elf/pldd.c:168
 #, c-format
 msgid "invalid thread ID '%s'"
 msgstr "無效的執行緒識別號 %s"
 
-#: elf/pldd.c:171
+#: elf/pldd.c:179
 #, c-format
 msgid "cannot attach to process %lu"
 msgstr "無法附加到行程 %lu"
 
-#: elf/pldd.c:286
+#: elf/pldd.c:294
 #, c-format
 msgid "cannot get information about process %lu"
 msgstr "無法獲得行程 %lu 的相關資訊"
 
-#: elf/pldd.c:299
+#: elf/pldd.c:307
 #, c-format
 msgid "process %lu is no ELF program"
 msgstr "行程 %lu 並非 ELF 程式"
@@ -1117,27 +1114,27 @@ msgstr "%s 不是一個共用目的檔 (型態: %d)。\n"
 msgid "more than one dynamic segment\n"
 msgstr "超過一個的動態區段\n"
 
-#: elf/readlib.c:96
+#: elf/readlib.c:103
 #, c-format
 msgid "Cannot fstat file %s.\n"
 msgstr "無法 fstat 檔案 %s。\n"
 
-#: elf/readlib.c:107
+#: elf/readlib.c:114
 #, c-format
 msgid "File %s is empty, not checked."
 msgstr "檔案 %s 為空，不做檢查。"
 
-#: elf/readlib.c:113
+#: elf/readlib.c:120
 #, c-format
 msgid "File %s is too small, not checked."
 msgstr "檔案 %s 太小，不做檢查。"
 
-#: elf/readlib.c:123
+#: elf/readlib.c:130
 #, c-format
 msgid "Cannot mmap file %s.\n"
 msgstr "無法 mmap 檔案 %s。\n"
 
-#: elf/readlib.c:161
+#: elf/readlib.c:169
 #, c-format
 msgid "%s is not an ELF file - it has the wrong magic bytes at the start.\n"
 msgstr "%s 不是一個 ELF 檔 - 其開頭的魔術位元組是錯的。\n"
@@ -1271,9 +1268,9 @@ msgstr "SHOBJ [PROFDATA]"
 msgid "failed to load shared object `%s'"
 msgstr "開啟共用目的檔 `%s' 失敗"
 
-#: elf/sprof.c:442
+#: elf/sprof.c:442 elf/sprof.c:825 elf/sprof.c:923
 #, c-format
-msgid "cannot create internal descriptors"
+msgid "cannot create internal descriptor"
 msgstr "無法建立內部敘述項"
 
 #: elf/sprof.c:554
@@ -1341,11 +1338,6 @@ msgstr "測試資料檔案 mmap 失敗"
 msgid "error while closing the profiling data file"
 msgstr "正在關閉測試資料檔案時發生錯誤"
 
-#: elf/sprof.c:825 elf/sprof.c:923
-#, c-format
-msgid "cannot create internal descriptor"
-msgstr "無法建立內部敘述項"
-
 #: elf/sprof.c:899
 #, c-format
 msgid "`%s' is no correct profile data file for `%s'"
@@ -1600,27 +1592,27 @@ msgstr "socket: 通訊協定在設定線路時失效\n"
 msgid "rcmd: %s: short read"
 msgstr "rcmd: %s: 讀入資料過短"
 
-#: inet/rcmd.c:486
+#: inet/rcmd.c:490
 msgid "lstat failed"
 msgstr "lstat 失敗"
 
-#: inet/rcmd.c:493
+#: inet/rcmd.c:497
 msgid "cannot open"
 msgstr "無法開啟"
 
-#: inet/rcmd.c:495
+#: inet/rcmd.c:499
 msgid "fstat failed"
 msgstr "fstat 失敗"
 
-#: inet/rcmd.c:497
+#: inet/rcmd.c:501
 msgid "bad owner"
 msgstr "錯誤的擁有者"
 
-#: inet/rcmd.c:499
+#: inet/rcmd.c:503
 msgid "writeable by other than owner"
 msgstr "使用者以外的人亦可寫入"
 
-#: inet/rcmd.c:501
+#: inet/rcmd.c:505
 msgid "hard linked somewhere"
 msgstr "被實體連結到某處"
 
@@ -1740,8 +1732,8 @@ msgid "no symbolic name given for end of range"
 msgstr "沒有給此區的最後一個字元符號名稱"
 
 #: locale/programs/charmap.c:610 locale/programs/ld-address.c:528
-#: locale/programs/ld-collate.c:2626 locale/programs/ld-collate.c:3784
-#: locale/programs/ld-ctype.c:2162 locale/programs/ld-ctype.c:2913
+#: locale/programs/ld-collate.c:2635 locale/programs/ld-collate.c:3793
+#: locale/programs/ld-ctype.c:2128 locale/programs/ld-ctype.c:2840
 #: locale/programs/ld-identification.c:368
 #: locale/programs/ld-measurement.c:215 locale/programs/ld-messages.c:298
 #: locale/programs/ld-monetary.c:740 locale/programs/ld-name.c:264
@@ -1767,8 +1759,8 @@ msgid "%s: error in state machine"
 msgstr "%s: 狀態機錯誤"
 
 #: locale/programs/charmap.c:850 locale/programs/ld-address.c:544
-#: locale/programs/ld-collate.c:2623 locale/programs/ld-collate.c:3977
-#: locale/programs/ld-ctype.c:2159 locale/programs/ld-ctype.c:2930
+#: locale/programs/ld-collate.c:2632 locale/programs/ld-collate.c:3986
+#: locale/programs/ld-ctype.c:2125 locale/programs/ld-ctype.c:2857
 #: locale/programs/ld-identification.c:384
 #: locale/programs/ld-measurement.c:231 locale/programs/ld-messages.c:314
 #: locale/programs/ld-monetary.c:756 locale/programs/ld-name.c:280
@@ -1789,7 +1781,7 @@ msgstr "不明的字元 `%s'"
 msgid "number of bytes for byte sequence of beginning and end of range not the same: %d vs %d"
 msgstr "在範圍起始與結束的位元組序列中，位元組的數目並不一致: %d vs %d"
 
-#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2903
+#: locale/programs/charmap.c:993 locale/programs/ld-collate.c:2912
 #: locale/programs/repertoire.c:419
 msgid "invalid names for character range"
 msgstr "無效的字元範圍名稱"
@@ -1811,8 +1803,8 @@ msgstr "範圍中上限小於下限"
 msgid "resulting bytes for range not representable."
 msgstr "用來定義範圍的位元組無法被表述出來"
 
-#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1565
-#: locale/programs/ld-ctype.c:465 locale/programs/ld-identification.c:133
+#: locale/programs/ld-address.c:135 locale/programs/ld-collate.c:1566
+#: locale/programs/ld-ctype.c:431 locale/programs/ld-identification.c:133
 #: locale/programs/ld-measurement.c:94 locale/programs/ld-messages.c:97
 #: locale/programs/ld-monetary.c:193 locale/programs/ld-name.c:94
 #: locale/programs/ld-numeric.c:98 locale/programs/ld-paper.c:91
@@ -1876,7 +1868,7 @@ msgid "%s: numeric country code `%d' not valid"
 msgstr "%s: 國家數字代碼 `%d' 錯誤"
 
 #: locale/programs/ld-address.c:436 locale/programs/ld-address.c:473
-#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2537
+#: locale/programs/ld-address.c:511 locale/programs/ld-ctype.c:2489
 #: locale/programs/ld-identification.c:280
 #: locale/programs/ld-measurement.c:198 locale/programs/ld-messages.c:267
 #: locale/programs/ld-monetary.c:495 locale/programs/ld-monetary.c:530
@@ -1898,8 +1890,8 @@ msgstr "%s: `%s' 欄位不只一次地宣告"
 msgid "%s: unknown character in field `%s'"
 msgstr "%s: 未知的字元在欄位 `%s' 中"
 
-#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3782
-#: locale/programs/ld-ctype.c:2910 locale/programs/ld-identification.c:365
+#: locale/programs/ld-address.c:525 locale/programs/ld-collate.c:3791
+#: locale/programs/ld-ctype.c:2837 locale/programs/ld-identification.c:365
 #: locale/programs/ld-measurement.c:212 locale/programs/ld-messages.c:296
 #: locale/programs/ld-monetary.c:738 locale/programs/ld-name.c:262
 #: locale/programs/ld-numeric.c:324 locale/programs/ld-paper.c:212
@@ -1908,12 +1900,12 @@ msgstr "%s: 未知的字元在欄位 `%s' 中"
 msgid "%s: incomplete `END' line"
 msgstr "%s: 不完整的 `END' 列"
 
-#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:551
-#: locale/programs/ld-collate.c:603 locale/programs/ld-collate.c:899
-#: locale/programs/ld-collate.c:912 locale/programs/ld-collate.c:2592
-#: locale/programs/ld-collate.c:2613 locale/programs/ld-collate.c:3967
-#: locale/programs/ld-ctype.c:1891 locale/programs/ld-ctype.c:2149
-#: locale/programs/ld-ctype.c:2735 locale/programs/ld-ctype.c:2921
+#: locale/programs/ld-address.c:535 locale/programs/ld-collate.c:552
+#: locale/programs/ld-collate.c:604 locale/programs/ld-collate.c:900
+#: locale/programs/ld-collate.c:913 locale/programs/ld-collate.c:2601
+#: locale/programs/ld-collate.c:2622 locale/programs/ld-collate.c:3976
+#: locale/programs/ld-ctype.c:1857 locale/programs/ld-ctype.c:2115
+#: locale/programs/ld-ctype.c:2687 locale/programs/ld-ctype.c:2848
 #: locale/programs/ld-identification.c:375
 #: locale/programs/ld-measurement.c:222 locale/programs/ld-messages.c:305
 #: locale/programs/ld-monetary.c:747 locale/programs/ld-name.c:271
@@ -1923,477 +1915,477 @@ msgstr "%s: 不完整的 `END' 列"
 msgid "%s: syntax error"
 msgstr "%s: 語法錯誤"
 
-#: locale/programs/ld-collate.c:426
+#: locale/programs/ld-collate.c:427
 #, c-format
 msgid "`%.*s' already defined in charmap"
 msgstr "`%.*s' 在字集對照表中已經定義過了"
 
-#: locale/programs/ld-collate.c:435
+#: locale/programs/ld-collate.c:436
 #, c-format
 msgid "`%.*s' already defined in repertoire"
 msgstr "`%.*s' 在編碼對映檔中已經被定義過了"
 
-#: locale/programs/ld-collate.c:442
+#: locale/programs/ld-collate.c:443
 #, c-format
 msgid "`%.*s' already defined as collating symbol"
 msgstr "`%.*s' 已被定義為對照符號"
 
-#: locale/programs/ld-collate.c:449
+#: locale/programs/ld-collate.c:450
 #, c-format
 msgid "`%.*s' already defined as collating element"
 msgstr "`%.*s' 已被定義為對照元素"
 
-#: locale/programs/ld-collate.c:480 locale/programs/ld-collate.c:506
+#: locale/programs/ld-collate.c:481 locale/programs/ld-collate.c:507
 #, c-format
 msgid "%s: `forward' and `backward' are mutually excluding each other"
 msgstr "%s: `forward' 以及 `backward' 彼此互相排斥"
 
-#: locale/programs/ld-collate.c:490 locale/programs/ld-collate.c:516
-#: locale/programs/ld-collate.c:532
+#: locale/programs/ld-collate.c:491 locale/programs/ld-collate.c:517
+#: locale/programs/ld-collate.c:533
 #, c-format
 msgid "%s: `%s' mentioned more than once in definition of weight %d"
 msgstr "%s: `%s' 不只一次地在權重 %d 中被提到"
 
-#: locale/programs/ld-collate.c:588
+#: locale/programs/ld-collate.c:589
 #, c-format
 msgid "%s: too many rules; first entry only had %d"
 msgstr "%s: 太多規則；第一個項目只包含 %d"
 
-#: locale/programs/ld-collate.c:624
+#: locale/programs/ld-collate.c:625
 #, c-format
 msgid "%s: not enough sorting rules"
 msgstr "%s: 排序規則不足"
 
-#: locale/programs/ld-collate.c:789
+#: locale/programs/ld-collate.c:790
 #, c-format
 msgid "%s: empty weight string not allowed"
 msgstr "%s: 空白的權重字串是不允許的"
 
-#: locale/programs/ld-collate.c:884
+#: locale/programs/ld-collate.c:885
 #, c-format
 msgid "%s: weights must use the same ellipsis symbol as the name"
 msgstr "%s: 權重必須使用與名稱相同的省略符號"
 
-#: locale/programs/ld-collate.c:940
+#: locale/programs/ld-collate.c:941
 #, c-format
 msgid "%s: too many values"
 msgstr "%s: 太多變數值"
 
-#: locale/programs/ld-collate.c:1060 locale/programs/ld-collate.c:1235
+#: locale/programs/ld-collate.c:1061 locale/programs/ld-collate.c:1236
 #, c-format
 msgid "order for `%.*s' already defined at %s:%Zu"
 msgstr "`%.*s' 的順序已經在 %s:%Zu 裡面定義了"
 
-#: locale/programs/ld-collate.c:1110
+#: locale/programs/ld-collate.c:1111
 #, c-format
 msgid "%s: the start and the end symbol of a range must stand for characters"
 msgstr "%s: 啟始與結束符號範圍必須代表字元"
 
-#: locale/programs/ld-collate.c:1137
+#: locale/programs/ld-collate.c:1138
 #, c-format
 msgid "%s: byte sequences of first and last character must have the same length"
 msgstr "%s: 第一個與最後一個字元的位元組序列必須有相同的長度"
 
-#: locale/programs/ld-collate.c:1179
+#: locale/programs/ld-collate.c:1180
 #, c-format
 msgid "%s: byte sequence of first character of range is not lower than that of the last character"
 msgstr "%s: 範圍首字元的位元組序列沒有低於末字元的位元組序列"
 
-#: locale/programs/ld-collate.c:1304
+#: locale/programs/ld-collate.c:1305
 #, c-format
 msgid "%s: symbolic range ellipsis must not directly follow `order_start'"
 msgstr "%s: 符號範圍的省略不可以直接在 `order_start' 之後"
 
-#: locale/programs/ld-collate.c:1308
+#: locale/programs/ld-collate.c:1309
 #, c-format
 msgid "%s: symbolic range ellipsis must not be directly followed by `order_end'"
 msgstr "%s: 符號範圍的省略不可以直接在 `order_end' 之前"
 
-#: locale/programs/ld-collate.c:1328 locale/programs/ld-ctype.c:1408
+#: locale/programs/ld-collate.c:1329 locale/programs/ld-ctype.c:1374
 #, c-format
 msgid "`%s' and `%.*s' are not valid names for symbolic range"
 msgstr "`%s' 和 `%.*s' 皆非符號範圍中適用的名稱"
 
-#: locale/programs/ld-collate.c:1378 locale/programs/ld-collate.c:3718
+#: locale/programs/ld-collate.c:1379 locale/programs/ld-collate.c:3727
 #, c-format
 msgid "%s: order for `%.*s' already defined at %s:%Zu"
 msgstr "%s: `%.*s' 的順序已在 %s:%Zu 中定義"
 
-#: locale/programs/ld-collate.c:1387
+#: locale/programs/ld-collate.c:1388
 #, c-format
 msgid "%s: `%s' must be a character"
 msgstr "%s: `%s' 必須是一個字元"
 
-#: locale/programs/ld-collate.c:1582
+#: locale/programs/ld-collate.c:1583
 #, c-format
 msgid "%s: `position' must be used for a specific level in all sections or none"
 msgstr "%s: `position' 必須在所有區塊裡特定的等級中使用，否則不能使用"
 
-#: locale/programs/ld-collate.c:1607
+#: locale/programs/ld-collate.c:1608
 #, c-format
 msgid "symbol `%s' not defined"
 msgstr "並未定義 `%s' 符號"
 
-#: locale/programs/ld-collate.c:1683 locale/programs/ld-collate.c:1789
+#: locale/programs/ld-collate.c:1684 locale/programs/ld-collate.c:1790
 #, c-format
 msgid "symbol `%s' has the same encoding as"
 msgstr "跟符號 `%s' 有相同的編碼: "
 
-#: locale/programs/ld-collate.c:1687 locale/programs/ld-collate.c:1793
+#: locale/programs/ld-collate.c:1688 locale/programs/ld-collate.c:1794
 #, c-format
 msgid "symbol `%s'"
 msgstr "符號 `%s'"
 
-#: locale/programs/ld-collate.c:1833
+#: locale/programs/ld-collate.c:1834
 #, c-format
 msgid "no definition of `UNDEFINED'"
 msgstr "沒有找到 `UNDEFINED' 的定義"
 
-#: locale/programs/ld-collate.c:1862
+#: locale/programs/ld-collate.c:1863
 #, c-format
 msgid "too many errors; giving up"
 msgstr "發生太多錯誤；放棄中"
 
-#: locale/programs/ld-collate.c:2518 locale/programs/ld-collate.c:3906
+#: locale/programs/ld-collate.c:2527 locale/programs/ld-collate.c:3915
 #, c-format
 msgid "%s: nested conditionals not supported"
 msgstr "%s: 不支援巢狀條件"
 
-#: locale/programs/ld-collate.c:2536
+#: locale/programs/ld-collate.c:2545
 #, fuzzy, c-format
 #| msgid "%s: more then one 'else'"
 msgid "%s: more than one 'else'"
 msgstr "%s: 使用多於一個「else」"
 
-#: locale/programs/ld-collate.c:2711
+#: locale/programs/ld-collate.c:2720
 #, c-format
 msgid "%s: duplicate definition of `%s'"
 msgstr "%s: 重複的定義 `%s'"
 
-#: locale/programs/ld-collate.c:2747
+#: locale/programs/ld-collate.c:2756
 #, c-format
 msgid "%s: duplicate declaration of section `%s'"
 msgstr "%s: 重複的 `%s' 區塊宣告"
 
-#: locale/programs/ld-collate.c:2883
+#: locale/programs/ld-collate.c:2892
 #, c-format
 msgid "%s: unknown character in collating symbol name"
 msgstr "%s: 未知的字元在對照符號名稱中"
 
-#: locale/programs/ld-collate.c:3012
+#: locale/programs/ld-collate.c:3021
 #, c-format
 msgid "%s: unknown character in equivalent definition name"
 msgstr "%s: 未知的字元在同義定義名稱中"
 
-#: locale/programs/ld-collate.c:3023
+#: locale/programs/ld-collate.c:3032
 #, c-format
 msgid "%s: unknown character in equivalent definition value"
 msgstr "%s: 未知的字元在同義定義值中"
 
-#: locale/programs/ld-collate.c:3033
+#: locale/programs/ld-collate.c:3042
 #, c-format
 msgid "%s: unknown symbol `%s' in equivalent definition"
 msgstr "%s: 未知的符號 `%s' 在同義定義中"
 
-#: locale/programs/ld-collate.c:3042
+#: locale/programs/ld-collate.c:3051
 msgid "error while adding equivalent collating symbol"
 msgstr "正在加入同義對照符號時發生錯誤"
 
-#: locale/programs/ld-collate.c:3080
+#: locale/programs/ld-collate.c:3089
 #, c-format
 msgid "duplicate definition of script `%s'"
 msgstr "敘述 `%s' 的定義重複了"
 
-#: locale/programs/ld-collate.c:3128
+#: locale/programs/ld-collate.c:3137
 #, c-format
 msgid "%s: unknown section name `%.*s'"
 msgstr "%s: 不明的節段名稱「%.*s」"
 
-#: locale/programs/ld-collate.c:3157
+#: locale/programs/ld-collate.c:3166
 #, c-format
 msgid "%s: multiple order definitions for section `%s'"
 msgstr "%s: `%s' 區塊中有多個順序定義"
 
-#: locale/programs/ld-collate.c:3185
+#: locale/programs/ld-collate.c:3194
 #, c-format
 msgid "%s: invalid number of sorting rules"
 msgstr "%s: 不適用的排序規則數目"
 
-#: locale/programs/ld-collate.c:3212
+#: locale/programs/ld-collate.c:3221
 #, c-format
 msgid "%s: multiple order definitions for unnamed section"
 msgstr "%s: 未命名的區塊中有多個順序定義"
 
-#: locale/programs/ld-collate.c:3267 locale/programs/ld-collate.c:3397
-#: locale/programs/ld-collate.c:3760
+#: locale/programs/ld-collate.c:3276 locale/programs/ld-collate.c:3406
+#: locale/programs/ld-collate.c:3769
 #, c-format
 msgid "%s: missing `order_end' keyword"
 msgstr "%s: 缺少 `order_end' 關鍵字"
 
-#: locale/programs/ld-collate.c:3330
+#: locale/programs/ld-collate.c:3339
 #, c-format
 msgid "%s: order for collating symbol %.*s not yet defined"
 msgstr "%s: 對照符號 %.*s 的順序尚未定義"
 
-#: locale/programs/ld-collate.c:3348
+#: locale/programs/ld-collate.c:3357
 #, c-format
 msgid "%s: order for collating element %.*s not yet defined"
 msgstr "%s: 對照元素 %.*s 的順序尚未定義"
 
-#: locale/programs/ld-collate.c:3359
+#: locale/programs/ld-collate.c:3368
 #, c-format
 msgid "%s: cannot reorder after %.*s: symbol not known"
 msgstr "%s: 無法重新排列在 %.*s 之後: 未知的符號"
 
-#: locale/programs/ld-collate.c:3411 locale/programs/ld-collate.c:3772
+#: locale/programs/ld-collate.c:3420 locale/programs/ld-collate.c:3781
 #, c-format
 msgid "%s: missing `reorder-end' keyword"
 msgstr "%s: 缺少 `reorder-end' 關鍵字"
 
-#: locale/programs/ld-collate.c:3445 locale/programs/ld-collate.c:3643
+#: locale/programs/ld-collate.c:3454 locale/programs/ld-collate.c:3652
 #, c-format
 msgid "%s: section `%.*s' not known"
 msgstr "%s: 未知的區塊 `%.*s'"
 
-#: locale/programs/ld-collate.c:3510
+#: locale/programs/ld-collate.c:3519
 #, c-format
 msgid "%s: bad symbol <%.*s>"
 msgstr "%s: 不當的符號 <%.*s>"
 
-#: locale/programs/ld-collate.c:3706
+#: locale/programs/ld-collate.c:3715
 #, c-format
 msgid "%s: cannot have `%s' as end of ellipsis range"
 msgstr "%s: 無法用 `%s' 做為省略區段的結尾"
 
-#: locale/programs/ld-collate.c:3756
+#: locale/programs/ld-collate.c:3765
 #, c-format
 msgid "%s: empty category description not allowed"
 msgstr "%s: 空白的類別描述是不允許的"
 
-#: locale/programs/ld-collate.c:3775
+#: locale/programs/ld-collate.c:3784
 #, c-format
 msgid "%s: missing `reorder-sections-end' keyword"
 msgstr "%s: 缺少 `reorder-sections-end' 關鍵字"
 
-#: locale/programs/ld-collate.c:3939
+#: locale/programs/ld-collate.c:3948
 #, c-format
 msgid "%s: '%s' without matching 'ifdef' or 'ifndef'"
 msgstr "%s:「%s」而不需吻合中「ifdef」或「ifndef」"
 
-#: locale/programs/ld-collate.c:3957
+#: locale/programs/ld-collate.c:3966
 #, c-format
 msgid "%s: 'endif' without matching 'ifdef' or 'ifndef'"
 msgstr "%s:「endif」而不需吻合中「ifdef」或「ifndef」"
 
-#: locale/programs/ld-ctype.c:484
+#: locale/programs/ld-ctype.c:450
 #, c-format
 msgid "No character set name specified in charmap"
 msgstr "在字元對應 (charmap) 中沒有設定字集名稱"
 
-#: locale/programs/ld-ctype.c:513
+#: locale/programs/ld-ctype.c:479
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must be in class `%s'"
 msgstr "character L'\\u%0*x' (放在類別 `%s' 之中) 必須在類別 `%s' 裡面"
 
-#: locale/programs/ld-ctype.c:528
+#: locale/programs/ld-ctype.c:494
 #, c-format
 msgid "character L'\\u%0*x' in class `%s' must not be in class `%s'"
 msgstr "character L'\\u%0*x' (放在類別 `%s' 之中) 不能在類別 `%s' 裡面"
 
-#: locale/programs/ld-ctype.c:542 locale/programs/ld-ctype.c:600
+#: locale/programs/ld-ctype.c:508 locale/programs/ld-ctype.c:566
 #, c-format
 msgid "internal error in %s, line %u"
 msgstr "%s 的第 %u 列發生內部錯誤"
 
-#: locale/programs/ld-ctype.c:571
+#: locale/programs/ld-ctype.c:537
 #, c-format
 msgid "character '%s' in class `%s' must be in class `%s'"
 msgstr "字元 '%s' (放在類別 `%s' 之中) 必須在類別 `%s' 裡面"
 
-#: locale/programs/ld-ctype.c:587
+#: locale/programs/ld-ctype.c:553
 #, c-format
 msgid "character '%s' in class `%s' must not be in class `%s'"
 msgstr "字元 '%s' (放在類別 `%s' 之中) 不能在類別 `%s' 裡面"
 
-#: locale/programs/ld-ctype.c:617 locale/programs/ld-ctype.c:655
+#: locale/programs/ld-ctype.c:583 locale/programs/ld-ctype.c:621
 #, c-format
 msgid "<SP> character not in class `%s'"
 msgstr "<SP> 字元不在類別 `%s' 中"
 
-#: locale/programs/ld-ctype.c:629 locale/programs/ld-ctype.c:666
+#: locale/programs/ld-ctype.c:595 locale/programs/ld-ctype.c:632
 #, c-format
 msgid "<SP> character must not be in class `%s'"
 msgstr "<SP> 字元不可以在類別 `%s' 中"
 
-#: locale/programs/ld-ctype.c:644
+#: locale/programs/ld-ctype.c:610
 #, c-format
 msgid "character <SP> not defined in character map"
 msgstr "字元 <SP> 在字集對照檔中沒有定義"
 
-#: locale/programs/ld-ctype.c:780
+#: locale/programs/ld-ctype.c:746
 #, c-format
 msgid "`digit' category has not entries in groups of ten"
 msgstr "`digit' 類別在群組 \"十\" 中沒有項目"
 
-#: locale/programs/ld-ctype.c:829
+#: locale/programs/ld-ctype.c:795
 #, c-format
 msgid "no input digits defined and none of the standard names in the charmap"
 msgstr "沒有定義輸入數字，在字集對照檔中也找不到相符的標準名稱"
 
-#: locale/programs/ld-ctype.c:894
+#: locale/programs/ld-ctype.c:860
 #, c-format
 msgid "not all characters used in `outdigit' are available in the charmap"
 msgstr "在字集對照表中無法找到某些在 `outdigit' 中用到的字元"
 
-#: locale/programs/ld-ctype.c:911
+#: locale/programs/ld-ctype.c:877
 #, c-format
 msgid "not all characters used in `outdigit' are available in the repertoire"
 msgstr "在編碼對映檔中無法找到某些在 `outdigit' 中用到的字元"
 
-#: locale/programs/ld-ctype.c:1176
+#: locale/programs/ld-ctype.c:1142
 #, c-format
 msgid "character class `%s' already defined"
 msgstr "字元類別 `%s' 已經定義過了"
 
-#: locale/programs/ld-ctype.c:1182
+#: locale/programs/ld-ctype.c:1148
 #, c-format
 msgid "implementation limit: no more than %Zd character classes allowed"
 msgstr "程式實作的限制: 不能使用超過 %Zd 個字集類別"
 
-#: locale/programs/ld-ctype.c:1208
+#: locale/programs/ld-ctype.c:1174
 #, c-format
 msgid "character map `%s' already defined"
 msgstr "字集對照檔 `%s' 已經定義過了"
 
-#: locale/programs/ld-ctype.c:1214
+#: locale/programs/ld-ctype.c:1180
 #, c-format
 msgid "implementation limit: no more than %d character maps allowed"
 msgstr "程式實作的限制: 不能使用超過 %d 個字集對照檔"
 
-#: locale/programs/ld-ctype.c:1479 locale/programs/ld-ctype.c:1604
-#: locale/programs/ld-ctype.c:1710 locale/programs/ld-ctype.c:2400
-#: locale/programs/ld-ctype.c:3397
+#: locale/programs/ld-ctype.c:1445 locale/programs/ld-ctype.c:1570
+#: locale/programs/ld-ctype.c:1676 locale/programs/ld-ctype.c:2352
+#: locale/programs/ld-ctype.c:3324
 #, c-format
 msgid "%s: field `%s' does not contain exactly ten entries"
 msgstr "%s: `%s' 欄位沒有精確包含十個項目"
 
-#: locale/programs/ld-ctype.c:1507 locale/programs/ld-ctype.c:2081
+#: locale/programs/ld-ctype.c:1473 locale/programs/ld-ctype.c:2047
 #, c-format
 msgid "to-value <U%0*X> of range is smaller than from-value <U%0*X>"
 msgstr "區域定義的結尾值 <U%0*X> 比起始值 <U%0*X> 還要小"
 
-#: locale/programs/ld-ctype.c:1634
+#: locale/programs/ld-ctype.c:1600
 msgid "start and end character sequence of range must have the same length"
 msgstr "從起始到結束之間的字元序列長度跟編碼範圍必須相同"
 
-#: locale/programs/ld-ctype.c:1641
+#: locale/programs/ld-ctype.c:1607
 msgid "to-value character sequence is smaller than from-value sequence"
 msgstr "字元序列定義的結尾值比起始值還要小"
 
-#: locale/programs/ld-ctype.c:2001 locale/programs/ld-ctype.c:2052
+#: locale/programs/ld-ctype.c:1967 locale/programs/ld-ctype.c:2018
 msgid "premature end of `translit_ignore' definition"
 msgstr "`translit_ignore' 定義沒有按時結束"
 
-#: locale/programs/ld-ctype.c:2007 locale/programs/ld-ctype.c:2058
-#: locale/programs/ld-ctype.c:2100
+#: locale/programs/ld-ctype.c:1973 locale/programs/ld-ctype.c:2024
+#: locale/programs/ld-ctype.c:2066
 msgid "syntax error"
 msgstr "語法錯誤"
 
-#: locale/programs/ld-ctype.c:2233
+#: locale/programs/ld-ctype.c:2199
 #, c-format
 msgid "%s: syntax error in definition of new character class"
 msgstr "%s: 在定義新字元類別時語法錯誤"
 
-#: locale/programs/ld-ctype.c:2248
+#: locale/programs/ld-ctype.c:2214
 #, c-format
 msgid "%s: syntax error in definition of new character map"
 msgstr "%s: 在定義新字元對應時語法錯誤"
 
-#: locale/programs/ld-ctype.c:2422
+#: locale/programs/ld-ctype.c:2374
 msgid "ellipsis range must be marked by two operands of same type"
 msgstr "省略區域必須用兩個型別相同的運算元標示出來"
 
-#: locale/programs/ld-ctype.c:2431
+#: locale/programs/ld-ctype.c:2383
 msgid "with symbolic name range values the absolute ellipsis `...' must not be used"
 msgstr "用符號名稱來指定字元編碼範圍時不可以用絕對位置的省略符號 `…'"
 
-#: locale/programs/ld-ctype.c:2446
+#: locale/programs/ld-ctype.c:2398
 msgid "with UCS range values one must use the hexadecimal symbolic ellipsis `..'"
 msgstr "用來指定 UCS 值的範圍時得用十六進位表示的省略符號 `..'"
 
-#: locale/programs/ld-ctype.c:2460
+#: locale/programs/ld-ctype.c:2412
 msgid "with character code range values one must use the absolute ellipsis `...'"
 msgstr "用來指定字元編碼值的範圍時得用絕對位置的省略符號 `…'"
 
-#: locale/programs/ld-ctype.c:2611
+#: locale/programs/ld-ctype.c:2563
 #, c-format
 msgid "duplicated definition for mapping `%s'"
 msgstr "對映 `%s' 的定義重複了"
 
-#: locale/programs/ld-ctype.c:2697 locale/programs/ld-ctype.c:2841
+#: locale/programs/ld-ctype.c:2649 locale/programs/ld-ctype.c:2793
 #, c-format
 msgid "%s: `translit_start' section does not end with `translit_end'"
 msgstr "%s: `translit_start' 小節並沒有以 `translit_end' 做為結束"
 
-#: locale/programs/ld-ctype.c:2792
+#: locale/programs/ld-ctype.c:2744
 #, c-format
 msgid "%s: duplicate `default_missing' definition"
 msgstr "%s: 重複的 `default_missing' 定義"
 
-#: locale/programs/ld-ctype.c:2797
+#: locale/programs/ld-ctype.c:2749
 msgid "previous definition was here"
 msgstr "先前的設定在此"
 
-#: locale/programs/ld-ctype.c:2819
+#: locale/programs/ld-ctype.c:2771
 #, c-format
 msgid "%s: no representable `default_missing' definition found"
 msgstr "%s: 找不到可表示為 `default_missing' 的定義"
 
-#: locale/programs/ld-ctype.c:2962 locale/programs/ld-ctype.c:3059
-#: locale/programs/ld-ctype.c:3079 locale/programs/ld-ctype.c:3100
-#: locale/programs/ld-ctype.c:3121 locale/programs/ld-ctype.c:3142
-#: locale/programs/ld-ctype.c:3163 locale/programs/ld-ctype.c:3203
-#: locale/programs/ld-ctype.c:3224 locale/programs/ld-ctype.c:3289
-#: locale/programs/ld-ctype.c:3331 locale/programs/ld-ctype.c:3356
+#: locale/programs/ld-ctype.c:2889 locale/programs/ld-ctype.c:2986
+#: locale/programs/ld-ctype.c:3006 locale/programs/ld-ctype.c:3027
+#: locale/programs/ld-ctype.c:3048 locale/programs/ld-ctype.c:3069
+#: locale/programs/ld-ctype.c:3090 locale/programs/ld-ctype.c:3130
+#: locale/programs/ld-ctype.c:3151 locale/programs/ld-ctype.c:3216
+#: locale/programs/ld-ctype.c:3258 locale/programs/ld-ctype.c:3283
 #, c-format
 msgid "%s: character `%s' not defined while needed as default value"
 msgstr "%s: 字元 `%s' 沒有定義，但它是必需的預設值"
 
-#: locale/programs/ld-ctype.c:2967 locale/programs/ld-ctype.c:3064
-#: locale/programs/ld-ctype.c:3084 locale/programs/ld-ctype.c:3105
-#: locale/programs/ld-ctype.c:3126 locale/programs/ld-ctype.c:3147
-#: locale/programs/ld-ctype.c:3168 locale/programs/ld-ctype.c:3208
-#: locale/programs/ld-ctype.c:3229 locale/programs/ld-ctype.c:3294
+#: locale/programs/ld-ctype.c:2894 locale/programs/ld-ctype.c:2991
+#: locale/programs/ld-ctype.c:3011 locale/programs/ld-ctype.c:3032
+#: locale/programs/ld-ctype.c:3053 locale/programs/ld-ctype.c:3074
+#: locale/programs/ld-ctype.c:3095 locale/programs/ld-ctype.c:3135
+#: locale/programs/ld-ctype.c:3156 locale/programs/ld-ctype.c:3221
 #, c-format
 msgid "%s: character `%s' in charmap not representable with one byte"
 msgstr "%s: 字集對照表中的字元 `%s' 無法表示為單一位元組"
 
-#: locale/programs/ld-ctype.c:3338 locale/programs/ld-ctype.c:3363
+#: locale/programs/ld-ctype.c:3265 locale/programs/ld-ctype.c:3290
 #, c-format
 msgid "%s: character `%s' needed as default value not representable with one byte"
 msgstr "%s: 做為預設值所需的字元 `%s' 無法表示為單一位元組"
 
-#: locale/programs/ld-ctype.c:3419
+#: locale/programs/ld-ctype.c:3346
 #, c-format
 msgid "no output digits defined and none of the standard names in the charmap"
 msgstr "沒有定義輸出數字，在字集對照檔中也找不到相符的標準名稱"
 
-#: locale/programs/ld-ctype.c:3668
+#: locale/programs/ld-ctype.c:3595
 #, c-format
 msgid "%s: transliteration data from locale `%s' not available"
 msgstr "%s: 語區資料`%s' 的音譯資料不存在"
 
-#: locale/programs/ld-ctype.c:3768
+#: locale/programs/ld-ctype.c:3695
 #, c-format
 msgid "%s: table for class \"%s\": %lu bytes\n"
 msgstr "%s: 類別 \"%s\" 表格: %lu 位元組\n"
 
-#: locale/programs/ld-ctype.c:3833
+#: locale/programs/ld-ctype.c:3760
 #, c-format
 msgid "%s: table for map \"%s\": %lu bytes\n"
 msgstr "%s: 對映表 \"%s\" 表格: %lu 位元組\n"
 
-#: locale/programs/ld-ctype.c:3958
+#: locale/programs/ld-ctype.c:3885
 #, c-format
 msgid "%s: table for width: %lu bytes\n"
 msgstr "%s: 寬度表格: %lu 位元組\n"
@@ -3812,17 +3804,23 @@ msgstr "加入新的項目「%s」的型態 %s 用於 %s 到 cache%s"
 msgid " (first)"
 msgstr " (先)"
 
-#: nscd/cache.c:285 nscd/connections.c:1000
-#, c-format
-msgid "cannot stat() file `%s': %s"
+#: nscd/cache.c:288
+#, fuzzy, c-format
+#| msgid "cannot stat() file `%s': %s"
+msgid "checking for monitored file `%s': %s"
 msgstr "無法 stat() 檔案 `%s': %s"
 
-#: nscd/cache.c:331
+#: nscd/cache.c:298
+#, c-format
+msgid "monitored file `%s` changed (mtime)"
+msgstr ""
+
+#: nscd/cache.c:341
 #, c-format
 msgid "pruning %s cache; time %ld"
 msgstr "pruning %s 快取；時間 %ld"
 
-#: nscd/cache.c:360
+#: nscd/cache.c:370
 #, c-format
 msgid "considering %s entry \"%s\", timeout %<PRIu64>"
 msgstr "認為中 %s 項目「%s」，逾時 %<PRIu64>"
@@ -3908,153 +3906,217 @@ msgstr "無法設定通訊端於 exec：%s 時關閉"
 msgid "cannot enable socket to accept connections: %s"
 msgstr "無法開啟 socket 來接受連線: %s"
 
-#: nscd/connections.c:984
+#: nscd/connections.c:973
+#, c-format
+msgid "disabled inotify-based monitoring for file `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:977
 #, c-format
-msgid "register trace file %s for database %s"
+msgid "monitoring file `%s` (%d)"
+msgstr ""
+
+#: nscd/connections.c:990
+#, c-format
+msgid "disabled inotify-based monitoring for directory `%s': %s"
+msgstr ""
+
+#: nscd/connections.c:994
+#, fuzzy, c-format
+#| msgid "Can't open directory %s"
+msgid "monitoring directory `%s` (%d)"
+msgstr "無法開啟目錄 %s"
+
+#: nscd/connections.c:1022
+#, fuzzy, c-format
+#| msgid "register trace file %s for database %s"
+msgid "monitoring file %s for database %s"
 msgstr "註冊追蹤檔案 %s 用於資料庫 %s"
 
-#: nscd/connections.c:1114
+#: nscd/connections.c:1032
+#, c-format
+msgid "stat failed for file `%s'; will try again later: %s"
+msgstr ""
+
+#: nscd/connections.c:1151
 #, c-format
 msgid "provide access to FD %d, for %s"
 msgstr "提供存取到 FD %d, 用於 %s"
 
-#: nscd/connections.c:1126
+#: nscd/connections.c:1163
 #, c-format
 msgid "cannot handle old request version %d; current version is %d"
 msgstr "不能處理舊 %d 版的請求；目前使用的版本是 %d"
 
-#: nscd/connections.c:1148
+#: nscd/connections.c:1185
 #, c-format
 msgid "request from %ld not handled due to missing permission"
 msgstr "由於缺少權限而無法處理來自 %ld 的要求"
 
-#: nscd/connections.c:1153
+#: nscd/connections.c:1190
 #, c-format
 msgid "request from '%s' [%ld] not handled due to missing permission"
 msgstr "由於缺少權限而無法處理來自 '%s' [%ld] 的要求"
 
-#: nscd/connections.c:1158
+#: nscd/connections.c:1195
 msgid "request not handled due to missing permission"
 msgstr "要求無法控柄的由於缺少權限"
 
-#: nscd/connections.c:1196 nscd/connections.c:1249
+#: nscd/connections.c:1233 nscd/connections.c:1286
 #, c-format
 msgid "cannot write result: %s"
 msgstr "無法寫入結果: %s"
 
-#: nscd/connections.c:1340
+#: nscd/connections.c:1377
 #, c-format
 msgid "error getting caller's id: %s"
 msgstr "取得呼叫程式識別碼時發生錯誤: %s"
 
-#: nscd/connections.c:1400
+#: nscd/connections.c:1437
 #, c-format
 msgid "cannot open /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr "無法開啟/proc/self/cmdline：%s; 停用 paranoia 模式"
 
-#: nscd/connections.c:1414
+#: nscd/connections.c:1451
 #, c-format
 msgid "cannot read /proc/self/cmdline: %s; disabling paranoia mode"
 msgstr "無法讀取/proc/self/cmdline：%s; 停用 paranoia 模式"
 
-#: nscd/connections.c:1454
+#: nscd/connections.c:1491
 #, c-format
 msgid "cannot change to old UID: %s; disabling paranoia mode"
 msgstr "無法變更為舊的 UID：%s; 停用 paranoia 模式"
 
-#: nscd/connections.c:1464
+#: nscd/connections.c:1501
 #, c-format
 msgid "cannot change to old GID: %s; disabling paranoia mode"
 msgstr "無法變更為舊的 GID：%s; 停用 paranoia 模式"
 
-#: nscd/connections.c:1477
+#: nscd/connections.c:1514
 #, c-format
 msgid "cannot change to old working directory: %s; disabling paranoia mode"
 msgstr "無法變更為舊的工作目錄：%s; 停用 paranoia 模式"
 
-#: nscd/connections.c:1523
+#: nscd/connections.c:1560
 #, c-format
 msgid "re-exec failed: %s; disabling paranoia mode"
 msgstr "re-exec 失敗：%s; 停用 paranoia 模式"
 
-#: nscd/connections.c:1532
+#: nscd/connections.c:1569
 #, c-format
 msgid "cannot change current working directory to \"/\": %s"
 msgstr "無法變更目前的工作目錄到「/」：%s"
 
-#: nscd/connections.c:1725
+#: nscd/connections.c:1762
 #, c-format
 msgid "short read while reading request: %s"
 msgstr "讀取請求時發現輸入值過短: %s"
 
-#: nscd/connections.c:1758
+#: nscd/connections.c:1795
 #, c-format
 msgid "key length in request too long: %d"
 msgstr "在此請求中使用的鍵值太長了: %d"
 
-#: nscd/connections.c:1771
+#: nscd/connections.c:1808
 #, c-format
 msgid "short read while reading request key: %s"
 msgstr "讀取請求的鍵值時發現輸入值過短: %s"
 
-#: nscd/connections.c:1781
+#: nscd/connections.c:1818
 #, c-format
 msgid "handle_request: request received (Version = %d) from PID %ld"
 msgstr "handle_request: 請求已被接受 (版本為 %d) 來自於 PID %ld"
 
-#: nscd/connections.c:1786
+#: nscd/connections.c:1823
 #, c-format
 msgid "handle_request: request received (Version = %d)"
 msgstr "handle_request: 請求已被接受 (版本為 %d)"
 
-#: nscd/connections.c:2050 nscd/connections.c:2252
+#: nscd/connections.c:1963
+#, c-format
+msgid "ignored inotify event for `%s` (file exists)"
+msgstr ""
+
+#: nscd/connections.c:1968
 #, c-format
-msgid "disabled inotify after read error %d"
+msgid "monitored file `%s` was %s, removing watch"
+msgstr ""
+
+#: nscd/connections.c:1976 nscd/connections.c:2018
+#, c-format
+msgid "failed to remove file watch `%s`: %s"
+msgstr ""
+
+#: nscd/connections.c:1991
+#, c-format
+msgid "monitored file `%s` was written to"
+msgstr ""
+
+#: nscd/connections.c:2015
+#, c-format
+msgid "monitored parent directory `%s` was %s, removing watch on `%s`"
+msgstr ""
+
+#: nscd/connections.c:2041
+#, c-format
+msgid "monitored file `%s` was %s, adding watch"
+msgstr ""
+
+#: nscd/connections.c:2053
+#, fuzzy, c-format
+#| msgid "failed to load shared object `%s'"
+msgid "failed to add file watch `%s`: %s"
+msgstr "開啟共用目的檔 `%s' 失敗"
+
+#: nscd/connections.c:2247 nscd/connections.c:2428
+#, fuzzy, c-format
+#| msgid "disabled inotify after read error %d"
+msgid "disabled inotify-based monitoring after read error %d"
 msgstr "讀取 %d 錯誤之後已停用 inotify"
 
-#: nscd/connections.c:2375
+#: nscd/connections.c:2543
 msgid "could not initialize conditional variable"
 msgstr "無法初始化條件變數"
 
-#: nscd/connections.c:2383
+#: nscd/connections.c:2551
 msgid "could not start clean-up thread; terminating"
 msgstr "無法開始清理執行緒；終止中"
 
-#: nscd/connections.c:2397
+#: nscd/connections.c:2565
 msgid "could not start any worker thread; terminating"
 msgstr "無法開始任何背景工作執行緒；終止中"
 
-#: nscd/connections.c:2452 nscd/connections.c:2454 nscd/connections.c:2470
-#: nscd/connections.c:2480 nscd/connections.c:2498 nscd/connections.c:2509
-#: nscd/connections.c:2519
+#: nscd/connections.c:2620 nscd/connections.c:2622 nscd/connections.c:2638
+#: nscd/connections.c:2648 nscd/connections.c:2666 nscd/connections.c:2677
+#: nscd/connections.c:2687
 #, c-format
 msgid "Failed to run nscd as user '%s'"
 msgstr "以使用者 '%s' 的身分執行 nscd 失敗"
 
-#: nscd/connections.c:2472
+#: nscd/connections.c:2640
 msgid "initial getgrouplist failed"
 msgstr "初始 getgrouplist 失敗"
 
-#: nscd/connections.c:2481
+#: nscd/connections.c:2649
 msgid "getgrouplist failed"
 msgstr "getgrouplist 失敗"
 
-#: nscd/connections.c:2499
+#: nscd/connections.c:2667
 msgid "setgroups failed"
 msgstr "setgroups 失敗"
 
-#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:410
+#: nscd/grpcache.c:405 nscd/hstcache.c:432 nscd/initgrcache.c:411
 #: nscd/pwdcache.c:383 nscd/servicescache.c:338
 #, c-format
 msgid "short write in %s: %s"
 msgstr "寫入 %s 的資料過短: %s"
 
-#: nscd/grpcache.c:450 nscd/initgrcache.c:77
+#: nscd/grpcache.c:450 nscd/initgrcache.c:78
 #, c-format
 msgid "Haven't found \"%s\" in group cache!"
 msgstr "尚未在群組快取中找到 \"%s\"!"
 
-#: nscd/grpcache.c:452 nscd/initgrcache.c:79
+#: nscd/grpcache.c:452 nscd/initgrcache.c:80
 #, c-format
 msgid "Reloading \"%s\" in group cache!"
 msgstr "重新載入「%s」於群組快取！"
@@ -4142,7 +4204,7 @@ msgstr "對不同使用者使用不同的快取檔案"
 msgid "Name Service Cache Daemon."
 msgstr "網域名稱快取精靈"
 
-#: nscd/nscd.c:155 nss/getent.c:1003 nss/makedb.c:206
+#: nscd/nscd.c:155 nss/getent.c:1007 nss/makedb.c:206
 #, c-format
 msgid "wrong number of arguments"
 msgstr "參數數目不對"
@@ -4176,7 +4238,7 @@ msgstr "無法變更目前的工作目錄到「/」"
 msgid "Could not create log file"
 msgstr "無法建立記錄檔"
 
-#: nscd/nscd.c:355 nscd/nscd_stat.c:192
+#: nscd/nscd.c:355 nscd/nscd_stat.c:194
 #, c-format
 msgid "write incomplete"
 msgstr "寫入不完全"
@@ -4191,7 +4253,7 @@ msgstr "無法讀取設為無效的 ACK"
 msgid "invalidation failed"
 msgstr "無效化失敗"
 
-#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:173
+#: nscd/nscd.c:417 nscd/nscd.c:442 nscd/nscd_stat.c:175
 #, c-format
 msgid "Only root is allowed to use this option!"
 msgstr "只有 root 才可以使用此一選項!"
@@ -4280,35 +4342,35 @@ msgstr "無法取得目前的工作目錄：%s; 停用 paranoia 模式"
 msgid "maximum file size for %s database too small"
 msgstr "最大值檔案大小用於 %s 資料庫太小"
 
-#: nscd/nscd_stat.c:142
+#: nscd/nscd_stat.c:144
 #, c-format
 msgid "cannot write statistics: %s"
 msgstr "無法寫入統計資料: %s"
 
-#: nscd/nscd_stat.c:157
+#: nscd/nscd_stat.c:159
 msgid "yes"
 msgstr "是"
 
-#: nscd/nscd_stat.c:158
+#: nscd/nscd_stat.c:160
 msgid "no"
 msgstr "無"
 
-#: nscd/nscd_stat.c:169
+#: nscd/nscd_stat.c:171
 #, c-format
 msgid "Only root or %s is allowed to use this option!"
 msgstr "只有 root 或 %s 才允許使用此一選項!"
 
-#: nscd/nscd_stat.c:180
+#: nscd/nscd_stat.c:182
 #, c-format
 msgid "nscd not running!\n"
 msgstr "nscd 並沒有在執行!\n"
 
-#: nscd/nscd_stat.c:204
+#: nscd/nscd_stat.c:206
 #, c-format
 msgid "cannot read statistics data"
 msgstr "無法讀取統計資料"
 
-#: nscd/nscd_stat.c:207
+#: nscd/nscd_stat.c:209
 #, c-format
 msgid ""
 "nscd configuration:\n"
@@ -4319,27 +4381,27 @@ msgstr ""
 "\n"
 "%15d  伺服程式錯誤訊息報告等級\n"
 
-#: nscd/nscd_stat.c:231
+#: nscd/nscd_stat.c:233
 #, c-format
 msgid "%3ud %2uh %2um %2lus  server runtime\n"
 msgstr "%3ud %2uh %2um %2lus  伺服器 執行時期\n"
 
-#: nscd/nscd_stat.c:234
+#: nscd/nscd_stat.c:236
 #, c-format
 msgid "    %2uh %2um %2lus  server runtime\n"
 msgstr "    %2uh %2um %2lus  伺服器 執行時期\n"
 
-#: nscd/nscd_stat.c:236
+#: nscd/nscd_stat.c:238
 #, c-format
 msgid "        %2um %2lus  server runtime\n"
 msgstr "        %2um %2lus  伺服器 執行時期\n"
 
-#: nscd/nscd_stat.c:238
+#: nscd/nscd_stat.c:240
 #, c-format
 msgid "            %2lus  server runtime\n"
 msgstr "            %2lus  伺服器 執行時期\n"
 
-#: nscd/nscd_stat.c:240
+#: nscd/nscd_stat.c:242
 #, c-format
 msgid ""
 "%15d  current number of threads\n"
@@ -4356,7 +4418,7 @@ msgstr ""
 "%15lu  內部重新啟動\n"
 "%15u  重新載入計數\n"
 
-#: nscd/nscd_stat.c:275
+#: nscd/nscd_stat.c:277
 #, c-format
 msgid ""
 "\n"
@@ -4422,87 +4484,87 @@ msgstr "重新載入「%s」於密碼快取！"
 msgid "Invalid numeric uid \"%s\"!"
 msgstr "無效的 uid 數值 \"%s\"!"
 
-#: nscd/selinux.c:155
+#: nscd/selinux.c:154
 #, c-format
 msgid "Failed opening connection to the audit subsystem: %m"
 msgstr "失敗的開啟連線到稽核子系統：%m"
 
-#: nscd/selinux.c:176
+#: nscd/selinux.c:175
 msgid "Failed to set keep-capabilities"
 msgstr "設定功能保持時失敗"
 
-#: nscd/selinux.c:177 nscd/selinux.c:240
+#: nscd/selinux.c:176 nscd/selinux.c:239
 msgid "prctl(KEEPCAPS) failed"
 msgstr "prctl(KEEPCAPS) 失敗"
 
-#: nscd/selinux.c:191
+#: nscd/selinux.c:190
 msgid "Failed to initialize drop of capabilities"
 msgstr "初始化功能放棄時失敗"
 
-#: nscd/selinux.c:192
+#: nscd/selinux.c:191
 msgid "cap_init failed"
 msgstr "cap_init 失敗"
 
-#: nscd/selinux.c:213 nscd/selinux.c:230
+#: nscd/selinux.c:212 nscd/selinux.c:229
 msgid "Failed to drop capabilities"
 msgstr "放棄功能時失敗"
 
-#: nscd/selinux.c:214 nscd/selinux.c:231
+#: nscd/selinux.c:213 nscd/selinux.c:230
 msgid "cap_set_proc failed"
 msgstr "cap_set_proc 失敗"
 
-#: nscd/selinux.c:239
+#: nscd/selinux.c:238
 msgid "Failed to unset keep-capabilities"
 msgstr "解除設定功能保持時失敗"
 
-#: nscd/selinux.c:255
+#: nscd/selinux.c:254
 msgid "Failed to determine if kernel supports SELinux"
 msgstr "決定如果內核支援 SELinux 時失敗"
 
-#: nscd/selinux.c:270
+#: nscd/selinux.c:269
 msgid "Failed to start AVC thread"
 msgstr "開始 AVC 執行緒時失敗"
 
-#: nscd/selinux.c:292
+#: nscd/selinux.c:291
 msgid "Failed to create AVC lock"
 msgstr "建立 AVC 鎖定時失敗"
 
-#: nscd/selinux.c:332
+#: nscd/selinux.c:331
 msgid "Failed to start AVC"
 msgstr "啟始 AVC 時失敗"
 
-#: nscd/selinux.c:334
+#: nscd/selinux.c:333
 msgid "Access Vector Cache (AVC) started"
 msgstr "存取向量快取 (AVC) 開始"
 
-#: nscd/selinux.c:369
+#: nscd/selinux.c:368
 msgid "Error querying policy for undefined object classes or permissions."
 msgstr ""
 
-#: nscd/selinux.c:376
+#: nscd/selinux.c:375
 #, fuzzy
 #| msgid "Error getting context of nscd"
 msgid "Error getting security class for nscd."
 msgstr "取得 nscd 的狀態組合時發生錯誤"
 
-#: nscd/selinux.c:381
+#: nscd/selinux.c:380
 #, c-format
 msgid "Error translating permission name \"%s\" to access vector bit."
 msgstr ""
 
-#: nscd/selinux.c:391
+#: nscd/selinux.c:390
 msgid "Error getting context of socket peer"
 msgstr "取得對等通訊端的狀態組合時發生錯誤"
 
-#: nscd/selinux.c:396
+#: nscd/selinux.c:395
 msgid "Error getting context of nscd"
 msgstr "取得 nscd 的狀態組合時發生錯誤"
 
-#: nscd/selinux.c:402
+#: nscd/selinux.c:401
 msgid "Error getting sid from context"
 msgstr "從狀態組合取得 sid 時發生錯誤"
 
-#: nscd/selinux.c:440
+#: nscd/selinux.c:439
 #, c-format
 msgid ""
 "\n"
@@ -4564,16 +4626,16 @@ msgstr "從管理資料庫取得條目。"
 msgid "Enumeration not supported on %s\n"
 msgstr "此項目在 %s 中不被支援\n"
 
-#: nss/getent.c:917
+#: nss/getent.c:921
 #, c-format
 msgid "Unknown database name"
 msgstr "不明的資料庫名稱"
 
-#: nss/getent.c:947
+#: nss/getent.c:951
 msgid "Supported databases:\n"
 msgstr "支援的資料庫：\n"
 
-#: nss/getent.c:1013
+#: nss/getent.c:1017
 #, c-format
 msgid "Unknown database: %s\n"
 msgstr "未知的資料庫: %s\n"
@@ -4853,7 +4915,7 @@ msgstr ") 或 \\) 不能匹配"
 msgid "No previous regular expression"
 msgstr "先前並未使用過常規表示式"
 
-#: posix/wordexp.c:1844
+#: posix/wordexp.c:1851
 msgid "parameter null or not set"
 msgstr "參數為空字元或是未設置"
 
@@ -7273,6 +7335,15 @@ msgstr "時區縮寫太多或者太長"
 msgid "%s: Can't create directory %s: %s\n"
 msgstr "%s: 無法建立目錄 %s: %s\n"
 
+#~ msgid "cannot load any more object with static TLS"
+#~ msgstr "無法以靜態 TLS 再載入任何物件"
+
+#~ msgid "%s: no PLTREL found in object %s\n"
+#~ msgstr "%s: 在目的檔 %s 中沒有找到 PLTREL\n"
+
+#~ msgid "cannot create internal descriptors"
+#~ msgstr "無法建立內部敘述項"
+
 #~ msgid "compile-time support for database policy missing"
 #~ msgstr "compile-time 支援用於資料庫策略缺少"
 
diff --git a/posix/bug-glob2.c b/posix/bug-glob2.c
index ddf5ec9..5873e08 100644
--- a/posix/bug-glob2.c
+++ b/posix/bug-glob2.c
@@ -40,6 +40,17 @@
 # define PRINTF(fmt, args...)
 #endif
 
+#define LONG_NAME \
+  "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" \
+  "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" \
+  "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" \
+  "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" \
+  "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" \
+  "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" \
+  "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" \
+  "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" \
+  "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" \
+  "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"
 
 static struct
 {
@@ -58,6 +69,7 @@ static struct
       { ".", 3, DT_DIR, 0755 },
       { "..", 3, DT_DIR, 0755 },
       { "a", 3, DT_REG, 0644 },
+      { LONG_NAME, 3, DT_REG, 0644 },
     { "unreadable", 2, DT_DIR, 0111 },
       { ".", 3, DT_DIR, 0111 },
       { "..", 3, DT_DIR, 0755 },
@@ -75,7 +87,7 @@ typedef struct
   int level;
   int idx;
   struct dirent d;
-  char room_for_dirent[NAME_MAX];
+  char room_for_dirent[sizeof (LONG_NAME)];
 } my_DIR;
 
 
@@ -193,7 +205,7 @@ my_readdir (void *gdir)
       return NULL;
     }
 
-  dir->d.d_ino = dir->idx;
+  dir->d.d_ino = 1;		/* glob should not skip this entry.  */
 
 #ifdef _DIRENT_HAVE_D_TYPE
   dir->d.d_type = filesystem[dir->idx].type;
diff --git a/posix/glob.c b/posix/glob.c
index 0c04c3c..ea4b0b6 100644
--- a/posix/glob.c
+++ b/posix/glob.c
@@ -24,7 +24,9 @@
 #include <errno.h>
 #include <sys/types.h>
 #include <sys/stat.h>
+#include <stdbool.h>
 #include <stddef.h>
+#include <stdint.h>
 
 /* Outcomment the following line for production quality code.  */
 /* #define NDEBUG 1 */
@@ -57,10 +59,8 @@
 
 #if defined HAVE_DIRENT_H || defined __GNU_LIBRARY__
 # include <dirent.h>
-# define NAMLEN(dirent) strlen((dirent)->d_name)
 #else
 # define dirent direct
-# define NAMLEN(dirent) (dirent)->d_namlen
 # ifdef HAVE_SYS_NDIR_H
 #  include <sys/ndir.h>
 # endif
@@ -75,82 +75,8 @@
 # endif /* HAVE_VMSDIR_H */
 #endif
 
-
-/* In GNU systems, <dirent.h> defines this macro for us.  */
-#ifdef _D_NAMLEN
-# undef NAMLEN
-# define NAMLEN(d) _D_NAMLEN(d)
-#endif
-
-/* When used in the GNU libc the symbol _DIRENT_HAVE_D_TYPE is available
-   if the `d_type' member for `struct dirent' is available.
-   HAVE_STRUCT_DIRENT_D_TYPE plays the same role in GNULIB.  */
-#if defined _DIRENT_HAVE_D_TYPE || defined HAVE_STRUCT_DIRENT_D_TYPE
-/* True if the directory entry D must be of type T.  */
-# define DIRENT_MUST_BE(d, t)	((d)->d_type == (t))
-
-/* True if the directory entry D might be a symbolic link.  */
-# define DIRENT_MIGHT_BE_SYMLINK(d) \
-    ((d)->d_type == DT_UNKNOWN || (d)->d_type == DT_LNK)
-
-/* True if the directory entry D might be a directory.  */
-# define DIRENT_MIGHT_BE_DIR(d)	 \
-    ((d)->d_type == DT_DIR || DIRENT_MIGHT_BE_SYMLINK (d))
-
-#else /* !HAVE_D_TYPE */
-# define DIRENT_MUST_BE(d, t)		false
-# define DIRENT_MIGHT_BE_SYMLINK(d)	true
-# define DIRENT_MIGHT_BE_DIR(d)		true
-#endif /* HAVE_D_TYPE */
-
-/* If the system has the `struct dirent64' type we use it internally.  */
-#if defined _LIBC && !defined COMPILE_GLOB64
-# if defined HAVE_DIRENT_H || defined __GNU_LIBRARY__
-#  define CONVERT_D_NAMLEN(d64, d32)
-# else
-#  define CONVERT_D_NAMLEN(d64, d32) \
-  (d64)->d_namlen = (d32)->d_namlen;
-# endif
-
-# if (defined POSIX || defined WINDOWS32) && !defined __GNU_LIBRARY__
-#  define CONVERT_D_INO(d64, d32)
-# else
-#  define CONVERT_D_INO(d64, d32) \
-  (d64)->d_ino = (d32)->d_ino;
-# endif
-
-# ifdef _DIRENT_HAVE_D_TYPE
-#  define CONVERT_D_TYPE(d64, d32) \
-  (d64)->d_type = (d32)->d_type;
-# else
-#  define CONVERT_D_TYPE(d64, d32)
-# endif
-
-# define CONVERT_DIRENT_DIRENT64(d64, d32) \
-  memcpy ((d64)->d_name, (d32)->d_name, NAMLEN (d32) + 1);		      \
-  CONVERT_D_NAMLEN (d64, d32)						      \
-  CONVERT_D_INO (d64, d32)						      \
-  CONVERT_D_TYPE (d64, d32)
-#endif
-
-
-#if (defined POSIX || defined WINDOWS32) && !defined __GNU_LIBRARY__
-/* Posix does not require that the d_ino field be present, and some
-   systems do not provide it. */
-# define REAL_DIR_ENTRY(dp) 1
-#else
-# define REAL_DIR_ENTRY(dp) (dp->d_ino != 0)
-#endif /* POSIX */
-
 #include <stdlib.h>
 #include <string.h>
-
-/* NAME_MAX is usually defined in <dirent.h> or <limits.h>.  */
-#include <limits.h>
-#ifndef NAME_MAX
-# define NAME_MAX (sizeof (((struct dirent *) 0)->d_name))
-#endif
-
 #include <alloca.h>
 
 #ifdef _LIBC
@@ -195,8 +121,111 @@
 
 static const char *next_brace_sub (const char *begin, int flags) __THROWNL;
 
+/* A representation of a directory entry which does not depend on the
+   layout of struct dirent, or the size of ino_t.  */
+struct readdir_result
+{
+  const char *name;
+# if defined _DIRENT_HAVE_D_TYPE || defined HAVE_STRUCT_DIRENT_D_TYPE
+  uint8_t type;
+# endif
+  bool skip_entry;
+};
+
+# if defined _DIRENT_HAVE_D_TYPE || defined HAVE_STRUCT_DIRENT_D_TYPE
+/* Initializer based on the d_type member of struct dirent.  */
+#  define D_TYPE_TO_RESULT(source) (source)->d_type,
+
+/* True if the directory entry D might be a symbolic link.  */
+static bool
+readdir_result_might_be_symlink (struct readdir_result d)
+{
+  return d.type == DT_UNKNOWN || d.type == DT_LNK;
+}
+
+/* True if the directory entry D might be a directory.  */
+static bool
+readdir_result_might_be_dir (struct readdir_result d)
+{
+  return d.type == DT_DIR || readdir_result_might_be_symlink (d);
+}
+# else /* defined _DIRENT_HAVE_D_TYPE || defined HAVE_STRUCT_DIRENT_D_TYPE */
+#  define D_TYPE_TO_RESULT(source)
+
+/* If we do not have type information, symbolic links and directories
+   are always a possibility.  */
+
+static bool
+readdir_result_might_be_symlink (struct readdir_result d)
+{
+  return true;
+}
+
+static bool
+readdir_result_might_be_dir (struct readdir_result d)
+{
+  return true;
+}
+
+# endif /* defined _DIRENT_HAVE_D_TYPE || defined HAVE_STRUCT_DIRENT_D_TYPE */
+
+# if (defined POSIX || defined WINDOWS32) && !defined __GNU_LIBRARY__
+/* Initializer for skip_entry.  POSIX does not require that the d_ino
+   field be present, and some systems do not provide it. */
+#  define D_INO_TO_RESULT(source) false,
+# else
+#  define D_INO_TO_RESULT(source) (source)->d_ino == 0,
+# endif
+
+/* Construct an initializer for a struct readdir_result object from a
+   struct dirent *.  No copy of the name is made.  */
+#define READDIR_RESULT_INITIALIZER(source) \
+  {					   \
+    source->d_name,			   \
+    D_TYPE_TO_RESULT (source)		   \
+    D_INO_TO_RESULT (source)		   \
+  }
+
 #endif /* !defined _LIBC || !defined GLOB_ONLY_P */
 
+/* Call gl_readdir on STREAM.  This macro can be overridden to reduce
+   type safety if an old interface version needs to be supported.  */
+#ifndef GL_READDIR
+# define GL_READDIR(pglob, stream) ((pglob)->gl_readdir (stream))
+#endif
+
+/* Extract name and type from directory entry.  No copy of the name is
+   made.  If SOURCE is NULL, result name is NULL.  Keep in sync with
+   convert_dirent64 below.  */
+static struct readdir_result
+convert_dirent (const struct dirent *source)
+{
+  if (source == NULL)
+    {
+      struct readdir_result result = { NULL, };
+      return result;
+    }
+  struct readdir_result result = READDIR_RESULT_INITIALIZER (source);
+  return result;
+}
+
+#ifndef COMPILE_GLOB64
+/* Like convert_dirent, but works on struct dirent64 instead.  Keep in
+   sync with convert_dirent above.  */
+static struct readdir_result
+convert_dirent64 (const struct dirent64 *source)
+{
+  if (source == NULL)
+    {
+      struct readdir_result result = { NULL, };
+      return result;
+    }
+  struct readdir_result result = READDIR_RESULT_INITIALIZER (source);
+  return result;
+}
+#endif
+
+
 #ifndef attribute_hidden
 # define attribute_hidden
 #endif
@@ -1553,56 +1582,36 @@ glob_in_dir (const char *pattern, const char *directory, int flags,
 
 	  while (1)
 	    {
-	      const char *name;
-	      size_t len;
-#if defined _LIBC && !defined COMPILE_GLOB64
-	      struct dirent64 *d;
-	      union
-		{
-		  struct dirent64 d64;
-		  char room [offsetof (struct dirent64, d_name[0])
-			     + NAME_MAX + 1];
-		}
-	      d64buf;
-
-	      if (__glibc_unlikely (flags & GLOB_ALTDIRFUNC))
-		{
-		  struct dirent *d32 = (*pglob->gl_readdir) (stream);
-		  if (d32 != NULL)
-		    {
-		      CONVERT_DIRENT_DIRENT64 (&d64buf.d64, d32);
-		      d = &d64buf.d64;
-		    }
-		  else
-		    d = NULL;
-		}
-	      else
-		d = __readdir64 (stream);
+	      struct readdir_result d;
+	      {
+		if (__builtin_expect (flags & GLOB_ALTDIRFUNC, 0))
+		  d = convert_dirent (GL_READDIR (pglob, stream));
+		else
+		  {
+#ifdef COMPILE_GLOB64
+		    d = convert_dirent (__readdir (stream));
 #else
-	      struct dirent *d = (__builtin_expect (flags & GLOB_ALTDIRFUNC, 0)
-				  ? ((struct dirent *)
-				     (*pglob->gl_readdir) (stream))
-				  : __readdir (stream));
+		    d = convert_dirent64 (__readdir64 (stream));
 #endif
-	      if (d == NULL)
+		  }
+	      }
+	      if (d.name == NULL)
 		break;
-	      if (! REAL_DIR_ENTRY (d))
+	      if (d.skip_entry)
 		continue;
 
 	      /* If we shall match only directories use the information
 		 provided by the dirent call if possible.  */
-	      if ((flags & GLOB_ONLYDIR) && !DIRENT_MIGHT_BE_DIR (d))
+	      if ((flags & GLOB_ONLYDIR) && !readdir_result_might_be_dir (d))
 		continue;
 
-	      name = d->d_name;
-
-	      if (fnmatch (pattern, name, fnm_flags) == 0)
+	      if (fnmatch (pattern, d.name, fnm_flags) == 0)
 		{
 		  /* If the file we found is a symlink we have to
 		     make sure the target file exists.  */
-		  if (!DIRENT_MIGHT_BE_SYMLINK (d)
-		      || link_exists_p (dfd, directory, dirlen, name, pglob,
-					flags))
+		  if (!readdir_result_might_be_symlink (d)
+		      || link_exists_p (dfd, directory, dirlen, d.name,
+					pglob, flags))
 		    {
 		      if (cur == names->count)
 			{
@@ -1622,12 +1631,10 @@ glob_in_dir (const char *pattern, const char *directory, int flags,
 			  names = newnames;
 			  cur = 0;
 			}
-		      len = NAMLEN (d);
-		      names->name[cur] = (char *) malloc (len + 1);
+		      names->name[cur] = strdup (d.name);
 		      if (names->name[cur] == NULL)
 			goto memory_error;
-		      *((char *) mempcpy (names->name[cur++], name, len))
-			= '\0';
+		      ++cur;
 		      ++nfound;
 		    }
 		}
diff --git a/posix/tst-gnuglob.c b/posix/tst-gnuglob.c
index 992b997..b7b859b 100644
--- a/posix/tst-gnuglob.c
+++ b/posix/tst-gnuglob.c
@@ -211,7 +211,7 @@ my_readdir (void *gdir)
       return NULL;
     }
 
-  dir->d.d_ino = dir->idx;
+  dir->d.d_ino = 1;		/* glob should not skip this entry.  */
 
 #ifdef _DIRENT_HAVE_D_TYPE
   dir->d.d_type = filesystem[dir->idx].type;
diff --git a/resolv/gethnamaddr.c b/resolv/gethnamaddr.c
index 3a8e9b1..4720fc8 100644
--- a/resolv/gethnamaddr.c
+++ b/resolv/gethnamaddr.c
@@ -70,7 +70,6 @@ static char sccsid[] = "@(#)gethostnamadr.c	8.1 (Berkeley) 6/4/93";
 #include <resolv.h>
 #include <ctype.h>
 #include <errno.h>
-#include <syslog.h>
 
 #define RESOLVSORT
 
@@ -100,9 +99,6 @@ static char sccsid[] = "@(#)gethostnamadr.c	8.1 (Berkeley) 6/4/93";
 #define	MAXALIASES	35
 #define	MAXADDRS	35
 
-static const char AskedForGot[] =
-			  "gethostby*.getanswer: asked for \"%s\", got \"%s\"";
-
 static char *h_addr_ptrs[MAXADDRS + 1];
 
 static struct hostent host;
@@ -335,20 +331,12 @@ getanswer (const querybuf *answer, int anslen, const char *qname, int qtype)
 			 * uses many different types in responses that do not
 			 * match QTYPE.
 			 */
-			if ((_res.options & RES_USE_DNSSEC) == 0) {
-				syslog(LOG_NOTICE|LOG_AUTH,
-	       "gethostby*.getanswer: asked for \"%s %s %s\", got type \"%s\"",
-					qname, p_class(C_IN), p_type(qtype),
-					p_type(type));
-			}
 			cp += n;
 			continue;		/* XXX - had_error++ ? */
 		}
 		switch (type) {
 		case T_PTR:
 			if (strcasecmp(tname, bp) != 0) {
-				syslog(LOG_NOTICE|LOG_AUTH,
-				       AskedForGot, qname, bp);
 				cp += n;
 				continue;	/* XXX - had_error++ ? */
 			}
@@ -397,8 +385,6 @@ getanswer (const querybuf *answer, int anslen, const char *qname, int qtype)
 		case T_A:
 		case T_AAAA:
 			if (strcasecmp(host.h_name, bp) != 0) {
-				syslog(LOG_NOTICE|LOG_AUTH,
-				       AskedForGot, host.h_name, bp);
 				cp += n;
 				continue;	/* XXX - had_error++ ? */
 			}
@@ -740,9 +726,6 @@ gethostbyaddr (const void *addr, socklen_t len, int af)
 	    _res.options &= ~RES_DNSRCH;
 	    _res.options |= RES_DEFNAMES;
 	    if (!(rhp = gethostbyname(hname2))) {
-		syslog(LOG_NOTICE|LOG_AUTH,
-		       "gethostbyaddr: No A record for %s (verifying [%s])",
-		       hname2, inet_ntoa(*((struct in_addr *)addr)));
 		_res.options = old_options;
 		__set_h_errno (HOST_NOT_FOUND);
 		return (NULL);
@@ -752,9 +735,6 @@ gethostbyaddr (const void *addr, socklen_t len, int af)
 		if (!memcmp(*haddr, addr, INADDRSZ))
 			break;
 	    if (!*haddr) {
-		syslog(LOG_NOTICE|LOG_AUTH,
-		       "gethostbyaddr: A record of %s != PTR record [%s]",
-		       hname2, inet_ntoa(*((struct in_addr *)addr)));
 		__set_h_errno (HOST_NOT_FOUND);
 		return (NULL);
 	    }
diff --git a/resolv/nss_dns/dns-canon.c b/resolv/nss_dns/dns-canon.c
index 27255fd..072104f 100644
--- a/resolv/nss_dns/dns-canon.c
+++ b/resolv/nss_dns/dns-canon.c
@@ -103,6 +103,11 @@ _nss_dns_getcanonname_r (const char *name, char *buffer, size_t buflen,
 
 	      ptr += s;
 
+	      /* Check that there are enough bytes for the RR
+		 metadata.  */
+	      if (endptr - ptr < 10)
+		goto unavail;
+
 	      /* Check whether type and class match.  */
 	      uint_fast16_t type;
 	      NS_GET16 (type, ptr);
@@ -137,13 +142,25 @@ _nss_dns_getcanonname_r (const char *name, char *buffer, size_t buflen,
 	      if (__ns_get16 (ptr) != ns_c_in)
 		goto unavail;
 
-	      /* Also skip over the TTL.  */
+	      /* Also skip over class and TTL.  */
 	      ptr += sizeof (uint16_t) + sizeof (uint32_t);
 
-	      /* Skip over the data length and data.  */
-	      ptr += sizeof (uint16_t) + __ns_get16 (ptr);
+	      /* Skip over RDATA length and RDATA itself.  */
+	      uint16_t rdatalen = __ns_get16 (ptr);
+	      ptr += sizeof (uint16_t);
+	      /* Not enough room for RDATA.  */
+	      if (endptr - ptr < rdatalen)
+		goto unavail;
+	      ptr += rdatalen;
 	    }
 	}
+
+      /* Restore original buffer before retry.  */
+      if (ansp.ptr != buf)
+	{
+	  free (ansp.ptr);
+	  ansp.ptr = buf;
+	}
     }
 
  out:
diff --git a/resolv/nss_dns/dns-host.c b/resolv/nss_dns/dns-host.c
index 8599f4c..403a005 100644
--- a/resolv/nss_dns/dns-host.c
+++ b/resolv/nss_dns/dns-host.c
@@ -78,7 +78,6 @@
 #include <stdlib.h>
 #include <stddef.h>
 #include <string.h>
-#include <sys/syslog.h>
 
 #include "nsswitch.h"
 
@@ -99,10 +98,6 @@
 #endif
 #define MAXHOSTNAMELEN 256
 
-static const char AskedForGot[] = "\
-gethostby*.getanswer: asked for \"%s\", got \"%s\"";
-
-
 /* We need this time later.  */
 typedef union querybuf
 {
@@ -139,6 +134,22 @@ extern enum nss_status _nss_dns_gethostbyname3_r (const char *name, int af,
 						  char **canonp);
 hidden_proto (_nss_dns_gethostbyname3_r)
 
+/* Return the expected RDATA length for an address record type (A or
+   AAAA).  */
+static int
+rrtype_to_rdata_length (int type)
+{
+  switch (type)
+    {
+    case T_A:
+      return INADDRSZ;
+    case T_AAAA:
+      return IN6ADDRSZ;
+    default:
+      return -1;
+    }
+}
+
 enum nss_status
 _nss_dns_gethostbyname3_r (const char *name, int af, struct hostent *result,
 			   char *buffer, size_t buflen, int *errnop,
@@ -751,6 +762,14 @@ getanswer_r (const querybuf *answer, int anslen, const char *qname, int qtype,
       cp += INT32SZ;			/* TTL */
       n = __ns_get16 (cp);
       cp += INT16SZ;			/* len */
+
+      if (end_of_message - cp < n)
+	{
+	  /* RDATA extends beyond the end of the packet.  */
+	  ++had_error;
+	  continue;
+	}
+
       if (__glibc_unlikely (class != C_IN))
 	{
 	  /* XXX - debug? syslog? */
@@ -830,14 +849,6 @@ getanswer_r (const querybuf *answer, int anslen, const char *qname, int qtype,
 	have_to_map = 1;
       else if (__glibc_unlikely (type != qtype))
 	{
-	  /* Log a low priority message if we get an unexpected record, but
-	     skip it if we are using DNSSEC since it uses many different types
-	     in responses that do not match QTYPE.  */
-	  if ((_res.options & RES_USE_DNSSEC) == 0)
-	    syslog (LOG_NOTICE | LOG_AUTH,
-		    "gethostby*.getanswer: asked for \"%s %s %s\", "
-		    "got type \"%s\"",
-		    qname, p_class (C_IN), p_type (qtype), p_type (type));
 	  cp += n;
 	  continue;			/* XXX - had_error++ ? */
 	}
@@ -847,7 +858,6 @@ getanswer_r (const querybuf *answer, int anslen, const char *qname, int qtype,
 	case T_PTR:
 	  if (__glibc_unlikely (strcasecmp (tname, bp) != 0))
 	    {
-	      syslog (LOG_NOTICE | LOG_AUTH, AskedForGot, qname, bp);
 	      cp += n;
 	      continue;			/* XXX - had_error++ ? */
 	    }
@@ -891,10 +901,18 @@ getanswer_r (const querybuf *answer, int anslen, const char *qname, int qtype,
 	case T_AAAA:
 	  if (__builtin_expect (strcasecmp (result->h_name, bp), 0) != 0)
 	    {
-	      syslog (LOG_NOTICE | LOG_AUTH, AskedForGot, result->h_name, bp);
 	      cp += n;
 	      continue;			/* XXX - had_error++ ? */
 	    }
+
+	  /* Stop parsing at a record whose length is incorrect.  */
+	  if (n != rrtype_to_rdata_length (type))
+	    {
+	      ++had_error;
+	      break;
+	    }
+
+	  /* Skip records of the wrong type.  */
 	  if (n != result->h_length)
 	    {
 	      cp += n;
@@ -1077,6 +1095,13 @@ gaih_getanswer_slice (const querybuf *answer, int anslen, const char *qname,
       n = __ns_get16 (cp);
       cp += INT16SZ;			/* len */
 
+      if (end_of_message - cp < n)
+	{
+	  /* RDATA extends beyond the end of the packet.  */
+	  ++had_error;
+	  continue;
+	}
+
       if (class != C_IN)
 	{
 	  cp += n;
@@ -1124,32 +1149,25 @@ gaih_getanswer_slice (const querybuf *answer, int anslen, const char *qname,
 	    }
 	  continue;
 	}
-#if 1
-      // We should not see any types other than those explicitly listed
-      // below.  Some types sent by server seem missing, though.  Just
-      // collect the data for now.
-      if (__glibc_unlikely (type != T_A && type != T_AAAA))
-#else
-      if (__builtin_expect (type == T_SIG, 0)
-	  || __builtin_expect (type == T_KEY, 0)
-	  || __builtin_expect (type == T_NXT, 0)
-	  || __builtin_expect (type == T_PTR, 0)
-	  || __builtin_expect (type == T_DNAME, 0))
-#endif
-	{
-	  /* We don't support DNSSEC yet.  For now, ignore the record
-	     and send a low priority message to syslog.
 
-	     We also don't expect T_PTR or T_DNAME messages.  */
-	  syslog (LOG_DEBUG | LOG_AUTH,
-		  "getaddrinfo*.gaih_getanswer: got type \"%s\"",
-		  p_type (type));
+      /* Stop parsing if we encounter a record with incorrect RDATA
+	 length.  */
+      if (type == T_A || type == T_AAAA)
+	{
+	  if (n != rrtype_to_rdata_length (type))
+	    {
+	      ++had_error;
+	      continue;
+	    }
+	}
+      else
+	{
+	  /* Skip unknown records.  */
 	  cp += n;
 	  continue;
 	}
-      if (type != T_A && type != T_AAAA)
-	abort ();
 
+      assert (type == T_A || type == T_AAAA);
       if (*pat == NULL)
 	{
 	  uintptr_t pad = (-(uintptr_t) buffer
@@ -1183,12 +1201,6 @@ gaih_getanswer_slice (const querybuf *answer, int anslen, const char *qname,
 	}
 
       (*pat)->family = type == T_A ? AF_INET : AF_INET6;
-      if (__builtin_expect ((type == T_A && n != INADDRSZ)
-			    || (type == T_AAAA && n != IN6ADDRSZ), 0))
-	{
-	  ++had_error;
-	  continue;
-	}
       memcpy ((*pat)->addr, cp, n);
       cp += n;
       (*pat)->scopeid = 0;
diff --git a/resolv/nss_dns/dns-network.c b/resolv/nss_dns/dns-network.c
index 2eb2f67..ad6acff 100644
--- a/resolv/nss_dns/dns-network.c
+++ b/resolv/nss_dns/dns-network.c
@@ -118,17 +118,14 @@ _nss_dns_getnetbyname_r (const char *name, struct netent *result,
   } net_buffer;
   querybuf *orig_net_buffer;
   int anslen;
-  char *qbuf;
   enum nss_status status;
 
   if (__res_maybe_init (&_res, 0) == -1)
     return NSS_STATUS_UNAVAIL;
 
-  qbuf = strdupa (name);
-
   net_buffer.buf = orig_net_buffer = (querybuf *) alloca (1024);
 
-  anslen = __libc_res_nsearch (&_res, qbuf, C_IN, T_PTR, net_buffer.buf->buf,
+  anslen = __libc_res_nsearch (&_res, name, C_IN, T_PTR, net_buffer.buf->buf,
 			       1024, &net_buffer.ptr, NULL, NULL, NULL, NULL);
   if (anslen < 0)
     {
@@ -348,10 +345,23 @@ getanswer_r (const querybuf *answer, int anslen, struct netent *result,
       if (n < 0 || res_dnok (bp) == 0)
 	break;
       cp += n;
+
+      if (end_of_message - cp < 10)
+	{
+	  __set_h_errno (NO_RECOVERY);
+	  return NSS_STATUS_UNAVAIL;
+	}
+
       GETSHORT (type, cp);
       GETSHORT (class, cp);
       cp += INT32SZ;		/* TTL */
-      GETSHORT (n, cp);
+      uint16_t rdatalen;
+      GETSHORT (rdatalen, cp);
+      if (end_of_message - cp < rdatalen)
+	{
+	  __set_h_errno (NO_RECOVERY);
+	  return NSS_STATUS_UNAVAIL;
+	}
 
       if (class == C_IN && type == T_PTR)
 	{
@@ -373,7 +383,7 @@ getanswer_r (const querybuf *answer, int anslen, struct netent *result,
 	      cp += n;
 	      return NSS_STATUS_UNAVAIL;
 	    }
-	  cp += n;
+	  cp += rdatalen;
          if (alias_pointer + 2 < &net_data->aliases[MAX_NR_ALIASES])
            {
              *alias_pointer++ = bp;
@@ -384,6 +394,9 @@ getanswer_r (const querybuf *answer, int anslen, struct netent *result,
              ++have_answer;
            }
 	}
+      else
+	/* Skip over unknown record data.  */
+	cp += rdatalen;
     }
 
   if (have_answer)
diff --git a/resolv/res_init.c b/resolv/res_init.c
index e0b6a80..6c951f5 100644
--- a/resolv/res_init.c
+++ b/resolv/res_init.c
@@ -594,7 +594,7 @@ __res_iclose(res_state statp, bool free_addr) {
 		statp->_vcsock = -1;
 		statp->_flags &= ~(RES_F_VC | RES_F_CONN);
 	}
-	for (ns = 0; ns < statp->_u._ext.nscount; ns++)
+	for (ns = 0; ns < statp->nscount; ns++)
 		if (statp->_u._ext.nsaddrs[ns]) {
 			if (statp->_u._ext.nssocks[ns] != -1) {
 				close_not_cancel_no_status(statp->_u._ext.nssocks[ns]);
diff --git a/resolv/res_send.c b/resolv/res_send.c
index 25c19f1..2c0bae1 100644
--- a/resolv/res_send.c
+++ b/resolv/res_send.c
@@ -649,6 +649,18 @@ get_nsaddr (res_state statp, int n)
     return (struct sockaddr *) (void *) &statp->nsaddr_list[n];
 }
 
+/* Close the resolver structure, assign zero to *RESPLEN2 if RESPLEN2
+   is not NULL, and return zero.  */
+static int
+__attribute__ ((warn_unused_result))
+close_and_return_error (res_state statp, int *resplen2)
+{
+  __res_iclose(statp, false);
+  if (resplen2 != NULL)
+    *resplen2 = 0;
+  return 0;
+}
+
 /* The send_vc function is responsible for sending a DNS query over TCP
    to the nameserver numbered NS from the res_state STATP i.e.
    EXT(statp).nssocks[ns].  The function supports sending both IPv4 and
@@ -750,8 +762,6 @@ send_vc(res_state statp,
 	u_short len2;
 	u_char *cp;
 
-	if (resplen2 != NULL)
-	  *resplen2 = 0;
 	connreset = 0;
  same_ns:
 	truncating = 0;
@@ -777,6 +787,8 @@ send_vc(res_state statp,
 		if (statp->_vcsock < 0) {
 			*terrno = errno;
 			Perror(statp, stderr, "socket(vc)", errno);
+			if (resplen2 != NULL)
+			  *resplen2 = 0;
 			return (-1);
 		}
 		__set_errno (0);
@@ -786,8 +798,7 @@ send_vc(res_state statp,
 			    : sizeof (struct sockaddr_in6)) < 0) {
 			*terrno = errno;
 			Aerror(statp, stderr, "connect/vc", errno, nsap);
-			__res_iclose(statp, false);
-			return (0);
+			return close_and_return_error (statp, resplen2);
 		}
 		statp->_flags |= RES_F_VC;
 	}
@@ -810,8 +821,7 @@ send_vc(res_state statp,
 	if (TEMP_FAILURE_RETRY (writev(statp->_vcsock, iov, niov)) != explen) {
 		*terrno = errno;
 		Perror(statp, stderr, "write failed", errno);
-		__res_iclose(statp, false);
-		return (0);
+		return close_and_return_error (statp, resplen2);
 	}
 	/*
 	 * Receive length & response
@@ -833,7 +843,6 @@ send_vc(res_state statp,
 	if (n <= 0) {
 		*terrno = errno;
 		Perror(statp, stderr, "read failed", errno);
-		__res_iclose(statp, false);
 		/*
 		 * A long running process might get its TCP
 		 * connection reset if the remote server was
@@ -843,11 +852,13 @@ send_vc(res_state statp,
 		 * instead of failing.  We only allow one reset
 		 * per query to prevent looping.
 		 */
-		if (*terrno == ECONNRESET && !connreset) {
-			connreset = 1;
-			goto same_ns;
-		}
-		return (0);
+		if (*terrno == ECONNRESET && !connreset)
+		  {
+		    __res_iclose (statp, false);
+		    connreset = 1;
+		    goto same_ns;
+		  }
+		return close_and_return_error (statp, resplen2);
 	}
 	int rlen = ntohs (rlen16);
 
@@ -879,11 +890,11 @@ send_vc(res_state statp,
 			/* Always allocate MAXPACKET, callers expect
 			   this specific size.  */
 			u_char *newp = malloc (MAXPACKET);
-			if (newp == NULL) {
-				*terrno = ENOMEM;
-				__res_iclose(statp, false);
-				return (0);
-			}
+			if (newp == NULL)
+			  {
+			    *terrno = ENOMEM;
+			    return close_and_return_error (statp, resplen2);
+			  }
 			*thisanssizp = MAXPACKET;
 			*thisansp = newp;
 			if (thisansp == ansp2)
@@ -910,8 +921,7 @@ send_vc(res_state statp,
 		Dprint(statp->options & RES_DEBUG,
 		       (stdout, ";; undersized: %d\n", len));
 		*terrno = EMSGSIZE;
-		__res_iclose(statp, false);
-		return (0);
+		return close_and_return_error (statp, resplen2);
 	}
 
 	cp = *thisansp;
@@ -922,8 +932,7 @@ send_vc(res_state statp,
 	if (__glibc_unlikely (n <= 0))       {
 		*terrno = errno;
 		Perror(statp, stderr, "read(vc)", errno);
-		__res_iclose(statp, false);
-		return (0);
+		return close_and_return_error (statp, resplen2);
 	}
 	if (__glibc_unlikely (truncating))       {
 		/*
@@ -1114,7 +1123,11 @@ send_dg(res_state statp,
  retry_reopen:
 	retval = reopen (statp, terrno, ns);
 	if (retval <= 0)
-		return retval;
+	  {
+	    if (resplen2 != NULL)
+	      *resplen2 = 0;
+	    return retval;
+	  }
  retry:
 	evNowTime(&now);
 	evConsTime(&timeout, seconds, 0);
@@ -1127,8 +1140,6 @@ send_dg(res_state statp,
 	int recvresp2 = buf2 == NULL;
 	pfd[0].fd = EXT(statp).nssocks[ns];
 	pfd[0].events = POLLOUT;
-	if (resplen2 != NULL)
-	  *resplen2 = 0;
  wait:
 	if (need_recompute) {
 	recompute_resend:
@@ -1136,9 +1147,7 @@ send_dg(res_state statp,
 		if (evCmpTime(finish, now) <= 0) {
 		poll_err_out:
 			Perror(statp, stderr, "poll", errno);
-		err_out:
-			__res_iclose(statp, false);
-			return (0);
+			return close_and_return_error (statp, resplen2);
 		}
 		evSubTime(&timeout, &finish, &now);
 		need_recompute = 0;
@@ -1185,7 +1194,9 @@ send_dg(res_state statp,
 		  }
 
 		*gotsomewhere = 1;
-		return (0);
+		if (resplen2 != NULL)
+		  *resplen2 = 0;
+		return 0;
 	}
 	if (n < 0) {
 		if (errno == EINTR)
@@ -1253,7 +1264,7 @@ send_dg(res_state statp,
 
 		      fail_sendmmsg:
 			Perror(statp, stderr, "sendmmsg", errno);
-			goto err_out;
+			return close_and_return_error (statp, resplen2);
 		      }
 		  }
 		else
@@ -1271,7 +1282,7 @@ send_dg(res_state statp,
 		      if (errno == EINTR || errno == EAGAIN)
 			goto recompute_resend;
 		      Perror(statp, stderr, "send", errno);
-		      goto err_out;
+		      return close_and_return_error (statp, resplen2);
 		    }
 		  just_one:
 		    if (nwritten != 0 || buf2 == NULL || single_request)
@@ -1349,7 +1360,7 @@ send_dg(res_state statp,
 				goto wait;
 			}
 			Perror(statp, stderr, "recvfrom", errno);
-			goto err_out;
+			return close_and_return_error (statp, resplen2);
 		}
 		*gotsomewhere = 1;
 		if (__glibc_unlikely (*thisresplenp < HFIXEDSZ))       {
@@ -1360,7 +1371,7 @@ send_dg(res_state statp,
 			       (stdout, ";; undersized: %d\n",
 				*thisresplenp));
 			*terrno = EMSGSIZE;
-			goto err_out;
+			return close_and_return_error (statp, resplen2);
 		}
 		if ((recvresp1 || hp->id != anhp->id)
 		    && (recvresp2 || hp2->id != anhp->id)) {
@@ -1409,7 +1420,7 @@ send_dg(res_state statp,
 				? *thisanssizp : *thisresplenp);
 			/* record the error */
 			statp->_flags |= RES_F_EDNS0ERR;
-			goto err_out;
+			return close_and_return_error (statp, resplen2);
 	}
 #endif
 		if (!(statp->options & RES_INSECURE2)
@@ -1461,10 +1472,10 @@ send_dg(res_state statp,
 			    goto wait;
 			  }
 
-			__res_iclose(statp, false);
 			/* don't retry if called from dig */
 			if (!statp->pfcode)
-				return (0);
+			  return close_and_return_error (statp, resplen2);
+			__res_iclose(statp, false);
 		}
 		if (anhp->rcode == NOERROR && anhp->ancount == 0
 		    && anhp->aa == 0 && anhp->ra == 0 && anhp->arcount == 0) {
@@ -1486,6 +1497,8 @@ send_dg(res_state statp,
 			__res_iclose(statp, false);
 			// XXX if we have received one reply we could
 			// XXX use it and not repeat it over TCP...
+			if (resplen2 != NULL)
+			  *resplen2 = 0;
 			return (1);
 		}
 		/* Mark which reply we received.  */
@@ -1501,21 +1514,22 @@ send_dg(res_state statp,
 					__res_iclose (statp, false);
 					retval = reopen (statp, terrno, ns);
 					if (retval <= 0)
-						return retval;
+					  {
+					    if (resplen2 != NULL)
+					      *resplen2 = 0;
+					    return retval;
+					  }
 					pfd[0].fd = EXT(statp).nssocks[ns];
 				}
 			}
 			goto wait;
 		}
-		/*
-		 * All is well, or the error is fatal.  Signal that the
-		 * next nameserver ought not be tried.
-		 */
+		/* All is well.  We have received both responses (if
+		   two responses were requested).  */
 		return (resplen);
-	} else if (pfd[0].revents & (POLLERR | POLLHUP | POLLNVAL)) {
-		/* Something went wrong.  We can stop trying.  */
-		goto err_out;
-	}
+	} else if (pfd[0].revents & (POLLERR | POLLHUP | POLLNVAL))
+	  /* Something went wrong.  We can stop trying.  */
+	  return close_and_return_error (statp, resplen2);
 	else {
 		/* poll should not have returned > 0 in this case.  */
 		abort ();
diff --git a/stdio-common/printf_fp.c b/stdio-common/printf_fp.c
index 4134f8a..fdfe06b 100644
--- a/stdio-common/printf_fp.c
+++ b/stdio-common/printf_fp.c
@@ -209,9 +209,9 @@ hack_digit (struct hack_digit_param *p)
 }
 
 int
-___printf_fp (FILE *fp,
-	      const struct printf_info *info,
-	      const void *const *args)
+__printf_fp_l (FILE *fp, locale_t loc,
+	       const struct printf_info *info,
+	       const void *const *args)
 {
   /* The floating-point value to output.  */
   union
@@ -263,18 +263,19 @@ ___printf_fp (FILE *fp,
   /* Figure out the decimal point character.  */
   if (info->extra == 0)
     {
-      decimal = _NL_CURRENT (LC_NUMERIC, DECIMAL_POINT);
-      decimalwc = _NL_CURRENT_WORD (LC_NUMERIC, _NL_NUMERIC_DECIMAL_POINT_WC);
+      decimal = _nl_lookup (loc, LC_NUMERIC, DECIMAL_POINT);
+      decimalwc = _nl_lookup_word
+	(loc, LC_NUMERIC, _NL_NUMERIC_DECIMAL_POINT_WC);
     }
   else
     {
-      decimal = _NL_CURRENT (LC_MONETARY, MON_DECIMAL_POINT);
+      decimal = _nl_lookup (loc, LC_MONETARY, MON_DECIMAL_POINT);
       if (*decimal == '\0')
-	decimal = _NL_CURRENT (LC_NUMERIC, DECIMAL_POINT);
-      decimalwc = _NL_CURRENT_WORD (LC_MONETARY,
+	decimal = _nl_lookup (loc, LC_NUMERIC, DECIMAL_POINT);
+      decimalwc = _nl_lookup_word (loc, LC_MONETARY,
 				    _NL_MONETARY_DECIMAL_POINT_WC);
       if (decimalwc == L'\0')
-	decimalwc = _NL_CURRENT_WORD (LC_NUMERIC,
+	decimalwc = _nl_lookup_word (loc, LC_NUMERIC,
 				      _NL_NUMERIC_DECIMAL_POINT_WC);
     }
   /* The decimal point character must not be zero.  */
@@ -284,9 +285,9 @@ ___printf_fp (FILE *fp,
   if (info->group)
     {
       if (info->extra == 0)
-	grouping = _NL_CURRENT (LC_NUMERIC, GROUPING);
+	grouping = _nl_lookup (loc, LC_NUMERIC, GROUPING);
       else
-	grouping = _NL_CURRENT (LC_MONETARY, MON_GROUPING);
+	grouping = _nl_lookup (loc, LC_MONETARY, MON_GROUPING);
 
       if (*grouping <= 0 || *grouping == CHAR_MAX)
 	grouping = NULL;
@@ -296,19 +297,20 @@ ___printf_fp (FILE *fp,
 	  if (wide)
 	    {
 	      if (info->extra == 0)
-		thousands_sepwc =
-		  _NL_CURRENT_WORD (LC_NUMERIC, _NL_NUMERIC_THOUSANDS_SEP_WC);
+		thousands_sepwc = _nl_lookup_word
+		  (loc, LC_NUMERIC, _NL_NUMERIC_THOUSANDS_SEP_WC);
 	      else
 		thousands_sepwc =
-		  _NL_CURRENT_WORD (LC_MONETARY,
+		  _nl_lookup_word (loc, LC_MONETARY,
 				    _NL_MONETARY_THOUSANDS_SEP_WC);
 	    }
 	  else
 	    {
 	      if (info->extra == 0)
-		thousands_sep = _NL_CURRENT (LC_NUMERIC, THOUSANDS_SEP);
+		thousands_sep = _nl_lookup (loc, LC_NUMERIC, THOUSANDS_SEP);
 	      else
-		thousands_sep = _NL_CURRENT (LC_MONETARY, MON_THOUSANDS_SEP);
+		thousands_sep = _nl_lookup
+		  (loc, LC_MONETARY, MON_THOUSANDS_SEP);
 	    }
 
 	  if ((wide && thousands_sepwc == L'\0')
@@ -1171,9 +1173,11 @@ ___printf_fp (FILE *fp,
 	  size_t decimal_len;
 	  size_t thousands_sep_len;
 	  wchar_t *copywc;
-	  size_t factor = (info->i18n
-			   ? _NL_CURRENT_WORD (LC_CTYPE, _NL_CTYPE_MB_CUR_MAX)
-			   : 1);
+	  size_t factor;
+	  if (info->i18n)
+	    factor = _nl_lookup_word (loc, LC_CTYPE, _NL_CTYPE_MB_CUR_MAX);
+	  else
+	    factor = 1;
 
 	  decimal_len = strlen (decimal);
 
@@ -1244,8 +1248,17 @@ ___printf_fp (FILE *fp,
   }
   return done;
 }
+libc_hidden_def (__printf_fp_l)
+
+int
+___printf_fp (FILE *fp, const struct printf_info *info,
+	      const void *const *args)
+{
+  return __printf_fp_l (fp, _NL_CURRENT_LOCALE, info, args);
+}
 ldbl_hidden_def (___printf_fp, __printf_fp)
 ldbl_strong_alias (___printf_fp, __printf_fp)
+
 
 /* Return the number of extra grouping characters that will be inserted
    into a number with INTDIG_MAX integer digits.  */
diff --git a/stdlib/Makefile b/stdlib/Makefile
index 26fe67a..d978774 100644
--- a/stdlib/Makefile
+++ b/stdlib/Makefile
@@ -76,7 +76,7 @@ tests		:= tst-strtol tst-strtod testmb testrand testsort testdiv   \
 		   tst-secure-getenv tst-strtod-overflow tst-strtod-round   \
 		   tst-tininess tst-strtod-underflow tst-tls-atexit	    \
 		   tst-setcontext3 tst-tls-atexit-nodelete		    \
-		   tst-strtol-locale tst-strtod-nan-locale
+		   tst-strtol-locale tst-strtod-nan-locale tst-strfmon_l
 tests-static	:= tst-secure-getenv
 
 modules-names	= tst-tls-atexit-lib
@@ -126,7 +126,8 @@ include ../Rules
 
 ifeq ($(run-built-tests),yes)
 LOCALES := cs_CZ.UTF-8 de_DE.UTF-8 en_US.ISO-8859-1 tr_TR.UTF-8 \
-	   tr_TR.ISO-8859-9
+	   tr_TR.ISO-8859-9 tg_TJ.UTF-8 te_IN.UTF-8 bn_IN.UTF-8 \
+	   el_GR.UTF-8
 include ../gen-locales.mk
 
 $(objpfx)bug-strtod2.out: $(gen-locales)
@@ -137,6 +138,7 @@ $(objpfx)tst-strtod4.out: $(gen-locales)
 $(objpfx)tst-strtod5.out: $(gen-locales)
 $(objpfx)tst-strtol-locale.out: $(gen-locales)
 $(objpfx)tst-strtod-nan-locale.out: $(gen-locales)
+$(objpfx)tst-strfmon_l.out: $(gen-locales)
 endif
 
 # Testdir has to be named stdlib and needs to be writable
diff --git a/stdlib/setenv.c b/stdlib/setenv.c
index da61ee0..e66045f 100644
--- a/stdlib/setenv.c
+++ b/stdlib/setenv.c
@@ -278,18 +278,20 @@ unsetenv (const char *name)
   ep = __environ;
   if (ep != NULL)
     while (*ep != NULL)
-      if (!strncmp (*ep, name, len) && (*ep)[len] == '=')
-	{
-	  /* Found it.  Remove this pointer by moving later ones back.  */
-	  char **dp = ep;
-
-	  do
-	    dp[0] = dp[1];
-	  while (*dp++);
-	  /* Continue the loop in case NAME appears again.  */
-	}
-      else
-	++ep;
+      {
+	if (!strncmp (*ep, name, len) && (*ep)[len] == '=')
+	  {
+	    /* Found it.  Remove this pointer by moving later ones back.  */
+	    char **dp = ep;
+
+	    do
+		dp[0] = dp[1];
+	    while (*dp++);
+	    /* Continue the loop in case NAME appears again.  */
+	  }
+	else
+	  ++ep;
+      }
 
   UNLOCK;
 
diff --git a/stdlib/strfmon_l.c b/stdlib/strfmon_l.c
index b357020..5851a5b 100644
--- a/stdlib/strfmon_l.c
+++ b/stdlib/strfmon_l.c
@@ -68,9 +68,6 @@
 #define _NL_CURRENT(category, item) \
   (current->values[_NL_ITEM_INDEX (item)].string)
 
-extern int __printf_fp (FILE *, const struct printf_info *,
-			const void *const *);
-libc_hidden_proto (__printf_fp)
 /* This function determines the number of digit groups in the output.
    The definition is in printf_fp.c.  */
 extern unsigned int __guess_grouping (unsigned int intdig_max,
@@ -532,7 +529,7 @@ __vstrfmon_l (char *s, size_t maxsize, __locale_t loc, const char *format,
       info.extra = 1;		/* This means use values from LC_MONETARY.  */
 
       ptr = &fpnum;
-      done = __printf_fp (&f._sbf._f, &info, &ptr);
+      done = __printf_fp_l (&f._sbf._f, loc, &info, &ptr);
       if (done < 0)
 	return -1;
 
diff --git a/stdlib/tst-strfmon_l.c b/stdlib/tst-strfmon_l.c
new file mode 100644
index 0000000..6841511
--- /dev/null
+++ b/stdlib/tst-strfmon_l.c
@@ -0,0 +1,220 @@
+/* Test locale dependence of strfmon_l.
+   Copyright (C) 2016 Free Software Foundation, Inc.
+   This file is part of the GNU C Library.
+
+   The GNU C Library is free software; you can redistribute it and/or
+   modify it under the terms of the GNU Lesser General Public
+   License as published by the Free Software Foundation; either
+   version 2.1 of the License, or (at your option) any later version.
+
+   The GNU C Library is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+   Lesser General Public License for more details.
+
+   You should have received a copy of the GNU Lesser General Public
+   License along with the GNU C Library; if not, see
+   <http://www.gnu.org/licenses/>.  */
+
+#include <stdbool.h>
+#include <stdio.h>
+#include <monetary.h>
+#include <string.h>
+#include <stdlib.h>
+#include <locale.h>
+
+static const char *const en_us_name = "en_US.ISO-8859-1";
+
+/* Locale value to be used by tests.  */
+static locale_t loc;
+static const char *loc_name;
+
+/* Set the global locale to GLOBAL_NAME, and the locale referenced by
+   the loc variable above to LOCAL_NAME.  */
+static void
+init_loc (const char *global_name, const char *local_name)
+{
+  loc = newlocale (LC_ALL_MASK, local_name, 0);
+  if (loc == 0)
+    {
+      printf ("error: newlocale (%s): %m\n", local_name);
+      abort ();
+    }
+  loc_name = local_name;
+
+  if (setlocale (LC_ALL, global_name) == NULL)
+    {
+      printf ("error: setlocale (%s): %m\n", global_name);
+      abort ();
+    }
+}
+
+/* Expected strings for a positive or negative value.  */
+struct testcase
+{
+  const char *i;                /* %i */
+  const char *n;                /* %n */
+  const char *i_ungrouped;      /* %^i */
+  const char *n_ungrouped;      /* %^n */
+};
+
+/* Collected expected strings for both positive and negative
+   values.  */
+struct testcase_pair
+{
+  struct testcase positive;     /* 1234567.89 */
+  struct testcase negative;     /* -1234567.89 */
+};
+
+static bool errors;
+
+/* Test one value using the locale loc.  */
+static void
+test_one (const char *format, double value, const char *expected)
+{
+  static char actual[64];
+  int result = strfmon_l (actual, sizeof (actual), loc, format, value);
+  if (result < 0)
+    {
+      printf ("error: locale %s, format \"%s\", value %g: strfmon_l: %m\n",
+              loc_name, format, value);
+      errors = true;
+    }
+  else if (strcmp (actual, expected) != 0)
+    {
+      printf ("error: locale %s, format \"%s\", value %g: mismatch\n",
+              loc_name, format, value);
+      printf ("error:   expected: \"%s\"\n", expected);
+      printf ("error:   actual:   \"%s\"\n", actual);
+      errors = true;
+    }
+}
+
+static void
+test_pair (const struct testcase_pair *pair)
+{
+  double positive = 1234567.89;
+  test_one ("%i", positive, pair->positive.i);
+  test_one ("%n", positive, pair->positive.n);
+  test_one ("%^i", positive, pair->positive.i_ungrouped);
+  test_one ("%^n", positive, pair->positive.n_ungrouped);
+  double negative = -1234567.89;
+  test_one ("%i", negative, pair->negative.i);
+  test_one ("%n", negative, pair->negative.n);
+  test_one ("%^i", negative, pair->negative.i_ungrouped);
+  test_one ("%^n", negative, pair->negative.n_ungrouped);
+}
+
+static const struct testcase_pair en_us =
+  {
+    {
+      "USD 1,234,567.89", "$1,234,567.89",
+      "USD 1234567.89", "$1234567.89"
+    },
+    {
+      "-USD 1,234,567.89", "-$1,234,567.89",
+      "-USD 1234567.89", "-$1234567.89"
+    }
+  };
+
+static void
+test_en_us (const char *other_name)
+{
+  init_loc (other_name, en_us_name);
+  test_pair (&en_us);
+  freelocale (loc);
+}
+
+struct locale_pair
+{
+  const char *locale_name;
+  struct testcase_pair pair;
+};
+
+static const struct locale_pair tests[] =
+  {
+    {
+      "de_DE.UTF-8",
+      {
+        {
+         "1.234.567,89 EUR", "1.234.567,89 \u20ac",
+         "1234567,89 EUR", "1234567,89 \u20ac"
+        },
+        {
+         "-1.234.567,89 EUR", "-1.234.567,89 \u20ac",
+         "-1234567,89 EUR", "-1234567,89 \u20ac"
+        }
+      },
+    },
+    {
+      "tg_TJ.UTF-8",
+      {
+        {
+          "1 234 567.89 TJS", "1 234 567.89 \u0440\u0443\u0431",
+          "1234567.89 TJS", "1234567.89 \u0440\u0443\u0431"
+        },
+        {
+          "-1 234 567.89 TJS", "-1 234 567.89 \u0440\u0443\u0431",
+          "-1234567.89 TJS", "-1234567.89 \u0440\u0443\u0431"
+        }
+      }
+    },
+    {
+      "te_IN.UTF-8",
+      {
+        {
+          "INR12,34,567.89", "\u20b912,34,567.89",
+          "INR1234567.89", "\u20b91234567.89"
+        },
+        {
+          "-INR12,34,567.89", "-\u20b912,34,567.89",
+          "-INR1234567.89", "-\u20b91234567.89"
+        }
+      }
+    },
+    {
+      "bn_IN.UTF-8",
+      {
+        {
+          "INR 12,345,67.89", "\u20b9 12,345,67.89",
+          "INR 1234567.89", "\u20b9 1234567.89"
+        },
+        {
+          "-INR 12,345,67.89", "-\u20b9 12,345,67.89",
+          "-INR 1234567.89", "-\u20b9 1234567.89"
+        }
+      }
+    },
+    {
+      "el_GR.UTF-8",
+      {
+        {
+          "1.234.567,89EUR", "1.234.567,89\u20ac",
+          "1234567,89EUR", "1234567,89\u20ac"
+        },
+        {
+          "-EUR1.234.567,89", "-\u20ac1.234.567,89",
+          "-EUR1234567,89", "-\u20ac1234567,89",
+        }
+      }
+    },
+    {}
+  };
+
+static int
+do_test (void)
+{
+  for (const struct locale_pair *test = tests;
+       test->locale_name != NULL; ++test)
+    {
+      init_loc (en_us_name, test->locale_name);
+      test_pair (&test->pair);
+      freelocale (loc);
+      test_en_us (test->locale_name);
+    }
+
+  return errors;
+}
+
+#define TEST_FUNCTION do_test ()
+#include "../test-skeleton.c"
diff --git a/sysdeps/arm/nacl/libc.abilist b/sysdeps/arm/nacl/libc.abilist
index 561441e..0560510 100644
--- a/sysdeps/arm/nacl/libc.abilist
+++ b/sysdeps/arm/nacl/libc.abilist
@@ -1834,3 +1834,9 @@ GLIBC_2.22 wprintf F
 GLIBC_2.22 write F
 GLIBC_2.22 writev F
 GLIBC_2.22 wscanf F
+GLIBC_2.23 GLIBC_2.23 A
+GLIBC_2.23 fts64_children F
+GLIBC_2.23 fts64_close F
+GLIBC_2.23 fts64_open F
+GLIBC_2.23 fts64_read F
+GLIBC_2.23 fts64_set F
diff --git a/sysdeps/generic/malloc-machine.h b/sysdeps/generic/malloc-machine.h
index 1ed2d50..71b95c2 100644
--- a/sysdeps/generic/malloc-machine.h
+++ b/sysdeps/generic/malloc-machine.h
@@ -22,25 +22,6 @@
 
 #include <atomic.h>
 
-#ifndef mutex_init /* No threads, provide dummy macros */
-
-# define NO_THREADS
-
-/* The mutex functions used to do absolutely nothing, i.e. lock,
-   trylock and unlock would always just return 0.  However, even
-   without any concurrently active threads, a mutex can be used
-   legitimately as an `in use' flag.  To make the code that is
-   protected by a mutex async-signal safe, these macros would have to
-   be based on atomic test-and-set operations, for example. */
-typedef int mutex_t;
-
-# define mutex_init(m)          (*(m) = 0)
-# define mutex_lock(m)          ({ *(m) = 1; 0; })
-# define mutex_trylock(m)       (*(m) ? 1 : ((*(m) = 1), 0))
-# define mutex_unlock(m)        (*(m) = 0)
-
-#endif /* !defined mutex_init */
-
 #ifndef atomic_full_barrier
 # define atomic_full_barrier() __asm ("" ::: "memory")
 #endif
diff --git a/sysdeps/i386/configure b/sysdeps/i386/configure
index 9515719..5b55c5a 100644
--- a/sysdeps/i386/configure
+++ b/sysdeps/i386/configure
@@ -72,7 +72,7 @@ rm -f conftest*
 fi
 { $as_echo "$as_me:${as_lineno-$LINENO}: result: $libc_cv_asm_mpx" >&5
 $as_echo "$libc_cv_asm_mpx" >&6; }
-if test $libc_cv_asm_mpx == yes; then
+if test $libc_cv_asm_mpx = yes; then
   $as_echo "#define HAVE_MPX_SUPPORT 1" >>confdefs.h
 
 fi
diff --git a/sysdeps/i386/configure.ac b/sysdeps/i386/configure.ac
index f8f9e44..19ef33f 100644
--- a/sysdeps/i386/configure.ac
+++ b/sysdeps/i386/configure.ac
@@ -41,7 +41,7 @@ else
   libc_cv_asm_mpx=no
 fi
 rm -f conftest*])
-if test $libc_cv_asm_mpx == yes; then
+if test $libc_cv_asm_mpx = yes; then
   AC_DEFINE(HAVE_MPX_SUPPORT)
 fi
 
diff --git a/sysdeps/i386/i686/multiarch/bcopy.S b/sysdeps/i386/i686/multiarch/bcopy.S
index d5b408d..ce6661b 100644
--- a/sysdeps/i386/i686/multiarch/bcopy.S
+++ b/sysdeps/i386/i686/multiarch/bcopy.S
@@ -36,7 +36,7 @@ ENTRY(bcopy)
 	HAS_CPU_FEATURE (SSSE3)
 	jz	2f
 	LOAD_FUNC_GOT_EAX (__bcopy_ssse3)
-	HAS_CPU_FEATURE (Fast_Rep_String)
+	HAS_ARCH_FEATURE (Fast_Rep_String)
 	jz	2f
 	LOAD_FUNC_GOT_EAX (__bcopy_ssse3_rep)
 2:	ret
diff --git a/sysdeps/i386/i686/multiarch/bzero.S b/sysdeps/i386/i686/multiarch/bzero.S
index 3bad417..738ca69 100644
--- a/sysdeps/i386/i686/multiarch/bzero.S
+++ b/sysdeps/i386/i686/multiarch/bzero.S
@@ -31,7 +31,7 @@ ENTRY(__bzero)
 	HAS_CPU_FEATURE (SSE2)
 	jz	2f
 	LOAD_FUNC_GOT_EAX ( __bzero_sse2)
-	HAS_CPU_FEATURE (Fast_Rep_String)
+	HAS_ARCH_FEATURE (Fast_Rep_String)
 	jz	2f
 	LOAD_FUNC_GOT_EAX (__bzero_sse2_rep)
 2:	ret
diff --git a/sysdeps/i386/i686/multiarch/memcpy.S b/sysdeps/i386/i686/multiarch/memcpy.S
index 27913ea..652b5a2 100644
--- a/sysdeps/i386/i686/multiarch/memcpy.S
+++ b/sysdeps/i386/i686/multiarch/memcpy.S
@@ -38,7 +38,7 @@ ENTRY(memcpy)
 	HAS_CPU_FEATURE (SSSE3)
 	jz	2f
 	LOAD_FUNC_GOT_EAX (__memcpy_ssse3)
-	HAS_CPU_FEATURE (Fast_Rep_String)
+	HAS_ARCH_FEATURE (Fast_Rep_String)
 	jz	2f
 	LOAD_FUNC_GOT_EAX (__memcpy_ssse3_rep)
 2:	ret
diff --git a/sysdeps/i386/i686/multiarch/memcpy_chk.S b/sysdeps/i386/i686/multiarch/memcpy_chk.S
index 39bc3c2..0eee32c 100644
--- a/sysdeps/i386/i686/multiarch/memcpy_chk.S
+++ b/sysdeps/i386/i686/multiarch/memcpy_chk.S
@@ -39,7 +39,7 @@ ENTRY(__memcpy_chk)
 	HAS_CPU_FEATURE (SSSE3)
 	jz	2f
 	LOAD_FUNC_GOT_EAX (__memcpy_chk_ssse3)
-	HAS_CPU_FEATURE (Fast_Rep_String)
+	HAS_ARCH_FEATURE (Fast_Rep_String)
 	jz	2f
 	LOAD_FUNC_GOT_EAX (__memcpy_chk_ssse3_rep)
 2:	ret
diff --git a/sysdeps/i386/i686/multiarch/memmove_chk.S b/sysdeps/i386/i686/multiarch/memmove_chk.S
index c27892d..a29bbc9 100644
--- a/sysdeps/i386/i686/multiarch/memmove_chk.S
+++ b/sysdeps/i386/i686/multiarch/memmove_chk.S
@@ -36,7 +36,7 @@ ENTRY(__memmove_chk)
 	HAS_CPU_FEATURE (SSSE3)
 	jz	2f
 	LOAD_FUNC_GOT_EAX (__memmove_chk_ssse3)
-	HAS_CPU_FEATURE (Fast_Rep_String)
+	HAS_ARCH_FEATURE (Fast_Rep_String)
 	jz	2f
 	LOAD_FUNC_GOT_EAX (__memmove_chk_ssse3_rep)
 2:	ret
diff --git a/sysdeps/i386/i686/multiarch/mempcpy.S b/sysdeps/i386/i686/multiarch/mempcpy.S
index 141ff2e..b46f3fc 100644
--- a/sysdeps/i386/i686/multiarch/mempcpy.S
+++ b/sysdeps/i386/i686/multiarch/mempcpy.S
@@ -38,7 +38,7 @@ ENTRY(__mempcpy)
 	HAS_CPU_FEATURE (SSSE3)
 	jz	2f
 	LOAD_FUNC_GOT_EAX (__mempcpy_ssse3)
-	HAS_CPU_FEATURE (Fast_Rep_String)
+	HAS_ARCH_FEATURE (Fast_Rep_String)
 	jz	2f
 	LOAD_FUNC_GOT_EAX (__mempcpy_ssse3_rep)
 2:	ret
diff --git a/sysdeps/i386/i686/multiarch/mempcpy_chk.S b/sysdeps/i386/i686/multiarch/mempcpy_chk.S
index 2788b66..30f3629 100644
--- a/sysdeps/i386/i686/multiarch/mempcpy_chk.S
+++ b/sysdeps/i386/i686/multiarch/mempcpy_chk.S
@@ -39,7 +39,7 @@ ENTRY(__mempcpy_chk)
 	HAS_CPU_FEATURE (SSSE3)
 	jz	2f
 	LOAD_FUNC_GOT_EAX (__mempcpy_chk_ssse3)
-	HAS_CPU_FEATURE (Fast_Rep_String)
+	HAS_ARCH_FEATURE (Fast_Rep_String)
 	jz	2f
 	LOAD_FUNC_GOT_EAX (__mempcpy_chk_ssse3_rep)
 2:	ret
diff --git a/sysdeps/i386/i686/multiarch/memset.S b/sysdeps/i386/i686/multiarch/memset.S
index 268df0c..14180e4 100644
--- a/sysdeps/i386/i686/multiarch/memset.S
+++ b/sysdeps/i386/i686/multiarch/memset.S
@@ -31,7 +31,7 @@ ENTRY(memset)
 	HAS_CPU_FEATURE (SSE2)
 	jz	2f
 	LOAD_FUNC_GOT_EAX (__memset_sse2)
-	HAS_CPU_FEATURE (Fast_Rep_String)
+	HAS_ARCH_FEATURE (Fast_Rep_String)
 	jz	2f
 	LOAD_FUNC_GOT_EAX (__memset_sse2_rep)
 2:	ret
diff --git a/sysdeps/i386/i686/multiarch/memset_chk.S b/sysdeps/i386/i686/multiarch/memset_chk.S
index d18b53f..d73f202 100644
--- a/sysdeps/i386/i686/multiarch/memset_chk.S
+++ b/sysdeps/i386/i686/multiarch/memset_chk.S
@@ -31,7 +31,7 @@ ENTRY(__memset_chk)
 	HAS_CPU_FEATURE (SSE2)
 	jz	2f
 	LOAD_FUNC_GOT_EAX (__memset_chk_sse2)
-	HAS_CPU_FEATURE (Fast_Rep_String)
+	HAS_ARCH_FEATURE (Fast_Rep_String)
 	jz	2f
 	LOAD_FUNC_GOT_EAX (__memset_chk_sse2_rep)
 2:	ret
diff --git a/sysdeps/mach/hurd/fork.c b/sysdeps/mach/hurd/fork.c
index ad09fd7..2e8b59e 100644
--- a/sysdeps/mach/hurd/fork.c
+++ b/sysdeps/mach/hurd/fork.c
@@ -26,6 +26,7 @@
 #include <assert.h>
 #include "hurdmalloc.h"		/* XXX */
 #include <tls.h>
+#include <malloc/malloc-internal.h>
 
 #undef __fork
 
@@ -107,6 +108,12 @@ __fork (void)
       /* Run things that prepare for forking before we create the task.  */
       RUN_HOOK (_hurd_fork_prepare_hook, ());
 
+      /* Acquire malloc locks.  This needs to come last because fork
+	 handlers may use malloc, and the libio list lock has an
+	 indirect malloc dependency as well (via the getdelim
+	 function).  */
+      __malloc_fork_lock_parent ();
+
       /* Lock things that want to be locked before we fork.  */
       {
 	void *const *p;
@@ -604,6 +611,9 @@ __fork (void)
 			   nthreads * sizeof (*threads));
 	}
 
+      /* Release malloc locks.  */
+      __malloc_fork_unlock_parent ();
+
       /* Run things that want to run in the parent to restore it to
 	 normality.  Usually prepare hooks and parent hooks are
 	 symmetrical: the prepare hook arrests state in some way for the
@@ -655,6 +665,9 @@ __fork (void)
       /* Forking clears the trace flag.  */
       __sigemptyset (&_hurdsig_traced);
 
+      /* Release malloc locks.  */
+      __malloc_fork_unlock_child ();
+
       /* Run things that want to run in the child task to set up.  */
       RUN_HOOK (_hurd_fork_child_hook, ());
 
diff --git a/sysdeps/nptl/fork.c b/sysdeps/nptl/fork.c
index 27f8d52..616d897 100644
--- a/sysdeps/nptl/fork.c
+++ b/sysdeps/nptl/fork.c
@@ -31,7 +31,7 @@
 #include <fork.h>
 #include <arch-fork.h>
 #include <futex-internal.h>
-
+#include <malloc/malloc-internal.h>
 
 static void
 fresetlockfiles (void)
@@ -54,6 +54,12 @@ __libc_fork (void)
     struct used_handler *next;
   } *allp = NULL;
 
+  /* Determine if we are running multiple threads.  We skip some fork
+     handlers in the single-thread case, to make fork safer to use in
+     signal handlers.  POSIX requires that fork is async-signal-safe,
+     but our current fork implementation is not.  */
+  bool multiple_threads = THREAD_GETMEM (THREAD_SELF, header.multiple_threads);
+
   /* Run all the registered preparation handlers.  In reverse order.
      While doing this we build up a list of all the entries.  */
   struct fork_handler *runp;
@@ -109,7 +115,21 @@ __libc_fork (void)
       break;
     }
 
-  _IO_list_lock ();
+  /* If we are not running multiple threads, we do not have to
+     preserve lock state.  If fork runs from a signal handler, only
+     async-signal-safe functions can be used in the child.  These data
+     structures are only used by unsafe functions, so their state does
+     not matter if fork was called from a signal handler.  */
+  if (multiple_threads)
+    {
+      _IO_list_lock ();
+
+      /* Acquire malloc locks.  This needs to come last because fork
+	 handlers may use malloc, and the libio list lock has an
+	 indirect malloc dependency as well (via the getdelim
+	 function).  */
+      __malloc_fork_lock_parent ();
+    }
 
 #ifndef NDEBUG
   pid_t ppid = THREAD_GETMEM (THREAD_SELF, tid);
@@ -168,11 +188,18 @@ __libc_fork (void)
 # endif
 #endif
 
-      /* Reset the file list.  These are recursive mutexes.  */
-      fresetlockfiles ();
+      /* Reset the lock state in the multi-threaded case.  */
+      if (multiple_threads)
+	{
+	  /* Release malloc locks.  */
+	  __malloc_fork_unlock_child ();
 
-      /* Reset locks in the I/O code.  */
-      _IO_list_resetlock ();
+	  /* Reset the file list.  These are recursive mutexes.  */
+	  fresetlockfiles ();
+
+	  /* Reset locks in the I/O code.  */
+	  _IO_list_resetlock ();
+	}
 
       /* Reset the lock the dynamic loader uses to protect its data.  */
       __rtld_lock_initialize (GL(dl_load_lock));
@@ -209,8 +236,15 @@ __libc_fork (void)
       /* Restore the PID value.  */
       THREAD_SETMEM (THREAD_SELF, pid, parentpid);
 
-      /* We execute this even if the 'fork' call failed.  */
-      _IO_list_unlock ();
+      /* Release acquired locks in the multi-threaded case.  */
+      if (multiple_threads)
+	{
+	  /* Release malloc locks, parent process variant.  */
+	  __malloc_fork_unlock_parent ();
+
+	  /* We execute this even if the 'fork' call failed.  */
+	  _IO_list_unlock ();
+	}
 
       /* Run the handlers registered for the parent.  */
       while (allp != NULL)
diff --git a/sysdeps/posix/getaddrinfo.c b/sysdeps/posix/getaddrinfo.c
index 1ef3f20..fed2d3b 100644
--- a/sysdeps/posix/getaddrinfo.c
+++ b/sysdeps/posix/getaddrinfo.c
@@ -168,9 +168,58 @@ gaih_inet_serv (const char *servicename, const struct gaih_typeproto *tp,
   return 0;
 }
 
+/* Convert struct hostent to a list of struct gaih_addrtuple objects.
+   h_name is not copied, and the struct hostent object must not be
+   deallocated prematurely.  *RESULT must be NULL or a pointer to an
+   object allocated using malloc, which is freed.  */
+static bool
+convert_hostent_to_gaih_addrtuple (const struct addrinfo *req,
+				   int family,
+				   struct hostent *h,
+				   struct gaih_addrtuple **result)
+{
+  free (*result);
+  *result = NULL;
+
+  /* Count the number of addresses in h->h_addr_list.  */
+  size_t count = 0;
+  for (char **p = h->h_addr_list; *p != NULL; ++p)
+    ++count;
+
+  /* Report no data if no addresses are available, or if the incoming
+     address size is larger than what we can store.  */
+  if (count == 0 || h->h_length > sizeof (((struct gaih_addrtuple) {}).addr))
+    return true;
+
+  struct gaih_addrtuple *array = calloc (count, sizeof (*array));
+  if (array == NULL)
+    return false;
+
+  for (size_t i = 0; i < count; ++i)
+    {
+      if (family == AF_INET && req->ai_family == AF_INET6)
+	{
+	  /* Perform address mapping. */
+	  array[i].family = AF_INET6;
+	  memcpy(array[i].addr + 3, h->h_addr_list[i], sizeof (uint32_t));
+	  array[i].addr[2] = htonl (0xffff);
+	}
+      else
+	{
+	  array[i].family = family;
+	  memcpy (array[i].addr, h->h_addr_list[i], h->h_length);
+	}
+      array[i].next = array + i + 1;
+    }
+  array[0].name = h->h_name;
+  array[count - 1].next = NULL;
+
+  *result = array;
+  return true;
+}
+
 #define gethosts(_family, _type) \
  {									      \
-  int i;								      \
   int herrno;								      \
   struct hostent th;							      \
   struct hostent *h;							      \
@@ -219,36 +268,23 @@ gaih_inet_serv (const char *servicename, const struct gaih_typeproto *tp,
     }									      \
   else if (h != NULL)							      \
     {									      \
-      for (i = 0; h->h_addr_list[i]; i++)				      \
+      /* Make sure that addrmem can be freed.  */			      \
+      if (!malloc_addrmem)						      \
+	addrmem = NULL;							      \
+      if (!convert_hostent_to_gaih_addrtuple (req, _family,h, &addrmem))      \
 	{								      \
-	  if (*pat == NULL)						      \
-	    {								      \
-	      *pat = __alloca (sizeof (struct gaih_addrtuple));		      \
-	      (*pat)->scopeid = 0;					      \
-	    }								      \
-	  uint32_t *addr = (*pat)->addr;				      \
-	  (*pat)->next = NULL;						      \
-	  (*pat)->name = i == 0 ? strdupa (h->h_name) : NULL;		      \
-	  if (_family == AF_INET && req->ai_family == AF_INET6)		      \
-	    {								      \
-	      (*pat)->family = AF_INET6;				      \
-	      addr[3] = *(uint32_t *) h->h_addr_list[i];		      \
-	      addr[2] = htonl (0xffff);					      \
-	      addr[1] = 0;						      \
-	      addr[0] = 0;						      \
-	    }								      \
-	  else								      \
-	    {								      \
-	      (*pat)->family = _family;					      \
-	      memcpy (addr, h->h_addr_list[i], sizeof(_type));		      \
-	    }								      \
-	  pat = &((*pat)->next);					      \
+	  _res.options |= old_res_options & RES_USE_INET6;		      \
+	  result = -EAI_SYSTEM;						      \
+	  goto free_and_return;						      \
 	}								      \
+      *pat = addrmem;							      \
+      /* The conversion uses malloc unconditionally.  */		      \
+      malloc_addrmem = true;						      \
 									      \
       if (localcanon !=	NULL && canon == NULL)				      \
 	canon = strdupa (localcanon);					      \
 									      \
-      if (_family == AF_INET6 && i > 0)					      \
+      if (_family == AF_INET6 && *pat != NULL)				      \
 	got_ipv6 = true;						      \
     }									      \
  }
@@ -612,44 +648,16 @@ gaih_inet (const char *name, const struct gaih_service *service,
 		{
 		  if (h != NULL)
 		    {
-		      int i;
-		      /* We found data, count the number of addresses.  */
-		      for (i = 0; h->h_addr_list[i]; ++i)
-			;
-		      if (i > 0 && *pat != NULL)
-			--i;
-
-		      if (__libc_use_alloca (alloca_used
-					     + i * sizeof (struct gaih_addrtuple)))
-			addrmem = alloca_account (i * sizeof (struct gaih_addrtuple),
-						  alloca_used);
-		      else
-			{
-			  addrmem = malloc (i
-					    * sizeof (struct gaih_addrtuple));
-			  if (addrmem == NULL)
-			    {
-			      result = -EAI_MEMORY;
-			      goto free_and_return;
-			    }
-			  malloc_addrmem = true;
-			}
-
-		      /* Now convert it into the list.  */
-		      struct gaih_addrtuple *addrfree = addrmem;
-		      for (i = 0; h->h_addr_list[i]; ++i)
+		      /* We found data, convert it.  */
+		      if (!convert_hostent_to_gaih_addrtuple
+			  (req, AF_INET, h, &addrmem))
 			{
-			  if (*pat == NULL)
-			    {
-			      *pat = addrfree++;
-			      (*pat)->scopeid = 0;
-			    }
-			  (*pat)->next = NULL;
-			  (*pat)->family = AF_INET;
-			  memcpy ((*pat)->addr, h->h_addr_list[i],
-				  h->h_length);
-			  pat = &((*pat)->next);
+			  result = -EAI_MEMORY;
+			  goto free_and_return;
 			}
+		      *pat = addrmem;
+		      /* The conversion uses malloc unconditionally.  */
+		      malloc_addrmem = true;
 		    }
 		}
 	      else
diff --git a/sysdeps/s390/bits/link.h b/sysdeps/s390/bits/link.h
index 2ef7f44..e27ed67 100644
--- a/sysdeps/s390/bits/link.h
+++ b/sysdeps/s390/bits/link.h
@@ -19,6 +19,9 @@
 # error "Never include <bits/link.h> directly; use <link.h> instead."
 #endif
 
+#if defined HAVE_S390_VX_ASM_SUPPORT
+typedef char La_s390_vr[16];
+#endif
 
 #if __ELF_NATIVE_CLASS == 32
 
@@ -32,6 +35,16 @@ typedef struct La_s390_32_regs
   uint32_t lr_r6;
   double lr_fp0;
   double lr_fp2;
+# if defined HAVE_S390_VX_ASM_SUPPORT
+  La_s390_vr lr_v24;
+  La_s390_vr lr_v25;
+  La_s390_vr lr_v26;
+  La_s390_vr lr_v27;
+  La_s390_vr lr_v28;
+  La_s390_vr lr_v29;
+  La_s390_vr lr_v30;
+  La_s390_vr lr_v31;
+# endif
 } La_s390_32_regs;
 
 /* Return values for calls from PLT on s390-32.  */
@@ -40,6 +53,9 @@ typedef struct La_s390_32_retval
   uint32_t lrv_r2;
   uint32_t lrv_r3;
   double lrv_fp0;
+# if defined HAVE_S390_VX_ASM_SUPPORT
+  La_s390_vr lrv_v24;
+# endif
 } La_s390_32_retval;
 
 
@@ -77,6 +93,16 @@ typedef struct La_s390_64_regs
   double lr_fp2;
   double lr_fp4;
   double lr_fp6;
+# if defined HAVE_S390_VX_ASM_SUPPORT
+  La_s390_vr lr_v24;
+  La_s390_vr lr_v25;
+  La_s390_vr lr_v26;
+  La_s390_vr lr_v27;
+  La_s390_vr lr_v28;
+  La_s390_vr lr_v29;
+  La_s390_vr lr_v30;
+  La_s390_vr lr_v31;
+# endif
 } La_s390_64_regs;
 
 /* Return values for calls from PLT on s390-64.  */
@@ -84,6 +110,9 @@ typedef struct La_s390_64_retval
 {
   uint64_t lrv_r2;
   double lrv_fp0;
+# if defined HAVE_S390_VX_ASM_SUPPORT
+  La_s390_vr lrv_v24;
+# endif
 } La_s390_64_retval;
 
 
diff --git a/sysdeps/s390/s390-32/dl-machine.h b/sysdeps/s390/s390-32/dl-machine.h
index 14bde3b..ec0ae4a 100644
--- a/sysdeps/s390/s390-32/dl-machine.h
+++ b/sysdeps/s390/s390-32/dl-machine.h
@@ -89,6 +89,11 @@ elf_machine_runtime_setup (struct link_map *l, int lazy, int profile)
 {
   extern void _dl_runtime_resolve (Elf32_Word);
   extern void _dl_runtime_profile (Elf32_Word);
+#if defined HAVE_S390_VX_ASM_SUPPORT
+  extern void _dl_runtime_resolve_vx (Elf32_Word);
+  extern void _dl_runtime_profile_vx (Elf32_Word);
+#endif
+
 
   if (l->l_info[DT_JMPREL] && lazy)
     {
@@ -116,7 +121,14 @@ elf_machine_runtime_setup (struct link_map *l, int lazy, int profile)
 	 end in this function.  */
       if (__glibc_unlikely (profile))
 	{
+#if defined HAVE_S390_VX_ASM_SUPPORT
+	  if (GLRO(dl_hwcap) & HWCAP_S390_VX)
+	    got[2] = (Elf32_Addr) &_dl_runtime_profile_vx;
+	  else
+	    got[2] = (Elf32_Addr) &_dl_runtime_profile;
+#else
 	  got[2] = (Elf32_Addr) &_dl_runtime_profile;
+#endif
 
 	  if (GLRO(dl_profile) != NULL
 	      && _dl_name_match_p (GLRO(dl_profile), l))
@@ -125,9 +137,18 @@ elf_machine_runtime_setup (struct link_map *l, int lazy, int profile)
 	    GL(dl_profile_map) = l;
 	}
       else
-	/* This function will get called to fix up the GOT entry indicated by
-	   the offset on the stack, and then jump to the resolved address.  */
-	got[2] = (Elf32_Addr) &_dl_runtime_resolve;
+	{
+	  /* This function will get called to fix up the GOT entry indicated by
+	     the offset on the stack, and then jump to the resolved address.  */
+#if defined HAVE_S390_VX_ASM_SUPPORT
+	  if (GLRO(dl_hwcap) & HWCAP_S390_VX)
+	    got[2] = (Elf32_Addr) &_dl_runtime_resolve_vx;
+	  else
+	    got[2] = (Elf32_Addr) &_dl_runtime_resolve;
+#else
+	  got[2] = (Elf32_Addr) &_dl_runtime_resolve;
+#endif
+	}
     }
 
   return lazy;
diff --git a/sysdeps/s390/s390-32/dl-trampoline.S b/sysdeps/s390/s390-32/dl-trampoline.S
index 1645610..859183c 100644
--- a/sysdeps/s390/s390-32/dl-trampoline.S
+++ b/sysdeps/s390/s390-32/dl-trampoline.S
@@ -16,130 +16,18 @@
    License along with the GNU C Library; if not, see
    <http://www.gnu.org/licenses/>.  */
 
-/* This code is used in dl-runtime.c to call the `fixup' function
-   and then redirect to the address it returns.  */
-
-/* The PLT stubs will call _dl_runtime_resolve/_dl_runtime_profile
- * with the following linkage:
- *   r2 - r6 : parameter registers
- *   f0, f2 : floating point parameter registers
- *   24(r15), 28(r15) : PLT arguments PLT1, PLT2
- *   96(r15) : additional stack parameters
- * The normal clobber rules for function calls apply:
- *   r0 - r5 : call clobbered
- *   r6 - r13 :	 call saved
- *   r14 : return address (call clobbered)
- *   r15 : stack pointer (call saved)
- *   f4, f6 : call saved
- *   f0 - f3, f5, f7 - f15 : call clobbered
- */
-
 #include <sysdep.h>
 
 	.text
-	.globl _dl_runtime_resolve
-	.type _dl_runtime_resolve, @function
-	cfi_startproc
-	.align 16
-_dl_runtime_resolve:
-	stm    %r2,%r5,32(%r15)		# save registers
-	st     %r14,8(%r15)
-	cfi_offset (r14, -88)
-	lr     %r0,%r15			# create stack frame
-	ahi    %r15,-96
-	cfi_adjust_cfa_offset (96)
-	st     0,0(%r15)
-	lm     %r2,%r3,120(%r15)	# load args saved by PLT
-	basr   %r1,0
-0:	l      %r14,1f-0b(%r1)
-	bas    %r14,0(%r14,%r1)		# call resolver
-	lr     %r1,%r2			# function addr returned in r2
-	ahi    %r15,96			# remove stack frame
-	cfi_adjust_cfa_offset (-96)
-	l      %r14,8(15)		# restore registers
-	lm     %r2,%r5,32(%r15)
-	br     %r1
-1:	.long  _dl_fixup - 0b
-	cfi_endproc
-	.size _dl_runtime_resolve, .-_dl_runtime_resolve
-
-
-#ifndef PROF
-	.globl _dl_runtime_profile
-	.type _dl_runtime_profile, @function
-	cfi_startproc
-	.align 16
-_dl_runtime_profile:
-	stm    %r2,%r6,32(%r15)		# save registers
-	std    %f0,56(%r15)
-	std    %f2,64(%r15)
-	st     %r6,8(%r15)
-	st     %r12,12(%r15)
-	st     %r14,16(%r15)
-	cfi_offset (r6, -64)
-	cfi_offset (f0, -40)
-	cfi_offset (f2, -32)
-	cfi_offset (r12, -84)
-	cfi_offset (r14, -80)
-	lr     %r12,%r15		# create stack frame
-	cfi_def_cfa_register (12)
-	ahi    %r15,-96
-	st     %r12,0(%r15)
-	lm     %r2,%r3,24(%r12)		# load arguments saved by PLT
-	lr     %r4,%r14			# return address as third parameter
-	basr   %r1,0
-0:	l      %r14,6f-0b(%r1)
-	la     %r5,32(%r12)		# pointer to struct La_s390_32_regs
-	la     %r6,20(%r12)		# long int * framesize
-	bas    %r14,0(%r14,%r1)		# call resolver
-	lr     %r1,%r2			# function addr returned in r2
-	icm    %r0,15,20(%r12)		# load & test framesize
-	jnm    2f
-
-	lm     %r2,%r6,32(%r12)
-	ld     %f0,56(%r12)
-	ld     %f2,64(%r12)
-	lr     %r15,%r12		# remove stack frame
-	cfi_def_cfa_register (15)
-	l      %r14,16(%r15)		# restore registers
-	l      %r12,12(%r15)
-	br     %r1			# tail-call to the resolved function
-
-	cfi_def_cfa_register (12)
-2:	jz     4f			# framesize == 0 ?
-	ahi    %r0,7			# align framesize to 8
-	lhi    %r2,-8
-	nr     %r0,%r2
-	slr    %r15,%r0			# make room for framesize bytes
-	st     %r12,0(%r15)
-	la     %r2,96(%r15)
-	la     %r3,96(%r12)
-	srl    %r0,3
-3:	mvc    0(8,%r2),0(%r3)		# copy additional parameters
-	la     %r2,8(%r2)
-	la     %r3,8(%r3)
-	brct   %r0,3b
-4:	lm     %r2,%r6,32(%r12)		# load register parameters
-	ld     %f0,56(%r12)
-	ld     %f2,64(%r12)
-	basr   %r14,%r1			# call resolved function
-	stm    %r2,%r3,72(%r12)
-	std    %f0,80(%r12)
-	lm     %r2,%r3,24(%r12)		# load arguments saved by PLT
-	basr   %r1,0
-5:	l      %r14,7f-5b(%r1)
-	la     %r4,32(%r12)		# pointer to struct La_s390_32_regs
-	la     %r5,72(%r12)		# pointer to struct La_s390_32_retval
-	basr   %r14,%r1			# call _dl_call_pltexit
-
-	lr     %r15,%r12		# remove stack frame
-	cfi_def_cfa_register (15)
-	l      %r14,16(%r15)		# restore registers
-	l      %r12,12(%r15)
-	br     %r14
-
-6:	.long  _dl_profile_fixup - 0b
-7:	.long  _dl_call_pltexit - 5b
-	cfi_endproc
-	.size _dl_runtime_profile, .-_dl_runtime_profile
+/* Create variant of _dl_runtime_resolve/profile for machines before z13.
+   No vector registers are saved/restored.  */
+#include <dl-trampoline.h>
+
+#if defined HAVE_S390_VX_ASM_SUPPORT
+/* Create variant of _dl_runtime_resolve/profile for z13 and newer.
+   The vector registers are saved/restored, too.*/
+# define _dl_runtime_resolve _dl_runtime_resolve_vx
+# define _dl_runtime_profile _dl_runtime_profile_vx
+# define RESTORE_VRS
+# include <dl-trampoline.h>
 #endif
diff --git a/sysdeps/s390/s390-32/dl-trampoline.h b/sysdeps/s390/s390-32/dl-trampoline.h
new file mode 100644
index 0000000..086449f
--- /dev/null
+++ b/sysdeps/s390/s390-32/dl-trampoline.h
@@ -0,0 +1,231 @@
+/* PLT trampolines.  s390 version.
+   Copyright (C) 2016 Free Software Foundation, Inc.
+   This file is part of the GNU C Library.
+
+   The GNU C Library is free software; you can redistribute it and/or
+   modify it under the terms of the GNU Lesser General Public
+   License as published by the Free Software Foundation; either
+   version 2.1 of the License, or (at your option) any later version.
+
+   The GNU C Library is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+   Lesser General Public License for more details.
+
+   You should have received a copy of the GNU Lesser General Public
+   License along with the GNU C Library; if not, see
+   <http://www.gnu.org/licenses/>.  */
+
+/* This code is used in dl-runtime.c to call the `fixup' function
+   and then redirect to the address it returns.  */
+
+/* The PLT stubs will call _dl_runtime_resolve/_dl_runtime_profile
+ * with the following linkage:
+ *   r2 - r6 : parameter registers
+ *   f0, f2 : floating point parameter registers
+ *   v24, v26, v28, v30, v25, v27, v29, v31 : vector parameter registers
+ *   24(r15), 28(r15) : PLT arguments PLT1, PLT2
+ *   96(r15) : additional stack parameters
+ * The normal clobber rules for function calls apply:
+ *   r0 - r5 : call clobbered
+ *   r6 - r13 :	call saved
+ *   r14 : return address (call clobbered)
+ *   r15 : stack pointer (call saved)
+ *   f4, f6 : call saved
+ *   f0 - f3, f5, f7 - f15 : call clobbered
+ *   v0 - v3, v5, v7 - v15 : bytes 0-7 overlap with fprs: call clobbered
+               bytes 8-15: call clobbered
+ *   v4, v6 : bytes 0-7 overlap with f4, f6: call saved
+              bytes 8-15: call clobbered
+ *   v16 - v31 : call clobbered
+ */
+
+
+	.globl _dl_runtime_resolve
+	.type _dl_runtime_resolve, @function
+	cfi_startproc
+	.align 16
+_dl_runtime_resolve:
+	stm    %r2,%r5,32(%r15)		# save registers
+	cfi_offset (r2, -64)
+	cfi_offset (r3, -60)
+	cfi_offset (r4, -56)
+	cfi_offset (r5, -52)
+	std    %f0,56(%r15)
+	cfi_offset (f0, -40)
+	std    %f2,64(%r15)
+	cfi_offset (f2, -32)
+	st     %r14,8(%r15)
+	cfi_offset (r14, -88)
+	lr     %r0,%r15
+	lm     %r2,%r3,24(%r15)		# load args saved by PLT
+#ifdef RESTORE_VRS
+	ahi    %r15,-224		# create stack frame
+	cfi_adjust_cfa_offset (224)
+	.machine push
+	.machine "z13"
+	.machinemode "zarch_nohighgprs"
+	vstm   %v24,%v31,96(%r15)	# store call-clobbered vr arguments
+	cfi_offset (v24, -224)
+	cfi_offset (v25, -208)
+	cfi_offset (v26, -192)
+	cfi_offset (v27, -176)
+	cfi_offset (v28, -160)
+	cfi_offset (v29, -144)
+	cfi_offset (v30, -128)
+	cfi_offset (v31, -112)
+	.machine pop
+#else
+	ahi    %r15,-96			# create stack frame
+	cfi_adjust_cfa_offset (96)
+#endif
+	st     %r0,0(%r15)		# write backchain
+	basr   %r1,0
+0:	l      %r14,1f-0b(%r1)
+	bas    %r14,0(%r14,%r1)		# call _dl_fixup
+	lr     %r1,%r2			# function addr returned in r2
+#ifdef RESTORE_VRS
+	.machine push
+	.machine "z13"
+	.machinemode "zarch_nohighgprs"
+	vlm    %v24,%v31,96(%r15)	# restore vector registers
+	.machine pop
+	ahi   %r15,224			# remove stack frame
+	cfi_adjust_cfa_offset (-224)
+#else
+	ahi    %r15,96			# remove stack frame
+	cfi_adjust_cfa_offset (-96)
+#endif
+	l      %r14,8(15)		# restore registers
+	ld     %f0,56(%r15)
+	ld     %f2,64(%r15)
+	lm     %r2,%r5,32(%r15)
+	br     %r1
+1:	.long  _dl_fixup - 0b
+	cfi_endproc
+	.size _dl_runtime_resolve, .-_dl_runtime_resolve
+
+
+#ifndef PROF
+	.globl _dl_runtime_profile
+	.type _dl_runtime_profile, @function
+	cfi_startproc
+	.align 16
+_dl_runtime_profile:
+	st     %r12,12(%r15)		# r12 is used as backup of r15
+	cfi_offset (r12, -84)
+	st     %r14,16(%r15)
+	cfi_offset (r14, -80)
+	lr     %r12,%r15		# backup stack pointer
+	cfi_def_cfa_register (12)
+	ahi    %r15,-264		# create stack frame:
+					# 96 + sizeof(La_s390_32_regs)
+	st     %r12,0(%r15)		# save backchain
+
+	stm    %r2,%r6,96(%r15)		# save registers
+	cfi_offset (r2, -264)		# + r6 needed as arg for
+	cfi_offset (r3, -260)		#  _dl_profile_fixup
+	cfi_offset (r4, -256)
+	cfi_offset (r5, -252)
+	cfi_offset (r6, -248)
+	std    %f0,120(%r15)
+	cfi_offset (f0, -240)
+	std    %f2,128(%r15)
+	cfi_offset (f2, -232)
+#ifdef RESTORE_VRS
+	.machine push
+	.machine "z13"
+	.machinemode "zarch_nohighgprs"
+	vstm   %v24,%v31,136(%r15)	# store call-clobbered vr arguments
+	cfi_offset (v24, -224)
+	cfi_offset (v25, -208)
+	cfi_offset (v26, -192)
+	cfi_offset (v27, -176)
+	cfi_offset (v28, -160)
+	cfi_offset (v29, -144)
+	cfi_offset (v30, -128)
+	cfi_offset (v31, -112)
+	.machine pop
+#endif
+
+	lm     %r2,%r3,24(%r12)		# load arguments saved by PLT
+	lr     %r4,%r14			# return address as third parameter
+	basr   %r1,0
+0:	l      %r14,6f-0b(%r1)
+	la     %r5,96(%r15)		# pointer to struct La_s390_32_regs
+	la     %r6,20(%r12)		# long int * framesize
+	bas    %r14,0(%r14,%r1)		# call resolver
+	lr     %r1,%r2			# function addr returned in r2
+	ld     %f0,120(%r15)		# restore call-clobbered arg fprs
+	ld     %f2,128(%r15)
+#ifdef RESTORE_VRS
+	.machine push
+	.machine "z13"
+	.machinemode "zarch_nohighgprs"
+	vlm    %v24,%v31,136(%r15)	# restore call-clobbered arg vrs
+	.machine pop
+#endif
+	icm    %r0,15,20(%r12)		# load & test framesize
+	jnm    2f
+
+	lm     %r2,%r6,96(%r15)		# framesize < 0 means no pltexit call
+					# so we can do a tail call without
+					# copying the arg overflow area
+	lr     %r15,%r12		# remove stack frame
+	cfi_def_cfa_register (15)
+	l      %r14,16(%r15)		# restore registers
+	l      %r12,12(%r15)
+	br     %r1			# tail-call to the resolved function
+
+	cfi_def_cfa_register (12)
+2:	la     %r4,96(%r15)		# pointer to struct La_s390_32_regs
+	st     %r4,32(%r12)
+	jz     4f			# framesize == 0 ?
+	ahi    %r0,7			# align framesize to 8
+	lhi    %r2,-8
+	nr     %r0,%r2
+	slr    %r15,%r0			# make room for framesize bytes
+	st     %r12,0(%r15)		# save backchain
+	la     %r2,96(%r15)
+	la     %r3,96(%r12)
+	srl    %r0,3
+3:	mvc    0(8,%r2),0(%r3)		# copy additional parameters
+	la     %r2,8(%r2)
+	la     %r3,8(%r3)
+	brct   %r0,3b
+4:	lm     %r2,%r6,0(%r4)		# load register parameters
+	basr   %r14,%r1			# call resolved function
+	stm    %r2,%r3,40(%r12)		# store return values r2, r3, f0
+	std    %f0,48(%r12)		# to struct La_s390_32_retval
+#ifdef RESTORE_VRS
+	.machine push
+	.machine "z13"
+	vst    %v24,56(%r12)		# store return value v24
+	.machine pop
+#endif
+	lm     %r2,%r4,24(%r12)		# r2, r3: load arguments saved by PLT
+					# r4: pointer to struct La_s390_32_regs
+	basr   %r1,0
+5:	l      %r14,7f-5b(%r1)
+	la     %r5,40(%r12)		# pointer to struct La_s390_32_retval
+	bas    %r14,0(%r14,%r1)		# call _dl_call_pltexit
+
+	lr     %r15,%r12		# remove stack frame
+	cfi_def_cfa_register (15)
+	l      %r14,16(%r15)		# restore registers
+	l      %r12,12(%r15)
+	lm     %r2,%r3,40(%r15)		# restore return values
+	ld     %f0,48(%r15)
+#ifdef RESTORE_VRS
+	.machine push
+	.machine "z13"
+	vl    %v24,56(%r15)		# restore return value v24
+	.machine pop
+#endif
+	br     %r14
+
+6:	.long  _dl_profile_fixup - 0b
+7:	.long  _dl_call_pltexit - 5b
+	cfi_endproc
+	.size _dl_runtime_profile, .-_dl_runtime_profile
+#endif
diff --git a/sysdeps/s390/s390-64/dl-machine.h b/sysdeps/s390/s390-64/dl-machine.h
index cb81aaf..9ee7c92 100644
--- a/sysdeps/s390/s390-64/dl-machine.h
+++ b/sysdeps/s390/s390-64/dl-machine.h
@@ -26,6 +26,7 @@
 #include <sys/param.h>
 #include <string.h>
 #include <link.h>
+#include <sysdeps/s390/dl-procinfo.h>
 #include <dl-irel.h>
 
 #define ELF_MACHINE_IRELATIVE       R_390_IRELATIVE
@@ -78,6 +79,10 @@ elf_machine_runtime_setup (struct link_map *l, int lazy, int profile)
 {
   extern void _dl_runtime_resolve (Elf64_Word);
   extern void _dl_runtime_profile (Elf64_Word);
+#if defined HAVE_S390_VX_ASM_SUPPORT
+  extern void _dl_runtime_resolve_vx (Elf64_Word);
+  extern void _dl_runtime_profile_vx (Elf64_Word);
+#endif
 
   if (l->l_info[DT_JMPREL] && lazy)
     {
@@ -105,7 +110,14 @@ elf_machine_runtime_setup (struct link_map *l, int lazy, int profile)
 	 end in this function.	*/
       if (__glibc_unlikely (profile))
 	{
+#if defined HAVE_S390_VX_ASM_SUPPORT
+	  if (GLRO(dl_hwcap) & HWCAP_S390_VX)
+	    got[2] = (Elf64_Addr) &_dl_runtime_profile_vx;
+	  else
+	    got[2] = (Elf64_Addr) &_dl_runtime_profile;
+#else
 	  got[2] = (Elf64_Addr) &_dl_runtime_profile;
+#endif
 
 	  if (GLRO(dl_profile) != NULL
 	      && _dl_name_match_p (GLRO(dl_profile), l))
@@ -114,9 +126,18 @@ elf_machine_runtime_setup (struct link_map *l, int lazy, int profile)
 	    GL(dl_profile_map) = l;
 	}
       else
-	/* This function will get called to fix up the GOT entry indicated by
-	   the offset on the stack, and then jump to the resolved address.  */
-	got[2] = (Elf64_Addr) &_dl_runtime_resolve;
+	{
+	  /* This function will get called to fix up the GOT entry indicated by
+	     the offset on the stack, and then jump to the resolved address.  */
+#if defined HAVE_S390_VX_ASM_SUPPORT
+	  if (GLRO(dl_hwcap) & HWCAP_S390_VX)
+	    got[2] = (Elf64_Addr) &_dl_runtime_resolve_vx;
+	  else
+	    got[2] = (Elf64_Addr) &_dl_runtime_resolve;
+#else
+	  got[2] = (Elf64_Addr) &_dl_runtime_resolve;
+#endif
+	}
     }
 
   return lazy;
diff --git a/sysdeps/s390/s390-64/dl-trampoline.S b/sysdeps/s390/s390-64/dl-trampoline.S
index 6919ed0..1b0c9e2 100644
--- a/sysdeps/s390/s390-64/dl-trampoline.S
+++ b/sysdeps/s390/s390-64/dl-trampoline.S
@@ -16,126 +16,18 @@
    License along with the GNU C Library; if not, see
    <http://www.gnu.org/licenses/>.  */
 
-/* The PLT stubs will call _dl_runtime_resolve/_dl_runtime_profile
- * with the following linkage:
- *   r2 - r6 : parameter registers
- *   f0, f2, f4, f6 : floating point parameter registers
- *   48(r15), 56(r15) : PLT arguments PLT1, PLT2
- *   160(r15) : additional stack parameters
- * The normal clobber rules for function calls apply:
- *   r0 - r5 : call clobbered
- *   r6 - r13 :	 call saved
- *   r14 : return address (call clobbered)
- *   r15 : stack pointer (call saved)
- *   f1, f3, f5, f7 : call saved
- *   f0 - f3, f5, f7 - f15 : call clobbered
- */
-
 #include <sysdep.h>
 
 	.text
-	.globl _dl_runtime_resolve
-	.type _dl_runtime_resolve, @function
-	cfi_startproc
-	.align 16
-_dl_runtime_resolve:
-	stmg   %r2,%r5,64(15)	# save call-clobbered argument registers
-	stg    %r14,96(15)
-	cfi_offset (r14, -64)
-	lgr    %r0,%r15
-	aghi   %r15,-160	# create stack frame
-	cfi_adjust_cfa_offset (160)
-	stg    %r0,0(%r15)      # write backchain
-	lmg    %r2,%r3,208(%r15)# load args saved by PLT
-	brasl  %r14,_dl_fixup	# call fixup
-	lgr    %r1,%r2		# function addr returned in r2
-	aghi   %r15,160		# remove stack frame
-	cfi_adjust_cfa_offset (-160)
-	lg     %r14,96(15)	# restore registers
-	lmg    %r2,%r5,64(15)
-	br     %r1
-	cfi_endproc
-	.size _dl_runtime_resolve, .-_dl_runtime_resolve
-
-
-#ifndef PROF
-	.globl _dl_runtime_profile
-	.type _dl_runtime_profile, @function
-	cfi_startproc
-	.align 16
-_dl_runtime_profile:
-	stmg   %r2,%r6,64(%r15)		# save call-clobbered arg regs
-	std    %f0,104(%r15)		# + r6 needed as arg for
-	std    %f2,112(%r15)		#  _dl_profile_fixup
-	std    %f4,120(%r15)
-	std    %f6,128(%r15)
-	stg    %r12,24(%r15)		# r12 is used as backup of r15
-	stg    %r14,32(%r15)
-	cfi_offset (r6, -96)
-	cfi_offset (f0, -56)
-	cfi_offset (f2, -48)
-	cfi_offset (f4, -40)
-	cfi_offset (f6, -32)
-	cfi_offset (r12, -136)
-	cfi_offset (r14, -128)
-	lgr    %r12,%r15		# backup stack pointer
-	cfi_def_cfa_register (12)
-	aghi   %r15,-160		# create stack frame
-	stg    %r12,0(%r15)		# save backchain
-	lmg    %r2,%r3,48(%r12)		# load arguments saved by PLT
-	lgr    %r4,%r14			# return address as third parameter
-	la     %r5,64(%r12)		# pointer to struct La_s390_32_regs
-	la     %r6,40(%r12)		# long int * framesize
-	brasl  %r14,_dl_profile_fixup	# call resolver
-	lgr    %r1,%r2			# function addr returned in r2
-	lg     %r0,40(%r12)		# load framesize
-	ltgr   %r0,%r0
-	jnm    1f
-
-	lmg    %r2,%r6,64(%r12)		# framesize < 0 means no pltexit call
-	ld     %f0,104(%r12)		# so we can do a tail call without
-	ld     %f2,112(%r12)		# copying the arg overflow area
-	ld     %f4,120(%r12)
-	ld     %f6,128(%r12)
-
-	lgr    %r15,%r12		# remove stack frame
-	cfi_def_cfa_register (15)
-	lg     %r14,32(%r15)		# restore registers
-	lg     %r12,24(%r15)
-	br     %r1			# tail-call to resolved function
-
-	cfi_def_cfa_register (12)
-1:	jz     4f			# framesize == 0 ?
-	aghi   %r0,7			# align framesize to 8
-	nill   %r0,0xfff8
-	slgr   %r15,%r0			# make room for framesize bytes
-	stg    %r12,0(%r15)
-	la     %r2,160(%r15)
-	la     %r3,160(%r12)
-	srlg   %r0,%r0,3
-3:	mvc    0(8,%r2),0(%r3)		# copy additional parameters
-	la     %r2,8(%r2)
-	la     %r3,8(%r3)
-	brctg  %r0,3b
-4:	lmg    %r2,%r6,64(%r12)		# load register parameters
-	ld     %f0,104(%r12)            # restore call-clobbered arg regs
-	ld     %f2,112(%r12)
-	ld     %f4,120(%r12)
-	ld     %f6,128(%r12)
-	basr   %r14,%r1			# call resolved function
-	stg    %r2,136(%r12)
-	std    %f0,144(%r12)
-	lmg    %r2,%r3,48(%r12)		# load arguments saved by PLT
-	la     %r4,32(%r12)		# pointer to struct La_s390_32_regs
-	la     %r5,72(%r12)		# pointer to struct La_s390_32_retval
-	brasl  %r14,_dl_call_pltexit
-
-	lgr    %r15,%r12		# remove stack frame
-	cfi_def_cfa_register (15)
-	lg     %r14,32(%r15)		# restore registers
-	lg     %r12,24(%r15)
-	br     %r14
-
-	cfi_endproc
-	.size _dl_runtime_profile, .-_dl_runtime_profile
+/* Create variant of _dl_runtime_resolve/profile for machines before z13.
+   No vector registers are saved/restored.  */
+#include <dl-trampoline.h>
+
+#if defined HAVE_S390_VX_ASM_SUPPORT
+/* Create variant of _dl_runtime_resolve/profile for z13 and newer.
+   The vector registers are saved/restored, too.*/
+# define _dl_runtime_resolve _dl_runtime_resolve_vx
+# define _dl_runtime_profile _dl_runtime_profile_vx
+# define RESTORE_VRS
+# include <dl-trampoline.h>
 #endif
diff --git a/sysdeps/s390/s390-64/dl-trampoline.h b/sysdeps/s390/s390-64/dl-trampoline.h
new file mode 100644
index 0000000..33ea3de
--- /dev/null
+++ b/sysdeps/s390/s390-64/dl-trampoline.h
@@ -0,0 +1,225 @@
+/* PLT trampolines.  s390x version.
+   Copyright (C) 2016 Free Software Foundation, Inc.
+   This file is part of the GNU C Library.
+
+   The GNU C Library is free software; you can redistribute it and/or
+   modify it under the terms of the GNU Lesser General Public
+   License as published by the Free Software Foundation; either
+   version 2.1 of the License, or (at your option) any later version.
+
+   The GNU C Library is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+   Lesser General Public License for more details.
+
+   You should have received a copy of the GNU Lesser General Public
+   License along with the GNU C Library; if not, see
+   <http://www.gnu.org/licenses/>.  */
+
+/* The PLT stubs will call _dl_runtime_resolve/_dl_runtime_profile
+ * with the following linkage:
+ *   r2 - r6 : parameter registers
+ *   f0, f2, f4, f6 : floating point parameter registers
+ *   v24, v26, v28, v30, v25, v27, v29, v31 : vector parameter registers
+ *   48(r15), 56(r15) : PLT arguments PLT1, PLT2
+ *   160(r15) : additional stack parameters
+ * The normal clobber rules for function calls apply:
+ *   r0 - r5 : call clobbered
+ *   r6 - r13 :	 call saved
+ *   r14 : return address (call clobbered)
+ *   r15 : stack pointer (call saved)
+ *   f0 - f7 : call clobbered
+ *   f8 - f15 : call saved
+ *   v0 - v7 : bytes 0-7 overlap with f0-f7: call clobbered
+               bytes 8-15: call clobbered
+ *   v8 - v15 : bytes 0-7 overlap with f8-f15: call saved
+                bytes 8-15: call clobbered
+ *   v16 - v31 : call clobbered
+ */
+
+	.globl _dl_runtime_resolve
+	.type _dl_runtime_resolve, @function
+	cfi_startproc
+	.align 16
+_dl_runtime_resolve:
+	stmg   %r2,%r5,64(%r15)	# save call-clobbered argument registers
+	cfi_offset (r2, -96)
+	cfi_offset (r3, -88)
+	cfi_offset (r4, -80)
+	cfi_offset (r5, -72)
+	std    %f0,104(%r15)
+	cfi_offset (f0, -56)
+	std    %f2,112(%r15)
+	cfi_offset (f2, -48)
+	std    %f4,120(%r15)
+	cfi_offset (f4, -40)
+	std    %f6,128(%r15)
+	cfi_offset (f6, -32)
+	stg    %r14,96(15)
+	cfi_offset (r14, -64)
+	lmg    %r2,%r3,48(%r15) # load args for fixup saved by PLT
+	lgr    %r0,%r15
+#ifdef RESTORE_VRS
+	aghi   %r15,-288        # create stack frame
+	cfi_adjust_cfa_offset (288)
+	.machine push
+	.machine "z13"
+	vstm   %v24,%v31,160(%r15)# store call-clobbered vector argument registers
+	cfi_offset (v24, -288)
+	cfi_offset (v25, -272)
+	cfi_offset (v26, -256)
+	cfi_offset (v27, -240)
+	cfi_offset (v28, -224)
+	cfi_offset (v29, -208)
+	cfi_offset (v30, -192)
+	cfi_offset (v31, -176)
+	.machine pop
+#else
+	aghi   %r15,-160        # create stack frame
+	cfi_adjust_cfa_offset (160)
+#endif
+	stg    %r0,0(%r15)      # write backchain
+	brasl  %r14,_dl_fixup	# call _dl_fixup
+	lgr    %r1,%r2		# function addr returned in r2
+#ifdef RESTORE_VRS
+	.machine push
+	.machine "z13"
+	vlm    %v24,%v31,160(%r15)# restore vector registers
+	.machine pop
+	aghi   %r15,288         # remove stack frame
+	cfi_adjust_cfa_offset (-288)
+#else
+	aghi   %r15,160         # remove stack frame
+	cfi_adjust_cfa_offset (-160)
+#endif
+	lg     %r14,96(%r15)	# restore registers
+	ld     %f0,104(%r15)
+	ld     %f2,112(%r15)
+	ld     %f4,120(%r15)
+	ld     %f6,128(%r15)
+	lmg    %r2,%r5,64(%r15)
+	br     %r1
+	cfi_endproc
+	.size _dl_runtime_resolve, .-_dl_runtime_resolve
+
+
+#ifndef PROF
+	.globl _dl_runtime_profile
+	.type _dl_runtime_profile, @function
+	cfi_startproc
+	.align 16
+_dl_runtime_profile:
+	stg    %r12,24(%r15)		# r12 is used as backup of r15
+	cfi_offset (r12, -136)
+	stg    %r14,32(%r15)
+	cfi_offset (r14, -128)
+	lgr    %r12,%r15		# backup stack pointer
+	cfi_def_cfa_register (12)
+	aghi   %r15,-360		# create stack frame:
+					# 160 + sizeof(La_s390_64_regs)
+	stg    %r12,0(%r15)		# save backchain
+
+	stmg   %r2,%r6,160(%r15)	# save call-clobbered arg regs
+	cfi_offset (r2, -360)		# + r6 needed as arg for
+	cfi_offset (r3, -352)		#  _dl_profile_fixup
+	cfi_offset (r4, -344)
+	cfi_offset (r5, -336)
+	cfi_offset (r6, -328)
+	std    %f0,200(%r15)
+	cfi_offset (f0, -320)
+	std    %f2,208(%r15)
+	cfi_offset (f2, -312)
+	std    %f4,216(%r15)
+	cfi_offset (f4, -304)
+	std    %f6,224(%r15)
+	cfi_offset (f6, -296)
+#ifdef RESTORE_VRS
+	.machine push
+	.machine "z13"
+	vstm   %v24,%v31,232(%r15)      # store call-clobbered vector arguments
+	cfi_offset (v24, -288)
+	cfi_offset (v25, -272)
+	cfi_offset (v26, -256)
+	cfi_offset (v27, -240)
+	cfi_offset (v28, -224)
+	cfi_offset (v29, -208)
+	cfi_offset (v30, -192)
+	cfi_offset (v31, -176)
+	.machine pop
+#endif
+	lmg    %r2,%r3,48(%r12)		# load arguments saved by PLT
+	lgr    %r4,%r14			# return address as third parameter
+	la     %r5,160(%r15)		# pointer to struct La_s390_64_regs
+	la     %r6,40(%r12)		# long int * framesize
+	brasl  %r14,_dl_profile_fixup	# call resolver
+	lgr    %r1,%r2			# function addr returned in r2
+	ld     %f0,200(%r15)		# restore call-clobbered arg fprs
+	ld     %f2,208(%r15)
+	ld     %f4,216(%r15)
+	ld     %f6,224(%r15)
+#ifdef RESTORE_VRS
+	.machine push
+	.machine "z13"
+	vlm    %v24,%v31,232(%r15)	# restore call-clobbered arg vrs
+	.machine pop
+#endif
+	lg     %r0,40(%r12)		# load framesize
+	ltgr   %r0,%r0
+	jnm    1f
+
+	lmg    %r2,%r6,160(%r15)	# framesize < 0 means no pltexit call
+					# so we can do a tail call without
+					# copying the arg overflow area
+	lgr    %r15,%r12		# remove stack frame
+	cfi_def_cfa_register (15)
+	lg     %r14,32(%r15)		# restore registers
+	lg     %r12,24(%r15)
+	br     %r1			# tail-call to resolved function
+
+	cfi_def_cfa_register (12)
+1:	la     %r4,160(%r15)		# pointer to struct La_s390_64_regs
+	stg    %r4,64(%r12)
+	jz     4f			# framesize == 0 ?
+	aghi   %r0,7			# align framesize to 8
+	nill   %r0,0xfff8
+	slgr   %r15,%r0			# make room for framesize bytes
+	stg    %r12,0(%r15)		# save backchain
+	la     %r2,160(%r15)
+	la     %r3,160(%r12)
+	srlg   %r0,%r0,3
+3:	mvc    0(8,%r2),0(%r3)		# copy additional parameters
+	la     %r2,8(%r2)		# depending on framesize
+	la     %r3,8(%r3)
+	brctg  %r0,3b
+4:	lmg    %r2,%r6,0(%r4)		# restore call-clobbered arg gprs
+	basr   %r14,%r1			# call resolved function
+	stg    %r2,72(%r12)		# store return values r2, f0
+	std    %f0,80(%r12)		# to struct La_s390_64_retval
+#ifdef RESTORE_VRS
+	.machine push
+	.machine "z13"
+	vst    %v24,88(%r12)		# store return value v24
+	.machine pop
+#endif
+	lmg    %r2,%r4,48(%r12)		# r2, r3: load arguments saved by PLT
+					# r4: pointer to struct La_s390_64_regs
+	la     %r5,72(%r12)		# pointer to struct La_s390_64_retval
+	brasl  %r14,_dl_call_pltexit
+
+	lgr    %r15,%r12		# remove stack frame
+	cfi_def_cfa_register (15)
+	lg     %r14,32(%r15)		# restore registers
+	lg     %r12,24(%r15)
+	lg     %r2,72(%r15)		# restore return values
+	ld     %f0,80(%r15)
+#ifdef RESTORE_VRS
+	.machine push
+	.machine "z13"
+	vl    %v24,88(%r15)		# restore return value v24
+	.machine pop
+#endif
+	br     %r14			# Jump back to caller
+
+	cfi_endproc
+	.size _dl_runtime_profile, .-_dl_runtime_profile
+#endif
diff --git a/sysdeps/unix/sysv/linux/i386/glob64.c b/sysdeps/unix/sysv/linux/i386/glob64.c
index b4fcd1a..802c957 100644
--- a/sysdeps/unix/sysv/linux/i386/glob64.c
+++ b/sysdeps/unix/sysv/linux/i386/glob64.c
@@ -1,3 +1,21 @@
+/* Two glob variants with 64-bit support, for dirent64 and __olddirent64.
+   Copyright (C) 1998-2016 Free Software Foundation, Inc.
+   This file is part of the GNU C Library.
+
+   The GNU C Library is free software; you can redistribute it and/or
+   modify it under the terms of the GNU Lesser General Public
+   License as published by the Free Software Foundation; either
+   version 2.1 of the License, or (at your option) any later version.
+
+   The GNU C Library is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+   Lesser General Public License for more details.
+
+   You should have received a copy of the GNU Lesser General Public
+   License along with the GNU C Library; if not, see
+   <http://www.gnu.org/licenses/>.  */
+
 #include <dirent.h>
 #include <glob.h>
 #include <sys/stat.h>
@@ -38,11 +56,15 @@ int __old_glob64 (const char *__pattern, int __flags,
 
 #undef dirent
 #define dirent __old_dirent64
+#undef GL_READDIR
+# define GL_READDIR(pglob, stream) \
+  ((struct __old_dirent64 *) (pglob)->gl_readdir (stream))
 #undef __readdir
 #define __readdir(dirp) __old_readdir64 (dirp)
 #undef glob
 #define glob(pattern, flags, errfunc, pglob) \
   __old_glob64 (pattern, flags, errfunc, pglob)
+#define convert_dirent __old_convert_dirent
 #define glob_in_dir __old_glob_in_dir
 #define GLOB_ATTRIBUTE attribute_compat_text_section
 
diff --git a/sysdeps/unix/sysv/linux/mips/makecontext.S b/sysdeps/unix/sysv/linux/mips/makecontext.S
index 66600c7..3196554 100644
--- a/sysdeps/unix/sysv/linux/mips/makecontext.S
+++ b/sysdeps/unix/sysv/linux/mips/makecontext.S
@@ -153,6 +153,11 @@ NESTED (__makecontext, FRAMESZ, ra)
 #endif
 	jr	ra
 
+	/* We need to terminate the FDE to stop unwinding if backtrace was
+	   called within a context created by makecontext.  */
+	cfi_endproc
+	nop
+
 99:
 #ifdef __PIC__
 	move	gp, s1
@@ -186,6 +191,8 @@ NESTED (__makecontext, FRAMESZ, ra)
 1:
 	lb	zero, (zero)
 	b	1b
+
+	cfi_startproc
 PSEUDO_END (__makecontext)
 
 weak_alias (__makecontext, makecontext)
diff --git a/sysdeps/unix/sysv/linux/x86_64/64/dl-librecon.h b/sysdeps/unix/sysv/linux/x86_64/64/dl-librecon.h
index c9db5ea..a759934 100644
--- a/sysdeps/unix/sysv/linux/x86_64/64/dl-librecon.h
+++ b/sysdeps/unix/sysv/linux/x86_64/64/dl-librecon.h
@@ -33,7 +33,7 @@
   case 21:							      \
     if (memcmp (envline, "PREFER_MAP_32BIT_EXEC", 21) == 0)	      \
       GLRO(dl_x86_cpu_features).feature[index_Prefer_MAP_32BIT_EXEC]  \
-	= bit_Prefer_MAP_32BIT_EXEC;				      \
+	|= bit_Prefer_MAP_32BIT_EXEC;				      \
     break;
 
 /* Extra unsecure variables.  The names are all stuffed in a single
diff --git a/sysdeps/x86/bits/string.h b/sysdeps/x86/bits/string.h
index e4e019f..8dfce05 100644
--- a/sysdeps/x86/bits/string.h
+++ b/sysdeps/x86/bits/string.h
@@ -23,6 +23,9 @@
 /* Use the unaligned string inline ABI.  */
 #define _STRING_INLINE_unaligned 1
 
+/* Don't inline mempcpy into memcpy as x86 has an optimized mempcpy.  */
+#define _HAVE_STRING_ARCH_mempcpy 1
+
 /* Enable inline functions only for i486 or better when compiling for
    ia32.  */
 #if !defined __x86_64__ && (defined __i486__ || defined __pentium__	      \
diff --git a/sysdeps/x86_64/Makefile b/sysdeps/x86_64/Makefile
index 67ed5ba..cc47b88 100644
--- a/sysdeps/x86_64/Makefile
+++ b/sysdeps/x86_64/Makefile
@@ -60,7 +60,7 @@ $(objpfx)tst-audit3: $(objpfx)tst-auditmod3a.so
 $(objpfx)tst-audit3.out: $(objpfx)tst-auditmod3b.so
 tst-audit3-ENV = LD_AUDIT=$(objpfx)tst-auditmod3b.so
 
-$(objpfx)tst-audit4: $(objpfx)tst-auditmod4a.so
+$(objpfx)tst-audit4: $(objpfx)tst-audit4-aux.o $(objpfx)tst-auditmod4a.so
 $(objpfx)tst-audit4.out: $(objpfx)tst-auditmod4b.so
 tst-audit4-ENV = LD_AUDIT=$(objpfx)tst-auditmod4b.so
 
@@ -77,12 +77,12 @@ $(objpfx)tst-audit7: $(objpfx)tst-auditmod7a.so
 $(objpfx)tst-audit7.out: $(objpfx)tst-auditmod7b.so
 tst-audit7-ENV = LD_AUDIT=$(objpfx)tst-auditmod7b.so
 
-$(objpfx)tst-audit10: $(objpfx)tst-auditmod10a.so
+$(objpfx)tst-audit10: $(objpfx)tst-audit10-aux.o $(objpfx)tst-auditmod10a.so
 $(objpfx)tst-audit10.out: $(objpfx)tst-auditmod10b.so
 tst-audit10-ENV = LD_AUDIT=$(objpfx)tst-auditmod10b.so
 
 AVX-CFLAGS=-mavx -mno-vzeroupper
-CFLAGS-tst-audit4.c += $(AVX-CFLAGS)
+CFLAGS-tst-audit4-aux.c += $(AVX-CFLAGS)
 CFLAGS-tst-auditmod4a.c += $(AVX-CFLAGS)
 CFLAGS-tst-auditmod4b.c += $(AVX-CFLAGS)
 CFLAGS-tst-auditmod6b.c += $(AVX-CFLAGS)
@@ -90,7 +90,7 @@ CFLAGS-tst-auditmod6c.c += $(AVX-CFLAGS)
 CFLAGS-tst-auditmod7b.c += $(AVX-CFLAGS)
 ifeq (yes,$(config-cflags-avx512))
 AVX512-CFLAGS = -mavx512f
-CFLAGS-tst-audit10.c += $(AVX512-CFLAGS)
+CFLAGS-tst-audit10-aux.c += $(AVX512-CFLAGS)
 CFLAGS-tst-auditmod10a.c += $(AVX512-CFLAGS)
 CFLAGS-tst-auditmod10b.c += $(AVX512-CFLAGS)
 endif
diff --git a/sysdeps/x86_64/configure b/sysdeps/x86_64/configure
index c72b9d3..88fbfe4 100644
--- a/sysdeps/x86_64/configure
+++ b/sysdeps/x86_64/configure
@@ -24,7 +24,7 @@ rm -f conftest*
 fi
 { $as_echo "$as_me:${as_lineno-$LINENO}: result: $libc_cv_asm_avx512" >&5
 $as_echo "$libc_cv_asm_avx512" >&6; }
-if test $libc_cv_asm_avx512 == yes; then
+if test $libc_cv_asm_avx512 = yes; then
   $as_echo "#define HAVE_AVX512_ASM_SUPPORT 1" >>confdefs.h
 
 fi
@@ -77,7 +77,7 @@ rm -f conftest*
 fi
 { $as_echo "$as_me:${as_lineno-$LINENO}: result: $libc_cv_asm_mpx" >&5
 $as_echo "$libc_cv_asm_mpx" >&6; }
-if test $libc_cv_asm_mpx == yes; then
+if test $libc_cv_asm_mpx = yes; then
   $as_echo "#define HAVE_MPX_SUPPORT 1" >>confdefs.h
 
 fi
diff --git a/sysdeps/x86_64/configure.ac b/sysdeps/x86_64/configure.ac
index 37b1059..b39309e 100644
--- a/sysdeps/x86_64/configure.ac
+++ b/sysdeps/x86_64/configure.ac
@@ -13,7 +13,7 @@ else
   libc_cv_asm_avx512=no
 fi
 rm -f conftest*])
-if test $libc_cv_asm_avx512 == yes; then
+if test $libc_cv_asm_avx512 = yes; then
   AC_DEFINE(HAVE_AVX512_ASM_SUPPORT)
 fi
 
@@ -37,7 +37,7 @@ else
   libc_cv_asm_mpx=no
 fi
 rm -f conftest*])
-if test $libc_cv_asm_mpx == yes; then
+if test $libc_cv_asm_mpx = yes; then
   AC_DEFINE(HAVE_MPX_SUPPORT)
 fi
 
diff --git a/sysdeps/x86_64/dl-trampoline.S b/sysdeps/x86_64/dl-trampoline.S
index 9fb6b13..39b8771 100644
--- a/sysdeps/x86_64/dl-trampoline.S
+++ b/sysdeps/x86_64/dl-trampoline.S
@@ -33,15 +33,19 @@
 # define DL_STACK_ALIGNMENT 8
 #endif
 
-#ifndef DL_RUNIME_UNALIGNED_VEC_SIZE
-/* The maximum size of unaligned vector load and store.  */
-# define DL_RUNIME_UNALIGNED_VEC_SIZE 16
+#ifndef DL_RUNTIME_UNALIGNED_VEC_SIZE
+/* The maximum size in bytes of unaligned vector load and store in the
+   dynamic linker.  Since SSE optimized memory/string functions with
+   aligned SSE register load and store are used in the dynamic linker,
+   we must set this to 8 so that _dl_runtime_resolve_sse will align the
+   stack before calling _dl_fixup.  */
+# define DL_RUNTIME_UNALIGNED_VEC_SIZE 8
 #endif
 
 /* True if _dl_runtime_resolve should align stack to VEC_SIZE bytes.  */
-#define DL_RUNIME_RESOLVE_REALIGN_STACK \
+#define DL_RUNTIME_RESOLVE_REALIGN_STACK \
   (VEC_SIZE > DL_STACK_ALIGNMENT \
-   && VEC_SIZE > DL_RUNIME_UNALIGNED_VEC_SIZE)
+   && VEC_SIZE > DL_RUNTIME_UNALIGNED_VEC_SIZE)
 
 /* Align vector register save area to 16 bytes.  */
 #define REGISTER_SAVE_VEC_OFF	0
@@ -76,7 +80,7 @@
 #ifdef HAVE_AVX512_ASM_SUPPORT
 # define VEC_SIZE		64
 # define VMOVA			vmovdqa64
-# if DL_RUNIME_RESOLVE_REALIGN_STACK || VEC_SIZE <= DL_STACK_ALIGNMENT
+# if DL_RUNTIME_RESOLVE_REALIGN_STACK || VEC_SIZE <= DL_STACK_ALIGNMENT
 #  define VMOV			vmovdqa64
 # else
 #  define VMOV			vmovdqu64
@@ -100,7 +104,7 @@ strong_alias (_dl_runtime_profile_avx, _dl_runtime_profile_avx512)
 
 #define VEC_SIZE		32
 #define VMOVA			vmovdqa
-#if DL_RUNIME_RESOLVE_REALIGN_STACK || VEC_SIZE <= DL_STACK_ALIGNMENT
+#if DL_RUNTIME_RESOLVE_REALIGN_STACK || VEC_SIZE <= DL_STACK_ALIGNMENT
 # define VMOV			vmovdqa
 #else
 # define VMOV			vmovdqu
@@ -119,7 +123,7 @@ strong_alias (_dl_runtime_profile_avx, _dl_runtime_profile_avx512)
 /* movaps/movups is 1-byte shorter.  */
 #define VEC_SIZE		16
 #define VMOVA			movaps
-#if DL_RUNIME_RESOLVE_REALIGN_STACK || VEC_SIZE <= DL_STACK_ALIGNMENT
+#if DL_RUNTIME_RESOLVE_REALIGN_STACK || VEC_SIZE <= DL_STACK_ALIGNMENT
 # define VMOV			movaps
 #else
 # define VMOV			movups
diff --git a/sysdeps/x86_64/dl-trampoline.h b/sysdeps/x86_64/dl-trampoline.h
index f419183..b90836a 100644
--- a/sysdeps/x86_64/dl-trampoline.h
+++ b/sysdeps/x86_64/dl-trampoline.h
@@ -30,7 +30,7 @@
 #undef REGISTER_SAVE_AREA
 #undef LOCAL_STORAGE_AREA
 #undef BASE
-#if DL_RUNIME_RESOLVE_REALIGN_STACK
+#if DL_RUNTIME_RESOLVE_REALIGN_STACK
 # define REGISTER_SAVE_AREA	(REGISTER_SAVE_AREA_RAW + 8)
 /* Local stack area before jumping to function address: RBX.  */
 # define LOCAL_STORAGE_AREA	8
@@ -57,7 +57,7 @@
 	cfi_startproc
 _dl_runtime_resolve:
 	cfi_adjust_cfa_offset(16) # Incorporate PLT
-#if DL_RUNIME_RESOLVE_REALIGN_STACK
+#if DL_RUNTIME_RESOLVE_REALIGN_STACK
 # if LOCAL_STORAGE_AREA != 8
 #  error LOCAL_STORAGE_AREA must be 8
 # endif
@@ -146,7 +146,7 @@ _dl_runtime_resolve:
 	VMOV (REGISTER_SAVE_VEC_OFF + VEC_SIZE * 5)(%rsp), %VEC(5)
 	VMOV (REGISTER_SAVE_VEC_OFF + VEC_SIZE * 6)(%rsp), %VEC(6)
 	VMOV (REGISTER_SAVE_VEC_OFF + VEC_SIZE * 7)(%rsp), %VEC(7)
-#if DL_RUNIME_RESOLVE_REALIGN_STACK
+#if DL_RUNTIME_RESOLVE_REALIGN_STACK
 	mov %RBX_LP, %RSP_LP
 	cfi_def_cfa_register(%rsp)
 	movq (%rsp), %rbx
diff --git a/sysdeps/x86_64/tst-audit10-aux.c b/sysdeps/x86_64/tst-audit10-aux.c
new file mode 100644
index 0000000..992a16c
--- /dev/null
+++ b/sysdeps/x86_64/tst-audit10-aux.c
@@ -0,0 +1,41 @@
+/* Test case for preserved AVX512 registers in dynamic linker, -mavx512f part.
+   Copyright (C) 2012-2016 Free Software Foundation, Inc.
+   This file is part of the GNU C Library.
+
+   The GNU C Library is free software; you can redistribute it and/or
+   modify it under the terms of the GNU Lesser General Public
+   License as published by the Free Software Foundation; either
+   version 2.1 of the License, or (at your option) any later version.
+
+   The GNU C Library is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+   Lesser General Public License for more details.
+
+   You should have received a copy of the GNU Lesser General Public
+   License along with the GNU C Library; if not, see
+   <http://www.gnu.org/licenses/>.  */
+
+#include <immintrin.h>
+#include <stdlib.h>
+#include <string.h>
+
+int
+tst_audit10_aux (void)
+{
+#ifdef __AVX512F__
+  extern __m512i audit_test (__m512i, __m512i, __m512i, __m512i,
+                             __m512i, __m512i, __m512i, __m512i);
+
+  __m512i zmm = _mm512_setzero_si512 ();
+  __m512i ret = audit_test (zmm, zmm, zmm, zmm, zmm, zmm, zmm, zmm);
+
+  zmm = _mm512_set1_epi64 (0x12349876);
+
+  if (memcmp (&zmm, &ret, sizeof (ret)))
+    abort ();
+  return 0;
+#else /* __AVX512F__ */
+  return 77;
+#endif /* __AVX512F__ */
+}
diff --git a/sysdeps/x86_64/tst-audit10.c b/sysdeps/x86_64/tst-audit10.c
index d104341..0df2275 100644
--- a/sysdeps/x86_64/tst-audit10.c
+++ b/sysdeps/x86_64/tst-audit10.c
@@ -1,4 +1,5 @@
-/* Copyright (C) 2012-2016 Free Software Foundation, Inc.
+/* Test case for preserved AVX512 registers in dynamic linker.
+   Copyright (C) 2012-2016 Free Software Foundation, Inc.
    This file is part of the GNU C Library.
 
    The GNU C Library is free software; you can redistribute it and/or
@@ -15,17 +16,14 @@
    License along with the GNU C Library; if not, see
    <http://www.gnu.org/licenses/>.  */
 
-/* Test case for x86-64 preserved registers in dynamic linker.  */
-
-#ifdef __AVX512F__
-#include <stdlib.h>
-#include <string.h>
 #include <cpuid.h>
-#include <immintrin.h>
+
+int tst_audit10_aux (void);
 
 static int
 avx512_enabled (void)
 {
+#ifdef bit_AVX512F
   unsigned int eax, ebx, ecx, edx;
 
   if (__get_cpuid (1, &eax, &ebx, &ecx, &edx) == 0
@@ -40,34 +38,20 @@ avx512_enabled (void)
 
   /* Verify that ZMM, YMM and XMM states are enabled.  */
   return (eax & 0xe6) == 0xe6;
+#else
+  return 0;
+#endif
 }
 
-
-extern __m512i audit_test (__m512i, __m512i, __m512i, __m512i,
-			   __m512i, __m512i, __m512i, __m512i);
 static int
 do_test (void)
 {
   /* Run AVX512 test only if AVX512 is supported.  */
   if (avx512_enabled ())
-    {
-      __m512i zmm = _mm512_setzero_si512 ();
-      __m512i ret = audit_test (zmm, zmm, zmm, zmm, zmm, zmm, zmm, zmm);
-
-      zmm = _mm512_set1_epi64 (0x12349876);
-
-      if (memcmp (&zmm, &ret, sizeof (ret)))
-	abort ();
-    }
-  return 0;
-}
-#else
-static int
-do_test (void)
-{
-  return 0;
+    return tst_audit10_aux ();
+  else
+    return 77;
 }
-#endif
 
 #define TEST_FUNCTION do_test ()
 #include "../../test-skeleton.c"
diff --git a/sysdeps/x86_64/tst-audit4-aux.c b/sysdeps/x86_64/tst-audit4-aux.c
new file mode 100644
index 0000000..a1aeb65
--- /dev/null
+++ b/sysdeps/x86_64/tst-audit4-aux.c
@@ -0,0 +1,39 @@
+/* Test case for preserved AVX registers in dynamic linker, -mavx part.
+   Copyright (C) 2009-2016 Free Software Foundation, Inc.
+   This file is part of the GNU C Library.
+
+   The GNU C Library is free software; you can redistribute it and/or
+   modify it under the terms of the GNU Lesser General Public
+   License as published by the Free Software Foundation; either
+   version 2.1 of the License, or (at your option) any later version.
+
+   The GNU C Library is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+   Lesser General Public License for more details.
+
+   You should have received a copy of the GNU Lesser General Public
+   License along with the GNU C Library; if not, see
+   <http://www.gnu.org/licenses/>.  */
+
+#include <immintrin.h>
+#include <stdlib.h>
+#include <string.h>
+
+extern __m256i audit_test (__m256i, __m256i, __m256i, __m256i,
+			   __m256i, __m256i, __m256i, __m256i);
+
+int
+tst_audit4_aux (void)
+{
+#ifdef __AVX__
+  __m256i ymm = _mm256_setzero_si256 ();
+  __m256i ret = audit_test (ymm, ymm, ymm, ymm, ymm, ymm, ymm, ymm);
+  ymm =	 _mm256_set1_epi32 (0x12349876);
+  if (memcmp (&ymm, &ret, sizeof (ret)))
+    abort ();
+  return 0;
+#else  /* __AVX__ */
+  return 77;
+#endif  /* __AVX__ */
+}
diff --git a/sysdeps/x86_64/tst-audit4.c b/sysdeps/x86_64/tst-audit4.c
index 44d5123..d8e2ab1 100644
--- a/sysdeps/x86_64/tst-audit4.c
+++ b/sysdeps/x86_64/tst-audit4.c
@@ -1,11 +1,24 @@
-/* Test case for x86-64 preserved registers in dynamic linker.  */
+/* Test case for preserved AVX registers in dynamic linker.
+   Copyright (C) 2009-2016 Free Software Foundation, Inc.
+   This file is part of the GNU C Library.
+
+   The GNU C Library is free software; you can redistribute it and/or
+   modify it under the terms of the GNU Lesser General Public
+   License as published by the Free Software Foundation; either
+   version 2.1 of the License, or (at your option) any later version.
+
+   The GNU C Library is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+   Lesser General Public License for more details.
+
+   You should have received a copy of the GNU Lesser General Public
+   License along with the GNU C Library; if not, see
+   <http://www.gnu.org/licenses/>.  */
 
-#ifdef __AVX__
-#include <stdlib.h>
-#include <string.h>
 #include <cpuid.h>
-#include <immintrin.h>
 
+int tst_audit4_aux (void);
 
 static int
 avx_enabled (void)
@@ -22,31 +35,15 @@ avx_enabled (void)
   return (eax & 6) == 6;
 }
 
-
-extern __m256i audit_test (__m256i, __m256i, __m256i, __m256i,
-			   __m256i, __m256i, __m256i, __m256i);
 static int
 do_test (void)
 {
   /* Run AVX test only if AVX is supported.  */
   if (avx_enabled ())
-    {
-      __m256i ymm = _mm256_setzero_si256 ();
-      __m256i ret = audit_test (ymm, ymm, ymm, ymm, ymm, ymm, ymm, ymm);
-
-      ymm =  _mm256_set1_epi32 (0x12349876);
-      if (memcmp (&ymm, &ret, sizeof (ret)))
-	abort ();
-    }
-  return 0;
-}
-#else
-static int
-do_test (void)
-{
-  return 0;
+    return tst_audit4_aux ();
+  else
+    return 77;
 }
-#endif
 
 #define TEST_FUNCTION do_test ()
 #include "../../test-skeleton.c"
